#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 18501
#define LARGE_STATE_COUNT 2415
#define SYMBOL_COUNT 327
#define ALIAS_COUNT 4
#define TOKEN_COUNT 110
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 189

enum {
  sym__alpha_identifier = 1,
  anon_sym_enum = 2,
  anon_sym_COLON = 3,
  anon_sym_LBRACE = 4,
  anon_sym_RBRACE = 5,
  anon_sym_case = 6,
  anon_sym_COMMA = 7,
  anon_sym_package = 8,
  anon_sym_DOT = 9,
  anon_sym_object = 10,
  anon_sym_import = 11,
  anon_sym_export = 12,
  anon_sym_STAR = 13,
  anon_sym__ = 14,
  anon_sym_given = 15,
  anon_sym_EQ_GT = 16,
  anon_sym_as = 17,
  anon_sym_class = 18,
  anon_sym_trait = 19,
  anon_sym_LBRACK = 20,
  anon_sym_RBRACK = 21,
  anon_sym_PLUS = 22,
  anon_sym_DASH = 23,
  anon_sym_LT_COLON = 24,
  anon_sym_GT_COLON = 25,
  anon_sym_LT_PERCENT = 26,
  anon_sym_end = 27,
  anon_sym_if = 28,
  anon_sym_while = 29,
  anon_sym_for = 30,
  anon_sym_match = 31,
  anon_sym_try = 32,
  anon_sym_new = 33,
  anon_sym_this = 34,
  anon_sym_extension = 35,
  anon_sym_val = 36,
  anon_sym_AT = 37,
  anon_sym_EQ = 38,
  anon_sym_var = 39,
  anon_sym_type = 40,
  anon_sym_def = 41,
  anon_sym_opaque = 42,
  anon_sym_with = 43,
  anon_sym_abstract = 44,
  anon_sym_final = 45,
  anon_sym_sealed = 46,
  anon_sym_implicit = 47,
  anon_sym_lazy = 48,
  anon_sym_override = 49,
  anon_sym_private = 50,
  anon_sym_protected = 51,
  anon_sym_inline = 52,
  anon_sym_infix = 53,
  anon_sym_open = 54,
  anon_sym_transparent = 55,
  anon_sym_extends = 56,
  anon_sym_derives = 57,
  anon_sym_LPAREN = 58,
  anon_sym_using = 59,
  anon_sym_RPAREN = 60,
  anon_sym_SEMI = 61,
  anon_sym_POUND = 62,
  anon_sym_QMARK_EQ_GT = 63,
  anon_sym_EQ_GT_GT = 64,
  anon_sym_PIPE = 65,
  anon_sym_else = 66,
  anon_sym_then = 67,
  anon_sym_catch = 68,
  anon_sym_finally = 69,
  anon_sym_macro = 70,
  anon_sym_BANG = 71,
  anon_sym_TILDE = 72,
  anon_sym_DOLLAR = 73,
  anon_sym_SQUOTE = 74,
  sym_symbol_literal = 75,
  sym__interpolation_identifier = 76,
  sym__backquoted_id = 77,
  sym_operator_identifier = 78,
  sym_integer_literal = 79,
  sym_floating_point_literal = 80,
  anon_sym_true = 81,
  anon_sym_false = 82,
  sym_character_literal = 83,
  anon_sym_DQUOTE = 84,
  sym__interpolated_multiline_string_start = 85,
  sym_null_literal = 86,
  anon_sym_return = 87,
  anon_sym_throw = 88,
  anon_sym_do = 89,
  anon_sym_yield = 90,
  anon_sym_LT_DASH = 91,
  aux_sym__shebang_token1 = 92,
  anon_sym_SLASH_SLASH = 93,
  sym__comment_text = 94,
  anon_sym_GT = 95,
  sym_using_directive_key = 96,
  sym_using_directive_value = 97,
  anon_sym_SLASH_STAR = 98,
  aux_sym_block_comment_token1 = 99,
  anon_sym_STAR_SLASH = 100,
  sym__automatic_semicolon = 101,
  sym__indent = 102,
  sym__interpolated_string_middle = 103,
  sym__interpolated_string_end = 104,
  sym__interpolated_multiline_string_middle = 105,
  sym__interpolated_multiline_string_end = 106,
  sym__outdent = 107,
  sym__simple_multiline_string = 108,
  sym__simple_string = 109,
  sym_compilation_unit = 110,
  sym__top_level_definition = 111,
  sym_enum_definition = 112,
  sym__enum_block = 113,
  sym_enum_body = 114,
  sym_enum_case_definitions = 115,
  sym_simple_enum_case = 116,
  sym_full_enum_case = 117,
  sym__full_enum_def = 118,
  sym_package_clause = 119,
  sym_package_identifier = 120,
  sym_package_object = 121,
  sym_import_declaration = 122,
  sym_export_declaration = 123,
  sym__namespace_expression = 124,
  sym_namespace_wildcard = 125,
  sym__namespace_given_by_type = 126,
  sym_namespace_selectors = 127,
  sym_arrow_renamed_identifier = 128,
  sym_as_renamed_identifier = 129,
  sym_object_definition = 130,
  sym__object_definition = 131,
  sym_class_definition = 132,
  sym__class_definition = 133,
  sym__definition_body = 134,
  sym__class_constructor = 135,
  sym_trait_definition = 136,
  sym_type_parameters = 137,
  sym__variant_type_parameter = 138,
  sym_covariant_type_parameter = 139,
  sym_contravariant_type_parameter = 140,
  sym__type_parameter = 141,
  sym_upper_bound = 142,
  sym_lower_bound = 143,
  sym_view_bound = 144,
  sym_context_bound = 145,
  sym_template_body = 146,
  sym__indented_template_body = 147,
  sym__braced_template_body = 148,
  sym__braced_template_body1 = 149,
  sym__braced_template_body2 = 150,
  sym_with_template_body = 151,
  sym__extension_template_body = 152,
  sym__end_marker = 153,
  sym_self_type = 154,
  sym__self_type_ascription = 155,
  sym_annotation = 156,
  sym_val_definition = 157,
  sym_val_declaration = 158,
  sym__start_val = 159,
  sym_var_declaration = 160,
  sym_var_definition = 161,
  sym__start_var = 162,
  sym_type_definition = 163,
  sym__type_constructor = 164,
  sym_function_definition = 165,
  sym_function_declaration = 166,
  sym__function_declaration = 167,
  sym__function_constructor = 168,
  sym_opaque_modifier = 169,
  sym_extension_definition = 170,
  sym_given_definition = 171,
  sym__given_constructor = 172,
  sym__structural_instance = 173,
  sym__constructor_application = 174,
  sym__constructor_applications = 175,
  sym_modifiers = 176,
  sym_access_modifier = 177,
  sym_access_qualifier = 178,
  sym_inline_modifier = 179,
  sym_infix_modifier = 180,
  sym_open_modifier = 181,
  sym_transparent_modifier = 182,
  sym_extends_clause = 183,
  sym_derives_clause = 184,
  sym_class_parameters = 185,
  sym_parameters = 186,
  sym__using_parameters_clause = 187,
  sym_class_parameter = 188,
  sym_parameter = 189,
  sym__block = 190,
  sym__indentable_expression = 191,
  sym_block = 192,
  sym_indented_block = 193,
  sym_indented_cases = 194,
  sym__indented_type_cases = 195,
  sym__type = 196,
  sym__annotated_type = 197,
  sym_annotated_type = 198,
  sym__simple_type = 199,
  sym_compound_type = 200,
  sym__structural_type = 201,
  sym__refinement = 202,
  sym__infix_type_choice = 203,
  sym_infix_type = 204,
  sym_tuple_type = 205,
  sym_singleton_type = 206,
  sym_stable_type_identifier = 207,
  sym_stable_identifier = 208,
  sym_generic_type = 209,
  sym_projected_type = 210,
  sym_match_type = 211,
  sym_type_case_clause = 212,
  sym_function_type = 213,
  sym__arrow_then_type = 214,
  sym_parameter_types = 215,
  sym_lazy_parameter_type = 216,
  sym_repeated_parameter_type = 217,
  sym__type_identifier = 218,
  sym_type_lambda = 219,
  sym_case_class_pattern = 220,
  sym_infix_pattern = 221,
  sym_capture_pattern = 222,
  sym_repeat_pattern = 223,
  sym_typed_pattern = 224,
  sym_given_pattern = 225,
  sym_alternative_pattern = 226,
  sym_tuple_pattern = 227,
  sym_expression = 228,
  sym__simple_expression = 229,
  sym_lambda_expression = 230,
  sym_if_expression = 231,
  sym__if_condition = 232,
  sym_match_expression = 233,
  sym_try_expression = 234,
  sym_catch_clause = 235,
  sym__expr_case_clause = 236,
  sym_finally_clause = 237,
  sym_binding = 238,
  sym_bindings = 239,
  sym_case_block = 240,
  sym_case_clause = 241,
  sym__case_pattern = 242,
  sym_guard = 243,
  sym_assignment_expression = 244,
  sym_generic_function = 245,
  sym_call_expression = 246,
  sym_colon_argument = 247,
  sym_field_expression = 248,
  sym_instance_expression = 249,
  sym_ascription_expression = 250,
  sym_infix_expression = 251,
  sym_postfix_expression = 252,
  sym__postfix_expression_choice = 253,
  sym_macro_body = 254,
  sym_prefix_expression = 255,
  sym_tuple_expression = 256,
  sym_parenthesized_expression = 257,
  sym_type_arguments = 258,
  sym_arguments = 259,
  sym__exprs_in_parens = 260,
  sym_splice_expression = 261,
  sym_quote_expression = 262,
  sym_identifier = 263,
  sym__soft_identifier = 264,
  sym_identifiers = 265,
  sym_wildcard = 266,
  sym__non_null_literal = 267,
  sym_literal_type = 268,
  sym_boolean_literal = 269,
  sym_interpolated_string_expression = 270,
  sym__interpolated_string_start = 271,
  sym__dollar_escape = 272,
  sym__aliased_interpolation_identifier = 273,
  sym_interpolation = 274,
  sym_interpolated_string = 275,
  sym_string = 276,
  sym_unit = 277,
  sym_return_expression = 278,
  sym_throw_expression = 279,
  sym_while_expression = 280,
  sym_do_while_expression = 281,
  sym_for_expression = 282,
  sym_enumerators = 283,
  sym_enumerator = 284,
  sym__shebang = 285,
  sym_comment = 286,
  sym_using_directive = 287,
  sym_block_comment = 288,
  aux_sym_compilation_unit_repeat1 = 289,
  aux_sym_enum_definition_repeat1 = 290,
  aux_sym__enum_block_repeat1 = 291,
  aux_sym_enum_case_definitions_repeat1 = 292,
  aux_sym__full_enum_def_repeat1 = 293,
  aux_sym_package_identifier_repeat1 = 294,
  aux_sym_import_declaration_repeat1 = 295,
  aux_sym_namespace_selectors_repeat1 = 296,
  aux_sym__class_constructor_repeat1 = 297,
  aux_sym_type_parameters_repeat1 = 298,
  aux_sym__type_parameter_repeat1 = 299,
  aux_sym__type_parameter_repeat2 = 300,
  aux_sym_annotation_repeat1 = 301,
  aux_sym_val_declaration_repeat1 = 302,
  aux_sym__function_constructor_repeat1 = 303,
  aux_sym_extension_definition_repeat1 = 304,
  aux_sym__constructor_applications_repeat1 = 305,
  aux_sym__constructor_applications_repeat2 = 306,
  aux_sym_modifiers_repeat1 = 307,
  aux_sym_derives_clause_repeat1 = 308,
  aux_sym_class_parameters_repeat1 = 309,
  aux_sym_parameters_repeat1 = 310,
  aux_sym__using_parameters_clause_repeat1 = 311,
  aux_sym__block_repeat1 = 312,
  aux_sym_indented_cases_repeat1 = 313,
  aux_sym__indented_type_cases_repeat1 = 314,
  aux_sym_compound_type_repeat1 = 315,
  aux_sym_tuple_type_repeat1 = 316,
  aux_sym_type_lambda_repeat1 = 317,
  aux_sym_case_class_pattern_repeat1 = 318,
  aux_sym_bindings_repeat1 = 319,
  aux_sym_tuple_expression_repeat1 = 320,
  aux_sym_identifiers_repeat1 = 321,
  aux_sym_interpolated_string_repeat1 = 322,
  aux_sym_interpolated_string_repeat2 = 323,
  aux_sym_enumerators_repeat1 = 324,
  aux_sym_enumerator_repeat1 = 325,
  aux_sym_block_comment_repeat1 = 326,
  anon_alias_sym__end_ident = 327,
  alias_sym_refinement = 328,
  alias_sym_structural_type = 329,
  alias_sym_type_identifier = 330,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__alpha_identifier] = "_alpha_identifier",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_case] = "case",
  [anon_sym_COMMA] = ",",
  [anon_sym_package] = "package",
  [anon_sym_DOT] = ".",
  [anon_sym_object] = "object",
  [anon_sym_import] = "import",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym__] = "_",
  [anon_sym_given] = "given",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_as] = "as",
  [anon_sym_class] = "class",
  [anon_sym_trait] = "trait",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_LT_COLON] = "<:",
  [anon_sym_GT_COLON] = ">:",
  [anon_sym_LT_PERCENT] = "<%",
  [anon_sym_end] = "end",
  [anon_sym_if] = "if",
  [anon_sym_while] = "while",
  [anon_sym_for] = "for",
  [anon_sym_match] = "match",
  [anon_sym_try] = "try",
  [anon_sym_new] = "new",
  [anon_sym_this] = "this",
  [anon_sym_extension] = "extension",
  [anon_sym_val] = "val",
  [anon_sym_AT] = "@",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_type] = "type",
  [anon_sym_def] = "def",
  [anon_sym_opaque] = "opaque",
  [anon_sym_with] = "with",
  [anon_sym_abstract] = "abstract",
  [anon_sym_final] = "final",
  [anon_sym_sealed] = "sealed",
  [anon_sym_implicit] = "implicit",
  [anon_sym_lazy] = "lazy",
  [anon_sym_override] = "override",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_inline] = "inline",
  [anon_sym_infix] = "infix",
  [anon_sym_open] = "open",
  [anon_sym_transparent] = "transparent",
  [anon_sym_extends] = "extends",
  [anon_sym_derives] = "derives",
  [anon_sym_LPAREN] = "(",
  [anon_sym_using] = "using",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI] = ";",
  [anon_sym_POUND] = "#",
  [anon_sym_QMARK_EQ_GT] = "\?=>",
  [anon_sym_EQ_GT_GT] = "=>>",
  [anon_sym_PIPE] = "|",
  [anon_sym_else] = "else",
  [anon_sym_then] = "then",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_macro] = "macro",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_SQUOTE] = "'",
  [sym_symbol_literal] = "symbol_literal",
  [sym__interpolation_identifier] = "identifier",
  [sym__backquoted_id] = "_backquoted_id",
  [sym_operator_identifier] = "operator_identifier",
  [sym_integer_literal] = "integer_literal",
  [sym_floating_point_literal] = "floating_point_literal",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [sym__interpolated_multiline_string_start] = "_interpolated_multiline_string_start",
  [sym_null_literal] = "null_literal",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_do] = "do",
  [anon_sym_yield] = "yield",
  [anon_sym_LT_DASH] = "<-",
  [aux_sym__shebang_token1] = "comment",
  [anon_sym_SLASH_SLASH] = "//",
  [sym__comment_text] = "_comment_text",
  [anon_sym_GT] = ">",
  [sym_using_directive_key] = "using_directive_key",
  [sym_using_directive_value] = "using_directive_value",
  [anon_sym_SLASH_STAR] = "/*",
  [aux_sym_block_comment_token1] = "block_comment_token1",
  [anon_sym_STAR_SLASH] = "*/",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__indent] = "_indent",
  [sym__interpolated_string_middle] = "_interpolated_string_middle",
  [sym__interpolated_string_end] = "_interpolated_string_end",
  [sym__interpolated_multiline_string_middle] = "_interpolated_multiline_string_middle",
  [sym__interpolated_multiline_string_end] = "_interpolated_multiline_string_end",
  [sym__outdent] = "_outdent",
  [sym__simple_multiline_string] = "_simple_multiline_string",
  [sym__simple_string] = "_simple_string",
  [sym_compilation_unit] = "compilation_unit",
  [sym__top_level_definition] = "_top_level_definition",
  [sym_enum_definition] = "enum_definition",
  [sym__enum_block] = "_enum_block",
  [sym_enum_body] = "enum_body",
  [sym_enum_case_definitions] = "enum_case_definitions",
  [sym_simple_enum_case] = "simple_enum_case",
  [sym_full_enum_case] = "full_enum_case",
  [sym__full_enum_def] = "_full_enum_def",
  [sym_package_clause] = "package_clause",
  [sym_package_identifier] = "package_identifier",
  [sym_package_object] = "package_object",
  [sym_import_declaration] = "import_declaration",
  [sym_export_declaration] = "export_declaration",
  [sym__namespace_expression] = "_namespace_expression",
  [sym_namespace_wildcard] = "namespace_wildcard",
  [sym__namespace_given_by_type] = "_namespace_given_by_type",
  [sym_namespace_selectors] = "namespace_selectors",
  [sym_arrow_renamed_identifier] = "arrow_renamed_identifier",
  [sym_as_renamed_identifier] = "as_renamed_identifier",
  [sym_object_definition] = "object_definition",
  [sym__object_definition] = "_object_definition",
  [sym_class_definition] = "class_definition",
  [sym__class_definition] = "_class_definition",
  [sym__definition_body] = "_definition_body",
  [sym__class_constructor] = "_class_constructor",
  [sym_trait_definition] = "trait_definition",
  [sym_type_parameters] = "type_parameters",
  [sym__variant_type_parameter] = "_variant_type_parameter",
  [sym_covariant_type_parameter] = "covariant_type_parameter",
  [sym_contravariant_type_parameter] = "contravariant_type_parameter",
  [sym__type_parameter] = "_type_parameter",
  [sym_upper_bound] = "upper_bound",
  [sym_lower_bound] = "lower_bound",
  [sym_view_bound] = "view_bound",
  [sym_context_bound] = "context_bound",
  [sym_template_body] = "template_body",
  [sym__indented_template_body] = "_indented_template_body",
  [sym__braced_template_body] = "_braced_template_body",
  [sym__braced_template_body1] = "_braced_template_body1",
  [sym__braced_template_body2] = "_braced_template_body2",
  [sym_with_template_body] = "with_template_body",
  [sym__extension_template_body] = "_extension_template_body",
  [sym__end_marker] = "_end_marker",
  [sym_self_type] = "self_type",
  [sym__self_type_ascription] = "_self_type_ascription",
  [sym_annotation] = "annotation",
  [sym_val_definition] = "val_definition",
  [sym_val_declaration] = "val_declaration",
  [sym__start_val] = "_start_val",
  [sym_var_declaration] = "var_declaration",
  [sym_var_definition] = "var_definition",
  [sym__start_var] = "_start_var",
  [sym_type_definition] = "type_definition",
  [sym__type_constructor] = "_type_constructor",
  [sym_function_definition] = "function_definition",
  [sym_function_declaration] = "function_declaration",
  [sym__function_declaration] = "_function_declaration",
  [sym__function_constructor] = "_function_constructor",
  [sym_opaque_modifier] = "opaque_modifier",
  [sym_extension_definition] = "extension_definition",
  [sym_given_definition] = "given_definition",
  [sym__given_constructor] = "_given_constructor",
  [sym__structural_instance] = "_structural_instance",
  [sym__constructor_application] = "_constructor_application",
  [sym__constructor_applications] = "_constructor_applications",
  [sym_modifiers] = "modifiers",
  [sym_access_modifier] = "access_modifier",
  [sym_access_qualifier] = "access_qualifier",
  [sym_inline_modifier] = "inline_modifier",
  [sym_infix_modifier] = "infix_modifier",
  [sym_open_modifier] = "open_modifier",
  [sym_transparent_modifier] = "transparent_modifier",
  [sym_extends_clause] = "extends_clause",
  [sym_derives_clause] = "derives_clause",
  [sym_class_parameters] = "class_parameters",
  [sym_parameters] = "parameters",
  [sym__using_parameters_clause] = "_using_parameters_clause",
  [sym_class_parameter] = "class_parameter",
  [sym_parameter] = "parameter",
  [sym__block] = "_block",
  [sym__indentable_expression] = "_indentable_expression",
  [sym_block] = "block",
  [sym_indented_block] = "indented_block",
  [sym_indented_cases] = "indented_cases",
  [sym__indented_type_cases] = "_indented_type_cases",
  [sym__type] = "_type",
  [sym__annotated_type] = "_annotated_type",
  [sym_annotated_type] = "annotated_type",
  [sym__simple_type] = "_simple_type",
  [sym_compound_type] = "compound_type",
  [sym__structural_type] = "_structural_type",
  [sym__refinement] = "_refinement",
  [sym__infix_type_choice] = "_infix_type_choice",
  [sym_infix_type] = "infix_type",
  [sym_tuple_type] = "tuple_type",
  [sym_singleton_type] = "singleton_type",
  [sym_stable_type_identifier] = "stable_type_identifier",
  [sym_stable_identifier] = "stable_identifier",
  [sym_generic_type] = "generic_type",
  [sym_projected_type] = "projected_type",
  [sym_match_type] = "match_type",
  [sym_type_case_clause] = "type_case_clause",
  [sym_function_type] = "function_type",
  [sym__arrow_then_type] = "_arrow_then_type",
  [sym_parameter_types] = "parameter_types",
  [sym_lazy_parameter_type] = "lazy_parameter_type",
  [sym_repeated_parameter_type] = "repeated_parameter_type",
  [sym__type_identifier] = "_type_identifier",
  [sym_type_lambda] = "type_lambda",
  [sym_case_class_pattern] = "case_class_pattern",
  [sym_infix_pattern] = "infix_pattern",
  [sym_capture_pattern] = "capture_pattern",
  [sym_repeat_pattern] = "repeat_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_given_pattern] = "given_pattern",
  [sym_alternative_pattern] = "alternative_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_expression] = "expression",
  [sym__simple_expression] = "_simple_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_if_expression] = "if_expression",
  [sym__if_condition] = "_if_condition",
  [sym_match_expression] = "match_expression",
  [sym_try_expression] = "try_expression",
  [sym_catch_clause] = "catch_clause",
  [sym__expr_case_clause] = "_expr_case_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_binding] = "binding",
  [sym_bindings] = "bindings",
  [sym_case_block] = "case_block",
  [sym_case_clause] = "case_clause",
  [sym__case_pattern] = "_case_pattern",
  [sym_guard] = "guard",
  [sym_assignment_expression] = "assignment_expression",
  [sym_generic_function] = "generic_function",
  [sym_call_expression] = "call_expression",
  [sym_colon_argument] = "colon_argument",
  [sym_field_expression] = "field_expression",
  [sym_instance_expression] = "instance_expression",
  [sym_ascription_expression] = "ascription_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym__postfix_expression_choice] = "_postfix_expression_choice",
  [sym_macro_body] = "macro_body",
  [sym_prefix_expression] = "prefix_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_type_arguments] = "type_arguments",
  [sym_arguments] = "arguments",
  [sym__exprs_in_parens] = "_exprs_in_parens",
  [sym_splice_expression] = "splice_expression",
  [sym_quote_expression] = "quote_expression",
  [sym_identifier] = "identifier",
  [sym__soft_identifier] = "_soft_identifier",
  [sym_identifiers] = "identifiers",
  [sym_wildcard] = "wildcard",
  [sym__non_null_literal] = "_non_null_literal",
  [sym_literal_type] = "literal_type",
  [sym_boolean_literal] = "boolean_literal",
  [sym_interpolated_string_expression] = "interpolated_string_expression",
  [sym__interpolated_string_start] = "_interpolated_string_start",
  [sym__dollar_escape] = "_dollar_escape",
  [sym__aliased_interpolation_identifier] = "_aliased_interpolation_identifier",
  [sym_interpolation] = "interpolation",
  [sym_interpolated_string] = "interpolated_string",
  [sym_string] = "string",
  [sym_unit] = "unit",
  [sym_return_expression] = "return_expression",
  [sym_throw_expression] = "throw_expression",
  [sym_while_expression] = "while_expression",
  [sym_do_while_expression] = "do_while_expression",
  [sym_for_expression] = "for_expression",
  [sym_enumerators] = "enumerators",
  [sym_enumerator] = "enumerator",
  [sym__shebang] = "_shebang",
  [sym_comment] = "comment",
  [sym_using_directive] = "using_directive",
  [sym_block_comment] = "block_comment",
  [aux_sym_compilation_unit_repeat1] = "compilation_unit_repeat1",
  [aux_sym_enum_definition_repeat1] = "enum_definition_repeat1",
  [aux_sym__enum_block_repeat1] = "_enum_block_repeat1",
  [aux_sym_enum_case_definitions_repeat1] = "enum_case_definitions_repeat1",
  [aux_sym__full_enum_def_repeat1] = "_full_enum_def_repeat1",
  [aux_sym_package_identifier_repeat1] = "package_identifier_repeat1",
  [aux_sym_import_declaration_repeat1] = "import_declaration_repeat1",
  [aux_sym_namespace_selectors_repeat1] = "namespace_selectors_repeat1",
  [aux_sym__class_constructor_repeat1] = "_class_constructor_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym__type_parameter_repeat1] = "_type_parameter_repeat1",
  [aux_sym__type_parameter_repeat2] = "_type_parameter_repeat2",
  [aux_sym_annotation_repeat1] = "annotation_repeat1",
  [aux_sym_val_declaration_repeat1] = "val_declaration_repeat1",
  [aux_sym__function_constructor_repeat1] = "_function_constructor_repeat1",
  [aux_sym_extension_definition_repeat1] = "extension_definition_repeat1",
  [aux_sym__constructor_applications_repeat1] = "_constructor_applications_repeat1",
  [aux_sym__constructor_applications_repeat2] = "_constructor_applications_repeat2",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_derives_clause_repeat1] = "derives_clause_repeat1",
  [aux_sym_class_parameters_repeat1] = "class_parameters_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym__using_parameters_clause_repeat1] = "_using_parameters_clause_repeat1",
  [aux_sym__block_repeat1] = "_block_repeat1",
  [aux_sym_indented_cases_repeat1] = "indented_cases_repeat1",
  [aux_sym__indented_type_cases_repeat1] = "_indented_type_cases_repeat1",
  [aux_sym_compound_type_repeat1] = "compound_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_type_lambda_repeat1] = "type_lambda_repeat1",
  [aux_sym_case_class_pattern_repeat1] = "case_class_pattern_repeat1",
  [aux_sym_bindings_repeat1] = "bindings_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_identifiers_repeat1] = "identifiers_repeat1",
  [aux_sym_interpolated_string_repeat1] = "interpolated_string_repeat1",
  [aux_sym_interpolated_string_repeat2] = "interpolated_string_repeat2",
  [aux_sym_enumerators_repeat1] = "enumerators_repeat1",
  [aux_sym_enumerator_repeat1] = "enumerator_repeat1",
  [aux_sym_block_comment_repeat1] = "block_comment_repeat1",
  [anon_alias_sym__end_ident] = "_end_ident",
  [alias_sym_refinement] = "refinement",
  [alias_sym_structural_type] = "structural_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__alpha_identifier] = sym__alpha_identifier,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym__] = anon_sym__,
  [anon_sym_given] = anon_sym_given,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_trait] = anon_sym_trait,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LT_COLON] = anon_sym_LT_COLON,
  [anon_sym_GT_COLON] = anon_sym_GT_COLON,
  [anon_sym_LT_PERCENT] = anon_sym_LT_PERCENT,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_this] = anon_sym_this,
  [anon_sym_extension] = anon_sym_extension,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_implicit] = anon_sym_implicit,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_infix] = anon_sym_infix,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_transparent] = anon_sym_transparent,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_derives] = anon_sym_derives,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_QMARK_EQ_GT] = anon_sym_QMARK_EQ_GT,
  [anon_sym_EQ_GT_GT] = anon_sym_EQ_GT_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_macro] = anon_sym_macro,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_symbol_literal] = sym_symbol_literal,
  [sym__interpolation_identifier] = sym_identifier,
  [sym__backquoted_id] = sym__backquoted_id,
  [sym_operator_identifier] = sym_operator_identifier,
  [sym_integer_literal] = sym_integer_literal,
  [sym_floating_point_literal] = sym_floating_point_literal,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__interpolated_multiline_string_start] = sym__interpolated_multiline_string_start,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [aux_sym__shebang_token1] = sym_comment,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [sym__comment_text] = sym__comment_text,
  [anon_sym_GT] = anon_sym_GT,
  [sym_using_directive_key] = sym_using_directive_key,
  [sym_using_directive_value] = sym_using_directive_value,
  [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
  [aux_sym_block_comment_token1] = aux_sym_block_comment_token1,
  [anon_sym_STAR_SLASH] = anon_sym_STAR_SLASH,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__indent] = sym__indent,
  [sym__interpolated_string_middle] = sym__interpolated_string_middle,
  [sym__interpolated_string_end] = sym__interpolated_string_end,
  [sym__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [sym__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [sym__outdent] = sym__outdent,
  [sym__simple_multiline_string] = sym__simple_multiline_string,
  [sym__simple_string] = sym__simple_string,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__top_level_definition] = sym__top_level_definition,
  [sym_enum_definition] = sym_enum_definition,
  [sym__enum_block] = sym__enum_block,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_case_definitions] = sym_enum_case_definitions,
  [sym_simple_enum_case] = sym_simple_enum_case,
  [sym_full_enum_case] = sym_full_enum_case,
  [sym__full_enum_def] = sym__full_enum_def,
  [sym_package_clause] = sym_package_clause,
  [sym_package_identifier] = sym_package_identifier,
  [sym_package_object] = sym_package_object,
  [sym_import_declaration] = sym_import_declaration,
  [sym_export_declaration] = sym_export_declaration,
  [sym__namespace_expression] = sym__namespace_expression,
  [sym_namespace_wildcard] = sym_namespace_wildcard,
  [sym__namespace_given_by_type] = sym__namespace_given_by_type,
  [sym_namespace_selectors] = sym_namespace_selectors,
  [sym_arrow_renamed_identifier] = sym_arrow_renamed_identifier,
  [sym_as_renamed_identifier] = sym_as_renamed_identifier,
  [sym_object_definition] = sym_object_definition,
  [sym__object_definition] = sym__object_definition,
  [sym_class_definition] = sym_class_definition,
  [sym__class_definition] = sym__class_definition,
  [sym__definition_body] = sym__definition_body,
  [sym__class_constructor] = sym__class_constructor,
  [sym_trait_definition] = sym_trait_definition,
  [sym_type_parameters] = sym_type_parameters,
  [sym__variant_type_parameter] = sym__variant_type_parameter,
  [sym_covariant_type_parameter] = sym_covariant_type_parameter,
  [sym_contravariant_type_parameter] = sym_contravariant_type_parameter,
  [sym__type_parameter] = sym__type_parameter,
  [sym_upper_bound] = sym_upper_bound,
  [sym_lower_bound] = sym_lower_bound,
  [sym_view_bound] = sym_view_bound,
  [sym_context_bound] = sym_context_bound,
  [sym_template_body] = sym_template_body,
  [sym__indented_template_body] = sym__indented_template_body,
  [sym__braced_template_body] = sym__braced_template_body,
  [sym__braced_template_body1] = sym__braced_template_body1,
  [sym__braced_template_body2] = sym__braced_template_body2,
  [sym_with_template_body] = sym_with_template_body,
  [sym__extension_template_body] = sym__extension_template_body,
  [sym__end_marker] = sym__end_marker,
  [sym_self_type] = sym_self_type,
  [sym__self_type_ascription] = sym__self_type_ascription,
  [sym_annotation] = sym_annotation,
  [sym_val_definition] = sym_val_definition,
  [sym_val_declaration] = sym_val_declaration,
  [sym__start_val] = sym__start_val,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_definition] = sym_var_definition,
  [sym__start_var] = sym__start_var,
  [sym_type_definition] = sym_type_definition,
  [sym__type_constructor] = sym__type_constructor,
  [sym_function_definition] = sym_function_definition,
  [sym_function_declaration] = sym_function_declaration,
  [sym__function_declaration] = sym__function_declaration,
  [sym__function_constructor] = sym__function_constructor,
  [sym_opaque_modifier] = sym_opaque_modifier,
  [sym_extension_definition] = sym_extension_definition,
  [sym_given_definition] = sym_given_definition,
  [sym__given_constructor] = sym__given_constructor,
  [sym__structural_instance] = sym__structural_instance,
  [sym__constructor_application] = sym__constructor_application,
  [sym__constructor_applications] = sym__constructor_applications,
  [sym_modifiers] = sym_modifiers,
  [sym_access_modifier] = sym_access_modifier,
  [sym_access_qualifier] = sym_access_qualifier,
  [sym_inline_modifier] = sym_inline_modifier,
  [sym_infix_modifier] = sym_infix_modifier,
  [sym_open_modifier] = sym_open_modifier,
  [sym_transparent_modifier] = sym_transparent_modifier,
  [sym_extends_clause] = sym_extends_clause,
  [sym_derives_clause] = sym_derives_clause,
  [sym_class_parameters] = sym_class_parameters,
  [sym_parameters] = sym_parameters,
  [sym__using_parameters_clause] = sym__using_parameters_clause,
  [sym_class_parameter] = sym_class_parameter,
  [sym_parameter] = sym_parameter,
  [sym__block] = sym__block,
  [sym__indentable_expression] = sym__indentable_expression,
  [sym_block] = sym_block,
  [sym_indented_block] = sym_indented_block,
  [sym_indented_cases] = sym_indented_cases,
  [sym__indented_type_cases] = sym__indented_type_cases,
  [sym__type] = sym__type,
  [sym__annotated_type] = sym__annotated_type,
  [sym_annotated_type] = sym_annotated_type,
  [sym__simple_type] = sym__simple_type,
  [sym_compound_type] = sym_compound_type,
  [sym__structural_type] = sym__structural_type,
  [sym__refinement] = sym__refinement,
  [sym__infix_type_choice] = sym__infix_type_choice,
  [sym_infix_type] = sym_infix_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_singleton_type] = sym_singleton_type,
  [sym_stable_type_identifier] = sym_stable_type_identifier,
  [sym_stable_identifier] = sym_stable_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_projected_type] = sym_projected_type,
  [sym_match_type] = sym_match_type,
  [sym_type_case_clause] = sym_type_case_clause,
  [sym_function_type] = sym_function_type,
  [sym__arrow_then_type] = sym__arrow_then_type,
  [sym_parameter_types] = sym_parameter_types,
  [sym_lazy_parameter_type] = sym_lazy_parameter_type,
  [sym_repeated_parameter_type] = sym_repeated_parameter_type,
  [sym__type_identifier] = sym__type_identifier,
  [sym_type_lambda] = sym_type_lambda,
  [sym_case_class_pattern] = sym_case_class_pattern,
  [sym_infix_pattern] = sym_infix_pattern,
  [sym_capture_pattern] = sym_capture_pattern,
  [sym_repeat_pattern] = sym_repeat_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_given_pattern] = sym_given_pattern,
  [sym_alternative_pattern] = sym_alternative_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_expression] = sym_expression,
  [sym__simple_expression] = sym__simple_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_if_expression] = sym_if_expression,
  [sym__if_condition] = sym__if_condition,
  [sym_match_expression] = sym_match_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_catch_clause] = sym_catch_clause,
  [sym__expr_case_clause] = sym__expr_case_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_binding] = sym_binding,
  [sym_bindings] = sym_bindings,
  [sym_case_block] = sym_case_block,
  [sym_case_clause] = sym_case_clause,
  [sym__case_pattern] = sym__case_pattern,
  [sym_guard] = sym_guard,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_generic_function] = sym_generic_function,
  [sym_call_expression] = sym_call_expression,
  [sym_colon_argument] = sym_colon_argument,
  [sym_field_expression] = sym_field_expression,
  [sym_instance_expression] = sym_instance_expression,
  [sym_ascription_expression] = sym_ascription_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym__postfix_expression_choice] = sym__postfix_expression_choice,
  [sym_macro_body] = sym_macro_body,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_type_arguments] = sym_type_arguments,
  [sym_arguments] = sym_arguments,
  [sym__exprs_in_parens] = sym__exprs_in_parens,
  [sym_splice_expression] = sym_splice_expression,
  [sym_quote_expression] = sym_quote_expression,
  [sym_identifier] = sym_identifier,
  [sym__soft_identifier] = sym__soft_identifier,
  [sym_identifiers] = sym_identifiers,
  [sym_wildcard] = sym_wildcard,
  [sym__non_null_literal] = sym__non_null_literal,
  [sym_literal_type] = sym_literal_type,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_interpolated_string_expression] = sym_interpolated_string_expression,
  [sym__interpolated_string_start] = sym__interpolated_string_start,
  [sym__dollar_escape] = sym__dollar_escape,
  [sym__aliased_interpolation_identifier] = sym__aliased_interpolation_identifier,
  [sym_interpolation] = sym_interpolation,
  [sym_interpolated_string] = sym_interpolated_string,
  [sym_string] = sym_string,
  [sym_unit] = sym_unit,
  [sym_return_expression] = sym_return_expression,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_expression] = sym_while_expression,
  [sym_do_while_expression] = sym_do_while_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_enumerators] = sym_enumerators,
  [sym_enumerator] = sym_enumerator,
  [sym__shebang] = sym__shebang,
  [sym_comment] = sym_comment,
  [sym_using_directive] = sym_using_directive,
  [sym_block_comment] = sym_block_comment,
  [aux_sym_compilation_unit_repeat1] = aux_sym_compilation_unit_repeat1,
  [aux_sym_enum_definition_repeat1] = aux_sym_enum_definition_repeat1,
  [aux_sym__enum_block_repeat1] = aux_sym__enum_block_repeat1,
  [aux_sym_enum_case_definitions_repeat1] = aux_sym_enum_case_definitions_repeat1,
  [aux_sym__full_enum_def_repeat1] = aux_sym__full_enum_def_repeat1,
  [aux_sym_package_identifier_repeat1] = aux_sym_package_identifier_repeat1,
  [aux_sym_import_declaration_repeat1] = aux_sym_import_declaration_repeat1,
  [aux_sym_namespace_selectors_repeat1] = aux_sym_namespace_selectors_repeat1,
  [aux_sym__class_constructor_repeat1] = aux_sym__class_constructor_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym__type_parameter_repeat1] = aux_sym__type_parameter_repeat1,
  [aux_sym__type_parameter_repeat2] = aux_sym__type_parameter_repeat2,
  [aux_sym_annotation_repeat1] = aux_sym_annotation_repeat1,
  [aux_sym_val_declaration_repeat1] = aux_sym_val_declaration_repeat1,
  [aux_sym__function_constructor_repeat1] = aux_sym__function_constructor_repeat1,
  [aux_sym_extension_definition_repeat1] = aux_sym_extension_definition_repeat1,
  [aux_sym__constructor_applications_repeat1] = aux_sym__constructor_applications_repeat1,
  [aux_sym__constructor_applications_repeat2] = aux_sym__constructor_applications_repeat2,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_derives_clause_repeat1] = aux_sym_derives_clause_repeat1,
  [aux_sym_class_parameters_repeat1] = aux_sym_class_parameters_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym__using_parameters_clause_repeat1] = aux_sym__using_parameters_clause_repeat1,
  [aux_sym__block_repeat1] = aux_sym__block_repeat1,
  [aux_sym_indented_cases_repeat1] = aux_sym_indented_cases_repeat1,
  [aux_sym__indented_type_cases_repeat1] = aux_sym__indented_type_cases_repeat1,
  [aux_sym_compound_type_repeat1] = aux_sym_compound_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_type_lambda_repeat1] = aux_sym_type_lambda_repeat1,
  [aux_sym_case_class_pattern_repeat1] = aux_sym_case_class_pattern_repeat1,
  [aux_sym_bindings_repeat1] = aux_sym_bindings_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_identifiers_repeat1] = aux_sym_identifiers_repeat1,
  [aux_sym_interpolated_string_repeat1] = aux_sym_interpolated_string_repeat1,
  [aux_sym_interpolated_string_repeat2] = aux_sym_interpolated_string_repeat2,
  [aux_sym_enumerators_repeat1] = aux_sym_enumerators_repeat1,
  [aux_sym_enumerator_repeat1] = aux_sym_enumerator_repeat1,
  [aux_sym_block_comment_repeat1] = aux_sym_block_comment_repeat1,
  [anon_alias_sym__end_ident] = anon_alias_sym__end_ident,
  [alias_sym_refinement] = alias_sym_refinement,
  [alias_sym_structural_type] = alias_sym_structural_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__alpha_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_given] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_trait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extension] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transparent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_derives] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_symbol_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__backquoted_id] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolated_multiline_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shebang_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__comment_text] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_using_directive_key] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_STAR_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__outdent] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_multiline_string] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_block] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_case_definitions] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_full_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym__full_enum_def] = {
    .visible = false,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_package_object] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_export_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_given_by_type] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_selectors] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_as_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_object_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__object_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__class_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__definition_body] = {
    .visible = false,
    .named = true,
  },
  [sym__class_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_trait_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__variant_type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_covariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_contravariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_upper_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_lower_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_view_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_context_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body1] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body2] = {
    .visible = false,
    .named = true,
  },
  [sym_with_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym__extension_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__end_marker] = {
    .visible = false,
    .named = true,
  },
  [sym_self_type] = {
    .visible = true,
    .named = true,
  },
  [sym__self_type_ascription] = {
    .visible = false,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_val_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_val_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__start_val] = {
    .visible = false,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__start_var] = {
    .visible = false,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__function_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_opaque_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_given_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__given_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym__structural_instance] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_application] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_applications] = {
    .visible = false,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_access_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_access_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_open_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_transparent_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_derives_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_class_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__using_parameters_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_class_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym__indentable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_block] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_cases] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_type_cases] = {
    .visible = false,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__annotated_type] = {
    .visible = false,
    .named = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_compound_type] = {
    .visible = true,
    .named = true,
  },
  [sym__structural_type] = {
    .visible = false,
    .named = true,
  },
  [sym__refinement] = {
    .visible = false,
    .named = true,
  },
  [sym__infix_type_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_infix_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_singleton_type] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_projected_type] = {
    .visible = true,
    .named = true,
  },
  [sym_match_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__arrow_then_type] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym_repeated_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym__type_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_case_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_capture_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_given_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alternative_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__if_condition] = {
    .visible = false,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__expr_case_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_bindings] = {
    .visible = true,
    .named = true,
  },
  [sym_case_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__case_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ascription_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__postfix_expression_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_body] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__exprs_in_parens] = {
    .visible = false,
    .named = true,
  },
  [sym_splice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_quote_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__soft_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_identifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__non_null_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolated_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__dollar_escape] = {
    .visible = false,
    .named = true,
  },
  [sym__aliased_interpolation_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerators] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym__shebang] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_compilation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__enum_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_case_definitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__full_enum_def_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_package_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_selectors_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_val_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extension_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_applications_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_applications_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derives_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__using_parameters_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_indented_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_type_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_compound_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_lambda_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_class_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bindings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_comment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym__end_ident] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_refinement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_structural_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_base = 4,
  field_body = 5,
  field_bound = 6,
  field_class_parameters = 7,
  field_condition = 8,
  field_consequence = 9,
  field_default_value = 10,
  field_derive = 11,
  field_enumerators = 12,
  field_extend = 13,
  field_extra = 14,
  field_field = 15,
  field_function = 16,
  field_interpolator = 17,
  field_lambda_start = 18,
  field_left = 19,
  field_name = 20,
  field_operator = 21,
  field_parameter_types = 22,
  field_parameters = 23,
  field_path = 24,
  field_pattern = 25,
  field_return_type = 26,
  field_right = 27,
  field_selector = 28,
  field_type = 29,
  field_type_arguments = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_base] = "base",
  [field_body] = "body",
  [field_bound] = "bound",
  [field_class_parameters] = "class_parameters",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_default_value] = "default_value",
  [field_derive] = "derive",
  [field_enumerators] = "enumerators",
  [field_extend] = "extend",
  [field_extra] = "extra",
  [field_field] = "field",
  [field_function] = "function",
  [field_interpolator] = "interpolator",
  [field_lambda_start] = "lambda_start",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameter_types] = "parameter_types",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_selector] = "selector",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 4},
  [2] = {.index = 4, .length = 1},
  [3] = {.index = 5, .length = 1},
  [4] = {.index = 6, .length = 4},
  [5] = {.index = 10, .length = 1},
  [6] = {.index = 11, .length = 1},
  [9] = {.index = 12, .length = 3},
  [10] = {.index = 15, .length = 1},
  [11] = {.index = 16, .length = 6},
  [12] = {.index = 22, .length = 3},
  [14] = {.index = 25, .length = 1},
  [15] = {.index = 26, .length = 1},
  [16] = {.index = 27, .length = 3},
  [17] = {.index = 30, .length = 3},
  [18] = {.index = 33, .length = 5},
  [19] = {.index = 38, .length = 2},
  [20] = {.index = 40, .length = 2},
  [21] = {.index = 42, .length = 1},
  [22] = {.index = 43, .length = 2},
  [23] = {.index = 45, .length = 2},
  [24] = {.index = 47, .length = 4},
  [25] = {.index = 51, .length = 1},
  [26] = {.index = 52, .length = 4},
  [27] = {.index = 56, .length = 6},
  [28] = {.index = 62, .length = 2},
  [29] = {.index = 64, .length = 3},
  [30] = {.index = 67, .length = 1},
  [31] = {.index = 68, .length = 2},
  [32] = {.index = 70, .length = 2},
  [33] = {.index = 72, .length = 2},
  [34] = {.index = 74, .length = 2},
  [35] = {.index = 76, .length = 3},
  [36] = {.index = 79, .length = 1},
  [37] = {.index = 80, .length = 6},
  [38] = {.index = 86, .length = 4},
  [40] = {.index = 90, .length = 1},
  [41] = {.index = 91, .length = 1},
  [42] = {.index = 92, .length = 2},
  [43] = {.index = 94, .length = 2},
  [44] = {.index = 96, .length = 1},
  [45] = {.index = 97, .length = 5},
  [46] = {.index = 102, .length = 4},
  [47] = {.index = 106, .length = 4},
  [48] = {.index = 110, .length = 2},
  [49] = {.index = 112, .length = 2},
  [50] = {.index = 114, .length = 1},
  [51] = {.index = 115, .length = 1},
  [52] = {.index = 116, .length = 1},
  [53] = {.index = 117, .length = 2},
  [54] = {.index = 119, .length = 2},
  [55] = {.index = 121, .length = 2},
  [56] = {.index = 123, .length = 2},
  [57] = {.index = 125, .length = 2},
  [58] = {.index = 127, .length = 5},
  [59] = {.index = 132, .length = 3},
  [60] = {.index = 135, .length = 3},
  [61] = {.index = 138, .length = 1},
  [62] = {.index = 139, .length = 3},
  [63] = {.index = 142, .length = 2},
  [64] = {.index = 144, .length = 2},
  [65] = {.index = 146, .length = 2},
  [66] = {.index = 148, .length = 3},
  [67] = {.index = 151, .length = 2},
  [68] = {.index = 153, .length = 3},
  [69] = {.index = 156, .length = 2},
  [70] = {.index = 158, .length = 1},
  [71] = {.index = 159, .length = 2},
  [72] = {.index = 161, .length = 5},
  [73] = {.index = 166, .length = 5},
  [74] = {.index = 171, .length = 2},
  [75] = {.index = 173, .length = 4},
  [76] = {.index = 177, .length = 3},
  [77] = {.index = 180, .length = 4},
  [78] = {.index = 184, .length = 2},
  [79] = {.index = 186, .length = 2},
  [80] = {.index = 188, .length = 2},
  [81] = {.index = 190, .length = 2},
  [82] = {.index = 192, .length = 2},
  [83] = {.index = 194, .length = 1},
  [84] = {.index = 195, .length = 2},
  [85] = {.index = 197, .length = 2},
  [86] = {.index = 199, .length = 6},
  [87] = {.index = 205, .length = 5},
  [88] = {.index = 210, .length = 6},
  [89] = {.index = 216, .length = 3},
  [90] = {.index = 219, .length = 2},
  [91] = {.index = 221, .length = 2},
  [92] = {.index = 223, .length = 1},
  [93] = {.index = 224, .length = 2},
  [94] = {.index = 226, .length = 2},
  [95] = {.index = 228, .length = 3},
  [96] = {.index = 231, .length = 4},
  [97] = {.index = 235, .length = 3},
  [98] = {.index = 238, .length = 3},
  [99] = {.index = 241, .length = 3},
  [100] = {.index = 244, .length = 4},
  [101] = {.index = 248, .length = 2},
  [102] = {.index = 250, .length = 2},
  [103] = {.index = 252, .length = 1},
  [104] = {.index = 253, .length = 2},
  [105] = {.index = 255, .length = 2},
  [106] = {.index = 257, .length = 2},
  [107] = {.index = 259, .length = 2},
  [108] = {.index = 261, .length = 4},
  [109] = {.index = 265, .length = 6},
  [110] = {.index = 271, .length = 6},
  [111] = {.index = 277, .length = 4},
  [112] = {.index = 281, .length = 3},
  [113] = {.index = 284, .length = 2},
  [114] = {.index = 286, .length = 2},
  [115] = {.index = 288, .length = 4},
  [116] = {.index = 292, .length = 4},
  [117] = {.index = 296, .length = 3},
  [118] = {.index = 299, .length = 1},
  [119] = {.index = 300, .length = 3},
  [120] = {.index = 303, .length = 3},
  [121] = {.index = 306, .length = 2},
  [122] = {.index = 308, .length = 2},
  [123] = {.index = 310, .length = 2},
  [124] = {.index = 312, .length = 6},
  [125] = {.index = 318, .length = 5},
  [126] = {.index = 323, .length = 6},
  [127] = {.index = 329, .length = 6},
  [128] = {.index = 335, .length = 5},
  [129] = {.index = 340, .length = 7},
  [130] = {.index = 347, .length = 3},
  [131] = {.index = 350, .length = 4},
  [132] = {.index = 354, .length = 2},
  [133] = {.index = 356, .length = 4},
  [134] = {.index = 360, .length = 3},
  [135] = {.index = 363, .length = 4},
  [136] = {.index = 367, .length = 2},
  [137] = {.index = 369, .length = 4},
  [138] = {.index = 373, .length = 2},
  [139] = {.index = 375, .length = 5},
  [140] = {.index = 380, .length = 5},
  [141] = {.index = 385, .length = 4},
  [142] = {.index = 389, .length = 6},
  [143] = {.index = 395, .length = 6},
  [144] = {.index = 401, .length = 4},
  [145] = {.index = 405, .length = 3},
  [146] = {.index = 408, .length = 2},
  [147] = {.index = 410, .length = 1},
  [148] = {.index = 411, .length = 3},
  [149] = {.index = 414, .length = 4},
  [150] = {.index = 418, .length = 1},
  [151] = {.index = 419, .length = 2},
  [152] = {.index = 421, .length = 2},
  [153] = {.index = 423, .length = 4},
  [154] = {.index = 427, .length = 3},
  [155] = {.index = 430, .length = 4},
  [156] = {.index = 434, .length = 3},
  [157] = {.index = 437, .length = 3},
  [158] = {.index = 440, .length = 5},
  [159] = {.index = 445, .length = 4},
  [160] = {.index = 449, .length = 3},
  [161] = {.index = 452, .length = 6},
  [162] = {.index = 458, .length = 2},
  [163] = {.index = 460, .length = 4},
  [164] = {.index = 464, .length = 2},
  [165] = {.index = 466, .length = 1},
  [166] = {.index = 467, .length = 2},
  [167] = {.index = 469, .length = 2},
  [168] = {.index = 471, .length = 4},
  [169] = {.index = 475, .length = 5},
  [170] = {.index = 480, .length = 5},
  [171] = {.index = 485, .length = 3},
  [172] = {.index = 488, .length = 2},
  [173] = {.index = 490, .length = 4},
  [174] = {.index = 494, .length = 3},
  [175] = {.index = 497, .length = 5},
  [176] = {.index = 502, .length = 4},
  [177] = {.index = 506, .length = 2},
  [178] = {.index = 508, .length = 3},
  [179] = {.index = 511, .length = 4},
  [180] = {.index = 515, .length = 7},
  [181] = {.index = 522, .length = 6},
  [182] = {.index = 528, .length = 3},
  [183] = {.index = 531, .length = 2},
  [184] = {.index = 533, .length = 2},
  [185] = {.index = 535, .length = 2},
  [186] = {.index = 537, .length = 7},
  [187] = {.index = 544, .length = 3},
  [188] = {.index = 547, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [4] =
    {field_name, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_body, 1, .inherited = true},
    {field_derive, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [10] =
    {field_path, 0},
  [11] =
    {field_path, 1, .inherited = true},
  [12] =
    {field_arguments, 1, .inherited = true},
    {field_body, 1, .inherited = true},
    {field_return_type, 1},
  [15] =
    {field_return_type, 1},
  [16] =
    {field_body, 1, .inherited = true},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [22] =
    {field_class_parameters, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [25] =
    {field_body, 1},
  [26] =
    {field_arguments, 1, .inherited = true},
  [27] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [30] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [33] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [38] =
    {field_function, 0},
    {field_type_arguments, 1},
  [40] =
    {field_arguments, 1},
    {field_function, 0},
  [42] =
    {field_interpolator, 0},
  [43] =
    {field_name, 0},
    {field_type_parameters, 1},
  [45] =
    {field_class_parameters, 1},
    {field_name, 0},
  [47] =
    {field_body, 2},
    {field_class_parameters, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [51] =
    {field_pattern, 1, .inherited = true},
  [52] =
    {field_body, 2, .inherited = true},
    {field_derive, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [56] =
    {field_body, 2, .inherited = true},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [62] =
    {field_body, 2},
    {field_name, 1},
  [64] =
    {field_body, 1},
    {field_body, 1, .inherited = true},
    {field_name, 0},
  [67] =
    {field_body, 0},
  [68] =
    {field_extend, 1},
    {field_name, 0},
  [70] =
    {field_derive, 1},
    {field_name, 0},
  [72] =
    {field_path, 0},
    {field_path, 1},
  [74] =
    {field_path, 1, .inherited = true},
    {field_path, 2, .inherited = true},
  [76] =
    {field_bound, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [79] =
    {field_type_parameters, 0},
  [80] =
    {field_arguments, 2, .inherited = true},
    {field_body, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [86] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [90] =
    {field_base, 0},
  [91] =
    {field_arguments, 1},
  [92] =
    {field_base, 0},
    {field_extra, 1, .inherited = true},
  [94] =
    {field_type, 0},
    {field_type_arguments, 1},
  [96] =
    {field_parameters, 0},
  [97] =
    {field_body, 1},
    {field_body, 1, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [102] =
    {field_class_parameters, 0, .inherited = true},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [106] =
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [110] =
    {field_condition, 1},
    {field_consequence, 2},
  [112] =
    {field_body, 2},
    {field_condition, 1},
  [114] =
    {field_type, 1},
  [115] =
    {field_condition, 1},
  [116] =
    {field_pattern, 0},
  [117] =
    {field_body, 2},
    {field_type_parameters, 1},
  [119] =
    {field_body, 2},
    {field_parameters, 1},
  [121] =
    {field_arguments, 2},
    {field_name, 1},
  [123] =
    {field_bound, 1},
    {field_name, 0},
  [125] =
    {field_name, 0},
    {field_parameters, 1},
  [127] =
    {field_body, 2},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [132] =
    {field_bound, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [135] =
    {field_arguments, 2, .inherited = true},
    {field_body, 2, .inherited = true},
    {field_return_type, 2},
  [138] =
    {field_return_type, 2},
  [139] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [142] =
    {field_body, 2},
    {field_value, 0},
  [144] =
    {field_field, 2},
    {field_value, 0},
  [146] =
    {field_left, 0},
    {field_right, 2},
  [148] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [151] =
    {field_arguments, 2},
    {field_function, 0},
  [153] =
    {field_class_parameters, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [156] =
    {field_class_parameters, 2},
    {field_name, 0},
  [158] =
    {field_arguments, 0, .inherited = true},
  [159] =
    {field_arguments, 1, .inherited = true},
    {field_type, 1},
  [161] =
    {field_body, 3},
    {field_class_parameters, 1, .inherited = true},
    {field_extend, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [166] =
    {field_body, 3},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [171] =
    {field_body, 2},
    {field_pattern, 1, .inherited = true},
  [173] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_extend, 1},
    {field_name, 0},
  [177] =
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0},
  [180] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_derive, 1},
    {field_name, 0},
  [184] =
    {field_path, 0, .inherited = true},
    {field_path, 1, .inherited = true},
  [186] =
    {field_parameter_types, 0},
    {field_return_type, 1, .inherited = true},
  [188] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [190] =
    {field_arguments, 0, .inherited = true},
    {field_body, 2},
  [192] =
    {field_body, 3},
    {field_return_type, 1},
  [194] =
    {field_extra, 1},
  [195] =
    {field_extra, 0, .inherited = true},
    {field_extra, 1, .inherited = true},
  [197] =
    {field_selector, 2},
    {field_type, 0},
  [199] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [205] =
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [210] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [216] =
    {field_body, 3},
    {field_condition, 1},
    {field_condition, 2},
  [219] =
    {field_pattern, 0},
    {field_type, 2},
  [221] =
    {field_name, 0},
    {field_pattern, 2},
  [223] =
    {field_type, 0},
  [224] =
    {field_body, 3},
    {field_enumerators, 1},
  [226] =
    {field_body, 1, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [228] =
    {field_body, 3},
    {field_parameters, 2},
    {field_type_parameters, 1},
  [231] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [235] =
    {field_bound, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [238] =
    {field_bound, 1},
    {field_bound, 2},
    {field_name, 0},
  [241] =
    {field_name, 0},
    {field_parameters, 2},
    {field_type_parameters, 1},
  [244] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [248] =
    {field_parameters, 0},
    {field_parameters, 1},
  [250] =
    {field_name, 0},
    {field_type, 2},
  [252] =
    {field_type, 2},
  [253] =
    {field_body, 1},
    {field_condition, 3},
  [255] =
    {field_name, 1},
    {field_type, 3},
  [257] =
    {field_pattern, 1},
    {field_value, 3},
  [259] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [261] =
    {field_body, 3, .inherited = true},
    {field_derive, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [265] =
    {field_body, 3, .inherited = true},
    {field_class_parameters, 3, .inherited = true},
    {field_derive, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [271] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [277] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [281] =
    {field_bound, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [284] =
    {field_condition, 2},
    {field_consequence, 3},
  [286] =
    {field_body, 3},
    {field_value, 1},
  [288] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
    {field_right, 3},
  [292] =
    {field_body, 3},
    {field_class_parameters, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [296] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_return_type, 3},
  [299] =
    {field_return_type, 3},
  [300] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [303] =
    {field_class_parameters, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [306] =
    {field_class_parameters, 3},
    {field_name, 0},
  [308] =
    {field_arguments, 0, .inherited = true},
    {field_arguments, 1, .inherited = true},
  [310] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [312] =
    {field_body, 4},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 3},
    {field_extend, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [318] =
    {field_body, 3},
    {field_body, 3, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0},
  [323] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [329] =
    {field_bound, 0, .inherited = true},
    {field_bound, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [335] =
    {field_body, 4},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [340] =
    {field_body, 3},
    {field_body, 3, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [347] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [350] =
    {field_body, 4},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [354] =
    {field_pattern, 2},
    {field_type, 0},
  [356] =
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [360] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_type, 4},
  [363] =
    {field_bound, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [367] =
    {field_body, 4},
    {field_return_type, 2},
  [369] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [373] =
    {field_lambda_start, 0},
    {field_lambda_start, 1},
  [375] =
    {field_body, 4},
    {field_class_parameters, 2, .inherited = true},
    {field_extend, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [380] =
    {field_body, 4},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [385] =
    {field_body, 4, .inherited = true},
    {field_derive, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
  [389] =
    {field_body, 4, .inherited = true},
    {field_class_parameters, 4, .inherited = true},
    {field_derive, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [395] =
    {field_arguments, 4, .inherited = true},
    {field_body, 4, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [401] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [405] =
    {field_bound, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [408] =
    {field_default_value, 2},
    {field_name, 0},
  [410] =
    {field_name, 2},
  [411] =
    {field_class_parameters, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [414] =
    {field_class_parameters, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 0},
    {field_type_parameters, 1, .inherited = true},
  [418] =
    {field_class_parameters, 0},
  [419] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [421] =
    {field_alias, 2},
    {field_name, 0},
  [423] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
  [427] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 2},
  [430] =
    {field_body, 5},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [434] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_type, 0},
  [437] =
    {field_pattern, 1},
    {field_type, 3},
    {field_value, 5},
  [440] =
    {field_body, 5},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [445] =
    {field_bound, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [449] =
    {field_alternative, 5},
    {field_condition, 2},
    {field_consequence, 3},
  [452] =
    {field_body, 5},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 4},
    {field_extend, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [458] =
    {field_body, 5},
    {field_return_type, 3},
  [460] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [464] =
    {field_default_value, 3},
    {field_name, 1},
  [466] =
    {field_name, 3},
  [467] =
    {field_class_parameters, 1},
    {field_type_parameters, 0},
  [469] =
    {field_class_parameters, 0},
    {field_extend, 1},
  [471] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 1, .inherited = true},
  [475] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [480] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
  [485] =
    {field_default_value, 4},
    {field_name, 0},
    {field_type, 2},
  [488] =
    {field_name, 2},
    {field_type, 4},
  [490] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_pattern, 4},
    {field_type, 0},
  [494] =
    {field_alternative, 6},
    {field_condition, 2},
    {field_consequence, 3},
  [497] =
    {field_body, 6},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [502] =
    {field_bound, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type, 6},
    {field_type_parameters, 4, .inherited = true},
  [506] =
    {field_default_value, 4},
    {field_name, 2},
  [508] =
    {field_class_parameters, 1},
    {field_extend, 2},
    {field_type_parameters, 0},
  [511] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 1, .inherited = true},
  [515] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [522] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_bound, 5},
    {field_name, 0},
    {field_type_parameters, 1},
  [528] =
    {field_default_value, 5},
    {field_name, 1},
    {field_type, 3},
  [531] =
    {field_body, 2},
    {field_return_type, 2, .inherited = true},
  [533] =
    {field_name, 3},
    {field_type, 5},
  [535] =
    {field_default_value, 5},
    {field_name, 3},
  [537] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 6},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [544] =
    {field_default_value, 6},
    {field_name, 2},
    {field_type, 4},
  [547] =
    {field_default_value, 7},
    {field_name, 3},
    {field_type, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [7] = {
    [0] = alias_sym_type_identifier,
  },
  [8] = {
    [0] = alias_sym_structural_type,
  },
  [13] = {
    [1] = anon_alias_sym__end_ident,
  },
  [39] = {
    [0] = alias_sym_refinement,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_template_body, 3,
    sym_template_body,
    alias_sym_refinement,
    alias_sym_structural_type,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 2,
  [90] = 2,
  [91] = 2,
  [92] = 2,
  [93] = 2,
  [94] = 2,
  [95] = 2,
  [96] = 2,
  [97] = 2,
  [98] = 2,
  [99] = 2,
  [100] = 2,
  [101] = 2,
  [102] = 2,
  [103] = 2,
  [104] = 2,
  [105] = 2,
  [106] = 2,
  [107] = 2,
  [108] = 2,
  [109] = 2,
  [110] = 2,
  [111] = 2,
  [112] = 2,
  [113] = 2,
  [114] = 2,
  [115] = 2,
  [116] = 2,
  [117] = 2,
  [118] = 2,
  [119] = 2,
  [120] = 2,
  [121] = 2,
  [122] = 2,
  [123] = 2,
  [124] = 2,
  [125] = 2,
  [126] = 2,
  [127] = 2,
  [128] = 128,
  [129] = 128,
  [130] = 128,
  [131] = 128,
  [132] = 128,
  [133] = 128,
  [134] = 128,
  [135] = 128,
  [136] = 128,
  [137] = 128,
  [138] = 128,
  [139] = 139,
  [140] = 128,
  [141] = 128,
  [142] = 142,
  [143] = 128,
  [144] = 128,
  [145] = 128,
  [146] = 128,
  [147] = 128,
  [148] = 128,
  [149] = 149,
  [150] = 128,
  [151] = 128,
  [152] = 152,
  [153] = 128,
  [154] = 128,
  [155] = 128,
  [156] = 128,
  [157] = 157,
  [158] = 157,
  [159] = 157,
  [160] = 157,
  [161] = 157,
  [162] = 157,
  [163] = 157,
  [164] = 157,
  [165] = 157,
  [166] = 157,
  [167] = 157,
  [168] = 157,
  [169] = 157,
  [170] = 157,
  [171] = 157,
  [172] = 157,
  [173] = 173,
  [174] = 157,
  [175] = 157,
  [176] = 157,
  [177] = 157,
  [178] = 157,
  [179] = 157,
  [180] = 157,
  [181] = 157,
  [182] = 157,
  [183] = 157,
  [184] = 157,
  [185] = 157,
  [186] = 157,
  [187] = 157,
  [188] = 157,
  [189] = 157,
  [190] = 157,
  [191] = 157,
  [192] = 157,
  [193] = 157,
  [194] = 157,
  [195] = 157,
  [196] = 157,
  [197] = 157,
  [198] = 157,
  [199] = 157,
  [200] = 157,
  [201] = 157,
  [202] = 157,
  [203] = 157,
  [204] = 157,
  [205] = 157,
  [206] = 157,
  [207] = 157,
  [208] = 157,
  [209] = 157,
  [210] = 157,
  [211] = 157,
  [212] = 157,
  [213] = 157,
  [214] = 157,
  [215] = 157,
  [216] = 216,
  [217] = 157,
  [218] = 157,
  [219] = 157,
  [220] = 157,
  [221] = 157,
  [222] = 157,
  [223] = 157,
  [224] = 157,
  [225] = 157,
  [226] = 157,
  [227] = 227,
  [228] = 227,
  [229] = 227,
  [230] = 227,
  [231] = 227,
  [232] = 232,
  [233] = 227,
  [234] = 227,
  [235] = 227,
  [236] = 227,
  [237] = 227,
  [238] = 227,
  [239] = 239,
  [240] = 227,
  [241] = 227,
  [242] = 227,
  [243] = 227,
  [244] = 227,
  [245] = 227,
  [246] = 227,
  [247] = 227,
  [248] = 248,
  [249] = 227,
  [250] = 227,
  [251] = 227,
  [252] = 227,
  [253] = 227,
  [254] = 227,
  [255] = 227,
  [256] = 227,
  [257] = 227,
  [258] = 227,
  [259] = 227,
  [260] = 227,
  [261] = 227,
  [262] = 227,
  [263] = 227,
  [264] = 227,
  [265] = 227,
  [266] = 227,
  [267] = 267,
  [268] = 227,
  [269] = 227,
  [270] = 227,
  [271] = 227,
  [272] = 227,
  [273] = 227,
  [274] = 227,
  [275] = 227,
  [276] = 227,
  [277] = 227,
  [278] = 227,
  [279] = 227,
  [280] = 227,
  [281] = 227,
  [282] = 227,
  [283] = 227,
  [284] = 227,
  [285] = 227,
  [286] = 227,
  [287] = 227,
  [288] = 227,
  [289] = 227,
  [290] = 227,
  [291] = 227,
  [292] = 227,
  [293] = 227,
  [294] = 227,
  [295] = 227,
  [296] = 227,
  [297] = 267,
  [298] = 227,
  [299] = 299,
  [300] = 227,
  [301] = 232,
  [302] = 227,
  [303] = 227,
  [304] = 227,
  [305] = 227,
  [306] = 227,
  [307] = 227,
  [308] = 227,
  [309] = 227,
  [310] = 310,
  [311] = 227,
  [312] = 227,
  [313] = 227,
  [314] = 232,
  [315] = 227,
  [316] = 227,
  [317] = 227,
  [318] = 227,
  [319] = 227,
  [320] = 227,
  [321] = 227,
  [322] = 227,
  [323] = 227,
  [324] = 227,
  [325] = 227,
  [326] = 227,
  [327] = 227,
  [328] = 227,
  [329] = 227,
  [330] = 227,
  [331] = 227,
  [332] = 227,
  [333] = 227,
  [334] = 227,
  [335] = 227,
  [336] = 227,
  [337] = 310,
  [338] = 227,
  [339] = 227,
  [340] = 227,
  [341] = 227,
  [342] = 227,
  [343] = 227,
  [344] = 232,
  [345] = 227,
  [346] = 227,
  [347] = 227,
  [348] = 227,
  [349] = 227,
  [350] = 227,
  [351] = 227,
  [352] = 227,
  [353] = 227,
  [354] = 227,
  [355] = 227,
  [356] = 227,
  [357] = 227,
  [358] = 227,
  [359] = 227,
  [360] = 239,
  [361] = 227,
  [362] = 227,
  [363] = 227,
  [364] = 227,
  [365] = 365,
  [366] = 366,
  [367] = 366,
  [368] = 366,
  [369] = 369,
  [370] = 366,
  [371] = 371,
  [372] = 366,
  [373] = 366,
  [374] = 366,
  [375] = 365,
  [376] = 365,
  [377] = 371,
  [378] = 366,
  [379] = 366,
  [380] = 366,
  [381] = 366,
  [382] = 366,
  [383] = 366,
  [384] = 366,
  [385] = 366,
  [386] = 365,
  [387] = 371,
  [388] = 371,
  [389] = 366,
  [390] = 366,
  [391] = 366,
  [392] = 366,
  [393] = 366,
  [394] = 365,
  [395] = 366,
  [396] = 366,
  [397] = 366,
  [398] = 366,
  [399] = 399,
  [400] = 371,
  [401] = 366,
  [402] = 366,
  [403] = 365,
  [404] = 366,
  [405] = 366,
  [406] = 365,
  [407] = 365,
  [408] = 371,
  [409] = 366,
  [410] = 366,
  [411] = 411,
  [412] = 366,
  [413] = 366,
  [414] = 366,
  [415] = 365,
  [416] = 366,
  [417] = 371,
  [418] = 371,
  [419] = 366,
  [420] = 366,
  [421] = 366,
  [422] = 366,
  [423] = 365,
  [424] = 365,
  [425] = 366,
  [426] = 366,
  [427] = 366,
  [428] = 371,
  [429] = 365,
  [430] = 371,
  [431] = 366,
  [432] = 366,
  [433] = 433,
  [434] = 366,
  [435] = 366,
  [436] = 366,
  [437] = 371,
  [438] = 366,
  [439] = 366,
  [440] = 366,
  [441] = 366,
  [442] = 366,
  [443] = 366,
  [444] = 371,
  [445] = 369,
  [446] = 371,
  [447] = 366,
  [448] = 366,
  [449] = 365,
  [450] = 366,
  [451] = 365,
  [452] = 366,
  [453] = 365,
  [454] = 371,
  [455] = 366,
  [456] = 366,
  [457] = 371,
  [458] = 366,
  [459] = 365,
  [460] = 366,
  [461] = 366,
  [462] = 366,
  [463] = 366,
  [464] = 411,
  [465] = 371,
  [466] = 366,
  [467] = 365,
  [468] = 366,
  [469] = 433,
  [470] = 366,
  [471] = 366,
  [472] = 366,
  [473] = 371,
  [474] = 366,
  [475] = 371,
  [476] = 366,
  [477] = 366,
  [478] = 366,
  [479] = 366,
  [480] = 366,
  [481] = 366,
  [482] = 366,
  [483] = 399,
  [484] = 366,
  [485] = 366,
  [486] = 486,
  [487] = 366,
  [488] = 366,
  [489] = 366,
  [490] = 366,
  [491] = 366,
  [492] = 365,
  [493] = 371,
  [494] = 371,
  [495] = 365,
  [496] = 366,
  [497] = 433,
  [498] = 366,
  [499] = 366,
  [500] = 366,
  [501] = 366,
  [502] = 366,
  [503] = 365,
  [504] = 366,
  [505] = 366,
  [506] = 366,
  [507] = 371,
  [508] = 366,
  [509] = 365,
  [510] = 366,
  [511] = 371,
  [512] = 366,
  [513] = 366,
  [514] = 366,
  [515] = 371,
  [516] = 366,
  [517] = 371,
  [518] = 366,
  [519] = 365,
  [520] = 366,
  [521] = 366,
  [522] = 399,
  [523] = 371,
  [524] = 366,
  [525] = 366,
  [526] = 399,
  [527] = 365,
  [528] = 365,
  [529] = 366,
  [530] = 366,
  [531] = 371,
  [532] = 366,
  [533] = 366,
  [534] = 366,
  [535] = 366,
  [536] = 366,
  [537] = 433,
  [538] = 366,
  [539] = 371,
  [540] = 366,
  [541] = 366,
  [542] = 366,
  [543] = 486,
  [544] = 366,
  [545] = 366,
  [546] = 371,
  [547] = 366,
  [548] = 366,
  [549] = 365,
  [550] = 366,
  [551] = 366,
  [552] = 366,
  [553] = 366,
  [554] = 366,
  [555] = 366,
  [556] = 366,
  [557] = 366,
  [558] = 371,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 561,
  [564] = 560,
  [565] = 562,
  [566] = 560,
  [567] = 560,
  [568] = 559,
  [569] = 569,
  [570] = 569,
  [571] = 571,
  [572] = 571,
  [573] = 571,
  [574] = 574,
  [575] = 574,
  [576] = 574,
  [577] = 574,
  [578] = 574,
  [579] = 579,
  [580] = 579,
  [581] = 579,
  [582] = 579,
  [583] = 579,
  [584] = 579,
  [585] = 579,
  [586] = 586,
  [587] = 586,
  [588] = 586,
  [589] = 579,
  [590] = 579,
  [591] = 579,
  [592] = 579,
  [593] = 586,
  [594] = 586,
  [595] = 586,
  [596] = 579,
  [597] = 579,
  [598] = 579,
  [599] = 579,
  [600] = 586,
  [601] = 586,
  [602] = 586,
  [603] = 579,
  [604] = 586,
  [605] = 579,
  [606] = 586,
  [607] = 579,
  [608] = 586,
  [609] = 586,
  [610] = 586,
  [611] = 586,
  [612] = 586,
  [613] = 579,
  [614] = 586,
  [615] = 579,
  [616] = 579,
  [617] = 586,
  [618] = 586,
  [619] = 586,
  [620] = 586,
  [621] = 586,
  [622] = 586,
  [623] = 586,
  [624] = 579,
  [625] = 579,
  [626] = 586,
  [627] = 586,
  [628] = 586,
  [629] = 586,
  [630] = 630,
  [631] = 586,
  [632] = 586,
  [633] = 630,
  [634] = 630,
  [635] = 630,
  [636] = 586,
  [637] = 579,
  [638] = 630,
  [639] = 630,
  [640] = 630,
  [641] = 630,
  [642] = 630,
  [643] = 630,
  [644] = 586,
  [645] = 630,
  [646] = 586,
  [647] = 630,
  [648] = 586,
  [649] = 630,
  [650] = 630,
  [651] = 630,
  [652] = 630,
  [653] = 586,
  [654] = 630,
  [655] = 630,
  [656] = 630,
  [657] = 630,
  [658] = 630,
  [659] = 579,
  [660] = 630,
  [661] = 630,
  [662] = 630,
  [663] = 630,
  [664] = 630,
  [665] = 630,
  [666] = 630,
  [667] = 579,
  [668] = 630,
  [669] = 630,
  [670] = 630,
  [671] = 630,
  [672] = 586,
  [673] = 630,
  [674] = 586,
  [675] = 586,
  [676] = 630,
  [677] = 630,
  [678] = 586,
  [679] = 586,
  [680] = 630,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 682,
  [685] = 683,
  [686] = 681,
  [687] = 681,
  [688] = 683,
  [689] = 682,
  [690] = 683,
  [691] = 681,
  [692] = 682,
  [693] = 681,
  [694] = 586,
  [695] = 682,
  [696] = 683,
  [697] = 681,
  [698] = 683,
  [699] = 682,
  [700] = 681,
  [701] = 683,
  [702] = 682,
  [703] = 681,
  [704] = 683,
  [705] = 682,
  [706] = 683,
  [707] = 683,
  [708] = 681,
  [709] = 682,
  [710] = 681,
  [711] = 683,
  [712] = 683,
  [713] = 683,
  [714] = 682,
  [715] = 683,
  [716] = 682,
  [717] = 681,
  [718] = 682,
  [719] = 683,
  [720] = 682,
  [721] = 586,
  [722] = 681,
  [723] = 681,
  [724] = 682,
  [725] = 682,
  [726] = 683,
  [727] = 683,
  [728] = 681,
  [729] = 682,
  [730] = 682,
  [731] = 681,
  [732] = 682,
  [733] = 681,
  [734] = 681,
  [735] = 682,
  [736] = 682,
  [737] = 586,
  [738] = 683,
  [739] = 682,
  [740] = 681,
  [741] = 683,
  [742] = 683,
  [743] = 683,
  [744] = 683,
  [745] = 683,
  [746] = 682,
  [747] = 683,
  [748] = 682,
  [749] = 683,
  [750] = 681,
  [751] = 681,
  [752] = 682,
  [753] = 681,
  [754] = 682,
  [755] = 683,
  [756] = 682,
  [757] = 683,
  [758] = 683,
  [759] = 681,
  [760] = 683,
  [761] = 681,
  [762] = 683,
  [763] = 681,
  [764] = 682,
  [765] = 682,
  [766] = 681,
  [767] = 586,
  [768] = 683,
  [769] = 683,
  [770] = 683,
  [771] = 682,
  [772] = 586,
  [773] = 681,
  [774] = 683,
  [775] = 683,
  [776] = 683,
  [777] = 586,
  [778] = 681,
  [779] = 683,
  [780] = 681,
  [781] = 683,
  [782] = 682,
  [783] = 682,
  [784] = 683,
  [785] = 682,
  [786] = 683,
  [787] = 683,
  [788] = 683,
  [789] = 682,
  [790] = 681,
  [791] = 681,
  [792] = 681,
  [793] = 683,
  [794] = 682,
  [795] = 681,
  [796] = 682,
  [797] = 681,
  [798] = 682,
  [799] = 682,
  [800] = 681,
  [801] = 682,
  [802] = 586,
  [803] = 683,
  [804] = 683,
  [805] = 681,
  [806] = 681,
  [807] = 682,
  [808] = 681,
  [809] = 681,
  [810] = 682,
  [811] = 681,
  [812] = 682,
  [813] = 682,
  [814] = 681,
  [815] = 682,
  [816] = 683,
  [817] = 683,
  [818] = 682,
  [819] = 681,
  [820] = 681,
  [821] = 683,
  [822] = 681,
  [823] = 681,
  [824] = 682,
  [825] = 682,
  [826] = 681,
  [827] = 682,
  [828] = 682,
  [829] = 681,
  [830] = 683,
  [831] = 682,
  [832] = 586,
  [833] = 682,
  [834] = 681,
  [835] = 681,
  [836] = 683,
  [837] = 683,
  [838] = 682,
  [839] = 681,
  [840] = 681,
  [841] = 682,
  [842] = 681,
  [843] = 681,
  [844] = 682,
  [845] = 683,
  [846] = 683,
  [847] = 682,
  [848] = 681,
  [849] = 683,
  [850] = 683,
  [851] = 681,
  [852] = 681,
  [853] = 683,
  [854] = 682,
  [855] = 681,
  [856] = 682,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 859,
  [861] = 861,
  [862] = 862,
  [863] = 586,
  [864] = 864,
  [865] = 857,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 869,
  [871] = 871,
  [872] = 872,
  [873] = 866,
  [874] = 868,
  [875] = 859,
  [876] = 869,
  [877] = 868,
  [878] = 861,
  [879] = 861,
  [880] = 880,
  [881] = 867,
  [882] = 859,
  [883] = 859,
  [884] = 884,
  [885] = 885,
  [886] = 861,
  [887] = 872,
  [888] = 888,
  [889] = 864,
  [890] = 866,
  [891] = 891,
  [892] = 892,
  [893] = 872,
  [894] = 866,
  [895] = 895,
  [896] = 862,
  [897] = 862,
  [898] = 861,
  [899] = 857,
  [900] = 900,
  [901] = 859,
  [902] = 864,
  [903] = 891,
  [904] = 904,
  [905] = 857,
  [906] = 859,
  [907] = 867,
  [908] = 862,
  [909] = 867,
  [910] = 872,
  [911] = 859,
  [912] = 861,
  [913] = 885,
  [914] = 861,
  [915] = 872,
  [916] = 868,
  [917] = 862,
  [918] = 869,
  [919] = 885,
  [920] = 885,
  [921] = 872,
  [922] = 888,
  [923] = 872,
  [924] = 862,
  [925] = 891,
  [926] = 926,
  [927] = 867,
  [928] = 867,
  [929] = 868,
  [930] = 869,
  [931] = 861,
  [932] = 857,
  [933] = 869,
  [934] = 868,
  [935] = 859,
  [936] = 884,
  [937] = 888,
  [938] = 864,
  [939] = 866,
  [940] = 869,
  [941] = 891,
  [942] = 864,
  [943] = 884,
  [944] = 857,
  [945] = 859,
  [946] = 885,
  [947] = 888,
  [948] = 884,
  [949] = 872,
  [950] = 888,
  [951] = 872,
  [952] = 884,
  [953] = 888,
  [954] = 864,
  [955] = 862,
  [956] = 864,
  [957] = 862,
  [958] = 857,
  [959] = 888,
  [960] = 862,
  [961] = 866,
  [962] = 891,
  [963] = 861,
  [964] = 888,
  [965] = 861,
  [966] = 867,
  [967] = 872,
  [968] = 885,
  [969] = 868,
  [970] = 869,
  [971] = 872,
  [972] = 864,
  [973] = 866,
  [974] = 872,
  [975] = 891,
  [976] = 861,
  [977] = 884,
  [978] = 891,
  [979] = 866,
  [980] = 888,
  [981] = 885,
  [982] = 859,
  [983] = 864,
  [984] = 866,
  [985] = 864,
  [986] = 891,
  [987] = 872,
  [988] = 872,
  [989] = 866,
  [990] = 861,
  [991] = 885,
  [992] = 859,
  [993] = 884,
  [994] = 857,
  [995] = 857,
  [996] = 857,
  [997] = 859,
  [998] = 859,
  [999] = 861,
  [1000] = 888,
  [1001] = 891,
  [1002] = 857,
  [1003] = 867,
  [1004] = 872,
  [1005] = 885,
  [1006] = 872,
  [1007] = 586,
  [1008] = 861,
  [1009] = 862,
  [1010] = 862,
  [1011] = 867,
  [1012] = 868,
  [1013] = 867,
  [1014] = 859,
  [1015] = 869,
  [1016] = 869,
  [1017] = 867,
  [1018] = 862,
  [1019] = 884,
  [1020] = 864,
  [1021] = 859,
  [1022] = 868,
  [1023] = 868,
  [1024] = 868,
  [1025] = 869,
  [1026] = 867,
  [1027] = 862,
  [1028] = 926,
  [1029] = 884,
  [1030] = 869,
  [1031] = 880,
  [1032] = 861,
  [1033] = 888,
  [1034] = 864,
  [1035] = 866,
  [1036] = 891,
  [1037] = 868,
  [1038] = 866,
  [1039] = 868,
  [1040] = 869,
  [1041] = 888,
  [1042] = 884,
  [1043] = 868,
  [1044] = 857,
  [1045] = 867,
  [1046] = 888,
  [1047] = 867,
  [1048] = 864,
  [1049] = 857,
  [1050] = 884,
  [1051] = 862,
  [1052] = 885,
  [1053] = 867,
  [1054] = 869,
  [1055] = 868,
  [1056] = 872,
  [1057] = 869,
  [1058] = 867,
  [1059] = 868,
  [1060] = 869,
  [1061] = 867,
  [1062] = 866,
  [1063] = 891,
  [1064] = 859,
  [1065] = 904,
  [1066] = 884,
  [1067] = 862,
  [1068] = 862,
  [1069] = 900,
  [1070] = 888,
  [1071] = 895,
  [1072] = 864,
  [1073] = 866,
  [1074] = 862,
  [1075] = 861,
  [1076] = 859,
  [1077] = 891,
  [1078] = 861,
  [1079] = 891,
  [1080] = 885,
  [1081] = 1081,
  [1082] = 888,
  [1083] = 857,
  [1084] = 866,
  [1085] = 872,
  [1086] = 861,
  [1087] = 864,
  [1088] = 857,
  [1089] = 859,
  [1090] = 885,
  [1091] = 857,
  [1092] = 864,
  [1093] = 862,
  [1094] = 866,
  [1095] = 868,
  [1096] = 861,
  [1097] = 891,
  [1098] = 891,
  [1099] = 859,
  [1100] = 885,
  [1101] = 867,
  [1102] = 869,
  [1103] = 868,
  [1104] = 869,
  [1105] = 857,
  [1106] = 862,
  [1107] = 872,
  [1108] = 884,
  [1109] = 888,
  [1110] = 885,
  [1111] = 885,
  [1112] = 888,
  [1113] = 857,
  [1114] = 872,
  [1115] = 1115,
  [1116] = 864,
  [1117] = 861,
  [1118] = 866,
  [1119] = 867,
  [1120] = 862,
  [1121] = 891,
  [1122] = 885,
  [1123] = 891,
  [1124] = 868,
  [1125] = 872,
  [1126] = 867,
  [1127] = 857,
  [1128] = 861,
  [1129] = 869,
  [1130] = 885,
  [1131] = 868,
  [1132] = 891,
  [1133] = 866,
  [1134] = 884,
  [1135] = 862,
  [1136] = 867,
  [1137] = 869,
  [1138] = 864,
  [1139] = 868,
  [1140] = 888,
  [1141] = 866,
  [1142] = 869,
  [1143] = 859,
  [1144] = 857,
  [1145] = 857,
  [1146] = 1115,
  [1147] = 864,
  [1148] = 872,
  [1149] = 861,
  [1150] = 884,
  [1151] = 888,
  [1152] = 864,
  [1153] = 884,
  [1154] = 857,
  [1155] = 866,
  [1156] = 888,
  [1157] = 579,
  [1158] = 885,
  [1159] = 891,
  [1160] = 892,
  [1161] = 884,
  [1162] = 872,
  [1163] = 859,
  [1164] = 884,
  [1165] = 857,
  [1166] = 888,
  [1167] = 859,
  [1168] = 864,
  [1169] = 866,
  [1170] = 891,
  [1171] = 888,
  [1172] = 871,
  [1173] = 861,
  [1174] = 872,
  [1175] = 862,
  [1176] = 872,
  [1177] = 857,
  [1178] = 864,
  [1179] = 885,
  [1180] = 869,
  [1181] = 866,
  [1182] = 885,
  [1183] = 891,
  [1184] = 884,
  [1185] = 868,
  [1186] = 891,
  [1187] = 859,
  [1188] = 891,
  [1189] = 862,
  [1190] = 866,
  [1191] = 867,
  [1192] = 867,
  [1193] = 868,
  [1194] = 891,
  [1195] = 862,
  [1196] = 867,
  [1197] = 869,
  [1198] = 861,
  [1199] = 885,
  [1200] = 868,
  [1201] = 869,
  [1202] = 869,
  [1203] = 857,
  [1204] = 861,
  [1205] = 862,
  [1206] = 1081,
  [1207] = 884,
  [1208] = 867,
  [1209] = 884,
  [1210] = 866,
  [1211] = 885,
  [1212] = 872,
  [1213] = 888,
  [1214] = 859,
  [1215] = 861,
  [1216] = 858,
  [1217] = 888,
  [1218] = 868,
  [1219] = 864,
  [1220] = 864,
  [1221] = 866,
  [1222] = 862,
  [1223] = 868,
  [1224] = 866,
  [1225] = 891,
  [1226] = 869,
  [1227] = 891,
  [1228] = 864,
  [1229] = 888,
  [1230] = 857,
  [1231] = 866,
  [1232] = 864,
  [1233] = 857,
  [1234] = 1234,
  [1235] = 864,
  [1236] = 859,
  [1237] = 872,
  [1238] = 859,
  [1239] = 872,
  [1240] = 867,
  [1241] = 888,
  [1242] = 857,
  [1243] = 885,
  [1244] = 872,
  [1245] = 884,
  [1246] = 884,
  [1247] = 859,
  [1248] = 888,
  [1249] = 861,
  [1250] = 861,
  [1251] = 867,
  [1252] = 859,
  [1253] = 862,
  [1254] = 862,
  [1255] = 884,
  [1256] = 1115,
  [1257] = 884,
  [1258] = 861,
  [1259] = 862,
  [1260] = 862,
  [1261] = 859,
  [1262] = 867,
  [1263] = 867,
  [1264] = 868,
  [1265] = 859,
  [1266] = 869,
  [1267] = 868,
  [1268] = 885,
  [1269] = 867,
  [1270] = 891,
  [1271] = 872,
  [1272] = 891,
  [1273] = 866,
  [1274] = 864,
  [1275] = 866,
  [1276] = 869,
  [1277] = 864,
  [1278] = 884,
  [1279] = 868,
  [1280] = 888,
  [1281] = 869,
  [1282] = 884,
  [1283] = 884,
  [1284] = 888,
  [1285] = 888,
  [1286] = 864,
  [1287] = 868,
  [1288] = 888,
  [1289] = 866,
  [1290] = 872,
  [1291] = 864,
  [1292] = 891,
  [1293] = 888,
  [1294] = 866,
  [1295] = 891,
  [1296] = 892,
  [1297] = 871,
  [1298] = 869,
  [1299] = 1081,
  [1300] = 884,
  [1301] = 885,
  [1302] = 872,
  [1303] = 857,
  [1304] = 857,
  [1305] = 859,
  [1306] = 872,
  [1307] = 869,
  [1308] = 869,
  [1309] = 869,
  [1310] = 869,
  [1311] = 868,
  [1312] = 586,
  [1313] = 1234,
  [1314] = 861,
  [1315] = 868,
  [1316] = 862,
  [1317] = 885,
  [1318] = 867,
  [1319] = 859,
  [1320] = 872,
  [1321] = 867,
  [1322] = 868,
  [1323] = 869,
  [1324] = 868,
  [1325] = 1234,
  [1326] = 862,
  [1327] = 864,
  [1328] = 858,
  [1329] = 861,
  [1330] = 862,
  [1331] = 884,
  [1332] = 867,
  [1333] = 861,
  [1334] = 884,
  [1335] = 867,
  [1336] = 868,
  [1337] = 885,
  [1338] = 862,
  [1339] = 866,
  [1340] = 862,
  [1341] = 872,
  [1342] = 867,
  [1343] = 888,
  [1344] = 885,
  [1345] = 864,
  [1346] = 866,
  [1347] = 872,
  [1348] = 868,
  [1349] = 891,
  [1350] = 888,
  [1351] = 864,
  [1352] = 869,
  [1353] = 872,
  [1354] = 869,
  [1355] = 867,
  [1356] = 857,
  [1357] = 866,
  [1358] = 862,
  [1359] = 872,
  [1360] = 857,
  [1361] = 888,
  [1362] = 891,
  [1363] = 859,
  [1364] = 868,
  [1365] = 586,
  [1366] = 884,
  [1367] = 885,
  [1368] = 862,
  [1369] = 867,
  [1370] = 868,
  [1371] = 885,
  [1372] = 891,
  [1373] = 869,
  [1374] = 861,
  [1375] = 864,
  [1376] = 888,
  [1377] = 895,
  [1378] = 861,
  [1379] = 861,
  [1380] = 859,
  [1381] = 866,
  [1382] = 864,
  [1383] = 866,
  [1384] = 884,
  [1385] = 891,
  [1386] = 884,
  [1387] = 884,
  [1388] = 891,
  [1389] = 872,
  [1390] = 866,
  [1391] = 857,
  [1392] = 885,
  [1393] = 900,
  [1394] = 864,
  [1395] = 904,
  [1396] = 885,
  [1397] = 888,
  [1398] = 888,
  [1399] = 867,
  [1400] = 880,
  [1401] = 864,
  [1402] = 866,
  [1403] = 885,
  [1404] = 926,
  [1405] = 885,
  [1406] = 885,
  [1407] = 891,
  [1408] = 857,
  [1409] = 861,
  [1410] = 858,
  [1411] = 872,
  [1412] = 884,
  [1413] = 884,
  [1414] = 884,
  [1415] = 857,
  [1416] = 862,
  [1417] = 857,
  [1418] = 857,
  [1419] = 885,
  [1420] = 867,
  [1421] = 891,
  [1422] = 868,
  [1423] = 872,
  [1424] = 861,
  [1425] = 926,
  [1426] = 904,
  [1427] = 869,
  [1428] = 869,
  [1429] = 900,
  [1430] = 895,
  [1431] = 868,
  [1432] = 891,
  [1433] = 862,
  [1434] = 867,
  [1435] = 862,
  [1436] = 867,
  [1437] = 859,
  [1438] = 859,
  [1439] = 868,
  [1440] = 869,
  [1441] = 884,
  [1442] = 872,
  [1443] = 862,
  [1444] = 862,
  [1445] = 861,
  [1446] = 1234,
  [1447] = 888,
  [1448] = 859,
  [1449] = 861,
  [1450] = 861,
  [1451] = 857,
  [1452] = 1234,
  [1453] = 858,
  [1454] = 859,
  [1455] = 857,
  [1456] = 884,
  [1457] = 862,
  [1458] = 871,
  [1459] = 892,
  [1460] = 864,
  [1461] = 866,
  [1462] = 857,
  [1463] = 891,
  [1464] = 859,
  [1465] = 859,
  [1466] = 884,
  [1467] = 867,
  [1468] = 885,
  [1469] = 861,
  [1470] = 872,
  [1471] = 857,
  [1472] = 868,
  [1473] = 891,
  [1474] = 861,
  [1475] = 880,
  [1476] = 869,
  [1477] = 888,
  [1478] = 891,
  [1479] = 864,
  [1480] = 1115,
  [1481] = 866,
  [1482] = 857,
  [1483] = 891,
  [1484] = 885,
  [1485] = 891,
  [1486] = 866,
  [1487] = 866,
  [1488] = 1081,
  [1489] = 859,
  [1490] = 888,
  [1491] = 859,
  [1492] = 857,
  [1493] = 872,
  [1494] = 864,
  [1495] = 866,
  [1496] = 864,
  [1497] = 861,
  [1498] = 861,
  [1499] = 872,
  [1500] = 864,
  [1501] = 867,
  [1502] = 885,
  [1503] = 864,
  [1504] = 885,
  [1505] = 869,
  [1506] = 888,
  [1507] = 868,
  [1508] = 888,
  [1509] = 864,
  [1510] = 884,
  [1511] = 861,
  [1512] = 862,
  [1513] = 884,
  [1514] = 888,
  [1515] = 862,
  [1516] = 866,
  [1517] = 895,
  [1518] = 867,
  [1519] = 867,
  [1520] = 900,
  [1521] = 872,
  [1522] = 868,
  [1523] = 867,
  [1524] = 904,
  [1525] = 868,
  [1526] = 869,
  [1527] = 869,
  [1528] = 867,
  [1529] = 859,
  [1530] = 869,
  [1531] = 868,
  [1532] = 867,
  [1533] = 872,
  [1534] = 891,
  [1535] = 862,
  [1536] = 884,
  [1537] = 868,
  [1538] = 859,
  [1539] = 888,
  [1540] = 884,
  [1541] = 926,
  [1542] = 884,
  [1543] = 888,
  [1544] = 864,
  [1545] = 885,
  [1546] = 872,
  [1547] = 884,
  [1548] = 857,
  [1549] = 866,
  [1550] = 888,
  [1551] = 871,
  [1552] = 864,
  [1553] = 891,
  [1554] = 891,
  [1555] = 866,
  [1556] = 885,
  [1557] = 891,
  [1558] = 857,
  [1559] = 866,
  [1560] = 892,
  [1561] = 857,
  [1562] = 864,
  [1563] = 859,
  [1564] = 859,
  [1565] = 864,
  [1566] = 866,
  [1567] = 888,
  [1568] = 861,
  [1569] = 861,
  [1570] = 862,
  [1571] = 862,
  [1572] = 867,
  [1573] = 891,
  [1574] = 868,
  [1575] = 869,
  [1576] = 888,
  [1577] = 869,
  [1578] = 885,
  [1579] = 885,
  [1580] = 872,
  [1581] = 872,
  [1582] = 891,
  [1583] = 862,
  [1584] = 867,
  [1585] = 861,
  [1586] = 884,
  [1587] = 880,
  [1588] = 866,
  [1589] = 862,
  [1590] = 857,
  [1591] = 888,
  [1592] = 884,
  [1593] = 857,
  [1594] = 872,
  [1595] = 885,
  [1596] = 888,
  [1597] = 885,
  [1598] = 864,
  [1599] = 885,
  [1600] = 866,
  [1601] = 859,
  [1602] = 891,
  [1603] = 884,
  [1604] = 869,
  [1605] = 885,
  [1606] = 861,
  [1607] = 885,
  [1608] = 864,
  [1609] = 866,
  [1610] = 872,
  [1611] = 885,
  [1612] = 859,
  [1613] = 857,
  [1614] = 862,
  [1615] = 872,
  [1616] = 861,
  [1617] = 891,
  [1618] = 868,
  [1619] = 869,
  [1620] = 868,
  [1621] = 867,
  [1622] = 867,
  [1623] = 857,
  [1624] = 859,
  [1625] = 868,
  [1626] = 862,
  [1627] = 885,
  [1628] = 861,
  [1629] = 867,
  [1630] = 859,
  [1631] = 868,
  [1632] = 869,
  [1633] = 859,
  [1634] = 868,
  [1635] = 866,
  [1636] = 891,
  [1637] = 885,
  [1638] = 864,
  [1639] = 862,
  [1640] = 884,
  [1641] = 869,
  [1642] = 869,
  [1643] = 872,
  [1644] = 885,
  [1645] = 861,
  [1646] = 857,
  [1647] = 888,
  [1648] = 862,
  [1649] = 884,
  [1650] = 868,
  [1651] = 885,
  [1652] = 888,
  [1653] = 872,
  [1654] = 872,
  [1655] = 859,
  [1656] = 888,
  [1657] = 867,
  [1658] = 864,
  [1659] = 861,
  [1660] = 867,
  [1661] = 866,
  [1662] = 857,
  [1663] = 891,
  [1664] = 868,
  [1665] = 862,
  [1666] = 864,
  [1667] = 857,
  [1668] = 869,
  [1669] = 866,
  [1670] = 885,
  [1671] = 861,
  [1672] = 884,
  [1673] = 1115,
  [1674] = 888,
  [1675] = 859,
  [1676] = 861,
  [1677] = 862,
  [1678] = 891,
  [1679] = 857,
  [1680] = 869,
  [1681] = 891,
  [1682] = 1081,
  [1683] = 867,
  [1684] = 866,
  [1685] = 884,
  [1686] = 868,
  [1687] = 869,
  [1688] = 864,
  [1689] = 864,
  [1690] = 857,
  [1691] = 888,
  [1692] = 885,
  [1693] = 861,
  [1694] = 866,
  [1695] = 884,
  [1696] = 891,
  [1697] = 859,
  [1698] = 857,
  [1699] = 884,
  [1700] = 859,
  [1701] = 1701,
  [1702] = 1701,
  [1703] = 1701,
  [1704] = 579,
  [1705] = 579,
  [1706] = 1701,
  [1707] = 1701,
  [1708] = 1701,
  [1709] = 1701,
  [1710] = 1701,
  [1711] = 579,
  [1712] = 1701,
  [1713] = 1701,
  [1714] = 1701,
  [1715] = 1701,
  [1716] = 1701,
  [1717] = 579,
  [1718] = 579,
  [1719] = 1701,
  [1720] = 579,
  [1721] = 579,
  [1722] = 579,
  [1723] = 1701,
  [1724] = 1701,
  [1725] = 579,
  [1726] = 1701,
  [1727] = 579,
  [1728] = 1701,
  [1729] = 1701,
  [1730] = 1701,
  [1731] = 1701,
  [1732] = 1701,
  [1733] = 1701,
  [1734] = 1701,
  [1735] = 1701,
  [1736] = 1701,
  [1737] = 1701,
  [1738] = 1701,
  [1739] = 1701,
  [1740] = 1701,
  [1741] = 586,
  [1742] = 1701,
  [1743] = 1701,
  [1744] = 1701,
  [1745] = 1701,
  [1746] = 1701,
  [1747] = 1701,
  [1748] = 1701,
  [1749] = 1701,
  [1750] = 1701,
  [1751] = 1701,
  [1752] = 579,
  [1753] = 1701,
  [1754] = 1701,
  [1755] = 1701,
  [1756] = 579,
  [1757] = 1701,
  [1758] = 1701,
  [1759] = 1701,
  [1760] = 1701,
  [1761] = 1701,
  [1762] = 1701,
  [1763] = 1701,
  [1764] = 579,
  [1765] = 1701,
  [1766] = 1701,
  [1767] = 1701,
  [1768] = 579,
  [1769] = 1701,
  [1770] = 1701,
  [1771] = 1701,
  [1772] = 1701,
  [1773] = 1701,
  [1774] = 1701,
  [1775] = 1701,
  [1776] = 1701,
  [1777] = 1701,
  [1778] = 1701,
  [1779] = 1701,
  [1780] = 1701,
  [1781] = 1701,
  [1782] = 579,
  [1783] = 1701,
  [1784] = 1701,
  [1785] = 1701,
  [1786] = 1701,
  [1787] = 1701,
  [1788] = 1701,
  [1789] = 1701,
  [1790] = 1701,
  [1791] = 579,
  [1792] = 1701,
  [1793] = 1701,
  [1794] = 579,
  [1795] = 1701,
  [1796] = 1701,
  [1797] = 1701,
  [1798] = 1701,
  [1799] = 1701,
  [1800] = 579,
  [1801] = 1701,
  [1802] = 1701,
  [1803] = 1701,
  [1804] = 1701,
  [1805] = 579,
  [1806] = 579,
  [1807] = 1701,
  [1808] = 1701,
  [1809] = 1701,
  [1810] = 1701,
  [1811] = 1701,
  [1812] = 1701,
  [1813] = 1701,
  [1814] = 586,
  [1815] = 1701,
  [1816] = 1701,
  [1817] = 1701,
  [1818] = 1701,
  [1819] = 1701,
  [1820] = 1701,
  [1821] = 1701,
  [1822] = 1701,
  [1823] = 1701,
  [1824] = 1701,
  [1825] = 1701,
  [1826] = 1701,
  [1827] = 579,
  [1828] = 1701,
  [1829] = 579,
  [1830] = 1701,
  [1831] = 1701,
  [1832] = 579,
  [1833] = 1701,
  [1834] = 579,
  [1835] = 1701,
  [1836] = 1701,
  [1837] = 1701,
  [1838] = 1701,
  [1839] = 1701,
  [1840] = 1701,
  [1841] = 1701,
  [1842] = 1701,
  [1843] = 1701,
  [1844] = 1701,
  [1845] = 1701,
  [1846] = 1701,
  [1847] = 1701,
  [1848] = 1701,
  [1849] = 579,
  [1850] = 1701,
  [1851] = 1701,
  [1852] = 1701,
  [1853] = 1701,
  [1854] = 1701,
  [1855] = 1701,
  [1856] = 1701,
  [1857] = 1857,
  [1858] = 1857,
  [1859] = 1857,
  [1860] = 1857,
  [1861] = 1857,
  [1862] = 1857,
  [1863] = 1857,
  [1864] = 1857,
  [1865] = 1857,
  [1866] = 1857,
  [1867] = 1857,
  [1868] = 1857,
  [1869] = 586,
  [1870] = 1857,
  [1871] = 1857,
  [1872] = 1857,
  [1873] = 1857,
  [1874] = 1857,
  [1875] = 1857,
  [1876] = 1857,
  [1877] = 1857,
  [1878] = 1857,
  [1879] = 1857,
  [1880] = 1857,
  [1881] = 1857,
  [1882] = 1857,
  [1883] = 1857,
  [1884] = 586,
  [1885] = 1857,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1886,
  [1889] = 1887,
  [1890] = 1890,
  [1891] = 1886,
  [1892] = 1886,
  [1893] = 1886,
  [1894] = 1886,
  [1895] = 1886,
  [1896] = 1886,
  [1897] = 1887,
  [1898] = 1886,
  [1899] = 1886,
  [1900] = 1886,
  [1901] = 1887,
  [1902] = 1886,
  [1903] = 1887,
  [1904] = 1887,
  [1905] = 1886,
  [1906] = 1886,
  [1907] = 1886,
  [1908] = 1908,
  [1909] = 1887,
  [1910] = 1886,
  [1911] = 1886,
  [1912] = 1887,
  [1913] = 1886,
  [1914] = 1890,
  [1915] = 1887,
  [1916] = 1890,
  [1917] = 1886,
  [1918] = 1886,
  [1919] = 1890,
  [1920] = 1886,
  [1921] = 1887,
  [1922] = 1886,
  [1923] = 1887,
  [1924] = 1886,
  [1925] = 1886,
  [1926] = 1887,
  [1927] = 1886,
  [1928] = 1887,
  [1929] = 1886,
  [1930] = 1887,
  [1931] = 1886,
  [1932] = 1886,
  [1933] = 1886,
  [1934] = 1890,
  [1935] = 1887,
  [1936] = 1886,
  [1937] = 1886,
  [1938] = 1886,
  [1939] = 1887,
  [1940] = 1887,
  [1941] = 1886,
  [1942] = 1886,
  [1943] = 1943,
  [1944] = 1890,
  [1945] = 1886,
  [1946] = 1887,
  [1947] = 1886,
  [1948] = 1890,
  [1949] = 1886,
  [1950] = 1886,
  [1951] = 1886,
  [1952] = 1890,
  [1953] = 1890,
  [1954] = 1886,
  [1955] = 1887,
  [1956] = 1887,
  [1957] = 1886,
  [1958] = 1886,
  [1959] = 1886,
  [1960] = 1887,
  [1961] = 1887,
  [1962] = 1886,
  [1963] = 1887,
  [1964] = 1886,
  [1965] = 1886,
  [1966] = 1887,
  [1967] = 1886,
  [1968] = 1886,
  [1969] = 1886,
  [1970] = 1886,
  [1971] = 1886,
  [1972] = 1887,
  [1973] = 1887,
  [1974] = 1886,
  [1975] = 1887,
  [1976] = 1890,
  [1977] = 1886,
  [1978] = 1886,
  [1979] = 1886,
  [1980] = 1886,
  [1981] = 1886,
  [1982] = 1890,
  [1983] = 1886,
  [1984] = 1886,
  [1985] = 1886,
  [1986] = 1887,
  [1987] = 1887,
  [1988] = 1886,
  [1989] = 1886,
  [1990] = 1886,
  [1991] = 1886,
  [1992] = 1886,
  [1993] = 1886,
  [1994] = 1886,
  [1995] = 1886,
  [1996] = 1886,
  [1997] = 1887,
  [1998] = 1886,
  [1999] = 1886,
  [2000] = 1887,
  [2001] = 1887,
  [2002] = 1886,
  [2003] = 1886,
  [2004] = 1886,
  [2005] = 1886,
  [2006] = 1886,
  [2007] = 1886,
  [2008] = 1890,
  [2009] = 1887,
  [2010] = 1886,
  [2011] = 1886,
  [2012] = 1886,
  [2013] = 1886,
  [2014] = 1890,
  [2015] = 1886,
  [2016] = 1886,
  [2017] = 1887,
  [2018] = 1886,
  [2019] = 1887,
  [2020] = 1890,
  [2021] = 1887,
  [2022] = 1886,
  [2023] = 1886,
  [2024] = 1890,
  [2025] = 1886,
  [2026] = 1886,
  [2027] = 1890,
  [2028] = 1887,
  [2029] = 1886,
  [2030] = 1886,
  [2031] = 1890,
  [2032] = 1886,
  [2033] = 1890,
  [2034] = 1886,
  [2035] = 1887,
  [2036] = 1887,
  [2037] = 1886,
  [2038] = 1886,
  [2039] = 1886,
  [2040] = 1887,
  [2041] = 1890,
  [2042] = 1886,
  [2043] = 1886,
  [2044] = 1886,
  [2045] = 1890,
  [2046] = 1886,
  [2047] = 1887,
  [2048] = 1886,
  [2049] = 1890,
  [2050] = 1887,
  [2051] = 1887,
  [2052] = 1887,
  [2053] = 1886,
  [2054] = 1886,
  [2055] = 1887,
  [2056] = 1886,
  [2057] = 1886,
  [2058] = 1886,
  [2059] = 1887,
  [2060] = 1886,
  [2061] = 1886,
  [2062] = 1886,
  [2063] = 1886,
  [2064] = 1886,
  [2065] = 1886,
  [2066] = 1886,
  [2067] = 1886,
  [2068] = 1890,
  [2069] = 1887,
  [2070] = 1886,
  [2071] = 1887,
  [2072] = 1890,
  [2073] = 1890,
  [2074] = 1886,
  [2075] = 1890,
  [2076] = 1887,
  [2077] = 1886,
  [2078] = 1886,
  [2079] = 1887,
  [2080] = 1886,
  [2081] = 1886,
  [2082] = 1887,
  [2083] = 1886,
  [2084] = 1887,
  [2085] = 1886,
  [2086] = 1887,
  [2087] = 1886,
  [2088] = 1887,
  [2089] = 1886,
  [2090] = 1887,
  [2091] = 1886,
  [2092] = 1886,
  [2093] = 1886,
  [2094] = 1886,
  [2095] = 1887,
  [2096] = 1886,
  [2097] = 1886,
  [2098] = 2098,
  [2099] = 2098,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2101,
  [2104] = 2101,
  [2105] = 2098,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2102,
  [2109] = 2109,
  [2110] = 2102,
  [2111] = 2098,
  [2112] = 2112,
  [2113] = 2098,
  [2114] = 2098,
  [2115] = 2115,
  [2116] = 2109,
  [2117] = 2109,
  [2118] = 2102,
  [2119] = 2119,
  [2120] = 2102,
  [2121] = 2109,
  [2122] = 2101,
  [2123] = 2109,
  [2124] = 2109,
  [2125] = 2101,
  [2126] = 2100,
  [2127] = 2101,
  [2128] = 2098,
  [2129] = 2102,
  [2130] = 2100,
  [2131] = 2106,
  [2132] = 2106,
  [2133] = 2098,
  [2134] = 2098,
  [2135] = 2109,
  [2136] = 2098,
  [2137] = 2109,
  [2138] = 2101,
  [2139] = 2109,
  [2140] = 2100,
  [2141] = 2100,
  [2142] = 2109,
  [2143] = 2109,
  [2144] = 2098,
  [2145] = 2115,
  [2146] = 2100,
  [2147] = 2101,
  [2148] = 2098,
  [2149] = 2106,
  [2150] = 2106,
  [2151] = 2151,
  [2152] = 2100,
  [2153] = 2109,
  [2154] = 2098,
  [2155] = 2112,
  [2156] = 2156,
  [2157] = 2098,
  [2158] = 2109,
  [2159] = 2102,
  [2160] = 2102,
  [2161] = 2107,
  [2162] = 2162,
  [2163] = 2100,
  [2164] = 2100,
  [2165] = 2107,
  [2166] = 2106,
  [2167] = 2098,
  [2168] = 2115,
  [2169] = 2098,
  [2170] = 2112,
  [2171] = 2102,
  [2172] = 2101,
  [2173] = 2098,
  [2174] = 2109,
  [2175] = 2098,
  [2176] = 2106,
  [2177] = 2102,
  [2178] = 2102,
  [2179] = 2106,
  [2180] = 2106,
  [2181] = 2102,
  [2182] = 2109,
  [2183] = 2106,
  [2184] = 2102,
  [2185] = 2185,
  [2186] = 2098,
  [2187] = 2101,
  [2188] = 2106,
  [2189] = 2101,
  [2190] = 2106,
  [2191] = 2100,
  [2192] = 2098,
  [2193] = 2109,
  [2194] = 2115,
  [2195] = 2100,
  [2196] = 2109,
  [2197] = 2102,
  [2198] = 2098,
  [2199] = 2098,
  [2200] = 2101,
  [2201] = 2100,
  [2202] = 2101,
  [2203] = 2109,
  [2204] = 2112,
  [2205] = 2102,
  [2206] = 2101,
  [2207] = 2100,
  [2208] = 2106,
  [2209] = 2102,
  [2210] = 2100,
  [2211] = 2102,
  [2212] = 2100,
  [2213] = 2109,
  [2214] = 2098,
  [2215] = 2115,
  [2216] = 2112,
  [2217] = 2098,
  [2218] = 2101,
  [2219] = 2106,
  [2220] = 2109,
  [2221] = 2098,
  [2222] = 2109,
  [2223] = 2102,
  [2224] = 2100,
  [2225] = 2109,
  [2226] = 2112,
  [2227] = 2100,
  [2228] = 2115,
  [2229] = 2101,
  [2230] = 2098,
  [2231] = 2112,
  [2232] = 2162,
  [2233] = 2101,
  [2234] = 2109,
  [2235] = 2235,
  [2236] = 2115,
  [2237] = 2101,
  [2238] = 2100,
  [2239] = 2109,
  [2240] = 2240,
  [2241] = 2106,
  [2242] = 2101,
  [2243] = 2100,
  [2244] = 2115,
  [2245] = 2109,
  [2246] = 2112,
  [2247] = 2098,
  [2248] = 2098,
  [2249] = 2109,
  [2250] = 2098,
  [2251] = 2100,
  [2252] = 2100,
  [2253] = 2109,
  [2254] = 2101,
  [2255] = 2098,
  [2256] = 2100,
  [2257] = 2257,
  [2258] = 2102,
  [2259] = 2112,
  [2260] = 2098,
  [2261] = 2115,
  [2262] = 2098,
  [2263] = 2109,
  [2264] = 2109,
  [2265] = 2101,
  [2266] = 2112,
  [2267] = 2267,
  [2268] = 2109,
  [2269] = 2109,
  [2270] = 2101,
  [2271] = 2100,
  [2272] = 2098,
  [2273] = 2106,
  [2274] = 2098,
  [2275] = 2106,
  [2276] = 2115,
  [2277] = 2102,
  [2278] = 2112,
  [2279] = 2109,
  [2280] = 2101,
  [2281] = 2100,
  [2282] = 2101,
  [2283] = 2100,
  [2284] = 2101,
  [2285] = 2109,
  [2286] = 2109,
  [2287] = 2098,
  [2288] = 2112,
  [2289] = 2101,
  [2290] = 2100,
  [2291] = 2115,
  [2292] = 2115,
  [2293] = 2101,
  [2294] = 2109,
  [2295] = 2098,
  [2296] = 2112,
  [2297] = 2109,
  [2298] = 2106,
  [2299] = 2098,
  [2300] = 2109,
  [2301] = 2101,
  [2302] = 2302,
  [2303] = 2109,
  [2304] = 2102,
  [2305] = 2109,
  [2306] = 2098,
  [2307] = 2109,
  [2308] = 2109,
  [2309] = 2106,
  [2310] = 2101,
  [2311] = 2098,
  [2312] = 2101,
  [2313] = 2098,
  [2314] = 2109,
  [2315] = 2112,
  [2316] = 2101,
  [2317] = 2102,
  [2318] = 2100,
  [2319] = 2112,
  [2320] = 2320,
  [2321] = 2101,
  [2322] = 2106,
  [2323] = 2101,
  [2324] = 2098,
  [2325] = 2101,
  [2326] = 2112,
  [2327] = 2109,
  [2328] = 2101,
  [2329] = 2098,
  [2330] = 2112,
  [2331] = 2115,
  [2332] = 2332,
  [2333] = 2098,
  [2334] = 2106,
  [2335] = 2100,
  [2336] = 2101,
  [2337] = 2098,
  [2338] = 2101,
  [2339] = 2102,
  [2340] = 2100,
  [2341] = 2112,
  [2342] = 2115,
  [2343] = 2109,
  [2344] = 2344,
  [2345] = 2098,
  [2346] = 2109,
  [2347] = 2109,
  [2348] = 2101,
  [2349] = 2098,
  [2350] = 2109,
  [2351] = 2098,
  [2352] = 2102,
  [2353] = 2101,
  [2354] = 2101,
  [2355] = 2106,
  [2356] = 2100,
  [2357] = 2098,
  [2358] = 2109,
  [2359] = 2098,
  [2360] = 2100,
  [2361] = 2102,
  [2362] = 2101,
  [2363] = 2106,
  [2364] = 2101,
  [2365] = 2109,
  [2366] = 2106,
  [2367] = 2101,
  [2368] = 2106,
  [2369] = 2101,
  [2370] = 2101,
  [2371] = 2098,
  [2372] = 2372,
  [2373] = 2109,
  [2374] = 2101,
  [2375] = 2109,
  [2376] = 2101,
  [2377] = 2115,
  [2378] = 2109,
  [2379] = 2102,
  [2380] = 2100,
  [2381] = 2098,
  [2382] = 2101,
  [2383] = 2162,
  [2384] = 2098,
  [2385] = 2098,
  [2386] = 2100,
  [2387] = 2101,
  [2388] = 2101,
  [2389] = 2098,
  [2390] = 2098,
  [2391] = 2115,
  [2392] = 2115,
  [2393] = 2109,
  [2394] = 2115,
  [2395] = 2106,
  [2396] = 2109,
  [2397] = 2100,
  [2398] = 2100,
  [2399] = 2235,
  [2400] = 2101,
  [2401] = 2101,
  [2402] = 2101,
  [2403] = 2102,
  [2404] = 2101,
  [2405] = 2109,
  [2406] = 2235,
  [2407] = 2100,
  [2408] = 2109,
  [2409] = 2098,
  [2410] = 2101,
  [2411] = 2101,
  [2412] = 2412,
  [2413] = 2412,
  [2414] = 2412,
  [2415] = 2415,
  [2416] = 2415,
  [2417] = 2415,
  [2418] = 2415,
  [2419] = 2415,
  [2420] = 2415,
  [2421] = 2415,
  [2422] = 2415,
  [2423] = 2415,
  [2424] = 2415,
  [2425] = 2415,
  [2426] = 2415,
  [2427] = 2415,
  [2428] = 2415,
  [2429] = 2415,
  [2430] = 2415,
  [2431] = 2415,
  [2432] = 2415,
  [2433] = 2415,
  [2434] = 2415,
  [2435] = 2415,
  [2436] = 2415,
  [2437] = 2415,
  [2438] = 2415,
  [2439] = 2415,
  [2440] = 2415,
  [2441] = 2415,
  [2442] = 2415,
  [2443] = 2415,
  [2444] = 2415,
  [2445] = 2415,
  [2446] = 2415,
  [2447] = 2415,
  [2448] = 2415,
  [2449] = 2415,
  [2450] = 2415,
  [2451] = 2415,
  [2452] = 2415,
  [2453] = 2415,
  [2454] = 2415,
  [2455] = 2415,
  [2456] = 2415,
  [2457] = 2415,
  [2458] = 2415,
  [2459] = 2415,
  [2460] = 2415,
  [2461] = 2415,
  [2462] = 2415,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2465,
  [2467] = 2463,
  [2468] = 2468,
  [2469] = 2468,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2471,
  [2473] = 2471,
  [2474] = 2465,
  [2475] = 2470,
  [2476] = 2476,
  [2477] = 2476,
  [2478] = 2476,
  [2479] = 2476,
  [2480] = 2476,
  [2481] = 2476,
  [2482] = 2476,
  [2483] = 2476,
  [2484] = 2476,
  [2485] = 2476,
  [2486] = 2476,
  [2487] = 2476,
  [2488] = 2476,
  [2489] = 2476,
  [2490] = 2476,
  [2491] = 2476,
  [2492] = 2476,
  [2493] = 2476,
  [2494] = 2476,
  [2495] = 2476,
  [2496] = 2476,
  [2497] = 2476,
  [2498] = 2476,
  [2499] = 2476,
  [2500] = 2500,
  [2501] = 2500,
  [2502] = 2500,
  [2503] = 2500,
  [2504] = 2500,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2500,
  [2508] = 2500,
  [2509] = 2506,
  [2510] = 2506,
  [2511] = 2500,
  [2512] = 2500,
  [2513] = 2506,
  [2514] = 2506,
  [2515] = 2500,
  [2516] = 2506,
  [2517] = 2506,
  [2518] = 2506,
  [2519] = 2506,
  [2520] = 2506,
  [2521] = 2506,
  [2522] = 2500,
  [2523] = 2500,
  [2524] = 2524,
  [2525] = 2500,
  [2526] = 2500,
  [2527] = 2505,
  [2528] = 2506,
  [2529] = 2506,
  [2530] = 2500,
  [2531] = 2500,
  [2532] = 2506,
  [2533] = 2506,
  [2534] = 2500,
  [2535] = 2506,
  [2536] = 2500,
  [2537] = 2506,
  [2538] = 2506,
  [2539] = 2506,
  [2540] = 2500,
  [2541] = 2500,
  [2542] = 2500,
  [2543] = 2506,
  [2544] = 2506,
  [2545] = 2545,
  [2546] = 2506,
  [2547] = 2500,
  [2548] = 2500,
  [2549] = 2506,
  [2550] = 2506,
  [2551] = 2506,
  [2552] = 2500,
  [2553] = 2500,
  [2554] = 2506,
  [2555] = 2500,
  [2556] = 2506,
  [2557] = 2500,
  [2558] = 2506,
  [2559] = 2506,
  [2560] = 2500,
  [2561] = 2506,
  [2562] = 2500,
  [2563] = 2500,
  [2564] = 2506,
  [2565] = 2506,
  [2566] = 2500,
  [2567] = 2500,
  [2568] = 2500,
  [2569] = 2506,
  [2570] = 2500,
  [2571] = 2506,
  [2572] = 2506,
  [2573] = 2500,
  [2574] = 2500,
  [2575] = 2506,
  [2576] = 2506,
  [2577] = 2500,
  [2578] = 2500,
  [2579] = 2506,
  [2580] = 2506,
  [2581] = 2506,
  [2582] = 2506,
  [2583] = 2506,
  [2584] = 2506,
  [2585] = 2505,
  [2586] = 2506,
  [2587] = 2500,
  [2588] = 2506,
  [2589] = 2506,
  [2590] = 2500,
  [2591] = 2500,
  [2592] = 2500,
  [2593] = 2500,
  [2594] = 2500,
  [2595] = 2500,
  [2596] = 2506,
  [2597] = 2500,
  [2598] = 2506,
  [2599] = 2506,
  [2600] = 2500,
  [2601] = 2500,
  [2602] = 2506,
  [2603] = 2506,
  [2604] = 2500,
  [2605] = 2506,
  [2606] = 2506,
  [2607] = 2500,
  [2608] = 2500,
  [2609] = 2506,
  [2610] = 2500,
  [2611] = 2500,
  [2612] = 2506,
  [2613] = 2506,
  [2614] = 2506,
  [2615] = 2500,
  [2616] = 2506,
  [2617] = 2506,
  [2618] = 2500,
  [2619] = 2500,
  [2620] = 2500,
  [2621] = 2500,
  [2622] = 2506,
  [2623] = 2500,
  [2624] = 2506,
  [2625] = 2500,
  [2626] = 2626,
  [2627] = 2506,
  [2628] = 2500,
  [2629] = 2500,
  [2630] = 2506,
  [2631] = 2626,
  [2632] = 2500,
  [2633] = 2412,
  [2634] = 2500,
  [2635] = 2506,
  [2636] = 2506,
  [2637] = 2500,
  [2638] = 2626,
  [2639] = 2639,
  [2640] = 2412,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2643,
  [2644] = 2644,
  [2645] = 2412,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2648,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2412,
  [2652] = 2412,
  [2653] = 2412,
  [2654] = 2412,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2656,
  [2660] = 2660,
  [2661] = 2657,
  [2662] = 2660,
  [2663] = 2656,
  [2664] = 2657,
  [2665] = 2658,
  [2666] = 2658,
  [2667] = 2657,
  [2668] = 2657,
  [2669] = 2660,
  [2670] = 2658,
  [2671] = 2658,
  [2672] = 2660,
  [2673] = 2660,
  [2674] = 2657,
  [2675] = 2660,
  [2676] = 2656,
  [2677] = 2656,
  [2678] = 2657,
  [2679] = 2660,
  [2680] = 2660,
  [2681] = 2657,
  [2682] = 2657,
  [2683] = 2658,
  [2684] = 2657,
  [2685] = 2660,
  [2686] = 2660,
  [2687] = 2657,
  [2688] = 2660,
  [2689] = 2657,
  [2690] = 2660,
  [2691] = 2657,
  [2692] = 2658,
  [2693] = 2656,
  [2694] = 2657,
  [2695] = 2660,
  [2696] = 2657,
  [2697] = 2657,
  [2698] = 2656,
  [2699] = 2660,
  [2700] = 2660,
  [2701] = 2660,
  [2702] = 2657,
  [2703] = 2660,
  [2704] = 2660,
  [2705] = 2658,
  [2706] = 2657,
  [2707] = 2657,
  [2708] = 2657,
  [2709] = 2660,
  [2710] = 2660,
  [2711] = 2656,
  [2712] = 2657,
  [2713] = 2660,
  [2714] = 2658,
  [2715] = 2657,
  [2716] = 2657,
  [2717] = 2657,
  [2718] = 2660,
  [2719] = 2656,
  [2720] = 2660,
  [2721] = 2658,
  [2722] = 2660,
  [2723] = 2657,
  [2724] = 2660,
  [2725] = 2657,
  [2726] = 2660,
  [2727] = 2658,
  [2728] = 2656,
  [2729] = 2656,
  [2730] = 2657,
  [2731] = 2656,
  [2732] = 2660,
  [2733] = 2656,
  [2734] = 2660,
  [2735] = 2657,
  [2736] = 2657,
  [2737] = 2660,
  [2738] = 2657,
  [2739] = 2660,
  [2740] = 2657,
  [2741] = 2660,
  [2742] = 2658,
  [2743] = 2658,
  [2744] = 2660,
  [2745] = 2660,
  [2746] = 2657,
  [2747] = 2660,
  [2748] = 2657,
  [2749] = 2656,
  [2750] = 2657,
  [2751] = 2658,
  [2752] = 2660,
  [2753] = 2660,
  [2754] = 2657,
  [2755] = 2658,
  [2756] = 2656,
  [2757] = 2660,
  [2758] = 2657,
  [2759] = 2657,
  [2760] = 2656,
  [2761] = 2658,
  [2762] = 2657,
  [2763] = 2660,
  [2764] = 2660,
  [2765] = 2656,
  [2766] = 2660,
  [2767] = 2656,
  [2768] = 2657,
  [2769] = 2660,
  [2770] = 2660,
  [2771] = 2657,
  [2772] = 2658,
  [2773] = 2658,
  [2774] = 2657,
  [2775] = 2656,
  [2776] = 2657,
  [2777] = 2656,
  [2778] = 2660,
  [2779] = 2660,
  [2780] = 2660,
  [2781] = 2657,
  [2782] = 2658,
  [2783] = 2656,
  [2784] = 2657,
  [2785] = 2660,
  [2786] = 2657,
  [2787] = 2657,
  [2788] = 2656,
  [2789] = 2660,
  [2790] = 2660,
  [2791] = 2656,
  [2792] = 2658,
  [2793] = 2658,
  [2794] = 2660,
  [2795] = 2658,
  [2796] = 2657,
  [2797] = 2657,
  [2798] = 2657,
  [2799] = 2656,
  [2800] = 2660,
  [2801] = 2656,
  [2802] = 2660,
  [2803] = 2657,
  [2804] = 2656,
  [2805] = 2656,
  [2806] = 2660,
  [2807] = 2657,
  [2808] = 2658,
  [2809] = 2660,
  [2810] = 2658,
  [2811] = 2658,
  [2812] = 2656,
  [2813] = 2656,
  [2814] = 2657,
  [2815] = 2658,
  [2816] = 2412,
  [2817] = 2660,
  [2818] = 2657,
  [2819] = 2656,
  [2820] = 2656,
  [2821] = 2660,
  [2822] = 2660,
  [2823] = 2656,
  [2824] = 2658,
  [2825] = 2658,
  [2826] = 2657,
  [2827] = 2656,
  [2828] = 2660,
  [2829] = 2657,
  [2830] = 2658,
  [2831] = 2657,
  [2832] = 2658,
  [2833] = 2657,
  [2834] = 2660,
  [2835] = 2656,
  [2836] = 2658,
  [2837] = 2657,
  [2838] = 2656,
  [2839] = 2658,
  [2840] = 2656,
  [2841] = 2660,
  [2842] = 2657,
  [2843] = 2660,
  [2844] = 2657,
  [2845] = 2656,
  [2846] = 2658,
  [2847] = 2658,
  [2848] = 2657,
  [2849] = 2660,
  [2850] = 2658,
  [2851] = 2658,
  [2852] = 2657,
  [2853] = 2658,
  [2854] = 2658,
  [2855] = 2656,
  [2856] = 2658,
  [2857] = 2660,
  [2858] = 2660,
  [2859] = 2657,
  [2860] = 2656,
  [2861] = 2656,
  [2862] = 2657,
  [2863] = 2657,
  [2864] = 2657,
  [2865] = 2656,
  [2866] = 2656,
  [2867] = 2660,
  [2868] = 2658,
  [2869] = 2660,
  [2870] = 2658,
  [2871] = 2656,
  [2872] = 2660,
  [2873] = 2660,
  [2874] = 2657,
  [2875] = 2660,
  [2876] = 2658,
  [2877] = 2660,
  [2878] = 2660,
  [2879] = 2658,
  [2880] = 2657,
  [2881] = 2658,
  [2882] = 2656,
  [2883] = 2412,
  [2884] = 2657,
  [2885] = 2656,
  [2886] = 2657,
  [2887] = 2656,
  [2888] = 2660,
  [2889] = 2658,
  [2890] = 2657,
  [2891] = 2656,
  [2892] = 2658,
  [2893] = 2660,
  [2894] = 2658,
  [2895] = 2658,
  [2896] = 2658,
  [2897] = 2657,
  [2898] = 2657,
  [2899] = 2660,
  [2900] = 2656,
  [2901] = 2657,
  [2902] = 2656,
  [2903] = 2658,
  [2904] = 2656,
  [2905] = 2660,
  [2906] = 2660,
  [2907] = 2660,
  [2908] = 2658,
  [2909] = 2657,
  [2910] = 2656,
  [2911] = 2660,
  [2912] = 2660,
  [2913] = 2656,
  [2914] = 2656,
  [2915] = 2657,
  [2916] = 2657,
  [2917] = 2658,
  [2918] = 2658,
  [2919] = 2658,
  [2920] = 2657,
  [2921] = 2656,
  [2922] = 2660,
  [2923] = 2658,
  [2924] = 2657,
  [2925] = 2656,
  [2926] = 2656,
  [2927] = 2660,
  [2928] = 2660,
  [2929] = 2656,
  [2930] = 2656,
  [2931] = 2657,
  [2932] = 2658,
  [2933] = 2658,
  [2934] = 2657,
  [2935] = 2657,
  [2936] = 2656,
  [2937] = 2660,
  [2938] = 2658,
  [2939] = 2660,
  [2940] = 2660,
  [2941] = 2656,
  [2942] = 2657,
  [2943] = 2658,
  [2944] = 2660,
  [2945] = 2656,
  [2946] = 2657,
  [2947] = 2658,
  [2948] = 2656,
  [2949] = 2656,
  [2950] = 2658,
  [2951] = 2660,
  [2952] = 2660,
  [2953] = 2660,
  [2954] = 2657,
  [2955] = 2657,
  [2956] = 2657,
  [2957] = 2656,
  [2958] = 2658,
  [2959] = 2658,
  [2960] = 2656,
  [2961] = 2660,
  [2962] = 2656,
  [2963] = 2657,
  [2964] = 2657,
  [2965] = 2656,
  [2966] = 2660,
  [2967] = 2658,
  [2968] = 2657,
  [2969] = 2658,
  [2970] = 2656,
  [2971] = 2657,
  [2972] = 2658,
  [2973] = 2657,
  [2974] = 2656,
  [2975] = 2658,
  [2976] = 2660,
  [2977] = 2656,
  [2978] = 2658,
  [2979] = 2660,
  [2980] = 2660,
  [2981] = 2657,
  [2982] = 2656,
  [2983] = 2658,
  [2984] = 2656,
  [2985] = 2660,
  [2986] = 2657,
  [2987] = 2660,
  [2988] = 2658,
  [2989] = 2657,
  [2990] = 2656,
  [2991] = 2660,
  [2992] = 2660,
  [2993] = 2658,
  [2994] = 2658,
  [2995] = 2657,
  [2996] = 2658,
  [2997] = 2657,
  [2998] = 2656,
  [2999] = 2657,
  [3000] = 2656,
  [3001] = 2656,
  [3002] = 2660,
  [3003] = 2660,
  [3004] = 2658,
  [3005] = 2660,
  [3006] = 2656,
  [3007] = 2658,
  [3008] = 2657,
  [3009] = 2657,
  [3010] = 2656,
  [3011] = 2660,
  [3012] = 2660,
  [3013] = 2660,
  [3014] = 2656,
  [3015] = 2658,
  [3016] = 2657,
  [3017] = 2658,
  [3018] = 2660,
  [3019] = 2657,
  [3020] = 2412,
  [3021] = 2656,
  [3022] = 2660,
  [3023] = 2657,
  [3024] = 2657,
  [3025] = 2658,
  [3026] = 2656,
  [3027] = 2658,
  [3028] = 2657,
  [3029] = 2660,
  [3030] = 2656,
  [3031] = 2660,
  [3032] = 2657,
  [3033] = 2657,
  [3034] = 2656,
  [3035] = 2657,
  [3036] = 2660,
  [3037] = 2658,
  [3038] = 2658,
  [3039] = 2656,
  [3040] = 2658,
  [3041] = 2658,
  [3042] = 2658,
  [3043] = 2656,
  [3044] = 2657,
  [3045] = 2656,
  [3046] = 2660,
  [3047] = 2657,
  [3048] = 2660,
  [3049] = 2660,
  [3050] = 2656,
  [3051] = 2657,
  [3052] = 2658,
  [3053] = 2658,
  [3054] = 2657,
  [3055] = 2656,
  [3056] = 2658,
  [3057] = 2412,
  [3058] = 2660,
  [3059] = 2660,
  [3060] = 2660,
  [3061] = 2656,
  [3062] = 2657,
  [3063] = 2658,
  [3064] = 2658,
  [3065] = 2660,
  [3066] = 2658,
  [3067] = 2656,
  [3068] = 2657,
  [3069] = 2656,
  [3070] = 2660,
  [3071] = 2658,
  [3072] = 2660,
  [3073] = 2658,
  [3074] = 2657,
  [3075] = 2656,
  [3076] = 2657,
  [3077] = 2656,
  [3078] = 2660,
  [3079] = 2657,
  [3080] = 2658,
  [3081] = 2658,
  [3082] = 2657,
  [3083] = 2658,
  [3084] = 2658,
  [3085] = 2657,
  [3086] = 2656,
  [3087] = 2660,
  [3088] = 2660,
  [3089] = 2658,
  [3090] = 2657,
  [3091] = 2657,
  [3092] = 2656,
  [3093] = 2656,
  [3094] = 2660,
  [3095] = 2658,
  [3096] = 2657,
  [3097] = 2656,
  [3098] = 2660,
  [3099] = 2660,
  [3100] = 2656,
  [3101] = 2657,
  [3102] = 2660,
  [3103] = 2658,
  [3104] = 2656,
  [3105] = 2657,
  [3106] = 2660,
  [3107] = 2658,
  [3108] = 2660,
  [3109] = 2656,
  [3110] = 2657,
  [3111] = 2658,
  [3112] = 2657,
  [3113] = 2656,
  [3114] = 2656,
  [3115] = 2660,
  [3116] = 2658,
  [3117] = 2657,
  [3118] = 2660,
  [3119] = 2656,
  [3120] = 2657,
  [3121] = 2658,
  [3122] = 2658,
  [3123] = 2658,
  [3124] = 2658,
  [3125] = 2658,
  [3126] = 2657,
  [3127] = 2656,
  [3128] = 2658,
  [3129] = 2660,
  [3130] = 2660,
  [3131] = 2657,
  [3132] = 2656,
  [3133] = 2657,
  [3134] = 2658,
  [3135] = 2657,
  [3136] = 2657,
  [3137] = 2656,
  [3138] = 2656,
  [3139] = 2658,
  [3140] = 2660,
  [3141] = 2656,
  [3142] = 2660,
  [3143] = 2657,
  [3144] = 2656,
  [3145] = 2657,
  [3146] = 2660,
  [3147] = 2660,
  [3148] = 2658,
  [3149] = 2658,
  [3150] = 2657,
  [3151] = 2656,
  [3152] = 2660,
  [3153] = 2656,
  [3154] = 2658,
  [3155] = 2657,
  [3156] = 2658,
  [3157] = 2657,
  [3158] = 2656,
  [3159] = 2656,
  [3160] = 2660,
  [3161] = 2660,
  [3162] = 2660,
  [3163] = 2658,
  [3164] = 2657,
  [3165] = 2656,
  [3166] = 2660,
  [3167] = 2660,
  [3168] = 2656,
  [3169] = 2660,
  [3170] = 2656,
  [3171] = 2657,
  [3172] = 2657,
  [3173] = 2658,
  [3174] = 2660,
  [3175] = 2658,
  [3176] = 2660,
  [3177] = 2656,
  [3178] = 2657,
  [3179] = 2658,
  [3180] = 2656,
  [3181] = 2657,
  [3182] = 3182,
  [3183] = 3183,
  [3184] = 3184,
  [3185] = 3185,
  [3186] = 3186,
  [3187] = 3187,
  [3188] = 3188,
  [3189] = 3183,
  [3190] = 3190,
  [3191] = 3191,
  [3192] = 3190,
  [3193] = 3191,
  [3194] = 3190,
  [3195] = 3195,
  [3196] = 3183,
  [3197] = 3183,
  [3198] = 3185,
  [3199] = 3199,
  [3200] = 3187,
  [3201] = 3201,
  [3202] = 2412,
  [3203] = 3190,
  [3204] = 3191,
  [3205] = 3184,
  [3206] = 3206,
  [3207] = 3195,
  [3208] = 3186,
  [3209] = 3187,
  [3210] = 3187,
  [3211] = 3185,
  [3212] = 3186,
  [3213] = 3185,
  [3214] = 3214,
  [3215] = 3215,
  [3216] = 3183,
  [3217] = 3187,
  [3218] = 3190,
  [3219] = 3188,
  [3220] = 3187,
  [3221] = 3191,
  [3222] = 3195,
  [3223] = 3201,
  [3224] = 3201,
  [3225] = 3201,
  [3226] = 3226,
  [3227] = 3227,
  [3228] = 3228,
  [3229] = 3201,
  [3230] = 3186,
  [3231] = 3185,
  [3232] = 3185,
  [3233] = 3187,
  [3234] = 3190,
  [3235] = 3186,
  [3236] = 3188,
  [3237] = 3183,
  [3238] = 3238,
  [3239] = 3183,
  [3240] = 3188,
  [3241] = 3186,
  [3242] = 3185,
  [3243] = 3184,
  [3244] = 3187,
  [3245] = 3195,
  [3246] = 3187,
  [3247] = 3187,
  [3248] = 3191,
  [3249] = 3185,
  [3250] = 3190,
  [3251] = 3191,
  [3252] = 3190,
  [3253] = 3201,
  [3254] = 3190,
  [3255] = 3191,
  [3256] = 3185,
  [3257] = 3186,
  [3258] = 3188,
  [3259] = 3184,
  [3260] = 3188,
  [3261] = 3195,
  [3262] = 3183,
  [3263] = 3186,
  [3264] = 3188,
  [3265] = 3186,
  [3266] = 3187,
  [3267] = 3201,
  [3268] = 3185,
  [3269] = 3187,
  [3270] = 3183,
  [3271] = 3183,
  [3272] = 3272,
  [3273] = 3195,
  [3274] = 3191,
  [3275] = 3184,
  [3276] = 3190,
  [3277] = 3201,
  [3278] = 3187,
  [3279] = 3201,
  [3280] = 3183,
  [3281] = 3185,
  [3282] = 3186,
  [3283] = 3190,
  [3284] = 3188,
  [3285] = 3201,
  [3286] = 3191,
  [3287] = 3195,
  [3288] = 3183,
  [3289] = 3190,
  [3290] = 3201,
  [3291] = 3201,
  [3292] = 3183,
  [3293] = 3187,
  [3294] = 3185,
  [3295] = 3186,
  [3296] = 3188,
  [3297] = 3183,
  [3298] = 3184,
  [3299] = 3201,
  [3300] = 3190,
  [3301] = 3188,
  [3302] = 3201,
  [3303] = 3184,
  [3304] = 3183,
  [3305] = 3188,
  [3306] = 3199,
  [3307] = 3190,
  [3308] = 3188,
  [3309] = 3272,
  [3310] = 3186,
  [3311] = 3195,
  [3312] = 3185,
  [3313] = 3187,
  [3314] = 3314,
  [3315] = 3185,
  [3316] = 3186,
  [3317] = 3183,
  [3318] = 3187,
  [3319] = 3185,
  [3320] = 3186,
  [3321] = 3185,
  [3322] = 3188,
  [3323] = 3183,
  [3324] = 3183,
  [3325] = 3201,
  [3326] = 3201,
  [3327] = 3327,
  [3328] = 3201,
  [3329] = 3182,
  [3330] = 3195,
  [3331] = 3331,
  [3332] = 3191,
  [3333] = 3183,
  [3334] = 3201,
  [3335] = 3335,
  [3336] = 3187,
  [3337] = 3185,
  [3338] = 3186,
  [3339] = 3188,
  [3340] = 3191,
  [3341] = 3187,
  [3342] = 3190,
  [3343] = 3227,
  [3344] = 3344,
  [3345] = 3201,
  [3346] = 3226,
  [3347] = 3184,
  [3348] = 3214,
  [3349] = 3186,
  [3350] = 3199,
  [3351] = 3206,
  [3352] = 3190,
  [3353] = 3190,
  [3354] = 3184,
  [3355] = 3190,
  [3356] = 3190,
  [3357] = 3190,
  [3358] = 3188,
  [3359] = 3190,
  [3360] = 3190,
  [3361] = 3190,
  [3362] = 3201,
  [3363] = 3363,
  [3364] = 3188,
  [3365] = 3186,
  [3366] = 3183,
  [3367] = 3228,
  [3368] = 3201,
  [3369] = 3187,
  [3370] = 3185,
  [3371] = 3190,
  [3372] = 3185,
  [3373] = 3195,
  [3374] = 3191,
  [3375] = 3191,
  [3376] = 3190,
  [3377] = 3187,
  [3378] = 3190,
  [3379] = 3188,
  [3380] = 3191,
  [3381] = 3186,
  [3382] = 3186,
  [3383] = 3183,
  [3384] = 3188,
  [3385] = 3185,
  [3386] = 3183,
  [3387] = 3190,
  [3388] = 3184,
  [3389] = 3186,
  [3390] = 3185,
  [3391] = 3188,
  [3392] = 3187,
  [3393] = 3187,
  [3394] = 3201,
  [3395] = 3190,
  [3396] = 3183,
  [3397] = 3190,
  [3398] = 3190,
  [3399] = 3187,
  [3400] = 3185,
  [3401] = 3186,
  [3402] = 3190,
  [3403] = 3199,
  [3404] = 3190,
  [3405] = 3188,
  [3406] = 3190,
  [3407] = 3190,
  [3408] = 3195,
  [3409] = 3184,
  [3410] = 3183,
  [3411] = 3201,
  [3412] = 3190,
  [3413] = 3188,
  [3414] = 3190,
  [3415] = 3190,
  [3416] = 3416,
  [3417] = 3190,
  [3418] = 3201,
  [3419] = 3186,
  [3420] = 3201,
  [3421] = 3187,
  [3422] = 3183,
  [3423] = 3188,
  [3424] = 3183,
  [3425] = 3195,
  [3426] = 3190,
  [3427] = 3185,
  [3428] = 3190,
  [3429] = 3191,
  [3430] = 3187,
  [3431] = 3201,
  [3432] = 3190,
  [3433] = 3190,
  [3434] = 3195,
  [3435] = 3190,
  [3436] = 3190,
  [3437] = 3186,
  [3438] = 3185,
  [3439] = 3190,
  [3440] = 3190,
  [3441] = 3190,
  [3442] = 3187,
  [3443] = 3201,
  [3444] = 3195,
  [3445] = 3445,
  [3446] = 3191,
  [3447] = 3190,
  [3448] = 3187,
  [3449] = 3190,
  [3450] = 3185,
  [3451] = 3183,
  [3452] = 3186,
  [3453] = 3190,
  [3454] = 3183,
  [3455] = 3188,
  [3456] = 3191,
  [3457] = 3201,
  [3458] = 3190,
  [3459] = 3183,
  [3460] = 3184,
  [3461] = 3461,
  [3462] = 3190,
  [3463] = 3183,
  [3464] = 3190,
  [3465] = 3190,
  [3466] = 3183,
  [3467] = 3190,
  [3468] = 3183,
  [3469] = 3469,
  [3470] = 3188,
  [3471] = 3471,
  [3472] = 3190,
  [3473] = 3183,
  [3474] = 3188,
  [3475] = 3190,
  [3476] = 3201,
  [3477] = 3183,
  [3478] = 3190,
  [3479] = 3186,
  [3480] = 3190,
  [3481] = 3183,
  [3482] = 3191,
  [3483] = 3195,
  [3484] = 3195,
  [3485] = 3185,
  [3486] = 3190,
  [3487] = 3183,
  [3488] = 3187,
  [3489] = 3190,
  [3490] = 3183,
  [3491] = 3183,
  [3492] = 3187,
  [3493] = 3185,
  [3494] = 3186,
  [3495] = 3190,
  [3496] = 3183,
  [3497] = 3190,
  [3498] = 3191,
  [3499] = 3183,
  [3500] = 3188,
  [3501] = 3185,
  [3502] = 3190,
  [3503] = 3201,
  [3504] = 3201,
  [3505] = 3187,
  [3506] = 3186,
  [3507] = 3183,
  [3508] = 3363,
  [3509] = 3195,
  [3510] = 3190,
  [3511] = 3188,
  [3512] = 3190,
  [3513] = 3190,
  [3514] = 3183,
  [3515] = 3186,
  [3516] = 3187,
  [3517] = 3187,
  [3518] = 3185,
  [3519] = 3272,
  [3520] = 3184,
  [3521] = 3186,
  [3522] = 3187,
  [3523] = 3185,
  [3524] = 3186,
  [3525] = 3188,
  [3526] = 3190,
  [3527] = 3201,
  [3528] = 3183,
  [3529] = 3184,
  [3530] = 3416,
  [3531] = 3201,
  [3532] = 3187,
  [3533] = 3188,
  [3534] = 3185,
  [3535] = 3445,
  [3536] = 3183,
  [3537] = 3335,
  [3538] = 3183,
  [3539] = 3190,
  [3540] = 3190,
  [3541] = 3183,
  [3542] = 3190,
  [3543] = 3461,
  [3544] = 3469,
  [3545] = 3191,
  [3546] = 3471,
  [3547] = 3190,
  [3548] = 3201,
  [3549] = 3195,
  [3550] = 3183,
  [3551] = 3201,
  [3552] = 3183,
  [3553] = 3183,
  [3554] = 3186,
  [3555] = 3228,
  [3556] = 3184,
  [3557] = 3188,
  [3558] = 3227,
  [3559] = 3186,
  [3560] = 3185,
  [3561] = 3226,
  [3562] = 3190,
  [3563] = 3187,
  [3564] = 3185,
  [3565] = 3190,
  [3566] = 3187,
  [3567] = 3186,
  [3568] = 3183,
  [3569] = 3185,
  [3570] = 3215,
  [3571] = 3188,
  [3572] = 3186,
  [3573] = 3188,
  [3574] = 3188,
  [3575] = 3190,
  [3576] = 3183,
  [3577] = 3190,
  [3578] = 3187,
  [3579] = 3183,
  [3580] = 3191,
  [3581] = 3188,
  [3582] = 3190,
  [3583] = 3186,
  [3584] = 3187,
  [3585] = 2412,
  [3586] = 3188,
  [3587] = 3186,
  [3588] = 3201,
  [3589] = 3214,
  [3590] = 3183,
  [3591] = 3185,
  [3592] = 3471,
  [3593] = 2412,
  [3594] = 3190,
  [3595] = 3469,
  [3596] = 3201,
  [3597] = 3206,
  [3598] = 3190,
  [3599] = 3195,
  [3600] = 3185,
  [3601] = 3187,
  [3602] = 3187,
  [3603] = 3461,
  [3604] = 3183,
  [3605] = 3183,
  [3606] = 3201,
  [3607] = 3183,
  [3608] = 3190,
  [3609] = 3445,
  [3610] = 3183,
  [3611] = 3190,
  [3612] = 3190,
  [3613] = 3191,
  [3614] = 3183,
  [3615] = 3190,
  [3616] = 3190,
  [3617] = 3187,
  [3618] = 3185,
  [3619] = 3183,
  [3620] = 3185,
  [3621] = 3190,
  [3622] = 3186,
  [3623] = 3188,
  [3624] = 3183,
  [3625] = 3185,
  [3626] = 3186,
  [3627] = 3188,
  [3628] = 3201,
  [3629] = 3201,
  [3630] = 3184,
  [3631] = 3201,
  [3632] = 3184,
  [3633] = 3190,
  [3634] = 3183,
  [3635] = 3201,
  [3636] = 3187,
  [3637] = 3191,
  [3638] = 3187,
  [3639] = 3190,
  [3640] = 2412,
  [3641] = 3185,
  [3642] = 3190,
  [3643] = 3186,
  [3644] = 3183,
  [3645] = 3185,
  [3646] = 3314,
  [3647] = 3190,
  [3648] = 3183,
  [3649] = 3188,
  [3650] = 3188,
  [3651] = 3651,
  [3652] = 3201,
  [3653] = 3190,
  [3654] = 3184,
  [3655] = 3183,
  [3656] = 3186,
  [3657] = 3186,
  [3658] = 3190,
  [3659] = 3190,
  [3660] = 3183,
  [3661] = 3201,
  [3662] = 3188,
  [3663] = 3331,
  [3664] = 3183,
  [3665] = 3183,
  [3666] = 3445,
  [3667] = 3190,
  [3668] = 3344,
  [3669] = 3187,
  [3670] = 3183,
  [3671] = 3185,
  [3672] = 3187,
  [3673] = 3651,
  [3674] = 3190,
  [3675] = 3188,
  [3676] = 3183,
  [3677] = 3186,
  [3678] = 3185,
  [3679] = 3188,
  [3680] = 3190,
  [3681] = 3190,
  [3682] = 3190,
  [3683] = 3186,
  [3684] = 3185,
  [3685] = 3201,
  [3686] = 3191,
  [3687] = 3187,
  [3688] = 3190,
  [3689] = 3183,
  [3690] = 3195,
  [3691] = 3183,
  [3692] = 3186,
  [3693] = 3190,
  [3694] = 3188,
  [3695] = 3190,
  [3696] = 3183,
  [3697] = 3184,
  [3698] = 3188,
  [3699] = 3461,
  [3700] = 3185,
  [3701] = 3187,
  [3702] = 3651,
  [3703] = 3469,
  [3704] = 3190,
  [3705] = 3183,
  [3706] = 3201,
  [3707] = 3188,
  [3708] = 3471,
  [3709] = 3709,
  [3710] = 3190,
  [3711] = 3183,
  [3712] = 3188,
  [3713] = 3713,
  [3714] = 3714,
  [3715] = 3190,
  [3716] = 3184,
  [3717] = 3183,
  [3718] = 3190,
  [3719] = 3183,
  [3720] = 3190,
  [3721] = 3183,
  [3722] = 3201,
  [3723] = 3190,
  [3724] = 3183,
  [3725] = 3206,
  [3726] = 3190,
  [3727] = 3183,
  [3728] = 3190,
  [3729] = 3183,
  [3730] = 3183,
  [3731] = 3190,
  [3732] = 3201,
  [3733] = 3214,
  [3734] = 3190,
  [3735] = 3416,
  [3736] = 3188,
  [3737] = 3187,
  [3738] = 3191,
  [3739] = 3183,
  [3740] = 3185,
  [3741] = 3195,
  [3742] = 3186,
  [3743] = 3183,
  [3744] = 3190,
  [3745] = 3183,
  [3746] = 3186,
  [3747] = 3188,
  [3748] = 3190,
  [3749] = 3190,
  [3750] = 3185,
  [3751] = 3183,
  [3752] = 3190,
  [3753] = 3183,
  [3754] = 3184,
  [3755] = 3187,
  [3756] = 3190,
  [3757] = 3186,
  [3758] = 3188,
  [3759] = 3183,
  [3760] = 3183,
  [3761] = 3201,
  [3762] = 3190,
  [3763] = 3186,
  [3764] = 3185,
  [3765] = 3190,
  [3766] = 3183,
  [3767] = 3191,
  [3768] = 3195,
  [3769] = 3190,
  [3770] = 3215,
  [3771] = 3226,
  [3772] = 3183,
  [3773] = 3201,
  [3774] = 3201,
  [3775] = 3183,
  [3776] = 3186,
  [3777] = 3187,
  [3778] = 3185,
  [3779] = 3186,
  [3780] = 3188,
  [3781] = 3191,
  [3782] = 3272,
  [3783] = 3187,
  [3784] = 3188,
  [3785] = 3186,
  [3786] = 3190,
  [3787] = 3185,
  [3788] = 3201,
  [3789] = 3183,
  [3790] = 3185,
  [3791] = 3190,
  [3792] = 3183,
  [3793] = 3190,
  [3794] = 3187,
  [3795] = 3183,
  [3796] = 3190,
  [3797] = 3183,
  [3798] = 3201,
  [3799] = 3184,
  [3800] = 3187,
  [3801] = 3190,
  [3802] = 3183,
  [3803] = 3227,
  [3804] = 3185,
  [3805] = 3187,
  [3806] = 3206,
  [3807] = 3186,
  [3808] = 3214,
  [3809] = 3190,
  [3810] = 3183,
  [3811] = 3188,
  [3812] = 3183,
  [3813] = 3314,
  [3814] = 3182,
  [3815] = 3190,
  [3816] = 3183,
  [3817] = 3188,
  [3818] = 3331,
  [3819] = 3335,
  [3820] = 3190,
  [3821] = 3184,
  [3822] = 3188,
  [3823] = 3186,
  [3824] = 3185,
  [3825] = 3344,
  [3826] = 3187,
  [3827] = 2412,
  [3828] = 3186,
  [3829] = 3185,
  [3830] = 3201,
  [3831] = 3187,
  [3832] = 3201,
  [3833] = 3190,
  [3834] = 3187,
  [3835] = 3183,
  [3836] = 3185,
  [3837] = 3363,
  [3838] = 3201,
  [3839] = 3186,
  [3840] = 3188,
  [3841] = 3190,
  [3842] = 3201,
  [3843] = 3201,
  [3844] = 3183,
  [3845] = 3190,
  [3846] = 3188,
  [3847] = 3188,
  [3848] = 3187,
  [3849] = 3183,
  [3850] = 3201,
  [3851] = 3201,
  [3852] = 3190,
  [3853] = 3183,
  [3854] = 3185,
  [3855] = 2412,
  [3856] = 3186,
  [3857] = 3188,
  [3858] = 3186,
  [3859] = 3187,
  [3860] = 3183,
  [3861] = 3188,
  [3862] = 3185,
  [3863] = 3327,
  [3864] = 3185,
  [3865] = 3186,
  [3866] = 3185,
  [3867] = 3187,
  [3868] = 3190,
  [3869] = 3186,
  [3870] = 3186,
  [3871] = 3188,
  [3872] = 3183,
  [3873] = 3201,
  [3874] = 3190,
  [3875] = 3183,
  [3876] = 3183,
  [3877] = 3188,
  [3878] = 3187,
  [3879] = 3327,
  [3880] = 3186,
  [3881] = 3190,
  [3882] = 3187,
  [3883] = 3183,
  [3884] = 3201,
  [3885] = 3185,
  [3886] = 3183,
  [3887] = 3183,
  [3888] = 3195,
  [3889] = 3188,
  [3890] = 3190,
  [3891] = 3183,
  [3892] = 3185,
  [3893] = 3186,
  [3894] = 3188,
  [3895] = 3184,
  [3896] = 3190,
  [3897] = 3188,
  [3898] = 3190,
  [3899] = 3186,
  [3900] = 3183,
  [3901] = 3185,
  [3902] = 3187,
  [3903] = 3191,
  [3904] = 3184,
  [3905] = 3185,
  [3906] = 3201,
  [3907] = 3187,
  [3908] = 3201,
  [3909] = 3188,
  [3910] = 3183,
  [3911] = 3190,
  [3912] = 3201,
  [3913] = 3183,
  [3914] = 3188,
  [3915] = 3195,
  [3916] = 3186,
  [3917] = 3201,
  [3918] = 3190,
  [3919] = 3445,
  [3920] = 3188,
  [3921] = 3461,
  [3922] = 3187,
  [3923] = 3201,
  [3924] = 3185,
  [3925] = 3188,
  [3926] = 3186,
  [3927] = 3186,
  [3928] = 3185,
  [3929] = 3190,
  [3930] = 3191,
  [3931] = 3187,
  [3932] = 3188,
  [3933] = 3469,
  [3934] = 3188,
  [3935] = 3471,
  [3936] = 3186,
  [3937] = 3185,
  [3938] = 3186,
  [3939] = 3185,
  [3940] = 3190,
  [3941] = 3183,
  [3942] = 3187,
  [3943] = 3187,
  [3944] = 3187,
  [3945] = 3185,
  [3946] = 3186,
  [3947] = 3186,
  [3948] = 3183,
  [3949] = 3187,
  [3950] = 3188,
  [3951] = 3190,
  [3952] = 3201,
  [3953] = 3195,
  [3954] = 3190,
  [3955] = 3183,
  [3956] = 3183,
  [3957] = 3201,
  [3958] = 3186,
  [3959] = 3185,
  [3960] = 3201,
  [3961] = 3190,
  [3962] = 3187,
  [3963] = 3201,
  [3964] = 3185,
  [3965] = 3185,
  [3966] = 2412,
  [3967] = 2412,
  [3968] = 2412,
  [3969] = 2412,
  [3970] = 2412,
  [3971] = 3971,
  [3972] = 3971,
  [3973] = 3971,
  [3974] = 3971,
  [3975] = 3971,
  [3976] = 3971,
  [3977] = 3971,
  [3978] = 3971,
  [3979] = 3971,
  [3980] = 3971,
  [3981] = 3971,
  [3982] = 3971,
  [3983] = 3971,
  [3984] = 3971,
  [3985] = 3971,
  [3986] = 3971,
  [3987] = 3971,
  [3988] = 3971,
  [3989] = 3971,
  [3990] = 3971,
  [3991] = 3971,
  [3992] = 3971,
  [3993] = 3971,
  [3994] = 3971,
  [3995] = 3971,
  [3996] = 3971,
  [3997] = 3971,
  [3998] = 3971,
  [3999] = 3971,
  [4000] = 3971,
  [4001] = 3971,
  [4002] = 3971,
  [4003] = 3971,
  [4004] = 3971,
  [4005] = 3971,
  [4006] = 3971,
  [4007] = 3971,
  [4008] = 3971,
  [4009] = 3971,
  [4010] = 3971,
  [4011] = 3971,
  [4012] = 3971,
  [4013] = 3971,
  [4014] = 3971,
  [4015] = 3971,
  [4016] = 3971,
  [4017] = 3971,
  [4018] = 4018,
  [4019] = 2412,
  [4020] = 3971,
  [4021] = 3971,
  [4022] = 3971,
  [4023] = 3971,
  [4024] = 3971,
  [4025] = 3971,
  [4026] = 3971,
  [4027] = 3971,
  [4028] = 4028,
  [4029] = 3971,
  [4030] = 4030,
  [4031] = 4031,
  [4032] = 4031,
  [4033] = 4033,
  [4034] = 4031,
  [4035] = 4031,
  [4036] = 4036,
  [4037] = 4036,
  [4038] = 4031,
  [4039] = 4036,
  [4040] = 4031,
  [4041] = 4036,
  [4042] = 4036,
  [4043] = 4033,
  [4044] = 4031,
  [4045] = 4036,
  [4046] = 4031,
  [4047] = 4031,
  [4048] = 4036,
  [4049] = 4031,
  [4050] = 4036,
  [4051] = 4031,
  [4052] = 4031,
  [4053] = 4036,
  [4054] = 4031,
  [4055] = 4031,
  [4056] = 4036,
  [4057] = 4036,
  [4058] = 4031,
  [4059] = 4036,
  [4060] = 4030,
  [4061] = 4036,
  [4062] = 4031,
  [4063] = 4036,
  [4064] = 4028,
  [4065] = 4018,
  [4066] = 4036,
  [4067] = 4031,
  [4068] = 4031,
  [4069] = 4036,
  [4070] = 4031,
  [4071] = 4036,
  [4072] = 4031,
  [4073] = 4036,
  [4074] = 4031,
  [4075] = 4036,
  [4076] = 4031,
  [4077] = 4031,
  [4078] = 4031,
  [4079] = 4036,
  [4080] = 4036,
  [4081] = 4036,
  [4082] = 4031,
  [4083] = 4031,
  [4084] = 4036,
  [4085] = 4031,
  [4086] = 4031,
  [4087] = 4031,
  [4088] = 4036,
  [4089] = 4031,
  [4090] = 4036,
  [4091] = 4031,
  [4092] = 4036,
  [4093] = 4036,
  [4094] = 4036,
  [4095] = 4031,
  [4096] = 4036,
  [4097] = 4036,
  [4098] = 4031,
  [4099] = 4036,
  [4100] = 4031,
  [4101] = 4036,
  [4102] = 4036,
  [4103] = 4036,
  [4104] = 4031,
  [4105] = 4031,
  [4106] = 4036,
  [4107] = 4031,
  [4108] = 4031,
  [4109] = 4036,
  [4110] = 4018,
  [4111] = 4036,
  [4112] = 4031,
  [4113] = 4036,
  [4114] = 4031,
  [4115] = 4036,
  [4116] = 4031,
  [4117] = 4031,
  [4118] = 4036,
  [4119] = 4031,
  [4120] = 4031,
  [4121] = 4036,
  [4122] = 4036,
  [4123] = 4036,
  [4124] = 4031,
  [4125] = 4031,
  [4126] = 4028,
  [4127] = 4036,
  [4128] = 4031,
  [4129] = 4036,
  [4130] = 4036,
  [4131] = 4036,
  [4132] = 4036,
  [4133] = 4036,
  [4134] = 4031,
  [4135] = 4036,
  [4136] = 4036,
  [4137] = 4031,
  [4138] = 4031,
  [4139] = 4036,
  [4140] = 4036,
  [4141] = 4036,
  [4142] = 4031,
  [4143] = 4031,
  [4144] = 4031,
  [4145] = 4036,
  [4146] = 4031,
  [4147] = 4031,
  [4148] = 4036,
  [4149] = 4031,
  [4150] = 4018,
  [4151] = 4018,
  [4152] = 4018,
  [4153] = 4153,
  [4154] = 4028,
  [4155] = 4155,
  [4156] = 4018,
  [4157] = 4028,
  [4158] = 4028,
  [4159] = 4028,
  [4160] = 4028,
  [4161] = 4018,
  [4162] = 4162,
  [4163] = 4018,
  [4164] = 4018,
  [4165] = 4018,
  [4166] = 4162,
  [4167] = 4028,
  [4168] = 4028,
  [4169] = 4028,
  [4170] = 4018,
  [4171] = 4171,
  [4172] = 4162,
  [4173] = 4028,
  [4174] = 4018,
  [4175] = 4028,
  [4176] = 4018,
  [4177] = 4028,
  [4178] = 4028,
  [4179] = 4018,
  [4180] = 4028,
  [4181] = 4028,
  [4182] = 4028,
  [4183] = 4028,
  [4184] = 4018,
  [4185] = 4018,
  [4186] = 4018,
  [4187] = 4018,
  [4188] = 4018,
  [4189] = 4018,
  [4190] = 4190,
  [4191] = 4028,
  [4192] = 4018,
  [4193] = 4193,
  [4194] = 4190,
  [4195] = 4028,
  [4196] = 4028,
  [4197] = 4018,
  [4198] = 4028,
  [4199] = 4199,
  [4200] = 4018,
  [4201] = 4028,
  [4202] = 4018,
  [4203] = 4028,
  [4204] = 4204,
  [4205] = 4205,
  [4206] = 4206,
  [4207] = 4205,
  [4208] = 4205,
  [4209] = 4209,
  [4210] = 4210,
  [4211] = 4210,
  [4212] = 4212,
  [4213] = 4205,
  [4214] = 4205,
  [4215] = 4205,
  [4216] = 4205,
  [4217] = 4212,
  [4218] = 4205,
  [4219] = 4205,
  [4220] = 4206,
  [4221] = 4205,
  [4222] = 4210,
  [4223] = 4206,
  [4224] = 4199,
  [4225] = 4205,
  [4226] = 4205,
  [4227] = 4206,
  [4228] = 4210,
  [4229] = 4205,
  [4230] = 4209,
  [4231] = 4205,
  [4232] = 4209,
  [4233] = 4233,
  [4234] = 4205,
  [4235] = 4205,
  [4236] = 4205,
  [4237] = 4205,
  [4238] = 4205,
  [4239] = 4233,
  [4240] = 4205,
  [4241] = 4205,
  [4242] = 4205,
  [4243] = 4209,
  [4244] = 4205,
  [4245] = 4205,
  [4246] = 4205,
  [4247] = 4212,
  [4248] = 4205,
  [4249] = 4204,
  [4250] = 4205,
  [4251] = 4205,
  [4252] = 4205,
  [4253] = 4205,
  [4254] = 4205,
  [4255] = 4205,
  [4256] = 4205,
  [4257] = 4205,
  [4258] = 4205,
  [4259] = 4210,
  [4260] = 4204,
  [4261] = 4206,
  [4262] = 4204,
  [4263] = 4205,
  [4264] = 4212,
  [4265] = 4265,
  [4266] = 4266,
  [4267] = 4267,
  [4268] = 4268,
  [4269] = 4269,
  [4270] = 4270,
  [4271] = 4269,
  [4272] = 4272,
  [4273] = 4273,
  [4274] = 4266,
  [4275] = 4269,
  [4276] = 4272,
  [4277] = 4266,
  [4278] = 4266,
  [4279] = 4279,
  [4280] = 4265,
  [4281] = 4281,
  [4282] = 4268,
  [4283] = 4283,
  [4284] = 4268,
  [4285] = 4279,
  [4286] = 4273,
  [4287] = 4265,
  [4288] = 4283,
  [4289] = 4281,
  [4290] = 4028,
  [4291] = 4283,
  [4292] = 4292,
  [4293] = 4018,
  [4294] = 4265,
  [4295] = 4269,
  [4296] = 4292,
  [4297] = 4270,
  [4298] = 4265,
  [4299] = 4283,
  [4300] = 4292,
  [4301] = 4292,
  [4302] = 4268,
  [4303] = 4279,
  [4304] = 4272,
  [4305] = 4292,
  [4306] = 4283,
  [4307] = 4273,
  [4308] = 4272,
  [4309] = 4270,
  [4310] = 4281,
  [4311] = 4311,
  [4312] = 4312,
  [4313] = 2468,
  [4314] = 4314,
  [4315] = 2463,
  [4316] = 4316,
  [4317] = 4317,
  [4318] = 4318,
  [4319] = 4316,
  [4320] = 4318,
  [4321] = 4318,
  [4322] = 4318,
  [4323] = 4318,
  [4324] = 4324,
  [4325] = 4324,
  [4326] = 4326,
  [4327] = 4327,
  [4328] = 4326,
  [4329] = 4329,
  [4330] = 4330,
  [4331] = 4329,
  [4332] = 4332,
  [4333] = 4326,
  [4334] = 4326,
  [4335] = 4329,
  [4336] = 4329,
  [4337] = 4337,
  [4338] = 4338,
  [4339] = 4339,
  [4340] = 4332,
  [4341] = 4329,
  [4342] = 4332,
  [4343] = 4316,
  [4344] = 4327,
  [4345] = 4332,
  [4346] = 4346,
  [4347] = 4347,
  [4348] = 4348,
  [4349] = 4349,
  [4350] = 4350,
  [4351] = 4330,
  [4352] = 4352,
  [4353] = 4353,
  [4354] = 4354,
  [4355] = 4355,
  [4356] = 4356,
  [4357] = 4357,
  [4358] = 4358,
  [4359] = 4359,
  [4360] = 4347,
  [4361] = 4349,
  [4362] = 4362,
  [4363] = 4349,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 4366,
  [4367] = 4337,
  [4368] = 4368,
  [4369] = 4369,
  [4370] = 4353,
  [4371] = 4366,
  [4372] = 4372,
  [4373] = 4346,
  [4374] = 4350,
  [4375] = 4350,
  [4376] = 4356,
  [4377] = 4377,
  [4378] = 4349,
  [4379] = 4377,
  [4380] = 4330,
  [4381] = 4381,
  [4382] = 4347,
  [4383] = 4369,
  [4384] = 4377,
  [4385] = 4366,
  [4386] = 4386,
  [4387] = 4349,
  [4388] = 4338,
  [4389] = 4389,
  [4390] = 4389,
  [4391] = 4389,
  [4392] = 4392,
  [4393] = 4350,
  [4394] = 4394,
  [4395] = 4377,
  [4396] = 4396,
  [4397] = 4394,
  [4398] = 4337,
  [4399] = 4354,
  [4400] = 4353,
  [4401] = 4350,
  [4402] = 4355,
  [4403] = 4359,
  [4404] = 4369,
  [4405] = 4394,
  [4406] = 4406,
  [4407] = 4389,
  [4408] = 4366,
  [4409] = 4409,
  [4410] = 4356,
  [4411] = 4411,
  [4412] = 4337,
  [4413] = 4366,
  [4414] = 4346,
  [4415] = 4354,
  [4416] = 4338,
  [4417] = 4396,
  [4418] = 4418,
  [4419] = 4419,
  [4420] = 4396,
  [4421] = 4394,
  [4422] = 4347,
  [4423] = 4423,
  [4424] = 4362,
  [4425] = 4362,
  [4426] = 4364,
  [4427] = 4427,
  [4428] = 4353,
  [4429] = 4356,
  [4430] = 4430,
  [4431] = 4419,
  [4432] = 4354,
  [4433] = 4366,
  [4434] = 4346,
  [4435] = 4337,
  [4436] = 4386,
  [4437] = 4366,
  [4438] = 4394,
  [4439] = 4369,
  [4440] = 4430,
  [4441] = 4418,
  [4442] = 4359,
  [4443] = 4359,
  [4444] = 4362,
  [4445] = 4396,
  [4446] = 4446,
  [4447] = 4369,
  [4448] = 4353,
  [4449] = 4389,
  [4450] = 4348,
  [4451] = 4451,
  [4452] = 4451,
  [4453] = 4355,
  [4454] = 4430,
  [4455] = 4411,
  [4456] = 4451,
  [4457] = 4457,
  [4458] = 4337,
  [4459] = 4314,
  [4460] = 4460,
  [4461] = 4461,
  [4462] = 4330,
  [4463] = 4451,
  [4464] = 4338,
  [4465] = 4465,
  [4466] = 4028,
  [4467] = 4337,
  [4468] = 4337,
  [4469] = 4451,
  [4470] = 4451,
  [4471] = 4028,
  [4472] = 4451,
  [4473] = 4338,
  [4474] = 4451,
  [4475] = 4430,
  [4476] = 4358,
  [4477] = 4451,
  [4478] = 4451,
  [4479] = 4372,
  [4480] = 4451,
  [4481] = 4451,
  [4482] = 4451,
  [4483] = 4372,
  [4484] = 4430,
  [4485] = 4485,
  [4486] = 4411,
  [4487] = 4337,
  [4488] = 4337,
  [4489] = 4489,
  [4490] = 4451,
  [4491] = 4355,
  [4492] = 4430,
  [4493] = 4460,
  [4494] = 4018,
  [4495] = 4337,
  [4496] = 4460,
  [4497] = 4451,
  [4498] = 4451,
  [4499] = 4461,
  [4500] = 4330,
  [4501] = 4451,
  [4502] = 4337,
  [4503] = 4355,
  [4504] = 4460,
  [4505] = 4451,
  [4506] = 4506,
  [4507] = 4430,
  [4508] = 4339,
  [4509] = 4358,
  [4510] = 4451,
  [4511] = 4338,
  [4512] = 4451,
  [4513] = 4461,
  [4514] = 4514,
  [4515] = 4461,
  [4516] = 4516,
  [4517] = 4018,
  [4518] = 4451,
  [4519] = 4451,
  [4520] = 4355,
  [4521] = 4451,
  [4522] = 4461,
  [4523] = 4460,
  [4524] = 4358,
  [4525] = 4451,
  [4526] = 4451,
  [4527] = 4527,
  [4528] = 4355,
  [4529] = 4411,
  [4530] = 4330,
  [4531] = 4018,
  [4532] = 4018,
  [4533] = 4465,
  [4534] = 4534,
  [4535] = 4372,
  [4536] = 4357,
  [4537] = 4018,
  [4538] = 4314,
  [4539] = 4465,
  [4540] = 4430,
  [4541] = 4337,
  [4542] = 4317,
  [4543] = 4337,
  [4544] = 4544,
  [4545] = 4358,
  [4546] = 4430,
  [4547] = 4314,
  [4548] = 4339,
  [4549] = 4028,
  [4550] = 4423,
  [4551] = 4355,
  [4552] = 4514,
  [4553] = 4430,
  [4554] = 4358,
  [4555] = 4330,
  [4556] = 4406,
  [4557] = 4358,
  [4558] = 4372,
  [4559] = 4352,
  [4560] = 4560,
  [4561] = 4358,
  [4562] = 4018,
  [4563] = 4311,
  [4564] = 4392,
  [4565] = 4337,
  [4566] = 4028,
  [4567] = 4567,
  [4568] = 4028,
  [4569] = 4411,
  [4570] = 4337,
  [4571] = 4368,
  [4572] = 4409,
  [4573] = 4355,
  [4574] = 4457,
  [4575] = 4337,
  [4576] = 4430,
  [4577] = 4028,
  [4578] = 4411,
  [4579] = 4381,
  [4580] = 4018,
  [4581] = 4355,
  [4582] = 4337,
  [4583] = 4339,
  [4584] = 4489,
  [4585] = 4411,
  [4586] = 4430,
  [4587] = 4514,
  [4588] = 4430,
  [4589] = 4514,
  [4590] = 4355,
  [4591] = 4338,
  [4592] = 4560,
  [4593] = 4338,
  [4594] = 4018,
  [4595] = 4489,
  [4596] = 4457,
  [4597] = 4372,
  [4598] = 4337,
  [4599] = 4527,
  [4600] = 4430,
  [4601] = 4355,
  [4602] = 4411,
  [4603] = 4355,
  [4604] = 4355,
  [4605] = 4028,
  [4606] = 4365,
  [4607] = 4446,
  [4608] = 4527,
  [4609] = 4018,
  [4610] = 4427,
  [4611] = 4355,
  [4612] = 4411,
  [4613] = 4337,
  [4614] = 4430,
  [4615] = 4330,
  [4616] = 4527,
  [4617] = 4338,
  [4618] = 4358,
  [4619] = 4514,
  [4620] = 4339,
  [4621] = 4527,
  [4622] = 4314,
  [4623] = 4330,
  [4624] = 4544,
  [4625] = 4337,
  [4626] = 4028,
  [4627] = 4311,
  [4628] = 4527,
  [4629] = 4381,
  [4630] = 4028,
  [4631] = 4352,
  [4632] = 4028,
  [4633] = 4355,
  [4634] = 4423,
  [4635] = 4381,
  [4636] = 4489,
  [4637] = 4457,
  [4638] = 4314,
  [4639] = 4368,
  [4640] = 4330,
  [4641] = 4527,
  [4642] = 4028,
  [4643] = 4409,
  [4644] = 4018,
  [4645] = 4406,
  [4646] = 4028,
  [4647] = 4544,
  [4648] = 4352,
  [4649] = 4406,
  [4650] = 4355,
  [4651] = 4651,
  [4652] = 4411,
  [4653] = 4392,
  [4654] = 4338,
  [4655] = 4427,
  [4656] = 4423,
  [4657] = 4330,
  [4658] = 4358,
  [4659] = 4355,
  [4660] = 4489,
  [4661] = 4028,
  [4662] = 4368,
  [4663] = 4392,
  [4664] = 4368,
  [4665] = 4339,
  [4666] = 4666,
  [4667] = 4514,
  [4668] = 4372,
  [4669] = 4365,
  [4670] = 4446,
  [4671] = 4372,
  [4672] = 4672,
  [4673] = 4465,
  [4674] = 4411,
  [4675] = 4339,
  [4676] = 4544,
  [4677] = 4355,
  [4678] = 4357,
  [4679] = 4028,
  [4680] = 4339,
  [4681] = 4430,
  [4682] = 4338,
  [4683] = 4430,
  [4684] = 4337,
  [4685] = 4514,
  [4686] = 4018,
  [4687] = 4330,
  [4688] = 4337,
  [4689] = 4514,
  [4690] = 4465,
  [4691] = 4527,
  [4692] = 4358,
  [4693] = 4357,
  [4694] = 4337,
  [4695] = 4352,
  [4696] = 4337,
  [4697] = 4337,
  [4698] = 4337,
  [4699] = 4314,
  [4700] = 4560,
  [4701] = 4489,
  [4702] = 4337,
  [4703] = 4018,
  [4704] = 4430,
  [4705] = 4381,
  [4706] = 4314,
  [4707] = 4544,
  [4708] = 4457,
  [4709] = 4311,
  [4710] = 4514,
  [4711] = 4430,
  [4712] = 4406,
  [4713] = 4018,
  [4714] = 4372,
  [4715] = 4560,
  [4716] = 4338,
  [4717] = 4355,
  [4718] = 4358,
  [4719] = 4368,
  [4720] = 4720,
  [4721] = 4423,
  [4722] = 4411,
  [4723] = 4457,
  [4724] = 4337,
  [4725] = 4028,
  [4726] = 4527,
  [4727] = 4727,
  [4728] = 4534,
  [4729] = 4338,
  [4730] = 4330,
  [4731] = 4317,
  [4732] = 4337,
  [4733] = 4337,
  [4734] = 4357,
  [4735] = 4446,
  [4736] = 4427,
  [4737] = 4560,
  [4738] = 4430,
  [4739] = 4430,
  [4740] = 4544,
  [4741] = 4018,
  [4742] = 4514,
  [4743] = 4358,
  [4744] = 4372,
  [4745] = 4028,
  [4746] = 4423,
  [4747] = 4314,
  [4748] = 4018,
  [4749] = 4409,
  [4750] = 4409,
  [4751] = 4018,
  [4752] = 4527,
  [4753] = 4355,
  [4754] = 4411,
  [4755] = 4317,
  [4756] = 4314,
  [4757] = 4544,
  [4758] = 4357,
  [4759] = 4337,
  [4760] = 4358,
  [4761] = 4392,
  [4762] = 4339,
  [4763] = 4763,
  [4764] = 4018,
  [4765] = 4018,
  [4766] = 4430,
  [4767] = 4339,
  [4768] = 4311,
  [4769] = 4560,
  [4770] = 4527,
  [4771] = 4430,
  [4772] = 4427,
  [4773] = 4365,
  [4774] = 4446,
  [4775] = 4317,
  [4776] = 4514,
  [4777] = 4411,
  [4778] = 4355,
  [4779] = 4430,
  [4780] = 4392,
  [4781] = 4355,
  [4782] = 4534,
  [4783] = 4028,
  [4784] = 4381,
  [4785] = 4365,
  [4786] = 4446,
  [4787] = 4427,
  [4788] = 4372,
  [4789] = 4355,
  [4790] = 4514,
  [4791] = 4406,
  [4792] = 4560,
  [4793] = 4314,
  [4794] = 4485,
  [4795] = 4352,
  [4796] = 4311,
  [4797] = 4317,
  [4798] = 4465,
  [4799] = 4409,
  [4800] = 4411,
  [4801] = 4365,
  [4802] = 4358,
  [4803] = 4527,
  [4804] = 4028,
  [4805] = 4018,
  [4806] = 4339,
  [4807] = 4807,
  [4808] = 4406,
  [4809] = 4411,
  [4810] = 4423,
  [4811] = 4330,
  [4812] = 4427,
  [4813] = 4311,
  [4814] = 4720,
  [4815] = 4358,
  [4816] = 4368,
  [4817] = 4338,
  [4818] = 4311,
  [4819] = 4381,
  [4820] = 4392,
  [4821] = 4409,
  [4822] = 4357,
  [4823] = 4727,
  [4824] = 4352,
  [4825] = 4446,
  [4826] = 4406,
  [4827] = 4381,
  [4828] = 4446,
  [4829] = 4763,
  [4830] = 4411,
  [4831] = 4423,
  [4832] = 4365,
  [4833] = 4485,
  [4834] = 4018,
  [4835] = 4358,
  [4836] = 4355,
  [4837] = 4317,
  [4838] = 4544,
  [4839] = 4355,
  [4840] = 4358,
  [4841] = 4446,
  [4842] = 4807,
  [4843] = 4365,
  [4844] = 4028,
  [4845] = 4365,
  [4846] = 4411,
  [4847] = 4372,
  [4848] = 4381,
  [4849] = 4355,
  [4850] = 4357,
  [4851] = 4851,
  [4852] = 4763,
  [4853] = 4427,
  [4854] = 4337,
  [4855] = 4337,
  [4856] = 4807,
  [4857] = 4430,
  [4858] = 4317,
  [4859] = 4409,
  [4860] = 4544,
  [4861] = 4372,
  [4862] = 4544,
  [4863] = 4720,
  [4864] = 4544,
  [4865] = 4727,
  [4866] = 4446,
  [4867] = 4339,
  [4868] = 4411,
  [4869] = 4406,
  [4870] = 4337,
  [4871] = 4352,
  [4872] = 4427,
  [4873] = 4338,
  [4874] = 4411,
  [4875] = 4311,
  [4876] = 4514,
  [4877] = 4018,
  [4878] = 4727,
  [4879] = 4392,
  [4880] = 4430,
  [4881] = 4368,
  [4882] = 4018,
  [4883] = 4534,
  [4884] = 4372,
  [4885] = 4720,
  [4886] = 4355,
  [4887] = 4311,
  [4888] = 4337,
  [4889] = 4314,
  [4890] = 4337,
  [4891] = 4311,
  [4892] = 4465,
  [4893] = 4430,
  [4894] = 4409,
  [4895] = 4028,
  [4896] = 4446,
  [4897] = 4339,
  [4898] = 4358,
  [4899] = 4527,
  [4900] = 4018,
  [4901] = 4901,
  [4902] = 4763,
  [4903] = 4355,
  [4904] = 4514,
  [4905] = 4372,
  [4906] = 4514,
  [4907] = 4544,
  [4908] = 4314,
  [4909] = 4527,
  [4910] = 4357,
  [4911] = 4911,
  [4912] = 4018,
  [4913] = 4339,
  [4914] = 4430,
  [4915] = 4423,
  [4916] = 4406,
  [4917] = 4411,
  [4918] = 4337,
  [4919] = 4430,
  [4920] = 4381,
  [4921] = 4666,
  [4922] = 4028,
  [4923] = 4514,
  [4924] = 4720,
  [4925] = 4527,
  [4926] = 4465,
  [4927] = 4357,
  [4928] = 4527,
  [4929] = 4018,
  [4930] = 4727,
  [4931] = 4352,
  [4932] = 4527,
  [4933] = 4338,
  [4934] = 4527,
  [4935] = 4339,
  [4936] = 4337,
  [4937] = 4314,
  [4938] = 4527,
  [4939] = 4514,
  [4940] = 4028,
  [4941] = 4365,
  [4942] = 4368,
  [4943] = 4392,
  [4944] = 4314,
  [4945] = 4330,
  [4946] = 4514,
  [4947] = 4427,
  [4948] = 4355,
  [4949] = 4314,
  [4950] = 4392,
  [4951] = 4330,
  [4952] = 4851,
  [4953] = 4560,
  [4954] = 4430,
  [4955] = 4339,
  [4956] = 4365,
  [4957] = 4427,
  [4958] = 4527,
  [4959] = 4018,
  [4960] = 4457,
  [4961] = 4352,
  [4962] = 4317,
  [4963] = 4368,
  [4964] = 4406,
  [4965] = 4317,
  [4966] = 4357,
  [4967] = 4651,
  [4968] = 4544,
  [4969] = 4028,
  [4970] = 4514,
  [4971] = 4355,
  [4972] = 4018,
  [4973] = 4423,
  [4974] = 4651,
  [4975] = 4358,
  [4976] = 4423,
  [4977] = 4028,
  [4978] = 4372,
  [4979] = 4672,
  [4980] = 4560,
  [4981] = 4311,
  [4982] = 4358,
  [4983] = 4911,
  [4984] = 4372,
  [4985] = 4018,
  [4986] = 4357,
  [4987] = 4527,
  [4988] = 4365,
  [4989] = 4901,
  [4990] = 4672,
  [4991] = 4372,
  [4992] = 4337,
  [4993] = 4381,
  [4994] = 4018,
  [4995] = 4560,
  [4996] = 4337,
  [4997] = 4997,
  [4998] = 4339,
  [4999] = 4028,
  [5000] = 4514,
  [5001] = 4427,
  [5002] = 4337,
  [5003] = 4457,
  [5004] = 4514,
  [5005] = 4446,
  [5006] = 4314,
  [5007] = 4544,
  [5008] = 4317,
  [5009] = 4666,
  [5010] = 4355,
  [5011] = 4352,
  [5012] = 4427,
  [5013] = 4409,
  [5014] = 4314,
  [5015] = 4430,
  [5016] = 4489,
  [5017] = 4409,
  [5018] = 4337,
  [5019] = 4028,
  [5020] = 4430,
  [5021] = 4409,
  [5022] = 4028,
  [5023] = 4372,
  [5024] = 4423,
  [5025] = 4406,
  [5026] = 4355,
  [5027] = 4365,
  [5028] = 4352,
  [5029] = 4430,
  [5030] = 4339,
  [5031] = 4311,
  [5032] = 4372,
  [5033] = 4392,
  [5034] = 4355,
  [5035] = 4411,
  [5036] = 4763,
  [5037] = 4430,
  [5038] = 4330,
  [5039] = 4651,
  [5040] = 5040,
  [5041] = 4485,
  [5042] = 4457,
  [5043] = 4337,
  [5044] = 4358,
  [5045] = 4392,
  [5046] = 4368,
  [5047] = 4560,
  [5048] = 4372,
  [5049] = 4338,
  [5050] = 4560,
  [5051] = 4337,
  [5052] = 4314,
  [5053] = 4337,
  [5054] = 4311,
  [5055] = 4534,
  [5056] = 4560,
  [5057] = 4368,
  [5058] = 4028,
  [5059] = 4560,
  [5060] = 4534,
  [5061] = 4018,
  [5062] = 4381,
  [5063] = 4392,
  [5064] = 4372,
  [5065] = 4337,
  [5066] = 4489,
  [5067] = 4485,
  [5068] = 4357,
  [5069] = 4317,
  [5070] = 4430,
  [5071] = 4028,
  [5072] = 4352,
  [5073] = 4381,
  [5074] = 4672,
  [5075] = 4339,
  [5076] = 4489,
  [5077] = 4544,
  [5078] = 4485,
  [5079] = 4560,
  [5080] = 4409,
  [5081] = 4406,
  [5082] = 4446,
  [5083] = 4317,
  [5084] = 4355,
  [5085] = 4368,
  [5086] = 4423,
  [5087] = 4372,
  [5088] = 4372,
  [5089] = 4666,
  [5090] = 4911,
  [5091] = 4357,
  [5092] = 4807,
  [5093] = 4560,
  [5094] = 4372,
  [5095] = 4314,
  [5096] = 4457,
  [5097] = 5097,
  [5098] = 4372,
  [5099] = 4534,
  [5100] = 4560,
  [5101] = 4314,
  [5102] = 4651,
  [5103] = 4337,
  [5104] = 4368,
  [5105] = 5105,
  [5106] = 4317,
  [5107] = 4851,
  [5108] = 4430,
  [5109] = 4485,
  [5110] = 4411,
  [5111] = 4807,
  [5112] = 4489,
  [5113] = 4355,
  [5114] = 4392,
  [5115] = 4365,
  [5116] = 4018,
  [5117] = 4372,
  [5118] = 4352,
  [5119] = 4352,
  [5120] = 4337,
  [5121] = 4409,
  [5122] = 4365,
  [5123] = 4317,
  [5124] = 4311,
  [5125] = 4446,
  [5126] = 4337,
  [5127] = 4411,
  [5128] = 4028,
  [5129] = 4358,
  [5130] = 4358,
  [5131] = 4337,
  [5132] = 4446,
  [5133] = 4381,
  [5134] = 4411,
  [5135] = 4672,
  [5136] = 4018,
  [5137] = 4311,
  [5138] = 4901,
  [5139] = 4427,
  [5140] = 4465,
  [5141] = 4411,
  [5142] = 4355,
  [5143] = 4314,
  [5144] = 4368,
  [5145] = 4372,
  [5146] = 4406,
  [5147] = 4314,
  [5148] = 4314,
  [5149] = 4485,
  [5150] = 4485,
  [5151] = 4560,
  [5152] = 4355,
  [5153] = 4381,
  [5154] = 4372,
  [5155] = 4311,
  [5156] = 4372,
  [5157] = 4337,
  [5158] = 4317,
  [5159] = 4430,
  [5160] = 4409,
  [5161] = 4357,
  [5162] = 4430,
  [5163] = 4423,
  [5164] = 4901,
  [5165] = 4337,
  [5166] = 4314,
  [5167] = 4330,
  [5168] = 4028,
  [5169] = 4457,
  [5170] = 4358,
  [5171] = 4423,
  [5172] = 4372,
  [5173] = 4544,
  [5174] = 4901,
  [5175] = 4330,
  [5176] = 4365,
  [5177] = 4672,
  [5178] = 4409,
  [5179] = 4409,
  [5180] = 4901,
  [5181] = 4372,
  [5182] = 4406,
  [5183] = 4763,
  [5184] = 4465,
  [5185] = 4763,
  [5186] = 4028,
  [5187] = 4727,
  [5188] = 4427,
  [5189] = 4465,
  [5190] = 4430,
  [5191] = 4368,
  [5192] = 4514,
  [5193] = 4365,
  [5194] = 4358,
  [5195] = 4311,
  [5196] = 4911,
  [5197] = 4355,
  [5198] = 5198,
  [5199] = 4314,
  [5200] = 4560,
  [5201] = 4337,
  [5202] = 4430,
  [5203] = 4997,
  [5204] = 4651,
  [5205] = 5205,
  [5206] = 4355,
  [5207] = 4381,
  [5208] = 4560,
  [5209] = 4358,
  [5210] = 4527,
  [5211] = 4411,
  [5212] = 4018,
  [5213] = 4392,
  [5214] = 4489,
  [5215] = 4560,
  [5216] = 4372,
  [5217] = 4355,
  [5218] = 4446,
  [5219] = 4339,
  [5220] = 4727,
  [5221] = 5221,
  [5222] = 4357,
  [5223] = 5223,
  [5224] = 4199,
  [5225] = 4514,
  [5226] = 4337,
  [5227] = 4427,
  [5228] = 4544,
  [5229] = 4338,
  [5230] = 4337,
  [5231] = 4911,
  [5232] = 5205,
  [5233] = 4028,
  [5234] = 4355,
  [5235] = 4423,
  [5236] = 4339,
  [5237] = 4457,
  [5238] = 4727,
  [5239] = 4355,
  [5240] = 4018,
  [5241] = 4381,
  [5242] = 4311,
  [5243] = 4358,
  [5244] = 4720,
  [5245] = 4727,
  [5246] = 4355,
  [5247] = 4514,
  [5248] = 4427,
  [5249] = 4368,
  [5250] = 4901,
  [5251] = 4337,
  [5252] = 4381,
  [5253] = 4720,
  [5254] = 4409,
  [5255] = 4446,
  [5256] = 4527,
  [5257] = 4392,
  [5258] = 4337,
  [5259] = 5040,
  [5260] = 4337,
  [5261] = 4352,
  [5262] = 4018,
  [5263] = 4372,
  [5264] = 4357,
  [5265] = 5265,
  [5266] = 4352,
  [5267] = 4427,
  [5268] = 4851,
  [5269] = 4406,
  [5270] = 4423,
  [5271] = 4411,
  [5272] = 4018,
  [5273] = 4534,
  [5274] = 4430,
  [5275] = 4666,
  [5276] = 4406,
  [5277] = 4485,
  [5278] = 4317,
  [5279] = 4357,
  [5280] = 4311,
  [5281] = 4409,
  [5282] = 4427,
  [5283] = 4423,
  [5284] = 5205,
  [5285] = 4314,
  [5286] = 5286,
  [5287] = 4430,
  [5288] = 4339,
  [5289] = 4430,
  [5290] = 4544,
  [5291] = 4527,
  [5292] = 4337,
  [5293] = 4651,
  [5294] = 4672,
  [5295] = 4423,
  [5296] = 5296,
  [5297] = 4368,
  [5298] = 5298,
  [5299] = 4392,
  [5300] = 4427,
  [5301] = 4409,
  [5302] = 4446,
  [5303] = 4485,
  [5304] = 4527,
  [5305] = 4534,
  [5306] = 4446,
  [5307] = 4409,
  [5308] = 4355,
  [5309] = 4358,
  [5310] = 4365,
  [5311] = 4406,
  [5312] = 4763,
  [5313] = 4381,
  [5314] = 4423,
  [5315] = 4851,
  [5316] = 4997,
  [5317] = 4357,
  [5318] = 4911,
  [5319] = 4514,
  [5320] = 4317,
  [5321] = 4446,
  [5322] = 4560,
  [5323] = 5286,
  [5324] = 4357,
  [5325] = 4465,
  [5326] = 4311,
  [5327] = 4423,
  [5328] = 4368,
  [5329] = 5329,
  [5330] = 5330,
  [5331] = 4411,
  [5332] = 5332,
  [5333] = 4430,
  [5334] = 4911,
  [5335] = 4372,
  [5336] = 4355,
  [5337] = 5337,
  [5338] = 4527,
  [5339] = 4352,
  [5340] = 4028,
  [5341] = 4365,
  [5342] = 4368,
  [5343] = 4411,
  [5344] = 4427,
  [5345] = 4392,
  [5346] = 4651,
  [5347] = 4544,
  [5348] = 4355,
  [5349] = 4018,
  [5350] = 4339,
  [5351] = 4365,
  [5352] = 4406,
  [5353] = 4314,
  [5354] = 4368,
  [5355] = 4381,
  [5356] = 4560,
  [5357] = 4544,
  [5358] = 4406,
  [5359] = 4339,
  [5360] = 4763,
  [5361] = 4672,
  [5362] = 5362,
  [5363] = 4381,
  [5364] = 4339,
  [5365] = 4317,
  [5366] = 4430,
  [5367] = 4666,
  [5368] = 4457,
  [5369] = 5369,
  [5370] = 4544,
  [5371] = 5205,
  [5372] = 5372,
  [5373] = 4357,
  [5374] = 4311,
  [5375] = 4338,
  [5376] = 4352,
  [5377] = 4372,
  [5378] = 4392,
  [5379] = 4372,
  [5380] = 4411,
  [5381] = 4720,
  [5382] = 4727,
  [5383] = 4352,
  [5384] = 4527,
  [5385] = 4355,
  [5386] = 5386,
  [5387] = 4358,
  [5388] = 4330,
  [5389] = 4514,
  [5390] = 4527,
  [5391] = 4720,
  [5392] = 4720,
  [5393] = 4018,
  [5394] = 4352,
  [5395] = 4018,
  [5396] = 4901,
  [5397] = 4489,
  [5398] = 4314,
  [5399] = 4406,
  [5400] = 5400,
  [5401] = 4901,
  [5402] = 4807,
  [5403] = 4392,
  [5404] = 4317,
  [5405] = 4527,
  [5406] = 4851,
  [5407] = 4337,
  [5408] = 4028,
  [5409] = 4423,
  [5410] = 4544,
  [5411] = 4430,
  [5412] = 4763,
  [5413] = 4465,
  [5414] = 4406,
  [5415] = 4527,
  [5416] = 4485,
  [5417] = 4727,
  [5418] = 4368,
  [5419] = 4901,
  [5420] = 4018,
  [5421] = 4355,
  [5422] = 4339,
  [5423] = 4727,
  [5424] = 4720,
  [5425] = 4427,
  [5426] = 4851,
  [5427] = 4028,
  [5428] = 4339,
  [5429] = 5429,
  [5430] = 4514,
  [5431] = 4337,
  [5432] = 4392,
  [5433] = 4337,
  [5434] = 4317,
  [5435] = 4330,
  [5436] = 4311,
  [5437] = 4317,
  [5438] = 4311,
  [5439] = 4339,
  [5440] = 4357,
  [5441] = 5040,
  [5442] = 4763,
  [5443] = 4028,
  [5444] = 4544,
  [5445] = 4727,
  [5446] = 4352,
  [5447] = 4489,
  [5448] = 4392,
  [5449] = 4651,
  [5450] = 4358,
  [5451] = 4018,
  [5452] = 4430,
  [5453] = 4485,
  [5454] = 4338,
  [5455] = 4028,
  [5456] = 4560,
  [5457] = 4527,
  [5458] = 4763,
  [5459] = 4763,
  [5460] = 4028,
  [5461] = 4430,
  [5462] = 4672,
  [5463] = 4028,
  [5464] = 4028,
  [5465] = 5205,
  [5466] = 4018,
  [5467] = 4355,
  [5468] = 4311,
  [5469] = 4514,
  [5470] = 4514,
  [5471] = 4446,
  [5472] = 4544,
  [5473] = 4409,
  [5474] = 4720,
  [5475] = 4365,
  [5476] = 4018,
  [5477] = 4372,
  [5478] = 4446,
  [5479] = 4365,
  [5480] = 4514,
  [5481] = 4720,
  [5482] = 5298,
  [5483] = 4372,
  [5484] = 4514,
  [5485] = 4028,
  [5486] = 4901,
  [5487] = 4339,
  [5488] = 4338,
  [5489] = 4381,
  [5490] = 4018,
  [5491] = 4406,
  [5492] = 5492,
  [5493] = 5493,
  [5494] = 5494,
  [5495] = 5298,
  [5496] = 4352,
  [5497] = 4430,
  [5498] = 4544,
  [5499] = 5492,
  [5500] = 5492,
  [5501] = 5501,
  [5502] = 5492,
  [5503] = 5265,
  [5504] = 4720,
  [5505] = 4423,
  [5506] = 4411,
  [5507] = 4357,
  [5508] = 4911,
  [5509] = 4544,
  [5510] = 4368,
  [5511] = 4727,
  [5512] = 4514,
  [5513] = 4727,
  [5514] = 4527,
  [5515] = 4527,
  [5516] = 4355,
  [5517] = 4392,
  [5518] = 4527,
  [5519] = 5221,
  [5520] = 4381,
  [5521] = 4339,
  [5522] = 4337,
  [5523] = 4337,
  [5524] = 5492,
  [5525] = 4911,
  [5526] = 4911,
  [5527] = 4763,
  [5528] = 4018,
  [5529] = 4514,
  [5530] = 4763,
  [5531] = 4365,
  [5532] = 4534,
  [5533] = 4338,
  [5534] = 4028,
  [5535] = 4901,
  [5536] = 4311,
  [5537] = 4446,
  [5538] = 4018,
  [5539] = 4427,
  [5540] = 4199,
  [5541] = 4666,
  [5542] = 4314,
  [5543] = 4727,
  [5544] = 4355,
  [5545] = 4720,
  [5546] = 5492,
  [5547] = 4430,
  [5548] = 4355,
  [5549] = 4485,
  [5550] = 4358,
  [5551] = 5492,
  [5552] = 5492,
  [5553] = 4727,
  [5554] = 4372,
  [5555] = 4028,
  [5556] = 4311,
  [5557] = 4372,
  [5558] = 5198,
  [5559] = 4720,
  [5560] = 5286,
  [5561] = 4028,
  [5562] = 4018,
  [5563] = 4430,
  [5564] = 4720,
  [5565] = 4911,
  [5566] = 4527,
  [5567] = 4763,
  [5568] = 4727,
  [5569] = 4028,
  [5570] = 4018,
  [5571] = 5286,
  [5572] = 4317,
  [5573] = 4355,
  [5574] = 4028,
  [5575] = 4018,
  [5576] = 4763,
  [5577] = 4355,
  [5578] = 5492,
  [5579] = 5296,
  [5580] = 4514,
  [5581] = 4357,
  [5582] = 4560,
  [5583] = 4372,
  [5584] = 4018,
  [5585] = 4427,
  [5586] = 4372,
  [5587] = 4901,
  [5588] = 4527,
  [5589] = 5298,
  [5590] = 4311,
  [5591] = 4372,
  [5592] = 4514,
  [5593] = 4514,
  [5594] = 5492,
  [5595] = 4355,
  [5596] = 4355,
  [5597] = 4763,
  [5598] = 5492,
  [5599] = 4368,
  [5600] = 4314,
  [5601] = 4446,
  [5602] = 4544,
  [5603] = 5492,
  [5604] = 4365,
  [5605] = 4317,
  [5606] = 5492,
  [5607] = 4527,
  [5608] = 4911,
  [5609] = 4337,
  [5610] = 4392,
  [5611] = 4851,
  [5612] = 4028,
  [5613] = 5492,
  [5614] = 4352,
  [5615] = 4406,
  [5616] = 4901,
  [5617] = 4514,
  [5618] = 4028,
  [5619] = 4901,
  [5620] = 4427,
  [5621] = 4314,
  [5622] = 4423,
  [5623] = 4727,
  [5624] = 4901,
  [5625] = 4018,
  [5626] = 4446,
  [5627] = 4357,
  [5628] = 4527,
  [5629] = 4028,
  [5630] = 4720,
  [5631] = 4355,
  [5632] = 4365,
  [5633] = 4018,
  [5634] = 4514,
  [5635] = 4381,
  [5636] = 4365,
  [5637] = 4372,
  [5638] = 4514,
  [5639] = 4314,
  [5640] = 4430,
  [5641] = 4651,
  [5642] = 4527,
  [5643] = 5492,
  [5644] = 4527,
  [5645] = 4372,
  [5646] = 4018,
  [5647] = 5492,
  [5648] = 4028,
  [5649] = 5337,
  [5650] = 4672,
  [5651] = 4028,
  [5652] = 4901,
  [5653] = 4514,
  [5654] = 4018,
  [5655] = 4028,
  [5656] = 4409,
  [5657] = 5105,
  [5658] = 4851,
  [5659] = 4851,
  [5660] = 4028,
  [5661] = 5492,
  [5662] = 4339,
  [5663] = 4372,
  [5664] = 4544,
  [5665] = 4901,
  [5666] = 4314,
  [5667] = 5492,
  [5668] = 4409,
  [5669] = 4311,
  [5670] = 4901,
  [5671] = 4651,
  [5672] = 4358,
  [5673] = 4381,
  [5674] = 5492,
  [5675] = 4372,
  [5676] = 4901,
  [5677] = 4446,
  [5678] = 4672,
  [5679] = 4534,
  [5680] = 5329,
  [5681] = 4314,
  [5682] = 4339,
  [5683] = 5330,
  [5684] = 4357,
  [5685] = 4560,
  [5686] = 4427,
  [5687] = 4311,
  [5688] = 4199,
  [5689] = 5492,
  [5690] = 4018,
  [5691] = 4427,
  [5692] = 4720,
  [5693] = 4423,
  [5694] = 5694,
  [5695] = 5400,
  [5696] = 4311,
  [5697] = 4851,
  [5698] = 4446,
  [5699] = 4560,
  [5700] = 4727,
  [5701] = 4365,
  [5702] = 5492,
  [5703] = 4339,
  [5704] = 5704,
  [5705] = 4534,
  [5706] = 4406,
  [5707] = 4763,
  [5708] = 5492,
  [5709] = 4666,
  [5710] = 4911,
  [5711] = 4018,
  [5712] = 4411,
  [5713] = 4352,
  [5714] = 4427,
  [5715] = 4446,
  [5716] = 4365,
  [5717] = 4372,
  [5718] = 5492,
  [5719] = 4392,
  [5720] = 5720,
  [5721] = 4018,
  [5722] = 5722,
  [5723] = 4427,
  [5724] = 4338,
  [5725] = 5492,
  [5726] = 4851,
  [5727] = 5727,
  [5728] = 4317,
  [5729] = 4446,
  [5730] = 5286,
  [5731] = 4368,
  [5732] = 4514,
  [5733] = 5492,
  [5734] = 4365,
  [5735] = 5040,
  [5736] = 4352,
  [5737] = 4514,
  [5738] = 4527,
  [5739] = 4368,
  [5740] = 5740,
  [5741] = 4807,
  [5742] = 4763,
  [5743] = 5492,
  [5744] = 5744,
  [5745] = 4339,
  [5746] = 5386,
  [5747] = 4527,
  [5748] = 4727,
  [5749] = 4430,
  [5750] = 5750,
  [5751] = 4544,
  [5752] = 4355,
  [5753] = 4651,
  [5754] = 5754,
  [5755] = 4411,
  [5756] = 4489,
  [5757] = 5429,
  [5758] = 4720,
  [5759] = 4672,
  [5760] = 4311,
  [5761] = 4314,
  [5762] = 4028,
  [5763] = 4560,
  [5764] = 4485,
  [5765] = 4430,
  [5766] = 4651,
  [5767] = 4560,
  [5768] = 4409,
  [5769] = 4337,
  [5770] = 4018,
  [5771] = 5771,
  [5772] = 4355,
  [5773] = 4317,
  [5774] = 4028,
  [5775] = 5329,
  [5776] = 4485,
  [5777] = 5330,
  [5778] = 5778,
  [5779] = 5492,
  [5780] = 5400,
  [5781] = 4028,
  [5782] = 5492,
  [5783] = 5492,
  [5784] = 5784,
  [5785] = 4311,
  [5786] = 4672,
  [5787] = 5223,
  [5788] = 4368,
  [5789] = 4392,
  [5790] = 5492,
  [5791] = 4672,
  [5792] = 5105,
  [5793] = 4028,
  [5794] = 4337,
  [5795] = 4337,
  [5796] = 4427,
  [5797] = 4446,
  [5798] = 5492,
  [5799] = 5799,
  [5800] = 5492,
  [5801] = 4651,
  [5802] = 5362,
  [5803] = 4365,
  [5804] = 4406,
  [5805] = 4339,
  [5806] = 4544,
  [5807] = 5807,
  [5808] = 5429,
  [5809] = 4317,
  [5810] = 4423,
  [5811] = 4997,
  [5812] = 5372,
  [5813] = 5492,
  [5814] = 5369,
  [5815] = 4357,
  [5816] = 5040,
  [5817] = 5492,
  [5818] = 5492,
  [5819] = 4851,
  [5820] = 4372,
  [5821] = 4544,
  [5822] = 4018,
  [5823] = 4381,
  [5824] = 4337,
  [5825] = 5337,
  [5826] = 5386,
  [5827] = 4465,
  [5828] = 5828,
  [5829] = 4358,
  [5830] = 5223,
  [5831] = 4430,
  [5832] = 5492,
  [5833] = 4339,
  [5834] = 4018,
  [5835] = 4018,
  [5836] = 4028,
  [5837] = 4381,
  [5838] = 4392,
  [5839] = 4018,
  [5840] = 4560,
  [5841] = 5296,
  [5842] = 5492,
  [5843] = 5105,
  [5844] = 5492,
  [5845] = 4352,
  [5846] = 4314,
  [5847] = 4560,
  [5848] = 4430,
  [5849] = 5492,
  [5850] = 4423,
  [5851] = 4720,
  [5852] = 4028,
  [5853] = 4317,
  [5854] = 4727,
  [5855] = 4489,
  [5856] = 4406,
  [5857] = 4352,
  [5858] = 5223,
  [5859] = 4430,
  [5860] = 5265,
  [5861] = 4372,
  [5862] = 4411,
  [5863] = 4355,
  [5864] = 4317,
  [5865] = 4392,
  [5866] = 4457,
  [5867] = 4997,
  [5868] = 4355,
  [5869] = 4411,
  [5870] = 5870,
  [5871] = 4330,
  [5872] = 5492,
  [5873] = 5298,
  [5874] = 4311,
  [5875] = 4430,
  [5876] = 5221,
  [5877] = 4514,
  [5878] = 4368,
  [5879] = 4337,
  [5880] = 5492,
  [5881] = 4357,
  [5882] = 4411,
  [5883] = 4372,
  [5884] = 5372,
  [5885] = 5369,
  [5886] = 4560,
  [5887] = 4457,
  [5888] = 4901,
  [5889] = 5198,
  [5890] = 5492,
  [5891] = 4358,
  [5892] = 5492,
  [5893] = 5286,
  [5894] = 5492,
  [5895] = 4560,
  [5896] = 4358,
  [5897] = 4409,
  [5898] = 5492,
  [5899] = 5492,
  [5900] = 4527,
  [5901] = 4409,
  [5902] = 5492,
  [5903] = 4381,
  [5904] = 4763,
  [5905] = 4311,
  [5906] = 4337,
  [5907] = 4357,
  [5908] = 4317,
  [5909] = 5298,
  [5910] = 4423,
  [5911] = 4406,
  [5912] = 4651,
  [5913] = 4901,
  [5914] = 4372,
  [5915] = 4358,
  [5916] = 4409,
  [5917] = 4672,
  [5918] = 4339,
  [5919] = 4411,
  [5920] = 5286,
  [5921] = 4314,
  [5922] = 5492,
  [5923] = 4409,
  [5924] = 5492,
  [5925] = 4317,
  [5926] = 4544,
  [5927] = 4314,
  [5928] = 4355,
  [5929] = 4406,
  [5930] = 4358,
  [5931] = 4311,
  [5932] = 4317,
  [5933] = 5298,
  [5934] = 5492,
  [5935] = 5492,
  [5936] = 4352,
  [5937] = 4427,
  [5938] = 4446,
  [5939] = 4028,
  [5940] = 4355,
  [5941] = 4560,
  [5942] = 4392,
  [5943] = 5362,
  [5944] = 4807,
  [5945] = 5492,
  [5946] = 4365,
  [5947] = 5492,
  [5948] = 4465,
  [5949] = 4446,
  [5950] = 4427,
  [5951] = 4666,
  [5952] = 4368,
  [5953] = 4311,
  [5954] = 4411,
  [5955] = 4355,
  [5956] = 5492,
  [5957] = 5492,
  [5958] = 4028,
  [5959] = 4485,
  [5960] = 5040,
  [5961] = 4018,
  [5962] = 4423,
  [5963] = 4365,
  [5964] = 4330,
  [5965] = 4358,
  [5966] = 4314,
  [5967] = 5967,
  [5968] = 4560,
  [5969] = 5492,
  [5970] = 5970,
  [5971] = 4311,
  [5972] = 5337,
  [5973] = 4381,
  [5974] = 5974,
  [5975] = 5429,
  [5976] = 4485,
  [5977] = 4807,
  [5978] = 4430,
  [5979] = 4423,
  [5980] = 4489,
  [5981] = 4485,
  [5982] = 4485,
  [5983] = 4358,
  [5984] = 4406,
  [5985] = 4430,
  [5986] = 5986,
  [5987] = 4485,
  [5988] = 4352,
  [5989] = 4901,
  [5990] = 4392,
  [5991] = 4381,
  [5992] = 4368,
  [5993] = 4544,
  [5994] = 5994,
  [5995] = 4357,
  [5996] = 5996,
  [5997] = 4337,
  [5998] = 4337,
  [5999] = 5492,
  [6000] = 4997,
  [6001] = 4485,
  [6002] = 4465,
  [6003] = 4911,
  [6004] = 4457,
  [6005] = 4527,
  [6006] = 6006,
  [6007] = 4358,
  [6008] = 4028,
  [6009] = 4911,
  [6010] = 4018,
  [6011] = 4423,
  [6012] = 4339,
  [6013] = 5492,
  [6014] = 4411,
  [6015] = 4372,
  [6016] = 4427,
  [6017] = 4372,
  [6018] = 4314,
  [6019] = 4446,
  [6020] = 4409,
  [6021] = 5492,
  [6022] = 5329,
  [6023] = 5330,
  [6024] = 4406,
  [6025] = 5400,
  [6026] = 4430,
  [6027] = 4544,
  [6028] = 4851,
  [6029] = 4365,
  [6030] = 4352,
  [6031] = 4720,
  [6032] = 4763,
  [6033] = 5492,
  [6034] = 4409,
  [6035] = 4514,
  [6036] = 5372,
  [6037] = 4337,
  [6038] = 5369,
  [6039] = 5296,
  [6040] = 4392,
  [6041] = 4339,
  [6042] = 4527,
  [6043] = 4381,
  [6044] = 5492,
  [6045] = 5265,
  [6046] = 5492,
  [6047] = 4199,
  [6048] = 4514,
  [6049] = 4489,
  [6050] = 5221,
  [6051] = 4544,
  [6052] = 4337,
  [6053] = 4368,
  [6054] = 5492,
  [6055] = 5492,
  [6056] = 4314,
  [6057] = 4372,
  [6058] = 5492,
  [6059] = 5198,
  [6060] = 4339,
  [6061] = 4851,
  [6062] = 4430,
  [6063] = 4368,
  [6064] = 4339,
  [6065] = 4392,
  [6066] = 4355,
  [6067] = 4763,
  [6068] = 4763,
  [6069] = 4352,
  [6070] = 4727,
  [6071] = 4465,
  [6072] = 4720,
  [6073] = 4411,
  [6074] = 4314,
  [6075] = 4457,
  [6076] = 5492,
  [6077] = 4357,
  [6078] = 6078,
  [6079] = 4339,
  [6080] = 4763,
  [6081] = 4727,
  [6082] = 4406,
  [6083] = 4409,
  [6084] = 4720,
  [6085] = 4372,
  [6086] = 5492,
  [6087] = 4534,
  [6088] = 4720,
  [6089] = 5492,
  [6090] = 4727,
  [6091] = 4423,
  [6092] = 4381,
  [6093] = 4339,
  [6094] = 5492,
  [6095] = 4357,
  [6096] = 4727,
  [6097] = 4560,
  [6098] = 4763,
  [6099] = 6099,
  [6100] = 4544,
  [6101] = 4489,
  [6102] = 4727,
  [6103] = 4372,
  [6104] = 4720,
  [6105] = 4560,
  [6106] = 5040,
  [6107] = 4901,
  [6108] = 4409,
  [6109] = 4457,
  [6110] = 5386,
  [6111] = 4337,
  [6112] = 4560,
  [6113] = 4372,
  [6114] = 4368,
  [6115] = 4392,
  [6116] = 4338,
  [6117] = 4317,
  [6118] = 6118,
  [6119] = 4311,
  [6120] = 4427,
  [6121] = 6121,
  [6122] = 6122,
  [6123] = 6123,
  [6124] = 4514,
  [6125] = 6125,
  [6126] = 4372,
  [6127] = 4352,
  [6128] = 4901,
  [6129] = 4406,
  [6130] = 4409,
  [6131] = 4560,
  [6132] = 4446,
  [6133] = 4317,
  [6134] = 6134,
  [6135] = 4527,
  [6136] = 4423,
  [6137] = 6137,
  [6138] = 4365,
  [6139] = 4763,
  [6140] = 4672,
  [6141] = 4901,
  [6142] = 4560,
  [6143] = 4465,
  [6144] = 5694,
  [6145] = 4409,
  [6146] = 4901,
  [6147] = 5704,
  [6148] = 5799,
  [6149] = 6149,
  [6150] = 4727,
  [6151] = 4358,
  [6152] = 4339,
  [6153] = 4381,
  [6154] = 4381,
  [6155] = 5720,
  [6156] = 4357,
  [6157] = 4311,
  [6158] = 4339,
  [6159] = 4720,
  [6160] = 4411,
  [6161] = 5727,
  [6162] = 4311,
  [6163] = 4901,
  [6164] = 4372,
  [6165] = 5740,
  [6166] = 4423,
  [6167] = 5750,
  [6168] = 4406,
  [6169] = 4352,
  [6170] = 5429,
  [6171] = 4365,
  [6172] = 4901,
  [6173] = 4901,
  [6174] = 5040,
  [6175] = 4392,
  [6176] = 4901,
  [6177] = 5337,
  [6178] = 4446,
  [6179] = 4368,
  [6180] = 4427,
  [6181] = 4330,
  [6182] = 4357,
  [6183] = 4997,
  [6184] = 4430,
  [6185] = 4317,
  [6186] = 4409,
  [6187] = 5296,
  [6188] = 5771,
  [6189] = 6134,
  [6190] = 4411,
  [6191] = 4514,
  [6192] = 5778,
  [6193] = 4651,
  [6194] = 4372,
  [6195] = 4763,
  [6196] = 4358,
  [6197] = 4672,
  [6198] = 5265,
  [6199] = 5784,
  [6200] = 4534,
  [6201] = 4527,
  [6202] = 4544,
  [6203] = 5221,
  [6204] = 4763,
  [6205] = 4358,
  [6206] = 6134,
  [6207] = 4544,
  [6208] = 4727,
  [6209] = 5198,
  [6210] = 4997,
  [6211] = 4720,
  [6212] = 4311,
  [6213] = 5386,
  [6214] = 5040,
  [6215] = 4314,
  [6216] = 4430,
  [6217] = 5807,
  [6218] = 5870,
  [6219] = 4727,
  [6220] = 4457,
  [6221] = 4465,
  [6222] = 4651,
  [6223] = 4355,
  [6224] = 4381,
  [6225] = 4489,
  [6226] = 4720,
  [6227] = 4911,
  [6228] = 4720,
  [6229] = 4365,
  [6230] = 4446,
  [6231] = 4727,
  [6232] = 4901,
  [6233] = 4457,
  [6234] = 4337,
  [6235] = 4465,
  [6236] = 4514,
  [6237] = 4427,
  [6238] = 4901,
  [6239] = 4544,
  [6240] = 4489,
  [6241] = 4339,
  [6242] = 4423,
  [6243] = 5105,
  [6244] = 4560,
  [6245] = 5223,
  [6246] = 5694,
  [6247] = 5704,
  [6248] = 4911,
  [6249] = 4381,
  [6250] = 5720,
  [6251] = 4763,
  [6252] = 5727,
  [6253] = 5740,
  [6254] = 5750,
  [6255] = 4406,
  [6256] = 5754,
  [6257] = 5429,
  [6258] = 4355,
  [6259] = 4423,
  [6260] = 4527,
  [6261] = 4352,
  [6262] = 5771,
  [6263] = 5778,
  [6264] = 4651,
  [6265] = 4997,
  [6266] = 5784,
  [6267] = 4406,
  [6268] = 4317,
  [6269] = 4544,
  [6270] = 4352,
  [6271] = 4392,
  [6272] = 4672,
  [6273] = 4355,
  [6274] = 4018,
  [6275] = 4411,
  [6276] = 4028,
  [6277] = 4028,
  [6278] = 5807,
  [6279] = 5870,
  [6280] = 4018,
  [6281] = 4028,
  [6282] = 4392,
  [6283] = 4018,
  [6284] = 4368,
  [6285] = 4339,
  [6286] = 4028,
  [6287] = 4018,
  [6288] = 5286,
  [6289] = 4651,
  [6290] = 4028,
  [6291] = 5828,
  [6292] = 4368,
  [6293] = 4018,
  [6294] = 4028,
  [6295] = 4901,
  [6296] = 4018,
  [6297] = 4028,
  [6298] = 4018,
  [6299] = 4028,
  [6300] = 4851,
  [6301] = 5369,
  [6302] = 5372,
  [6303] = 4672,
  [6304] = 4339,
  [6305] = 4311,
  [6306] = 4357,
  [6307] = 4339,
  [6308] = 4666,
  [6309] = 5298,
  [6310] = 4430,
  [6311] = 4485,
  [6312] = 4411,
  [6313] = 4018,
  [6314] = 4430,
  [6315] = 4311,
  [6316] = 5329,
  [6317] = 5744,
  [6318] = 4807,
  [6319] = 5286,
  [6320] = 4427,
  [6321] = 4446,
  [6322] = 5330,
  [6323] = 4365,
  [6324] = 4337,
  [6325] = 4807,
  [6326] = 4358,
  [6327] = 4018,
  [6328] = 4018,
  [6329] = 4314,
  [6330] = 5298,
  [6331] = 5722,
  [6332] = 4028,
  [6333] = 5400,
  [6334] = 4430,
  [6335] = 4527,
  [6336] = 4317,
  [6337] = 4514,
  [6338] = 4311,
  [6339] = 4851,
  [6340] = 4381,
  [6341] = 4018,
  [6342] = 4427,
  [6343] = 4411,
  [6344] = 4446,
  [6345] = 4365,
  [6346] = 4028,
  [6347] = 4423,
  [6348] = 4544,
  [6349] = 4311,
  [6350] = 6006,
  [6351] = 4358,
  [6352] = 4406,
  [6353] = 4317,
  [6354] = 4352,
  [6355] = 5828,
  [6356] = 4392,
  [6357] = 4457,
  [6358] = 4368,
  [6359] = 4427,
  [6360] = 4446,
  [6361] = 4365,
  [6362] = 4357,
  [6363] = 4357,
  [6364] = 4544,
  [6365] = 4560,
  [6366] = 4911,
  [6367] = 4534,
  [6368] = 4430,
  [6369] = 4028,
  [6370] = 5986,
  [6371] = 4381,
  [6372] = 4357,
  [6373] = 4028,
  [6374] = 4199,
  [6375] = 4423,
  [6376] = 4406,
  [6377] = 4763,
  [6378] = 4489,
  [6379] = 4352,
  [6380] = 4392,
  [6381] = 4368,
  [6382] = 4372,
  [6383] = 4028,
  [6384] = 5337,
  [6385] = 4560,
  [6386] = 4544,
  [6387] = 4527,
  [6388] = 4514,
  [6389] = 4372,
  [6390] = 4018,
  [6391] = 5799,
  [6392] = 4901,
  [6393] = 4560,
  [6394] = 4339,
  [6395] = 4666,
  [6396] = 4544,
  [6397] = 4720,
  [6398] = 4314,
  [6399] = 4851,
  [6400] = 4485,
  [6401] = 4544,
  [6402] = 5400,
  [6403] = 4409,
  [6404] = 4485,
  [6405] = 5330,
  [6406] = 5754,
  [6407] = 4763,
  [6408] = 5296,
  [6409] = 4317,
  [6410] = 5329,
  [6411] = 4720,
  [6412] = 4534,
  [6413] = 4372,
  [6414] = 4368,
  [6415] = 4720,
  [6416] = 5337,
  [6417] = 4427,
  [6418] = 4392,
  [6419] = 4727,
  [6420] = 5337,
  [6421] = 4352,
  [6422] = 4446,
  [6423] = 4406,
  [6424] = 4339,
  [6425] = 4199,
  [6426] = 4763,
  [6427] = 4485,
  [6428] = 4423,
  [6429] = 4357,
  [6430] = 4381,
  [6431] = 5296,
  [6432] = 4365,
  [6433] = 5996,
  [6434] = 4514,
  [6435] = 4720,
  [6436] = 5994,
  [6437] = 4727,
  [6438] = 5265,
  [6439] = 5400,
  [6440] = 5429,
  [6441] = 5296,
  [6442] = 5040,
  [6443] = 5330,
  [6444] = 5329,
  [6445] = 4727,
  [6446] = 4763,
  [6447] = 5265,
  [6448] = 4485,
  [6449] = 4028,
  [6450] = 5221,
  [6451] = 4485,
  [6452] = 5298,
  [6453] = 5286,
  [6454] = 5974,
  [6455] = 4527,
  [6456] = 5265,
  [6457] = 4317,
  [6458] = 5198,
  [6459] = 5970,
  [6460] = 4339,
  [6461] = 5986,
  [6462] = 4365,
  [6463] = 4560,
  [6464] = 4411,
  [6465] = 5221,
  [6466] = 5967,
  [6467] = 5221,
  [6468] = 5198,
  [6469] = 4339,
  [6470] = 4339,
  [6471] = 4544,
  [6472] = 4427,
  [6473] = 6006,
  [6474] = 4560,
  [6475] = 4409,
  [6476] = 4317,
  [6477] = 4314,
  [6478] = 4514,
  [6479] = 4314,
  [6480] = 4446,
  [6481] = 4527,
  [6482] = 4514,
  [6483] = 4485,
  [6484] = 4314,
  [6485] = 4527,
  [6486] = 4018,
  [6487] = 4381,
  [6488] = 4339,
  [6489] = 4355,
  [6490] = 4357,
  [6491] = 4423,
  [6492] = 4672,
  [6493] = 4763,
  [6494] = 4720,
  [6495] = 4727,
  [6496] = 4406,
  [6497] = 4317,
  [6498] = 5298,
  [6499] = 4352,
  [6500] = 4365,
  [6501] = 4763,
  [6502] = 4485,
  [6503] = 4727,
  [6504] = 4392,
  [6505] = 4446,
  [6506] = 4720,
  [6507] = 4368,
  [6508] = 4427,
  [6509] = 4337,
  [6510] = 4911,
  [6511] = 4372,
  [6512] = 4851,
  [6513] = 4381,
  [6514] = 4357,
  [6515] = 5494,
  [6516] = 5493,
  [6517] = 4018,
  [6518] = 4314,
  [6519] = 4423,
  [6520] = 4901,
  [6521] = 4651,
  [6522] = 4311,
  [6523] = 4406,
  [6524] = 4317,
  [6525] = 5501,
  [6526] = 4911,
  [6527] = 5286,
  [6528] = 4381,
  [6529] = 4352,
  [6530] = 4314,
  [6531] = 4672,
  [6532] = 4392,
  [6533] = 4368,
  [6534] = 4666,
  [6535] = 4311,
  [6536] = 4314,
  [6537] = 4314,
  [6538] = 4311,
  [6539] = 4427,
  [6540] = 4028,
  [6541] = 4355,
  [6542] = 5362,
  [6543] = 4446,
  [6544] = 4365,
  [6545] = 4651,
  [6546] = 4423,
  [6547] = 4911,
  [6548] = 4851,
  [6549] = 4199,
  [6550] = 4763,
  [6551] = 4430,
  [6552] = 6552,
  [6553] = 4199,
  [6554] = 4368,
  [6555] = 4381,
  [6556] = 4357,
  [6557] = 4392,
  [6558] = 4423,
  [6559] = 4406,
  [6560] = 4409,
  [6561] = 4317,
  [6562] = 4514,
  [6563] = 4352,
  [6564] = 4314,
  [6565] = 4352,
  [6566] = 5362,
  [6567] = 4355,
  [6568] = 4406,
  [6569] = 4409,
  [6570] = 5298,
  [6571] = 4406,
  [6572] = 4527,
  [6573] = 4423,
  [6574] = 4357,
  [6575] = 4392,
  [6576] = 4358,
  [6577] = 4317,
  [6578] = 4352,
  [6579] = 4392,
  [6580] = 4381,
  [6581] = 4311,
  [6582] = 4427,
  [6583] = 4446,
  [6584] = 4365,
  [6585] = 4314,
  [6586] = 5105,
  [6587] = 4368,
  [6588] = 4368,
  [6589] = 4018,
  [6590] = 4851,
  [6591] = 4365,
  [6592] = 4018,
  [6593] = 4727,
  [6594] = 4337,
  [6595] = 5198,
  [6596] = 4409,
  [6597] = 4807,
  [6598] = 4514,
  [6599] = 4317,
  [6600] = 4911,
  [6601] = 5223,
  [6602] = 5223,
  [6603] = 4527,
  [6604] = 4339,
  [6605] = 4446,
  [6606] = 5298,
  [6607] = 4851,
  [6608] = 4311,
  [6609] = 4427,
  [6610] = 4357,
  [6611] = 4381,
  [6612] = 4720,
  [6613] = 4446,
  [6614] = 4357,
  [6615] = 4365,
  [6616] = 4423,
  [6617] = 4355,
  [6618] = 4314,
  [6619] = 4427,
  [6620] = 4406,
  [6621] = 4430,
  [6622] = 5105,
  [6623] = 5400,
  [6624] = 5330,
  [6625] = 5286,
  [6626] = 5329,
  [6627] = 4352,
  [6628] = 4901,
  [6629] = 4527,
  [6630] = 5996,
  [6631] = 4392,
  [6632] = 5744,
  [6633] = 4514,
  [6634] = 4368,
  [6635] = 5994,
  [6636] = 5369,
  [6637] = 4311,
  [6638] = 4527,
  [6639] = 5799,
  [6640] = 5372,
  [6641] = 4544,
  [6642] = 4409,
  [6643] = 4666,
  [6644] = 4851,
  [6645] = 4411,
  [6646] = 4514,
  [6647] = 4355,
  [6648] = 4311,
  [6649] = 4427,
  [6650] = 4028,
  [6651] = 4368,
  [6652] = 5974,
  [6653] = 4720,
  [6654] = 4485,
  [6655] = 4446,
  [6656] = 4392,
  [6657] = 4727,
  [6658] = 6658,
  [6659] = 5298,
  [6660] = 4365,
  [6661] = 5722,
  [6662] = 4352,
  [6663] = 4028,
  [6664] = 4560,
  [6665] = 4406,
  [6666] = 5970,
  [6667] = 4763,
  [6668] = 4423,
  [6669] = 4357,
  [6670] = 4381,
  [6671] = 4411,
  [6672] = 4018,
  [6673] = 4339,
  [6674] = 4355,
  [6675] = 4314,
  [6676] = 5967,
  [6677] = 4358,
  [6678] = 4430,
  [6679] = 4358,
  [6680] = 4381,
  [6681] = 4339,
  [6682] = 5286,
  [6683] = 4911,
  [6684] = 4314,
  [6685] = 4365,
  [6686] = 4337,
  [6687] = 5372,
  [6688] = 5369,
  [6689] = 4446,
  [6690] = 4560,
  [6691] = 4317,
  [6692] = 4411,
  [6693] = 4427,
  [6694] = 4485,
  [6695] = 4028,
  [6696] = 4355,
  [6697] = 4430,
  [6698] = 4423,
  [6699] = 4560,
  [6700] = 4527,
  [6701] = 4409,
  [6702] = 4372,
  [6703] = 4911,
  [6704] = 5105,
  [6705] = 4514,
  [6706] = 4339,
  [6707] = 5223,
  [6708] = 4337,
  [6709] = 4409,
  [6710] = 4314,
  [6711] = 4406,
  [6712] = 4807,
  [6713] = 4355,
  [6714] = 4311,
  [6715] = 4018,
  [6716] = 4851,
  [6717] = 4352,
  [6718] = 5362,
  [6719] = 4018,
  [6720] = 5337,
  [6721] = 4028,
  [6722] = 5429,
  [6723] = 5386,
  [6724] = 4763,
  [6725] = 4409,
  [6726] = 4365,
  [6727] = 4392,
  [6728] = 5369,
  [6729] = 4727,
  [6730] = 5372,
  [6731] = 4446,
  [6732] = 4672,
  [6733] = 4720,
  [6734] = 4427,
  [6735] = 4544,
  [6736] = 4028,
  [6737] = 4763,
  [6738] = 4311,
  [6739] = 5198,
  [6740] = 4368,
  [6741] = 4720,
  [6742] = 4018,
  [6743] = 4427,
  [6744] = 4446,
  [6745] = 5286,
  [6746] = 5040,
  [6747] = 4365,
  [6748] = 5298,
  [6749] = 5296,
  [6750] = 4358,
  [6751] = 5221,
  [6752] = 4409,
  [6753] = 4409,
  [6754] = 4651,
  [6755] = 5494,
  [6756] = 5286,
  [6757] = 5493,
  [6758] = 5501,
  [6759] = 4337,
  [6760] = 4028,
  [6761] = 4337,
  [6762] = 4357,
  [6763] = 4311,
  [6764] = 4727,
  [6765] = 4018,
  [6766] = 5265,
  [6767] = 4534,
  [6768] = 4514,
  [6769] = 4430,
  [6770] = 4527,
  [6771] = 4763,
  [6772] = 4317,
  [6773] = 4911,
  [6774] = 4423,
  [6775] = 4727,
  [6776] = 4807,
  [6777] = 4560,
  [6778] = 4527,
  [6779] = 4339,
  [6780] = 4365,
  [6781] = 4720,
  [6782] = 4317,
  [6783] = 5986,
  [6784] = 4514,
  [6785] = 4381,
  [6786] = 4355,
  [6787] = 4406,
  [6788] = 4911,
  [6789] = 5799,
  [6790] = 4446,
  [6791] = 4851,
  [6792] = 4028,
  [6793] = 4352,
  [6794] = 4720,
  [6795] = 4672,
  [6796] = 4727,
  [6797] = 4514,
  [6798] = 4381,
  [6799] = 4763,
  [6800] = 4357,
  [6801] = 4527,
  [6802] = 4651,
  [6803] = 4392,
  [6804] = 5040,
  [6805] = 5298,
  [6806] = 4423,
  [6807] = 4851,
  [6808] = 4666,
  [6809] = 4406,
  [6810] = 4339,
  [6811] = 4457,
  [6812] = 4352,
  [6813] = 4651,
  [6814] = 6006,
  [6815] = 4672,
  [6816] = 4368,
  [6817] = 4392,
  [6818] = 4485,
  [6819] = 4544,
  [6820] = 4465,
  [6821] = 5996,
  [6822] = 5994,
  [6823] = 4368,
  [6824] = 4427,
  [6825] = 5386,
  [6826] = 4851,
  [6827] = 4409,
  [6828] = 4317,
  [6829] = 4317,
  [6830] = 4720,
  [6831] = 4727,
  [6832] = 4381,
  [6833] = 4911,
  [6834] = 4409,
  [6835] = 4018,
  [6836] = 4763,
  [6837] = 4851,
  [6838] = 4357,
  [6839] = 4489,
  [6840] = 4358,
  [6841] = 5744,
  [6842] = 4311,
  [6843] = 4720,
  [6844] = 5974,
  [6845] = 4727,
  [6846] = 4514,
  [6847] = 5286,
  [6848] = 4911,
  [6849] = 4028,
  [6850] = 4423,
  [6851] = 4381,
  [6852] = 4763,
  [6853] = 4720,
  [6854] = 4357,
  [6855] = 5105,
  [6856] = 5970,
  [6857] = 4423,
  [6858] = 5799,
  [6859] = 4406,
  [6860] = 4381,
  [6861] = 4337,
  [6862] = 5967,
  [6863] = 4406,
  [6864] = 4352,
  [6865] = 4392,
  [6866] = 4368,
  [6867] = 5286,
  [6868] = 4199,
  [6869] = 4352,
  [6870] = 4527,
  [6871] = 4485,
  [6872] = 5223,
  [6873] = 4430,
  [6874] = 4317,
  [6875] = 4560,
  [6876] = 4411,
  [6877] = 5298,
  [6878] = 4651,
  [6879] = 4392,
  [6880] = 4727,
  [6881] = 4018,
  [6882] = 4427,
  [6883] = 5722,
  [6884] = 4446,
  [6885] = 4427,
  [6886] = 4514,
  [6887] = 4365,
  [6888] = 5400,
  [6889] = 4311,
  [6890] = 5330,
  [6891] = 4672,
  [6892] = 4368,
  [6893] = 5329,
  [6894] = 4430,
  [6895] = 4901,
  [6896] = 4311,
  [6897] = 4368,
  [6898] = 5040,
  [6899] = 4392,
  [6900] = 5369,
  [6901] = 4911,
  [6902] = 5372,
  [6903] = 4352,
  [6904] = 4314,
  [6905] = 4672,
  [6906] = 4406,
  [6907] = 4446,
  [6908] = 4337,
  [6909] = 6909,
  [6910] = 4423,
  [6911] = 5799,
  [6912] = 4423,
  [6913] = 4763,
  [6914] = 4357,
  [6915] = 4560,
  [6916] = 4763,
  [6917] = 4357,
  [6918] = 4381,
  [6919] = 4527,
  [6920] = 4651,
  [6921] = 4365,
  [6922] = 4997,
  [6923] = 4485,
  [6924] = 4544,
  [6925] = 4763,
  [6926] = 4381,
  [6927] = 4311,
  [6928] = 4357,
  [6929] = 4317,
  [6930] = 4727,
  [6931] = 4485,
  [6932] = 4485,
  [6933] = 4406,
  [6934] = 4560,
  [6935] = 4423,
  [6936] = 4317,
  [6937] = 4406,
  [6938] = 4352,
  [6939] = 4392,
  [6940] = 4368,
  [6941] = 4028,
  [6942] = 4352,
  [6943] = 4409,
  [6944] = 4357,
  [6945] = 4720,
  [6946] = 4544,
  [6947] = 4411,
  [6948] = 4560,
  [6949] = 4727,
  [6950] = 4651,
  [6951] = 4901,
  [6952] = 4427,
  [6953] = 4368,
  [6954] = 4720,
  [6955] = 4446,
  [6956] = 4392,
  [6957] = 4727,
  [6958] = 4365,
  [6959] = 4352,
  [6960] = 4392,
  [6961] = 4720,
  [6962] = 5286,
  [6963] = 4406,
  [6964] = 4672,
  [6965] = 4763,
  [6966] = 4368,
  [6967] = 4423,
  [6968] = 4018,
  [6969] = 4357,
  [6970] = 4381,
  [6971] = 5040,
  [6972] = 5298,
  [6973] = 4311,
  [6974] = 4514,
  [6975] = 4485,
  [6976] = 4409,
  [6977] = 4339,
  [6978] = 5799,
  [6979] = 4339,
  [6980] = 4763,
  [6981] = 4514,
  [6982] = 4365,
  [6983] = 4544,
  [6984] = 4727,
  [6985] = 4544,
  [6986] = 5722,
  [6987] = 4446,
  [6988] = 4720,
  [6989] = 4527,
  [6990] = 4427,
  [6991] = 4527,
  [6992] = 4018,
  [6993] = 4409,
  [6994] = 5286,
  [6995] = 4355,
  [6996] = 4317,
  [6997] = 5494,
  [6998] = 5493,
  [6999] = 4409,
  [7000] = 4365,
  [7001] = 4430,
  [7002] = 4317,
  [7003] = 7003,
  [7004] = 5298,
  [7005] = 4355,
  [7006] = 4446,
  [7007] = 4560,
  [7008] = 4997,
  [7009] = 4311,
  [7010] = 4339,
  [7011] = 4381,
  [7012] = 4409,
  [7013] = 4514,
  [7014] = 4357,
  [7015] = 4423,
  [7016] = 4406,
  [7017] = 5501,
  [7018] = 4352,
  [7019] = 4392,
  [7020] = 5286,
  [7021] = 4368,
  [7022] = 5744,
  [7023] = 4851,
  [7024] = 4527,
  [7025] = 4427,
  [7026] = 4485,
  [7027] = 5828,
  [7028] = 4365,
  [7029] = 4446,
  [7030] = 4427,
  [7031] = 5298,
  [7032] = 4028,
  [7033] = 5694,
  [7034] = 4311,
  [7035] = 5870,
  [7036] = 5807,
  [7037] = 5704,
  [7038] = 5198,
  [7039] = 5286,
  [7040] = 5720,
  [7041] = 5727,
  [7042] = 4763,
  [7043] = 5298,
  [7044] = 5740,
  [7045] = 5750,
  [7046] = 4727,
  [7047] = 4720,
  [7048] = 5784,
  [7049] = 5778,
  [7050] = 4485,
  [7051] = 5771,
  [7052] = 4358,
  [7053] = 5754,
  [7054] = 4430,
  [7055] = 5429,
  [7056] = 5429,
  [7057] = 5296,
  [7058] = 5221,
  [7059] = 5754,
  [7060] = 5750,
  [7061] = 4485,
  [7062] = 5337,
  [7063] = 4311,
  [7064] = 4560,
  [7065] = 5740,
  [7066] = 5329,
  [7067] = 5771,
  [7068] = 5330,
  [7069] = 5727,
  [7070] = 4339,
  [7071] = 4357,
  [7072] = 5778,
  [7073] = 4427,
  [7074] = 5784,
  [7075] = 5720,
  [7076] = 5400,
  [7077] = 4446,
  [7078] = 4368,
  [7079] = 4365,
  [7080] = 4409,
  [7081] = 4409,
  [7082] = 5722,
  [7083] = 5265,
  [7084] = 4314,
  [7085] = 4911,
  [7086] = 5265,
  [7087] = 5807,
  [7088] = 5704,
  [7089] = 4560,
  [7090] = 5870,
  [7091] = 4018,
  [7092] = 4911,
  [7093] = 5221,
  [7094] = 4514,
  [7095] = 5828,
  [7096] = 4028,
  [7097] = 5694,
  [7098] = 4527,
  [7099] = 4365,
  [7100] = 4527,
  [7101] = 4514,
  [7102] = 5694,
  [7103] = 5198,
  [7104] = 4720,
  [7105] = 7105,
  [7106] = 5221,
  [7107] = 4727,
  [7108] = 4392,
  [7109] = 5704,
  [7110] = 4357,
  [7111] = 4446,
  [7112] = 5265,
  [7113] = 4763,
  [7114] = 4544,
  [7115] = 5369,
  [7116] = 5372,
  [7117] = 5296,
  [7118] = 4427,
  [7119] = 5296,
  [7120] = 4430,
  [7121] = 5198,
  [7122] = 5337,
  [7123] = 4028,
  [7124] = 5727,
  [7125] = 4314,
  [7126] = 4352,
  [7127] = 5501,
  [7128] = 4018,
  [7129] = 4489,
  [7130] = 5740,
  [7131] = 5750,
  [7132] = 5337,
  [7133] = 4406,
  [7134] = 4514,
  [7135] = 4851,
  [7136] = 5754,
  [7137] = 5429,
  [7138] = 4560,
  [7139] = 5744,
  [7140] = 4527,
  [7141] = 4544,
  [7142] = 4465,
  [7143] = 7143,
  [7144] = 5986,
  [7145] = 5771,
  [7146] = 4457,
  [7147] = 4423,
  [7148] = 4311,
  [7149] = 5778,
  [7150] = 5493,
  [7151] = 5494,
  [7152] = 4028,
  [7153] = 5784,
  [7154] = 4485,
  [7155] = 4901,
  [7156] = 4314,
  [7157] = 4807,
  [7158] = 4314,
  [7159] = 4485,
  [7160] = 4851,
  [7161] = 4763,
  [7162] = 4314,
  [7163] = 5386,
  [7164] = 5105,
  [7165] = 5720,
  [7166] = 5807,
  [7167] = 5870,
  [7168] = 4368,
  [7169] = 4358,
  [7170] = 5223,
  [7171] = 4727,
  [7172] = 4997,
  [7173] = 5828,
  [7174] = 4337,
  [7175] = 4544,
  [7176] = 4311,
  [7177] = 4720,
  [7178] = 4392,
  [7179] = 4406,
  [7180] = 4018,
  [7181] = 4365,
  [7182] = 4446,
  [7183] = 4381,
  [7184] = 4411,
  [7185] = 4314,
  [7186] = 5362,
  [7187] = 4544,
  [7188] = 4427,
  [7189] = 4352,
  [7190] = 4339,
  [7191] = 4028,
  [7192] = 4317,
  [7193] = 4666,
  [7194] = 4372,
  [7195] = 4339,
  [7196] = 4534,
  [7197] = 4314,
  [7198] = 4311,
  [7199] = 4560,
  [7200] = 4018,
  [7201] = 4544,
  [7202] = 4411,
  [7203] = 4423,
  [7204] = 4851,
  [7205] = 5298,
  [7206] = 4365,
  [7207] = 4018,
  [7208] = 4339,
  [7209] = 4446,
  [7210] = 4199,
  [7211] = 4427,
  [7212] = 4311,
  [7213] = 5286,
  [7214] = 4807,
  [7215] = 4317,
  [7216] = 4485,
  [7217] = 5223,
  [7218] = 4465,
  [7219] = 5494,
  [7220] = 5493,
  [7221] = 4427,
  [7222] = 4311,
  [7223] = 4365,
  [7224] = 4446,
  [7225] = 4651,
  [7226] = 4446,
  [7227] = 4427,
  [7228] = 4314,
  [7229] = 4381,
  [7230] = 4028,
  [7231] = 4311,
  [7232] = 4018,
  [7233] = 4365,
  [7234] = 4357,
  [7235] = 5337,
  [7236] = 4314,
  [7237] = 4028,
  [7238] = 4028,
  [7239] = 5501,
  [7240] = 4311,
  [7241] = 4368,
  [7242] = 4392,
  [7243] = 4028,
  [7244] = 5105,
  [7245] = 4352,
  [7246] = 4365,
  [7247] = 4406,
  [7248] = 4446,
  [7249] = 4672,
  [7250] = 4423,
  [7251] = 4427,
  [7252] = 4317,
  [7253] = 4018,
  [7254] = 4381,
  [7255] = 4720,
  [7256] = 4018,
  [7257] = 4311,
  [7258] = 4409,
  [7259] = 4311,
  [7260] = 4672,
  [7261] = 4727,
  [7262] = 4651,
  [7263] = 4028,
  [7264] = 5296,
  [7265] = 5501,
  [7266] = 4018,
  [7267] = 4317,
  [7268] = 4763,
  [7269] = 4028,
  [7270] = 4997,
  [7271] = 4430,
  [7272] = 5493,
  [7273] = 5494,
  [7274] = 4018,
  [7275] = 4337,
  [7276] = 5265,
  [7277] = 4427,
  [7278] = 4314,
  [7279] = 4355,
  [7280] = 4446,
  [7281] = 4381,
  [7282] = 5221,
  [7283] = 4365,
  [7284] = 4560,
  [7285] = 5223,
  [7286] = 4358,
  [7287] = 4666,
  [7288] = 5298,
  [7289] = 5105,
  [7290] = 5198,
  [7291] = 4427,
  [7292] = 4028,
  [7293] = 4358,
  [7294] = 4446,
  [7295] = 4018,
  [7296] = 5799,
  [7297] = 6552,
  [7298] = 4311,
  [7299] = 4339,
  [7300] = 4365,
  [7301] = 4544,
  [7302] = 5372,
  [7303] = 6658,
  [7304] = 5369,
  [7305] = 4372,
  [7306] = 5286,
  [7307] = 4544,
  [7308] = 4199,
  [7309] = 4355,
  [7310] = 4358,
  [7311] = 4357,
  [7312] = 4534,
  [7313] = 4406,
  [7314] = 4355,
  [7315] = 4411,
  [7316] = 4411,
  [7317] = 4368,
  [7318] = 4720,
  [7319] = 4352,
  [7320] = 4357,
  [7321] = 5329,
  [7322] = 4358,
  [7323] = 4392,
  [7324] = 7324,
  [7325] = 5330,
  [7326] = 5040,
  [7327] = 4352,
  [7328] = 4423,
  [7329] = 4727,
  [7330] = 5400,
  [7331] = 4406,
  [7332] = 4409,
  [7333] = 4392,
  [7334] = 4423,
  [7335] = 5286,
  [7336] = 4430,
  [7337] = 4763,
  [7338] = 4358,
  [7339] = 4560,
  [7340] = 4381,
  [7341] = 4720,
  [7342] = 4727,
  [7343] = 4368,
  [7344] = 5362,
  [7345] = 4851,
  [7346] = 7346,
  [7347] = 4317,
  [7348] = 4314,
  [7349] = 4901,
  [7350] = 5386,
  [7351] = 4763,
  [7352] = 5298,
  [7353] = 7353,
  [7354] = 4409,
  [7355] = 4018,
  [7356] = 6006,
  [7357] = 4311,
  [7358] = 4317,
  [7359] = 4901,
  [7360] = 4368,
  [7361] = 5996,
  [7362] = 5994,
  [7363] = 4465,
  [7364] = 4409,
  [7365] = 4720,
  [7366] = 4411,
  [7367] = 4911,
  [7368] = 5986,
  [7369] = 4534,
  [7370] = 4409,
  [7371] = 4430,
  [7372] = 5040,
  [7373] = 4409,
  [7374] = 4372,
  [7375] = 4314,
  [7376] = 6552,
  [7377] = 4901,
  [7378] = 4720,
  [7379] = 4807,
  [7380] = 4392,
  [7381] = 4465,
  [7382] = 4727,
  [7383] = 4727,
  [7384] = 4430,
  [7385] = 4365,
  [7386] = 4485,
  [7387] = 5974,
  [7388] = 4651,
  [7389] = 4372,
  [7390] = 4352,
  [7391] = 4763,
  [7392] = 4544,
  [7393] = 4911,
  [7394] = 5970,
  [7395] = 7346,
  [7396] = 4446,
  [7397] = 7324,
  [7398] = 4406,
  [7399] = 4409,
  [7400] = 4763,
  [7401] = 4355,
  [7402] = 4427,
  [7403] = 5332,
  [7404] = 4901,
  [7405] = 4372,
  [7406] = 5040,
  [7407] = 4851,
  [7408] = 5040,
  [7409] = 4672,
  [7410] = 4423,
  [7411] = 5040,
  [7412] = 7353,
  [7413] = 4672,
  [7414] = 5967,
  [7415] = 4357,
  [7416] = 7346,
  [7417] = 4651,
  [7418] = 5040,
  [7419] = 7346,
  [7420] = 4411,
  [7421] = 4851,
  [7422] = 4337,
  [7423] = 4427,
  [7424] = 4368,
  [7425] = 4446,
  [7426] = 4381,
  [7427] = 4392,
  [7428] = 4365,
  [7429] = 4514,
  [7430] = 4352,
  [7431] = 7324,
  [7432] = 4666,
  [7433] = 4406,
  [7434] = 4357,
  [7435] = 4527,
  [7436] = 7436,
  [7437] = 7437,
  [7438] = 4423,
  [7439] = 4028,
  [7440] = 5040,
  [7441] = 7441,
  [7442] = 7324,
  [7443] = 4911,
  [7444] = 4339,
  [7445] = 4381,
  [7446] = 4427,
  [7447] = 7324,
  [7448] = 5996,
  [7449] = 4199,
  [7450] = 5994,
  [7451] = 4446,
  [7452] = 4672,
  [7453] = 4544,
  [7454] = 7346,
  [7455] = 5362,
  [7456] = 5429,
  [7457] = 4534,
  [7458] = 4365,
  [7459] = 5974,
  [7460] = 7346,
  [7461] = 7324,
  [7462] = 4358,
  [7463] = 4651,
  [7464] = 4514,
  [7465] = 4339,
  [7466] = 4911,
  [7467] = 5970,
  [7468] = 5967,
  [7469] = 5040,
  [7470] = 4372,
  [7471] = 4901,
  [7472] = 4317,
  [7473] = 4527,
  [7474] = 5372,
  [7475] = 4339,
  [7476] = 5369,
  [7477] = 6006,
  [7478] = 4372,
  [7479] = 4372,
  [7480] = 4311,
  [7481] = 4672,
  [7482] = 4901,
  [7483] = 5040,
  [7484] = 6658,
  [7485] = 4651,
  [7486] = 4560,
  [7487] = 5329,
  [7488] = 4514,
  [7489] = 4560,
  [7490] = 4527,
  [7491] = 5330,
  [7492] = 5400,
  [7493] = 4430,
  [7494] = 7494,
  [7495] = 4368,
  [7496] = 4311,
  [7497] = 7353,
  [7498] = 4851,
  [7499] = 4381,
  [7500] = 4427,
  [7501] = 4339,
  [7502] = 4355,
  [7503] = 5386,
  [7504] = 4372,
  [7505] = 4851,
  [7506] = 5754,
  [7507] = 4901,
  [7508] = 4851,
  [7509] = 4446,
  [7510] = 5040,
  [7511] = 7494,
  [7512] = 4199,
  [7513] = 4365,
  [7514] = 4430,
  [7515] = 5286,
  [7516] = 4423,
  [7517] = 4317,
  [7518] = 4901,
  [7519] = 7519,
  [7520] = 7520,
  [7521] = 5040,
  [7522] = 4457,
  [7523] = 6909,
  [7524] = 4381,
  [7525] = 7494,
  [7526] = 4560,
  [7527] = 4018,
  [7528] = 4311,
  [7529] = 4666,
  [7530] = 4406,
  [7531] = 7494,
  [7532] = 4427,
  [7533] = 4368,
  [7534] = 4446,
  [7535] = 4851,
  [7536] = 7494,
  [7537] = 4392,
  [7538] = 5298,
  [7539] = 7494,
  [7540] = 4901,
  [7541] = 4317,
  [7542] = 5286,
  [7543] = 7494,
  [7544] = 4352,
  [7545] = 4365,
  [7546] = 4018,
  [7547] = 4352,
  [7548] = 4028,
  [7549] = 7494,
  [7550] = 7550,
  [7551] = 4406,
  [7552] = 4392,
  [7553] = 7553,
  [7554] = 4427,
  [7555] = 4465,
  [7556] = 7556,
  [7557] = 7519,
  [7558] = 7494,
  [7559] = 7494,
  [7560] = 7560,
  [7561] = 4527,
  [7562] = 7562,
  [7563] = 4368,
  [7564] = 4423,
  [7565] = 7494,
  [7566] = 7494,
  [7567] = 4427,
  [7568] = 4311,
  [7569] = 4446,
  [7570] = 4357,
  [7571] = 4368,
  [7572] = 7494,
  [7573] = 4381,
  [7574] = 4018,
  [7575] = 7562,
  [7576] = 4514,
  [7577] = 5986,
  [7578] = 7550,
  [7579] = 7494,
  [7580] = 4651,
  [7581] = 4314,
  [7582] = 4446,
  [7583] = 7494,
  [7584] = 4489,
  [7585] = 4392,
  [7586] = 5996,
  [7587] = 4911,
  [7588] = 7494,
  [7589] = 7550,
  [7590] = 4409,
  [7591] = 4672,
  [7592] = 4365,
  [7593] = 4311,
  [7594] = 7494,
  [7595] = 7556,
  [7596] = 7519,
  [7597] = 7494,
  [7598] = 5298,
  [7599] = 7494,
  [7600] = 7494,
  [7601] = 4365,
  [7602] = 7562,
  [7603] = 7494,
  [7604] = 7560,
  [7605] = 4311,
  [7606] = 4357,
  [7607] = 4018,
  [7608] = 4763,
  [7609] = 7519,
  [7610] = 7143,
  [7611] = 7556,
  [7612] = 5337,
  [7613] = 7494,
  [7614] = 4427,
  [7615] = 7615,
  [7616] = 5298,
  [7617] = 4028,
  [7618] = 4672,
  [7619] = 4544,
  [7620] = 4409,
  [7621] = 5296,
  [7622] = 4406,
  [7623] = 4807,
  [7624] = 7494,
  [7625] = 5400,
  [7626] = 5330,
  [7627] = 4352,
  [7628] = 5329,
  [7629] = 4485,
  [7630] = 4317,
  [7631] = 5040,
  [7632] = 5265,
  [7633] = 4430,
  [7634] = 5694,
  [7635] = 5198,
  [7636] = 4901,
  [7637] = 5799,
  [7638] = 4314,
  [7639] = 4485,
  [7640] = 5286,
  [7641] = 4317,
  [7642] = 7494,
  [7643] = 4446,
  [7644] = 4352,
  [7645] = 4430,
  [7646] = 4372,
  [7647] = 4317,
  [7648] = 5704,
  [7649] = 5040,
  [7650] = 5221,
  [7651] = 4406,
  [7652] = 5040,
  [7653] = 5198,
  [7654] = 4651,
  [7655] = 7494,
  [7656] = 4560,
  [7657] = 5298,
  [7658] = 4534,
  [7659] = 5286,
  [7660] = 4018,
  [7661] = 4851,
  [7662] = 4028,
  [7663] = 5720,
  [7664] = 5040,
  [7665] = 5727,
  [7666] = 5996,
  [7667] = 5740,
  [7668] = 4527,
  [7669] = 4018,
  [7670] = 5750,
  [7671] = 5994,
  [7672] = 4901,
  [7673] = 5754,
  [7674] = 5429,
  [7675] = 5221,
  [7676] = 4997,
  [7677] = 5286,
  [7678] = 4028,
  [7679] = 7494,
  [7680] = 7494,
  [7681] = 4763,
  [7682] = 5040,
  [7683] = 7494,
  [7684] = 7494,
  [7685] = 5494,
  [7686] = 5771,
  [7687] = 5778,
  [7688] = 4199,
  [7689] = 4311,
  [7690] = 5493,
  [7691] = 5744,
  [7692] = 5784,
  [7693] = 5974,
  [7694] = 4727,
  [7695] = 4365,
  [7696] = 4514,
  [7697] = 4028,
  [7698] = 6006,
  [7699] = 7143,
  [7700] = 4901,
  [7701] = 4381,
  [7702] = 4720,
  [7703] = 4763,
  [7704] = 5807,
  [7705] = 5870,
  [7706] = 5970,
  [7707] = 5040,
  [7708] = 4365,
  [7709] = 4727,
  [7710] = 5967,
  [7711] = 4807,
  [7712] = 4727,
  [7713] = 7494,
  [7714] = 4339,
  [7715] = 7494,
  [7716] = 4651,
  [7717] = 7494,
  [7718] = 4651,
  [7719] = 5828,
  [7720] = 4446,
  [7721] = 4720,
  [7722] = 5722,
  [7723] = 5286,
  [7724] = 4392,
  [7725] = 4423,
  [7726] = 4544,
  [7727] = 5265,
  [7728] = 4672,
  [7729] = 4763,
  [7730] = 4427,
  [7731] = 7494,
  [7732] = 5286,
  [7733] = 5501,
  [7734] = 4381,
  [7735] = 4028,
  [7736] = 5501,
  [7737] = 4911,
  [7738] = 4560,
  [7739] = 4411,
  [7740] = 4720,
  [7741] = 4901,
  [7742] = 4727,
  [7743] = 7494,
  [7744] = 4672,
  [7745] = 5337,
  [7746] = 5828,
  [7747] = 6006,
  [7748] = 4666,
  [7749] = 7494,
  [7750] = 4720,
  [7751] = 5298,
  [7752] = 5296,
  [7753] = 7494,
  [7754] = 5040,
  [7755] = 4311,
  [7756] = 4355,
  [7757] = 5494,
  [7758] = 4368,
  [7759] = 5493,
  [7760] = 5986,
  [7761] = 5265,
  [7762] = 4381,
  [7763] = 7494,
  [7764] = 5501,
  [7765] = 4560,
  [7766] = 5493,
  [7767] = 5494,
  [7768] = 5870,
  [7769] = 7003,
  [7770] = 5994,
  [7771] = 7562,
  [7772] = 4357,
  [7773] = 6658,
  [7774] = 4430,
  [7775] = 5807,
  [7776] = 7494,
  [7777] = 7494,
  [7778] = 4560,
  [7779] = 5221,
  [7780] = 7494,
  [7781] = 4427,
  [7782] = 5198,
  [7783] = 4311,
  [7784] = 4423,
  [7785] = 4720,
  [7786] = 4423,
  [7787] = 4446,
  [7788] = 4727,
  [7789] = 4365,
  [7790] = 7550,
  [7791] = 4355,
  [7792] = 7494,
  [7793] = 5386,
  [7794] = 5784,
  [7795] = 4666,
  [7796] = 5799,
  [7797] = 7494,
  [7798] = 4911,
  [7799] = 4544,
  [7800] = 7003,
  [7801] = 7494,
  [7802] = 4763,
  [7803] = 4423,
  [7804] = 4314,
  [7805] = 7494,
  [7806] = 7494,
  [7807] = 5337,
  [7808] = 4672,
  [7809] = 5974,
  [7810] = 5778,
  [7811] = 4560,
  [7812] = 5771,
  [7813] = 4357,
  [7814] = 5296,
  [7815] = 4544,
  [7816] = 4430,
  [7817] = 4339,
  [7818] = 4807,
  [7819] = 4527,
  [7820] = 7494,
  [7821] = 7560,
  [7822] = 4485,
  [7823] = 7494,
  [7824] = 4406,
  [7825] = 4314,
  [7826] = 5265,
  [7827] = 4358,
  [7828] = 5429,
  [7829] = 7494,
  [7830] = 4911,
  [7831] = 4651,
  [7832] = 4317,
  [7833] = 4763,
  [7834] = 5750,
  [7835] = 5740,
  [7836] = 4314,
  [7837] = 5727,
  [7838] = 7519,
  [7839] = 5221,
  [7840] = 4651,
  [7841] = 7556,
  [7842] = 7494,
  [7843] = 7494,
  [7844] = 5501,
  [7845] = 4406,
  [7846] = 4727,
  [7847] = 5198,
  [7848] = 4672,
  [7849] = 7494,
  [7850] = 7520,
  [7851] = 7494,
  [7852] = 5040,
  [7853] = 5386,
  [7854] = 7494,
  [7855] = 5720,
  [7856] = 7105,
  [7857] = 4339,
  [7858] = 4339,
  [7859] = 5337,
  [7860] = 7494,
  [7861] = 4560,
  [7862] = 4028,
  [7863] = 4352,
  [7864] = 4720,
  [7865] = 4514,
  [7866] = 4339,
  [7867] = 6909,
  [7868] = 4314,
  [7869] = 5493,
  [7870] = 5494,
  [7871] = 5704,
  [7872] = 5298,
  [7873] = 5296,
  [7874] = 5501,
  [7875] = 7494,
  [7876] = 7494,
  [7877] = 5040,
  [7878] = 4352,
  [7879] = 4651,
  [7880] = 7520,
  [7881] = 5694,
  [7882] = 4409,
  [7883] = 4485,
  [7884] = 4672,
  [7885] = 7494,
  [7886] = 5286,
  [7887] = 5362,
  [7888] = 4365,
  [7889] = 5970,
  [7890] = 4446,
  [7891] = 7494,
  [7892] = 4560,
  [7893] = 4427,
  [7894] = 4358,
  [7895] = 4199,
  [7896] = 5967,
  [7897] = 4409,
  [7898] = 4651,
  [7899] = 4311,
  [7900] = 5298,
  [7901] = 7494,
  [7902] = 4311,
  [7903] = 5040,
  [7904] = 4560,
  [7905] = 4527,
  [7906] = 5223,
  [7907] = 4311,
  [7908] = 7520,
  [7909] = 5493,
  [7910] = 4018,
  [7911] = 7494,
  [7912] = 4411,
  [7913] = 4028,
  [7914] = 5286,
  [7915] = 4392,
  [7916] = 4514,
  [7917] = 4392,
  [7918] = 4544,
  [7919] = 7494,
  [7920] = 4427,
  [7921] = 4763,
  [7922] = 4018,
  [7923] = 4672,
  [7924] = 4368,
  [7925] = 5494,
  [7926] = 4672,
  [7927] = 4028,
  [7928] = 5298,
  [7929] = 4411,
  [7930] = 4446,
  [7931] = 4018,
  [7932] = 4317,
  [7933] = 4028,
  [7934] = 4727,
  [7935] = 7494,
  [7936] = 5105,
  [7937] = 5799,
  [7938] = 5362,
  [7939] = 4514,
  [7940] = 7494,
  [7941] = 4018,
  [7942] = 4720,
  [7943] = 4997,
  [7944] = 4651,
  [7945] = 5694,
  [7946] = 4365,
  [7947] = 4409,
  [7948] = 4527,
  [7949] = 4851,
  [7950] = 4028,
  [7951] = 5722,
  [7952] = 4339,
  [7953] = 4763,
  [7954] = 5362,
  [7955] = 6658,
  [7956] = 5754,
  [7957] = 4339,
  [7958] = 4423,
  [7959] = 4544,
  [7960] = 4911,
  [7961] = 4368,
  [7962] = 4727,
  [7963] = 4720,
  [7964] = 5198,
  [7965] = 4311,
  [7966] = 5221,
  [7967] = 4409,
  [7968] = 5704,
  [7969] = 4763,
  [7970] = 4406,
  [7971] = 4409,
  [7972] = 4018,
  [7973] = 4317,
  [7974] = 4317,
  [7975] = 7494,
  [7976] = 4352,
  [7977] = 5105,
  [7978] = 7494,
  [7979] = 7520,
  [7980] = 4381,
  [7981] = 4409,
  [7982] = 4727,
  [7983] = 7494,
  [7984] = 4485,
  [7985] = 4028,
  [7986] = 4018,
  [7987] = 5265,
  [7988] = 5720,
  [7989] = 4311,
  [7990] = 4720,
  [7991] = 7494,
  [7992] = 4392,
  [7993] = 7494,
  [7994] = 4381,
  [7995] = 4311,
  [7996] = 5799,
  [7997] = 5744,
  [7998] = 7003,
  [7999] = 4427,
  [8000] = 5727,
  [8001] = 4381,
  [8002] = 4527,
  [8003] = 4446,
  [8004] = 4365,
  [8005] = 4314,
  [8006] = 5223,
  [8007] = 7494,
  [8008] = 5744,
  [8009] = 5296,
  [8010] = 5337,
  [8011] = 4368,
  [8012] = 6552,
  [8013] = 4423,
  [8014] = 4911,
  [8015] = 4997,
  [8016] = 5996,
  [8017] = 4423,
  [8018] = 5329,
  [8019] = 5330,
  [8020] = 4406,
  [8021] = 5740,
  [8022] = 4317,
  [8023] = 5750,
  [8024] = 7494,
  [8025] = 5372,
  [8026] = 4352,
  [8027] = 4851,
  [8028] = 5369,
  [8029] = 5994,
  [8030] = 7494,
  [8031] = 4901,
  [8032] = 5040,
  [8033] = 4392,
  [8034] = 5400,
  [8035] = 4720,
  [8036] = 4851,
  [8037] = 5429,
  [8038] = 4727,
  [8039] = 5722,
  [8040] = 4544,
  [8041] = 4368,
  [8042] = 7494,
  [8043] = 4314,
  [8044] = 5369,
  [8045] = 5372,
  [8046] = 4409,
  [8047] = 4339,
  [8048] = 4666,
  [8049] = 4381,
  [8050] = 7494,
  [8051] = 4311,
  [8052] = 4357,
  [8053] = 4560,
  [8054] = 5286,
  [8055] = 4365,
  [8056] = 5040,
  [8057] = 4339,
  [8058] = 4763,
  [8059] = 4406,
  [8060] = 4485,
  [8061] = 4423,
  [8062] = 4446,
  [8063] = 5771,
  [8064] = 4427,
  [8065] = 5337,
  [8066] = 5362,
  [8067] = 4409,
  [8068] = 4406,
  [8069] = 5778,
  [8070] = 7494,
  [8071] = 5286,
  [8072] = 4720,
  [8073] = 5784,
  [8074] = 4352,
  [8075] = 5296,
  [8076] = 4365,
  [8077] = 4365,
  [8078] = 4727,
  [8079] = 4763,
  [8080] = 7494,
  [8081] = 4392,
  [8082] = 4352,
  [8083] = 5265,
  [8084] = 7494,
  [8085] = 4446,
  [8086] = 4314,
  [8087] = 4851,
  [8088] = 4807,
  [8089] = 4368,
  [8090] = 4427,
  [8091] = 5221,
  [8092] = 5974,
  [8093] = 4311,
  [8094] = 4028,
  [8095] = 4355,
  [8096] = 5198,
  [8097] = 4446,
  [8098] = 5799,
  [8099] = 5223,
  [8100] = 4357,
  [8101] = 7494,
  [8102] = 5986,
  [8103] = 4427,
  [8104] = 7494,
  [8105] = 4409,
  [8106] = 4018,
  [8107] = 4485,
  [8108] = 5040,
  [8109] = 7520,
  [8110] = 4851,
  [8111] = 4485,
  [8112] = 4392,
  [8113] = 4485,
  [8114] = 4651,
  [8115] = 4763,
  [8116] = 4028,
  [8117] = 4514,
  [8118] = 4544,
  [8119] = 4727,
  [8120] = 6006,
  [8121] = 4911,
  [8122] = 4720,
  [8123] = 4672,
  [8124] = 4314,
  [8125] = 4514,
  [8126] = 7494,
  [8127] = 7494,
  [8128] = 5298,
  [8129] = 4527,
  [8130] = 4485,
  [8131] = 5298,
  [8132] = 4368,
  [8133] = 4358,
  [8134] = 7494,
  [8135] = 5807,
  [8136] = 4339,
  [8137] = 4338,
  [8138] = 7494,
  [8139] = 4911,
  [8140] = 5105,
  [8141] = 4851,
  [8142] = 4427,
  [8143] = 5870,
  [8144] = 4381,
  [8145] = 4763,
  [8146] = 4720,
  [8147] = 4727,
  [8148] = 4727,
  [8149] = 5970,
  [8150] = 4720,
  [8151] = 4357,
  [8152] = 4720,
  [8153] = 4446,
  [8154] = 4357,
  [8155] = 5330,
  [8156] = 4763,
  [8157] = 4485,
  [8158] = 4357,
  [8159] = 7494,
  [8160] = 4423,
  [8161] = 4409,
  [8162] = 4727,
  [8163] = 4365,
  [8164] = 4544,
  [8165] = 4527,
  [8166] = 4763,
  [8167] = 4911,
  [8168] = 5967,
  [8169] = 5362,
  [8170] = 4851,
  [8171] = 4365,
  [8172] = 6552,
  [8173] = 4534,
  [8174] = 4368,
  [8175] = 4411,
  [8176] = 4446,
  [8177] = 4392,
  [8178] = 7556,
  [8179] = 4485,
  [8180] = 4427,
  [8181] = 4311,
  [8182] = 4018,
  [8183] = 4406,
  [8184] = 4317,
  [8185] = 4352,
  [8186] = 4763,
  [8187] = 7494,
  [8188] = 4352,
  [8189] = 4406,
  [8190] = 7494,
  [8191] = 4544,
  [8192] = 4544,
  [8193] = 4727,
  [8194] = 4651,
  [8195] = 4392,
  [8196] = 4720,
  [8197] = 4423,
  [8198] = 7494,
  [8199] = 4411,
  [8200] = 4514,
  [8201] = 4357,
  [8202] = 5828,
  [8203] = 4381,
  [8204] = 4337,
  [8205] = 4357,
  [8206] = 4651,
  [8207] = 7494,
  [8208] = 4911,
  [8209] = 7494,
  [8210] = 5501,
  [8211] = 4672,
  [8212] = 4357,
  [8213] = 4317,
  [8214] = 4365,
  [8215] = 4409,
  [8216] = 4446,
  [8217] = 4672,
  [8218] = 4427,
  [8219] = 5372,
  [8220] = 5493,
  [8221] = 7494,
  [8222] = 5494,
  [8223] = 7494,
  [8224] = 7143,
  [8225] = 7494,
  [8226] = 4358,
  [8227] = 5329,
  [8228] = 4311,
  [8229] = 4527,
  [8230] = 4851,
  [8231] = 4720,
  [8232] = 5386,
  [8233] = 5369,
  [8234] = 4911,
  [8235] = 5298,
  [8236] = 4727,
  [8237] = 5040,
  [8238] = 7494,
  [8239] = 5400,
  [8240] = 4358,
  [8241] = 4763,
  [8242] = 4485,
  [8243] = 7494,
  [8244] = 7494,
  [8245] = 4381,
  [8246] = 4330,
  [8247] = 6658,
  [8248] = 4911,
  [8249] = 4317,
  [8250] = 4514,
  [8251] = 4357,
  [8252] = 4423,
  [8253] = 4406,
  [8254] = 4911,
  [8255] = 4485,
  [8256] = 4352,
  [8257] = 4560,
  [8258] = 4314,
  [8259] = 4392,
  [8260] = 7494,
  [8261] = 4411,
  [8262] = 7494,
  [8263] = 4997,
  [8264] = 5799,
  [8265] = 4368,
  [8266] = 4311,
  [8267] = 4311,
  [8268] = 7105,
  [8269] = 4851,
  [8270] = 6552,
  [8271] = 4028,
  [8272] = 5298,
  [8273] = 4381,
  [8274] = 4446,
  [8275] = 4544,
  [8276] = 4357,
  [8277] = 5704,
  [8278] = 4446,
  [8279] = 5986,
  [8280] = 5974,
  [8281] = 4392,
  [8282] = 4365,
  [8283] = 4381,
  [8284] = 4423,
  [8285] = 5994,
  [8286] = 5694,
  [8287] = 5722,
  [8288] = 4446,
  [8289] = 4368,
  [8290] = 5286,
  [8291] = 4406,
  [8292] = 4365,
  [8293] = 4427,
  [8294] = 5286,
  [8295] = 5970,
  [8296] = 5996,
  [8297] = 4352,
  [8298] = 5386,
  [8299] = 4352,
  [8300] = 6909,
  [8301] = 5967,
  [8302] = 4392,
  [8303] = 4427,
  [8304] = 4339,
  [8305] = 5372,
  [8306] = 4368,
  [8307] = 5369,
  [8308] = 4427,
  [8309] = 6006,
  [8310] = 4311,
  [8311] = 4406,
  [8312] = 5329,
  [8313] = 5298,
  [8314] = 7105,
  [8315] = 4311,
  [8316] = 5040,
  [8317] = 4851,
  [8318] = 5330,
  [8319] = 5694,
  [8320] = 4851,
  [8321] = 7105,
  [8322] = 4423,
  [8323] = 5040,
  [8324] = 4368,
  [8325] = 4485,
  [8326] = 5720,
  [8327] = 4028,
  [8328] = 4365,
  [8329] = 5722,
  [8330] = 4763,
  [8331] = 4672,
  [8332] = 5400,
  [8333] = 4028,
  [8334] = 5704,
  [8335] = 5286,
  [8336] = 5501,
  [8337] = 4317,
  [8338] = 5727,
  [8339] = 5337,
  [8340] = 5386,
  [8341] = 4911,
  [8342] = 4381,
  [8343] = 4423,
  [8344] = 4727,
  [8345] = 4357,
  [8346] = 5720,
  [8347] = 5722,
  [8348] = 5727,
  [8349] = 5740,
  [8350] = 4018,
  [8351] = 5750,
  [8352] = 5754,
  [8353] = 4720,
  [8354] = 5298,
  [8355] = 4406,
  [8356] = 5429,
  [8357] = 5740,
  [8358] = 4720,
  [8359] = 4430,
  [8360] = 5807,
  [8361] = 5750,
  [8362] = 5296,
  [8363] = 4311,
  [8364] = 5223,
  [8365] = 5493,
  [8366] = 5286,
  [8367] = 5494,
  [8368] = 4911,
  [8369] = 4352,
  [8370] = 4727,
  [8371] = 4357,
  [8372] = 5105,
  [8373] = 4423,
  [8374] = 5429,
  [8375] = 5298,
  [8376] = 5771,
  [8377] = 4911,
  [8378] = 4365,
  [8379] = 4409,
  [8380] = 4485,
  [8381] = 4339,
  [8382] = 4544,
  [8383] = 4807,
  [8384] = 5744,
  [8385] = 5778,
  [8386] = 5744,
  [8387] = 4392,
  [8388] = 5744,
  [8389] = 4485,
  [8390] = 4763,
  [8391] = 4651,
  [8392] = 5784,
  [8393] = 5501,
  [8394] = 5198,
  [8395] = 5286,
  [8396] = 4430,
  [8397] = 5221,
  [8398] = 4199,
  [8399] = 5771,
  [8400] = 7003,
  [8401] = 4381,
  [8402] = 5265,
  [8403] = 5298,
  [8404] = 4392,
  [8405] = 4763,
  [8406] = 5778,
  [8407] = 4485,
  [8408] = 4314,
  [8409] = 4311,
  [8410] = 5296,
  [8411] = 7143,
  [8412] = 4368,
  [8413] = 5337,
  [8414] = 5784,
  [8415] = 5493,
  [8416] = 5265,
  [8417] = 4911,
  [8418] = 5494,
  [8419] = 4666,
  [8420] = 5372,
  [8421] = 4651,
  [8422] = 4409,
  [8423] = 5369,
  [8424] = 4406,
  [8425] = 5799,
  [8426] = 4317,
  [8427] = 4352,
  [8428] = 4446,
  [8429] = 5298,
  [8430] = 5807,
  [8431] = 4392,
  [8432] = 5286,
  [8433] = 5870,
  [8434] = 4018,
  [8435] = 4672,
  [8436] = 4427,
  [8437] = 5040,
  [8438] = 5870,
  [8439] = 5221,
  [8440] = 4392,
  [8441] = 4720,
  [8442] = 4851,
  [8443] = 5799,
  [8444] = 4446,
  [8445] = 4018,
  [8446] = 4352,
  [8447] = 5828,
  [8448] = 4851,
  [8449] = 4406,
  [8450] = 4727,
  [8451] = 5967,
  [8452] = 4365,
  [8453] = 4317,
  [8454] = 4352,
  [8455] = 5286,
  [8456] = 5198,
  [8457] = 4368,
  [8458] = 5223,
  [8459] = 4423,
  [8460] = 4727,
  [8461] = 4651,
  [8462] = 4763,
  [8463] = 2412,
  [8464] = 5694,
  [8465] = 4763,
  [8466] = 5704,
  [8467] = 4314,
  [8468] = 4727,
  [8469] = 5329,
  [8470] = 5330,
  [8471] = 4720,
  [8472] = 4763,
  [8473] = 4314,
  [8474] = 8474,
  [8475] = 4727,
  [8476] = 5105,
  [8477] = 5720,
  [8478] = 5400,
  [8479] = 5974,
  [8480] = 4018,
  [8481] = 4720,
  [8482] = 7143,
  [8483] = 5970,
  [8484] = 4427,
  [8485] = 4672,
  [8486] = 4544,
  [8487] = 4485,
  [8488] = 5727,
  [8489] = 4763,
  [8490] = 5740,
  [8491] = 4911,
  [8492] = 5750,
  [8493] = 7003,
  [8494] = 5754,
  [8495] = 4527,
  [8496] = 5429,
  [8497] = 5994,
  [8498] = 4406,
  [8499] = 4763,
  [8500] = 4720,
  [8501] = 4727,
  [8502] = 4365,
  [8503] = 5996,
  [8504] = 5799,
  [8505] = 4720,
  [8506] = 4544,
  [8507] = 4651,
  [8508] = 4446,
  [8509] = 5771,
  [8510] = 4427,
  [8511] = 4851,
  [8512] = 4381,
  [8513] = 5337,
  [8514] = 4485,
  [8515] = 8515,
  [8516] = 5362,
  [8517] = 5778,
  [8518] = 5501,
  [8519] = 6552,
  [8520] = 5296,
  [8521] = 4514,
  [8522] = 4028,
  [8523] = 4727,
  [8524] = 4357,
  [8525] = 5784,
  [8526] = 7105,
  [8527] = 4544,
  [8528] = 4423,
  [8529] = 4028,
  [8530] = 5265,
  [8531] = 7003,
  [8532] = 5501,
  [8533] = 4651,
  [8534] = 4997,
  [8535] = 5337,
  [8536] = 7003,
  [8537] = 4028,
  [8538] = 5298,
  [8539] = 4411,
  [8540] = 5828,
  [8541] = 4720,
  [8542] = 5221,
  [8543] = 5799,
  [8544] = 4672,
  [8545] = 4720,
  [8546] = 5198,
  [8547] = 4727,
  [8548] = 4763,
  [8549] = 5807,
  [8550] = 6658,
  [8551] = 4851,
  [8552] = 5040,
  [8553] = 5286,
  [8554] = 5870,
  [8555] = 5493,
  [8556] = 5494,
  [8557] = 4365,
  [8558] = 4651,
  [8559] = 4409,
  [8560] = 4317,
  [8561] = 4763,
  [8562] = 4355,
  [8563] = 5828,
  [8564] = 5828,
  [8565] = 4446,
  [8566] = 4560,
  [8567] = 4357,
  [8568] = 5493,
  [8569] = 5296,
  [8570] = 7143,
  [8571] = 5494,
  [8572] = 4427,
  [8573] = 5501,
  [8574] = 5040,
  [8575] = 5870,
  [8576] = 5807,
  [8577] = 5493,
  [8578] = 4514,
  [8579] = 5494,
  [8580] = 4368,
  [8581] = 4314,
  [8582] = 8474,
  [8583] = 4339,
  [8584] = 5369,
  [8585] = 5372,
  [8586] = 4560,
  [8587] = 4339,
  [8588] = 4357,
  [8589] = 5784,
  [8590] = 4727,
  [8591] = 5778,
  [8592] = 4527,
  [8593] = 5337,
  [8594] = 5771,
  [8595] = 5286,
  [8596] = 8515,
  [8597] = 5429,
  [8598] = 4368,
  [8599] = 4560,
  [8600] = 5296,
  [8601] = 5265,
  [8602] = 6909,
  [8603] = 4851,
  [8604] = 5754,
  [8605] = 4357,
  [8606] = 4720,
  [8607] = 5750,
  [8608] = 5740,
  [8609] = 4763,
  [8610] = 5265,
  [8611] = 4911,
  [8612] = 5727,
  [8613] = 4672,
  [8614] = 5298,
  [8615] = 4311,
  [8616] = 4560,
  [8617] = 5198,
  [8618] = 4720,
  [8619] = 5720,
  [8620] = 5223,
  [8621] = 4727,
  [8622] = 5221,
  [8623] = 4527,
  [8624] = 5221,
  [8625] = 4720,
  [8626] = 5198,
  [8627] = 4727,
  [8628] = 5501,
  [8629] = 7143,
  [8630] = 5704,
  [8631] = 5329,
  [8632] = 4018,
  [8633] = 5694,
  [8634] = 5040,
  [8635] = 4311,
  [8636] = 4851,
  [8637] = 5330,
  [8638] = 5799,
  [8639] = 4672,
  [8640] = 5265,
  [8641] = 4514,
  [8642] = 4392,
  [8643] = 4763,
  [8644] = 5400,
  [8645] = 4672,
  [8646] = 5296,
  [8647] = 4485,
  [8648] = 4365,
  [8649] = 4851,
  [8650] = 4018,
  [8651] = 4672,
  [8652] = 5337,
  [8653] = 4672,
  [8654] = 4651,
  [8655] = 4018,
  [8656] = 4311,
  [8657] = 4352,
  [8658] = 4028,
  [8659] = 4485,
  [8660] = 4406,
  [8661] = 4018,
  [8662] = 4446,
  [8663] = 5198,
  [8664] = 5105,
  [8665] = 4651,
  [8666] = 4911,
  [8667] = 4651,
  [8668] = 5722,
  [8669] = 5298,
  [8670] = 4427,
  [8671] = 4911,
  [8672] = 4317,
  [8673] = 4028,
  [8674] = 4018,
  [8675] = 4409,
  [8676] = 5799,
  [8677] = 4411,
  [8678] = 4314,
  [8679] = 4851,
  [8680] = 4527,
  [8681] = 5967,
  [8682] = 4544,
  [8683] = 4317,
  [8684] = 5105,
  [8685] = 8685,
  [8686] = 4560,
  [8687] = 5970,
  [8688] = 5372,
  [8689] = 4763,
  [8690] = 5369,
  [8691] = 4423,
  [8692] = 4381,
  [8693] = 5221,
  [8694] = 5198,
  [8695] = 6006,
  [8696] = 5799,
  [8697] = 8697,
  [8698] = 5501,
  [8699] = 4911,
  [8700] = 5221,
  [8701] = 4727,
  [8702] = 4514,
  [8703] = 7436,
  [8704] = 7437,
  [8705] = 4720,
  [8706] = 7441,
  [8707] = 4317,
  [8708] = 5974,
  [8709] = 5744,
  [8710] = 5493,
  [8711] = 5494,
  [8712] = 5286,
  [8713] = 4028,
  [8714] = 4409,
  [8715] = 4311,
  [8716] = 5265,
  [8717] = 4427,
  [8718] = 4560,
  [8719] = 4446,
  [8720] = 5223,
  [8721] = 4355,
  [8722] = 4763,
  [8723] = 4365,
  [8724] = 4514,
  [8725] = 5298,
  [8726] = 4028,
  [8727] = 6552,
  [8728] = 5286,
  [8729] = 4527,
  [8730] = 5493,
  [8731] = 4485,
  [8732] = 4381,
  [8733] = 5494,
  [8734] = 5296,
  [8735] = 4997,
  [8736] = 5298,
  [8737] = 4911,
  [8738] = 6006,
  [8739] = 5337,
  [8740] = 4028,
  [8741] = 5040,
  [8742] = 4411,
  [8743] = 4199,
  [8744] = 4279,
  [8745] = 4273,
  [8746] = 5967,
  [8747] = 4281,
  [8748] = 5223,
  [8749] = 5994,
  [8750] = 4358,
  [8751] = 5986,
  [8752] = 4028,
  [8753] = 5996,
  [8754] = 4430,
  [8755] = 4911,
  [8756] = 4997,
  [8757] = 6909,
  [8758] = 4666,
  [8759] = 7436,
  [8760] = 7437,
  [8761] = 7003,
  [8762] = 7441,
  [8763] = 5105,
  [8764] = 4727,
  [8765] = 4357,
  [8766] = 5400,
  [8767] = 4311,
  [8768] = 4411,
  [8769] = 4720,
  [8770] = 5386,
  [8771] = 5330,
  [8772] = 5329,
  [8773] = 5329,
  [8774] = 5362,
  [8775] = 5372,
  [8776] = 5330,
  [8777] = 5369,
  [8778] = 5286,
  [8779] = 5040,
  [8780] = 5744,
  [8781] = 5400,
  [8782] = 5986,
  [8783] = 5040,
  [8784] = 5386,
  [8785] = 4427,
  [8786] = 5337,
  [8787] = 4372,
  [8788] = 4337,
  [8789] = 4446,
  [8790] = 4311,
  [8791] = 4339,
  [8792] = 5386,
  [8793] = 4199,
  [8794] = 6552,
  [8795] = 4381,
  [8796] = 4911,
  [8797] = 4544,
  [8798] = 4365,
  [8799] = 4485,
  [8800] = 4544,
  [8801] = 4427,
  [8802] = 8802,
  [8803] = 8803,
  [8804] = 4807,
  [8805] = 4720,
  [8806] = 4446,
  [8807] = 4901,
  [8808] = 5362,
  [8809] = 5296,
  [8810] = 5040,
  [8811] = 4409,
  [8812] = 5040,
  [8813] = 4727,
  [8814] = 4365,
  [8815] = 4427,
  [8816] = 5722,
  [8817] = 4911,
  [8818] = 5501,
  [8819] = 5040,
  [8820] = 4368,
  [8821] = 4358,
  [8822] = 4446,
  [8823] = 4763,
  [8824] = 4409,
  [8825] = 4763,
  [8826] = 8826,
  [8827] = 8827,
  [8828] = 5265,
  [8829] = 8829,
  [8830] = 4018,
  [8831] = 4851,
  [8832] = 8832,
  [8833] = 4527,
  [8834] = 5298,
  [8835] = 8835,
  [8836] = 8836,
  [8837] = 5040,
  [8838] = 8838,
  [8839] = 8839,
  [8840] = 4727,
  [8841] = 4358,
  [8842] = 4427,
  [8843] = 4018,
  [8844] = 5974,
  [8845] = 6658,
  [8846] = 4560,
  [8847] = 5754,
  [8848] = 4368,
  [8849] = 4763,
  [8850] = 5221,
  [8851] = 5198,
  [8852] = 4446,
  [8853] = 5970,
  [8854] = 4392,
  [8855] = 5286,
  [8856] = 4409,
  [8857] = 8857,
  [8858] = 4317,
  [8859] = 4352,
  [8860] = 4534,
  [8861] = 4727,
  [8862] = 5362,
  [8863] = 5040,
  [8864] = 4406,
  [8865] = 4720,
  [8866] = 5040,
  [8867] = 4720,
  [8868] = 5221,
  [8869] = 4365,
  [8870] = 5198,
  [8871] = 4423,
  [8872] = 4392,
  [8873] = 4514,
  [8874] = 4423,
  [8875] = 8515,
  [8876] = 7143,
  [8877] = 4357,
  [8878] = 8878,
  [8879] = 4381,
  [8880] = 8880,
  [8881] = 4851,
  [8882] = 5337,
  [8883] = 4409,
  [8884] = 4365,
  [8885] = 5265,
  [8886] = 4430,
  [8887] = 5493,
  [8888] = 8888,
  [8889] = 4311,
  [8890] = 5040,
  [8891] = 4851,
  [8892] = 8697,
  [8893] = 5040,
  [8894] = 4372,
  [8895] = 5362,
  [8896] = 5986,
  [8897] = 4911,
  [8898] = 5296,
  [8899] = 5298,
  [8900] = 5362,
  [8901] = 5494,
  [8902] = 5501,
  [8903] = 5337,
  [8904] = 4314,
  [8905] = 4339,
  [8906] = 8474,
  [8907] = 4997,
  [8908] = 5296,
  [8909] = 4851,
  [8910] = 4560,
  [8911] = 4485,
  [8912] = 5994,
  [8913] = 5198,
  [8914] = 4199,
  [8915] = 8697,
  [8916] = 5996,
  [8917] = 4406,
  [8918] = 4485,
  [8919] = 8802,
  [8920] = 4317,
  [8921] = 5221,
  [8922] = 4901,
  [8923] = 5493,
  [8924] = 5040,
  [8925] = 6006,
  [8926] = 5494,
  [8927] = 4352,
  [8928] = 5265,
  [8929] = 4485,
  [8930] = 7003,
  [8931] = 4423,
  [8932] = 5501,
  [8933] = 8933,
  [8934] = 5040,
  [8935] = 8933,
  [8936] = 5501,
  [8937] = 4409,
  [8938] = 8933,
  [8939] = 4851,
  [8940] = 5494,
  [8941] = 5501,
  [8942] = 4457,
  [8943] = 5493,
  [8944] = 5198,
  [8945] = 5040,
  [8946] = 5298,
  [8947] = 4409,
  [8948] = 8802,
  [8949] = 8933,
  [8950] = 4911,
  [8951] = 5994,
  [8952] = 4911,
  [8953] = 4365,
  [8954] = 5493,
  [8955] = 5799,
  [8956] = 8933,
  [8957] = 5494,
  [8958] = 5996,
  [8959] = 8933,
  [8960] = 4544,
  [8961] = 4028,
  [8962] = 5493,
  [8963] = 5494,
  [8964] = 4365,
  [8965] = 8933,
  [8966] = 4446,
  [8967] = 4720,
  [8968] = 5286,
  [8969] = 5286,
  [8970] = 4427,
  [8971] = 5198,
  [8972] = 8933,
  [8973] = 4357,
  [8974] = 8933,
  [8975] = 5040,
  [8976] = 4028,
  [8977] = 5974,
  [8978] = 8933,
  [8979] = 5828,
  [8980] = 4720,
  [8981] = 4339,
  [8982] = 4666,
  [8983] = 8802,
  [8984] = 8933,
  [8985] = 4763,
  [8986] = 8933,
  [8987] = 4527,
  [8988] = 8802,
  [8989] = 4365,
  [8990] = 5799,
  [8991] = 7003,
  [8992] = 4489,
  [8993] = 4901,
  [8994] = 5494,
  [8995] = 5493,
  [8996] = 5221,
  [8997] = 8933,
  [8998] = 5744,
  [8999] = 4727,
  [9000] = 5223,
  [9001] = 4727,
  [9002] = 7105,
  [9003] = 5040,
  [9004] = 4997,
  [9005] = 4727,
  [9006] = 5298,
  [9007] = 5799,
  [9008] = 5799,
  [9009] = 8933,
  [9010] = 4485,
  [9011] = 4446,
  [9012] = 4720,
  [9013] = 5105,
  [9014] = 4997,
  [9015] = 8933,
  [9016] = 4720,
  [9017] = 8933,
  [9018] = 4514,
  [9019] = 5298,
  [9020] = 4544,
  [9021] = 8933,
  [9022] = 4727,
  [9023] = 4018,
  [9024] = 5265,
  [9025] = 4427,
  [9026] = 4763,
  [9027] = 9027,
  [9028] = 8933,
  [9029] = 4763,
  [9030] = 8933,
  [9031] = 5501,
  [9032] = 4763,
  [9033] = 8933,
  [9034] = 4672,
  [9035] = 5223,
  [9036] = 8933,
  [9037] = 8933,
  [9038] = 9038,
  [9039] = 8933,
  [9040] = 4427,
  [9041] = 4427,
  [9042] = 4727,
  [9043] = 5799,
  [9044] = 5221,
  [9045] = 5362,
  [9046] = 5828,
  [9047] = 4720,
  [9048] = 5694,
  [9049] = 4446,
  [9050] = 4807,
  [9051] = 8802,
  [9052] = 4727,
  [9053] = 4365,
  [9054] = 5501,
  [9055] = 4372,
  [9056] = 8933,
  [9057] = 5501,
  [9058] = 5286,
  [9059] = 8933,
  [9060] = 4720,
  [9061] = 5704,
  [9062] = 8933,
  [9063] = 4763,
  [9064] = 4368,
  [9065] = 5722,
  [9066] = 4851,
  [9067] = 8933,
  [9068] = 4651,
  [9069] = 5296,
  [9070] = 8933,
  [9071] = 5298,
  [9072] = 8933,
  [9073] = 5337,
  [9074] = 5493,
  [9075] = 5494,
  [9076] = 4851,
  [9077] = 5870,
  [9078] = 5807,
  [9079] = 5105,
  [9080] = 5296,
  [9081] = 8933,
  [9082] = 5298,
  [9083] = 8933,
  [9084] = 5870,
  [9085] = 5298,
  [9086] = 5807,
  [9087] = 8933,
  [9088] = 9088,
  [9089] = 4911,
  [9090] = 5265,
  [9091] = 8933,
  [9092] = 4357,
  [9093] = 6006,
  [9094] = 5970,
  [9095] = 4028,
  [9096] = 5799,
  [9097] = 4358,
  [9098] = 5493,
  [9099] = 5494,
  [9100] = 7143,
  [9101] = 5799,
  [9102] = 5221,
  [9103] = 8933,
  [9104] = 4018,
  [9105] = 5265,
  [9106] = 5198,
  [9107] = 5337,
  [9108] = 4392,
  [9109] = 5720,
  [9110] = 5784,
  [9111] = 4851,
  [9112] = 5369,
  [9113] = 5778,
  [9114] = 5298,
  [9115] = 4763,
  [9116] = 4446,
  [9117] = 5298,
  [9118] = 8933,
  [9119] = 5771,
  [9120] = 8933,
  [9121] = 8933,
  [9122] = 5967,
  [9123] = 8933,
  [9124] = 8933,
  [9125] = 4018,
  [9126] = 6006,
  [9127] = 4311,
  [9128] = 5372,
  [9129] = 8933,
  [9130] = 4427,
  [9131] = 4485,
  [9132] = 4352,
  [9133] = 5778,
  [9134] = 5329,
  [9135] = 5286,
  [9136] = 6909,
  [9137] = 5330,
  [9138] = 4311,
  [9139] = 4851,
  [9140] = 5040,
  [9141] = 4911,
  [9142] = 4199,
  [9143] = 7143,
  [9144] = 4357,
  [9145] = 5771,
  [9146] = 5400,
  [9147] = 8933,
  [9148] = 8802,
  [9149] = 5727,
  [9150] = 4368,
  [9151] = 8933,
  [9152] = 8802,
  [9153] = 5799,
  [9154] = 5040,
  [9155] = 5740,
  [9156] = 4406,
  [9157] = 4446,
  [9158] = 4527,
  [9159] = 8933,
  [9160] = 8802,
  [9161] = 5501,
  [9162] = 5494,
  [9163] = 5493,
  [9164] = 5429,
  [9165] = 2412,
  [9166] = 5286,
  [9167] = 5296,
  [9168] = 5986,
  [9169] = 5750,
  [9170] = 5744,
  [9171] = 8933,
  [9172] = 4381,
  [9173] = 5740,
  [9174] = 5429,
  [9175] = 5807,
  [9176] = 5501,
  [9177] = 4911,
  [9178] = 4311,
  [9179] = 4317,
  [9180] = 5986,
  [9181] = 5493,
  [9182] = 8933,
  [9183] = 5750,
  [9184] = 5494,
  [9185] = 5386,
  [9186] = 5744,
  [9187] = 8933,
  [9188] = 8933,
  [9189] = 4485,
  [9190] = 4381,
  [9191] = 5754,
  [9192] = 5298,
  [9193] = 5337,
  [9194] = 4368,
  [9195] = 5754,
  [9196] = 5828,
  [9197] = 5429,
  [9198] = 5040,
  [9199] = 4911,
  [9200] = 5296,
  [9201] = 5750,
  [9202] = 4392,
  [9203] = 5740,
  [9204] = 6658,
  [9205] = 5362,
  [9206] = 5727,
  [9207] = 5362,
  [9208] = 8933,
  [9209] = 8933,
  [9210] = 5265,
  [9211] = 5286,
  [9212] = 6658,
  [9213] = 4365,
  [9214] = 7143,
  [9215] = 4409,
  [9216] = 4851,
  [9217] = 5870,
  [9218] = 5807,
  [9219] = 5105,
  [9220] = 8933,
  [9221] = 9027,
  [9222] = 5221,
  [9223] = 5727,
  [9224] = 4514,
  [9225] = 8933,
  [9226] = 5198,
  [9227] = 8933,
  [9228] = 8933,
  [9229] = 9229,
  [9230] = 4911,
  [9231] = 5771,
  [9232] = 4720,
  [9233] = 8933,
  [9234] = 4352,
  [9235] = 5778,
  [9236] = 5744,
  [9237] = 7143,
  [9238] = 5223,
  [9239] = 4423,
  [9240] = 4423,
  [9241] = 5784,
  [9242] = 4423,
  [9243] = 8933,
  [9244] = 5784,
  [9245] = 5720,
  [9246] = 5286,
  [9247] = 4406,
  [9248] = 6552,
  [9249] = 5784,
  [9250] = 4651,
  [9251] = 5223,
  [9252] = 5778,
  [9253] = 8933,
  [9254] = 5799,
  [9255] = 5386,
  [9256] = 5799,
  [9257] = 4763,
  [9258] = 5040,
  [9259] = 5744,
  [9260] = 8933,
  [9261] = 4720,
  [9262] = 5720,
  [9263] = 4409,
  [9264] = 6006,
  [9265] = 4430,
  [9266] = 5372,
  [9267] = 4727,
  [9268] = 4406,
  [9269] = 5369,
  [9270] = 4406,
  [9271] = 4851,
  [9272] = 5722,
  [9273] = 8933,
  [9274] = 4317,
  [9275] = 5771,
  [9276] = 4352,
  [9277] = 8802,
  [9278] = 7441,
  [9279] = 4763,
  [9280] = 7437,
  [9281] = 8933,
  [9282] = 7436,
  [9283] = 4411,
  [9284] = 4430,
  [9285] = 7003,
  [9286] = 8933,
  [9287] = 4485,
  [9288] = 5286,
  [9289] = 8933,
  [9290] = 4651,
  [9291] = 5298,
  [9292] = 4352,
  [9293] = 8933,
  [9294] = 5040,
  [9295] = 6909,
  [9296] = 5198,
  [9297] = 4720,
  [9298] = 4851,
  [9299] = 5704,
  [9300] = 4901,
  [9301] = 4392,
  [9302] = 4901,
  [9303] = 5754,
  [9304] = 8933,
  [9305] = 6658,
  [9306] = 4392,
  [9307] = 5501,
  [9308] = 4672,
  [9309] = 9027,
  [9310] = 5750,
  [9311] = 5740,
  [9312] = 8933,
  [9313] = 5337,
  [9314] = 8933,
  [9315] = 4427,
  [9316] = 8933,
  [9317] = 5727,
  [9318] = 5330,
  [9319] = 8933,
  [9320] = 5296,
  [9321] = 5996,
  [9322] = 4727,
  [9323] = 5694,
  [9324] = 5337,
  [9325] = 4368,
  [9326] = 4485,
  [9327] = 5369,
  [9328] = 4446,
  [9329] = 5372,
  [9330] = 5265,
  [9331] = 5720,
  [9332] = 5722,
  [9333] = 8933,
  [9334] = 5994,
  [9335] = 4672,
  [9336] = 4672,
  [9337] = 5996,
  [9338] = 5799,
  [9339] = 5704,
  [9340] = 4560,
  [9341] = 4392,
  [9342] = 5221,
  [9343] = 7143,
  [9344] = 6006,
  [9345] = 8933,
  [9346] = 5198,
  [9347] = 4365,
  [9348] = 4514,
  [9349] = 5994,
  [9350] = 5400,
  [9351] = 5754,
  [9352] = 4028,
  [9353] = 4028,
  [9354] = 8933,
  [9355] = 4339,
  [9356] = 5704,
  [9357] = 4381,
  [9358] = 8933,
  [9359] = 4411,
  [9360] = 8933,
  [9361] = 8933,
  [9362] = 4311,
  [9363] = 4560,
  [9364] = 5694,
  [9365] = 4720,
  [9366] = 4763,
  [9367] = 5223,
  [9368] = 4018,
  [9369] = 8933,
  [9370] = 4368,
  [9371] = 5040,
  [9372] = 8933,
  [9373] = 4763,
  [9374] = 5221,
  [9375] = 8933,
  [9376] = 4727,
  [9377] = 5694,
  [9378] = 8933,
  [9379] = 4427,
  [9380] = 4720,
  [9381] = 4727,
  [9382] = 4381,
  [9383] = 8933,
  [9384] = 8933,
  [9385] = 4560,
  [9386] = 4446,
  [9387] = 5198,
  [9388] = 5105,
  [9389] = 5870,
  [9390] = 4727,
  [9391] = 7105,
  [9392] = 8933,
  [9393] = 4851,
  [9394] = 5298,
  [9395] = 5265,
  [9396] = 5296,
  [9397] = 4352,
  [9398] = 5996,
  [9399] = 4485,
  [9400] = 6006,
  [9401] = 8933,
  [9402] = 4727,
  [9403] = 8933,
  [9404] = 5337,
  [9405] = 5221,
  [9406] = 8933,
  [9407] = 8933,
  [9408] = 4314,
  [9409] = 4317,
  [9410] = 4544,
  [9411] = 8933,
  [9412] = 8933,
  [9413] = 8933,
  [9414] = 5986,
  [9415] = 8933,
  [9416] = 5105,
  [9417] = 5329,
  [9418] = 8933,
  [9419] = 4527,
  [9420] = 4018,
  [9421] = 5828,
  [9422] = 4427,
  [9423] = 5286,
  [9424] = 6658,
  [9425] = 5362,
  [9426] = 8933,
  [9427] = 4314,
  [9428] = 4365,
  [9429] = 4028,
  [9430] = 4406,
  [9431] = 8685,
  [9432] = 4018,
  [9433] = 5974,
  [9434] = 5386,
  [9435] = 5722,
  [9436] = 5994,
  [9437] = 8933,
  [9438] = 4446,
  [9439] = 4720,
  [9440] = 5265,
  [9441] = 4560,
  [9442] = 4358,
  [9443] = 5501,
  [9444] = 8933,
  [9445] = 5362,
  [9446] = 8933,
  [9447] = 4544,
  [9448] = 8933,
  [9449] = 4409,
  [9450] = 5986,
  [9451] = 4365,
  [9452] = 5286,
  [9453] = 8933,
  [9454] = 5286,
  [9455] = 6552,
  [9456] = 8933,
  [9457] = 4199,
  [9458] = 8933,
  [9459] = 4763,
  [9460] = 5722,
  [9461] = 4028,
  [9462] = 5970,
  [9463] = 5362,
  [9464] = 7143,
  [9465] = 5286,
  [9466] = 4763,
  [9467] = 4423,
  [9468] = 4018,
  [9469] = 8933,
  [9470] = 5967,
  [9471] = 4560,
  [9472] = 5198,
  [9473] = 6552,
  [9474] = 4446,
  [9475] = 4357,
  [9476] = 4651,
  [9477] = 5386,
  [9478] = 4365,
  [9479] = 5986,
  [9480] = 5221,
  [9481] = 4311,
  [9482] = 7003,
  [9483] = 8933,
  [9484] = 5298,
  [9485] = 4485,
  [9486] = 5296,
  [9487] = 8933,
  [9488] = 8933,
  [9489] = 4427,
  [9490] = 5337,
  [9491] = 5400,
  [9492] = 4911,
  [9493] = 8933,
  [9494] = 5494,
  [9495] = 5296,
  [9496] = 5493,
  [9497] = 5493,
  [9498] = 4199,
  [9499] = 5967,
  [9500] = 4311,
  [9501] = 5265,
  [9502] = 6552,
  [9503] = 5494,
  [9504] = 8933,
  [9505] = 5265,
  [9506] = 5372,
  [9507] = 6658,
  [9508] = 5198,
  [9509] = 4720,
  [9510] = 5221,
  [9511] = 4485,
  [9512] = 5286,
  [9513] = 8685,
  [9514] = 5198,
  [9515] = 8933,
  [9516] = 5744,
  [9517] = 5221,
  [9518] = 4381,
  [9519] = 5501,
  [9520] = 4727,
  [9521] = 5296,
  [9522] = 4357,
  [9523] = 8933,
  [9524] = 5974,
  [9525] = 5974,
  [9526] = 4311,
  [9527] = 8933,
  [9528] = 8933,
  [9529] = 8933,
  [9530] = 4911,
  [9531] = 8933,
  [9532] = 4911,
  [9533] = 4317,
  [9534] = 5970,
  [9535] = 4028,
  [9536] = 5337,
  [9537] = 4317,
  [9538] = 8933,
  [9539] = 5337,
  [9540] = 8933,
  [9541] = 5265,
  [9542] = 4018,
  [9543] = 8933,
  [9544] = 8933,
  [9545] = 4763,
  [9546] = 5298,
  [9547] = 8933,
  [9548] = 5286,
  [9549] = 5970,
  [9550] = 5722,
  [9551] = 4651,
  [9552] = 5493,
  [9553] = 5494,
  [9554] = 4911,
  [9555] = 5330,
  [9556] = 4651,
  [9557] = 5329,
  [9558] = 8933,
  [9559] = 8933,
  [9560] = 8802,
  [9561] = 4851,
  [9562] = 5337,
  [9563] = 8933,
  [9564] = 4672,
  [9565] = 7003,
  [9566] = 4672,
  [9567] = 5362,
  [9568] = 7003,
  [9569] = 5967,
  [9570] = 4485,
  [9571] = 8933,
  [9572] = 5296,
  [9573] = 4851,
  [9574] = 5369,
  [9575] = 5372,
  [9576] = 8933,
  [9577] = 5369,
  [9578] = 5298,
  [9579] = 9579,
  [9580] = 4851,
  [9581] = 4381,
  [9582] = 8802,
  [9583] = 5198,
  [9584] = 4357,
  [9585] = 6006,
  [9586] = 4365,
  [9587] = 4423,
  [9588] = 5722,
  [9589] = 5221,
  [9590] = 5298,
  [9591] = 4427,
  [9592] = 5040,
  [9593] = 4406,
  [9594] = 4911,
  [9595] = 4720,
  [9596] = 4352,
  [9597] = 5722,
  [9598] = 5265,
  [9599] = 5996,
  [9600] = 4720,
  [9601] = 4392,
  [9602] = 4446,
  [9603] = 5828,
  [9604] = 5994,
  [9605] = 4368,
  [9606] = 5967,
  [9607] = 5296,
  [9608] = 5298,
  [9609] = 5337,
  [9610] = 7143,
  [9611] = 4727,
  [9612] = 4727,
  [9613] = 5970,
  [9614] = 5286,
  [9615] = 5105,
  [9616] = 7105,
  [9617] = 4018,
  [9618] = 4028,
  [9619] = 4911,
  [9620] = 6658,
  [9621] = 5727,
  [9622] = 5870,
  [9623] = 6658,
  [9624] = 4018,
  [9625] = 4018,
  [9626] = 4317,
  [9627] = 5386,
  [9628] = 5722,
  [9629] = 4028,
  [9630] = 5494,
  [9631] = 5807,
  [9632] = 4028,
  [9633] = 5493,
  [9634] = 5286,
  [9635] = 5286,
  [9636] = 5105,
  [9637] = 5784,
  [9638] = 5974,
  [9639] = 5986,
  [9640] = 5494,
  [9641] = 5493,
  [9642] = 5223,
  [9643] = 5400,
  [9644] = 5986,
  [9645] = 5744,
  [9646] = 5362,
  [9647] = 9579,
  [9648] = 9579,
  [9649] = 4763,
  [9650] = 5778,
  [9651] = 4851,
  [9652] = 4018,
  [9653] = 7143,
  [9654] = 4485,
  [9655] = 4560,
  [9656] = 5501,
  [9657] = 5286,
  [9658] = 5771,
  [9659] = 4028,
  [9660] = 4560,
  [9661] = 5974,
  [9662] = 5744,
  [9663] = 5986,
  [9664] = 5223,
  [9665] = 9579,
  [9666] = 5754,
  [9667] = 5744,
  [9668] = 5750,
  [9669] = 5337,
  [9670] = 5740,
  [9671] = 5720,
  [9672] = 7003,
  [9673] = 8685,
  [9674] = 5296,
  [9675] = 6006,
  [9676] = 5337,
  [9677] = 5298,
  [9678] = 5501,
  [9679] = 5265,
  [9680] = 5369,
  [9681] = 5372,
  [9682] = 5704,
  [9683] = 5694,
  [9684] = 5105,
  [9685] = 5362,
  [9686] = 6909,
  [9687] = 8802,
  [9688] = 5221,
  [9689] = 4672,
  [9690] = 5296,
  [9691] = 5501,
  [9692] = 5198,
  [9693] = 6006,
  [9694] = 5799,
  [9695] = 4672,
  [9696] = 5970,
  [9697] = 5722,
  [9698] = 5337,
  [9699] = 4763,
  [9700] = 4365,
  [9701] = 5828,
  [9702] = 4651,
  [9703] = 5296,
  [9704] = 5493,
  [9705] = 5494,
  [9706] = 4527,
  [9707] = 5994,
  [9708] = 5265,
  [9709] = 9579,
  [9710] = 5967,
  [9711] = 5967,
  [9712] = 5996,
  [9713] = 4028,
  [9714] = 4514,
  [9715] = 4911,
  [9716] = 6909,
  [9717] = 5221,
  [9718] = 5970,
  [9719] = 8685,
  [9720] = 5870,
  [9721] = 5198,
  [9722] = 5807,
  [9723] = 5799,
  [9724] = 5501,
  [9725] = 5298,
  [9726] = 5974,
  [9727] = 7143,
  [9728] = 4446,
  [9729] = 5784,
  [9730] = 5744,
  [9731] = 5778,
  [9732] = 9579,
  [9733] = 5771,
  [9734] = 4427,
  [9735] = 5223,
  [9736] = 7003,
  [9737] = 2412,
  [9738] = 4409,
  [9739] = 5493,
  [9740] = 7105,
  [9741] = 5494,
  [9742] = 5298,
  [9743] = 4028,
  [9744] = 4018,
  [9745] = 4651,
  [9746] = 6658,
  [9747] = 5429,
  [9748] = 5754,
  [9749] = 5298,
  [9750] = 5265,
  [9751] = 4018,
  [9752] = 5362,
  [9753] = 7003,
  [9754] = 5994,
  [9755] = 4028,
  [9756] = 9579,
  [9757] = 5750,
  [9758] = 5740,
  [9759] = 5329,
  [9760] = 5330,
  [9761] = 4018,
  [9762] = 5996,
  [9763] = 5727,
  [9764] = 9579,
  [9765] = 4028,
  [9766] = 5720,
  [9767] = 4672,
  [9768] = 5372,
  [9769] = 4485,
  [9770] = 5369,
  [9771] = 4544,
  [9772] = 5704,
  [9773] = 4851,
  [9774] = 7105,
  [9775] = 8802,
  [9776] = 5694,
  [9777] = 5996,
  [9778] = 4851,
  [9779] = 5221,
  [9780] = 4651,
  [9781] = 5994,
  [9782] = 4514,
  [9783] = 8685,
  [9784] = 5386,
  [9785] = 4527,
  [9786] = 6909,
  [9787] = 5369,
  [9788] = 9579,
  [9789] = 4720,
  [9790] = 9579,
  [9791] = 5799,
  [9792] = 5799,
  [9793] = 5722,
  [9794] = 5337,
  [9795] = 5372,
  [9796] = 4911,
  [9797] = 5298,
  [9798] = 5296,
  [9799] = 5771,
  [9800] = 4727,
  [9801] = 5369,
  [9802] = 5298,
  [9803] = 4544,
  [9804] = 4911,
  [9805] = 5501,
  [9806] = 4485,
  [9807] = 5501,
  [9808] = 5974,
  [9809] = 4199,
  [9810] = 5040,
  [9811] = 5198,
  [9812] = 5221,
  [9813] = 8802,
  [9814] = 9579,
  [9815] = 5198,
  [9816] = 4199,
  [9817] = 5501,
  [9818] = 6552,
  [9819] = 4544,
  [9820] = 5493,
  [9821] = 5494,
  [9822] = 4911,
  [9823] = 7003,
  [9824] = 5986,
  [9825] = 5493,
  [9826] = 6552,
  [9827] = 4485,
  [9828] = 7143,
  [9829] = 5265,
  [9830] = 5494,
  [9831] = 5265,
  [9832] = 5286,
  [9833] = 6658,
  [9834] = 8802,
  [9835] = 5970,
  [9836] = 5967,
  [9837] = 5221,
  [9838] = 6909,
  [9839] = 5198,
  [9840] = 5040,
  [9841] = 4365,
  [9842] = 9579,
  [9843] = 8802,
  [9844] = 5296,
  [9845] = 5493,
  [9846] = 4560,
  [9847] = 5799,
  [9848] = 5494,
  [9849] = 4851,
  [9850] = 6909,
  [9851] = 5286,
  [9852] = 5799,
  [9853] = 5501,
  [9854] = 4446,
  [9855] = 5372,
  [9856] = 5040,
  [9857] = 6006,
  [9858] = 5337,
  [9859] = 5286,
  [9860] = 8802,
  [9861] = 4427,
  [9862] = 5744,
  [9863] = 8802,
  [9864] = 5799,
  [9865] = 4028,
  [9866] = 5298,
  [9867] = 5828,
  [9868] = 8802,
  [9869] = 7105,
  [9870] = 7105,
  [9871] = 5501,
  [9872] = 5286,
  [9873] = 6552,
  [9874] = 5105,
  [9875] = 9579,
  [9876] = 4851,
  [9877] = 5493,
  [9878] = 4763,
  [9879] = 5494,
  [9880] = 5493,
  [9881] = 5494,
  [9882] = 4018,
  [9883] = 4763,
  [9884] = 6552,
  [9885] = 5298,
  [9886] = 5040,
  [9887] = 5694,
  [9888] = 5722,
  [9889] = 4720,
  [9890] = 7105,
  [9891] = 4311,
  [9892] = 4028,
  [9893] = 5223,
  [9894] = 4427,
  [9895] = 9579,
  [9896] = 5754,
  [9897] = 4446,
  [9898] = 5799,
  [9899] = 5286,
  [9900] = 5799,
  [9901] = 4427,
  [9902] = 4446,
  [9903] = 4365,
  [9904] = 4365,
  [9905] = 4560,
  [9906] = 5704,
  [9907] = 4720,
  [9908] = 4851,
  [9909] = 9909,
  [9910] = 5369,
  [9911] = 4727,
  [9912] = 4763,
  [9913] = 7143,
  [9914] = 5870,
  [9915] = 5298,
  [9916] = 9579,
  [9917] = 9917,
  [9918] = 4720,
  [9919] = 4727,
  [9920] = 9920,
  [9921] = 4763,
  [9922] = 5807,
  [9923] = 4727,
  [9924] = 5372,
  [9925] = 9925,
  [9926] = 4018,
  [9927] = 5720,
  [9928] = 4911,
  [9929] = 9929,
  [9930] = 9930,
  [9931] = 5727,
  [9932] = 5740,
  [9933] = 5750,
  [9934] = 9934,
  [9935] = 5223,
  [9936] = 4485,
  [9937] = 9579,
  [9938] = 5754,
  [9939] = 4911,
  [9940] = 4544,
  [9941] = 4727,
  [9942] = 5429,
  [9943] = 9229,
  [9944] = 5198,
  [9945] = 7003,
  [9946] = 5494,
  [9947] = 5493,
  [9948] = 5722,
  [9949] = 4763,
  [9950] = 5494,
  [9951] = 5744,
  [9952] = 5754,
  [9953] = 5771,
  [9954] = 5337,
  [9955] = 5778,
  [9956] = 7143,
  [9957] = 9579,
  [9958] = 9958,
  [9959] = 4651,
  [9960] = 5493,
  [9961] = 9961,
  [9962] = 5694,
  [9963] = 4997,
  [9964] = 7003,
  [9965] = 8802,
  [9966] = 7143,
  [9967] = 5221,
  [9968] = 5704,
  [9969] = 5784,
  [9970] = 4672,
  [9971] = 5040,
  [9972] = 9579,
  [9973] = 5720,
  [9974] = 5784,
  [9975] = 5265,
  [9976] = 5744,
  [9977] = 5501,
  [9978] = 5105,
  [9979] = 8802,
  [9980] = 4485,
  [9981] = 7003,
  [9982] = 5727,
  [9983] = 5799,
  [9984] = 5040,
  [9985] = 4851,
  [9986] = 5807,
  [9987] = 5740,
  [9988] = 8802,
  [9989] = 5870,
  [9990] = 5778,
  [9991] = 5750,
  [9992] = 5362,
  [9993] = 5286,
  [9994] = 5296,
  [9995] = 5286,
  [9996] = 4720,
  [9997] = 5362,
  [9998] = 5828,
  [9999] = 5501,
  [10000] = 5040,
  [10001] = 10001,
  [10002] = 4727,
  [10003] = 4028,
  [10004] = 5694,
  [10005] = 10005,
  [10006] = 6909,
  [10007] = 6658,
  [10008] = 5198,
  [10009] = 4317,
  [10010] = 4666,
  [10011] = 5722,
  [10012] = 7003,
  [10013] = 4314,
  [10014] = 7143,
  [10015] = 4851,
  [10016] = 5337,
  [10017] = 5722,
  [10018] = 5296,
  [10019] = 5337,
  [10020] = 8685,
  [10021] = 4534,
  [10022] = 4411,
  [10023] = 4357,
  [10024] = 4534,
  [10025] = 5372,
  [10026] = 5040,
  [10027] = 4851,
  [10028] = 4381,
  [10029] = 6552,
  [10030] = 4534,
  [10031] = 5265,
  [10032] = 4851,
  [10033] = 8802,
  [10034] = 4392,
  [10035] = 5967,
  [10036] = 5221,
  [10037] = 4534,
  [10038] = 5221,
  [10039] = 5296,
  [10040] = 5970,
  [10041] = 7003,
  [10042] = 7003,
  [10043] = 7143,
  [10044] = 5337,
  [10045] = 7143,
  [10046] = 5704,
  [10047] = 4534,
  [10048] = 10048,
  [10049] = 4763,
  [10050] = 4544,
  [10051] = 6552,
  [10052] = 4534,
  [10053] = 5369,
  [10054] = 6006,
  [10055] = 10055,
  [10056] = 4720,
  [10057] = 5198,
  [10058] = 4534,
  [10059] = 4485,
  [10060] = 5286,
  [10061] = 4406,
  [10062] = 5265,
  [10063] = 5744,
  [10064] = 4534,
  [10065] = 5265,
  [10066] = 6552,
  [10067] = 7143,
  [10068] = 5296,
  [10069] = 4534,
  [10070] = 5720,
  [10071] = 4911,
  [10072] = 5286,
  [10073] = 4485,
  [10074] = 4534,
  [10075] = 5744,
  [10076] = 4534,
  [10077] = 5286,
  [10078] = 5727,
  [10079] = 4368,
  [10080] = 4534,
  [10081] = 4018,
  [10082] = 5744,
  [10083] = 8802,
  [10084] = 5221,
  [10085] = 8802,
  [10086] = 4534,
  [10087] = 10087,
  [10088] = 5494,
  [10089] = 5740,
  [10090] = 4911,
  [10091] = 10087,
  [10092] = 7143,
  [10093] = 5750,
  [10094] = 5493,
  [10095] = 5296,
  [10096] = 5337,
  [10097] = 5828,
  [10098] = 5494,
  [10099] = 5494,
  [10100] = 5493,
  [10101] = 5754,
  [10102] = 5265,
  [10103] = 5501,
  [10104] = 5986,
  [10105] = 8802,
  [10106] = 5771,
  [10107] = 4763,
  [10108] = 8685,
  [10109] = 5778,
  [10110] = 4727,
  [10111] = 5221,
  [10112] = 4534,
  [10113] = 4720,
  [10114] = 6658,
  [10115] = 7143,
  [10116] = 5974,
  [10117] = 5337,
  [10118] = 10118,
  [10119] = 10119,
  [10120] = 4534,
  [10121] = 4763,
  [10122] = 4534,
  [10123] = 7003,
  [10124] = 4727,
  [10125] = 5784,
  [10126] = 5799,
  [10127] = 4720,
  [10128] = 5296,
  [10129] = 5198,
  [10130] = 10005,
  [10131] = 8685,
  [10132] = 5198,
  [10133] = 5494,
  [10134] = 10048,
  [10135] = 5493,
  [10136] = 5501,
  [10137] = 4028,
  [10138] = 5494,
  [10139] = 5493,
  [10140] = 4423,
  [10141] = 5994,
  [10142] = 5807,
  [10143] = 4534,
  [10144] = 5870,
  [10145] = 5986,
  [10146] = 4672,
  [10147] = 5996,
  [10148] = 5799,
  [10149] = 10055,
  [10150] = 4446,
  [10151] = 6552,
  [10152] = 7003,
  [10153] = 5494,
  [10154] = 5501,
  [10155] = 5493,
  [10156] = 4534,
  [10157] = 4339,
  [10158] = 5799,
  [10159] = 5265,
  [10160] = 10160,
  [10161] = 5286,
  [10162] = 5828,
  [10163] = 5286,
  [10164] = 4352,
  [10165] = 5198,
  [10166] = 10160,
  [10167] = 5221,
  [10168] = 7003,
  [10169] = 5501,
  [10170] = 5221,
  [10171] = 5870,
  [10172] = 5362,
  [10173] = 5265,
  [10174] = 5362,
  [10175] = 5722,
  [10176] = 5296,
  [10177] = 5807,
  [10178] = 5221,
  [10179] = 5799,
  [10180] = 5799,
  [10181] = 5501,
  [10182] = 5493,
  [10183] = 4651,
  [10184] = 5337,
  [10185] = 6006,
  [10186] = 5198,
  [10187] = 5337,
  [10188] = 5298,
  [10189] = 5298,
  [10190] = 10190,
  [10191] = 5298,
  [10192] = 8802,
  [10193] = 5296,
  [10194] = 10048,
  [10195] = 5494,
  [10196] = 10055,
  [10197] = 5493,
  [10198] = 10198,
  [10199] = 5265,
  [10200] = 10200,
  [10201] = 4534,
  [10202] = 4018,
  [10203] = 10087,
  [10204] = 7143,
  [10205] = 4534,
  [10206] = 6909,
  [10207] = 5265,
  [10208] = 5362,
  [10209] = 5198,
  [10210] = 10005,
  [10211] = 5337,
  [10212] = 5221,
  [10213] = 7003,
  [10214] = 5362,
  [10215] = 5286,
  [10216] = 4534,
  [10217] = 8802,
  [10218] = 5362,
  [10219] = 5501,
  [10220] = 5501,
  [10221] = 7105,
  [10222] = 4365,
  [10223] = 8802,
  [10224] = 5298,
  [10225] = 5296,
  [10226] = 5265,
  [10227] = 4028,
  [10228] = 5744,
  [10229] = 5221,
  [10230] = 6909,
  [10231] = 5223,
  [10232] = 5298,
  [10233] = 5105,
  [10234] = 5722,
  [10235] = 7003,
  [10236] = 7003,
  [10237] = 5493,
  [10238] = 4851,
  [10239] = 4365,
  [10240] = 4427,
  [10241] = 7003,
  [10242] = 5265,
  [10243] = 5105,
  [10244] = 5494,
  [10245] = 10087,
  [10246] = 5784,
  [10247] = 4534,
  [10248] = 5494,
  [10249] = 5493,
  [10250] = 5493,
  [10251] = 5494,
  [10252] = 5501,
  [10253] = 5221,
  [10254] = 6658,
  [10255] = 10005,
  [10256] = 5286,
  [10257] = 8802,
  [10258] = 5198,
  [10259] = 10048,
  [10260] = 7105,
  [10261] = 5298,
  [10262] = 6909,
  [10263] = 4018,
  [10264] = 7143,
  [10265] = 4427,
  [10266] = 5501,
  [10267] = 7003,
  [10268] = 5223,
  [10269] = 5799,
  [10270] = 5296,
  [10271] = 4560,
  [10272] = 8802,
  [10273] = 5750,
  [10274] = 5799,
  [10275] = 4018,
  [10276] = 5198,
  [10277] = 5198,
  [10278] = 5494,
  [10279] = 10055,
  [10280] = 5501,
  [10281] = 5286,
  [10282] = 5296,
  [10283] = 5778,
  [10284] = 5198,
  [10285] = 5298,
  [10286] = 4028,
  [10287] = 5771,
  [10288] = 4018,
  [10289] = 8802,
  [10290] = 5221,
  [10291] = 5799,
  [10292] = 8802,
  [10293] = 5337,
  [10294] = 8802,
  [10295] = 4534,
  [10296] = 4028,
  [10297] = 4911,
  [10298] = 5996,
  [10299] = 8802,
  [10300] = 5298,
  [10301] = 10160,
  [10302] = 5337,
  [10303] = 7143,
  [10304] = 5265,
  [10305] = 5369,
  [10306] = 7143,
  [10307] = 5372,
  [10308] = 7143,
  [10309] = 5994,
  [10310] = 5223,
  [10311] = 4851,
  [10312] = 5799,
  [10313] = 4911,
  [10314] = 4028,
  [10315] = 10048,
  [10316] = 5694,
  [10317] = 5296,
  [10318] = 5754,
  [10319] = 5337,
  [10320] = 10005,
  [10321] = 4446,
  [10322] = 8802,
  [10323] = 5799,
  [10324] = 7105,
  [10325] = 5040,
  [10326] = 4427,
  [10327] = 5740,
  [10328] = 4485,
  [10329] = 5967,
  [10330] = 5501,
  [10331] = 5501,
  [10332] = 4311,
  [10333] = 5105,
  [10334] = 4018,
  [10335] = 7105,
  [10336] = 5970,
  [10337] = 5704,
  [10338] = 5494,
  [10339] = 5727,
  [10340] = 4365,
  [10341] = 5493,
  [10342] = 5369,
  [10343] = 5493,
  [10344] = 4018,
  [10345] = 5974,
  [10346] = 4446,
  [10347] = 4534,
  [10348] = 5722,
  [10349] = 4409,
  [10350] = 5372,
  [10351] = 5501,
  [10352] = 5720,
  [10353] = 5744,
  [10354] = 5493,
  [10355] = 5494,
  [10356] = 4807,
  [10357] = 5221,
  [10358] = 10358,
  [10359] = 5744,
  [10360] = 5265,
  [10361] = 10358,
  [10362] = 7143,
  [10363] = 4807,
  [10364] = 5799,
  [10365] = 6658,
  [10366] = 4851,
  [10367] = 4028,
  [10368] = 8802,
  [10369] = 7143,
  [10370] = 4018,
  [10371] = 5337,
  [10372] = 10372,
  [10373] = 4446,
  [10374] = 10374,
  [10375] = 4028,
  [10376] = 4485,
  [10377] = 7003,
  [10378] = 6909,
  [10379] = 5296,
  [10380] = 4018,
  [10381] = 4028,
  [10382] = 5722,
  [10383] = 10383,
  [10384] = 4028,
  [10385] = 7003,
  [10386] = 4018,
  [10387] = 5828,
  [10388] = 10388,
  [10389] = 8802,
  [10390] = 10390,
  [10391] = 7003,
  [10392] = 10392,
  [10393] = 5221,
  [10394] = 5967,
  [10395] = 4427,
  [10396] = 4807,
  [10397] = 4028,
  [10398] = 4365,
  [10399] = 5970,
  [10400] = 4727,
  [10401] = 5494,
  [10402] = 5870,
  [10403] = 5493,
  [10404] = 5807,
  [10405] = 10358,
  [10406] = 5198,
  [10407] = 4720,
  [10408] = 10358,
  [10409] = 4028,
  [10410] = 5221,
  [10411] = 10411,
  [10412] = 10412,
  [10413] = 10358,
  [10414] = 4018,
  [10415] = 10415,
  [10416] = 4807,
  [10417] = 10417,
  [10418] = 5501,
  [10419] = 6552,
  [10420] = 8802,
  [10421] = 7143,
  [10422] = 7105,
  [10423] = 5198,
  [10424] = 10424,
  [10425] = 5221,
  [10426] = 10426,
  [10427] = 6909,
  [10428] = 5501,
  [10429] = 5494,
  [10430] = 8685,
  [10431] = 5493,
  [10432] = 5494,
  [10433] = 7003,
  [10434] = 5493,
  [10435] = 4851,
  [10436] = 5771,
  [10437] = 5501,
  [10438] = 5265,
  [10439] = 5296,
  [10440] = 5198,
  [10441] = 10358,
  [10442] = 4807,
  [10443] = 10358,
  [10444] = 5298,
  [10445] = 5337,
  [10446] = 5974,
  [10447] = 5722,
  [10448] = 5784,
  [10449] = 5722,
  [10450] = 10450,
  [10451] = 5744,
  [10452] = 5337,
  [10453] = 5501,
  [10454] = 10358,
  [10455] = 7003,
  [10456] = 5362,
  [10457] = 5493,
  [10458] = 4807,
  [10459] = 5799,
  [10460] = 5296,
  [10461] = 5494,
  [10462] = 10383,
  [10463] = 5799,
  [10464] = 4018,
  [10465] = 10358,
  [10466] = 5799,
  [10467] = 5198,
  [10468] = 5265,
  [10469] = 6658,
  [10470] = 4851,
  [10471] = 10358,
  [10472] = 8685,
  [10473] = 8802,
  [10474] = 4807,
  [10475] = 5778,
  [10476] = 10358,
  [10477] = 5493,
  [10478] = 5494,
  [10479] = 4028,
  [10480] = 10358,
  [10481] = 5369,
  [10482] = 5372,
  [10483] = 5501,
  [10484] = 5501,
  [10485] = 5362,
  [10486] = 9917,
  [10487] = 5298,
  [10488] = 10488,
  [10489] = 5221,
  [10490] = 9920,
  [10491] = 10358,
  [10492] = 10358,
  [10493] = 5105,
  [10494] = 5799,
  [10495] = 9925,
  [10496] = 5198,
  [10497] = 5265,
  [10498] = 10426,
  [10499] = 5494,
  [10500] = 5493,
  [10501] = 5501,
  [10502] = 5337,
  [10503] = 10450,
  [10504] = 5286,
  [10505] = 4911,
  [10506] = 7143,
  [10507] = 5337,
  [10508] = 6658,
  [10509] = 5799,
  [10510] = 4763,
  [10511] = 5494,
  [10512] = 5493,
  [10513] = 8685,
  [10514] = 4727,
  [10515] = 4763,
  [10516] = 5223,
  [10517] = 5994,
  [10518] = 5265,
  [10519] = 5722,
  [10520] = 5223,
  [10521] = 4018,
  [10522] = 4911,
  [10523] = 5750,
  [10524] = 5740,
  [10525] = 5221,
  [10526] = 5198,
  [10527] = 7143,
  [10528] = 5996,
  [10529] = 5727,
  [10530] = 7143,
  [10531] = 4807,
  [10532] = 5372,
  [10533] = 10358,
  [10534] = 6552,
  [10535] = 4807,
  [10536] = 4807,
  [10537] = 5286,
  [10538] = 6909,
  [10539] = 5372,
  [10540] = 5369,
  [10541] = 7003,
  [10542] = 5501,
  [10543] = 7003,
  [10544] = 5799,
  [10545] = 4911,
  [10546] = 5362,
  [10547] = 10358,
  [10548] = 4807,
  [10549] = 10358,
  [10550] = 5040,
  [10551] = 5744,
  [10552] = 5286,
  [10553] = 4807,
  [10554] = 7003,
  [10555] = 10383,
  [10556] = 5040,
  [10557] = 5494,
  [10558] = 10358,
  [10559] = 5105,
  [10560] = 7105,
  [10561] = 7143,
  [10562] = 5493,
  [10563] = 5198,
  [10564] = 5198,
  [10565] = 10426,
  [10566] = 5265,
  [10567] = 5221,
  [10568] = 5501,
  [10569] = 5296,
  [10570] = 10358,
  [10571] = 4807,
  [10572] = 10358,
  [10573] = 5221,
  [10574] = 6658,
  [10575] = 5296,
  [10576] = 4807,
  [10577] = 5298,
  [10578] = 4807,
  [10579] = 5265,
  [10580] = 7143,
  [10581] = 5369,
  [10582] = 5286,
  [10583] = 5372,
  [10584] = 7003,
  [10585] = 5720,
  [10586] = 4720,
  [10587] = 4807,
  [10588] = 5722,
  [10589] = 5296,
  [10590] = 10358,
  [10591] = 5223,
  [10592] = 6658,
  [10593] = 4851,
  [10594] = 10358,
  [10595] = 4337,
  [10596] = 5337,
  [10597] = 4807,
  [10598] = 10358,
  [10599] = 5501,
  [10600] = 5744,
  [10601] = 8802,
  [10602] = 10358,
  [10603] = 8802,
  [10604] = 9917,
  [10605] = 4485,
  [10606] = 5223,
  [10607] = 5265,
  [10608] = 4807,
  [10609] = 4018,
  [10610] = 4807,
  [10611] = 10372,
  [10612] = 7143,
  [10613] = 9920,
  [10614] = 5493,
  [10615] = 4807,
  [10616] = 5337,
  [10617] = 5494,
  [10618] = 9925,
  [10619] = 5493,
  [10620] = 5704,
  [10621] = 5105,
  [10622] = 5296,
  [10623] = 5296,
  [10624] = 8685,
  [10625] = 5494,
  [10626] = 8802,
  [10627] = 4807,
  [10628] = 7003,
  [10629] = 4807,
  [10630] = 10450,
  [10631] = 8802,
  [10632] = 5337,
  [10633] = 5362,
  [10634] = 5296,
  [10635] = 5369,
  [10636] = 5198,
  [10637] = 5337,
  [10638] = 5221,
  [10639] = 5265,
  [10640] = 4807,
  [10641] = 8802,
  [10642] = 5799,
  [10643] = 5296,
  [10644] = 5337,
  [10645] = 7105,
  [10646] = 10374,
  [10647] = 5265,
  [10648] = 4911,
  [10649] = 7143,
  [10650] = 5694,
  [10651] = 5744,
  [10652] = 5105,
  [10653] = 5198,
  [10654] = 4018,
  [10655] = 4807,
  [10656] = 4337,
  [10657] = 10358,
  [10658] = 5221,
  [10659] = 5298,
  [10660] = 4028,
  [10661] = 5362,
  [10662] = 5799,
  [10663] = 5337,
  [10664] = 5265,
  [10665] = 5744,
  [10666] = 5221,
  [10667] = 5221,
  [10668] = 5298,
  [10669] = 5198,
  [10670] = 7003,
  [10671] = 5799,
  [10672] = 5286,
  [10673] = 5221,
  [10674] = 6909,
  [10675] = 7105,
  [10676] = 4028,
  [10677] = 4997,
  [10678] = 10390,
  [10679] = 8802,
  [10680] = 5337,
  [10681] = 5198,
  [10682] = 5493,
  [10683] = 8802,
  [10684] = 5286,
  [10685] = 7105,
  [10686] = 5198,
  [10687] = 5265,
  [10688] = 5296,
  [10689] = 5105,
  [10690] = 5501,
  [10691] = 8802,
  [10692] = 5494,
  [10693] = 5501,
  [10694] = 10694,
  [10695] = 5722,
  [10696] = 5298,
  [10697] = 5722,
  [10698] = 5493,
  [10699] = 5223,
  [10700] = 10700,
  [10701] = 4330,
  [10702] = 5337,
  [10703] = 4911,
  [10704] = 10704,
  [10705] = 8802,
  [10706] = 5493,
  [10707] = 5198,
  [10708] = 7105,
  [10709] = 5265,
  [10710] = 5722,
  [10711] = 5494,
  [10712] = 5198,
  [10713] = 5221,
  [10714] = 5040,
  [10715] = 10715,
  [10716] = 6909,
  [10717] = 10717,
  [10718] = 5493,
  [10719] = 5265,
  [10720] = 5744,
  [10721] = 5494,
  [10722] = 6909,
  [10723] = 5501,
  [10724] = 5296,
  [10725] = 8685,
  [10726] = 5799,
  [10727] = 7143,
  [10728] = 6658,
  [10729] = 5337,
  [10730] = 5501,
  [10731] = 5198,
  [10732] = 7003,
  [10733] = 5296,
  [10734] = 5221,
  [10735] = 10717,
  [10736] = 10715,
  [10737] = 5223,
  [10738] = 5198,
  [10739] = 5286,
  [10740] = 7143,
  [10741] = 7003,
  [10742] = 10742,
  [10743] = 7143,
  [10744] = 5296,
  [10745] = 5493,
  [10746] = 5494,
  [10747] = 5494,
  [10748] = 7003,
  [10749] = 8802,
  [10750] = 10750,
  [10751] = 10704,
  [10752] = 5298,
  [10753] = 10700,
  [10754] = 5221,
  [10755] = 10755,
  [10756] = 5369,
  [10757] = 5744,
  [10758] = 5494,
  [10759] = 7143,
  [10760] = 9917,
  [10761] = 7003,
  [10762] = 5372,
  [10763] = 9920,
  [10764] = 5362,
  [10765] = 5296,
  [10766] = 9925,
  [10767] = 5362,
  [10768] = 5265,
  [10769] = 10769,
  [10770] = 5105,
  [10771] = 10750,
  [10772] = 4314,
  [10773] = 5265,
  [10774] = 5501,
  [10775] = 5286,
  [10776] = 8802,
  [10777] = 5298,
  [10778] = 7003,
  [10779] = 10700,
  [10780] = 5296,
  [10781] = 10704,
  [10782] = 10782,
  [10783] = 5493,
  [10784] = 5337,
  [10785] = 10769,
  [10786] = 5337,
  [10787] = 5501,
  [10788] = 10715,
  [10789] = 10717,
  [10790] = 7105,
  [10791] = 5105,
  [10792] = 5296,
  [10793] = 5198,
  [10794] = 6909,
  [10795] = 6552,
  [10796] = 5501,
  [10797] = 5501,
  [10798] = 4330,
  [10799] = 10782,
  [10800] = 5223,
  [10801] = 5493,
  [10802] = 10717,
  [10803] = 5494,
  [10804] = 5221,
  [10805] = 10715,
  [10806] = 5501,
  [10807] = 5501,
  [10808] = 10808,
  [10809] = 5493,
  [10810] = 5494,
  [10811] = 4851,
  [10812] = 7105,
  [10813] = 5386,
  [10814] = 10742,
  [10815] = 10815,
  [10816] = 5337,
  [10817] = 5799,
  [10818] = 7143,
  [10819] = 10819,
  [10820] = 10755,
  [10821] = 5493,
  [10822] = 5494,
  [10823] = 5799,
  [10824] = 8802,
  [10825] = 8685,
  [10826] = 5296,
  [10827] = 5265,
  [10828] = 5296,
  [10829] = 5744,
  [10830] = 8685,
  [10831] = 5265,
  [10832] = 10704,
  [10833] = 10700,
  [10834] = 8685,
  [10835] = 10769,
  [10836] = 7143,
  [10837] = 10750,
  [10838] = 5369,
  [10839] = 7105,
  [10840] = 5337,
  [10841] = 5296,
  [10842] = 4337,
  [10843] = 5372,
  [10844] = 5369,
  [10845] = 5265,
  [10846] = 7143,
  [10847] = 5105,
  [10848] = 5362,
  [10849] = 5372,
  [10850] = 5221,
  [10851] = 4018,
  [10852] = 5337,
  [10853] = 7143,
  [10854] = 5372,
  [10855] = 5494,
  [10856] = 5362,
  [10857] = 5265,
  [10858] = 7003,
  [10859] = 4018,
  [10860] = 7143,
  [10861] = 5369,
  [10862] = 4028,
  [10863] = 4018,
  [10864] = 4028,
  [10865] = 5198,
  [10866] = 5337,
  [10867] = 4028,
  [10868] = 5221,
  [10869] = 4018,
  [10870] = 4018,
  [10871] = 5221,
  [10872] = 7143,
  [10873] = 7003,
  [10874] = 10874,
  [10875] = 4028,
  [10876] = 4337,
  [10877] = 7003,
  [10878] = 5198,
  [10879] = 5722,
  [10880] = 6909,
  [10881] = 5223,
  [10882] = 8802,
  [10883] = 5493,
  [10884] = 7003,
  [10885] = 10885,
  [10886] = 5722,
  [10887] = 4028,
  [10888] = 8802,
  [10889] = 5337,
  [10890] = 5494,
  [10891] = 8838,
  [10892] = 4330,
  [10893] = 5296,
  [10894] = 4337,
  [10895] = 4763,
  [10896] = 4018,
  [10897] = 5493,
  [10898] = 5223,
  [10899] = 4028,
  [10900] = 5296,
  [10901] = 8857,
  [10902] = 5265,
  [10903] = 4314,
  [10904] = 4339,
  [10905] = 4018,
  [10906] = 4018,
  [10907] = 7003,
  [10908] = 4028,
  [10909] = 7143,
  [10910] = 8685,
  [10911] = 4314,
  [10912] = 4018,
  [10913] = 10913,
  [10914] = 10914,
  [10915] = 5722,
  [10916] = 5362,
  [10917] = 4028,
  [10918] = 8839,
  [10919] = 10919,
  [10920] = 4018,
  [10921] = 5265,
  [10922] = 10922,
  [10923] = 5221,
  [10924] = 5501,
  [10925] = 8685,
  [10926] = 5337,
  [10927] = 5799,
  [10928] = 4018,
  [10929] = 8880,
  [10930] = 5265,
  [10931] = 8835,
  [10932] = 8832,
  [10933] = 5722,
  [10934] = 10934,
  [10935] = 4028,
  [10936] = 10936,
  [10937] = 8829,
  [10938] = 5501,
  [10939] = 8827,
  [10940] = 8826,
  [10941] = 5337,
  [10942] = 5494,
  [10943] = 4337,
  [10944] = 10885,
  [10945] = 5362,
  [10946] = 4337,
  [10947] = 4514,
  [10948] = 5493,
  [10949] = 8878,
  [10950] = 10950,
  [10951] = 5501,
  [10952] = 5198,
  [10953] = 5372,
  [10954] = 5296,
  [10955] = 5369,
  [10956] = 4018,
  [10957] = 5501,
  [10958] = 4028,
  [10959] = 5296,
  [10960] = 4727,
  [10961] = 10961,
  [10962] = 5198,
  [10963] = 4337,
  [10964] = 7143,
  [10965] = 5722,
  [10966] = 10966,
  [10967] = 5221,
  [10968] = 5337,
  [10969] = 8803,
  [10970] = 5198,
  [10971] = 4338,
  [10972] = 5221,
  [10973] = 10973,
  [10974] = 4311,
  [10975] = 5221,
  [10976] = 5501,
  [10977] = 8878,
  [10978] = 10978,
  [10979] = 6006,
  [10980] = 4337,
  [10981] = 10981,
  [10982] = 5296,
  [10983] = 10983,
  [10984] = 5223,
  [10985] = 4527,
  [10986] = 5744,
  [10987] = 5744,
  [10988] = 7143,
  [10989] = 5337,
  [10990] = 10990,
  [10991] = 5369,
  [10992] = 5493,
  [10993] = 5493,
  [10994] = 5494,
  [10995] = 10995,
  [10996] = 5828,
  [10997] = 7003,
  [10998] = 5493,
  [10999] = 5494,
  [11000] = 11000,
  [11001] = 7143,
  [11002] = 5372,
  [11003] = 5329,
  [11004] = 5330,
  [11005] = 10694,
  [11006] = 7143,
  [11007] = 5996,
  [11008] = 5329,
  [11009] = 7003,
  [11010] = 5330,
  [11011] = 10990,
  [11012] = 10411,
  [11013] = 5994,
  [11014] = 8829,
  [11015] = 10983,
  [11016] = 10412,
  [11017] = 5400,
  [11018] = 10415,
  [11019] = 10417,
  [11020] = 4330,
  [11021] = 10392,
  [11022] = 10961,
  [11023] = 5198,
  [11024] = 10424,
  [11025] = 11025,
  [11026] = 5369,
  [11027] = 11027,
  [11028] = 5265,
  [11029] = 5372,
  [11030] = 10978,
  [11031] = 11031,
  [11032] = 5986,
  [11033] = 10981,
  [11034] = 11034,
  [11035] = 11035,
  [11036] = 5501,
  [11037] = 5744,
  [11038] = 5744,
  [11039] = 5221,
  [11040] = 5974,
  [11041] = 10950,
  [11042] = 5105,
  [11043] = 10950,
  [11044] = 5265,
  [11045] = 5400,
  [11046] = 5754,
  [11047] = 5198,
  [11048] = 5296,
  [11049] = 10936,
  [11050] = 8826,
  [11051] = 5970,
  [11052] = 10934,
  [11053] = 5221,
  [11054] = 5400,
  [11055] = 5221,
  [11056] = 4720,
  [11057] = 5870,
  [11058] = 10885,
  [11059] = 10961,
  [11060] = 5105,
  [11061] = 4028,
  [11062] = 7003,
  [11063] = 8880,
  [11064] = 4339,
  [11065] = 11065,
  [11066] = 5807,
  [11067] = 11067,
  [11068] = 5105,
  [11069] = 11069,
  [11070] = 5330,
  [11071] = 5265,
  [11072] = 10914,
  [11073] = 10913,
  [11074] = 10983,
  [11075] = 5223,
  [11076] = 11076,
  [11077] = 8827,
  [11078] = 6909,
  [11079] = 5329,
  [11080] = 8857,
  [11081] = 5265,
  [11082] = 5799,
  [11083] = 4338,
  [11084] = 11034,
  [11085] = 5784,
  [11086] = 5967,
  [11087] = 11035,
  [11088] = 8685,
  [11089] = 5198,
  [11090] = 5296,
  [11091] = 5337,
  [11092] = 5198,
  [11093] = 5221,
  [11094] = 5105,
  [11095] = 5265,
  [11096] = 10990,
  [11097] = 5337,
  [11098] = 10983,
  [11099] = 5296,
  [11100] = 5337,
  [11101] = 10978,
  [11102] = 11102,
  [11103] = 4514,
  [11104] = 4365,
  [11105] = 5105,
  [11106] = 5778,
  [11107] = 5223,
  [11108] = 10981,
  [11109] = 4446,
  [11110] = 10411,
  [11111] = 10412,
  [11112] = 5494,
  [11113] = 11113,
  [11114] = 10995,
  [11115] = 10415,
  [11116] = 5223,
  [11117] = 10961,
  [11118] = 4314,
  [11119] = 5771,
  [11120] = 11000,
  [11121] = 11121,
  [11122] = 11122,
  [11123] = 5286,
  [11124] = 5198,
  [11125] = 4199,
  [11126] = 10417,
  [11127] = 5198,
  [11128] = 5744,
  [11129] = 5221,
  [11130] = 10392,
  [11131] = 4330,
  [11132] = 8803,
  [11133] = 11133,
  [11134] = 4427,
  [11135] = 5694,
  [11136] = 5265,
  [11137] = 5296,
  [11138] = 11138,
  [11139] = 5337,
  [11140] = 10424,
  [11141] = 8839,
  [11142] = 7003,
  [11143] = 5494,
  [11144] = 10913,
  [11145] = 10995,
  [11146] = 10914,
  [11147] = 11000,
  [11148] = 8802,
  [11149] = 5298,
  [11150] = 4527,
  [11151] = 7143,
  [11152] = 7105,
  [11153] = 5493,
  [11154] = 5369,
  [11155] = 8803,
  [11156] = 5501,
  [11157] = 5704,
  [11158] = 5750,
  [11159] = 10936,
  [11160] = 8685,
  [11161] = 5372,
  [11162] = 5722,
  [11163] = 5727,
  [11164] = 4355,
  [11165] = 10934,
  [11166] = 5372,
  [11167] = 5369,
  [11168] = 5429,
  [11169] = 5720,
  [11170] = 5494,
  [11171] = 8835,
  [11172] = 5740,
  [11173] = 8832,
  [11174] = 5493,
  [11175] = 7003,
  [11176] = 8838,
  [11177] = 5722,
  [11178] = 5337,
  [11179] = 5198,
  [11180] = 7143,
  [11181] = 4365,
  [11182] = 4446,
  [11183] = 4427,
  [11184] = 5337,
  [11185] = 10424,
  [11186] = 10392,
  [11187] = 10417,
  [11188] = 10415,
  [11189] = 5265,
  [11190] = 5296,
  [11191] = 5221,
  [11192] = 10412,
  [11193] = 10411,
  [11194] = 5265,
  [11195] = 7003,
  [11196] = 4311,
  [11197] = 11197,
  [11198] = 4339,
  [11199] = 4337,
  [11200] = 11200,
  [11201] = 4018,
  [11202] = 5337,
  [11203] = 11203,
  [11204] = 5296,
  [11205] = 5265,
  [11206] = 11206,
  [11207] = 4314,
  [11208] = 5221,
  [11209] = 5198,
  [11210] = 4317,
  [11211] = 4028,
  [11212] = 11035,
  [11213] = 11034,
  [11214] = 5362,
  [11215] = 4560,
  [11216] = 4330,
  [11217] = 4338,
  [11218] = 5337,
  [11219] = 5296,
  [11220] = 5265,
  [11221] = 5221,
  [11222] = 5198,
  [11223] = 4337,
  [11224] = 7143,
  [11225] = 4018,
  [11226] = 4365,
  [11227] = 7003,
  [11228] = 5337,
  [11229] = 4514,
  [11230] = 6552,
  [11231] = 7003,
  [11232] = 5221,
  [11233] = 4446,
  [11234] = 5296,
  [11235] = 5265,
  [11236] = 5221,
  [11237] = 5198,
  [11238] = 5362,
  [11239] = 4427,
  [11240] = 7003,
  [11241] = 11241,
  [11242] = 4527,
  [11243] = 5337,
  [11244] = 5296,
  [11245] = 5265,
  [11246] = 5221,
  [11247] = 8802,
  [11248] = 5198,
  [11249] = 8685,
  [11250] = 4430,
  [11251] = 5501,
  [11252] = 5198,
  [11253] = 5493,
  [11254] = 11254,
  [11255] = 5494,
  [11256] = 11256,
  [11257] = 4423,
  [11258] = 4028,
  [11259] = 4018,
  [11260] = 4311,
  [11261] = 4368,
  [11262] = 4392,
  [11263] = 5329,
  [11264] = 4018,
  [11265] = 5330,
  [11266] = 4352,
  [11267] = 10966,
  [11268] = 4028,
  [11269] = 4018,
  [11270] = 5400,
  [11271] = 4028,
  [11272] = 4406,
  [11273] = 7003,
  [11274] = 4357,
  [11275] = 4381,
  [11276] = 7143,
  [11277] = 4317,
  [11278] = 5501,
  [11279] = 11279,
  [11280] = 11280,
  [11281] = 11281,
  [11282] = 10808,
  [11283] = 10815,
  [11284] = 10819,
  [11285] = 5744,
  [11286] = 4028,
  [11287] = 11197,
  [11288] = 11200,
  [11289] = 11203,
  [11290] = 5493,
  [11291] = 11206,
  [11292] = 5494,
  [11293] = 11035,
  [11294] = 11034,
  [11295] = 11295,
  [11296] = 4338,
  [11297] = 5494,
  [11298] = 5493,
  [11299] = 5744,
  [11300] = 5501,
  [11301] = 5722,
  [11302] = 7143,
  [11303] = 4409,
  [11304] = 4355,
  [11305] = 11034,
  [11306] = 11035,
  [11307] = 11307,
  [11308] = 5494,
  [11309] = 11309,
  [11310] = 11310,
  [11311] = 11311,
  [11312] = 5493,
  [11313] = 4357,
  [11314] = 4018,
  [11315] = 5400,
  [11316] = 5330,
  [11317] = 5329,
  [11318] = 4337,
  [11319] = 4337,
  [11320] = 4368,
  [11321] = 5501,
  [11322] = 5996,
  [11323] = 5105,
  [11324] = 5223,
  [11325] = 5994,
  [11326] = 8803,
  [11327] = 4028,
  [11328] = 8880,
  [11329] = 4392,
  [11330] = 4028,
  [11331] = 8878,
  [11332] = 4352,
  [11333] = 4317,
  [11334] = 4430,
  [11335] = 4406,
  [11336] = 11336,
  [11337] = 5296,
  [11338] = 4018,
  [11339] = 11339,
  [11340] = 11307,
  [11341] = 5369,
  [11342] = 5372,
  [11343] = 5974,
  [11344] = 4423,
  [11345] = 8857,
  [11346] = 4409,
  [11347] = 10808,
  [11348] = 4337,
  [11349] = 4381,
  [11350] = 10815,
  [11351] = 11197,
  [11352] = 10819,
  [11353] = 8802,
  [11354] = 11206,
  [11355] = 11203,
  [11356] = 11200,
  [11357] = 4357,
  [11358] = 5970,
  [11359] = 5967,
  [11360] = 8839,
  [11361] = 8838,
  [11362] = 4527,
  [11363] = 11197,
  [11364] = 11295,
  [11365] = 5105,
  [11366] = 11200,
  [11367] = 5223,
  [11368] = 5799,
  [11369] = 11203,
  [11370] = 5369,
  [11371] = 5372,
  [11372] = 11206,
  [11373] = 4314,
  [11374] = 4514,
  [11375] = 4339,
  [11376] = 4018,
  [11377] = 8835,
  [11378] = 8832,
  [11379] = 8802,
  [11380] = 8685,
  [11381] = 8829,
  [11382] = 8827,
  [11383] = 8826,
  [11384] = 11295,
  [11385] = 4314,
  [11386] = 4028,
  [11387] = 11197,
  [11388] = 11200,
  [11389] = 11307,
  [11390] = 11203,
  [11391] = 11206,
  [11392] = 4314,
  [11393] = 8835,
  [11394] = 11394,
  [11395] = 8857,
  [11396] = 4028,
  [11397] = 11394,
  [11398] = 11398,
  [11399] = 4352,
  [11400] = 11394,
  [11401] = 11398,
  [11402] = 11394,
  [11403] = 11398,
  [11404] = 11394,
  [11405] = 11398,
  [11406] = 11394,
  [11407] = 11398,
  [11408] = 5501,
  [11409] = 11394,
  [11410] = 11398,
  [11411] = 4381,
  [11412] = 11394,
  [11413] = 4485,
  [11414] = 11414,
  [11415] = 11398,
  [11416] = 4357,
  [11417] = 5362,
  [11418] = 11394,
  [11419] = 11398,
  [11420] = 11394,
  [11421] = 4423,
  [11422] = 11398,
  [11423] = 11423,
  [11424] = 4406,
  [11425] = 11394,
  [11426] = 11398,
  [11427] = 11394,
  [11428] = 11398,
  [11429] = 11394,
  [11430] = 4352,
  [11431] = 11398,
  [11432] = 11394,
  [11433] = 11398,
  [11434] = 4018,
  [11435] = 11394,
  [11436] = 11398,
  [11437] = 4392,
  [11438] = 11394,
  [11439] = 11398,
  [11440] = 11398,
  [11441] = 11441,
  [11442] = 11394,
  [11443] = 11394,
  [11444] = 5744,
  [11445] = 10808,
  [11446] = 11446,
  [11447] = 11398,
  [11448] = 5337,
  [11449] = 11449,
  [11450] = 4368,
  [11451] = 10815,
  [11452] = 11394,
  [11453] = 5493,
  [11454] = 5494,
  [11455] = 11398,
  [11456] = 11394,
  [11457] = 11398,
  [11458] = 4330,
  [11459] = 11459,
  [11460] = 4317,
  [11461] = 4018,
  [11462] = 11398,
  [11463] = 11394,
  [11464] = 11398,
  [11465] = 10390,
  [11466] = 11394,
  [11467] = 11398,
  [11468] = 4381,
  [11469] = 11394,
  [11470] = 5265,
  [11471] = 11398,
  [11472] = 10819,
  [11473] = 11394,
  [11474] = 5296,
  [11475] = 11398,
  [11476] = 4314,
  [11477] = 11394,
  [11478] = 11398,
  [11479] = 11394,
  [11480] = 11446,
  [11481] = 11394,
  [11482] = 11398,
  [11483] = 11394,
  [11484] = 8878,
  [11485] = 5722,
  [11486] = 11441,
  [11487] = 11398,
  [11488] = 11394,
  [11489] = 11398,
  [11490] = 4311,
  [11491] = 4392,
  [11492] = 5198,
  [11493] = 11394,
  [11494] = 11398,
  [11495] = 4330,
  [11496] = 11394,
  [11497] = 11398,
  [11498] = 11498,
  [11499] = 4406,
  [11500] = 8880,
  [11501] = 11394,
  [11502] = 11398,
  [11503] = 11503,
  [11504] = 11504,
  [11505] = 11505,
  [11506] = 11394,
  [11507] = 11398,
  [11508] = 4018,
  [11509] = 5337,
  [11510] = 5296,
  [11511] = 5265,
  [11512] = 4339,
  [11513] = 11394,
  [11514] = 7143,
  [11515] = 5221,
  [11516] = 11398,
  [11517] = 5198,
  [11518] = 5337,
  [11519] = 5296,
  [11520] = 5265,
  [11521] = 11398,
  [11522] = 11394,
  [11523] = 11398,
  [11524] = 4339,
  [11525] = 5221,
  [11526] = 5198,
  [11527] = 4337,
  [11528] = 11394,
  [11529] = 4423,
  [11530] = 11530,
  [11531] = 7105,
  [11532] = 11394,
  [11533] = 4409,
  [11534] = 8839,
  [11535] = 4028,
  [11536] = 4430,
  [11537] = 8838,
  [11538] = 11398,
  [11539] = 4368,
  [11540] = 4409,
  [11541] = 4365,
  [11542] = 4446,
  [11543] = 4527,
  [11544] = 4514,
  [11545] = 4314,
  [11546] = 11398,
  [11547] = 11394,
  [11548] = 4427,
  [11549] = 4311,
  [11550] = 4028,
  [11551] = 4357,
  [11552] = 5296,
  [11553] = 11398,
  [11554] = 11394,
  [11555] = 11398,
  [11556] = 4330,
  [11557] = 11394,
  [11558] = 4018,
  [11559] = 11394,
  [11560] = 11398,
  [11561] = 4028,
  [11562] = 4314,
  [11563] = 11394,
  [11564] = 11394,
  [11565] = 4018,
  [11566] = 8832,
  [11567] = 4028,
  [11568] = 11398,
  [11569] = 4018,
  [11570] = 7003,
  [11571] = 8829,
  [11572] = 11394,
  [11573] = 11398,
  [11574] = 8827,
  [11575] = 8826,
  [11576] = 11394,
  [11577] = 4430,
  [11578] = 11394,
  [11579] = 11398,
  [11580] = 4028,
  [11581] = 11398,
  [11582] = 4527,
  [11583] = 11394,
  [11584] = 11398,
  [11585] = 4311,
  [11586] = 11394,
  [11587] = 11398,
  [11588] = 11588,
  [11589] = 4514,
  [11590] = 11590,
  [11591] = 11394,
  [11592] = 11398,
  [11593] = 11441,
  [11594] = 4337,
  [11595] = 11394,
  [11596] = 11394,
  [11597] = 11398,
  [11598] = 4485,
  [11599] = 5369,
  [11600] = 5372,
  [11601] = 4314,
  [11602] = 4330,
  [11603] = 5494,
  [11604] = 11394,
  [11605] = 5493,
  [11606] = 11398,
  [11607] = 5501,
  [11608] = 11398,
  [11609] = 11441,
  [11610] = 11398,
  [11611] = 11530,
  [11612] = 11446,
  [11613] = 5221,
  [11614] = 4339,
  [11615] = 5337,
  [11616] = 11616,
  [11617] = 11398,
  [11618] = 11398,
  [11619] = 8685,
  [11620] = 11620,
  [11621] = 11446,
  [11622] = 11394,
  [11623] = 4314,
  [11624] = 11394,
  [11625] = 4028,
  [11626] = 11398,
  [11627] = 11394,
  [11628] = 11628,
  [11629] = 7143,
  [11630] = 11630,
  [11631] = 4018,
  [11632] = 11394,
  [11633] = 11398,
  [11634] = 11394,
  [11635] = 5198,
  [11636] = 11398,
  [11637] = 11394,
  [11638] = 11398,
  [11639] = 11398,
  [11640] = 5362,
  [11641] = 4311,
  [11642] = 4314,
  [11643] = 11394,
  [11644] = 8878,
  [11645] = 11394,
  [11646] = 11398,
  [11647] = 8857,
  [11648] = 8803,
  [11649] = 11423,
  [11650] = 11398,
  [11651] = 11394,
  [11652] = 11398,
  [11653] = 11394,
  [11654] = 5223,
  [11655] = 4427,
  [11656] = 11398,
  [11657] = 4339,
  [11658] = 11394,
  [11659] = 4720,
  [11660] = 4446,
  [11661] = 11398,
  [11662] = 11394,
  [11663] = 11588,
  [11664] = 7003,
  [11665] = 11628,
  [11666] = 4365,
  [11667] = 8880,
  [11668] = 8838,
  [11669] = 11398,
  [11670] = 4727,
  [11671] = 11671,
  [11672] = 11394,
  [11673] = 5105,
  [11674] = 11446,
  [11675] = 5400,
  [11676] = 11398,
  [11677] = 11441,
  [11678] = 8835,
  [11679] = 11394,
  [11680] = 5221,
  [11681] = 5330,
  [11682] = 8832,
  [11683] = 8829,
  [11684] = 4763,
  [11685] = 5329,
  [11686] = 11398,
  [11687] = 11394,
  [11688] = 11616,
  [11689] = 11398,
  [11690] = 11394,
  [11691] = 8827,
  [11692] = 8826,
  [11693] = 11693,
  [11694] = 11398,
  [11695] = 11695,
  [11696] = 11398,
  [11697] = 11394,
  [11698] = 5265,
  [11699] = 5400,
  [11700] = 8839,
  [11701] = 4339,
  [11702] = 5330,
  [11703] = 11394,
  [11704] = 11398,
  [11705] = 11394,
  [11706] = 11398,
  [11707] = 5329,
  [11708] = 11459,
  [11709] = 11695,
  [11710] = 4317,
  [11711] = 11414,
  [11712] = 11712,
  [11713] = 11713,
  [11714] = 4560,
  [11715] = 11311,
  [11716] = 8829,
  [11717] = 4527,
  [11718] = 4527,
  [11719] = 11713,
  [11720] = 5362,
  [11721] = 8832,
  [11722] = 8835,
  [11723] = 11723,
  [11724] = 4337,
  [11725] = 5337,
  [11726] = 11726,
  [11727] = 8838,
  [11728] = 4337,
  [11729] = 11713,
  [11730] = 5400,
  [11731] = 11731,
  [11732] = 11732,
  [11733] = 11733,
  [11734] = 4314,
  [11735] = 11588,
  [11736] = 11736,
  [11737] = 4357,
  [11738] = 11713,
  [11739] = 11713,
  [11740] = 5337,
  [11741] = 4339,
  [11742] = 5296,
  [11743] = 5265,
  [11744] = 8857,
  [11745] = 8827,
  [11746] = 11746,
  [11747] = 11310,
  [11748] = 5221,
  [11749] = 11713,
  [11750] = 11414,
  [11751] = 5198,
  [11752] = 4339,
  [11753] = 4423,
  [11754] = 4544,
  [11755] = 11713,
  [11756] = 5330,
  [11757] = 4514,
  [11758] = 11758,
  [11759] = 11759,
  [11760] = 11760,
  [11761] = 5329,
  [11762] = 8878,
  [11763] = 11695,
  [11764] = 11713,
  [11765] = 8880,
  [11766] = 4368,
  [11767] = 11767,
  [11768] = 11713,
  [11769] = 5400,
  [11770] = 8826,
  [11771] = 11746,
  [11772] = 11336,
  [11773] = 4446,
  [11774] = 4514,
  [11775] = 4527,
  [11776] = 11339,
  [11777] = 4409,
  [11778] = 11778,
  [11779] = 4338,
  [11780] = 4427,
  [11781] = 4314,
  [11782] = 11713,
  [11783] = 5296,
  [11784] = 11784,
  [11785] = 11713,
  [11786] = 11628,
  [11787] = 4018,
  [11788] = 4514,
  [11789] = 11789,
  [11790] = 4311,
  [11791] = 4028,
  [11792] = 11309,
  [11793] = 4339,
  [11794] = 11713,
  [11795] = 11713,
  [11796] = 4365,
  [11797] = 4337,
  [11798] = 11616,
  [11799] = 11799,
  [11800] = 5337,
  [11801] = 11695,
  [11802] = 5362,
  [11803] = 4392,
  [11804] = 5296,
  [11805] = 5265,
  [11806] = 11806,
  [11807] = 4365,
  [11808] = 11808,
  [11809] = 11414,
  [11810] = 5967,
  [11811] = 5221,
  [11812] = 5330,
  [11813] = 11813,
  [11814] = 11814,
  [11815] = 11713,
  [11816] = 5198,
  [11817] = 11713,
  [11818] = 11616,
  [11819] = 11819,
  [11820] = 11820,
  [11821] = 8839,
  [11822] = 5994,
  [11823] = 4427,
  [11824] = 4446,
  [11825] = 11825,
  [11826] = 4338,
  [11827] = 11713,
  [11828] = 11628,
  [11829] = 5198,
  [11830] = 11713,
  [11831] = 11831,
  [11832] = 11713,
  [11833] = 11713,
  [11834] = 4357,
  [11835] = 11498,
  [11836] = 11713,
  [11837] = 5970,
  [11838] = 5221,
  [11839] = 4357,
  [11840] = 4314,
  [11841] = 11841,
  [11842] = 8826,
  [11843] = 8827,
  [11844] = 8829,
  [11845] = 11590,
  [11846] = 5362,
  [11847] = 11459,
  [11848] = 11848,
  [11849] = 11713,
  [11850] = 11850,
  [11851] = 5974,
  [11852] = 11505,
  [11853] = 4317,
  [11854] = 11713,
  [11855] = 4311,
  [11856] = 8880,
  [11857] = 8878,
  [11858] = 4851,
  [11859] = 11241,
  [11860] = 8832,
  [11861] = 4409,
  [11862] = 11713,
  [11863] = 8857,
  [11864] = 4406,
  [11865] = 11865,
  [11866] = 4317,
  [11867] = 11713,
  [11868] = 8839,
  [11869] = 8838,
  [11870] = 8803,
  [11871] = 5994,
  [11872] = 11713,
  [11873] = 4409,
  [11874] = 4485,
  [11875] = 8803,
  [11876] = 5996,
  [11877] = 4560,
  [11878] = 4352,
  [11879] = 4028,
  [11880] = 4381,
  [11881] = 4381,
  [11882] = 11695,
  [11883] = 11713,
  [11884] = 4357,
  [11885] = 4311,
  [11886] = 4423,
  [11887] = 8835,
  [11888] = 4423,
  [11889] = 4018,
  [11890] = 8835,
  [11891] = 11588,
  [11892] = 11892,
  [11893] = 4406,
  [11894] = 4311,
  [11895] = 4352,
  [11896] = 8880,
  [11897] = 4392,
  [11898] = 4427,
  [11899] = 8878,
  [11900] = 8832,
  [11901] = 11713,
  [11902] = 11254,
  [11903] = 4368,
  [11904] = 11713,
  [11905] = 8829,
  [11906] = 4427,
  [11907] = 11907,
  [11908] = 8857,
  [11909] = 4446,
  [11910] = 4365,
  [11911] = 4365,
  [11912] = 11241,
  [11913] = 11713,
  [11914] = 4485,
  [11915] = 5329,
  [11916] = 5330,
  [11917] = 5400,
  [11918] = 11918,
  [11919] = 4527,
  [11920] = 8827,
  [11921] = 8826,
  [11922] = 4339,
  [11923] = 4544,
  [11924] = 4409,
  [11925] = 5974,
  [11926] = 4337,
  [11927] = 4314,
  [11928] = 11713,
  [11929] = 4409,
  [11930] = 4446,
  [11931] = 5198,
  [11932] = 11254,
  [11933] = 5221,
  [11934] = 11279,
  [11935] = 11280,
  [11936] = 4338,
  [11937] = 5501,
  [11938] = 11938,
  [11939] = 11713,
  [11940] = 8803,
  [11941] = 5265,
  [11942] = 4446,
  [11943] = 8838,
  [11944] = 8803,
  [11945] = 11616,
  [11946] = 11713,
  [11947] = 5493,
  [11948] = 5494,
  [11949] = 8839,
  [11950] = 4427,
  [11951] = 4352,
  [11952] = 5296,
  [11953] = 4311,
  [11954] = 11954,
  [11955] = 4028,
  [11956] = 4018,
  [11957] = 11414,
  [11958] = 5337,
  [11959] = 11713,
  [11960] = 4338,
  [11961] = 8835,
  [11962] = 11713,
  [11963] = 11713,
  [11964] = 4368,
  [11965] = 8832,
  [11966] = 8829,
  [11967] = 7003,
  [11968] = 4392,
  [11969] = 8827,
  [11970] = 8826,
  [11971] = 11628,
  [11972] = 11865,
  [11973] = 5996,
  [11974] = 5400,
  [11975] = 4368,
  [11976] = 5330,
  [11977] = 4352,
  [11978] = 11713,
  [11979] = 5329,
  [11980] = 4406,
  [11981] = 11713,
  [11982] = 11982,
  [11983] = 4423,
  [11984] = 4368,
  [11985] = 11713,
  [11986] = 4355,
  [11987] = 4365,
  [11988] = 4317,
  [11989] = 4357,
  [11990] = 4392,
  [11991] = 11713,
  [11992] = 11459,
  [11993] = 11713,
  [11994] = 11713,
  [11995] = 11713,
  [11996] = 4381,
  [11997] = 4355,
  [11998] = 11998,
  [11999] = 11746,
  [12000] = 12000,
  [12001] = 11865,
  [12002] = 4514,
  [12003] = 11713,
  [12004] = 7143,
  [12005] = 11713,
  [12006] = 11713,
  [12007] = 4311,
  [12008] = 11498,
  [12009] = 5970,
  [12010] = 11713,
  [12011] = 4381,
  [12012] = 11713,
  [12013] = 5329,
  [12014] = 11713,
  [12015] = 11713,
  [12016] = 11713,
  [12017] = 4317,
  [12018] = 11713,
  [12019] = 11503,
  [12020] = 11713,
  [12021] = 11713,
  [12022] = 11713,
  [12023] = 11713,
  [12024] = 11713,
  [12025] = 4381,
  [12026] = 11713,
  [12027] = 11713,
  [12028] = 11280,
  [12029] = 11713,
  [12030] = 12030,
  [12031] = 11713,
  [12032] = 11713,
  [12033] = 4527,
  [12034] = 11309,
  [12035] = 11713,
  [12036] = 8880,
  [12037] = 11713,
  [12038] = 11713,
  [12039] = 11279,
  [12040] = 11713,
  [12041] = 11310,
  [12042] = 4392,
  [12043] = 11311,
  [12044] = 11713,
  [12045] = 8878,
  [12046] = 12046,
  [12047] = 8857,
  [12048] = 11713,
  [12049] = 5198,
  [12050] = 5221,
  [12051] = 4352,
  [12052] = 5265,
  [12053] = 11339,
  [12054] = 12054,
  [12055] = 4423,
  [12056] = 11588,
  [12057] = 5967,
  [12058] = 4406,
  [12059] = 11459,
  [12060] = 11504,
  [12061] = 5296,
  [12062] = 8838,
  [12063] = 11713,
  [12064] = 5265,
  [12065] = 11713,
  [12066] = 4317,
  [12067] = 4339,
  [12068] = 5337,
  [12069] = 11713,
  [12070] = 11449,
  [12071] = 12071,
  [12072] = 4406,
  [12073] = 11504,
  [12074] = 4514,
  [12075] = 11713,
  [12076] = 11336,
  [12077] = 8839,
  [12078] = 12078,
  [12079] = 8857,
  [12080] = 12080,
  [12081] = 11831,
  [12082] = 4381,
  [12083] = 11850,
  [12084] = 12080,
  [12085] = 5329,
  [12086] = 5967,
  [12087] = 11831,
  [12088] = 5330,
  [12089] = 12089,
  [12090] = 12080,
  [12091] = 12080,
  [12092] = 12092,
  [12093] = 12080,
  [12094] = 11025,
  [12095] = 12080,
  [12096] = 12080,
  [12097] = 4423,
  [12098] = 12080,
  [12099] = 12099,
  [12100] = 5400,
  [12101] = 12101,
  [12102] = 4527,
  [12103] = 12103,
  [12104] = 12104,
  [12105] = 4311,
  [12106] = 12106,
  [12107] = 12107,
  [12108] = 11712,
  [12109] = 4427,
  [12110] = 4527,
  [12111] = 4311,
  [12112] = 4406,
  [12113] = 4352,
  [12114] = 11712,
  [12115] = 4430,
  [12116] = 4392,
  [12117] = 4018,
  [12118] = 4368,
  [12119] = 12080,
  [12120] = 11310,
  [12121] = 4446,
  [12122] = 11819,
  [12123] = 12080,
  [12124] = 11848,
  [12125] = 11850,
  [12126] = 8803,
  [12127] = 4365,
  [12128] = 11814,
  [12129] = 4427,
  [12130] = 12080,
  [12131] = 4485,
  [12132] = 11241,
  [12133] = 4381,
  [12134] = 4514,
  [12135] = 11813,
  [12136] = 11808,
  [12137] = 4018,
  [12138] = 12080,
  [12139] = 4446,
  [12140] = 11892,
  [12141] = 12080,
  [12142] = 12142,
  [12143] = 12080,
  [12144] = 4028,
  [12145] = 12080,
  [12146] = 12146,
  [12147] = 12080,
  [12148] = 4365,
  [12149] = 11820,
  [12150] = 11789,
  [12151] = 11784,
  [12152] = 12080,
  [12153] = 12080,
  [12154] = 12080,
  [12155] = 12080,
  [12156] = 5362,
  [12157] = 12080,
  [12158] = 11938,
  [12159] = 4560,
  [12160] = 8803,
  [12161] = 11778,
  [12162] = 11767,
  [12163] = 12080,
  [12164] = 12164,
  [12165] = 11759,
  [12166] = 11758,
  [12167] = 12167,
  [12168] = 12168,
  [12169] = 12080,
  [12170] = 4018,
  [12171] = 4028,
  [12172] = 8880,
  [12173] = 8857,
  [12174] = 12080,
  [12175] = 12175,
  [12176] = 8878,
  [12177] = 12080,
  [12178] = 11065,
  [12179] = 11067,
  [12180] = 4337,
  [12181] = 12080,
  [12182] = 4423,
  [12183] = 12080,
  [12184] = 4365,
  [12185] = 4446,
  [12186] = 12092,
  [12187] = 5994,
  [12188] = 4317,
  [12189] = 12080,
  [12190] = 4406,
  [12191] = 4317,
  [12192] = 4330,
  [12193] = 12080,
  [12194] = 11825,
  [12195] = 12089,
  [12196] = 11723,
  [12197] = 8857,
  [12198] = 12092,
  [12199] = 12080,
  [12200] = 12080,
  [12201] = 11820,
  [12202] = 4317,
  [12203] = 12080,
  [12204] = 12089,
  [12205] = 12080,
  [12206] = 8839,
  [12207] = 8838,
  [12208] = 11254,
  [12209] = 4352,
  [12210] = 12080,
  [12211] = 4392,
  [12212] = 11813,
  [12213] = 12080,
  [12214] = 8835,
  [12215] = 4427,
  [12216] = 12080,
  [12217] = 8832,
  [12218] = 12218,
  [12219] = 5105,
  [12220] = 12080,
  [12221] = 12080,
  [12222] = 12107,
  [12223] = 8832,
  [12224] = 8803,
  [12225] = 4409,
  [12226] = 5223,
  [12227] = 8829,
  [12228] = 8827,
  [12229] = 8826,
  [12230] = 12080,
  [12231] = 4430,
  [12232] = 5722,
  [12233] = 4028,
  [12234] = 11113,
  [12235] = 5970,
  [12236] = 12080,
  [12237] = 11808,
  [12238] = 4317,
  [12239] = 12080,
  [12240] = 12000,
  [12241] = 11498,
  [12242] = 11726,
  [12243] = 8803,
  [12244] = 12080,
  [12245] = 4485,
  [12246] = 4381,
  [12247] = 11732,
  [12248] = 4357,
  [12249] = 4381,
  [12250] = 4423,
  [12251] = 4406,
  [12252] = 4368,
  [12253] = 11760,
  [12254] = 11789,
  [12255] = 4423,
  [12256] = 11784,
  [12257] = 5265,
  [12258] = 12080,
  [12259] = 4352,
  [12260] = 4381,
  [12261] = 4392,
  [12262] = 4368,
  [12263] = 4357,
  [12264] = 12080,
  [12265] = 8803,
  [12266] = 4337,
  [12267] = 11279,
  [12268] = 5744,
  [12269] = 12080,
  [12270] = 4406,
  [12271] = 12271,
  [12272] = 12080,
  [12273] = 12080,
  [12274] = 11280,
  [12275] = 4368,
  [12276] = 4352,
  [12277] = 12277,
  [12278] = 12080,
  [12279] = 11498,
  [12280] = 12080,
  [12281] = 12281,
  [12282] = 12080,
  [12283] = 12106,
  [12284] = 12080,
  [12285] = 11504,
  [12286] = 12080,
  [12287] = 12080,
  [12288] = 8685,
  [12289] = 12146,
  [12290] = 12290,
  [12291] = 12080,
  [12292] = 4514,
  [12293] = 12080,
  [12294] = 11767,
  [12295] = 12295,
  [12296] = 12080,
  [12297] = 5369,
  [12298] = 11892,
  [12299] = 4560,
  [12300] = 4365,
  [12301] = 11848,
  [12302] = 11825,
  [12303] = 12080,
  [12304] = 11954,
  [12305] = 12080,
  [12306] = 4514,
  [12307] = 12080,
  [12308] = 12080,
  [12309] = 12309,
  [12310] = 11806,
  [12311] = 4392,
  [12312] = 5372,
  [12313] = 8880,
  [12314] = 11759,
  [12315] = 12080,
  [12316] = 12080,
  [12317] = 4409,
  [12318] = 12080,
  [12319] = 12080,
  [12320] = 12000,
  [12321] = 4544,
  [12322] = 5996,
  [12323] = 5198,
  [12324] = 5400,
  [12325] = 8878,
  [12326] = 12080,
  [12327] = 12080,
  [12328] = 12080,
  [12329] = 12080,
  [12330] = 8839,
  [12331] = 12054,
  [12332] = 8826,
  [12333] = 11938,
  [12334] = 4527,
  [12335] = 12080,
  [12336] = 11799,
  [12337] = 12080,
  [12338] = 12030,
  [12339] = 12104,
  [12340] = 4311,
  [12341] = 4514,
  [12342] = 12080,
  [12343] = 8857,
  [12344] = 4527,
  [12345] = 12080,
  [12346] = 11998,
  [12347] = 11982,
  [12348] = 11954,
  [12349] = 8838,
  [12350] = 8838,
  [12351] = 12080,
  [12352] = 4427,
  [12353] = 4446,
  [12354] = 4365,
  [12355] = 4314,
  [12356] = 8827,
  [12357] = 4430,
  [12358] = 12080,
  [12359] = 4339,
  [12360] = 8835,
  [12361] = 12167,
  [12362] = 12218,
  [12363] = 4409,
  [12364] = 12364,
  [12365] = 12080,
  [12366] = 8829,
  [12367] = 11758,
  [12368] = 12080,
  [12369] = 8832,
  [12370] = 12175,
  [12371] = 4311,
  [12372] = 12080,
  [12373] = 8835,
  [12374] = 8829,
  [12375] = 12375,
  [12376] = 12080,
  [12377] = 12377,
  [12378] = 11982,
  [12379] = 12080,
  [12380] = 5329,
  [12381] = 12381,
  [12382] = 12080,
  [12383] = 8827,
  [12384] = 8826,
  [12385] = 5330,
  [12386] = 8878,
  [12387] = 5221,
  [12388] = 12080,
  [12389] = 5337,
  [12390] = 12080,
  [12391] = 12080,
  [12392] = 11998,
  [12393] = 12080,
  [12394] = 8838,
  [12395] = 12080,
  [12396] = 12080,
  [12397] = 8839,
  [12398] = 11814,
  [12399] = 12080,
  [12400] = 4423,
  [12401] = 12089,
  [12402] = 12377,
  [12403] = 5400,
  [12404] = 4514,
  [12405] = 11819,
  [12406] = 12104,
  [12407] = 12407,
  [12408] = 4527,
  [12409] = 12092,
  [12410] = 12309,
  [12411] = 5330,
  [12412] = 11339,
  [12413] = 12080,
  [12414] = 11336,
  [12415] = 8878,
  [12416] = 12416,
  [12417] = 4311,
  [12418] = 8835,
  [12419] = 4357,
  [12420] = 4314,
  [12421] = 12080,
  [12422] = 5296,
  [12423] = 5337,
  [12424] = 8880,
  [12425] = 8880,
  [12426] = 12080,
  [12427] = 5296,
  [12428] = 12080,
  [12429] = 4430,
  [12430] = 4337,
  [12431] = 11723,
  [12432] = 12080,
  [12433] = 12046,
  [12434] = 12030,
  [12435] = 5198,
  [12436] = 5362,
  [12437] = 4406,
  [12438] = 12080,
  [12439] = 12080,
  [12440] = 12046,
  [12441] = 12080,
  [12442] = 4339,
  [12443] = 5221,
  [12444] = 12080,
  [12445] = 12080,
  [12446] = 5400,
  [12447] = 11309,
  [12448] = 5330,
  [12449] = 12080,
  [12450] = 12080,
  [12451] = 12080,
  [12452] = 4409,
  [12453] = 8832,
  [12454] = 12454,
  [12455] = 11726,
  [12456] = 12080,
  [12457] = 12080,
  [12458] = 5265,
  [12459] = 5329,
  [12460] = 8829,
  [12461] = 12416,
  [12462] = 4330,
  [12463] = 4446,
  [12464] = 5296,
  [12465] = 11732,
  [12466] = 12377,
  [12467] = 8827,
  [12468] = 12080,
  [12469] = 12080,
  [12470] = 12470,
  [12471] = 5337,
  [12472] = 5974,
  [12473] = 12381,
  [12474] = 8826,
  [12475] = 12218,
  [12476] = 12080,
  [12477] = 12477,
  [12478] = 11504,
  [12479] = 12364,
  [12480] = 5265,
  [12481] = 12146,
  [12482] = 12080,
  [12483] = 11760,
  [12484] = 12080,
  [12485] = 11806,
  [12486] = 12486,
  [12487] = 4352,
  [12488] = 4314,
  [12489] = 4427,
  [12490] = 11311,
  [12491] = 12080,
  [12492] = 12092,
  [12493] = 12167,
  [12494] = 12080,
  [12495] = 12089,
  [12496] = 12080,
  [12497] = 12080,
  [12498] = 4544,
  [12499] = 12499,
  [12500] = 12500,
  [12501] = 4392,
  [12502] = 5329,
  [12503] = 5198,
  [12504] = 10966,
  [12505] = 5221,
  [12506] = 12080,
  [12507] = 5265,
  [12508] = 12080,
  [12509] = 5296,
  [12510] = 5221,
  [12511] = 12054,
  [12512] = 4368,
  [12513] = 8839,
  [12514] = 5337,
  [12515] = 12515,
  [12516] = 12080,
  [12517] = 4357,
  [12518] = 5198,
  [12519] = 12080,
  [12520] = 11778,
  [12521] = 12521,
  [12522] = 12080,
  [12523] = 12080,
  [12524] = 4409,
  [12525] = 12080,
  [12526] = 12526,
  [12527] = 12527,
  [12528] = 4514,
  [12529] = 12529,
  [12530] = 12530,
  [12531] = 12531,
  [12532] = 11113,
  [12533] = 4514,
  [12534] = 4527,
  [12535] = 12526,
  [12536] = 12531,
  [12537] = 12526,
  [12538] = 8857,
  [12539] = 4911,
  [12540] = 12526,
  [12541] = 12526,
  [12542] = 12529,
  [12543] = 12526,
  [12544] = 12529,
  [12545] = 12526,
  [12546] = 12546,
  [12547] = 12547,
  [12548] = 12548,
  [12549] = 12526,
  [12550] = 12550,
  [12551] = 4527,
  [12552] = 12526,
  [12553] = 12553,
  [12554] = 12529,
  [12555] = 12555,
  [12556] = 12556,
  [12557] = 11067,
  [12558] = 11065,
  [12559] = 12529,
  [12560] = 12526,
  [12561] = 12529,
  [12562] = 4317,
  [12563] = 12526,
  [12564] = 12526,
  [12565] = 8839,
  [12566] = 12526,
  [12567] = 12526,
  [12568] = 12526,
  [12569] = 12526,
  [12570] = 4485,
  [12571] = 8835,
  [12572] = 4368,
  [12573] = 12531,
  [12574] = 8832,
  [12575] = 4392,
  [12576] = 8878,
  [12577] = 4352,
  [12578] = 12530,
  [12579] = 4406,
  [12580] = 4423,
  [12581] = 4357,
  [12582] = 4381,
  [12583] = 12530,
  [12584] = 12526,
  [12585] = 4317,
  [12586] = 12530,
  [12587] = 12531,
  [12588] = 4381,
  [12589] = 12529,
  [12590] = 4357,
  [12591] = 4423,
  [12592] = 4406,
  [12593] = 8880,
  [12594] = 4352,
  [12595] = 4392,
  [12596] = 4368,
  [12597] = 8829,
  [12598] = 4527,
  [12599] = 12529,
  [12600] = 11892,
  [12601] = 4339,
  [12602] = 8827,
  [12603] = 4514,
  [12604] = 11892,
  [12605] = 12526,
  [12606] = 12470,
  [12607] = 8826,
  [12608] = 12526,
  [12609] = 12526,
  [12610] = 12526,
  [12611] = 12529,
  [12612] = 12612,
  [12613] = 12530,
  [12614] = 4514,
  [12615] = 12529,
  [12616] = 12616,
  [12617] = 12521,
  [12618] = 12526,
  [12619] = 12531,
  [12620] = 12620,
  [12621] = 4527,
  [12622] = 12529,
  [12623] = 12623,
  [12624] = 12624,
  [12625] = 12526,
  [12626] = 12626,
  [12627] = 12627,
  [12628] = 12555,
  [12629] = 12629,
  [12630] = 11025,
  [12631] = 12526,
  [12632] = 4314,
  [12633] = 12527,
  [12634] = 12634,
  [12635] = 12635,
  [12636] = 12526,
  [12637] = 12555,
  [12638] = 12530,
  [12639] = 12529,
  [12640] = 12531,
  [12641] = 12526,
  [12642] = 4409,
  [12643] = 12529,
  [12644] = 12530,
  [12645] = 12526,
  [12646] = 4339,
  [12647] = 12530,
  [12648] = 12526,
  [12649] = 12054,
  [12650] = 12526,
  [12651] = 12529,
  [12652] = 12531,
  [12653] = 12526,
  [12654] = 4485,
  [12655] = 4446,
  [12656] = 12526,
  [12657] = 12526,
  [12658] = 12529,
  [12659] = 12530,
  [12660] = 12531,
  [12661] = 11850,
  [12662] = 12662,
  [12663] = 12663,
  [12664] = 12529,
  [12665] = 12665,
  [12666] = 12529,
  [12667] = 12667,
  [12668] = 12526,
  [12669] = 11850,
  [12670] = 11848,
  [12671] = 11712,
  [12672] = 11831,
  [12673] = 12526,
  [12674] = 12526,
  [12675] = 12526,
  [12676] = 12530,
  [12677] = 12531,
  [12678] = 5097,
  [12679] = 12531,
  [12680] = 12526,
  [12681] = 12526,
  [12682] = 4338,
  [12683] = 11848,
  [12684] = 11825,
  [12685] = 11712,
  [12686] = 11831,
  [12687] = 12529,
  [12688] = 12529,
  [12689] = 4028,
  [12690] = 12526,
  [12691] = 12000,
  [12692] = 12612,
  [12693] = 12531,
  [12694] = 12530,
  [12695] = 12526,
  [12696] = 11825,
  [12697] = 12526,
  [12698] = 12555,
  [12699] = 12526,
  [12700] = 12526,
  [12701] = 12701,
  [12702] = 12529,
  [12703] = 4018,
  [12704] = 11820,
  [12705] = 12529,
  [12706] = 11820,
  [12707] = 4365,
  [12708] = 4446,
  [12709] = 12526,
  [12710] = 12526,
  [12711] = 11813,
  [12712] = 4427,
  [12713] = 12526,
  [12714] = 8838,
  [12715] = 12526,
  [12716] = 4311,
  [12717] = 12526,
  [12718] = 12718,
  [12719] = 11808,
  [12720] = 12529,
  [12721] = 11498,
  [12722] = 5337,
  [12723] = 11789,
  [12724] = 12526,
  [12725] = 11784,
  [12726] = 12526,
  [12727] = 12526,
  [12728] = 5296,
  [12729] = 12729,
  [12730] = 12530,
  [12731] = 12531,
  [12732] = 12529,
  [12733] = 11813,
  [12734] = 11954,
  [12735] = 4409,
  [12736] = 12529,
  [12737] = 5265,
  [12738] = 12526,
  [12739] = 11778,
  [12740] = 11767,
  [12741] = 12526,
  [12742] = 4338,
  [12743] = 5221,
  [12744] = 11808,
  [12745] = 5198,
  [12746] = 11789,
  [12747] = 11982,
  [12748] = 12529,
  [12749] = 11758,
  [12750] = 11998,
  [12751] = 4337,
  [12752] = 12526,
  [12753] = 4365,
  [12754] = 12030,
  [12755] = 12046,
  [12756] = 12526,
  [12757] = 5362,
  [12758] = 11723,
  [12759] = 11726,
  [12760] = 12529,
  [12761] = 11732,
  [12762] = 11784,
  [12763] = 4427,
  [12764] = 12529,
  [12765] = 12526,
  [12766] = 11504,
  [12767] = 12531,
  [12768] = 12530,
  [12769] = 12530,
  [12770] = 4311,
  [12771] = 12529,
  [12772] = 11778,
  [12773] = 11767,
  [12774] = 11759,
  [12775] = 4028,
  [12776] = 4337,
  [12777] = 4018,
  [12778] = 12531,
  [12779] = 12526,
  [12780] = 4028,
  [12781] = 4018,
  [12782] = 12529,
  [12783] = 12526,
  [12784] = 11758,
  [12785] = 12526,
  [12786] = 11938,
  [12787] = 5329,
  [12788] = 5330,
  [12789] = 12526,
  [12790] = 12555,
  [12791] = 5400,
  [12792] = 4763,
  [12793] = 12054,
  [12794] = 12526,
  [12795] = 12526,
  [12796] = 12529,
  [12797] = 4317,
  [12798] = 11954,
  [12799] = 11982,
  [12800] = 11760,
  [12801] = 12530,
  [12802] = 12531,
  [12803] = 12526,
  [12804] = 11998,
  [12805] = 12529,
  [12806] = 12030,
  [12807] = 12046,
  [12808] = 4314,
  [12809] = 11759,
  [12810] = 12526,
  [12811] = 12526,
  [12812] = 8803,
  [12813] = 11723,
  [12814] = 12529,
  [12815] = 12054,
  [12816] = 12529,
  [12817] = 11806,
  [12818] = 11726,
  [12819] = 12526,
  [12820] = 11732,
  [12821] = 12529,
  [12822] = 12526,
  [12823] = 12526,
  [12824] = 12530,
  [12825] = 12531,
  [12826] = 11760,
  [12827] = 5386,
  [12828] = 11806,
  [12829] = 12529,
  [12830] = 4727,
  [12831] = 12526,
  [12832] = 12553,
  [12833] = 12526,
  [12834] = 12635,
  [12835] = 4028,
  [12836] = 12836,
  [12837] = 12531,
  [12838] = 12530,
  [12839] = 12526,
  [12840] = 12526,
  [12841] = 5362,
  [12842] = 4018,
  [12843] = 12529,
  [12844] = 12526,
  [12845] = 12624,
  [12846] = 4720,
  [12847] = 12626,
  [12848] = 12635,
  [12849] = 12627,
  [12850] = 12531,
  [12851] = 12046,
  [12852] = 12526,
  [12853] = 12526,
  [12854] = 12526,
  [12855] = 12527,
  [12856] = 12530,
  [12857] = 12030,
  [12858] = 12529,
  [12859] = 12526,
  [12860] = 12526,
  [12861] = 12531,
  [12862] = 4851,
  [12863] = 11998,
  [12864] = 11938,
  [12865] = 12729,
  [12866] = 11498,
  [12867] = 12529,
  [12868] = 12526,
  [12869] = 12836,
  [12870] = 4485,
  [12871] = 12530,
  [12872] = 12531,
  [12873] = 12530,
  [12874] = 12529,
  [12875] = 12529,
  [12876] = 12531,
  [12877] = 12526,
  [12878] = 12616,
  [12879] = 12526,
  [12880] = 12526,
  [12881] = 11982,
  [12882] = 4763,
  [12883] = 12883,
  [12884] = 12529,
  [12885] = 12526,
  [12886] = 12526,
  [12887] = 12529,
  [12888] = 12888,
  [12889] = 12620,
  [12890] = 12526,
  [12891] = 12555,
  [12892] = 12526,
  [12893] = 12526,
  [12894] = 4314,
  [12895] = 12526,
  [12896] = 12529,
  [12897] = 12897,
  [12898] = 12526,
  [12899] = 12899,
  [12900] = 12500,
  [12901] = 12526,
  [12902] = 12529,
  [12903] = 4339,
  [12904] = 12531,
  [12905] = 12729,
  [12906] = 12526,
  [12907] = 12556,
  [12908] = 12529,
  [12909] = 12000,
  [12910] = 12530,
  [12911] = 12526,
  [12912] = 12531,
  [12913] = 12526,
  [12914] = 11504,
  [12915] = 12529,
  [12916] = 12526,
  [12917] = 12526,
  [12918] = 4851,
  [12919] = 12919,
  [12920] = 12531,
  [12921] = 12530,
  [12922] = 12529,
  [12923] = 12526,
  [12924] = 4314,
  [12925] = 12529,
  [12926] = 12526,
  [12927] = 12526,
  [12928] = 12526,
  [12929] = 12526,
  [12930] = 12729,
  [12931] = 12526,
  [12932] = 12932,
  [12933] = 12526,
  [12934] = 4485,
  [12935] = 12529,
  [12936] = 12526,
  [12937] = 12526,
  [12938] = 12526,
  [12939] = 12729,
  [12940] = 12530,
  [12941] = 12531,
  [12942] = 4357,
  [12943] = 12531,
  [12944] = 12526,
  [12945] = 12530,
  [12946] = 12531,
  [12947] = 7003,
  [12948] = 12529,
  [12949] = 12529,
  [12950] = 12529,
  [12951] = 12529,
  [12952] = 11819,
  [12953] = 11814,
  [12954] = 12529,
  [12955] = 12526,
  [12956] = 4763,
  [12957] = 12526,
  [12958] = 12529,
  [12959] = 12529,
  [12960] = 4727,
  [12961] = 4339,
  [12962] = 12526,
  [12963] = 4727,
  [12964] = 12526,
  [12965] = 12526,
  [12966] = 12667,
  [12967] = 12529,
  [12968] = 4485,
  [12969] = 12526,
  [12970] = 11954,
  [12971] = 12529,
  [12972] = 12529,
  [12973] = 12529,
  [12974] = 12529,
  [12975] = 12975,
  [12976] = 12526,
  [12977] = 12883,
  [12978] = 12529,
  [12979] = 12526,
  [12980] = 4720,
  [12981] = 12526,
  [12982] = 12526,
  [12983] = 12529,
  [12984] = 12529,
  [12985] = 12529,
  [12986] = 12553,
  [12987] = 12526,
  [12988] = 12529,
  [12989] = 12629,
  [12990] = 12531,
  [12991] = 12530,
  [12992] = 12529,
  [12993] = 12529,
  [12994] = 4720,
  [12995] = 4337,
  [12996] = 12555,
  [12997] = 12529,
  [12998] = 12529,
  [12999] = 12531,
  [13000] = 12529,
  [13001] = 12526,
  [13002] = 4355,
  [13003] = 12729,
  [13004] = 11759,
  [13005] = 4317,
  [13006] = 11758,
  [13007] = 11767,
  [13008] = 11998,
  [13009] = 4357,
  [13010] = 11732,
  [13011] = 13011,
  [13012] = 4423,
  [13013] = 4406,
  [13014] = 13014,
  [13015] = 4352,
  [13016] = 8857,
  [13017] = 12729,
  [13018] = 11760,
  [13019] = 4365,
  [13020] = 11784,
  [13021] = 12718,
  [13022] = 4392,
  [13023] = 13023,
  [13024] = 13024,
  [13025] = 13025,
  [13026] = 4446,
  [13027] = 13027,
  [13028] = 11789,
  [13029] = 11806,
  [13030] = 12665,
  [13031] = 13025,
  [13032] = 13032,
  [13033] = 4368,
  [13034] = 12663,
  [13035] = 13035,
  [13036] = 12662,
  [13037] = 4427,
  [13038] = 13038,
  [13039] = 11723,
  [13040] = 11758,
  [13041] = 13025,
  [13042] = 11759,
  [13043] = 11767,
  [13044] = 11778,
  [13045] = 11784,
  [13046] = 11808,
  [13047] = 11813,
  [13048] = 13048,
  [13049] = 13023,
  [13050] = 13025,
  [13051] = 4514,
  [13052] = 13023,
  [13053] = 8838,
  [13054] = 11820,
  [13055] = 4527,
  [13056] = 12729,
  [13057] = 13025,
  [13058] = 11825,
  [13059] = 11789,
  [13060] = 13023,
  [13061] = 13025,
  [13062] = 13062,
  [13063] = 13025,
  [13064] = 11498,
  [13065] = 11982,
  [13066] = 11808,
  [13067] = 4381,
  [13068] = 13025,
  [13069] = 13069,
  [13070] = 4311,
  [13071] = 11726,
  [13072] = 11025,
  [13073] = 11813,
  [13074] = 11065,
  [13075] = 11067,
  [13076] = 12030,
  [13077] = 12046,
  [13078] = 13078,
  [13079] = 13025,
  [13080] = 11820,
  [13081] = 5296,
  [13082] = 8878,
  [13083] = 5265,
  [13084] = 11825,
  [13085] = 4317,
  [13086] = 4485,
  [13087] = 8826,
  [13088] = 5221,
  [13089] = 8827,
  [13090] = 8880,
  [13091] = 8829,
  [13092] = 13025,
  [13093] = 11449,
  [13094] = 8832,
  [13095] = 13095,
  [13096] = 8835,
  [13097] = 5198,
  [13098] = 13098,
  [13099] = 13023,
  [13100] = 5362,
  [13101] = 11831,
  [13102] = 12729,
  [13103] = 13025,
  [13104] = 11954,
  [13105] = 11712,
  [13106] = 12046,
  [13107] = 12729,
  [13108] = 11723,
  [13109] = 13025,
  [13110] = 13023,
  [13111] = 5337,
  [13112] = 13112,
  [13113] = 8839,
  [13114] = 8839,
  [13115] = 4514,
  [13116] = 4527,
  [13117] = 4409,
  [13118] = 13118,
  [13119] = 13119,
  [13120] = 4357,
  [13121] = 11848,
  [13122] = 8838,
  [13123] = 12546,
  [13124] = 12547,
  [13125] = 13125,
  [13126] = 13025,
  [13127] = 12548,
  [13128] = 12550,
  [13129] = 11938,
  [13130] = 4423,
  [13131] = 11850,
  [13132] = 13132,
  [13133] = 8857,
  [13134] = 11504,
  [13135] = 13135,
  [13136] = 13025,
  [13137] = 11778,
  [13138] = 11954,
  [13139] = 11831,
  [13140] = 11982,
  [13141] = 11998,
  [13142] = 11938,
  [13143] = 4406,
  [13144] = 13023,
  [13145] = 13025,
  [13146] = 13023,
  [13147] = 4763,
  [13148] = 12729,
  [13149] = 13025,
  [13150] = 4352,
  [13151] = 13151,
  [13152] = 8835,
  [13153] = 11712,
  [13154] = 4392,
  [13155] = 8832,
  [13156] = 4368,
  [13157] = 8878,
  [13158] = 8880,
  [13159] = 8829,
  [13160] = 13024,
  [13161] = 8827,
  [13162] = 11848,
  [13163] = 12030,
  [13164] = 11850,
  [13165] = 12054,
  [13166] = 13166,
  [13167] = 13025,
  [13168] = 13168,
  [13169] = 11503,
  [13170] = 4727,
  [13171] = 13048,
  [13172] = 4720,
  [13173] = 8826,
  [13174] = 13025,
  [13175] = 13023,
  [13176] = 4381,
  [13177] = 4409,
  [13178] = 4485,
  [13179] = 13014,
  [13180] = 13025,
  [13181] = 4409,
  [13182] = 13166,
  [13183] = 12623,
  [13184] = 12634,
  [13185] = 13025,
  [13186] = 13048,
  [13187] = 13023,
  [13188] = 8803,
  [13189] = 4727,
  [13190] = 11892,
  [13191] = 5329,
  [13192] = 13025,
  [13193] = 4720,
  [13194] = 13023,
  [13195] = 13166,
  [13196] = 6006,
  [13197] = 4763,
  [13198] = 5330,
  [13199] = 4727,
  [13200] = 4018,
  [13201] = 4851,
  [13202] = 5097,
  [13203] = 13025,
  [13204] = 4720,
  [13205] = 13025,
  [13206] = 13023,
  [13207] = 12729,
  [13208] = 12054,
  [13209] = 5386,
  [13210] = 12729,
  [13211] = 12729,
  [13212] = 13048,
  [13213] = 12729,
  [13214] = 4763,
  [13215] = 13025,
  [13216] = 11113,
  [13217] = 13166,
  [13218] = 5400,
  [13219] = 4311,
  [13220] = 4357,
  [13221] = 4409,
  [13222] = 13025,
  [13223] = 4368,
  [13224] = 4392,
  [13225] = 4352,
  [13226] = 4028,
  [13227] = 4406,
  [13228] = 13048,
  [13229] = 4423,
  [13230] = 4381,
  [13231] = 8880,
  [13232] = 4018,
  [13233] = 11726,
  [13234] = 13025,
  [13235] = 11732,
  [13236] = 13025,
  [13237] = 8878,
  [13238] = 4028,
  [13239] = 5298,
  [13240] = 5986,
  [13241] = 4018,
  [13242] = 4028,
  [13243] = 4527,
  [13244] = 4339,
  [13245] = 13023,
  [13246] = 8857,
  [13247] = 13025,
  [13248] = 4339,
  [13249] = 4427,
  [13250] = 4446,
  [13251] = 13025,
  [13252] = 4365,
  [13253] = 5362,
  [13254] = 11760,
  [13255] = 8838,
  [13256] = 13023,
  [13257] = 13025,
  [13258] = 13025,
  [13259] = 8835,
  [13260] = 13260,
  [13261] = 4317,
  [13262] = 13262,
  [13263] = 8832,
  [13264] = 5337,
  [13265] = 5296,
  [13266] = 13023,
  [13267] = 5265,
  [13268] = 12729,
  [13269] = 8829,
  [13270] = 13025,
  [13271] = 5221,
  [13272] = 5198,
  [13273] = 8827,
  [13274] = 13025,
  [13275] = 4514,
  [13276] = 11498,
  [13277] = 8826,
  [13278] = 5337,
  [13279] = 4851,
  [13280] = 5362,
  [13281] = 13025,
  [13282] = 13025,
  [13283] = 11806,
  [13284] = 5296,
  [13285] = 13025,
  [13286] = 13025,
  [13287] = 11814,
  [13288] = 11819,
  [13289] = 8803,
  [13290] = 13025,
  [13291] = 5337,
  [13292] = 12000,
  [13293] = 5265,
  [13294] = 12729,
  [13295] = 13025,
  [13296] = 5221,
  [13297] = 13023,
  [13298] = 4381,
  [13299] = 8839,
  [13300] = 13023,
  [13301] = 12729,
  [13302] = 13014,
  [13303] = 5198,
  [13304] = 13304,
  [13305] = 12729,
  [13306] = 13025,
  [13307] = 13307,
  [13308] = 13025,
  [13309] = 13023,
  [13310] = 4430,
  [13311] = 11892,
  [13312] = 5298,
  [13313] = 13166,
  [13314] = 13023,
  [13315] = 5400,
  [13316] = 4485,
  [13317] = 12054,
  [13318] = 4430,
  [13319] = 13025,
  [13320] = 5330,
  [13321] = 5329,
  [13322] = 8803,
  [13323] = 13011,
  [13324] = 4485,
  [13325] = 13325,
  [13326] = 13025,
  [13327] = 12000,
  [13328] = 4368,
  [13329] = 4392,
  [13330] = 4314,
  [13331] = 4352,
  [13332] = 4406,
  [13333] = 5265,
  [13334] = 5362,
  [13335] = 13325,
  [13336] = 4365,
  [13337] = 4423,
  [13338] = 13025,
  [13339] = 13025,
  [13340] = 13023,
  [13341] = 4446,
  [13342] = 4028,
  [13343] = 4357,
  [13344] = 13025,
  [13345] = 12046,
  [13346] = 4911,
  [13347] = 13024,
  [13348] = 4317,
  [13349] = 4427,
  [13350] = 12729,
  [13351] = 13025,
  [13352] = 5386,
  [13353] = 12888,
  [13354] = 12030,
  [13355] = 4314,
  [13356] = 12729,
  [13357] = 12729,
  [13358] = 12975,
  [13359] = 12729,
  [13360] = 4018,
  [13361] = 13025,
  [13362] = 13025,
  [13363] = 13023,
  [13364] = 4485,
  [13365] = 4339,
  [13366] = 4314,
  [13367] = 4365,
  [13368] = 5494,
  [13369] = 5493,
  [13370] = 4446,
  [13371] = 4427,
  [13372] = 4311,
  [13373] = 11954,
  [13374] = 13025,
  [13375] = 5329,
  [13376] = 5296,
  [13377] = 13025,
  [13378] = 13023,
  [13379] = 12897,
  [13380] = 12729,
  [13381] = 5330,
  [13382] = 5400,
  [13383] = 12899,
  [13384] = 13023,
  [13385] = 13025,
  [13386] = 5221,
  [13387] = 13025,
  [13388] = 12919,
  [13389] = 13023,
  [13390] = 4311,
  [13391] = 5501,
  [13392] = 5286,
  [13393] = 13025,
  [13394] = 11504,
  [13395] = 13023,
  [13396] = 11982,
  [13397] = 11998,
  [13398] = 13025,
  [13399] = 5198,
  [13400] = 13025,
  [13401] = 4409,
  [13402] = 8803,
  [13403] = 11850,
  [13404] = 11848,
  [13405] = 11712,
  [13406] = 12729,
  [13407] = 11831,
  [13408] = 13408,
  [13409] = 13409,
  [13410] = 5501,
  [13411] = 11825,
  [13412] = 5493,
  [13413] = 5494,
  [13414] = 11820,
  [13415] = 11813,
  [13416] = 11808,
  [13417] = 11789,
  [13418] = 11784,
  [13419] = 11778,
  [13420] = 11767,
  [13421] = 5400,
  [13422] = 11758,
  [13423] = 11723,
  [13424] = 12729,
  [13425] = 13408,
  [13426] = 11726,
  [13427] = 11732,
  [13428] = 11760,
  [13429] = 13409,
  [13430] = 13325,
  [13431] = 12729,
  [13432] = 4485,
  [13433] = 11806,
  [13434] = 12729,
  [13435] = 13409,
  [13436] = 5330,
  [13437] = 5329,
  [13438] = 13408,
  [13439] = 12054,
  [13440] = 5286,
  [13441] = 13409,
  [13442] = 5296,
  [13443] = 13408,
  [13444] = 12729,
  [13445] = 12000,
  [13446] = 4485,
  [13447] = 8803,
  [13448] = 12729,
  [13449] = 8803,
  [13450] = 11892,
  [13451] = 12729,
  [13452] = 4763,
  [13453] = 5198,
  [13454] = 11759,
  [13455] = 5221,
  [13456] = 5265,
  [13457] = 4727,
  [13458] = 4720,
  [13459] = 8880,
  [13460] = 12729,
  [13461] = 8803,
  [13462] = 8878,
  [13463] = 4314,
  [13464] = 12729,
  [13465] = 5337,
  [13466] = 12729,
  [13467] = 13011,
  [13468] = 12729,
  [13469] = 13469,
  [13470] = 8803,
  [13471] = 11892,
  [13472] = 12000,
  [13473] = 11850,
  [13474] = 11848,
  [13475] = 5298,
  [13476] = 11712,
  [13477] = 11831,
  [13478] = 11825,
  [13479] = 13325,
  [13480] = 11820,
  [13481] = 11813,
  [13482] = 11808,
  [13483] = 11789,
  [13484] = 11784,
  [13485] = 11778,
  [13486] = 11767,
  [13487] = 5198,
  [13488] = 11759,
  [13489] = 5221,
  [13490] = 11758,
  [13491] = 11723,
  [13492] = 5265,
  [13493] = 13493,
  [13494] = 5296,
  [13495] = 5337,
  [13496] = 11726,
  [13497] = 11732,
  [13498] = 11760,
  [13499] = 5494,
  [13500] = 13500,
  [13501] = 11806,
  [13502] = 11025,
  [13503] = 8857,
  [13504] = 5298,
  [13505] = 12054,
  [13506] = 12046,
  [13507] = 5493,
  [13508] = 13325,
  [13509] = 5501,
  [13510] = 12030,
  [13511] = 11998,
  [13512] = 11814,
  [13513] = 11819,
  [13514] = 11982,
  [13515] = 11504,
  [13516] = 5362,
  [13517] = 13517,
  [13518] = 11954,
  [13519] = 13325,
  [13520] = 11938,
  [13521] = 13521,
  [13522] = 11498,
  [13523] = 5337,
  [13524] = 5296,
  [13525] = 13525,
  [13526] = 5296,
  [13527] = 13527,
  [13528] = 5265,
  [13529] = 13529,
  [13530] = 8835,
  [13531] = 13531,
  [13532] = 5198,
  [13533] = 11938,
  [13534] = 13534,
  [13535] = 4339,
  [13536] = 5221,
  [13537] = 8826,
  [13538] = 8827,
  [13539] = 8829,
  [13540] = 5198,
  [13541] = 8832,
  [13542] = 5221,
  [13543] = 6006,
  [13544] = 5986,
  [13545] = 5362,
  [13546] = 5265,
  [13547] = 13547,
  [13548] = 11954,
  [13549] = 11065,
  [13550] = 13550,
  [13551] = 12046,
  [13552] = 11067,
  [13553] = 8839,
  [13554] = 8838,
  [13555] = 5337,
  [13556] = 8839,
  [13557] = 4311,
  [13558] = 4427,
  [13559] = 4446,
  [13560] = 4337,
  [13561] = 4365,
  [13562] = 11113,
  [13563] = 8880,
  [13564] = 8878,
  [13565] = 13565,
  [13566] = 13325,
  [13567] = 4311,
  [13568] = 13568,
  [13569] = 13325,
  [13570] = 8857,
  [13571] = 5198,
  [13572] = 8835,
  [13573] = 8832,
  [13574] = 13574,
  [13575] = 8829,
  [13576] = 4427,
  [13577] = 5221,
  [13578] = 8827,
  [13579] = 8857,
  [13580] = 4339,
  [13581] = 5265,
  [13582] = 4446,
  [13583] = 13325,
  [13584] = 5296,
  [13585] = 5337,
  [13586] = 4365,
  [13587] = 8826,
  [13588] = 13588,
  [13589] = 8839,
  [13590] = 8838,
  [13591] = 8835,
  [13592] = 8832,
  [13593] = 8829,
  [13594] = 8827,
  [13595] = 4311,
  [13596] = 8826,
  [13597] = 8878,
  [13598] = 8880,
  [13599] = 4427,
  [13600] = 4446,
  [13601] = 6125,
  [13602] = 4365,
  [13603] = 13151,
  [13604] = 13135,
  [13605] = 6006,
  [13606] = 2412,
  [13607] = 8826,
  [13608] = 8827,
  [13609] = 8829,
  [13610] = 13125,
  [13611] = 8832,
  [13612] = 11504,
  [13613] = 8835,
  [13614] = 5986,
  [13615] = 11982,
  [13616] = 13325,
  [13617] = 4514,
  [13618] = 4485,
  [13619] = 4485,
  [13620] = 13620,
  [13621] = 4368,
  [13622] = 13078,
  [13623] = 8838,
  [13624] = 13062,
  [13625] = 4392,
  [13626] = 11998,
  [13627] = 8839,
  [13628] = 4352,
  [13629] = 4406,
  [13630] = 4423,
  [13631] = 4357,
  [13632] = 4381,
  [13633] = 11498,
  [13634] = 4317,
  [13635] = 4352,
  [13636] = 13035,
  [13637] = 12030,
  [13638] = 13032,
  [13639] = 6149,
  [13640] = 5198,
  [13641] = 5221,
  [13642] = 5265,
  [13643] = 12054,
  [13644] = 12729,
  [13645] = 8838,
  [13646] = 5296,
  [13647] = 8857,
  [13648] = 12046,
  [13649] = 5337,
  [13650] = 12030,
  [13651] = 4368,
  [13652] = 4018,
  [13653] = 4392,
  [13654] = 4352,
  [13655] = 13325,
  [13656] = 4406,
  [13657] = 4423,
  [13658] = 11498,
  [13659] = 4527,
  [13660] = 4357,
  [13661] = 4381,
  [13662] = 4317,
  [13663] = 4392,
  [13664] = 4381,
  [13665] = 4406,
  [13666] = 4028,
  [13667] = 5329,
  [13668] = 5330,
  [13669] = 5400,
  [13670] = 4423,
  [13671] = 8878,
  [13672] = 8880,
  [13673] = 11998,
  [13674] = 4357,
  [13675] = 13132,
  [13676] = 11998,
  [13677] = 8803,
  [13678] = 13307,
  [13679] = 11498,
  [13680] = 4317,
  [13681] = 4409,
  [13682] = 4368,
  [13683] = 13683,
  [13684] = 13684,
  [13685] = 11938,
  [13686] = 11954,
  [13687] = 11504,
  [13688] = 5400,
  [13689] = 5330,
  [13690] = 5329,
  [13691] = 11982,
  [13692] = 4527,
  [13693] = 11504,
  [13694] = 4514,
  [13695] = 13260,
  [13696] = 13262,
  [13697] = 11982,
  [13698] = 4355,
  [13699] = 12030,
  [13700] = 12046,
  [13701] = 12054,
  [13702] = 11498,
  [13703] = 5330,
  [13704] = 4409,
  [13705] = 5400,
  [13706] = 13304,
  [13707] = 5386,
  [13708] = 13325,
  [13709] = 11954,
  [13710] = 11819,
  [13711] = 11814,
  [13712] = 5362,
  [13713] = 5329,
  [13714] = 5198,
  [13715] = 5296,
  [13716] = 13325,
  [13717] = 13409,
  [13718] = 6006,
  [13719] = 13408,
  [13720] = 13409,
  [13721] = 13325,
  [13722] = 11938,
  [13723] = 4485,
  [13724] = 13408,
  [13725] = 4911,
  [13726] = 13409,
  [13727] = 12729,
  [13728] = 12729,
  [13729] = 12000,
  [13730] = 13409,
  [13731] = 13408,
  [13732] = 13409,
  [13733] = 13408,
  [13734] = 4357,
  [13735] = 11820,
  [13736] = 11498,
  [13737] = 13325,
  [13738] = 11813,
  [13739] = 12054,
  [13740] = 12046,
  [13741] = 11808,
  [13742] = 12030,
  [13743] = 11789,
  [13744] = 8880,
  [13745] = 6149,
  [13746] = 5329,
  [13747] = 8878,
  [13748] = 11784,
  [13749] = 11498,
  [13750] = 11778,
  [13751] = 11767,
  [13752] = 5330,
  [13753] = 5337,
  [13754] = 11759,
  [13755] = 5400,
  [13756] = 5296,
  [13757] = 5265,
  [13758] = 5221,
  [13759] = 12729,
  [13760] = 13325,
  [13761] = 12729,
  [13762] = 11758,
  [13763] = 5337,
  [13764] = 11998,
  [13765] = 13325,
  [13766] = 11982,
  [13767] = 11504,
  [13768] = 11954,
  [13769] = 8839,
  [13770] = 11954,
  [13771] = 13408,
  [13772] = 8835,
  [13773] = 8832,
  [13774] = 13620,
  [13775] = 5296,
  [13776] = 11723,
  [13777] = 8829,
  [13778] = 8827,
  [13779] = 11726,
  [13780] = 11732,
  [13781] = 13409,
  [13782] = 8826,
  [13783] = 5265,
  [13784] = 11760,
  [13785] = 12729,
  [13786] = 8880,
  [13787] = 5221,
  [13788] = 8878,
  [13789] = 11806,
  [13790] = 5198,
  [13791] = 5494,
  [13792] = 5493,
  [13793] = 5501,
  [13794] = 8857,
  [13795] = 6125,
  [13796] = 12729,
  [13797] = 13797,
  [13798] = 13408,
  [13799] = 13409,
  [13800] = 13325,
  [13801] = 4527,
  [13802] = 11504,
  [13803] = 11892,
  [13804] = 13408,
  [13805] = 8857,
  [13806] = 13409,
  [13807] = 12729,
  [13808] = 11982,
  [13809] = 12000,
  [13810] = 12729,
  [13811] = 12729,
  [13812] = 12054,
  [13813] = 4514,
  [13814] = 13574,
  [13815] = 13815,
  [13816] = 13408,
  [13817] = 5986,
  [13818] = 13683,
  [13819] = 13568,
  [13820] = 12729,
  [13821] = 4365,
  [13822] = 4446,
  [13823] = 11825,
  [13824] = 11998,
  [13825] = 13409,
  [13826] = 4427,
  [13827] = 11031,
  [13828] = 8839,
  [13829] = 13409,
  [13830] = 13565,
  [13831] = 4485,
  [13832] = 8838,
  [13833] = 11850,
  [13834] = 11848,
  [13835] = 11712,
  [13836] = 8835,
  [13837] = 4560,
  [13838] = 13684,
  [13839] = 12030,
  [13840] = 12046,
  [13841] = 8803,
  [13842] = 8832,
  [13843] = 8829,
  [13844] = 11831,
  [13845] = 8827,
  [13846] = 11831,
  [13847] = 8826,
  [13848] = 11712,
  [13849] = 4409,
  [13850] = 11498,
  [13851] = 12729,
  [13852] = 13852,
  [13853] = 11825,
  [13854] = 11820,
  [13855] = 11819,
  [13856] = 10973,
  [13857] = 11814,
  [13858] = 4430,
  [13859] = 11813,
  [13860] = 11808,
  [13861] = 11789,
  [13862] = 11784,
  [13863] = 13408,
  [13864] = 11778,
  [13865] = 11767,
  [13866] = 13550,
  [13867] = 13325,
  [13868] = 13547,
  [13869] = 11759,
  [13870] = 11758,
  [13871] = 13871,
  [13872] = 13325,
  [13873] = 11938,
  [13874] = 11723,
  [13875] = 11848,
  [13876] = 11726,
  [13877] = 11732,
  [13878] = 4368,
  [13879] = 11954,
  [13880] = 11760,
  [13881] = 5400,
  [13882] = 13325,
  [13883] = 12729,
  [13884] = 4311,
  [13885] = 13885,
  [13886] = 4392,
  [13887] = 13325,
  [13888] = 5329,
  [13889] = 11806,
  [13890] = 5330,
  [13891] = 5400,
  [13892] = 8838,
  [13893] = 13893,
  [13894] = 12000,
  [13895] = 8880,
  [13896] = 8878,
  [13897] = 13534,
  [13898] = 13531,
  [13899] = 11784,
  [13900] = 11850,
  [13901] = 11848,
  [13902] = 11712,
  [13903] = 11831,
  [13904] = 8857,
  [13905] = 11850,
  [13906] = 13325,
  [13907] = 5329,
  [13908] = 12046,
  [13909] = 12030,
  [13910] = 11825,
  [13911] = 11820,
  [13912] = 4352,
  [13913] = 4317,
  [13914] = 4406,
  [13915] = 4423,
  [13916] = 11813,
  [13917] = 11808,
  [13918] = 11789,
  [13919] = 11784,
  [13920] = 11504,
  [13921] = 13921,
  [13922] = 11778,
  [13923] = 11998,
  [13924] = 11767,
  [13925] = 11759,
  [13926] = 11758,
  [13927] = 8839,
  [13928] = 11892,
  [13929] = 11723,
  [13930] = 11982,
  [13931] = 11726,
  [13932] = 11732,
  [13933] = 11760,
  [13934] = 8835,
  [13935] = 8832,
  [13936] = 13525,
  [13937] = 11806,
  [13938] = 13588,
  [13939] = 11892,
  [13940] = 11998,
  [13941] = 4423,
  [13942] = 11027,
  [13943] = 8829,
  [13944] = 13521,
  [13945] = 11982,
  [13946] = 8827,
  [13947] = 12030,
  [13948] = 12046,
  [13949] = 13408,
  [13950] = 8826,
  [13951] = 5362,
  [13952] = 12054,
  [13953] = 13325,
  [13954] = 4368,
  [13955] = 4381,
  [13956] = 13956,
  [13957] = 8838,
  [13958] = 5330,
  [13959] = 4392,
  [13960] = 13325,
  [13961] = 11760,
  [13962] = 13408,
  [13963] = 5337,
  [13964] = 11814,
  [13965] = 11819,
  [13966] = 11069,
  [13967] = 12000,
  [13968] = 11076,
  [13969] = 12729,
  [13970] = 5296,
  [13971] = 4352,
  [13972] = 5265,
  [13973] = 11806,
  [13974] = 4365,
  [13975] = 13409,
  [13976] = 13325,
  [13977] = 4446,
  [13978] = 11732,
  [13979] = 4427,
  [13980] = 5221,
  [13981] = 11726,
  [13982] = 8803,
  [13983] = 12054,
  [13984] = 11121,
  [13985] = 11122,
  [13986] = 4406,
  [13987] = 4381,
  [13988] = 4485,
  [13989] = 11892,
  [13990] = 4409,
  [13991] = 13325,
  [13992] = 11723,
  [13993] = 4763,
  [13994] = 11133,
  [13995] = 13409,
  [13996] = 11138,
  [13997] = 4727,
  [13998] = 8803,
  [13999] = 5337,
  [14000] = 11758,
  [14001] = 11759,
  [14002] = 11767,
  [14003] = 4720,
  [14004] = 11954,
  [14005] = 11778,
  [14006] = 13408,
  [14007] = 11789,
  [14008] = 11808,
  [14009] = 11813,
  [14010] = 14010,
  [14011] = 14011,
  [14012] = 11814,
  [14013] = 11850,
  [14014] = 5362,
  [14015] = 5265,
  [14016] = 11848,
  [14017] = 11712,
  [14018] = 13500,
  [14019] = 13956,
  [14020] = 13493,
  [14021] = 11819,
  [14022] = 11938,
  [14023] = 4311,
  [14024] = 11820,
  [14025] = 5198,
  [14026] = 11831,
  [14027] = 4911,
  [14028] = 13469,
  [14029] = 12729,
  [14030] = 5221,
  [14031] = 11498,
  [14032] = 5198,
  [14033] = 13325,
  [14034] = 4544,
  [14035] = 11825,
  [14036] = 8803,
  [14037] = 12623,
  [14038] = 11848,
  [14039] = 11504,
  [14040] = 11122,
  [14041] = 11982,
  [14042] = 11820,
  [14043] = 11808,
  [14044] = 12046,
  [14045] = 11813,
  [14046] = 14046,
  [14047] = 11954,
  [14048] = 11825,
  [14049] = 11954,
  [14050] = 11789,
  [14051] = 11938,
  [14052] = 11498,
  [14053] = 4339,
  [14054] = 14054,
  [14055] = 12500,
  [14056] = 13112,
  [14057] = 11954,
  [14058] = 5286,
  [14059] = 11784,
  [14060] = 11998,
  [14061] = 11814,
  [14062] = 13408,
  [14063] = 4018,
  [14064] = 11778,
  [14065] = 13852,
  [14066] = 13409,
  [14067] = 13409,
  [14068] = 13408,
  [14069] = 12500,
  [14070] = 13409,
  [14071] = 12547,
  [14072] = 12030,
  [14073] = 14073,
  [14074] = 11133,
  [14075] = 11767,
  [14076] = 13408,
  [14077] = 13325,
  [14078] = 11831,
  [14079] = 12550,
  [14080] = 11076,
  [14081] = 14081,
  [14082] = 11138,
  [14083] = 12546,
  [14084] = 12054,
  [14085] = 13797,
  [14086] = 13325,
  [14087] = 4028,
  [14088] = 12548,
  [14089] = 11759,
  [14090] = 11758,
  [14091] = 12046,
  [14092] = 12030,
  [14093] = 11712,
  [14094] = 11848,
  [14095] = 13325,
  [14096] = 13408,
  [14097] = 14097,
  [14098] = 5286,
  [14099] = 11850,
  [14100] = 11121,
  [14101] = 11819,
  [14102] = 11723,
  [14103] = 14103,
  [14104] = 13409,
  [14105] = 13885,
  [14106] = 13409,
  [14107] = 12500,
  [14108] = 13408,
  [14109] = 13408,
  [14110] = 11998,
  [14111] = 11814,
  [14112] = 11069,
  [14113] = 13921,
  [14114] = 13325,
  [14115] = 11726,
  [14116] = 11892,
  [14117] = 11732,
  [14118] = 13409,
  [14119] = 14119,
  [14120] = 13409,
  [14121] = 11760,
  [14122] = 11819,
  [14123] = 12000,
  [14124] = 13408,
  [14125] = 13408,
  [14126] = 13956,
  [14127] = 14127,
  [14128] = 11806,
  [14129] = 13325,
  [14130] = 13409,
  [14131] = 13409,
  [14132] = 14132,
  [14133] = 13325,
  [14134] = 11938,
  [14135] = 12000,
  [14136] = 11027,
  [14137] = 11850,
  [14138] = 11813,
  [14139] = 11712,
  [14140] = 14140,
  [14141] = 11892,
  [14142] = 11831,
  [14143] = 11892,
  [14144] = 12054,
  [14145] = 11806,
  [14146] = 11784,
  [14147] = 12634,
  [14148] = 11759,
  [14149] = 14149,
  [14150] = 13408,
  [14151] = 11825,
  [14152] = 14152,
  [14153] = 4485,
  [14154] = 13409,
  [14155] = 13325,
  [14156] = 11760,
  [14157] = 14157,
  [14158] = 11820,
  [14159] = 11954,
  [14160] = 13325,
  [14161] = 14132,
  [14162] = 11732,
  [14163] = 11726,
  [14164] = 11813,
  [14165] = 13325,
  [14166] = 11808,
  [14167] = 13325,
  [14168] = 11789,
  [14169] = 13325,
  [14170] = 11784,
  [14171] = 11850,
  [14172] = 13408,
  [14173] = 11778,
  [14174] = 11767,
  [14175] = 12500,
  [14176] = 11759,
  [14177] = 12662,
  [14178] = 13027,
  [14179] = 12663,
  [14180] = 12665,
  [14181] = 11758,
  [14182] = 11723,
  [14183] = 11723,
  [14184] = 11982,
  [14185] = 14185,
  [14186] = 14186,
  [14187] = 13408,
  [14188] = 14188,
  [14189] = 13409,
  [14190] = 11998,
  [14191] = 14191,
  [14192] = 10973,
  [14193] = 13408,
  [14194] = 13409,
  [14195] = 14010,
  [14196] = 11726,
  [14197] = 12054,
  [14198] = 11732,
  [14199] = 11760,
  [14200] = 11031,
  [14201] = 14011,
  [14202] = 11806,
  [14203] = 11982,
  [14204] = 11758,
  [14205] = 11759,
  [14206] = 14206,
  [14207] = 14054,
  [14208] = 14149,
  [14209] = 11820,
  [14210] = 12000,
  [14211] = 12030,
  [14212] = 13408,
  [14213] = 11767,
  [14214] = 12718,
  [14215] = 11825,
  [14216] = 11778,
  [14217] = 13325,
  [14218] = 12046,
  [14219] = 14219,
  [14220] = 11831,
  [14221] = 11758,
  [14222] = 11998,
  [14223] = 12500,
  [14224] = 4314,
  [14225] = 13409,
  [14226] = 14226,
  [14227] = 11504,
  [14228] = 11848,
  [14229] = 14229,
  [14230] = 11789,
  [14231] = 13408,
  [14232] = 12054,
  [14233] = 13409,
  [14234] = 11712,
  [14235] = 12046,
  [14236] = 12030,
  [14237] = 11808,
  [14238] = 11982,
  [14239] = 13408,
  [14240] = 11820,
  [14241] = 14241,
  [14242] = 14119,
  [14243] = 13260,
  [14244] = 11498,
  [14245] = 13408,
  [14246] = 13409,
  [14247] = 4727,
  [14248] = 4028,
  [14249] = 12729,
  [14250] = 13408,
  [14251] = 4018,
  [14252] = 4368,
  [14253] = 11813,
  [14254] = 11808,
  [14255] = 14255,
  [14256] = 13409,
  [14257] = 12000,
  [14258] = 14258,
  [14259] = 4392,
  [14260] = 14260,
  [14261] = 14261,
  [14262] = 13325,
  [14263] = 13325,
  [14264] = 4544,
  [14265] = 4352,
  [14266] = 13409,
  [14267] = 4406,
  [14268] = 4409,
  [14269] = 4485,
  [14270] = 5386,
  [14271] = 13325,
  [14272] = 4423,
  [14273] = 14273,
  [14274] = 11789,
  [14275] = 13409,
  [14276] = 11831,
  [14277] = 4763,
  [14278] = 11784,
  [14279] = 13408,
  [14280] = 14280,
  [14281] = 13409,
  [14282] = 13408,
  [14283] = 4381,
  [14284] = 13409,
  [14285] = 13408,
  [14286] = 13409,
  [14287] = 13408,
  [14288] = 13408,
  [14289] = 14289,
  [14290] = 4720,
  [14291] = 11938,
  [14292] = 11778,
  [14293] = 13325,
  [14294] = 4427,
  [14295] = 11723,
  [14296] = 11954,
  [14297] = 11831,
  [14298] = 13409,
  [14299] = 4365,
  [14300] = 11825,
  [14301] = 4446,
  [14302] = 12000,
  [14303] = 14303,
  [14304] = 12729,
  [14305] = 14305,
  [14306] = 11806,
  [14307] = 12729,
  [14308] = 11767,
  [14309] = 13408,
  [14310] = 14149,
  [14311] = 14311,
  [14312] = 14312,
  [14313] = 11825,
  [14314] = 11998,
  [14315] = 14315,
  [14316] = 11848,
  [14317] = 4560,
  [14318] = 14318,
  [14319] = 11850,
  [14320] = 11954,
  [14321] = 12729,
  [14322] = 14322,
  [14323] = 14323,
  [14324] = 13304,
  [14325] = 4317,
  [14326] = 4851,
  [14327] = 4357,
  [14328] = 14328,
  [14329] = 14329,
  [14330] = 12030,
  [14331] = 14303,
  [14332] = 14258,
  [14333] = 14046,
  [14334] = 13304,
  [14335] = 13408,
  [14336] = 11820,
  [14337] = 11760,
  [14338] = 13325,
  [14339] = 4527,
  [14340] = 13409,
  [14341] = 12729,
  [14342] = 14255,
  [14343] = 4911,
  [14344] = 14081,
  [14345] = 14345,
  [14346] = 11732,
  [14347] = 11982,
  [14348] = 14348,
  [14349] = 14349,
  [14350] = 12054,
  [14351] = 12046,
  [14352] = 14318,
  [14353] = 11813,
  [14354] = 11982,
  [14355] = 4514,
  [14356] = 11726,
  [14357] = 11892,
  [14358] = 11808,
  [14359] = 11789,
  [14360] = 14261,
  [14361] = 14349,
  [14362] = 13409,
  [14363] = 11892,
  [14364] = 5386,
  [14365] = 13408,
  [14366] = 14149,
  [14367] = 12729,
  [14368] = 11998,
  [14369] = 13325,
  [14370] = 11712,
  [14371] = 13409,
  [14372] = 14185,
  [14373] = 5386,
  [14374] = 11784,
  [14375] = 11778,
  [14376] = 11767,
  [14377] = 13409,
  [14378] = 11759,
  [14379] = 13408,
  [14380] = 12030,
  [14381] = 14103,
  [14382] = 12046,
  [14383] = 13409,
  [14384] = 11758,
  [14385] = 14312,
  [14386] = 14386,
  [14387] = 14387,
  [14388] = 13408,
  [14389] = 14140,
  [14390] = 13325,
  [14391] = 14386,
  [14392] = 11806,
  [14393] = 4028,
  [14394] = 13409,
  [14395] = 11723,
  [14396] = 11760,
  [14397] = 11732,
  [14398] = 14348,
  [14399] = 13325,
  [14400] = 12054,
  [14401] = 13325,
  [14402] = 11850,
  [14403] = 14119,
  [14404] = 11726,
  [14405] = 4311,
  [14406] = 13260,
  [14407] = 13325,
  [14408] = 14311,
  [14409] = 4018,
  [14410] = 11848,
  [14411] = 13408,
  [14412] = 14345,
  [14413] = 11712,
  [14414] = 14414,
  [14415] = 13408,
  [14416] = 5337,
  [14417] = 5501,
  [14418] = 14260,
  [14419] = 14419,
  [14420] = 5198,
  [14421] = 13409,
  [14422] = 13684,
  [14423] = 12054,
  [14424] = 13408,
  [14425] = 13409,
  [14426] = 5296,
  [14427] = 13262,
  [14428] = 14428,
  [14429] = 13408,
  [14430] = 14428,
  [14431] = 14428,
  [14432] = 13871,
  [14433] = 13620,
  [14434] = 14434,
  [14435] = 5298,
  [14436] = 14329,
  [14437] = 8803,
  [14438] = 14328,
  [14439] = 11025,
  [14440] = 13307,
  [14441] = 14428,
  [14442] = 14442,
  [14443] = 5493,
  [14444] = 13815,
  [14445] = 13409,
  [14446] = 5494,
  [14447] = 5494,
  [14448] = 5493,
  [14449] = 14428,
  [14450] = 14273,
  [14451] = 5986,
  [14452] = 14428,
  [14453] = 13408,
  [14454] = 14241,
  [14455] = 14455,
  [14456] = 14456,
  [14457] = 14312,
  [14458] = 5494,
  [14459] = 6006,
  [14460] = 14428,
  [14461] = 14428,
  [14462] = 14428,
  [14463] = 14463,
  [14464] = 5493,
  [14465] = 11982,
  [14466] = 5501,
  [14467] = 14255,
  [14468] = 13893,
  [14469] = 14428,
  [14470] = 13408,
  [14471] = 5286,
  [14472] = 5501,
  [14473] = 14312,
  [14474] = 14474,
  [14475] = 14428,
  [14476] = 14428,
  [14477] = 14428,
  [14478] = 13325,
  [14479] = 13307,
  [14480] = 8803,
  [14481] = 14481,
  [14482] = 13409,
  [14483] = 5296,
  [14484] = 14322,
  [14485] = 13307,
  [14486] = 5198,
  [14487] = 14487,
  [14488] = 5221,
  [14489] = 5221,
  [14490] = 14428,
  [14491] = 14387,
  [14492] = 14492,
  [14493] = 11065,
  [14494] = 14494,
  [14495] = 14311,
  [14496] = 14496,
  [14497] = 6006,
  [14498] = 11067,
  [14499] = 14428,
  [14500] = 13307,
  [14501] = 14501,
  [14502] = 13409,
  [14503] = 13684,
  [14504] = 14504,
  [14505] = 14505,
  [14506] = 14428,
  [14507] = 14507,
  [14508] = 13260,
  [14509] = 11998,
  [14510] = 13262,
  [14511] = 13409,
  [14512] = 13620,
  [14513] = 5296,
  [14514] = 13262,
  [14515] = 5337,
  [14516] = 14289,
  [14517] = 14428,
  [14518] = 5198,
  [14519] = 14456,
  [14520] = 14520,
  [14521] = 14521,
  [14522] = 14522,
  [14523] = 11113,
  [14524] = 14428,
  [14525] = 13408,
  [14526] = 13409,
  [14527] = 5337,
  [14528] = 14312,
  [14529] = 13325,
  [14530] = 14428,
  [14531] = 14531,
  [14532] = 14481,
  [14533] = 14428,
  [14534] = 14534,
  [14535] = 14535,
  [14536] = 11954,
  [14537] = 14494,
  [14538] = 14428,
  [14539] = 14428,
  [14540] = 13408,
  [14541] = 14541,
  [14542] = 5986,
  [14543] = 5386,
  [14544] = 14428,
  [14545] = 6006,
  [14546] = 14546,
  [14547] = 14547,
  [14548] = 14315,
  [14549] = 5221,
  [14550] = 5265,
  [14551] = 14551,
  [14552] = 13408,
  [14553] = 5265,
  [14554] = 14554,
  [14555] = 13304,
  [14556] = 13307,
  [14557] = 5265,
  [14558] = 14428,
  [14559] = 8803,
  [14560] = 12030,
  [14561] = 14345,
  [14562] = 14428,
  [14563] = 5986,
  [14564] = 14428,
  [14565] = 14386,
  [14566] = 14428,
  [14567] = 12046,
  [14568] = 13409,
  [14569] = 14261,
  [14570] = 14570,
  [14571] = 14571,
  [14572] = 14572,
  [14573] = 14573,
  [14574] = 14574,
  [14575] = 13325,
  [14576] = 14573,
  [14577] = 13408,
  [14578] = 13409,
  [14579] = 14579,
  [14580] = 14573,
  [14581] = 14581,
  [14582] = 14582,
  [14583] = 14583,
  [14584] = 14573,
  [14585] = 14585,
  [14586] = 14586,
  [14587] = 14587,
  [14588] = 14573,
  [14589] = 14573,
  [14590] = 14590,
  [14591] = 14591,
  [14592] = 14592,
  [14593] = 14492,
  [14594] = 14594,
  [14595] = 14585,
  [14596] = 14596,
  [14597] = 14455,
  [14598] = 14598,
  [14599] = 13588,
  [14600] = 13550,
  [14601] = 14601,
  [14602] = 14573,
  [14603] = 14603,
  [14604] = 14604,
  [14605] = 14573,
  [14606] = 14573,
  [14607] = 14607,
  [14608] = 14608,
  [14609] = 14586,
  [14610] = 13409,
  [14611] = 14611,
  [14612] = 14573,
  [14613] = 13550,
  [14614] = 13408,
  [14615] = 14573,
  [14616] = 14573,
  [14617] = 14617,
  [14618] = 14618,
  [14619] = 14619,
  [14620] = 14620,
  [14621] = 14621,
  [14622] = 14573,
  [14623] = 14623,
  [14624] = 14624,
  [14625] = 14625,
  [14626] = 14626,
  [14627] = 14627,
  [14628] = 14601,
  [14629] = 14629,
  [14630] = 14630,
  [14631] = 14551,
  [14632] = 14573,
  [14633] = 6006,
  [14634] = 14634,
  [14635] = 14635,
  [14636] = 13325,
  [14637] = 14637,
  [14638] = 14638,
  [14639] = 14639,
  [14640] = 14640,
  [14641] = 14573,
  [14642] = 14642,
  [14643] = 14573,
  [14644] = 14644,
  [14645] = 14645,
  [14646] = 14646,
  [14647] = 14647,
  [14648] = 14648,
  [14649] = 14590,
  [14650] = 14650,
  [14651] = 14651,
  [14652] = 14620,
  [14653] = 14653,
  [14654] = 14654,
  [14655] = 14655,
  [14656] = 14573,
  [14657] = 14657,
  [14658] = 8803,
  [14659] = 14659,
  [14660] = 14660,
  [14661] = 14547,
  [14662] = 5986,
  [14663] = 14573,
  [14664] = 14664,
  [14665] = 14665,
  [14666] = 14666,
  [14667] = 14667,
  [14668] = 14573,
  [14669] = 14617,
  [14670] = 5337,
  [14671] = 14573,
  [14672] = 14665,
  [14673] = 14573,
  [14674] = 14674,
  [14675] = 13500,
  [14676] = 14573,
  [14677] = 14677,
  [14678] = 13683,
  [14679] = 14629,
  [14680] = 13684,
  [14681] = 14573,
  [14682] = 14573,
  [14683] = 14683,
  [14684] = 14684,
  [14685] = 14573,
  [14686] = 14686,
  [14687] = 14573,
  [14688] = 14688,
  [14689] = 14573,
  [14690] = 14690,
  [14691] = 14573,
  [14692] = 13683,
  [14693] = 14573,
  [14694] = 14694,
  [14695] = 14419,
  [14696] = 14573,
  [14697] = 5296,
  [14698] = 14698,
  [14699] = 14699,
  [14700] = 14700,
  [14701] = 14701,
  [14702] = 14702,
  [14703] = 14703,
  [14704] = 14704,
  [14705] = 14705,
  [14706] = 14573,
  [14707] = 14573,
  [14708] = 14708,
  [14709] = 14573,
  [14710] = 14710,
  [14711] = 4851,
  [14712] = 14712,
  [14713] = 14621,
  [14714] = 14598,
  [14715] = 14581,
  [14716] = 14704,
  [14717] = 14717,
  [14718] = 14718,
  [14719] = 14573,
  [14720] = 4911,
  [14721] = 14721,
  [14722] = 14573,
  [14723] = 14442,
  [14724] = 14573,
  [14725] = 13534,
  [14726] = 14726,
  [14727] = 14434,
  [14728] = 14728,
  [14729] = 14573,
  [14730] = 14730,
  [14731] = 14731,
  [14732] = 14573,
  [14733] = 14573,
  [14734] = 14734,
  [14735] = 14573,
  [14736] = 13525,
  [14737] = 14737,
  [14738] = 5265,
  [14739] = 5221,
  [14740] = 5198,
  [14741] = 4720,
  [14742] = 14742,
  [14743] = 14541,
  [14744] = 14573,
  [14745] = 4485,
  [14746] = 14746,
  [14747] = 14747,
  [14748] = 14573,
  [14749] = 14749,
  [14750] = 13525,
  [14751] = 13325,
  [14752] = 14573,
  [14753] = 14505,
  [14754] = 14754,
  [14755] = 14573,
  [14756] = 14573,
  [14757] = 14757,
  [14758] = 14573,
  [14759] = 14573,
  [14760] = 14760,
  [14761] = 14761,
  [14762] = 4720,
  [14763] = 14763,
  [14764] = 14684,
  [14765] = 13568,
  [14766] = 14766,
  [14767] = 14767,
  [14768] = 14768,
  [14769] = 14573,
  [14770] = 14770,
  [14771] = 14504,
  [14772] = 14772,
  [14773] = 13534,
  [14774] = 14322,
  [14775] = 14775,
  [14776] = 14573,
  [14777] = 4727,
  [14778] = 14674,
  [14779] = 4763,
  [14780] = 14573,
  [14781] = 14627,
  [14782] = 13409,
  [14783] = 13408,
  [14784] = 14686,
  [14785] = 14573,
  [14786] = 5501,
  [14787] = 14594,
  [14788] = 14573,
  [14789] = 14596,
  [14790] = 4727,
  [14791] = 4763,
  [14792] = 14573,
  [14793] = 14793,
  [14794] = 13568,
  [14795] = 14772,
  [14796] = 14796,
  [14797] = 14573,
  [14798] = 14573,
  [14799] = 13325,
  [14800] = 14554,
  [14801] = 13620,
  [14802] = 14802,
  [14803] = 14803,
  [14804] = 14804,
  [14805] = 14573,
  [14806] = 14534,
  [14807] = 14573,
  [14808] = 14127,
  [14809] = 13588,
  [14810] = 13409,
  [14811] = 13408,
  [14812] = 14573,
  [14813] = 14573,
  [14814] = 14496,
  [14815] = 14573,
  [14816] = 5493,
  [14817] = 14573,
  [14818] = 14573,
  [14819] = 5494,
  [14820] = 14573,
  [14821] = 14804,
  [14822] = 14822,
  [14823] = 14823,
  [14824] = 13683,
  [14825] = 13500,
  [14826] = 14573,
  [14827] = 14573,
  [14828] = 14828,
  [14829] = 14591,
  [14830] = 14830,
  [14831] = 14831,
  [14832] = 14830,
  [14833] = 14833,
  [14834] = 14834,
  [14835] = 14835,
  [14836] = 14836,
  [14837] = 14835,
  [14838] = 14836,
  [14839] = 14830,
  [14840] = 14830,
  [14841] = 14841,
  [14842] = 14835,
  [14843] = 14836,
  [14844] = 14836,
  [14845] = 14835,
  [14846] = 14830,
  [14847] = 14836,
  [14848] = 14830,
  [14849] = 14841,
  [14850] = 14836,
  [14851] = 14836,
  [14852] = 14830,
  [14853] = 14835,
  [14854] = 14841,
  [14855] = 14836,
  [14856] = 14856,
  [14857] = 14836,
  [14858] = 14734,
  [14859] = 14730,
  [14860] = 14830,
  [14861] = 14835,
  [14862] = 14659,
  [14863] = 14726,
  [14864] = 14864,
  [14865] = 14835,
  [14866] = 14705,
  [14867] = 14836,
  [14868] = 14796,
  [14869] = 14746,
  [14870] = 14703,
  [14871] = 14702,
  [14872] = 14836,
  [14873] = 14574,
  [14874] = 14830,
  [14875] = 14698,
  [14876] = 14830,
  [14877] = 14877,
  [14878] = 14841,
  [14879] = 14879,
  [14880] = 14081,
  [14881] = 14836,
  [14882] = 14667,
  [14883] = 14835,
  [14884] = 14660,
  [14885] = 14607,
  [14886] = 14657,
  [14887] = 14655,
  [14888] = 14653,
  [14889] = 14830,
  [14890] = 14651,
  [14891] = 14688,
  [14892] = 14648,
  [14893] = 14646,
  [14894] = 14645,
  [14895] = 14642,
  [14896] = 14833,
  [14897] = 14836,
  [14898] = 14635,
  [14899] = 14634,
  [14900] = 14608,
  [14901] = 14830,
  [14902] = 14830,
  [14903] = 14604,
  [14904] = 14904,
  [14905] = 14841,
  [14906] = 14835,
  [14907] = 14583,
  [14908] = 14579,
  [14909] = 14836,
  [14910] = 14572,
  [14911] = 14830,
  [14912] = 14587,
  [14913] = 14592,
  [14914] = 14603,
  [14915] = 14611,
  [14916] = 14830,
  [14917] = 14835,
  [14918] = 14541,
  [14919] = 14639,
  [14920] = 14640,
  [14921] = 14644,
  [14922] = 14666,
  [14923] = 14841,
  [14924] = 14712,
  [14925] = 14684,
  [14926] = 14835,
  [14927] = 14830,
  [14928] = 14081,
  [14929] = 14836,
  [14930] = 14700,
  [14931] = 14931,
  [14932] = 14630,
  [14933] = 14728,
  [14934] = 14731,
  [14935] = 14830,
  [14936] = 14828,
  [14937] = 14823,
  [14938] = 14822,
  [14939] = 14627,
  [14940] = 14940,
  [14941] = 14830,
  [14942] = 14803,
  [14943] = 14802,
  [14944] = 14841,
  [14945] = 14835,
  [14946] = 14946,
  [14947] = 14793,
  [14948] = 14856,
  [14949] = 14834,
  [14950] = 14830,
  [14951] = 14763,
  [14952] = 14761,
  [14953] = 14830,
  [14954] = 14757,
  [14955] = 14833,
  [14956] = 14754,
  [14957] = 14836,
  [14958] = 14831,
  [14959] = 14841,
  [14960] = 14710,
  [14961] = 14571,
  [14962] = 14833,
  [14963] = 14835,
  [14964] = 14830,
  [14965] = 14683,
  [14966] = 14677,
  [14967] = 14856,
  [14968] = 14834,
  [14969] = 14856,
  [14970] = 14830,
  [14971] = 14654,
  [14972] = 14650,
  [14973] = 14638,
  [14974] = 14637,
  [14975] = 14975,
  [14976] = 14830,
  [14977] = 14834,
  [14978] = 5298,
  [14979] = 14594,
  [14980] = 14623,
  [14981] = 14841,
  [14982] = 14831,
  [14983] = 14699,
  [14984] = 14841,
  [14985] = 14833,
  [14986] = 14835,
  [14987] = 14582,
  [14988] = 14830,
  [14989] = 14280,
  [14990] = 14624,
  [14991] = 14625,
  [14992] = 14856,
  [14993] = 14647,
  [14994] = 14834,
  [14995] = 14694,
  [14996] = 14620,
  [14997] = 14830,
  [14998] = 14831,
  [14999] = 14830,
  [15000] = 15000,
  [15001] = 14841,
  [15002] = 14833,
  [15003] = 15003,
  [15004] = 14831,
  [15005] = 14835,
  [15006] = 15006,
  [15007] = 15007,
  [15008] = 14830,
  [15009] = 14856,
  [15010] = 14834,
  [15011] = 15011,
  [15012] = 14836,
  [15013] = 14864,
  [15014] = 14830,
  [15015] = 15015,
  [15016] = 14830,
  [15017] = 15017,
  [15018] = 14831,
  [15019] = 4018,
  [15020] = 14841,
  [15021] = 15021,
  [15022] = 14833,
  [15023] = 14835,
  [15024] = 15024,
  [15025] = 14835,
  [15026] = 14830,
  [15027] = 14830,
  [15028] = 15028,
  [15029] = 15029,
  [15030] = 14856,
  [15031] = 14834,
  [15032] = 14830,
  [15033] = 14830,
  [15034] = 13885,
  [15035] = 14831,
  [15036] = 14877,
  [15037] = 14830,
  [15038] = 14841,
  [15039] = 4028,
  [15040] = 14879,
  [15041] = 15041,
  [15042] = 14834,
  [15043] = 14833,
  [15044] = 14835,
  [15045] = 15045,
  [15046] = 15046,
  [15047] = 14804,
  [15048] = 14856,
  [15049] = 14834,
  [15050] = 15050,
  [15051] = 14856,
  [15052] = 14830,
  [15053] = 14904,
  [15054] = 14833,
  [15055] = 14830,
  [15056] = 14841,
  [15057] = 15057,
  [15058] = 14831,
  [15059] = 15059,
  [15060] = 14841,
  [15061] = 15061,
  [15062] = 15062,
  [15063] = 14833,
  [15064] = 14835,
  [15065] = 14831,
  [15066] = 15066,
  [15067] = 13921,
  [15068] = 14856,
  [15069] = 14834,
  [15070] = 14830,
  [15071] = 14830,
  [15072] = 15072,
  [15073] = 14831,
  [15074] = 14841,
  [15075] = 14833,
  [15076] = 14830,
  [15077] = 14835,
  [15078] = 14601,
  [15079] = 14841,
  [15080] = 14830,
  [15081] = 15081,
  [15082] = 14856,
  [15083] = 14834,
  [15084] = 14830,
  [15085] = 14830,
  [15086] = 14831,
  [15087] = 15087,
  [15088] = 15088,
  [15089] = 14841,
  [15090] = 14834,
  [15091] = 14856,
  [15092] = 5286,
  [15093] = 14833,
  [15094] = 15094,
  [15095] = 15095,
  [15096] = 14835,
  [15097] = 15097,
  [15098] = 14830,
  [15099] = 14931,
  [15100] = 15100,
  [15101] = 14931,
  [15102] = 14856,
  [15103] = 14627,
  [15104] = 14834,
  [15105] = 14940,
  [15106] = 14830,
  [15107] = 14010,
  [15108] = 14011,
  [15109] = 14831,
  [15110] = 14946,
  [15111] = 14830,
  [15112] = 15112,
  [15113] = 15113,
  [15114] = 14831,
  [15115] = 14856,
  [15116] = 14834,
  [15117] = 14841,
  [15118] = 14835,
  [15119] = 14830,
  [15120] = 14704,
  [15121] = 14833,
  [15122] = 14833,
  [15123] = 15123,
  [15124] = 14835,
  [15125] = 15125,
  [15126] = 14830,
  [15127] = 14856,
  [15128] = 14834,
  [15129] = 15129,
  [15130] = 15130,
  [15131] = 14830,
  [15132] = 15132,
  [15133] = 14831,
  [15134] = 14841,
  [15135] = 15041,
  [15136] = 14835,
  [15137] = 14975,
  [15138] = 14594,
  [15139] = 14841,
  [15140] = 14833,
  [15141] = 14841,
  [15142] = 14835,
  [15143] = 15143,
  [15144] = 14831,
  [15145] = 14833,
  [15146] = 14856,
  [15147] = 15147,
  [15148] = 14836,
  [15149] = 14834,
  [15150] = 14772,
  [15151] = 14830,
  [15152] = 14620,
  [15153] = 14831,
  [15154] = 14841,
  [15155] = 14833,
  [15156] = 14835,
  [15157] = 14856,
  [15158] = 14834,
  [15159] = 14830,
  [15160] = 14831,
  [15161] = 14831,
  [15162] = 14841,
  [15163] = 14833,
  [15164] = 15164,
  [15165] = 14834,
  [15166] = 14841,
  [15167] = 14856,
  [15168] = 14835,
  [15169] = 15169,
  [15170] = 15170,
  [15171] = 15170,
  [15172] = 15172,
  [15173] = 15173,
  [15174] = 15173,
  [15175] = 15175,
  [15176] = 15176,
  [15177] = 15170,
  [15178] = 15173,
  [15179] = 15175,
  [15180] = 15169,
  [15181] = 15181,
  [15182] = 15170,
  [15183] = 15183,
  [15184] = 15183,
  [15185] = 15175,
  [15186] = 15169,
  [15187] = 15170,
  [15188] = 15188,
  [15189] = 15175,
  [15190] = 15181,
  [15191] = 15170,
  [15192] = 15175,
  [15193] = 15170,
  [15194] = 15173,
  [15195] = 15173,
  [15196] = 15181,
  [15197] = 15181,
  [15198] = 15175,
  [15199] = 15170,
  [15200] = 15200,
  [15201] = 15183,
  [15202] = 15202,
  [15203] = 15169,
  [15204] = 15175,
  [15205] = 15205,
  [15206] = 15170,
  [15207] = 15183,
  [15208] = 15175,
  [15209] = 15169,
  [15210] = 15169,
  [15211] = 15170,
  [15212] = 15173,
  [15213] = 15213,
  [15214] = 15183,
  [15215] = 15175,
  [15216] = 15181,
  [15217] = 15170,
  [15218] = 15183,
  [15219] = 15181,
  [15220] = 15169,
  [15221] = 15169,
  [15222] = 15175,
  [15223] = 15170,
  [15224] = 15169,
  [15225] = 15175,
  [15226] = 15173,
  [15227] = 15227,
  [15228] = 15170,
  [15229] = 15173,
  [15230] = 15175,
  [15231] = 15170,
  [15232] = 15181,
  [15233] = 15181,
  [15234] = 15183,
  [15235] = 15175,
  [15236] = 15183,
  [15237] = 15237,
  [15238] = 15169,
  [15239] = 15170,
  [15240] = 15173,
  [15241] = 15176,
  [15242] = 15175,
  [15243] = 15170,
  [15244] = 15169,
  [15245] = 15237,
  [15246] = 5386,
  [15247] = 15173,
  [15248] = 15183,
  [15249] = 15175,
  [15250] = 15181,
  [15251] = 15170,
  [15252] = 15188,
  [15253] = 15175,
  [15254] = 15183,
  [15255] = 15181,
  [15256] = 15169,
  [15257] = 15170,
  [15258] = 15175,
  [15259] = 15170,
  [15260] = 15170,
  [15261] = 15261,
  [15262] = 15261,
  [15263] = 15173,
  [15264] = 15175,
  [15265] = 15173,
  [15266] = 15170,
  [15267] = 15200,
  [15268] = 15181,
  [15269] = 15202,
  [15270] = 15227,
  [15271] = 15175,
  [15272] = 15183,
  [15273] = 15183,
  [15274] = 15169,
  [15275] = 15170,
  [15276] = 15169,
  [15277] = 15175,
  [15278] = 15170,
  [15279] = 15213,
  [15280] = 15181,
  [15281] = 15175,
  [15282] = 15183,
  [15283] = 15173,
  [15284] = 15227,
  [15285] = 15175,
  [15286] = 15181,
  [15287] = 15170,
  [15288] = 15169,
  [15289] = 15169,
  [15290] = 15183,
  [15291] = 15261,
  [15292] = 15169,
  [15293] = 15237,
  [15294] = 15173,
  [15295] = 15183,
  [15296] = 15176,
  [15297] = 15173,
  [15298] = 15181,
  [15299] = 15170,
  [15300] = 15188,
  [15301] = 15173,
  [15302] = 15183,
  [15303] = 15303,
  [15304] = 15181,
  [15305] = 15175,
  [15306] = 15170,
  [15307] = 15173,
  [15308] = 15183,
  [15309] = 15173,
  [15310] = 15169,
  [15311] = 15181,
  [15312] = 15175,
  [15313] = 15200,
  [15314] = 15202,
  [15315] = 15183,
  [15316] = 15227,
  [15317] = 15317,
  [15318] = 15170,
  [15319] = 15173,
  [15320] = 15169,
  [15321] = 15261,
  [15322] = 15181,
  [15323] = 15237,
  [15324] = 15188,
  [15325] = 15181,
  [15326] = 15183,
  [15327] = 15213,
  [15328] = 15169,
  [15329] = 15329,
  [15330] = 15330,
  [15331] = 15331,
  [15332] = 15181,
  [15333] = 15333,
  [15334] = 15169,
  [15335] = 15335,
  [15336] = 15183,
  [15337] = 15173,
  [15338] = 15183,
  [15339] = 15339,
  [15340] = 15181,
  [15341] = 15175,
  [15342] = 15181,
  [15343] = 15170,
  [15344] = 15183,
  [15345] = 15181,
  [15346] = 15169,
  [15347] = 15347,
  [15348] = 15348,
  [15349] = 15349,
  [15350] = 15183,
  [15351] = 15351,
  [15352] = 15173,
  [15353] = 15169,
  [15354] = 15354,
  [15355] = 15173,
  [15356] = 15227,
  [15357] = 15357,
  [15358] = 15181,
  [15359] = 15173,
  [15360] = 15360,
  [15361] = 15261,
  [15362] = 15183,
  [15363] = 15172,
  [15364] = 15169,
  [15365] = 15237,
  [15366] = 15366,
  [15367] = 15173,
  [15368] = 15173,
  [15369] = 15176,
  [15370] = 15176,
  [15371] = 15169,
  [15372] = 15175,
  [15373] = 15173,
  [15374] = 15227,
  [15375] = 15375,
  [15376] = 15181,
  [15377] = 15377,
  [15378] = 15188,
  [15379] = 15183,
  [15380] = 15183,
  [15381] = 15170,
  [15382] = 15169,
  [15383] = 15173,
  [15384] = 15181,
  [15385] = 15175,
  [15386] = 15181,
  [15387] = 15170,
  [15388] = 15200,
  [15389] = 15202,
  [15390] = 15175,
  [15391] = 15173,
  [15392] = 15173,
  [15393] = 15393,
  [15394] = 15181,
  [15395] = 15183,
  [15396] = 15396,
  [15397] = 15397,
  [15398] = 15183,
  [15399] = 15399,
  [15400] = 15169,
  [15401] = 15169,
  [15402] = 15213,
  [15403] = 15169,
  [15404] = 15404,
  [15405] = 15405,
  [15406] = 15188,
  [15407] = 15213,
  [15408] = 15408,
  [15409] = 15173,
  [15410] = 15410,
  [15411] = 15169,
  [15412] = 15181,
  [15413] = 15169,
  [15414] = 15414,
  [15415] = 15181,
  [15416] = 15183,
  [15417] = 15417,
  [15418] = 15169,
  [15419] = 15419,
  [15420] = 15183,
  [15421] = 15421,
  [15422] = 15422,
  [15423] = 15181,
  [15424] = 15424,
  [15425] = 15213,
  [15426] = 15170,
  [15427] = 15173,
  [15428] = 15175,
  [15429] = 15183,
  [15430] = 15181,
  [15431] = 15181,
  [15432] = 15227,
  [15433] = 15173,
  [15434] = 15183,
  [15435] = 15183,
  [15436] = 15169,
  [15437] = 15181,
  [15438] = 15438,
  [15439] = 15169,
  [15440] = 15173,
  [15441] = 15441,
  [15442] = 15200,
  [15443] = 15443,
  [15444] = 15202,
  [15445] = 15173,
  [15446] = 15170,
  [15447] = 15213,
  [15448] = 15181,
  [15449] = 15261,
  [15450] = 15237,
  [15451] = 15451,
  [15452] = 15183,
  [15453] = 15169,
  [15454] = 15169,
  [15455] = 15173,
  [15456] = 15176,
  [15457] = 15173,
  [15458] = 15183,
  [15459] = 15459,
  [15460] = 15460,
  [15461] = 15181,
  [15462] = 15175,
  [15463] = 15173,
  [15464] = 15188,
  [15465] = 15170,
  [15466] = 15181,
  [15467] = 15173,
  [15468] = 15175,
  [15469] = 15261,
  [15470] = 15183,
  [15471] = 15471,
  [15472] = 15169,
  [15473] = 15183,
  [15474] = 15169,
  [15475] = 15173,
  [15476] = 15181,
  [15477] = 15183,
  [15478] = 15181,
  [15479] = 15170,
  [15480] = 15480,
  [15481] = 15173,
  [15482] = 15200,
  [15483] = 15202,
  [15484] = 15181,
  [15485] = 15485,
  [15486] = 15183,
  [15487] = 15237,
  [15488] = 15183,
  [15489] = 15213,
  [15490] = 15169,
  [15491] = 15491,
  [15492] = 15170,
  [15493] = 15493,
  [15494] = 15169,
  [15495] = 15205,
  [15496] = 15183,
  [15497] = 15175,
  [15498] = 15498,
  [15499] = 15173,
  [15500] = 15169,
  [15501] = 15181,
  [15502] = 15181,
  [15503] = 15213,
  [15504] = 15205,
  [15505] = 15493,
  [15506] = 15183,
  [15507] = 15507,
  [15508] = 15169,
  [15509] = 15491,
  [15510] = 15181,
  [15511] = 15511,
  [15512] = 15485,
  [15513] = 15173,
  [15514] = 15480,
  [15515] = 15183,
  [15516] = 15471,
  [15517] = 15173,
  [15518] = 15460,
  [15519] = 15183,
  [15520] = 15181,
  [15521] = 15169,
  [15522] = 15173,
  [15523] = 15202,
  [15524] = 15183,
  [15525] = 15170,
  [15526] = 15169,
  [15527] = 15175,
  [15528] = 15200,
  [15529] = 15213,
  [15530] = 15213,
  [15531] = 15170,
  [15532] = 15169,
  [15533] = 15181,
  [15534] = 15459,
  [15535] = 15173,
  [15536] = 15366,
  [15537] = 15175,
  [15538] = 15181,
  [15539] = 15424,
  [15540] = 15227,
  [15541] = 15169,
  [15542] = 15183,
  [15543] = 15181,
  [15544] = 15169,
  [15545] = 15172,
  [15546] = 15422,
  [15547] = 15451,
  [15548] = 15169,
  [15549] = 15181,
  [15550] = 15421,
  [15551] = 15173,
  [15552] = 15419,
  [15553] = 15173,
  [15554] = 15261,
  [15555] = 15237,
  [15556] = 15181,
  [15557] = 15173,
  [15558] = 15176,
  [15559] = 15183,
  [15560] = 15183,
  [15561] = 15183,
  [15562] = 15169,
  [15563] = 15188,
  [15564] = 15170,
  [15565] = 15181,
  [15566] = 15175,
  [15567] = 15567,
  [15568] = 15213,
  [15569] = 15200,
  [15570] = 15202,
  [15571] = 15173,
  [15572] = 15169,
  [15573] = 15573,
  [15574] = 15181,
  [15575] = 15575,
  [15576] = 15576,
  [15577] = 15183,
  [15578] = 15183,
  [15579] = 15579,
  [15580] = 15169,
  [15581] = 15581,
  [15582] = 15183,
  [15583] = 15188,
  [15584] = 15181,
  [15585] = 15585,
  [15586] = 15181,
  [15587] = 15181,
  [15588] = 15170,
  [15589] = 15173,
  [15590] = 15213,
  [15591] = 15173,
  [15592] = 15181,
  [15593] = 15183,
  [15594] = 15169,
  [15595] = 15169,
  [15596] = 15183,
  [15597] = 15438,
  [15598] = 15169,
  [15599] = 15173,
  [15600] = 15600,
  [15601] = 15173,
  [15602] = 15176,
  [15603] = 15173,
  [15604] = 15213,
  [15605] = 15366,
  [15606] = 15172,
  [15607] = 15173,
  [15608] = 15213,
  [15609] = 15181,
  [15610] = 15610,
  [15611] = 15611,
  [15612] = 15175,
  [15613] = 15183,
  [15614] = 15169,
  [15615] = 15169,
  [15616] = 15417,
  [15617] = 15227,
  [15618] = 15176,
  [15619] = 15183,
  [15620] = 15261,
  [15621] = 15237,
  [15622] = 15181,
  [15623] = 15408,
  [15624] = 15173,
  [15625] = 15181,
  [15626] = 15170,
  [15627] = 15173,
  [15628] = 15405,
  [15629] = 15183,
  [15630] = 15176,
  [15631] = 15169,
  [15632] = 15404,
  [15633] = 15339,
  [15634] = 15173,
  [15635] = 15175,
  [15636] = 15173,
  [15637] = 15188,
  [15638] = 15638,
  [15639] = 15181,
  [15640] = 15183,
  [15641] = 15181,
  [15642] = 14081,
  [15643] = 15169,
  [15644] = 15170,
  [15645] = 15169,
  [15646] = 15330,
  [15647] = 15200,
  [15648] = 15202,
  [15649] = 15399,
  [15650] = 15181,
  [15651] = 15183,
  [15652] = 15237,
  [15653] = 15261,
  [15654] = 15169,
  [15655] = 15175,
  [15656] = 15656,
  [15657] = 15181,
  [15658] = 15183,
  [15659] = 15169,
  [15660] = 15213,
  [15661] = 15181,
  [15662] = 15205,
  [15663] = 15175,
  [15664] = 15664,
  [15665] = 15169,
  [15666] = 15397,
  [15667] = 15667,
  [15668] = 15213,
  [15669] = 15396,
  [15670] = 15169,
  [15671] = 15393,
  [15672] = 15181,
  [15673] = 15202,
  [15674] = 15674,
  [15675] = 15675,
  [15676] = 15169,
  [15677] = 15677,
  [15678] = 15181,
  [15679] = 15679,
  [15680] = 15170,
  [15681] = 15183,
  [15682] = 15227,
  [15683] = 15181,
  [15684] = 15227,
  [15685] = 15169,
  [15686] = 15173,
  [15687] = 15169,
  [15688] = 15261,
  [15689] = 15237,
  [15690] = 15173,
  [15691] = 15181,
  [15692] = 15176,
  [15693] = 15200,
  [15694] = 15181,
  [15695] = 15695,
  [15696] = 15175,
  [15697] = 15377,
  [15698] = 15169,
  [15699] = 15188,
  [15700] = 15700,
  [15701] = 15170,
  [15702] = 15173,
  [15703] = 15175,
  [15704] = 15181,
  [15705] = 15181,
  [15706] = 15169,
  [15707] = 15200,
  [15708] = 15202,
  [15709] = 15169,
  [15710] = 15360,
  [15711] = 15183,
  [15712] = 15173,
  [15713] = 15175,
  [15714] = 15169,
  [15715] = 15357,
  [15716] = 15181,
  [15717] = 15354,
  [15718] = 15213,
  [15719] = 15351,
  [15720] = 15169,
  [15721] = 15183,
  [15722] = 15722,
  [15723] = 15170,
  [15724] = 15724,
  [15725] = 15181,
  [15726] = 15181,
  [15727] = 15175,
  [15728] = 15169,
  [15729] = 15729,
  [15730] = 15181,
  [15731] = 15183,
  [15732] = 15181,
  [15733] = 15169,
  [15734] = 15173,
  [15735] = 15169,
  [15736] = 15227,
  [15737] = 15737,
  [15738] = 15170,
  [15739] = 15181,
  [15740] = 15740,
  [15741] = 15213,
  [15742] = 15169,
  [15743] = 15175,
  [15744] = 15261,
  [15745] = 15181,
  [15746] = 15169,
  [15747] = 15169,
  [15748] = 15237,
  [15749] = 15181,
  [15750] = 15183,
  [15751] = 15169,
  [15752] = 15173,
  [15753] = 15181,
  [15754] = 14103,
  [15755] = 15169,
  [15756] = 15181,
  [15757] = 15181,
  [15758] = 15175,
  [15759] = 15169,
  [15760] = 15176,
  [15761] = 15181,
  [15762] = 15173,
  [15763] = 15169,
  [15764] = 15349,
  [15765] = 15181,
  [15766] = 15173,
  [15767] = 15169,
  [15768] = 15175,
  [15769] = 15181,
  [15770] = 15188,
  [15771] = 15169,
  [15772] = 15772,
  [15773] = 15181,
  [15774] = 15170,
  [15775] = 15169,
  [15776] = 15181,
  [15777] = 15181,
  [15778] = 15175,
  [15779] = 15169,
  [15780] = 15780,
  [15781] = 15181,
  [15782] = 15213,
  [15783] = 15169,
  [15784] = 15169,
  [15785] = 15181,
  [15786] = 15169,
  [15787] = 15169,
  [15788] = 15788,
  [15789] = 15181,
  [15790] = 15183,
  [15791] = 15169,
  [15792] = 15200,
  [15793] = 15181,
  [15794] = 15181,
  [15795] = 15169,
  [15796] = 15181,
  [15797] = 15181,
  [15798] = 15798,
  [15799] = 15169,
  [15800] = 15202,
  [15801] = 15183,
  [15802] = 15183,
  [15803] = 15173,
  [15804] = 15170,
  [15805] = 15169,
  [15806] = 15175,
  [15807] = 15213,
  [15808] = 15181,
  [15809] = 15170,
  [15810] = 15810,
  [15811] = 15183,
  [15812] = 15213,
  [15813] = 15169,
  [15814] = 15173,
  [15815] = 15815,
  [15816] = 15169,
  [15817] = 15176,
  [15818] = 15183,
  [15819] = 15335,
  [15820] = 15261,
  [15821] = 15181,
  [15822] = 15333,
  [15823] = 15237,
  [15824] = 15175,
  [15825] = 15173,
  [15826] = 15826,
  [15827] = 15173,
  [15828] = 15227,
  [15829] = 15173,
  [15830] = 15176,
  [15831] = 15172,
  [15832] = 15832,
  [15833] = 15173,
  [15834] = 15170,
  [15835] = 15213,
  [15836] = 15188,
  [15837] = 15175,
  [15838] = 15169,
  [15839] = 15237,
  [15840] = 15183,
  [15841] = 15841,
  [15842] = 15317,
  [15843] = 15169,
  [15844] = 15181,
  [15845] = 15181,
  [15846] = 15181,
  [15847] = 15183,
  [15848] = 15200,
  [15849] = 15176,
  [15850] = 15173,
  [15851] = 15202,
  [15852] = 15170,
  [15853] = 15183,
  [15854] = 15261,
  [15855] = 15855,
  [15856] = 15169,
  [15857] = 15213,
  [15858] = 15213,
  [15859] = 15419,
  [15860] = 15331,
  [15861] = 15421,
  [15862] = 15169,
  [15863] = 15422,
  [15864] = 15175,
  [15865] = 15424,
  [15866] = 15183,
  [15867] = 15181,
  [15868] = 15868,
  [15869] = 15181,
  [15870] = 15870,
  [15871] = 15438,
  [15872] = 15183,
  [15873] = 15169,
  [15874] = 15173,
  [15875] = 15170,
  [15876] = 15876,
  [15877] = 15227,
  [15878] = 15175,
  [15879] = 15173,
  [15880] = 15261,
  [15881] = 15237,
  [15882] = 15170,
  [15883] = 15173,
  [15884] = 15176,
  [15885] = 15188,
  [15886] = 15170,
  [15887] = 15188,
  [15888] = 15213,
  [15889] = 15173,
  [15890] = 15169,
  [15891] = 15175,
  [15892] = 15183,
  [15893] = 15170,
  [15894] = 15175,
  [15895] = 15679,
  [15896] = 15181,
  [15897] = 15175,
  [15898] = 15169,
  [15899] = 15181,
  [15900] = 15170,
  [15901] = 15202,
  [15902] = 15183,
  [15903] = 15183,
  [15904] = 15175,
  [15905] = 15227,
  [15906] = 15173,
  [15907] = 15200,
  [15908] = 15213,
  [15909] = 15170,
  [15910] = 15181,
  [15911] = 15175,
  [15912] = 15183,
  [15913] = 15227,
  [15914] = 15213,
  [15915] = 15169,
  [15916] = 15169,
  [15917] = 15261,
  [15918] = 15183,
  [15919] = 15237,
  [15920] = 15173,
  [15921] = 15181,
  [15922] = 15173,
  [15923] = 15170,
  [15924] = 15175,
  [15925] = 15173,
  [15926] = 15173,
  [15927] = 15170,
  [15928] = 15176,
  [15929] = 15176,
  [15930] = 15181,
  [15931] = 15169,
  [15932] = 15176,
  [15933] = 15176,
  [15934] = 15176,
  [15935] = 15176,
  [15936] = 15176,
  [15937] = 15176,
  [15938] = 15176,
  [15939] = 15176,
  [15940] = 15176,
  [15941] = 15176,
  [15942] = 15176,
  [15943] = 15176,
  [15944] = 15176,
  [15945] = 15176,
  [15946] = 15176,
  [15947] = 15176,
  [15948] = 15176,
  [15949] = 15213,
  [15950] = 15175,
  [15951] = 15183,
  [15952] = 15213,
  [15953] = 15188,
  [15954] = 15169,
  [15955] = 15181,
  [15956] = 15183,
  [15957] = 15181,
  [15958] = 15170,
  [15959] = 15181,
  [15960] = 15200,
  [15961] = 15181,
  [15962] = 15202,
  [15963] = 15173,
  [15964] = 15200,
  [15965] = 15183,
  [15966] = 15173,
  [15967] = 15169,
  [15968] = 15213,
  [15969] = 15183,
  [15970] = 15169,
  [15971] = 15170,
  [15972] = 15169,
  [15973] = 15202,
  [15974] = 15227,
  [15975] = 15175,
  [15976] = 15261,
  [15977] = 15460,
  [15978] = 15169,
  [15979] = 15237,
  [15980] = 15183,
  [15981] = 15317,
  [15982] = 15173,
  [15983] = 15176,
  [15984] = 15181,
  [15985] = 15173,
  [15986] = 15170,
  [15987] = 15169,
  [15988] = 15169,
  [15989] = 15173,
  [15990] = 15175,
  [15991] = 15183,
  [15992] = 15188,
  [15993] = 15181,
  [15994] = 15170,
  [15995] = 15181,
  [15996] = 15175,
  [15997] = 15438,
  [15998] = 15213,
  [15999] = 15200,
  [16000] = 15202,
  [16001] = 15169,
  [16002] = 15183,
  [16003] = 15169,
  [16004] = 15213,
  [16005] = 15170,
  [16006] = 15183,
  [16007] = 15181,
  [16008] = 15679,
  [16009] = 15170,
  [16010] = 15175,
  [16011] = 15679,
  [16012] = 15205,
  [16013] = 15181,
  [16014] = 15183,
  [16015] = 15227,
  [16016] = 15173,
  [16017] = 15175,
  [16018] = 15169,
  [16019] = 15493,
  [16020] = 15176,
  [16021] = 15176,
  [16022] = 15176,
  [16023] = 15176,
  [16024] = 15176,
  [16025] = 15176,
  [16026] = 15176,
  [16027] = 15176,
  [16028] = 15173,
  [16029] = 15170,
  [16030] = 15261,
  [16031] = 15679,
  [16032] = 15491,
  [16033] = 15173,
  [16034] = 15237,
  [16035] = 15175,
  [16036] = 15173,
  [16037] = 15176,
  [16038] = 15331,
  [16039] = 15169,
  [16040] = 15181,
  [16041] = 15183,
  [16042] = 15213,
  [16043] = 15188,
  [16044] = 15169,
  [16045] = 15170,
  [16046] = 15175,
  [16047] = 15183,
  [16048] = 15679,
  [16049] = 15317,
  [16050] = 15181,
  [16051] = 15181,
  [16052] = 15181,
  [16053] = 15200,
  [16054] = 15202,
  [16055] = 15480,
  [16056] = 15183,
  [16057] = 15173,
  [16058] = 15438,
  [16059] = 15169,
  [16060] = 15213,
  [16061] = 15183,
  [16062] = 14507,
  [16063] = 15679,
  [16064] = 15169,
  [16065] = 15173,
  [16066] = 15679,
  [16067] = 15170,
  [16068] = 15227,
  [16069] = 15335,
  [16070] = 15175,
  [16071] = 15183,
  [16072] = 15173,
  [16073] = 15176,
  [16074] = 15176,
  [16075] = 15176,
  [16076] = 15176,
  [16077] = 15176,
  [16078] = 15176,
  [16079] = 15176,
  [16080] = 15176,
  [16081] = 15213,
  [16082] = 15181,
  [16083] = 15169,
  [16084] = 15261,
  [16085] = 15183,
  [16086] = 15237,
  [16087] = 15173,
  [16088] = 15170,
  [16089] = 15679,
  [16090] = 15188,
  [16091] = 15181,
  [16092] = 15205,
  [16093] = 15175,
  [16094] = 15183,
  [16095] = 15170,
  [16096] = 15351,
  [16097] = 15175,
  [16098] = 15181,
  [16099] = 15173,
  [16100] = 15317,
  [16101] = 15181,
  [16102] = 15200,
  [16103] = 15202,
  [16104] = 15183,
  [16105] = 15183,
  [16106] = 15169,
  [16107] = 15169,
  [16108] = 15213,
  [16109] = 15438,
  [16110] = 15679,
  [16111] = 15169,
  [16112] = 15213,
  [16113] = 15170,
  [16114] = 15183,
  [16115] = 15173,
  [16116] = 15679,
  [16117] = 15173,
  [16118] = 15227,
  [16119] = 15638,
  [16120] = 15451,
  [16121] = 15175,
  [16122] = 15176,
  [16123] = 15176,
  [16124] = 15176,
  [16125] = 15181,
  [16126] = 15261,
  [16127] = 15237,
  [16128] = 15173,
  [16129] = 15176,
  [16130] = 15170,
  [16131] = 15173,
  [16132] = 15173,
  [16133] = 15679,
  [16134] = 15181,
  [16135] = 15188,
  [16136] = 15175,
  [16137] = 15377,
  [16138] = 15181,
  [16139] = 16139,
  [16140] = 15200,
  [16141] = 15317,
  [16142] = 15213,
  [16143] = 14535,
  [16144] = 15169,
  [16145] = 15202,
  [16146] = 15438,
  [16147] = 15183,
  [16148] = 15183,
  [16149] = 15169,
  [16150] = 15169,
  [16151] = 15181,
  [16152] = 15183,
  [16153] = 15679,
  [16154] = 15183,
  [16155] = 15679,
  [16156] = 15213,
  [16157] = 15404,
  [16158] = 15181,
  [16159] = 15176,
  [16160] = 15176,
  [16161] = 15169,
  [16162] = 15169,
  [16163] = 15181,
  [16164] = 15405,
  [16165] = 15173,
  [16166] = 15173,
  [16167] = 15405,
  [16168] = 15404,
  [16169] = 15213,
  [16170] = 15176,
  [16171] = 15173,
  [16172] = 15181,
  [16173] = 15213,
  [16174] = 15213,
  [16175] = 15729,
  [16176] = 15317,
  [16177] = 15169,
  [16178] = 15169,
  [16179] = 15397,
  [16180] = 15183,
  [16181] = 15438,
  [16182] = 15679,
  [16183] = 15202,
  [16184] = 15396,
  [16185] = 15200,
  [16186] = 15227,
  [16187] = 15737,
  [16188] = 15679,
  [16189] = 15169,
  [16190] = 15740,
  [16191] = 15261,
  [16192] = 15181,
  [16193] = 15237,
  [16194] = 15176,
  [16195] = 15173,
  [16196] = 15176,
  [16197] = 15183,
  [16198] = 15183,
  [16199] = 15188,
  [16200] = 15169,
  [16201] = 14501,
  [16202] = 15176,
  [16203] = 15173,
  [16204] = 15679,
  [16205] = 15237,
  [16206] = 15261,
  [16207] = 15393,
  [16208] = 15377,
  [16209] = 15181,
  [16210] = 15317,
  [16211] = 15451,
  [16212] = 15351,
  [16213] = 15317,
  [16214] = 15183,
  [16215] = 15438,
  [16216] = 15213,
  [16217] = 15173,
  [16218] = 15485,
  [16219] = 15169,
  [16220] = 15181,
  [16221] = 15200,
  [16222] = 15679,
  [16223] = 15202,
  [16224] = 15832,
  [16225] = 15183,
  [16226] = 15183,
  [16227] = 15679,
  [16228] = 15176,
  [16229] = 15202,
  [16230] = 15200,
  [16231] = 15169,
  [16232] = 15679,
  [16233] = 15213,
  [16234] = 15181,
  [16235] = 15460,
  [16236] = 15335,
  [16237] = 15438,
  [16238] = 15181,
  [16239] = 15202,
  [16240] = 15200,
  [16241] = 15169,
  [16242] = 15331,
  [16243] = 15176,
  [16244] = 15317,
  [16245] = 15173,
  [16246] = 15317,
  [16247] = 15237,
  [16248] = 15261,
  [16249] = 15438,
  [16250] = 15183,
  [16251] = 15870,
  [16252] = 15181,
  [16253] = 15227,
  [16254] = 15261,
  [16255] = 15237,
  [16256] = 15679,
  [16257] = 15173,
  [16258] = 15176,
  [16259] = 15679,
  [16260] = 15181,
  [16261] = 15169,
  [16262] = 15188,
  [16263] = 15213,
  [16264] = 15438,
  [16265] = 15317,
  [16266] = 15181,
  [16267] = 15169,
  [16268] = 15188,
  [16269] = 15200,
  [16270] = 15183,
  [16271] = 15202,
  [16272] = 15202,
  [16273] = 15200,
  [16274] = 15183,
  [16275] = 15173,
  [16276] = 15181,
  [16277] = 15317,
  [16278] = 15169,
  [16279] = 15213,
  [16280] = 15679,
  [16281] = 15183,
  [16282] = 15438,
  [16283] = 15176,
  [16284] = 15438,
  [16285] = 15227,
  [16286] = 15176,
  [16287] = 15173,
  [16288] = 15317,
  [16289] = 15679,
  [16290] = 15173,
  [16291] = 15261,
  [16292] = 15237,
  [16293] = 15173,
  [16294] = 15237,
  [16295] = 15261,
  [16296] = 15176,
  [16297] = 15172,
  [16298] = 15188,
  [16299] = 15679,
  [16300] = 15181,
  [16301] = 15200,
  [16302] = 15438,
  [16303] = 15181,
  [16304] = 15202,
  [16305] = 15183,
  [16306] = 15213,
  [16307] = 15317,
  [16308] = 15237,
  [16309] = 15169,
  [16310] = 15317,
  [16311] = 15261,
  [16312] = 15169,
  [16313] = 15183,
  [16314] = 15213,
  [16315] = 15438,
  [16316] = 15202,
  [16317] = 15200,
  [16318] = 15169,
  [16319] = 15169,
  [16320] = 15181,
  [16321] = 15227,
  [16322] = 15679,
  [16323] = 15679,
  [16324] = 15261,
  [16325] = 15237,
  [16326] = 15181,
  [16327] = 15173,
  [16328] = 15438,
  [16329] = 15176,
  [16330] = 15183,
  [16331] = 15317,
  [16332] = 15173,
  [16333] = 15227,
  [16334] = 15176,
  [16335] = 15173,
  [16336] = 15188,
  [16337] = 15237,
  [16338] = 15261,
  [16339] = 15181,
  [16340] = 15213,
  [16341] = 15183,
  [16342] = 15200,
  [16343] = 15317,
  [16344] = 15202,
  [16345] = 15169,
  [16346] = 15173,
  [16347] = 15183,
  [16348] = 15438,
  [16349] = 16349,
  [16350] = 16349,
  [16351] = 16351,
  [16352] = 16352,
  [16353] = 16349,
  [16354] = 16354,
  [16355] = 16355,
  [16356] = 16356,
  [16357] = 8838,
  [16358] = 16358,
  [16359] = 16349,
  [16360] = 16349,
  [16361] = 16356,
  [16362] = 16362,
  [16363] = 16358,
  [16364] = 16351,
  [16365] = 16352,
  [16366] = 16354,
  [16367] = 16355,
  [16368] = 16358,
  [16369] = 16356,
  [16370] = 16358,
  [16371] = 16349,
  [16372] = 16354,
  [16373] = 16352,
  [16374] = 16374,
  [16375] = 16352,
  [16376] = 16351,
  [16377] = 16349,
  [16378] = 16351,
  [16379] = 16352,
  [16380] = 16355,
  [16381] = 16349,
  [16382] = 8857,
  [16383] = 16383,
  [16384] = 16356,
  [16385] = 16352,
  [16386] = 16351,
  [16387] = 16349,
  [16388] = 16358,
  [16389] = 16349,
  [16390] = 16352,
  [16391] = 5337,
  [16392] = 16352,
  [16393] = 16351,
  [16394] = 16351,
  [16395] = 16351,
  [16396] = 16352,
  [16397] = 16349,
  [16398] = 5754,
  [16399] = 16356,
  [16400] = 16349,
  [16401] = 16352,
  [16402] = 16351,
  [16403] = 16358,
  [16404] = 8880,
  [16405] = 8878,
  [16406] = 16349,
  [16407] = 16358,
  [16408] = 16351,
  [16409] = 16349,
  [16410] = 16358,
  [16411] = 16351,
  [16412] = 16352,
  [16413] = 16352,
  [16414] = 16356,
  [16415] = 16349,
  [16416] = 16352,
  [16417] = 16354,
  [16418] = 16351,
  [16419] = 16355,
  [16420] = 8839,
  [16421] = 16358,
  [16422] = 16422,
  [16423] = 16349,
  [16424] = 8835,
  [16425] = 8832,
  [16426] = 16426,
  [16427] = 8829,
  [16428] = 16351,
  [16429] = 8827,
  [16430] = 16349,
  [16431] = 16352,
  [16432] = 16351,
  [16433] = 5296,
  [16434] = 16352,
  [16435] = 16349,
  [16436] = 16352,
  [16437] = 16437,
  [16438] = 16438,
  [16439] = 5754,
  [16440] = 8826,
  [16441] = 14754,
  [16442] = 16442,
  [16443] = 16352,
  [16444] = 16351,
  [16445] = 5494,
  [16446] = 5493,
  [16447] = 16356,
  [16448] = 16358,
  [16449] = 16352,
  [16450] = 16351,
  [16451] = 14127,
  [16452] = 16349,
  [16453] = 16349,
  [16454] = 14754,
  [16455] = 16455,
  [16456] = 16356,
  [16457] = 16356,
  [16458] = 16349,
  [16459] = 16352,
  [16460] = 16351,
  [16461] = 16351,
  [16462] = 16352,
  [16463] = 16351,
  [16464] = 16349,
  [16465] = 16465,
  [16466] = 16349,
  [16467] = 16358,
  [16468] = 16358,
  [16469] = 16356,
  [16470] = 16470,
  [16471] = 16352,
  [16472] = 16351,
  [16473] = 16358,
  [16474] = 16349,
  [16475] = 16358,
  [16476] = 5265,
  [16477] = 16477,
  [16478] = 16478,
  [16479] = 16479,
  [16480] = 16480,
  [16481] = 16481,
  [16482] = 16352,
  [16483] = 16358,
  [16484] = 16351,
  [16485] = 16349,
  [16486] = 16465,
  [16487] = 5501,
  [16488] = 16351,
  [16489] = 16349,
  [16490] = 16351,
  [16491] = 16352,
  [16492] = 16352,
  [16493] = 16356,
  [16494] = 16349,
  [16495] = 16495,
  [16496] = 16496,
  [16497] = 16497,
  [16498] = 16358,
  [16499] = 16352,
  [16500] = 16351,
  [16501] = 16501,
  [16502] = 16349,
  [16503] = 16352,
  [16504] = 16442,
  [16505] = 16349,
  [16506] = 16351,
  [16507] = 16349,
  [16508] = 16352,
  [16509] = 16509,
  [16510] = 16510,
  [16511] = 16511,
  [16512] = 16349,
  [16513] = 16351,
  [16514] = 16352,
  [16515] = 16515,
  [16516] = 16351,
  [16517] = 16356,
  [16518] = 16352,
  [16519] = 16351,
  [16520] = 16349,
  [16521] = 16358,
  [16522] = 5221,
  [16523] = 16422,
  [16524] = 16355,
  [16525] = 16354,
  [16526] = 16526,
  [16527] = 16351,
  [16528] = 16528,
  [16529] = 16351,
  [16530] = 16358,
  [16531] = 16531,
  [16532] = 16349,
  [16533] = 16351,
  [16534] = 16352,
  [16535] = 16535,
  [16536] = 16352,
  [16537] = 16356,
  [16538] = 16538,
  [16539] = 16539,
  [16540] = 16540,
  [16541] = 16358,
  [16542] = 16349,
  [16543] = 16352,
  [16544] = 16349,
  [16545] = 16351,
  [16546] = 16546,
  [16547] = 16351,
  [16548] = 16362,
  [16549] = 16349,
  [16550] = 8803,
  [16551] = 16351,
  [16552] = 16352,
  [16553] = 16352,
  [16554] = 16554,
  [16555] = 16352,
  [16556] = 5198,
  [16557] = 16557,
  [16558] = 16351,
  [16559] = 16356,
  [16560] = 16349,
  [16561] = 16561,
  [16562] = 16562,
  [16563] = 14504,
  [16564] = 16564,
  [16565] = 16352,
  [16566] = 16358,
  [16567] = 16351,
  [16568] = 16349,
  [16569] = 16349,
  [16570] = 16351,
  [16571] = 16352,
  [16572] = 16352,
  [16573] = 16352,
  [16574] = 16351,
  [16575] = 16349,
  [16576] = 16349,
  [16577] = 16577,
  [16578] = 16578,
  [16579] = 16356,
  [16580] = 16580,
  [16581] = 16352,
  [16582] = 16351,
  [16583] = 16351,
  [16584] = 16358,
  [16585] = 16585,
  [16586] = 16349,
  [16587] = 16351,
  [16588] = 16352,
  [16589] = 16352,
  [16590] = 16351,
  [16591] = 16349,
  [16592] = 16383,
  [16593] = 16349,
  [16594] = 16356,
  [16595] = 16349,
  [16596] = 16349,
  [16597] = 16358,
  [16598] = 16351,
  [16599] = 16352,
  [16600] = 16352,
  [16601] = 16351,
  [16602] = 16540,
  [16603] = 16539,
  [16604] = 16538,
  [16605] = 16349,
  [16606] = 16349,
  [16607] = 16351,
  [16608] = 16352,
  [16609] = 16352,
  [16610] = 16351,
  [16611] = 16356,
  [16612] = 16358,
  [16613] = 16352,
  [16614] = 16351,
  [16615] = 16349,
  [16616] = 16349,
  [16617] = 16349,
  [16618] = 16351,
  [16619] = 16352,
  [16620] = 16352,
  [16621] = 16351,
  [16622] = 16358,
  [16623] = 16356,
  [16624] = 16358,
  [16625] = 16349,
  [16626] = 16470,
  [16627] = 5400,
  [16628] = 16351,
  [16629] = 16352,
  [16630] = 16352,
  [16631] = 16351,
  [16632] = 16349,
  [16633] = 5330,
  [16634] = 14419,
  [16635] = 5329,
  [16636] = 16349,
  [16637] = 16358,
  [16638] = 16352,
  [16639] = 16351,
  [16640] = 16351,
  [16641] = 16351,
  [16642] = 16352,
  [16643] = 16349,
  [16644] = 16352,
  [16645] = 16352,
  [16646] = 16358,
  [16647] = 16349,
  [16648] = 16352,
  [16649] = 16351,
  [16650] = 16351,
  [16651] = 16651,
  [16652] = 16652,
  [16653] = 16653,
  [16654] = 16654,
  [16655] = 16655,
  [16656] = 16656,
  [16657] = 16657,
  [16658] = 16657,
  [16659] = 16659,
  [16660] = 16660,
  [16661] = 16659,
  [16662] = 16656,
  [16663] = 16663,
  [16664] = 16660,
  [16665] = 16665,
  [16666] = 16652,
  [16667] = 16667,
  [16668] = 16668,
  [16669] = 16655,
  [16670] = 16654,
  [16671] = 16671,
  [16672] = 16653,
  [16673] = 16673,
  [16674] = 16674,
  [16675] = 16675,
  [16676] = 16676,
  [16677] = 16677,
  [16678] = 16651,
  [16679] = 16673,
  [16680] = 16659,
  [16681] = 16653,
  [16682] = 16654,
  [16683] = 16655,
  [16684] = 16651,
  [16685] = 16675,
  [16686] = 16677,
  [16687] = 16674,
  [16688] = 16660,
  [16689] = 16659,
  [16690] = 16667,
  [16691] = 16668,
  [16692] = 16652,
  [16693] = 16693,
  [16694] = 16656,
  [16695] = 16657,
  [16696] = 16663,
  [16697] = 16665,
  [16698] = 16698,
  [16699] = 16699,
  [16700] = 5329,
  [16701] = 16701,
  [16702] = 16676,
  [16703] = 5330,
  [16704] = 16665,
  [16705] = 16673,
  [16706] = 16652,
  [16707] = 16653,
  [16708] = 16654,
  [16709] = 16655,
  [16710] = 16663,
  [16711] = 16667,
  [16712] = 16657,
  [16713] = 16671,
  [16714] = 16660,
  [16715] = 16659,
  [16716] = 16656,
  [16717] = 5400,
  [16718] = 16660,
  [16719] = 16677,
  [16720] = 16651,
  [16721] = 16668,
  [16722] = 16675,
  [16723] = 16674,
  [16724] = 16668,
  [16725] = 16655,
  [16726] = 16654,
  [16727] = 16699,
  [16728] = 16653,
  [16729] = 16676,
  [16730] = 16673,
  [16731] = 16673,
  [16732] = 16668,
  [16733] = 16653,
  [16734] = 16654,
  [16735] = 16655,
  [16736] = 16676,
  [16737] = 16737,
  [16738] = 16660,
  [16739] = 16659,
  [16740] = 16674,
  [16741] = 16675,
  [16742] = 16676,
  [16743] = 16651,
  [16744] = 16663,
  [16745] = 16677,
  [16746] = 16676,
  [16747] = 16656,
  [16748] = 16667,
  [16749] = 16657,
  [16750] = 16663,
  [16751] = 16652,
  [16752] = 16665,
  [16753] = 16693,
  [16754] = 16698,
  [16755] = 16676,
  [16756] = 16699,
  [16757] = 16701,
  [16758] = 16673,
  [16759] = 16652,
  [16760] = 16653,
  [16761] = 16654,
  [16762] = 16655,
  [16763] = 16667,
  [16764] = 16677,
  [16765] = 16660,
  [16766] = 16659,
  [16767] = 16665,
  [16768] = 16651,
  [16769] = 16675,
  [16770] = 16770,
  [16771] = 16663,
  [16772] = 16674,
  [16773] = 16657,
  [16774] = 16665,
  [16775] = 16668,
  [16776] = 16701,
  [16777] = 16699,
  [16778] = 16656,
  [16779] = 16659,
  [16780] = 16676,
  [16781] = 16668,
  [16782] = 16660,
  [16783] = 16673,
  [16784] = 16698,
  [16785] = 16653,
  [16786] = 16654,
  [16787] = 16655,
  [16788] = 16674,
  [16789] = 16693,
  [16790] = 16660,
  [16791] = 16659,
  [16792] = 16675,
  [16793] = 16652,
  [16794] = 16668,
  [16795] = 16656,
  [16796] = 16651,
  [16797] = 16657,
  [16798] = 16663,
  [16799] = 16665,
  [16800] = 16655,
  [16801] = 16671,
  [16802] = 16677,
  [16803] = 16654,
  [16804] = 16674,
  [16805] = 16676,
  [16806] = 16653,
  [16807] = 16675,
  [16808] = 16673,
  [16809] = 16673,
  [16810] = 16653,
  [16811] = 16654,
  [16812] = 16655,
  [16813] = 16652,
  [16814] = 16667,
  [16815] = 16660,
  [16816] = 16659,
  [16817] = 16651,
  [16818] = 16677,
  [16819] = 16677,
  [16820] = 16667,
  [16821] = 16821,
  [16822] = 16667,
  [16823] = 16737,
  [16824] = 16676,
  [16825] = 16652,
  [16826] = 16651,
  [16827] = 16675,
  [16828] = 16674,
  [16829] = 16667,
  [16830] = 16676,
  [16831] = 16693,
  [16832] = 16698,
  [16833] = 16673,
  [16834] = 16653,
  [16835] = 16654,
  [16836] = 16655,
  [16837] = 16652,
  [16838] = 16701,
  [16839] = 16660,
  [16840] = 16659,
  [16841] = 16668,
  [16842] = 16657,
  [16843] = 16665,
  [16844] = 16659,
  [16845] = 16663,
  [16846] = 16656,
  [16847] = 16657,
  [16848] = 16657,
  [16849] = 16663,
  [16850] = 16665,
  [16851] = 16655,
  [16852] = 16656,
  [16853] = 16667,
  [16854] = 16676,
  [16855] = 16677,
  [16856] = 16651,
  [16857] = 16673,
  [16858] = 16653,
  [16859] = 16654,
  [16860] = 16655,
  [16861] = 16660,
  [16862] = 16652,
  [16863] = 16660,
  [16864] = 16659,
  [16865] = 16668,
  [16866] = 16673,
  [16867] = 16675,
  [16868] = 16674,
  [16869] = 16671,
  [16870] = 16653,
  [16871] = 16654,
  [16872] = 16668,
  [16873] = 16655,
  [16874] = 16674,
  [16875] = 16675,
  [16876] = 16676,
  [16877] = 16654,
  [16878] = 16651,
  [16879] = 16673,
  [16880] = 16653,
  [16881] = 16654,
  [16882] = 16655,
  [16883] = 16656,
  [16884] = 16677,
  [16885] = 16660,
  [16886] = 16659,
  [16887] = 16653,
  [16888] = 16770,
  [16889] = 16667,
  [16890] = 16657,
  [16891] = 16663,
  [16892] = 16665,
  [16893] = 16652,
  [16894] = 16659,
  [16895] = 16652,
  [16896] = 16667,
  [16897] = 16660,
  [16898] = 16676,
  [16899] = 16655,
  [16900] = 16693,
  [16901] = 16673,
  [16902] = 16653,
  [16903] = 16654,
  [16904] = 16655,
  [16905] = 16698,
  [16906] = 16699,
  [16907] = 16660,
  [16908] = 16659,
  [16909] = 16701,
  [16910] = 16677,
  [16911] = 16665,
  [16912] = 16663,
  [16913] = 16651,
  [16914] = 16675,
  [16915] = 16674,
  [16916] = 16657,
  [16917] = 16668,
  [16918] = 16673,
  [16919] = 16665,
  [16920] = 16676,
  [16921] = 16656,
  [16922] = 16657,
  [16923] = 16673,
  [16924] = 16653,
  [16925] = 16654,
  [16926] = 16655,
  [16927] = 16663,
  [16928] = 16665,
  [16929] = 16660,
  [16930] = 16659,
  [16931] = 16656,
  [16932] = 16652,
  [16933] = 16667,
  [16934] = 16677,
  [16935] = 16663,
  [16936] = 16676,
  [16937] = 16668,
  [16938] = 16651,
  [16939] = 16675,
  [16940] = 16674,
  [16941] = 16671,
  [16942] = 16676,
  [16943] = 16663,
  [16944] = 16677,
  [16945] = 16673,
  [16946] = 16653,
  [16947] = 16654,
  [16948] = 16655,
  [16949] = 16668,
  [16950] = 16674,
  [16951] = 16660,
  [16952] = 16659,
  [16953] = 16675,
  [16954] = 16660,
  [16955] = 16651,
  [16956] = 16659,
  [16957] = 16656,
  [16958] = 16677,
  [16959] = 16656,
  [16960] = 16657,
  [16961] = 16663,
  [16962] = 16667,
  [16963] = 16665,
  [16964] = 16676,
  [16965] = 16673,
  [16966] = 16656,
  [16967] = 16673,
  [16968] = 16653,
  [16969] = 16654,
  [16970] = 16655,
  [16971] = 16654,
  [16972] = 16652,
  [16973] = 16660,
  [16974] = 16659,
  [16975] = 16653,
  [16976] = 16652,
  [16977] = 16667,
  [16978] = 16673,
  [16979] = 16651,
  [16980] = 16693,
  [16981] = 16675,
  [16982] = 16698,
  [16983] = 16699,
  [16984] = 16701,
  [16985] = 16651,
  [16986] = 16676,
  [16987] = 16674,
  [16988] = 16665,
  [16989] = 16673,
  [16990] = 16653,
  [16991] = 16654,
  [16992] = 16655,
  [16993] = 16675,
  [16994] = 16663,
  [16995] = 16660,
  [16996] = 16659,
  [16997] = 16674,
  [16998] = 16657,
  [16999] = 16674,
  [17000] = 16668,
  [17001] = 16656,
  [17002] = 16659,
  [17003] = 16660,
  [17004] = 16656,
  [17005] = 16675,
  [17006] = 16651,
  [17007] = 16668,
  [17008] = 16676,
  [17009] = 16821,
  [17010] = 16657,
  [17011] = 16673,
  [17012] = 16653,
  [17013] = 16654,
  [17014] = 16655,
  [17015] = 16737,
  [17016] = 16676,
  [17017] = 16660,
  [17018] = 16659,
  [17019] = 16671,
  [17020] = 16677,
  [17021] = 16667,
  [17022] = 16663,
  [17023] = 5337,
  [17024] = 5296,
  [17025] = 16665,
  [17026] = 5265,
  [17027] = 8803,
  [17028] = 5221,
  [17029] = 16652,
  [17030] = 16676,
  [17031] = 16667,
  [17032] = 16673,
  [17033] = 16653,
  [17034] = 16654,
  [17035] = 16655,
  [17036] = 5198,
  [17037] = 16674,
  [17038] = 16660,
  [17039] = 16659,
  [17040] = 16675,
  [17041] = 16677,
  [17042] = 16651,
  [17043] = 16651,
  [17044] = 16675,
  [17045] = 16677,
  [17046] = 16655,
  [17047] = 16674,
  [17048] = 16654,
  [17049] = 16668,
  [17050] = 16653,
  [17051] = 16676,
  [17052] = 16667,
  [17053] = 16673,
  [17054] = 16653,
  [17055] = 16654,
  [17056] = 16655,
  [17057] = 16676,
  [17058] = 16656,
  [17059] = 16660,
  [17060] = 16659,
  [17061] = 16652,
  [17062] = 16673,
  [17063] = 16657,
  [17064] = 16663,
  [17065] = 16665,
  [17066] = 16671,
  [17067] = 16693,
  [17068] = 16655,
  [17069] = 16652,
  [17070] = 16698,
  [17071] = 16652,
  [17072] = 16676,
  [17073] = 16676,
  [17074] = 16673,
  [17075] = 16653,
  [17076] = 16654,
  [17077] = 16655,
  [17078] = 16667,
  [17079] = 16699,
  [17080] = 16660,
  [17081] = 16659,
  [17082] = 16701,
  [17083] = 16677,
  [17084] = 16665,
  [17085] = 16651,
  [17086] = 16663,
  [17087] = 16675,
  [17088] = 16674,
  [17089] = 16657,
  [17090] = 16699,
  [17091] = 16668,
  [17092] = 16653,
  [17093] = 16676,
  [17094] = 16668,
  [17095] = 16673,
  [17096] = 16653,
  [17097] = 16654,
  [17098] = 16655,
  [17099] = 16656,
  [17100] = 16657,
  [17101] = 16660,
  [17102] = 16659,
  [17103] = 16663,
  [17104] = 16665,
  [17105] = 16770,
  [17106] = 16652,
  [17107] = 16667,
  [17108] = 16654,
  [17109] = 16655,
  [17110] = 16668,
  [17111] = 16677,
  [17112] = 16659,
  [17113] = 17113,
  [17114] = 16676,
  [17115] = 16671,
  [17116] = 16673,
  [17117] = 16653,
  [17118] = 16654,
  [17119] = 16655,
  [17120] = 16677,
  [17121] = 16675,
  [17122] = 16660,
  [17123] = 16659,
  [17124] = 16693,
  [17125] = 16660,
  [17126] = 16674,
  [17127] = 16674,
  [17128] = 16675,
  [17129] = 16698,
  [17130] = 16668,
  [17131] = 16651,
  [17132] = 16656,
  [17133] = 16677,
  [17134] = 17134,
  [17135] = 16676,
  [17136] = 16665,
  [17137] = 16673,
  [17138] = 16653,
  [17139] = 16654,
  [17140] = 16655,
  [17141] = 16660,
  [17142] = 16657,
  [17143] = 16660,
  [17144] = 16659,
  [17145] = 16656,
  [17146] = 16667,
  [17147] = 16657,
  [17148] = 16663,
  [17149] = 16665,
  [17150] = 16652,
  [17151] = 16667,
  [17152] = 16677,
  [17153] = 16659,
  [17154] = 16652,
  [17155] = 16663,
  [17156] = 16676,
  [17157] = 16651,
  [17158] = 16673,
  [17159] = 16653,
  [17160] = 16654,
  [17161] = 16655,
  [17162] = 16675,
  [17163] = 16674,
  [17164] = 16660,
  [17165] = 16659,
  [17166] = 16659,
  [17167] = 16660,
  [17168] = 16693,
  [17169] = 16698,
  [17170] = 16699,
  [17171] = 16701,
  [17172] = 16668,
  [17173] = 16654,
  [17174] = 16677,
  [17175] = 16665,
  [17176] = 16665,
  [17177] = 16676,
  [17178] = 16653,
  [17179] = 16673,
  [17180] = 16653,
  [17181] = 16654,
  [17182] = 16655,
  [17183] = 17183,
  [17184] = 16657,
  [17185] = 16660,
  [17186] = 16659,
  [17187] = 16663,
  [17188] = 16656,
  [17189] = 16656,
  [17190] = 16657,
  [17191] = 16657,
  [17192] = 16655,
  [17193] = 16663,
  [17194] = 16665,
  [17195] = 16652,
  [17196] = 16656,
  [17197] = 16667,
  [17198] = 16676,
  [17199] = 16677,
  [17200] = 16673,
  [17201] = 16653,
  [17202] = 16654,
  [17203] = 16655,
  [17204] = 16651,
  [17205] = 16651,
  [17206] = 16660,
  [17207] = 16659,
  [17208] = 16654,
  [17209] = 16653,
  [17210] = 16652,
  [17211] = 16668,
  [17212] = 16675,
  [17213] = 16673,
  [17214] = 16651,
  [17215] = 16671,
  [17216] = 16701,
  [17217] = 16674,
  [17218] = 16652,
  [17219] = 16676,
  [17220] = 16668,
  [17221] = 16673,
  [17222] = 16653,
  [17223] = 16654,
  [17224] = 16655,
  [17225] = 8826,
  [17226] = 16693,
  [17227] = 16660,
  [17228] = 16659,
  [17229] = 16651,
  [17230] = 16659,
  [17231] = 16675,
  [17232] = 16652,
  [17233] = 16676,
  [17234] = 16668,
  [17235] = 16674,
  [17236] = 16698,
  [17237] = 16675,
  [17238] = 16675,
  [17239] = 16651,
  [17240] = 16676,
  [17241] = 8827,
  [17242] = 16673,
  [17243] = 16653,
  [17244] = 16654,
  [17245] = 16655,
  [17246] = 16667,
  [17247] = 16652,
  [17248] = 16660,
  [17249] = 16659,
  [17250] = 16651,
  [17251] = 16656,
  [17252] = 8829,
  [17253] = 17253,
  [17254] = 16677,
  [17255] = 16674,
  [17256] = 16693,
  [17257] = 16656,
  [17258] = 16675,
  [17259] = 16667,
  [17260] = 16651,
  [17261] = 16676,
  [17262] = 16675,
  [17263] = 16673,
  [17264] = 16653,
  [17265] = 16654,
  [17266] = 16655,
  [17267] = 16651,
  [17268] = 16676,
  [17269] = 16659,
  [17270] = 8832,
  [17271] = 17271,
  [17272] = 16674,
  [17273] = 16652,
  [17274] = 16667,
  [17275] = 16652,
  [17276] = 16656,
  [17277] = 16671,
  [17278] = 16677,
  [17279] = 16673,
  [17280] = 16657,
  [17281] = 16676,
  [17282] = 16698,
  [17283] = 16673,
  [17284] = 16653,
  [17285] = 16654,
  [17286] = 16655,
  [17287] = 16699,
  [17288] = 16663,
  [17289] = 16659,
  [17290] = 16701,
  [17291] = 16675,
  [17292] = 16652,
  [17293] = 16665,
  [17294] = 16663,
  [17295] = 16651,
  [17296] = 16665,
  [17297] = 16657,
  [17298] = 16667,
  [17299] = 16652,
  [17300] = 16656,
  [17301] = 16676,
  [17302] = 8835,
  [17303] = 16673,
  [17304] = 16653,
  [17305] = 16654,
  [17306] = 16655,
  [17307] = 16656,
  [17308] = 16652,
  [17309] = 16659,
  [17310] = 16675,
  [17311] = 16651,
  [17312] = 16651,
  [17313] = 16653,
  [17314] = 17314,
  [17315] = 16654,
  [17316] = 16668,
  [17317] = 16659,
  [17318] = 16667,
  [17319] = 16652,
  [17320] = 16656,
  [17321] = 16667,
  [17322] = 16673,
  [17323] = 16653,
  [17324] = 16654,
  [17325] = 16655,
  [17326] = 17326,
  [17327] = 8838,
  [17328] = 16659,
  [17329] = 16671,
  [17330] = 8839,
  [17331] = 16675,
  [17332] = 16655,
  [17333] = 16651,
  [17334] = 16667,
  [17335] = 16677,
  [17336] = 16667,
  [17337] = 16652,
  [17338] = 16668,
  [17339] = 16656,
  [17340] = 16667,
  [17341] = 16673,
  [17342] = 16653,
  [17343] = 16654,
  [17344] = 16655,
  [17345] = 16671,
  [17346] = 16651,
  [17347] = 16659,
  [17348] = 17348,
  [17349] = 16660,
  [17350] = 16657,
  [17351] = 16651,
  [17352] = 16675,
  [17353] = 16660,
  [17354] = 16677,
  [17355] = 16667,
  [17356] = 16674,
  [17357] = 16659,
  [17358] = 16651,
  [17359] = 16675,
  [17360] = 16673,
  [17361] = 16653,
  [17362] = 16654,
  [17363] = 16655,
  [17364] = 16652,
  [17365] = 16651,
  [17366] = 16659,
  [17367] = 16656,
  [17368] = 17368,
  [17369] = 8857,
  [17370] = 16677,
  [17371] = 16674,
  [17372] = 8878,
  [17373] = 16675,
  [17374] = 16673,
  [17375] = 16651,
  [17376] = 8880,
  [17377] = 17377,
  [17378] = 17378,
  [17379] = 16673,
  [17380] = 16653,
  [17381] = 16654,
  [17382] = 16655,
  [17383] = 17383,
  [17384] = 16655,
  [17385] = 16659,
  [17386] = 16654,
  [17387] = 16675,
  [17388] = 16667,
  [17389] = 16667,
  [17390] = 16652,
  [17391] = 16656,
  [17392] = 16653,
  [17393] = 16668,
  [17394] = 16652,
  [17395] = 16652,
  [17396] = 16675,
  [17397] = 16651,
  [17398] = 16673,
  [17399] = 16653,
  [17400] = 16654,
  [17401] = 16655,
  [17402] = 16673,
  [17403] = 16667,
  [17404] = 16659,
  [17405] = 16693,
  [17406] = 16693,
  [17407] = 16698,
  [17408] = 16699,
  [17409] = 16652,
  [17410] = 16701,
  [17411] = 16656,
  [17412] = 17412,
  [17413] = 16665,
  [17414] = 16663,
  [17415] = 16656,
  [17416] = 16657,
  [17417] = 16673,
  [17418] = 16653,
  [17419] = 16654,
  [17420] = 16655,
  [17421] = 16659,
  [17422] = 16657,
  [17423] = 16675,
  [17424] = 16675,
  [17425] = 16663,
  [17426] = 16676,
  [17427] = 16665,
  [17428] = 16667,
  [17429] = 16652,
  [17430] = 16673,
  [17431] = 16653,
  [17432] = 16654,
  [17433] = 16655,
  [17434] = 16659,
  [17435] = 16656,
  [17436] = 16671,
  [17437] = 16656,
  [17438] = 16652,
  [17439] = 16667,
  [17440] = 16698,
  [17441] = 16665,
  [17442] = 16668,
  [17443] = 16673,
  [17444] = 16653,
  [17445] = 16654,
  [17446] = 16655,
  [17447] = 16659,
  [17448] = 16677,
  [17449] = 16656,
  [17450] = 16675,
  [17451] = 16651,
  [17452] = 16671,
  [17453] = 16663,
  [17454] = 16651,
  [17455] = 16674,
  [17456] = 16673,
  [17457] = 16653,
  [17458] = 16654,
  [17459] = 16655,
  [17460] = 16659,
  [17461] = 16667,
  [17462] = 16676,
  [17463] = 16652,
  [17464] = 16656,
  [17465] = 16675,
  [17466] = 16674,
  [17467] = 16657,
  [17468] = 16656,
  [17469] = 16673,
  [17470] = 16653,
  [17471] = 16654,
  [17472] = 16655,
  [17473] = 16659,
  [17474] = 16655,
  [17475] = 16668,
  [17476] = 16651,
  [17477] = 16651,
  [17478] = 16675,
  [17479] = 16656,
  [17480] = 16676,
  [17481] = 16656,
  [17482] = 16673,
  [17483] = 16653,
  [17484] = 16654,
  [17485] = 16655,
  [17486] = 16659,
  [17487] = 16663,
  [17488] = 16667,
  [17489] = 16665,
  [17490] = 16674,
  [17491] = 17491,
  [17492] = 17492,
  [17493] = 16675,
  [17494] = 17494,
  [17495] = 16673,
  [17496] = 16653,
  [17497] = 16654,
  [17498] = 16655,
  [17499] = 16659,
  [17500] = 16652,
  [17501] = 16651,
  [17502] = 16657,
  [17503] = 17503,
  [17504] = 16656,
  [17505] = 17505,
  [17506] = 16677,
  [17507] = 16663,
  [17508] = 16673,
  [17509] = 16653,
  [17510] = 16654,
  [17511] = 16655,
  [17512] = 16659,
  [17513] = 17513,
  [17514] = 16668,
  [17515] = 16665,
  [17516] = 16668,
  [17517] = 16673,
  [17518] = 16652,
  [17519] = 16675,
  [17520] = 16651,
  [17521] = 16673,
  [17522] = 16653,
  [17523] = 16654,
  [17524] = 16655,
  [17525] = 16659,
  [17526] = 16701,
  [17527] = 16667,
  [17528] = 16653,
  [17529] = 16667,
  [17530] = 16659,
  [17531] = 16667,
  [17532] = 16652,
  [17533] = 16677,
  [17534] = 16673,
  [17535] = 16653,
  [17536] = 16654,
  [17537] = 16655,
  [17538] = 16659,
  [17539] = 16656,
  [17540] = 16651,
  [17541] = 16699,
  [17542] = 16652,
  [17543] = 16675,
  [17544] = 16674,
  [17545] = 16660,
  [17546] = 16673,
  [17547] = 16653,
  [17548] = 16654,
  [17549] = 16655,
  [17550] = 16659,
  [17551] = 16698,
  [17552] = 16656,
  [17553] = 16693,
  [17554] = 16698,
  [17555] = 16699,
  [17556] = 16701,
  [17557] = 16675,
  [17558] = 16673,
  [17559] = 16653,
  [17560] = 16654,
  [17561] = 16655,
  [17562] = 16659,
  [17563] = 16693,
  [17564] = 16665,
  [17565] = 16663,
  [17566] = 16651,
  [17567] = 16657,
  [17568] = 16668,
  [17569] = 16667,
  [17570] = 16673,
  [17571] = 16653,
  [17572] = 16654,
  [17573] = 16655,
  [17574] = 16659,
  [17575] = 16656,
  [17576] = 16673,
  [17577] = 16654,
  [17578] = 16656,
  [17579] = 16656,
  [17580] = 16657,
  [17581] = 16673,
  [17582] = 16653,
  [17583] = 16654,
  [17584] = 16655,
  [17585] = 16659,
  [17586] = 16655,
  [17587] = 17587,
  [17588] = 16657,
  [17589] = 16668,
  [17590] = 16663,
  [17591] = 16665,
  [17592] = 16659,
  [17593] = 16675,
  [17594] = 16651,
  [17595] = 16652,
  [17596] = 16667,
  [17597] = 16677,
  [17598] = 16652,
  [17599] = 16659,
  [17600] = 16671,
  [17601] = 16701,
  [17602] = 16667,
  [17603] = 16654,
  [17604] = 16657,
  [17605] = 16659,
  [17606] = 16656,
  [17607] = 16677,
  [17608] = 16653,
  [17609] = 16651,
  [17610] = 16652,
  [17611] = 16659,
  [17612] = 16675,
  [17613] = 16675,
  [17614] = 16651,
  [17615] = 16674,
  [17616] = 16674,
  [17617] = 16659,
  [17618] = 16673,
  [17619] = 17619,
  [17620] = 16667,
  [17621] = 16652,
  [17622] = 16668,
  [17623] = 16659,
  [17624] = 17624,
  [17625] = 16674,
  [17626] = 16675,
  [17627] = 17627,
  [17628] = 16663,
  [17629] = 16659,
  [17630] = 16656,
  [17631] = 16667,
  [17632] = 16676,
  [17633] = 17633,
  [17634] = 16656,
  [17635] = 16659,
  [17636] = 16657,
  [17637] = 16675,
  [17638] = 16651,
  [17639] = 17639,
  [17640] = 16665,
  [17641] = 16659,
  [17642] = 16663,
  [17643] = 16675,
  [17644] = 16660,
  [17645] = 16659,
  [17646] = 16665,
  [17647] = 16659,
  [17648] = 16667,
  [17649] = 16651,
  [17650] = 16652,
  [17651] = 16652,
  [17652] = 16656,
  [17653] = 16659,
  [17654] = 16667,
  [17655] = 16677,
  [17656] = 16677,
  [17657] = 16698,
  [17658] = 16699,
  [17659] = 16659,
  [17660] = 16651,
  [17661] = 17661,
  [17662] = 16698,
  [17663] = 17639,
  [17664] = 16675,
  [17665] = 16659,
  [17666] = 17666,
  [17667] = 16667,
  [17668] = 16651,
  [17669] = 16693,
  [17670] = 16675,
  [17671] = 16659,
  [17672] = 16667,
  [17673] = 16667,
  [17674] = 16652,
  [17675] = 16674,
  [17676] = 16651,
  [17677] = 16659,
  [17678] = 16652,
  [17679] = 16656,
  [17680] = 16668,
  [17681] = 16693,
  [17682] = 16652,
  [17683] = 16659,
  [17684] = 16656,
  [17685] = 16667,
  [17686] = 17627,
  [17687] = 16675,
  [17688] = 16651,
  [17689] = 16659,
  [17690] = 16652,
  [17691] = 16821,
  [17692] = 16668,
  [17693] = 16667,
  [17694] = 16693,
  [17695] = 16659,
  [17696] = 16698,
  [17697] = 16699,
  [17698] = 17624,
  [17699] = 16652,
  [17700] = 16701,
  [17701] = 16659,
  [17702] = 16663,
  [17703] = 16667,
  [17704] = 16665,
  [17705] = 17492,
  [17706] = 16663,
  [17707] = 16659,
  [17708] = 16665,
  [17709] = 16657,
  [17710] = 16656,
  [17711] = 16652,
  [17712] = 16667,
  [17713] = 16659,
  [17714] = 16677,
  [17715] = 16675,
  [17716] = 16651,
  [17717] = 16737,
  [17718] = 17718,
  [17719] = 16659,
  [17720] = 17619,
  [17721] = 16651,
  [17722] = 16667,
  [17723] = 16693,
  [17724] = 16677,
  [17725] = 16659,
  [17726] = 16652,
  [17727] = 16675,
  [17728] = 16656,
  [17729] = 16674,
  [17730] = 16660,
  [17731] = 16659,
  [17732] = 16676,
  [17733] = 16651,
  [17734] = 16652,
  [17735] = 16652,
  [17736] = 16659,
  [17737] = 16659,
  [17738] = 16660,
  [17739] = 16668,
  [17740] = 16665,
  [17741] = 16675,
  [17742] = 16675,
  [17743] = 16659,
  [17744] = 16651,
  [17745] = 16656,
  [17746] = 16667,
  [17747] = 16671,
  [17748] = 16674,
  [17749] = 16659,
  [17750] = 17503,
  [17751] = 17494,
  [17752] = 16677,
  [17753] = 16652,
  [17754] = 16651,
  [17755] = 16659,
  [17756] = 16656,
  [17757] = 16663,
  [17758] = 16665,
  [17759] = 16652,
  [17760] = 16667,
  [17761] = 16659,
  [17762] = 16675,
  [17763] = 16651,
  [17764] = 16657,
  [17765] = 16677,
  [17766] = 16655,
  [17767] = 16659,
  [17768] = 16667,
  [17769] = 16693,
  [17770] = 16698,
  [17771] = 16699,
  [17772] = 16701,
  [17773] = 16659,
  [17774] = 16652,
  [17775] = 16654,
  [17776] = 16651,
  [17777] = 16656,
  [17778] = 17513,
  [17779] = 16659,
  [17780] = 16675,
  [17781] = 16674,
  [17782] = 16674,
  [17783] = 17412,
  [17784] = 16653,
  [17785] = 16659,
  [17786] = 16675,
  [17787] = 16668,
  [17788] = 17505,
  [17789] = 16651,
  [17790] = 17790,
  [17791] = 16659,
  [17792] = 16675,
  [17793] = 16651,
  [17794] = 17491,
  [17795] = 16675,
  [17796] = 16673,
  [17797] = 16659,
  [17798] = 16677,
  [17799] = 16673,
  [17800] = 16676,
  [17801] = 16671,
  [17802] = 16665,
  [17803] = 16659,
  [17804] = 16667,
  [17805] = 16652,
  [17806] = 16667,
  [17807] = 16663,
  [17808] = 16656,
  [17809] = 16659,
  [17810] = 16656,
  [17811] = 16657,
  [17812] = 16663,
  [17813] = 16657,
  [17814] = 17314,
  [17815] = 16659,
  [17816] = 16652,
  [17817] = 16665,
  [17818] = 16652,
  [17819] = 16675,
  [17820] = 16651,
  [17821] = 16659,
  [17822] = 16657,
  [17823] = 16693,
  [17824] = 16698,
  [17825] = 16699,
  [17826] = 5986,
  [17827] = 16659,
  [17828] = 16676,
  [17829] = 16673,
  [17830] = 16668,
  [17831] = 16701,
  [17832] = 16667,
  [17833] = 16659,
  [17834] = 16667,
  [17835] = 16665,
  [17836] = 16652,
  [17837] = 16663,
  [17838] = 16653,
  [17839] = 16659,
  [17840] = 16657,
  [17841] = 16674,
  [17842] = 16677,
  [17843] = 16656,
  [17844] = 16651,
  [17845] = 16659,
  [17846] = 16675,
  [17847] = 16674,
  [17848] = 16654,
  [17849] = 16656,
  [17850] = 16675,
  [17851] = 16659,
  [17852] = 16655,
  [17853] = 16656,
  [17854] = 16651,
  [17855] = 16656,
  [17856] = 16668,
  [17857] = 16659,
  [17858] = 16667,
  [17859] = 16674,
  [17860] = 17860,
  [17861] = 16656,
  [17862] = 16657,
  [17863] = 16659,
  [17864] = 16651,
  [17865] = 16668,
  [17866] = 16652,
  [17867] = 16659,
  [17868] = 16663,
  [17869] = 16659,
  [17870] = 16656,
  [17871] = 16671,
  [17872] = 16665,
  [17873] = 16656,
  [17874] = 16657,
  [17875] = 16663,
  [17876] = 16665,
  [17877] = 16653,
  [17878] = 16654,
  [17879] = 16675,
  [17880] = 16651,
  [17881] = 17134,
  [17882] = 16656,
  [17883] = 16667,
  [17884] = 16652,
  [17885] = 16667,
  [17886] = 16656,
  [17887] = 16677,
  [17888] = 17888,
  [17889] = 16655,
  [17890] = 16651,
  [17891] = 16675,
  [17892] = 16674,
  [17893] = 16675,
  [17894] = 16659,
  [17895] = 16675,
  [17896] = 16652,
  [17897] = 17897,
  [17898] = 16651,
  [17899] = 16660,
  [17900] = 16674,
  [17901] = 16667,
  [17902] = 16652,
  [17903] = 16701,
  [17904] = 16699,
  [17905] = 16698,
  [17906] = 16656,
  [17907] = 17368,
  [17908] = 17908,
  [17909] = 16677,
  [17910] = 16655,
  [17911] = 16654,
  [17912] = 16653,
  [17913] = 16668,
  [17914] = 16667,
  [17915] = 16673,
  [17916] = 16668,
  [17917] = 16693,
  [17918] = 16652,
  [17919] = 16671,
  [17920] = 16676,
  [17921] = 16675,
  [17922] = 16651,
  [17923] = 16656,
  [17924] = 16667,
  [17925] = 16652,
  [17926] = 16652,
  [17927] = 16693,
  [17928] = 16698,
  [17929] = 16674,
  [17930] = 16699,
  [17931] = 16701,
  [17932] = 16657,
  [17933] = 16665,
  [17934] = 16663,
  [17935] = 16656,
  [17936] = 17253,
  [17937] = 16665,
  [17938] = 16657,
  [17939] = 17348,
  [17940] = 16652,
  [17941] = 17941,
  [17942] = 16667,
  [17943] = 17941,
  [17944] = 16656,
  [17945] = 17368,
  [17946] = 16675,
  [17947] = 17888,
  [17948] = 16651,
  [17949] = 16677,
  [17950] = 17619,
  [17951] = 16667,
  [17952] = 16675,
  [17953] = 16652,
  [17954] = 16667,
  [17955] = 16668,
  [17956] = 16651,
  [17957] = 16675,
  [17958] = 16671,
  [17959] = 16651,
  [17960] = 16677,
  [17961] = 16656,
  [17962] = 16663,
  [17963] = 16770,
  [17964] = 16674,
  [17965] = 16668,
  [17966] = 17941,
  [17967] = 16675,
  [17968] = 16674,
  [17969] = 16677,
  [17970] = 16651,
  [17971] = 16667,
  [17972] = 16651,
  [17973] = 16677,
  [17974] = 16676,
  [17975] = 17975,
  [17976] = 17941,
  [17977] = 16675,
  [17978] = 16651,
  [17979] = 16668,
  [17980] = 16667,
  [17981] = 16675,
  [17982] = 16667,
  [17983] = 16652,
  [17984] = 17941,
  [17985] = 16665,
  [17986] = 16652,
  [17987] = 16656,
  [17988] = 16652,
  [17989] = 16657,
  [17990] = 16663,
  [17991] = 17941,
  [17992] = 16665,
  [17993] = 16652,
  [17994] = 16671,
  [17995] = 16693,
  [17996] = 16698,
  [17997] = 16659,
  [17998] = 17941,
  [17999] = 16675,
  [18000] = 16699,
  [18001] = 16651,
  [18002] = 16701,
  [18003] = 16652,
  [18004] = 6006,
  [18005] = 17941,
  [18006] = 16667,
  [18007] = 16665,
  [18008] = 16652,
  [18009] = 16663,
  [18010] = 16667,
  [18011] = 16656,
  [18012] = 17941,
  [18013] = 16677,
  [18014] = 16657,
  [18015] = 16651,
  [18016] = 16675,
  [18017] = 16674,
  [18018] = 16656,
  [18019] = 17941,
  [18020] = 16675,
  [18021] = 16651,
  [18022] = 16673,
  [18023] = 16668,
  [18024] = 16667,
  [18025] = 17113,
  [18026] = 17941,
  [18027] = 16652,
  [18028] = 16659,
  [18029] = 16660,
  [18030] = 16653,
  [18031] = 16668,
  [18032] = 16668,
  [18033] = 17941,
  [18034] = 16655,
  [18035] = 16656,
  [18036] = 16656,
  [18037] = 16657,
  [18038] = 8803,
  [18039] = 16671,
  [18040] = 17941,
  [18041] = 16663,
  [18042] = 16654,
  [18043] = 16665,
  [18044] = 16675,
  [18045] = 16651,
  [18046] = 16652,
  [18047] = 17941,
  [18048] = 16667,
  [18049] = 16674,
  [18050] = 16667,
  [18051] = 16675,
  [18052] = 16667,
  [18053] = 16651,
  [18054] = 17941,
  [18055] = 16677,
  [18056] = 16656,
  [18057] = 16651,
  [18058] = 16677,
  [18059] = 16653,
  [18060] = 16675,
  [18061] = 17941,
  [18062] = 16674,
  [18063] = 16654,
  [18064] = 16675,
  [18065] = 16667,
  [18066] = 16651,
  [18067] = 16668,
  [18068] = 17941,
  [18069] = 16673,
  [18070] = 16652,
  [18071] = 16667,
  [18072] = 16652,
  [18073] = 16655,
  [18074] = 16656,
  [18075] = 17941,
  [18076] = 16656,
  [18077] = 16698,
  [18078] = 16657,
  [18079] = 16693,
  [18080] = 16698,
  [18081] = 17941,
  [18082] = 16663,
  [18083] = 16699,
  [18084] = 16665,
  [18085] = 16701,
  [18086] = 16652,
  [18087] = 17941,
  [18088] = 16675,
  [18089] = 16665,
  [18090] = 16651,
  [18091] = 16663,
  [18092] = 16667,
  [18093] = 17941,
  [18094] = 16667,
  [18095] = 16652,
  [18096] = 16677,
  [18097] = 16657,
  [18098] = 16676,
  [18099] = 17941,
  [18100] = 16656,
  [18101] = 16656,
  [18102] = 16675,
  [18103] = 16674,
  [18104] = 16656,
  [18105] = 17941,
  [18106] = 16651,
  [18107] = 16656,
  [18108] = 16675,
  [18109] = 16651,
  [18110] = 16671,
  [18111] = 17941,
  [18112] = 16652,
  [18113] = 16667,
  [18114] = 16652,
  [18115] = 16693,
  [18116] = 16651,
  [18117] = 17941,
  [18118] = 16656,
  [18119] = 16663,
  [18120] = 16651,
  [18121] = 16660,
  [18122] = 16657,
  [18123] = 17941,
  [18124] = 16675,
  [18125] = 16668,
  [18126] = 16656,
  [18127] = 16671,
  [18128] = 16657,
  [18129] = 17941,
  [18130] = 16675,
  [18131] = 16651,
  [18132] = 16652,
  [18133] = 16667,
  [18134] = 16671,
  [18135] = 17941,
  [18136] = 16652,
  [18137] = 16659,
  [18138] = 16667,
  [18139] = 16656,
  [18140] = 16651,
  [18141] = 17941,
  [18142] = 16675,
  [18143] = 16668,
  [18144] = 16656,
  [18145] = 16663,
  [18146] = 16667,
  [18147] = 17941,
  [18148] = 16657,
  [18149] = 16657,
  [18150] = 16675,
  [18151] = 16651,
  [18152] = 16665,
  [18153] = 17941,
  [18154] = 16652,
  [18155] = 16656,
  [18156] = 16667,
  [18157] = 16652,
  [18158] = 18158,
  [18159] = 17941,
  [18160] = 16667,
  [18161] = 16656,
  [18162] = 16651,
  [18163] = 16674,
  [18164] = 16668,
  [18165] = 17941,
  [18166] = 16675,
  [18167] = 16656,
  [18168] = 16657,
  [18169] = 16675,
  [18170] = 16660,
  [18171] = 17941,
  [18172] = 16651,
  [18173] = 16652,
  [18174] = 16667,
  [18175] = 16675,
  [18176] = 16652,
  [18177] = 17941,
  [18178] = 16667,
  [18179] = 16656,
  [18180] = 16656,
  [18181] = 16651,
  [18182] = 16701,
  [18183] = 17941,
  [18184] = 16675,
  [18185] = 16651,
  [18186] = 16656,
  [18187] = 16657,
  [18188] = 16675,
  [18189] = 17941,
  [18190] = 16657,
  [18191] = 17494,
  [18192] = 16652,
  [18193] = 17503,
  [18194] = 16667,
  [18195] = 17941,
  [18196] = 16652,
  [18197] = 16667,
  [18198] = 16656,
  [18199] = 16677,
  [18200] = 16651,
  [18201] = 17941,
  [18202] = 16675,
  [18203] = 16699,
  [18204] = 16657,
  [18205] = 16657,
  [18206] = 17253,
  [18207] = 17941,
  [18208] = 16675,
  [18209] = 16651,
  [18210] = 16652,
  [18211] = 16667,
  [18212] = 16667,
  [18213] = 17941,
  [18214] = 16652,
  [18215] = 16667,
  [18216] = 16656,
  [18217] = 16657,
  [18218] = 16651,
  [18219] = 17941,
  [18220] = 16675,
  [18221] = 16652,
  [18222] = 16656,
  [18223] = 16657,
  [18224] = 16675,
  [18225] = 17941,
  [18226] = 16651,
  [18227] = 16656,
  [18228] = 16667,
  [18229] = 16652,
  [18230] = 18230,
  [18231] = 17941,
  [18232] = 16667,
  [18233] = 16656,
  [18234] = 16651,
  [18235] = 16698,
  [18236] = 16693,
  [18237] = 17941,
  [18238] = 16675,
  [18239] = 16698,
  [18240] = 16656,
  [18241] = 16699,
  [18242] = 16701,
  [18243] = 17941,
  [18244] = 16675,
  [18245] = 16654,
  [18246] = 16675,
  [18247] = 16665,
  [18248] = 16663,
  [18249] = 17941,
  [18250] = 16651,
  [18251] = 16652,
  [18252] = 16667,
  [18253] = 16657,
  [18254] = 16663,
  [18255] = 17941,
  [18256] = 16652,
  [18257] = 16667,
  [18258] = 16656,
  [18259] = 16651,
  [18260] = 16675,
  [18261] = 17941,
  [18262] = 16656,
  [18263] = 16656,
  [18264] = 16657,
  [18265] = 16665,
  [18266] = 16675,
  [18267] = 17941,
  [18268] = 16651,
  [18269] = 16652,
  [18270] = 16667,
  [18271] = 17513,
  [18272] = 16652,
  [18273] = 17941,
  [18274] = 16667,
  [18275] = 16663,
  [18276] = 16656,
  [18277] = 16651,
  [18278] = 16701,
  [18279] = 17941,
  [18280] = 16675,
  [18281] = 16652,
  [18282] = 16656,
  [18283] = 16699,
  [18284] = 16698,
  [18285] = 17941,
  [18286] = 16657,
  [18287] = 16659,
  [18288] = 16675,
  [18289] = 16660,
  [18290] = 16668,
  [18291] = 17941,
  [18292] = 16651,
  [18293] = 16693,
  [18294] = 16652,
  [18295] = 16652,
  [18296] = 16667,
  [18297] = 17941,
  [18298] = 16667,
  [18299] = 16677,
  [18300] = 16652,
  [18301] = 16667,
  [18302] = 16671,
  [18303] = 17941,
  [18304] = 16656,
  [18305] = 16655,
  [18306] = 16651,
  [18307] = 16675,
  [18308] = 17941,
  [18309] = 16656,
  [18310] = 16675,
  [18311] = 16651,
  [18312] = 16657,
  [18313] = 17941,
  [18314] = 16667,
  [18315] = 16652,
  [18316] = 16652,
  [18317] = 16652,
  [18318] = 17941,
  [18319] = 16667,
  [18320] = 16656,
  [18321] = 16651,
  [18322] = 16652,
  [18323] = 17941,
  [18324] = 16656,
  [18325] = 16675,
  [18326] = 16651,
  [18327] = 17627,
  [18328] = 17941,
  [18329] = 16657,
  [18330] = 16667,
  [18331] = 16667,
  [18332] = 17639,
  [18333] = 17941,
  [18334] = 16652,
  [18335] = 16652,
  [18336] = 16667,
  [18337] = 16656,
  [18338] = 17941,
  [18339] = 16651,
  [18340] = 16675,
  [18341] = 16656,
  [18342] = 16675,
  [18343] = 17941,
  [18344] = 16651,
  [18345] = 16652,
  [18346] = 16667,
  [18347] = 16652,
  [18348] = 17941,
  [18349] = 16667,
  [18350] = 16656,
  [18351] = 16651,
  [18352] = 16675,
  [18353] = 17941,
  [18354] = 16656,
  [18355] = 16675,
  [18356] = 16651,
  [18357] = 17494,
  [18358] = 17941,
  [18359] = 16652,
  [18360] = 16667,
  [18361] = 16667,
  [18362] = 16677,
  [18363] = 17941,
  [18364] = 16652,
  [18365] = 16651,
  [18366] = 16656,
  [18367] = 17503,
  [18368] = 17941,
  [18369] = 16675,
  [18370] = 16674,
  [18371] = 16656,
  [18372] = 16656,
  [18373] = 17941,
  [18374] = 17941,
  [18375] = 17941,
  [18376] = 17941,
  [18377] = 17941,
  [18378] = 17941,
  [18379] = 17941,
  [18380] = 17941,
  [18381] = 17941,
  [18382] = 17941,
  [18383] = 17941,
  [18384] = 17941,
  [18385] = 17941,
  [18386] = 17941,
  [18387] = 17941,
  [18388] = 17941,
  [18389] = 17941,
  [18390] = 17941,
  [18391] = 17941,
  [18392] = 17941,
  [18393] = 17941,
  [18394] = 17941,
  [18395] = 17941,
  [18396] = 17941,
  [18397] = 17941,
  [18398] = 17941,
  [18399] = 17941,
  [18400] = 17941,
  [18401] = 17941,
  [18402] = 17941,
  [18403] = 17941,
  [18404] = 17941,
  [18405] = 17941,
  [18406] = 17941,
  [18407] = 17941,
  [18408] = 17941,
  [18409] = 17941,
  [18410] = 17941,
  [18411] = 17941,
  [18412] = 17941,
  [18413] = 17941,
  [18414] = 17941,
  [18415] = 17941,
  [18416] = 17941,
  [18417] = 17941,
  [18418] = 17941,
  [18419] = 17941,
  [18420] = 17941,
  [18421] = 17941,
  [18422] = 17941,
  [18423] = 17941,
  [18424] = 17941,
  [18425] = 17941,
  [18426] = 17941,
  [18427] = 17941,
  [18428] = 17941,
  [18429] = 17941,
  [18430] = 17348,
  [18431] = 16675,
  [18432] = 16668,
  [18433] = 17505,
  [18434] = 16651,
  [18435] = 16651,
  [18436] = 16675,
  [18437] = 16667,
  [18438] = 16667,
  [18439] = 16652,
  [18440] = 16675,
  [18441] = 16656,
  [18442] = 16656,
  [18443] = 16651,
  [18444] = 16652,
  [18445] = 16675,
  [18446] = 17494,
  [18447] = 17503,
  [18448] = 16673,
  [18449] = 16667,
  [18450] = 16675,
  [18451] = 16651,
  [18452] = 16667,
  [18453] = 16674,
  [18454] = 16652,
  [18455] = 16677,
  [18456] = 16651,
  [18457] = 16653,
  [18458] = 16653,
  [18459] = 16675,
  [18460] = 16651,
  [18461] = 16656,
  [18462] = 16656,
  [18463] = 16667,
  [18464] = 16673,
  [18465] = 16667,
  [18466] = 16655,
  [18467] = 16652,
  [18468] = 16675,
  [18469] = 16651,
  [18470] = 16652,
  [18471] = 16656,
  [18472] = 16675,
  [18473] = 16667,
  [18474] = 16652,
  [18475] = 16651,
  [18476] = 16693,
  [18477] = 16698,
  [18478] = 16699,
  [18479] = 16701,
  [18480] = 16651,
  [18481] = 16665,
  [18482] = 16663,
  [18483] = 16675,
  [18484] = 16657,
  [18485] = 16656,
  [18486] = 16651,
  [18487] = 16667,
  [18488] = 16656,
  [18489] = 16652,
  [18490] = 16675,
  [18491] = 16651,
  [18492] = 16676,
  [18493] = 16654,
  [18494] = 16675,
  [18495] = 16674,
  [18496] = 16671,
  [18497] = 18497,
  [18498] = 18498,
  [18499] = 18499,
  [18500] = 18500,
};

static inline bool sym__alpha_identifier_character_set_1(int32_t c) {
  return (c < 6823
    ? (c < 2990
      ? (c < 2384
        ? (c < 1519
          ? (c < 886
            ? (c < 216
              ? (c < 181
                ? (c < '_'
                  ? (c >= 'A' && c <= 'Z')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 192
                  ? (c >= 186 && c <= 187)
                  : c <= 214)))
              : (c <= 246 || (c < 748
                ? (c < 710
                  ? (c >= 248 && c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 880
                  ? c == 750
                  : c <= 884)))))
            : (c <= 887 || (c < 931
              ? (c < 904
                ? (c < 895
                  ? (c >= 890 && c <= 893)
                  : (c <= 895 || c == 902))
                : (c <= 906 || (c < 910
                  ? c == 908
                  : c <= 929)))
              : (c <= 1013 || (c < 1369
                ? (c < 1162
                  ? (c >= 1015 && c <= 1153)
                  : (c <= 1327 || (c >= 1329 && c <= 1366)))
                : (c <= 1369 || (c < 1488
                  ? (c >= 1376 && c <= 1416)
                  : c <= 1514)))))))
          : (c <= 1522 || (c < 2036
            ? (c < 1786
              ? (c < 1749
                ? (c < 1646
                  ? (c >= 1568 && c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1774
                  ? (c >= 1765 && c <= 1766)
                  : c <= 1775)))
              : (c <= 1788 || (c < 1869
                ? (c < 1808
                  ? c == 1791
                  : (c <= 1808 || (c >= 1810 && c <= 1839)))
                : (c <= 1957 || (c < 1994
                  ? c == 1969
                  : c <= 2026)))))
            : (c <= 2037 || (c < 2144
              ? (c < 2084
                ? (c < 2048
                  ? c == 2042
                  : (c <= 2069 || c == 2074))
                : (c <= 2084 || (c < 2112
                  ? c == 2088
                  : c <= 2136)))
              : (c <= 2154 || (c < 2208
                ? (c < 2185
                  ? (c >= 2160 && c <= 2183)
                  : c <= 2190)
                : (c <= 2249 || (c < 2365
                  ? (c >= 2308 && c <= 2361)
                  : c <= 2365)))))))))
        : (c <= 2384 || (c < 2707
          ? (c < 2556
            ? (c < 2482
              ? (c < 2447
                ? (c < 2417
                  ? (c >= 2392 && c <= 2401)
                  : (c <= 2432 || (c >= 2437 && c <= 2444)))
                : (c <= 2448 || (c < 2474
                  ? (c >= 2451 && c <= 2472)
                  : c <= 2480)))
              : (c <= 2482 || (c < 2524
                ? (c < 2493
                  ? (c >= 2486 && c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2544
                  ? (c >= 2527 && c <= 2529)
                  : c <= 2545)))))
            : (c <= 2556 || (c < 2616
              ? (c < 2602
                ? (c < 2575
                  ? (c >= 2565 && c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2613
                  ? (c >= 2610 && c <= 2611)
                  : c <= 2614)))
              : (c <= 2617 || (c < 2674
                ? (c < 2654
                  ? (c >= 2649 && c <= 2652)
                  : c <= 2654)
                : (c <= 2676 || (c < 2703
                  ? (c >= 2693 && c <= 2701)
                  : c <= 2705)))))))
          : (c <= 2728 || (c < 2877
            ? (c < 2809
              ? (c < 2749
                ? (c < 2738
                  ? (c >= 2730 && c <= 2736)
                  : (c <= 2739 || (c >= 2741 && c <= 2745)))
                : (c <= 2749 || (c < 2784
                  ? c == 2768
                  : c <= 2785)))
              : (c <= 2809 || (c < 2858
                ? (c < 2831
                  ? (c >= 2821 && c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2869
                  ? (c >= 2866 && c <= 2867)
                  : c <= 2873)))))
            : (c <= 2877 || (c < 2962
              ? (c < 2947
                ? (c < 2911
                  ? (c >= 2908 && c <= 2909)
                  : (c <= 2913 || c == 2929))
                : (c <= 2947 || (c < 2958
                  ? (c >= 2949 && c <= 2954)
                  : c <= 2960)))
              : (c <= 2965 || (c < 2974
                ? (c < 2972
                  ? (c >= 2969 && c <= 2970)
                  : c <= 2972)
                : (c <= 2975 || (c < 2984
                  ? (c >= 2979 && c <= 2980)
                  : c <= 2986)))))))))))
      : (c <= 3001 || (c < 4186
        ? (c < 3450
          ? (c < 3242
            ? (c < 3160
              ? (c < 3090
                ? (c < 3077
                  ? c == 3024
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))
                : (c <= 3112 || (c < 3133
                  ? (c >= 3114 && c <= 3129)
                  : c <= 3133)))
              : (c <= 3162 || (c < 3205
                ? (c < 3168
                  ? c == 3165
                  : (c <= 3169 || c == 3200))
                : (c <= 3212 || (c < 3218
                  ? (c >= 3214 && c <= 3216)
                  : c <= 3240)))))
            : (c <= 3251 || (c < 3342
              ? (c < 3296
                ? (c < 3261
                  ? (c >= 3253 && c <= 3257)
                  : (c <= 3261 || (c >= 3293 && c <= 3294)))
                : (c <= 3297 || (c < 3332
                  ? (c >= 3313 && c <= 3314)
                  : c <= 3340)))
              : (c <= 3344 || (c < 3406
                ? (c < 3389
                  ? (c >= 3346 && c <= 3386)
                  : c <= 3389)
                : (c <= 3406 || (c < 3423
                  ? (c >= 3412 && c <= 3414)
                  : c <= 3425)))))))
          : (c <= 3455 || (c < 3751
            ? (c < 3634
              ? (c < 3517
                ? (c < 3482
                  ? (c >= 3461 && c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3585
                  ? (c >= 3520 && c <= 3526)
                  : c <= 3632)))
              : (c <= 3635 || (c < 3718
                ? (c < 3713
                  ? (c >= 3648 && c <= 3654)
                  : (c <= 3714 || c == 3716))
                : (c <= 3722 || (c < 3749
                  ? (c >= 3724 && c <= 3747)
                  : c <= 3749)))))
            : (c <= 3760 || (c < 3904
              ? (c < 3782
                ? (c < 3773
                  ? (c >= 3762 && c <= 3763)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))
                : (c <= 3782 || (c < 3840
                  ? (c >= 3804 && c <= 3807)
                  : c <= 3840)))
              : (c <= 3911 || (c < 4096
                ? (c < 3976
                  ? (c >= 3913 && c <= 3948)
                  : c <= 3980)
                : (c <= 4138 || (c < 4176
                  ? c == 4159
                  : c <= 4181)))))))))
        : (c <= 4189 || (c < 5024
          ? (c < 4698
            ? (c < 4295
              ? (c < 4213
                ? (c < 4197
                  ? c == 4193
                  : (c <= 4198 || (c >= 4206 && c <= 4208)))
                : (c <= 4225 || (c < 4256
                  ? c == 4238
                  : c <= 4293)))
              : (c <= 4295 || (c < 4682
                ? (c < 4304
                  ? c == 4301
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))
                : (c <= 4685 || (c < 4696
                  ? (c >= 4688 && c <= 4694)
                  : c <= 4696)))))
            : (c <= 4701 || (c < 4802
              ? (c < 4786
                ? (c < 4746
                  ? (c >= 4704 && c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4800
                  ? (c >= 4792 && c <= 4798)
                  : c <= 4800)))
              : (c <= 4805 || (c < 4882
                ? (c < 4824
                  ? (c >= 4808 && c <= 4822)
                  : c <= 4880)
                : (c <= 4885 || (c < 4992
                  ? (c >= 4888 && c <= 4954)
                  : c <= 5007)))))))
          : (c <= 5109 || (c < 6108
            ? (c < 5888
              ? (c < 5761
                ? (c < 5121
                  ? (c >= 5112 && c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))
                : (c <= 5786 || (c < 5870
                  ? (c >= 5792 && c <= 5866)
                  : c <= 5880)))
              : (c <= 5905 || (c < 5998
                ? (c < 5952
                  ? (c >= 5919 && c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c >= 6016 && c <= 6067)
                  : c <= 6103)))))
            : (c <= 6108 || (c < 6480
              ? (c < 6314
                ? (c < 6272
                  ? (c >= 6176 && c <= 6264)
                  : (c <= 6276 || (c >= 6279 && c <= 6312)))
                : (c <= 6314 || (c < 6400
                  ? (c >= 6320 && c <= 6389)
                  : c <= 6430)))
              : (c <= 6509 || (c < 6576
                ? (c < 6528
                  ? (c >= 6512 && c <= 6516)
                  : c <= 6571)
                : (c <= 6601 || (c < 6688
                  ? (c >= 6656 && c <= 6678)
                  : c <= 6740)))))))))))))
    : (c <= 6823 || (c < 43261
      ? (c < 11499
        ? (c < 8118
          ? (c < 7413
            ? (c < 7245
              ? (c < 7086
                ? (c < 6981
                  ? (c >= 6917 && c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7168
                  ? (c >= 7098 && c <= 7141)
                  : c <= 7203)))
              : (c <= 7247 || (c < 7357
                ? (c < 7296
                  ? (c >= 7258 && c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))
                : (c <= 7359 || (c < 7406
                  ? (c >= 7401 && c <= 7404)
                  : c <= 7411)))))
            : (c <= 7414 || (c < 8016
              ? (c < 7960
                ? (c < 7424
                  ? c == 7418
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))
                : (c <= 7965 || (c < 8008
                  ? (c >= 7968 && c <= 8005)
                  : c <= 8013)))
              : (c <= 8023 || (c < 8029
                ? (c < 8027
                  ? c == 8025
                  : c <= 8027)
                : (c <= 8029 || (c < 8064
                  ? (c >= 8031 && c <= 8061)
                  : c <= 8116)))))))
          : (c <= 8124 || (c < 8458
            ? (c < 8178
              ? (c < 8144
                ? (c < 8130
                  ? c == 8126
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))
                : (c <= 8147 || (c < 8160
                  ? (c >= 8150 && c <= 8155)
                  : c <= 8172)))
              : (c <= 8180 || (c < 8336
                ? (c < 8305
                  ? (c >= 8182 && c <= 8188)
                  : (c <= 8305 || c == 8319))
                : (c <= 8348 || (c < 8455
                  ? c == 8450
                  : c <= 8455)))))
            : (c <= 8467 || (c < 8495
              ? (c < 8486
                ? (c < 8473
                  ? c == 8469
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8490
                  ? c == 8488
                  : c <= 8493)))
              : (c <= 8505 || (c < 8526
                ? (c < 8517
                  ? (c >= 8508 && c <= 8511)
                  : c <= 8521)
                : (c <= 8526 || (c < 11264
                  ? (c >= 8544 && c <= 8584)
                  : c <= 11492)))))))))
        : (c <= 11502 || (c < 12704
          ? (c < 11728
            ? (c < 11648
              ? (c < 11565
                ? (c < 11520
                  ? (c >= 11506 && c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11631
                  ? (c >= 11568 && c <= 11623)
                  : c <= 11631)))
              : (c <= 11670 || (c < 11704
                ? (c < 11688
                  ? (c >= 11680 && c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11720
                  ? (c >= 11712 && c <= 11718)
                  : c <= 11726)))))
            : (c <= 11734 || (c < 12353
              ? (c < 12321
                ? (c < 11823
                  ? (c >= 11736 && c <= 11742)
                  : (c <= 11823 || (c >= 12293 && c <= 12295)))
                : (c <= 12329 || (c < 12344
                  ? (c >= 12337 && c <= 12341)
                  : c <= 12348)))
              : (c <= 12438 || (c < 12540
                ? (c < 12449
                  ? (c >= 12445 && c <= 12447)
                  : c <= 12538)
                : (c <= 12543 || (c < 12593
                  ? (c >= 12549 && c <= 12591)
                  : c <= 12686)))))))
          : (c <= 12735 || (c < 42786
            ? (c < 42240
              ? (c < 19968
                ? (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : (c <= 13312 || c == 19903))
                : (c <= 19968 || (c < 42192
                  ? (c >= 40959 && c <= 42124)
                  : c <= 42237)))
              : (c <= 42508 || (c < 42623
                ? (c < 42538
                  ? (c >= 42512 && c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42775
                  ? (c >= 42656 && c <= 42735)
                  : c <= 42783)))))
            : (c <= 42888 || (c < 43015
              ? (c < 42965
                ? (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)))
              : (c <= 43018 || (c < 43138
                ? (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)
                : (c <= 43187 || (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)))))))))))
      : (c <= 43262 || (c < 65345
        ? (c < 43816
          ? (c < 43646
            ? (c < 43494
              ? (c < 43396
                ? (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43488
                  ? c == 43471
                  : c <= 43492)))
              : (c <= 43503 || (c < 43588
                ? (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : (c <= 43560 || (c >= 43584 && c <= 43586)))
                : (c <= 43595 || (c < 43642
                  ? (c >= 43616 && c <= 43638)
                  : c <= 43642)))))
            : (c <= 43695 || (c < 43744
              ? (c < 43712
                ? (c < 43701
                  ? c == 43697
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43739
                  ? c == 43714
                  : c <= 43741)))
              : (c <= 43754 || (c < 43785
                ? (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)
                : (c <= 43790 || (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)))))))
          : (c <= 43822 || (c < 64298
            ? (c < 55243
              ? (c < 44032
                ? (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : (c <= 43881 || (c >= 43888 && c <= 44002)))
                : (c <= 44032 || (c < 55216
                  ? c == 55203
                  : c <= 55238)))
              : (c <= 55291 || (c < 64275
                ? (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))
                : (c <= 64279 || (c < 64287
                  ? c == 64285
                  : c <= 64296)))))
            : (c <= 64310 || (c < 64848
              ? (c < 64323
                ? (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64467
                  ? (c >= 64326 && c <= 64433)
                  : c <= 64829)))
              : (c <= 64911 || (c < 65136
                ? (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)
                : (c <= 65140 || (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)))))))))
        : (c <= 65370 || (c < 66864
          ? (c < 66176
            ? (c < 65549
              ? (c < 65490
                ? (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65536
                  ? (c >= 65498 && c <= 65500)
                  : c <= 65547)))
              : (c <= 65574 || (c < 65616
                ? (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 65856
                  ? (c >= 65664 && c <= 65786)
                  : c <= 65908)))))
            : (c <= 66204 || (c < 66504
              ? (c < 66384
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))
                : (c <= 66421 || (c < 66464
                  ? (c >= 66432 && c <= 66461)
                  : c <= 66499)))
              : (c <= 66511 || (c < 66736
                ? (c < 66560
                  ? (c >= 66513 && c <= 66517)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym__alpha_identifier_character_set_2(int32_t c) {
  return (c < 6400
    ? (c < 2979
      ? (c < 2392
        ? (c < 1568
          ? (c < 890
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c >= 'A' && c <= 'Z')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 192
                  ? (c >= 186 && c <= 187)
                  : c <= 705)))
              : (c <= 721 || (c < 750
                ? (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)
                : (c <= 750 || (c < 886
                  ? (c >= 880 && c <= 884)
                  : c <= 887)))))
            : (c <= 893 || (c < 1162
              ? (c < 908
                ? (c < 902
                  ? c == 895
                  : (c <= 902 || (c >= 904 && c <= 906)))
                : (c <= 908 || (c < 931
                  ? (c >= 910 && c <= 929)
                  : c <= 1153)))
              : (c <= 1327 || (c < 1376
                ? (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)
                : (c <= 1416 || (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : c <= 1522)))))))
          : (c <= 1610 || (c < 2042
            ? (c < 1808
              ? (c < 1765
                ? (c < 1649
                  ? (c >= 1646 && c <= 1647)
                  : (c <= 1747 || c == 1749))
                : (c <= 1766 || (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : c <= 1791)))
              : (c <= 1808 || (c < 1969
                ? (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)
                : (c <= 1969 || (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : c <= 2037)))))
            : (c <= 2042 || (c < 2160
              ? (c < 2088
                ? (c < 2074
                  ? (c >= 2048 && c <= 2069)
                  : (c <= 2074 || c == 2084))
                : (c <= 2088 || (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)))
              : (c <= 2183 || (c < 2308
                ? (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)
                : (c <= 2361 || (c < 2384
                  ? c == 2365
                  : c <= 2384)))))))))
        : (c <= 2401 || (c < 2707
          ? (c < 2556
            ? (c < 2486
              ? (c < 2451
                ? (c < 2437
                  ? (c >= 2417 && c <= 2432)
                  : (c <= 2444 || (c >= 2447 && c <= 2448)))
                : (c <= 2472 || (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : c <= 2482)))
              : (c <= 2489 || (c < 2524
                ? (c < 2510
                  ? c == 2493
                  : c <= 2510)
                : (c <= 2525 || (c < 2544
                  ? (c >= 2527 && c <= 2529)
                  : c <= 2545)))))
            : (c <= 2556 || (c < 2616
              ? (c < 2602
                ? (c < 2575
                  ? (c >= 2565 && c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2613
                  ? (c >= 2610 && c <= 2611)
                  : c <= 2614)))
              : (c <= 2617 || (c < 2674
                ? (c < 2654
                  ? (c >= 2649 && c <= 2652)
                  : c <= 2654)
                : (c <= 2676 || (c < 2703
                  ? (c >= 2693 && c <= 2701)
                  : c <= 2705)))))))
          : (c <= 2728 || (c < 2869
            ? (c < 2809
              ? (c < 2749
                ? (c < 2738
                  ? (c >= 2730 && c <= 2736)
                  : (c <= 2739 || (c >= 2741 && c <= 2745)))
                : (c <= 2749 || (c < 2784
                  ? c == 2768
                  : c <= 2785)))
              : (c <= 2809 || (c < 2835
                ? (c < 2831
                  ? (c >= 2821 && c <= 2828)
                  : c <= 2832)
                : (c <= 2856 || (c < 2866
                  ? (c >= 2858 && c <= 2864)
                  : c <= 2867)))))
            : (c <= 2873 || (c < 2949
              ? (c < 2911
                ? (c < 2908
                  ? c == 2877
                  : c <= 2909)
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 3976
        ? (c < 3406
          ? (c < 3205
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3165
                ? (c < 3160
                  ? c == 3133
                  : c <= 3162)
                : (c <= 3165 || (c < 3200
                  ? (c >= 3168 && c <= 3169)
                  : c <= 3200)))))
            : (c <= 3212 || (c < 3296
              ? (c < 3253
                ? (c < 3218
                  ? (c >= 3214 && c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))
                : (c <= 3257 || (c < 3293
                  ? c == 3261
                  : c <= 3294)))
              : (c <= 3297 || (c < 3342
                ? (c < 3332
                  ? (c >= 3313 && c <= 3314)
                  : c <= 3340)
                : (c <= 3344 || (c < 3389
                  ? (c >= 3346 && c <= 3386)
                  : c <= 3389)))))))
          : (c <= 3406 || (c < 3716
            ? (c < 3517
              ? (c < 3461
                ? (c < 3423
                  ? (c >= 3412 && c <= 3414)
                  : (c <= 3425 || (c >= 3450 && c <= 3455)))
                : (c <= 3478 || (c < 3507
                  ? (c >= 3482 && c <= 3505)
                  : c <= 3515)))
              : (c <= 3517 || (c < 3634
                ? (c < 3585
                  ? (c >= 3520 && c <= 3526)
                  : c <= 3632)
                : (c <= 3635 || (c < 3713
                  ? (c >= 3648 && c <= 3654)
                  : c <= 3714)))))
            : (c <= 3716 || (c < 3776
              ? (c < 3751
                ? (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3773
                  ? (c >= 3762 && c <= 3763)
                  : c <= 3773)))
              : (c <= 3780 || (c < 3840
                ? (c < 3804
                  ? c == 3782
                  : c <= 3807)
                : (c <= 3840 || (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)))))))))
        : (c <= 3980 || (c < 4808
          ? (c < 4304
            ? (c < 4206
              ? (c < 4186
                ? (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))
                : (c <= 4189 || (c < 4197
                  ? c == 4193
                  : c <= 4198)))
              : (c <= 4208 || (c < 4256
                ? (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)
                : (c <= 4293 || (c < 4301
                  ? c == 4295
                  : c <= 4301)))))
            : (c <= 4346 || (c < 4746
              ? (c < 4696
                ? (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : c <= 4744)))
              : (c <= 4749 || (c < 4792
                ? (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)
                : (c <= 4798 || (c < 4802
                  ? c == 4800
                  : c <= 4805)))))))
          : (c <= 4822 || (c < 5919
            ? (c < 5121
              ? (c < 4992
                ? (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : c <= 5117)))
              : (c <= 5740 || (c < 5792
                ? (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)
                : (c <= 5866 || (c < 5888
                  ? (c >= 5870 && c <= 5880)
                  : c <= 5905)))))
            : (c <= 5937 || (c < 6108
              ? (c < 5998
                ? (c < 5984
                  ? (c >= 5952 && c <= 5969)
                  : c <= 5996)
                : (c <= 6000 || (c < 6103
                  ? (c >= 6016 && c <= 6067)
                  : c <= 6103)))
              : (c <= 6108 || (c < 6279
                ? (c < 6272
                  ? (c >= 6176 && c <= 6264)
                  : c <= 6276)
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))))))))))))
    : (c <= 6430 || (c < 43360
      ? (c < 11565
        ? (c < 7968
          ? (c < 7168
            ? (c < 6823
              ? (c < 6576
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))
                : (c <= 6601 || (c < 6688
                  ? (c >= 6656 && c <= 6678)
                  : c <= 6740)))
              : (c <= 6823 || (c < 7043
                ? (c < 6981
                  ? (c >= 6917 && c <= 6963)
                  : c <= 6988)
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))))
            : (c <= 7203 || (c < 7406
              ? (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))
              : (c <= 7411 || (c < 7424
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : c <= 7418)
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))))))
          : (c <= 8005 || (c < 8150
            ? (c < 8064
              ? (c < 8027
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8031
                  ? c == 8029
                  : c <= 8061)))
              : (c <= 8116 || (c < 8130
                ? (c < 8126
                  ? (c >= 8118 && c <= 8124)
                  : c <= 8126)
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))))
            : (c <= 8155 || (c < 8450
              ? (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))
              : (c <= 8526 || (c < 11506
                ? (c < 11264
                  ? (c >= 8544 && c <= 8584)
                  : c <= 11502)
                : (c <= 11507 || (c < 11559
                  ? (c >= 11520 && c <= 11557)
                  : c <= 11559)))))))))
        : (c <= 11565 || (c < 40959
          ? (c < 12293
            ? (c < 11704
              ? (c < 11680
                ? (c < 11631
                  ? (c >= 11568 && c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))
                : (c <= 11686 || (c < 11696
                  ? (c >= 11688 && c <= 11694)
                  : c <= 11702)))
              : (c <= 11710 || (c < 11728
                ? (c < 11720
                  ? (c >= 11712 && c <= 11718)
                  : c <= 11726)
                : (c <= 11734 || (c < 11823
                  ? (c >= 11736 && c <= 11742)
                  : c <= 11823)))))
            : (c <= 12295 || (c < 12549
              ? (c < 12445
                ? (c < 12337
                  ? (c >= 12321 && c <= 12329)
                  : (c <= 12348 || (c >= 12353 && c <= 12438)))
                : (c <= 12447 || (c < 12540
                  ? (c >= 12449 && c <= 12538)
                  : c <= 12543)))
              : (c <= 12591 || (c < 12784
                ? (c < 12704
                  ? (c >= 12593 && c <= 12686)
                  : c <= 12735)
                : (c <= 12799 || (c < 19903
                  ? c == 13312
                  : c <= 19968)))))))
          : (c <= 42124 || (c < 42965
            ? (c < 42656
              ? (c < 42538
                ? (c < 42240
                  ? (c >= 42192 && c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42623
                  ? (c >= 42560 && c <= 42606)
                  : c <= 42653)))
              : (c <= 42735 || (c < 42891
                ? (c < 42786
                  ? (c >= 42775 && c <= 42783)
                  : c <= 42888)
                : (c <= 42954 || (c < 42963
                  ? (c >= 42960 && c <= 42961)
                  : c <= 42963)))))
            : (c <= 42969 || (c < 43138
              ? (c < 43015
                ? (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)
                : (c <= 43018 || (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)))
              : (c <= 43187 || (c < 43261
                ? (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)
                : (c <= 43262 || (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : c <= 43334)))))))))))
      : (c <= 43388 || (c < 65482
        ? (c < 43888
          ? (c < 43705
            ? (c < 43584
              ? (c < 43494
                ? (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))
                : (c <= 43503 || (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : c <= 43560)))
              : (c <= 43586 || (c < 43646
                ? (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43642)
                : (c <= 43695 || (c < 43701
                  ? c == 43697
                  : c <= 43702)))))
            : (c <= 43709 || (c < 43785
              ? (c < 43744
                ? (c < 43714
                  ? c == 43712
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)))
              : (c <= 43790 || (c < 43816
                ? (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)
                : (c <= 43822 || (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : c <= 43881)))))))
          : (c <= 44002 || (c < 64320
            ? (c < 64256
              ? (c < 55243
                ? (c < 55203
                  ? c == 44032
                  : (c <= 55203 || (c >= 55216 && c <= 55238)))
                : (c <= 55291 || (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : c <= 64217)))
              : (c <= 64262 || (c < 64287
                ? (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)
                : (c <= 64310 || (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : c <= 64318)))))
            : (c <= 64321 || (c < 65136
              ? (c < 64848
                ? (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64829)))
                : (c <= 64911 || (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)))
              : (c <= 65140 || (c < 65345
                ? (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)
                : (c <= 65370 || (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : c <= 65479)))))))))
        : (c <= 65487 || (c < 66940
          ? (c < 66304
            ? (c < 65599
              ? (c < 65549
                ? (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))
                : (c <= 65574 || (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : c <= 65597)))
              : (c <= 65613 || (c < 65856
                ? (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)
                : (c <= 65908 || (c < 66208
                  ? (c >= 66176 && c <= 66204)
                  : c <= 66256)))))
            : (c <= 66335 || (c < 66560
              ? (c < 66464
                ? (c < 66384
                  ? (c >= 66349 && c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))
                : (c <= 66499 || (c < 66513
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66517)))
              : (c <= 66717 || (c < 66816
                ? (c < 66776
                  ? (c >= 66736 && c <= 66771)
                  : c <= 66811)
                : (c <= 66855 || (c < 66928
                  ? (c >= 66864 && c <= 66915)
                  : c <= 66938)))))))
          : (c <= 66954 || (c < 67584
            ? (c < 67072
              ? (c < 66979
                ? (c < 66964
                  ? (c >= 66956 && c <= 66962)
                  : (c <= 66965 || (c >= 66967 && c <= 66977)))
                : (c <= 66993 || (c < 67003
                  ? (c >= 66995 && c <= 67001)
                  : c <= 67004)))
              : (c <= 67382 || (c < 67456
                ? (c < 67424
                  ? (c >= 67392 && c <= 67413)
                  : c <= 67431)
                : (c <= 67461 || (c < 67506
                  ? (c >= 67463 && c <= 67504)
                  : c <= 67514)))))
            : (c <= 67589 || (c < 67680
              ? (c < 67639
                ? (c < 67594
                  ? c == 67592
                  : c <= 67637)
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym__alpha_identifier_character_set_3(int32_t c) {
  return (c < 6400
    ? (c < 2979
      ? (c < 2384
        ? (c < 1519
          ? (c < 886
            ? (c < 192
              ? (c < 170
                ? (c < 'A'
                  ? c == '$'
                  : (c <= 'Z' || (c >= '_' && c <= 'z')))
                : (c <= 170 || (c < 186
                  ? c == 181
                  : c <= 187)))
              : (c <= 705 || (c < 748
                ? (c < 736
                  ? (c >= 710 && c <= 721)
                  : c <= 740)
                : (c <= 748 || (c < 880
                  ? c == 750
                  : c <= 884)))))
            : (c <= 887 || (c < 931
              ? (c < 904
                ? (c < 895
                  ? (c >= 890 && c <= 893)
                  : (c <= 895 || c == 902))
                : (c <= 906 || (c < 910
                  ? c == 908
                  : c <= 929)))
              : (c <= 1153 || (c < 1369
                ? (c < 1329
                  ? (c >= 1162 && c <= 1327)
                  : c <= 1366)
                : (c <= 1369 || (c < 1488
                  ? (c >= 1376 && c <= 1416)
                  : c <= 1514)))))))
          : (c <= 1522 || (c < 2036
            ? (c < 1786
              ? (c < 1749
                ? (c < 1646
                  ? (c >= 1568 && c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1774
                  ? (c >= 1765 && c <= 1766)
                  : c <= 1775)))
              : (c <= 1791 || (c < 1869
                ? (c < 1810
                  ? c == 1808
                  : c <= 1839)
                : (c <= 1957 || (c < 1994
                  ? c == 1969
                  : c <= 2026)))))
            : (c <= 2037 || (c < 2144
              ? (c < 2084
                ? (c < 2048
                  ? c == 2042
                  : (c <= 2069 || c == 2074))
                : (c <= 2084 || (c < 2112
                  ? c == 2088
                  : c <= 2136)))
              : (c <= 2154 || (c < 2208
                ? (c < 2185
                  ? (c >= 2160 && c <= 2183)
                  : c <= 2190)
                : (c <= 2249 || (c < 2365
                  ? (c >= 2308 && c <= 2361)
                  : c <= 2365)))))))))
        : (c <= 2384 || (c < 2703
          ? (c < 2544
            ? (c < 2482
              ? (c < 2447
                ? (c < 2417
                  ? (c >= 2392 && c <= 2401)
                  : (c <= 2432 || (c >= 2437 && c <= 2444)))
                : (c <= 2448 || (c < 2474
                  ? (c >= 2451 && c <= 2472)
                  : c <= 2480)))
              : (c <= 2482 || (c < 2510
                ? (c < 2493
                  ? (c >= 2486 && c <= 2489)
                  : c <= 2493)
                : (c <= 2510 || (c < 2527
                  ? (c >= 2524 && c <= 2525)
                  : c <= 2529)))))
            : (c <= 2545 || (c < 2613
              ? (c < 2579
                ? (c < 2565
                  ? c == 2556
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2610
                  ? (c >= 2602 && c <= 2608)
                  : c <= 2611)))
              : (c <= 2614 || (c < 2654
                ? (c < 2649
                  ? (c >= 2616 && c <= 2617)
                  : c <= 2652)
                : (c <= 2654 || (c < 2693
                  ? (c >= 2674 && c <= 2676)
                  : c <= 2701)))))))
          : (c <= 2705 || (c < 2866
            ? (c < 2784
              ? (c < 2741
                ? (c < 2730
                  ? (c >= 2707 && c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))
                : (c <= 2745 || (c < 2768
                  ? c == 2749
                  : c <= 2768)))
              : (c <= 2785 || (c < 2831
                ? (c < 2821
                  ? c == 2809
                  : c <= 2828)
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 3976
        ? (c < 3406
          ? (c < 3205
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3165
                ? (c < 3160
                  ? c == 3133
                  : c <= 3162)
                : (c <= 3165 || (c < 3200
                  ? (c >= 3168 && c <= 3169)
                  : c <= 3200)))))
            : (c <= 3212 || (c < 3296
              ? (c < 3253
                ? (c < 3218
                  ? (c >= 3214 && c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))
                : (c <= 3257 || (c < 3293
                  ? c == 3261
                  : c <= 3294)))
              : (c <= 3297 || (c < 3342
                ? (c < 3332
                  ? (c >= 3313 && c <= 3314)
                  : c <= 3340)
                : (c <= 3344 || (c < 3389
                  ? (c >= 3346 && c <= 3386)
                  : c <= 3389)))))))
          : (c <= 3406 || (c < 3716
            ? (c < 3517
              ? (c < 3461
                ? (c < 3423
                  ? (c >= 3412 && c <= 3414)
                  : (c <= 3425 || (c >= 3450 && c <= 3455)))
                : (c <= 3478 || (c < 3507
                  ? (c >= 3482 && c <= 3505)
                  : c <= 3515)))
              : (c <= 3517 || (c < 3634
                ? (c < 3585
                  ? (c >= 3520 && c <= 3526)
                  : c <= 3632)
                : (c <= 3635 || (c < 3713
                  ? (c >= 3648 && c <= 3654)
                  : c <= 3714)))))
            : (c <= 3716 || (c < 3776
              ? (c < 3751
                ? (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3773
                  ? (c >= 3762 && c <= 3763)
                  : c <= 3773)))
              : (c <= 3780 || (c < 3840
                ? (c < 3804
                  ? c == 3782
                  : c <= 3807)
                : (c <= 3840 || (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)))))))))
        : (c <= 3980 || (c < 4808
          ? (c < 4304
            ? (c < 4206
              ? (c < 4186
                ? (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))
                : (c <= 4189 || (c < 4197
                  ? c == 4193
                  : c <= 4198)))
              : (c <= 4208 || (c < 4256
                ? (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)
                : (c <= 4293 || (c < 4301
                  ? c == 4295
                  : c <= 4301)))))
            : (c <= 4346 || (c < 4746
              ? (c < 4696
                ? (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : c <= 4744)))
              : (c <= 4749 || (c < 4792
                ? (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)
                : (c <= 4798 || (c < 4802
                  ? c == 4800
                  : c <= 4805)))))))
          : (c <= 4822 || (c < 5919
            ? (c < 5121
              ? (c < 4992
                ? (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : c <= 5117)))
              : (c <= 5740 || (c < 5792
                ? (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)
                : (c <= 5866 || (c < 5888
                  ? (c >= 5870 && c <= 5880)
                  : c <= 5905)))))
            : (c <= 5937 || (c < 6108
              ? (c < 5998
                ? (c < 5984
                  ? (c >= 5952 && c <= 5969)
                  : c <= 5996)
                : (c <= 6000 || (c < 6103
                  ? (c >= 6016 && c <= 6067)
                  : c <= 6103)))
              : (c <= 6108 || (c < 6279
                ? (c < 6272
                  ? (c >= 6176 && c <= 6264)
                  : c <= 6276)
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))))))))))))
    : (c <= 6430 || (c < 43360
      ? (c < 11565
        ? (c < 7968
          ? (c < 7168
            ? (c < 6823
              ? (c < 6576
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))
                : (c <= 6601 || (c < 6688
                  ? (c >= 6656 && c <= 6678)
                  : c <= 6740)))
              : (c <= 6823 || (c < 7043
                ? (c < 6981
                  ? (c >= 6917 && c <= 6963)
                  : c <= 6988)
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))))
            : (c <= 7203 || (c < 7406
              ? (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))
              : (c <= 7411 || (c < 7424
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : c <= 7418)
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))))))
          : (c <= 8005 || (c < 8150
            ? (c < 8064
              ? (c < 8027
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8031
                  ? c == 8029
                  : c <= 8061)))
              : (c <= 8116 || (c < 8130
                ? (c < 8126
                  ? (c >= 8118 && c <= 8124)
                  : c <= 8126)
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))))
            : (c <= 8155 || (c < 8450
              ? (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))
              : (c <= 8526 || (c < 11506
                ? (c < 11264
                  ? (c >= 8544 && c <= 8584)
                  : c <= 11502)
                : (c <= 11507 || (c < 11559
                  ? (c >= 11520 && c <= 11557)
                  : c <= 11559)))))))))
        : (c <= 11565 || (c < 40959
          ? (c < 12293
            ? (c < 11704
              ? (c < 11680
                ? (c < 11631
                  ? (c >= 11568 && c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))
                : (c <= 11686 || (c < 11696
                  ? (c >= 11688 && c <= 11694)
                  : c <= 11702)))
              : (c <= 11710 || (c < 11728
                ? (c < 11720
                  ? (c >= 11712 && c <= 11718)
                  : c <= 11726)
                : (c <= 11734 || (c < 11823
                  ? (c >= 11736 && c <= 11742)
                  : c <= 11823)))))
            : (c <= 12295 || (c < 12549
              ? (c < 12445
                ? (c < 12337
                  ? (c >= 12321 && c <= 12329)
                  : (c <= 12348 || (c >= 12353 && c <= 12438)))
                : (c <= 12447 || (c < 12540
                  ? (c >= 12449 && c <= 12538)
                  : c <= 12543)))
              : (c <= 12591 || (c < 12784
                ? (c < 12704
                  ? (c >= 12593 && c <= 12686)
                  : c <= 12735)
                : (c <= 12799 || (c < 19903
                  ? c == 13312
                  : c <= 19968)))))))
          : (c <= 42124 || (c < 42965
            ? (c < 42656
              ? (c < 42538
                ? (c < 42240
                  ? (c >= 42192 && c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42623
                  ? (c >= 42560 && c <= 42606)
                  : c <= 42653)))
              : (c <= 42735 || (c < 42891
                ? (c < 42786
                  ? (c >= 42775 && c <= 42783)
                  : c <= 42888)
                : (c <= 42954 || (c < 42963
                  ? (c >= 42960 && c <= 42961)
                  : c <= 42963)))))
            : (c <= 42969 || (c < 43138
              ? (c < 43015
                ? (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)
                : (c <= 43018 || (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)))
              : (c <= 43187 || (c < 43261
                ? (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)
                : (c <= 43262 || (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : c <= 43334)))))))))))
      : (c <= 43388 || (c < 65482
        ? (c < 43888
          ? (c < 43705
            ? (c < 43584
              ? (c < 43494
                ? (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))
                : (c <= 43503 || (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : c <= 43560)))
              : (c <= 43586 || (c < 43646
                ? (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43642)
                : (c <= 43695 || (c < 43701
                  ? c == 43697
                  : c <= 43702)))))
            : (c <= 43709 || (c < 43785
              ? (c < 43744
                ? (c < 43714
                  ? c == 43712
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)))
              : (c <= 43790 || (c < 43816
                ? (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)
                : (c <= 43822 || (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : c <= 43881)))))))
          : (c <= 44002 || (c < 64320
            ? (c < 64256
              ? (c < 55243
                ? (c < 55203
                  ? c == 44032
                  : (c <= 55203 || (c >= 55216 && c <= 55238)))
                : (c <= 55291 || (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : c <= 64217)))
              : (c <= 64262 || (c < 64287
                ? (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)
                : (c <= 64310 || (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : c <= 64318)))))
            : (c <= 64321 || (c < 65136
              ? (c < 64848
                ? (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64829)))
                : (c <= 64911 || (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)))
              : (c <= 65140 || (c < 65345
                ? (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)
                : (c <= 65370 || (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : c <= 65479)))))))))
        : (c <= 65487 || (c < 66940
          ? (c < 66304
            ? (c < 65599
              ? (c < 65549
                ? (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))
                : (c <= 65574 || (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : c <= 65597)))
              : (c <= 65613 || (c < 65856
                ? (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)
                : (c <= 65908 || (c < 66208
                  ? (c >= 66176 && c <= 66204)
                  : c <= 66256)))))
            : (c <= 66335 || (c < 66560
              ? (c < 66464
                ? (c < 66384
                  ? (c >= 66349 && c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))
                : (c <= 66499 || (c < 66513
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66517)))
              : (c <= 66717 || (c < 66816
                ? (c < 66776
                  ? (c >= 66736 && c <= 66771)
                  : c <= 66811)
                : (c <= 66855 || (c < 66928
                  ? (c >= 66864 && c <= 66915)
                  : c <= 66938)))))))
          : (c <= 66954 || (c < 67584
            ? (c < 67072
              ? (c < 66979
                ? (c < 66964
                  ? (c >= 66956 && c <= 66962)
                  : (c <= 66965 || (c >= 66967 && c <= 66977)))
                : (c <= 66993 || (c < 67003
                  ? (c >= 66995 && c <= 67001)
                  : c <= 67004)))
              : (c <= 67382 || (c < 67456
                ? (c < 67424
                  ? (c >= 67392 && c <= 67413)
                  : c <= 67431)
                : (c <= 67461 || (c < 67506
                  ? (c >= 67463 && c <= 67504)
                  : c <= 67514)))))
            : (c <= 67589 || (c < 67680
              ? (c < 67639
                ? (c < 67594
                  ? c == 67592
                  : c <= 67637)
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym__alpha_identifier_character_set_4(int32_t c) {
  return (c < 6400
    ? (c < 2979
      ? (c < 2392
        ? (c < 1568
          ? (c < 890
            ? (c < 710
              ? (c < 181
                ? (c < 'A'
                  ? c == '$'
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 192
                  ? (c >= 186 && c <= 187)
                  : c <= 705)))
              : (c <= 721 || (c < 750
                ? (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)
                : (c <= 750 || (c < 886
                  ? (c >= 880 && c <= 884)
                  : c <= 887)))))
            : (c <= 893 || (c < 1162
              ? (c < 908
                ? (c < 902
                  ? c == 895
                  : (c <= 902 || (c >= 904 && c <= 906)))
                : (c <= 908 || (c < 931
                  ? (c >= 910 && c <= 929)
                  : c <= 1153)))
              : (c <= 1327 || (c < 1376
                ? (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)
                : (c <= 1416 || (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : c <= 1522)))))))
          : (c <= 1610 || (c < 2042
            ? (c < 1808
              ? (c < 1765
                ? (c < 1649
                  ? (c >= 1646 && c <= 1647)
                  : (c <= 1747 || c == 1749))
                : (c <= 1766 || (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : c <= 1791)))
              : (c <= 1808 || (c < 1969
                ? (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)
                : (c <= 1969 || (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : c <= 2037)))))
            : (c <= 2042 || (c < 2160
              ? (c < 2088
                ? (c < 2074
                  ? (c >= 2048 && c <= 2069)
                  : (c <= 2074 || c == 2084))
                : (c <= 2088 || (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)))
              : (c <= 2183 || (c < 2308
                ? (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)
                : (c <= 2361 || (c < 2384
                  ? c == 2365
                  : c <= 2384)))))))))
        : (c <= 2401 || (c < 2707
          ? (c < 2556
            ? (c < 2486
              ? (c < 2451
                ? (c < 2437
                  ? (c >= 2417 && c <= 2432)
                  : (c <= 2444 || (c >= 2447 && c <= 2448)))
                : (c <= 2472 || (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : c <= 2482)))
              : (c <= 2489 || (c < 2524
                ? (c < 2510
                  ? c == 2493
                  : c <= 2510)
                : (c <= 2525 || (c < 2544
                  ? (c >= 2527 && c <= 2529)
                  : c <= 2545)))))
            : (c <= 2556 || (c < 2616
              ? (c < 2602
                ? (c < 2575
                  ? (c >= 2565 && c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2613
                  ? (c >= 2610 && c <= 2611)
                  : c <= 2614)))
              : (c <= 2617 || (c < 2674
                ? (c < 2654
                  ? (c >= 2649 && c <= 2652)
                  : c <= 2654)
                : (c <= 2676 || (c < 2703
                  ? (c >= 2693 && c <= 2701)
                  : c <= 2705)))))))
          : (c <= 2728 || (c < 2869
            ? (c < 2809
              ? (c < 2749
                ? (c < 2738
                  ? (c >= 2730 && c <= 2736)
                  : (c <= 2739 || (c >= 2741 && c <= 2745)))
                : (c <= 2749 || (c < 2784
                  ? c == 2768
                  : c <= 2785)))
              : (c <= 2809 || (c < 2835
                ? (c < 2831
                  ? (c >= 2821 && c <= 2828)
                  : c <= 2832)
                : (c <= 2856 || (c < 2866
                  ? (c >= 2858 && c <= 2864)
                  : c <= 2867)))))
            : (c <= 2873 || (c < 2949
              ? (c < 2911
                ? (c < 2908
                  ? c == 2877
                  : c <= 2909)
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 3976
        ? (c < 3406
          ? (c < 3205
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3165
                ? (c < 3160
                  ? c == 3133
                  : c <= 3162)
                : (c <= 3165 || (c < 3200
                  ? (c >= 3168 && c <= 3169)
                  : c <= 3200)))))
            : (c <= 3212 || (c < 3296
              ? (c < 3253
                ? (c < 3218
                  ? (c >= 3214 && c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))
                : (c <= 3257 || (c < 3293
                  ? c == 3261
                  : c <= 3294)))
              : (c <= 3297 || (c < 3342
                ? (c < 3332
                  ? (c >= 3313 && c <= 3314)
                  : c <= 3340)
                : (c <= 3344 || (c < 3389
                  ? (c >= 3346 && c <= 3386)
                  : c <= 3389)))))))
          : (c <= 3406 || (c < 3716
            ? (c < 3517
              ? (c < 3461
                ? (c < 3423
                  ? (c >= 3412 && c <= 3414)
                  : (c <= 3425 || (c >= 3450 && c <= 3455)))
                : (c <= 3478 || (c < 3507
                  ? (c >= 3482 && c <= 3505)
                  : c <= 3515)))
              : (c <= 3517 || (c < 3634
                ? (c < 3585
                  ? (c >= 3520 && c <= 3526)
                  : c <= 3632)
                : (c <= 3635 || (c < 3713
                  ? (c >= 3648 && c <= 3654)
                  : c <= 3714)))))
            : (c <= 3716 || (c < 3776
              ? (c < 3751
                ? (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3773
                  ? (c >= 3762 && c <= 3763)
                  : c <= 3773)))
              : (c <= 3780 || (c < 3840
                ? (c < 3804
                  ? c == 3782
                  : c <= 3807)
                : (c <= 3840 || (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)))))))))
        : (c <= 3980 || (c < 4808
          ? (c < 4304
            ? (c < 4206
              ? (c < 4186
                ? (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))
                : (c <= 4189 || (c < 4197
                  ? c == 4193
                  : c <= 4198)))
              : (c <= 4208 || (c < 4256
                ? (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)
                : (c <= 4293 || (c < 4301
                  ? c == 4295
                  : c <= 4301)))))
            : (c <= 4346 || (c < 4746
              ? (c < 4696
                ? (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : c <= 4744)))
              : (c <= 4749 || (c < 4792
                ? (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)
                : (c <= 4798 || (c < 4802
                  ? c == 4800
                  : c <= 4805)))))))
          : (c <= 4822 || (c < 5919
            ? (c < 5121
              ? (c < 4992
                ? (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : c <= 5117)))
              : (c <= 5740 || (c < 5792
                ? (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)
                : (c <= 5866 || (c < 5888
                  ? (c >= 5870 && c <= 5880)
                  : c <= 5905)))))
            : (c <= 5937 || (c < 6108
              ? (c < 5998
                ? (c < 5984
                  ? (c >= 5952 && c <= 5969)
                  : c <= 5996)
                : (c <= 6000 || (c < 6103
                  ? (c >= 6016 && c <= 6067)
                  : c <= 6103)))
              : (c <= 6108 || (c < 6279
                ? (c < 6272
                  ? (c >= 6176 && c <= 6264)
                  : c <= 6276)
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))))))))))))
    : (c <= 6430 || (c < 43360
      ? (c < 11565
        ? (c < 7968
          ? (c < 7168
            ? (c < 6823
              ? (c < 6576
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))
                : (c <= 6601 || (c < 6688
                  ? (c >= 6656 && c <= 6678)
                  : c <= 6740)))
              : (c <= 6823 || (c < 7043
                ? (c < 6981
                  ? (c >= 6917 && c <= 6963)
                  : c <= 6988)
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))))
            : (c <= 7203 || (c < 7406
              ? (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))
              : (c <= 7411 || (c < 7424
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : c <= 7418)
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))))))
          : (c <= 8005 || (c < 8150
            ? (c < 8064
              ? (c < 8027
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8031
                  ? c == 8029
                  : c <= 8061)))
              : (c <= 8116 || (c < 8130
                ? (c < 8126
                  ? (c >= 8118 && c <= 8124)
                  : c <= 8126)
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))))
            : (c <= 8155 || (c < 8450
              ? (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))
              : (c <= 8526 || (c < 11506
                ? (c < 11264
                  ? (c >= 8544 && c <= 8584)
                  : c <= 11502)
                : (c <= 11507 || (c < 11559
                  ? (c >= 11520 && c <= 11557)
                  : c <= 11559)))))))))
        : (c <= 11565 || (c < 40959
          ? (c < 12293
            ? (c < 11704
              ? (c < 11680
                ? (c < 11631
                  ? (c >= 11568 && c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))
                : (c <= 11686 || (c < 11696
                  ? (c >= 11688 && c <= 11694)
                  : c <= 11702)))
              : (c <= 11710 || (c < 11728
                ? (c < 11720
                  ? (c >= 11712 && c <= 11718)
                  : c <= 11726)
                : (c <= 11734 || (c < 11823
                  ? (c >= 11736 && c <= 11742)
                  : c <= 11823)))))
            : (c <= 12295 || (c < 12549
              ? (c < 12445
                ? (c < 12337
                  ? (c >= 12321 && c <= 12329)
                  : (c <= 12348 || (c >= 12353 && c <= 12438)))
                : (c <= 12447 || (c < 12540
                  ? (c >= 12449 && c <= 12538)
                  : c <= 12543)))
              : (c <= 12591 || (c < 12784
                ? (c < 12704
                  ? (c >= 12593 && c <= 12686)
                  : c <= 12735)
                : (c <= 12799 || (c < 19903
                  ? c == 13312
                  : c <= 19968)))))))
          : (c <= 42124 || (c < 42965
            ? (c < 42656
              ? (c < 42538
                ? (c < 42240
                  ? (c >= 42192 && c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42623
                  ? (c >= 42560 && c <= 42606)
                  : c <= 42653)))
              : (c <= 42735 || (c < 42891
                ? (c < 42786
                  ? (c >= 42775 && c <= 42783)
                  : c <= 42888)
                : (c <= 42954 || (c < 42963
                  ? (c >= 42960 && c <= 42961)
                  : c <= 42963)))))
            : (c <= 42969 || (c < 43138
              ? (c < 43015
                ? (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)
                : (c <= 43018 || (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)))
              : (c <= 43187 || (c < 43261
                ? (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)
                : (c <= 43262 || (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : c <= 43334)))))))))))
      : (c <= 43388 || (c < 65482
        ? (c < 43888
          ? (c < 43705
            ? (c < 43584
              ? (c < 43494
                ? (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))
                : (c <= 43503 || (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : c <= 43560)))
              : (c <= 43586 || (c < 43646
                ? (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43642)
                : (c <= 43695 || (c < 43701
                  ? c == 43697
                  : c <= 43702)))))
            : (c <= 43709 || (c < 43785
              ? (c < 43744
                ? (c < 43714
                  ? c == 43712
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)))
              : (c <= 43790 || (c < 43816
                ? (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)
                : (c <= 43822 || (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : c <= 43881)))))))
          : (c <= 44002 || (c < 64320
            ? (c < 64256
              ? (c < 55243
                ? (c < 55203
                  ? c == 44032
                  : (c <= 55203 || (c >= 55216 && c <= 55238)))
                : (c <= 55291 || (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : c <= 64217)))
              : (c <= 64262 || (c < 64287
                ? (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)
                : (c <= 64310 || (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : c <= 64318)))))
            : (c <= 64321 || (c < 65136
              ? (c < 64848
                ? (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64829)))
                : (c <= 64911 || (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)))
              : (c <= 65140 || (c < 65345
                ? (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)
                : (c <= 65370 || (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : c <= 65479)))))))))
        : (c <= 65487 || (c < 66940
          ? (c < 66304
            ? (c < 65599
              ? (c < 65549
                ? (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))
                : (c <= 65574 || (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : c <= 65597)))
              : (c <= 65613 || (c < 65856
                ? (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)
                : (c <= 65908 || (c < 66208
                  ? (c >= 66176 && c <= 66204)
                  : c <= 66256)))))
            : (c <= 66335 || (c < 66560
              ? (c < 66464
                ? (c < 66384
                  ? (c >= 66349 && c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))
                : (c <= 66499 || (c < 66513
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66517)))
              : (c <= 66717 || (c < 66816
                ? (c < 66776
                  ? (c >= 66736 && c <= 66771)
                  : c <= 66811)
                : (c <= 66855 || (c < 66928
                  ? (c >= 66864 && c <= 66915)
                  : c <= 66938)))))))
          : (c <= 66954 || (c < 67584
            ? (c < 67072
              ? (c < 66979
                ? (c < 66964
                  ? (c >= 66956 && c <= 66962)
                  : (c <= 66965 || (c >= 66967 && c <= 66977)))
                : (c <= 66993 || (c < 67003
                  ? (c >= 66995 && c <= 67001)
                  : c <= 67004)))
              : (c <= 67382 || (c < 67456
                ? (c < 67424
                  ? (c >= 67392 && c <= 67413)
                  : c <= 67431)
                : (c <= 67461 || (c < 67506
                  ? (c >= 67463 && c <= 67504)
                  : c <= 67514)))))
            : (c <= 67589 || (c < 67680
              ? (c < 67639
                ? (c < 67594
                  ? c == 67592
                  : c <= 67637)
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym__alpha_identifier_character_set_5(int32_t c) {
  return (c < 6688
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 750
            ? (c < 186
              ? (c < 'a'
                ? (c < 'A'
                  ? c == '$'
                  : (c <= 'Z' || c == '_'))
                : (c <= 'z' || (c < 181
                  ? c == 170
                  : c <= 181)))
              : (c <= 187 || (c < 710
                ? (c < 216
                  ? (c >= 192 && c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))
                : (c <= 721 || (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)))))
            : (c <= 750 || (c < 908
              ? (c < 895
                ? (c < 886
                  ? (c >= 880 && c <= 884)
                  : (c <= 887 || (c >= 890 && c <= 893)))
                : (c <= 895 || (c < 904
                  ? c == 902
                  : c <= 906)))
              : (c <= 908 || (c < 1162
                ? (c < 931
                  ? (c >= 910 && c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4176
        ? (c < 3423
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3389
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : (c <= 3344 || (c >= 3346 && c <= 3386)))
                : (c <= 3389 || (c < 3412
                  ? c == 3406
                  : c <= 3414)))))))
          : (c <= 3425 || (c < 3749
            ? (c < 3585
              ? (c < 3507
                ? (c < 3461
                  ? (c >= 3450 && c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3520
                  ? c == 3517
                  : c <= 3526)))
              : (c <= 3632 || (c < 3716
                ? (c < 3648
                  ? (c >= 3634 && c <= 3635)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : c <= 3747)))))
            : (c <= 3749 || (c < 3840
              ? (c < 3776
                ? (c < 3762
                  ? (c >= 3751 && c <= 3760)
                  : (c <= 3763 || c == 3773))
                : (c <= 3780 || (c < 3804
                  ? c == 3782
                  : c <= 3807)))
              : (c <= 3840 || (c < 3976
                ? (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)
                : (c <= 3980 || (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : c <= 4159)))))))))
        : (c <= 4181 || (c < 4992
          ? (c < 4696
            ? (c < 4256
              ? (c < 4206
                ? (c < 4193
                  ? (c >= 4186 && c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))
                : (c <= 4208 || (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)))
              : (c <= 4293 || (c < 4348
                ? (c < 4301
                  ? c == 4295
                  : (c <= 4301 || (c >= 4304 && c <= 4346)))
                : (c <= 4680 || (c < 4688
                  ? (c >= 4682 && c <= 4685)
                  : c <= 4694)))))
            : (c <= 4696 || (c < 4800
              ? (c < 4752
                ? (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4792
                  ? (c >= 4786 && c <= 4789)
                  : c <= 4798)))
              : (c <= 4800 || (c < 4824
                ? (c < 4808
                  ? (c >= 4802 && c <= 4805)
                  : c <= 4822)
                : (c <= 4880 || (c < 4888
                  ? (c >= 4882 && c <= 4885)
                  : c <= 4954)))))))
          : (c <= 5007 || (c < 6103
            ? (c < 5870
              ? (c < 5743
                ? (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5792
                  ? (c >= 5761 && c <= 5786)
                  : c <= 5866)))
              : (c <= 5880 || (c < 5984
                ? (c < 5919
                  ? (c >= 5888 && c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6016
                  ? (c >= 5998 && c <= 6000)
                  : c <= 6067)))))
            : (c <= 6103 || (c < 6400
              ? (c < 6279
                ? (c < 6176
                  ? c == 6108
                  : (c <= 6264 || (c >= 6272 && c <= 6276)))
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))
              : (c <= 6430 || (c < 6528
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : c <= 6516)
                : (c <= 6571 || (c < 6656
                  ? (c >= 6576 && c <= 6601)
                  : c <= 6678)))))))))))))
    : (c <= 6740 || (c < 43261
      ? (c < 11499
        ? (c < 8118
          ? (c < 7406
            ? (c < 7168
              ? (c < 7043
                ? (c < 6917
                  ? c == 6823
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))
              : (c <= 7203 || (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))))
            : (c <= 7411 || (c < 8008
              ? (c < 7680
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))
                : (c <= 7957 || (c < 7968
                  ? (c >= 7960 && c <= 7965)
                  : c <= 8005)))
              : (c <= 8013 || (c < 8029
                ? (c < 8025
                  ? (c >= 8016 && c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8064
                  ? (c >= 8031 && c <= 8061)
                  : c <= 8116)))))))
          : (c <= 8124 || (c < 8458
            ? (c < 8178
              ? (c < 8144
                ? (c < 8130
                  ? c == 8126
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))
                : (c <= 8147 || (c < 8160
                  ? (c >= 8150 && c <= 8155)
                  : c <= 8172)))
              : (c <= 8180 || (c < 8336
                ? (c < 8305
                  ? (c >= 8182 && c <= 8188)
                  : (c <= 8305 || c == 8319))
                : (c <= 8348 || (c < 8455
                  ? c == 8450
                  : c <= 8455)))))
            : (c <= 8467 || (c < 8495
              ? (c < 8486
                ? (c < 8473
                  ? c == 8469
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8490
                  ? c == 8488
                  : c <= 8493)))
              : (c <= 8505 || (c < 8526
                ? (c < 8517
                  ? (c >= 8508 && c <= 8511)
                  : c <= 8521)
                : (c <= 8526 || (c < 11264
                  ? (c >= 8544 && c <= 8584)
                  : c <= 11492)))))))))
        : (c <= 11502 || (c < 12704
          ? (c < 11728
            ? (c < 11648
              ? (c < 11565
                ? (c < 11520
                  ? (c >= 11506 && c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11631
                  ? (c >= 11568 && c <= 11623)
                  : c <= 11631)))
              : (c <= 11670 || (c < 11704
                ? (c < 11688
                  ? (c >= 11680 && c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11720
                  ? (c >= 11712 && c <= 11718)
                  : c <= 11726)))))
            : (c <= 11734 || (c < 12353
              ? (c < 12321
                ? (c < 11823
                  ? (c >= 11736 && c <= 11742)
                  : (c <= 11823 || (c >= 12293 && c <= 12295)))
                : (c <= 12329 || (c < 12344
                  ? (c >= 12337 && c <= 12341)
                  : c <= 12348)))
              : (c <= 12438 || (c < 12540
                ? (c < 12449
                  ? (c >= 12445 && c <= 12447)
                  : c <= 12538)
                : (c <= 12543 || (c < 12593
                  ? (c >= 12549 && c <= 12591)
                  : c <= 12686)))))))
          : (c <= 12735 || (c < 42786
            ? (c < 42240
              ? (c < 19968
                ? (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : (c <= 13312 || c == 19903))
                : (c <= 19968 || (c < 42192
                  ? (c >= 40959 && c <= 42124)
                  : c <= 42237)))
              : (c <= 42508 || (c < 42623
                ? (c < 42538
                  ? (c >= 42512 && c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42775
                  ? (c >= 42656 && c <= 42735)
                  : c <= 42783)))))
            : (c <= 42888 || (c < 43015
              ? (c < 42965
                ? (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)))
              : (c <= 43018 || (c < 43138
                ? (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)
                : (c <= 43187 || (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)))))))))))
      : (c <= 43262 || (c < 65345
        ? (c < 43816
          ? (c < 43646
            ? (c < 43494
              ? (c < 43396
                ? (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43488
                  ? c == 43471
                  : c <= 43492)))
              : (c <= 43503 || (c < 43588
                ? (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : (c <= 43560 || (c >= 43584 && c <= 43586)))
                : (c <= 43595 || (c < 43642
                  ? (c >= 43616 && c <= 43638)
                  : c <= 43642)))))
            : (c <= 43695 || (c < 43744
              ? (c < 43712
                ? (c < 43701
                  ? c == 43697
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43739
                  ? c == 43714
                  : c <= 43741)))
              : (c <= 43754 || (c < 43785
                ? (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)
                : (c <= 43790 || (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)))))))
          : (c <= 43822 || (c < 64298
            ? (c < 55243
              ? (c < 44032
                ? (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : (c <= 43881 || (c >= 43888 && c <= 44002)))
                : (c <= 44032 || (c < 55216
                  ? c == 55203
                  : c <= 55238)))
              : (c <= 55291 || (c < 64275
                ? (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))
                : (c <= 64279 || (c < 64287
                  ? c == 64285
                  : c <= 64296)))))
            : (c <= 64310 || (c < 64848
              ? (c < 64323
                ? (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64467
                  ? (c >= 64326 && c <= 64433)
                  : c <= 64829)))
              : (c <= 64911 || (c < 65136
                ? (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)
                : (c <= 65140 || (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)))))))))
        : (c <= 65370 || (c < 66864
          ? (c < 66176
            ? (c < 65549
              ? (c < 65490
                ? (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65536
                  ? (c >= 65498 && c <= 65500)
                  : c <= 65547)))
              : (c <= 65574 || (c < 65616
                ? (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 65856
                  ? (c >= 65664 && c <= 65786)
                  : c <= 65908)))))
            : (c <= 66204 || (c < 66504
              ? (c < 66384
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))
                : (c <= 66421 || (c < 66464
                  ? (c >= 66432 && c <= 66461)
                  : c <= 66499)))
              : (c <= 66511 || (c < 66736
                ? (c < 66560
                  ? (c >= 66513 && c <= 66517)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym__alpha_identifier_character_set_6(int32_t c) {
  return (c < 6400
    ? (c < 2979
      ? (c < 2392
        ? (c < 1568
          ? (c < 890
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c >= '$' && c <= 'Z')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 192
                  ? (c >= 186 && c <= 187)
                  : c <= 705)))
              : (c <= 721 || (c < 750
                ? (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)
                : (c <= 750 || (c < 886
                  ? (c >= 880 && c <= 884)
                  : c <= 887)))))
            : (c <= 893 || (c < 1162
              ? (c < 908
                ? (c < 902
                  ? c == 895
                  : (c <= 902 || (c >= 904 && c <= 906)))
                : (c <= 908 || (c < 931
                  ? (c >= 910 && c <= 929)
                  : c <= 1153)))
              : (c <= 1327 || (c < 1376
                ? (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)
                : (c <= 1416 || (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : c <= 1522)))))))
          : (c <= 1610 || (c < 2042
            ? (c < 1808
              ? (c < 1765
                ? (c < 1649
                  ? (c >= 1646 && c <= 1647)
                  : (c <= 1747 || c == 1749))
                : (c <= 1766 || (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : c <= 1791)))
              : (c <= 1808 || (c < 1969
                ? (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)
                : (c <= 1969 || (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : c <= 2037)))))
            : (c <= 2042 || (c < 2160
              ? (c < 2088
                ? (c < 2074
                  ? (c >= 2048 && c <= 2069)
                  : (c <= 2074 || c == 2084))
                : (c <= 2088 || (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)))
              : (c <= 2183 || (c < 2308
                ? (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)
                : (c <= 2361 || (c < 2384
                  ? c == 2365
                  : c <= 2384)))))))))
        : (c <= 2401 || (c < 2707
          ? (c < 2556
            ? (c < 2486
              ? (c < 2451
                ? (c < 2437
                  ? (c >= 2417 && c <= 2432)
                  : (c <= 2444 || (c >= 2447 && c <= 2448)))
                : (c <= 2472 || (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : c <= 2482)))
              : (c <= 2489 || (c < 2524
                ? (c < 2510
                  ? c == 2493
                  : c <= 2510)
                : (c <= 2525 || (c < 2544
                  ? (c >= 2527 && c <= 2529)
                  : c <= 2545)))))
            : (c <= 2556 || (c < 2616
              ? (c < 2602
                ? (c < 2575
                  ? (c >= 2565 && c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2613
                  ? (c >= 2610 && c <= 2611)
                  : c <= 2614)))
              : (c <= 2617 || (c < 2674
                ? (c < 2654
                  ? (c >= 2649 && c <= 2652)
                  : c <= 2654)
                : (c <= 2676 || (c < 2703
                  ? (c >= 2693 && c <= 2701)
                  : c <= 2705)))))))
          : (c <= 2728 || (c < 2869
            ? (c < 2809
              ? (c < 2749
                ? (c < 2738
                  ? (c >= 2730 && c <= 2736)
                  : (c <= 2739 || (c >= 2741 && c <= 2745)))
                : (c <= 2749 || (c < 2784
                  ? c == 2768
                  : c <= 2785)))
              : (c <= 2809 || (c < 2835
                ? (c < 2831
                  ? (c >= 2821 && c <= 2828)
                  : c <= 2832)
                : (c <= 2856 || (c < 2866
                  ? (c >= 2858 && c <= 2864)
                  : c <= 2867)))))
            : (c <= 2873 || (c < 2949
              ? (c < 2911
                ? (c < 2908
                  ? c == 2877
                  : c <= 2909)
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 3976
        ? (c < 3406
          ? (c < 3205
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3165
                ? (c < 3160
                  ? c == 3133
                  : c <= 3162)
                : (c <= 3165 || (c < 3200
                  ? (c >= 3168 && c <= 3169)
                  : c <= 3200)))))
            : (c <= 3212 || (c < 3296
              ? (c < 3253
                ? (c < 3218
                  ? (c >= 3214 && c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))
                : (c <= 3257 || (c < 3293
                  ? c == 3261
                  : c <= 3294)))
              : (c <= 3297 || (c < 3342
                ? (c < 3332
                  ? (c >= 3313 && c <= 3314)
                  : c <= 3340)
                : (c <= 3344 || (c < 3389
                  ? (c >= 3346 && c <= 3386)
                  : c <= 3389)))))))
          : (c <= 3406 || (c < 3716
            ? (c < 3517
              ? (c < 3461
                ? (c < 3423
                  ? (c >= 3412 && c <= 3414)
                  : (c <= 3425 || (c >= 3450 && c <= 3455)))
                : (c <= 3478 || (c < 3507
                  ? (c >= 3482 && c <= 3505)
                  : c <= 3515)))
              : (c <= 3517 || (c < 3634
                ? (c < 3585
                  ? (c >= 3520 && c <= 3526)
                  : c <= 3632)
                : (c <= 3635 || (c < 3713
                  ? (c >= 3648 && c <= 3654)
                  : c <= 3714)))))
            : (c <= 3716 || (c < 3776
              ? (c < 3751
                ? (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3773
                  ? (c >= 3762 && c <= 3763)
                  : c <= 3773)))
              : (c <= 3780 || (c < 3840
                ? (c < 3804
                  ? c == 3782
                  : c <= 3807)
                : (c <= 3840 || (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)))))))))
        : (c <= 3980 || (c < 4808
          ? (c < 4304
            ? (c < 4206
              ? (c < 4186
                ? (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))
                : (c <= 4189 || (c < 4197
                  ? c == 4193
                  : c <= 4198)))
              : (c <= 4208 || (c < 4256
                ? (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)
                : (c <= 4293 || (c < 4301
                  ? c == 4295
                  : c <= 4301)))))
            : (c <= 4346 || (c < 4746
              ? (c < 4696
                ? (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : c <= 4744)))
              : (c <= 4749 || (c < 4792
                ? (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)
                : (c <= 4798 || (c < 4802
                  ? c == 4800
                  : c <= 4805)))))))
          : (c <= 4822 || (c < 5919
            ? (c < 5121
              ? (c < 4992
                ? (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : c <= 5117)))
              : (c <= 5740 || (c < 5792
                ? (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)
                : (c <= 5866 || (c < 5888
                  ? (c >= 5870 && c <= 5880)
                  : c <= 5905)))))
            : (c <= 5937 || (c < 6108
              ? (c < 5998
                ? (c < 5984
                  ? (c >= 5952 && c <= 5969)
                  : c <= 5996)
                : (c <= 6000 || (c < 6103
                  ? (c >= 6016 && c <= 6067)
                  : c <= 6103)))
              : (c <= 6108 || (c < 6279
                ? (c < 6272
                  ? (c >= 6176 && c <= 6264)
                  : c <= 6276)
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))))))))))))
    : (c <= 6430 || (c < 43360
      ? (c < 11565
        ? (c < 7968
          ? (c < 7168
            ? (c < 6823
              ? (c < 6576
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))
                : (c <= 6601 || (c < 6688
                  ? (c >= 6656 && c <= 6678)
                  : c <= 6740)))
              : (c <= 6823 || (c < 7043
                ? (c < 6981
                  ? (c >= 6917 && c <= 6963)
                  : c <= 6988)
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))))
            : (c <= 7203 || (c < 7406
              ? (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))
              : (c <= 7411 || (c < 7424
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : c <= 7418)
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))))))
          : (c <= 8005 || (c < 8150
            ? (c < 8064
              ? (c < 8027
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8031
                  ? c == 8029
                  : c <= 8061)))
              : (c <= 8116 || (c < 8130
                ? (c < 8126
                  ? (c >= 8118 && c <= 8124)
                  : c <= 8126)
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))))
            : (c <= 8155 || (c < 8450
              ? (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))
              : (c <= 8526 || (c < 11506
                ? (c < 11264
                  ? (c >= 8544 && c <= 8584)
                  : c <= 11502)
                : (c <= 11507 || (c < 11559
                  ? (c >= 11520 && c <= 11557)
                  : c <= 11559)))))))))
        : (c <= 11565 || (c < 40959
          ? (c < 12293
            ? (c < 11704
              ? (c < 11680
                ? (c < 11631
                  ? (c >= 11568 && c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))
                : (c <= 11686 || (c < 11696
                  ? (c >= 11688 && c <= 11694)
                  : c <= 11702)))
              : (c <= 11710 || (c < 11728
                ? (c < 11720
                  ? (c >= 11712 && c <= 11718)
                  : c <= 11726)
                : (c <= 11734 || (c < 11823
                  ? (c >= 11736 && c <= 11742)
                  : c <= 11823)))))
            : (c <= 12295 || (c < 12549
              ? (c < 12445
                ? (c < 12337
                  ? (c >= 12321 && c <= 12329)
                  : (c <= 12348 || (c >= 12353 && c <= 12438)))
                : (c <= 12447 || (c < 12540
                  ? (c >= 12449 && c <= 12538)
                  : c <= 12543)))
              : (c <= 12591 || (c < 12784
                ? (c < 12704
                  ? (c >= 12593 && c <= 12686)
                  : c <= 12735)
                : (c <= 12799 || (c < 19903
                  ? c == 13312
                  : c <= 19968)))))))
          : (c <= 42124 || (c < 42965
            ? (c < 42656
              ? (c < 42538
                ? (c < 42240
                  ? (c >= 42192 && c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42623
                  ? (c >= 42560 && c <= 42606)
                  : c <= 42653)))
              : (c <= 42735 || (c < 42891
                ? (c < 42786
                  ? (c >= 42775 && c <= 42783)
                  : c <= 42888)
                : (c <= 42954 || (c < 42963
                  ? (c >= 42960 && c <= 42961)
                  : c <= 42963)))))
            : (c <= 42969 || (c < 43138
              ? (c < 43015
                ? (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)
                : (c <= 43018 || (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)))
              : (c <= 43187 || (c < 43261
                ? (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)
                : (c <= 43262 || (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : c <= 43334)))))))))))
      : (c <= 43388 || (c < 65482
        ? (c < 43888
          ? (c < 43705
            ? (c < 43584
              ? (c < 43494
                ? (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))
                : (c <= 43503 || (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : c <= 43560)))
              : (c <= 43586 || (c < 43646
                ? (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43642)
                : (c <= 43695 || (c < 43701
                  ? c == 43697
                  : c <= 43702)))))
            : (c <= 43709 || (c < 43785
              ? (c < 43744
                ? (c < 43714
                  ? c == 43712
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)))
              : (c <= 43790 || (c < 43816
                ? (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)
                : (c <= 43822 || (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : c <= 43881)))))))
          : (c <= 44002 || (c < 64320
            ? (c < 64256
              ? (c < 55243
                ? (c < 55203
                  ? c == 44032
                  : (c <= 55203 || (c >= 55216 && c <= 55238)))
                : (c <= 55291 || (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : c <= 64217)))
              : (c <= 64262 || (c < 64287
                ? (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)
                : (c <= 64310 || (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : c <= 64318)))))
            : (c <= 64321 || (c < 65136
              ? (c < 64848
                ? (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64829)))
                : (c <= 64911 || (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)))
              : (c <= 65140 || (c < 65345
                ? (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)
                : (c <= 65370 || (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : c <= 65479)))))))))
        : (c <= 65487 || (c < 66940
          ? (c < 66304
            ? (c < 65599
              ? (c < 65549
                ? (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))
                : (c <= 65574 || (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : c <= 65597)))
              : (c <= 65613 || (c < 65856
                ? (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)
                : (c <= 65908 || (c < 66208
                  ? (c >= 66176 && c <= 66204)
                  : c <= 66256)))))
            : (c <= 66335 || (c < 66560
              ? (c < 66464
                ? (c < 66384
                  ? (c >= 66349 && c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))
                : (c <= 66499 || (c < 66513
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66517)))
              : (c <= 66717 || (c < 66816
                ? (c < 66776
                  ? (c >= 66736 && c <= 66771)
                  : c <= 66811)
                : (c <= 66855 || (c < 66928
                  ? (c >= 66864 && c <= 66915)
                  : c <= 66938)))))))
          : (c <= 66954 || (c < 67584
            ? (c < 67072
              ? (c < 66979
                ? (c < 66964
                  ? (c >= 66956 && c <= 66962)
                  : (c <= 66965 || (c >= 66967 && c <= 66977)))
                : (c <= 66993 || (c < 67003
                  ? (c >= 66995 && c <= 67001)
                  : c <= 67004)))
              : (c <= 67382 || (c < 67456
                ? (c < 67424
                  ? (c >= 67392 && c <= 67413)
                  : c <= 67431)
                : (c <= 67461 || (c < 67506
                  ? (c >= 67463 && c <= 67504)
                  : c <= 67514)))))
            : (c <= 67589 || (c < 67680
              ? (c < 67639
                ? (c < 67594
                  ? c == 67592
                  : c <= 67637)
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym__alpha_identifier_character_set_7(int32_t c) {
  return (c < 6688
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 750
            ? (c < 186
              ? (c < 'a'
                ? (c < '0'
                  ? c == '$'
                  : (c <= '9' || (c >= 'A' && c <= 'Z')))
                : (c <= 'z' || (c < 181
                  ? c == 170
                  : c <= 181)))
              : (c <= 187 || (c < 710
                ? (c < 216
                  ? (c >= 192 && c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))
                : (c <= 721 || (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)))))
            : (c <= 750 || (c < 908
              ? (c < 895
                ? (c < 886
                  ? (c >= 880 && c <= 884)
                  : (c <= 887 || (c >= 890 && c <= 893)))
                : (c <= 895 || (c < 904
                  ? c == 902
                  : c <= 906)))
              : (c <= 908 || (c < 1162
                ? (c < 931
                  ? (c >= 910 && c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4176
        ? (c < 3423
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3389
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : (c <= 3344 || (c >= 3346 && c <= 3386)))
                : (c <= 3389 || (c < 3412
                  ? c == 3406
                  : c <= 3414)))))))
          : (c <= 3425 || (c < 3749
            ? (c < 3585
              ? (c < 3507
                ? (c < 3461
                  ? (c >= 3450 && c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3520
                  ? c == 3517
                  : c <= 3526)))
              : (c <= 3632 || (c < 3716
                ? (c < 3648
                  ? (c >= 3634 && c <= 3635)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : c <= 3747)))))
            : (c <= 3749 || (c < 3840
              ? (c < 3776
                ? (c < 3762
                  ? (c >= 3751 && c <= 3760)
                  : (c <= 3763 || c == 3773))
                : (c <= 3780 || (c < 3804
                  ? c == 3782
                  : c <= 3807)))
              : (c <= 3840 || (c < 3976
                ? (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)
                : (c <= 3980 || (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : c <= 4159)))))))))
        : (c <= 4181 || (c < 4992
          ? (c < 4696
            ? (c < 4256
              ? (c < 4206
                ? (c < 4193
                  ? (c >= 4186 && c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))
                : (c <= 4208 || (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)))
              : (c <= 4293 || (c < 4348
                ? (c < 4301
                  ? c == 4295
                  : (c <= 4301 || (c >= 4304 && c <= 4346)))
                : (c <= 4680 || (c < 4688
                  ? (c >= 4682 && c <= 4685)
                  : c <= 4694)))))
            : (c <= 4696 || (c < 4800
              ? (c < 4752
                ? (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4792
                  ? (c >= 4786 && c <= 4789)
                  : c <= 4798)))
              : (c <= 4800 || (c < 4824
                ? (c < 4808
                  ? (c >= 4802 && c <= 4805)
                  : c <= 4822)
                : (c <= 4880 || (c < 4888
                  ? (c >= 4882 && c <= 4885)
                  : c <= 4954)))))))
          : (c <= 5007 || (c < 6103
            ? (c < 5870
              ? (c < 5743
                ? (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5792
                  ? (c >= 5761 && c <= 5786)
                  : c <= 5866)))
              : (c <= 5880 || (c < 5984
                ? (c < 5919
                  ? (c >= 5888 && c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6016
                  ? (c >= 5998 && c <= 6000)
                  : c <= 6067)))))
            : (c <= 6103 || (c < 6400
              ? (c < 6279
                ? (c < 6176
                  ? c == 6108
                  : (c <= 6264 || (c >= 6272 && c <= 6276)))
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))
              : (c <= 6430 || (c < 6528
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : c <= 6516)
                : (c <= 6571 || (c < 6656
                  ? (c >= 6576 && c <= 6601)
                  : c <= 6678)))))))))))))
    : (c <= 6740 || (c < 43261
      ? (c < 11499
        ? (c < 8118
          ? (c < 7406
            ? (c < 7168
              ? (c < 7043
                ? (c < 6917
                  ? c == 6823
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))
              : (c <= 7203 || (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))))
            : (c <= 7411 || (c < 8008
              ? (c < 7680
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))
                : (c <= 7957 || (c < 7968
                  ? (c >= 7960 && c <= 7965)
                  : c <= 8005)))
              : (c <= 8013 || (c < 8029
                ? (c < 8025
                  ? (c >= 8016 && c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8064
                  ? (c >= 8031 && c <= 8061)
                  : c <= 8116)))))))
          : (c <= 8124 || (c < 8458
            ? (c < 8178
              ? (c < 8144
                ? (c < 8130
                  ? c == 8126
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))
                : (c <= 8147 || (c < 8160
                  ? (c >= 8150 && c <= 8155)
                  : c <= 8172)))
              : (c <= 8180 || (c < 8336
                ? (c < 8305
                  ? (c >= 8182 && c <= 8188)
                  : (c <= 8305 || c == 8319))
                : (c <= 8348 || (c < 8455
                  ? c == 8450
                  : c <= 8455)))))
            : (c <= 8467 || (c < 8495
              ? (c < 8486
                ? (c < 8473
                  ? c == 8469
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8490
                  ? c == 8488
                  : c <= 8493)))
              : (c <= 8505 || (c < 8526
                ? (c < 8517
                  ? (c >= 8508 && c <= 8511)
                  : c <= 8521)
                : (c <= 8526 || (c < 11264
                  ? (c >= 8544 && c <= 8584)
                  : c <= 11492)))))))))
        : (c <= 11502 || (c < 12704
          ? (c < 11728
            ? (c < 11648
              ? (c < 11565
                ? (c < 11520
                  ? (c >= 11506 && c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11631
                  ? (c >= 11568 && c <= 11623)
                  : c <= 11631)))
              : (c <= 11670 || (c < 11704
                ? (c < 11688
                  ? (c >= 11680 && c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11720
                  ? (c >= 11712 && c <= 11718)
                  : c <= 11726)))))
            : (c <= 11734 || (c < 12353
              ? (c < 12321
                ? (c < 11823
                  ? (c >= 11736 && c <= 11742)
                  : (c <= 11823 || (c >= 12293 && c <= 12295)))
                : (c <= 12329 || (c < 12344
                  ? (c >= 12337 && c <= 12341)
                  : c <= 12348)))
              : (c <= 12438 || (c < 12540
                ? (c < 12449
                  ? (c >= 12445 && c <= 12447)
                  : c <= 12538)
                : (c <= 12543 || (c < 12593
                  ? (c >= 12549 && c <= 12591)
                  : c <= 12686)))))))
          : (c <= 12735 || (c < 42786
            ? (c < 42240
              ? (c < 19968
                ? (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : (c <= 13312 || c == 19903))
                : (c <= 19968 || (c < 42192
                  ? (c >= 40959 && c <= 42124)
                  : c <= 42237)))
              : (c <= 42508 || (c < 42623
                ? (c < 42538
                  ? (c >= 42512 && c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42775
                  ? (c >= 42656 && c <= 42735)
                  : c <= 42783)))))
            : (c <= 42888 || (c < 43015
              ? (c < 42965
                ? (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)))
              : (c <= 43018 || (c < 43138
                ? (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)
                : (c <= 43187 || (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)))))))))))
      : (c <= 43262 || (c < 65345
        ? (c < 43816
          ? (c < 43646
            ? (c < 43494
              ? (c < 43396
                ? (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43488
                  ? c == 43471
                  : c <= 43492)))
              : (c <= 43503 || (c < 43588
                ? (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : (c <= 43560 || (c >= 43584 && c <= 43586)))
                : (c <= 43595 || (c < 43642
                  ? (c >= 43616 && c <= 43638)
                  : c <= 43642)))))
            : (c <= 43695 || (c < 43744
              ? (c < 43712
                ? (c < 43701
                  ? c == 43697
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43739
                  ? c == 43714
                  : c <= 43741)))
              : (c <= 43754 || (c < 43785
                ? (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)
                : (c <= 43790 || (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)))))))
          : (c <= 43822 || (c < 64298
            ? (c < 55243
              ? (c < 44032
                ? (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : (c <= 43881 || (c >= 43888 && c <= 44002)))
                : (c <= 44032 || (c < 55216
                  ? c == 55203
                  : c <= 55238)))
              : (c <= 55291 || (c < 64275
                ? (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))
                : (c <= 64279 || (c < 64287
                  ? c == 64285
                  : c <= 64296)))))
            : (c <= 64310 || (c < 64848
              ? (c < 64323
                ? (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64467
                  ? (c >= 64326 && c <= 64433)
                  : c <= 64829)))
              : (c <= 64911 || (c < 65136
                ? (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)
                : (c <= 65140 || (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)))))))))
        : (c <= 65370 || (c < 66864
          ? (c < 66176
            ? (c < 65549
              ? (c < 65490
                ? (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65536
                  ? (c >= 65498 && c <= 65500)
                  : c <= 65547)))
              : (c <= 65574 || (c < 65616
                ? (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 65856
                  ? (c >= 65664 && c <= 65786)
                  : c <= 65908)))))
            : (c <= 66204 || (c < 66504
              ? (c < 66384
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))
                : (c <= 66421 || (c < 66464
                  ? (c >= 66432 && c <= 66461)
                  : c <= 66499)))
              : (c <= 66511 || (c < 66736
                ? (c < 66560
                  ? (c >= 66513 && c <= 66517)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym__alpha_identifier_character_set_8(int32_t c) {
  return (c < 6320
    ? (c < 2974
      ? (c < 2365
        ? (c < 1488
          ? (c < 880
            ? (c < 186
              ? (c < 'a'
                ? (c < '0'
                  ? c == '$'
                  : (c <= '9' || (c >= 'A' && c <= 'Z')))
                : (c <= 'z' || (c < 181
                  ? c == 170
                  : c <= 181)))
              : (c <= 187 || (c < 736
                ? (c < 710
                  ? (c >= 192 && c <= 705)
                  : c <= 721)
                : (c <= 740 || (c < 750
                  ? c == 748
                  : c <= 750)))))
            : (c <= 884 || (c < 910
              ? (c < 902
                ? (c < 890
                  ? (c >= 886 && c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 908
                  ? (c >= 904 && c <= 906)
                  : c <= 908)))
              : (c <= 929 || (c < 1329
                ? (c < 1162
                  ? (c >= 931 && c <= 1153)
                  : c <= 1327)
                : (c <= 1366 || (c < 1376
                  ? c == 1369
                  : c <= 1416)))))))
          : (c <= 1514 || (c < 1994
            ? (c < 1774
              ? (c < 1649
                ? (c < 1568
                  ? (c >= 1519 && c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1765
                  ? c == 1749
                  : c <= 1766)))
              : (c <= 1775 || (c < 1810
                ? (c < 1808
                  ? (c >= 1786 && c <= 1791)
                  : c <= 1808)
                : (c <= 1839 || (c < 1969
                  ? (c >= 1869 && c <= 1957)
                  : c <= 1969)))))
            : (c <= 2026 || (c < 2112
              ? (c < 2074
                ? (c < 2042
                  ? (c >= 2036 && c <= 2037)
                  : (c <= 2042 || (c >= 2048 && c <= 2069)))
                : (c <= 2074 || (c < 2088
                  ? c == 2084
                  : c <= 2088)))
              : (c <= 2136 || (c < 2185
                ? (c < 2160
                  ? (c >= 2144 && c <= 2154)
                  : c <= 2183)
                : (c <= 2190 || (c < 2308
                  ? (c >= 2208 && c <= 2249)
                  : c <= 2361)))))))))
        : (c <= 2365 || (c < 2693
          ? (c < 2527
            ? (c < 2474
              ? (c < 2437
                ? (c < 2392
                  ? c == 2384
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2451
                  ? (c >= 2447 && c <= 2448)
                  : c <= 2472)))
              : (c <= 2480 || (c < 2493
                ? (c < 2486
                  ? c == 2482
                  : c <= 2489)
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2858
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2821
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : c <= 2809)
                : (c <= 2828 || (c < 2835
                  ? (c >= 2831 && c <= 2832)
                  : c <= 2856)))))
            : (c <= 2864 || (c < 2947
              ? (c < 2908
                ? (c < 2869
                  ? (c >= 2866 && c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2929
                  ? (c >= 2911 && c <= 2913)
                  : c <= 2929)))
              : (c <= 2947 || (c < 2962
                ? (c < 2958
                  ? (c >= 2949 && c <= 2954)
                  : c <= 2960)
                : (c <= 2965 || (c < 2972
                  ? (c >= 2969 && c <= 2970)
                  : c <= 2972)))))))))))
      : (c <= 2975 || (c < 3913
        ? (c < 3389
          ? (c < 3200
            ? (c < 3090
              ? (c < 3024
                ? (c < 2984
                  ? (c >= 2979 && c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))
                : (c <= 3024 || (c < 3086
                  ? (c >= 3077 && c <= 3084)
                  : c <= 3088)))
              : (c <= 3112 || (c < 3160
                ? (c < 3133
                  ? (c >= 3114 && c <= 3129)
                  : c <= 3133)
                : (c <= 3162 || (c < 3168
                  ? c == 3165
                  : c <= 3169)))))
            : (c <= 3200 || (c < 3293
              ? (c < 3242
                ? (c < 3214
                  ? (c >= 3205 && c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))
                : (c <= 3251 || (c < 3261
                  ? (c >= 3253 && c <= 3257)
                  : c <= 3261)))
              : (c <= 3294 || (c < 3332
                ? (c < 3313
                  ? (c >= 3296 && c <= 3297)
                  : c <= 3314)
                : (c <= 3340 || (c < 3346
                  ? (c >= 3342 && c <= 3344)
                  : c <= 3386)))))))
          : (c <= 3389 || (c < 3713
            ? (c < 3507
              ? (c < 3450
                ? (c < 3412
                  ? c == 3406
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3455 || (c < 3482
                  ? (c >= 3461 && c <= 3478)
                  : c <= 3505)))
              : (c <= 3515 || (c < 3585
                ? (c < 3520
                  ? c == 3517
                  : c <= 3526)
                : (c <= 3632 || (c < 3648
                  ? (c >= 3634 && c <= 3635)
                  : c <= 3654)))))
            : (c <= 3714 || (c < 3773
              ? (c < 3749
                ? (c < 3718
                  ? c == 3716
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3762
                  ? (c >= 3751 && c <= 3760)
                  : c <= 3763)))
              : (c <= 3773 || (c < 3804
                ? (c < 3782
                  ? (c >= 3776 && c <= 3780)
                  : c <= 3782)
                : (c <= 3807 || (c < 3904
                  ? c == 3840
                  : c <= 3911)))))))))
        : (c <= 3948 || (c < 4802
          ? (c < 4301
            ? (c < 4197
              ? (c < 4176
                ? (c < 4096
                  ? (c >= 3976 && c <= 3980)
                  : (c <= 4138 || c == 4159))
                : (c <= 4181 || (c < 4193
                  ? (c >= 4186 && c <= 4189)
                  : c <= 4193)))
              : (c <= 4198 || (c < 4238
                ? (c < 4213
                  ? (c >= 4206 && c <= 4208)
                  : c <= 4225)
                : (c <= 4238 || (c < 4295
                  ? (c >= 4256 && c <= 4293)
                  : c <= 4295)))))
            : (c <= 4301 || (c < 4704
              ? (c < 4688
                ? (c < 4348
                  ? (c >= 4304 && c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))
                : (c <= 4694 || (c < 4698
                  ? c == 4696
                  : c <= 4701)))
              : (c <= 4744 || (c < 4786
                ? (c < 4752
                  ? (c >= 4746 && c <= 4749)
                  : c <= 4784)
                : (c <= 4789 || (c < 4800
                  ? (c >= 4792 && c <= 4798)
                  : c <= 4800)))))))
          : (c <= 4805 || (c < 5888
            ? (c < 5112
              ? (c < 4888
                ? (c < 4824
                  ? (c >= 4808 && c <= 4822)
                  : (c <= 4880 || (c >= 4882 && c <= 4885)))
                : (c <= 4954 || (c < 5024
                  ? (c >= 4992 && c <= 5007)
                  : c <= 5109)))
              : (c <= 5117 || (c < 5761
                ? (c < 5743
                  ? (c >= 5121 && c <= 5740)
                  : c <= 5759)
                : (c <= 5786 || (c < 5870
                  ? (c >= 5792 && c <= 5866)
                  : c <= 5880)))))
            : (c <= 5905 || (c < 6103
              ? (c < 5984
                ? (c < 5952
                  ? (c >= 5919 && c <= 5937)
                  : c <= 5969)
                : (c <= 5996 || (c < 6016
                  ? (c >= 5998 && c <= 6000)
                  : c <= 6067)))
              : (c <= 6103 || (c < 6272
                ? (c < 6176
                  ? c == 6108
                  : c <= 6264)
                : (c <= 6276 || (c < 6314
                  ? (c >= 6279 && c <= 6312)
                  : c <= 6314)))))))))))))
    : (c <= 6389 || (c < 43360
      ? (c < 11559
        ? (c < 7960
          ? (c < 7098
            ? (c < 6688
              ? (c < 6528
                ? (c < 6480
                  ? (c >= 6400 && c <= 6430)
                  : (c <= 6509 || (c >= 6512 && c <= 6516)))
                : (c <= 6571 || (c < 6656
                  ? (c >= 6576 && c <= 6601)
                  : c <= 6678)))
              : (c <= 6740 || (c < 6981
                ? (c < 6917
                  ? c == 6823
                  : c <= 6963)
                : (c <= 6988 || (c < 7086
                  ? (c >= 7043 && c <= 7072)
                  : c <= 7087)))))
            : (c <= 7141 || (c < 7401
              ? (c < 7296
                ? (c < 7245
                  ? (c >= 7168 && c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)))
              : (c <= 7404 || (c < 7418
                ? (c < 7413
                  ? (c >= 7406 && c <= 7411)
                  : c <= 7414)
                : (c <= 7418 || (c < 7680
                  ? (c >= 7424 && c <= 7615)
                  : c <= 7957)))))))
          : (c <= 7965 || (c < 8144
            ? (c < 8031
              ? (c < 8025
                ? (c < 8008
                  ? (c >= 7968 && c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8029
                  ? c == 8027
                  : c <= 8029)))
              : (c <= 8061 || (c < 8126
                ? (c < 8118
                  ? (c >= 8064 && c <= 8116)
                  : c <= 8124)
                : (c <= 8126 || (c < 8134
                  ? (c >= 8130 && c <= 8132)
                  : c <= 8140)))))
            : (c <= 8147 || (c < 8336
              ? (c < 8182
                ? (c < 8160
                  ? (c >= 8150 && c <= 8155)
                  : (c <= 8172 || (c >= 8178 && c <= 8180)))
                : (c <= 8188 || (c < 8319
                  ? c == 8305
                  : c <= 8319)))
              : (c <= 8348 || (c < 11264
                ? (c < 8544
                  ? (c >= 8450 && c <= 8526)
                  : c <= 8584)
                : (c <= 11502 || (c < 11520
                  ? (c >= 11506 && c <= 11507)
                  : c <= 11557)))))))))
        : (c <= 11559 || (c < 19903
          ? (c < 11823
            ? (c < 11696
              ? (c < 11648
                ? (c < 11568
                  ? c == 11565
                  : (c <= 11623 || c == 11631))
                : (c <= 11670 || (c < 11688
                  ? (c >= 11680 && c <= 11686)
                  : c <= 11694)))
              : (c <= 11702 || (c < 11720
                ? (c < 11712
                  ? (c >= 11704 && c <= 11710)
                  : c <= 11718)
                : (c <= 11726 || (c < 11736
                  ? (c >= 11728 && c <= 11734)
                  : c <= 11742)))))
            : (c <= 11823 || (c < 12540
              ? (c < 12353
                ? (c < 12321
                  ? (c >= 12293 && c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12348)))
                : (c <= 12438 || (c < 12449
                  ? (c >= 12445 && c <= 12447)
                  : c <= 12538)))
              : (c <= 12543 || (c < 12704
                ? (c < 12593
                  ? (c >= 12549 && c <= 12591)
                  : c <= 12686)
                : (c <= 12735 || (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : c <= 13312)))))))
          : (c <= 19968 || (c < 42963
            ? (c < 42623
              ? (c < 42512
                ? (c < 42192
                  ? (c >= 40959 && c <= 42124)
                  : (c <= 42237 || (c >= 42240 && c <= 42508)))
                : (c <= 42527 || (c < 42560
                  ? (c >= 42538 && c <= 42539)
                  : c <= 42606)))
              : (c <= 42653 || (c < 42786
                ? (c < 42775
                  ? (c >= 42656 && c <= 42735)
                  : c <= 42783)
                : (c <= 42888 || (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : c <= 42961)))))
            : (c <= 42963 || (c < 43138
              ? (c < 43015
                ? (c < 42994
                  ? (c >= 42965 && c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)))
              : (c <= 43187 || (c < 43261
                ? (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)
                : (c <= 43262 || (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : c <= 43334)))))))))))
      : (c <= 43388 || (c < 65482
        ? (c < 43888
          ? (c < 43705
            ? (c < 43584
              ? (c < 43494
                ? (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))
                : (c <= 43503 || (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : c <= 43560)))
              : (c <= 43586 || (c < 43646
                ? (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43642)
                : (c <= 43695 || (c < 43701
                  ? c == 43697
                  : c <= 43702)))))
            : (c <= 43709 || (c < 43785
              ? (c < 43744
                ? (c < 43714
                  ? c == 43712
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)))
              : (c <= 43790 || (c < 43816
                ? (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)
                : (c <= 43822 || (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : c <= 43881)))))))
          : (c <= 44002 || (c < 64320
            ? (c < 64256
              ? (c < 55243
                ? (c < 55203
                  ? c == 44032
                  : (c <= 55203 || (c >= 55216 && c <= 55238)))
                : (c <= 55291 || (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : c <= 64217)))
              : (c <= 64262 || (c < 64287
                ? (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)
                : (c <= 64310 || (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : c <= 64318)))))
            : (c <= 64321 || (c < 65136
              ? (c < 64848
                ? (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64829)))
                : (c <= 64911 || (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)))
              : (c <= 65140 || (c < 65345
                ? (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)
                : (c <= 65370 || (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : c <= 65479)))))))))
        : (c <= 65487 || (c < 66940
          ? (c < 66304
            ? (c < 65599
              ? (c < 65549
                ? (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))
                : (c <= 65574 || (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : c <= 65597)))
              : (c <= 65613 || (c < 65856
                ? (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)
                : (c <= 65908 || (c < 66208
                  ? (c >= 66176 && c <= 66204)
                  : c <= 66256)))))
            : (c <= 66335 || (c < 66560
              ? (c < 66464
                ? (c < 66384
                  ? (c >= 66349 && c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))
                : (c <= 66499 || (c < 66513
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66517)))
              : (c <= 66717 || (c < 66816
                ? (c < 66776
                  ? (c >= 66736 && c <= 66771)
                  : c <= 66811)
                : (c <= 66855 || (c < 66928
                  ? (c >= 66864 && c <= 66915)
                  : c <= 66938)))))))
          : (c <= 66954 || (c < 67584
            ? (c < 67072
              ? (c < 66979
                ? (c < 66964
                  ? (c >= 66956 && c <= 66962)
                  : (c <= 66965 || (c >= 66967 && c <= 66977)))
                : (c <= 66993 || (c < 67003
                  ? (c >= 66995 && c <= 67001)
                  : c <= 67004)))
              : (c <= 67382 || (c < 67456
                ? (c < 67424
                  ? (c >= 67392 && c <= 67413)
                  : c <= 67431)
                : (c <= 67461 || (c < 67506
                  ? (c >= 67463 && c <= 67504)
                  : c <= 67514)))))
            : (c <= 67589 || (c < 67680
              ? (c < 67639
                ? (c < 67594
                  ? c == 67592
                  : c <= 67637)
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym__interpolation_identifier_character_set_1(int32_t c) {
  return (c < 6688
    ? (c < 2984
      ? (c < 2365
        ? (c < 1488
          ? (c < 880
            ? (c < 192
              ? (c < 170
                ? (c < '_'
                  ? (c >= 'A' && c <= 'Z')
                  : (c <= '_' || (c >= 'a' && c <= 'z')))
                : (c <= 170 || (c < 186
                  ? c == 181
                  : c <= 187)))
              : (c <= 214 || (c < 736
                ? (c < 248
                  ? (c >= 216 && c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 750
                  ? c == 748
                  : c <= 750)))))
            : (c <= 884 || (c < 910
              ? (c < 902
                ? (c < 890
                  ? (c >= 886 && c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 908
                  ? (c >= 904 && c <= 906)
                  : c <= 908)))
              : (c <= 929 || (c < 1329
                ? (c < 1015
                  ? (c >= 931 && c <= 1013)
                  : (c <= 1153 || (c >= 1162 && c <= 1327)))
                : (c <= 1366 || (c < 1376
                  ? c == 1369
                  : c <= 1416)))))))
          : (c <= 1514 || (c < 1994
            ? (c < 1774
              ? (c < 1649
                ? (c < 1568
                  ? (c >= 1519 && c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1765
                  ? c == 1749
                  : c <= 1766)))
              : (c <= 1775 || (c < 1810
                ? (c < 1791
                  ? (c >= 1786 && c <= 1788)
                  : (c <= 1791 || c == 1808))
                : (c <= 1839 || (c < 1969
                  ? (c >= 1869 && c <= 1957)
                  : c <= 1969)))))
            : (c <= 2026 || (c < 2112
              ? (c < 2074
                ? (c < 2042
                  ? (c >= 2036 && c <= 2037)
                  : (c <= 2042 || (c >= 2048 && c <= 2069)))
                : (c <= 2074 || (c < 2088
                  ? c == 2084
                  : c <= 2088)))
              : (c <= 2136 || (c < 2185
                ? (c < 2160
                  ? (c >= 2144 && c <= 2154)
                  : c <= 2183)
                : (c <= 2190 || (c < 2308
                  ? (c >= 2208 && c <= 2249)
                  : c <= 2361)))))))))
        : (c <= 2365 || (c < 2703
          ? (c < 2544
            ? (c < 2474
              ? (c < 2437
                ? (c < 2392
                  ? c == 2384
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2451
                  ? (c >= 2447 && c <= 2448)
                  : c <= 2472)))
              : (c <= 2480 || (c < 2510
                ? (c < 2486
                  ? c == 2482
                  : (c <= 2489 || c == 2493))
                : (c <= 2510 || (c < 2527
                  ? (c >= 2524 && c <= 2525)
                  : c <= 2529)))))
            : (c <= 2545 || (c < 2613
              ? (c < 2579
                ? (c < 2565
                  ? c == 2556
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2610
                  ? (c >= 2602 && c <= 2608)
                  : c <= 2611)))
              : (c <= 2614 || (c < 2654
                ? (c < 2649
                  ? (c >= 2616 && c <= 2617)
                  : c <= 2652)
                : (c <= 2654 || (c < 2693
                  ? (c >= 2674 && c <= 2676)
                  : c <= 2701)))))))
          : (c <= 2705 || (c < 2869
            ? (c < 2784
              ? (c < 2741
                ? (c < 2730
                  ? (c >= 2707 && c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))
                : (c <= 2745 || (c < 2768
                  ? c == 2749
                  : c <= 2768)))
              : (c <= 2785 || (c < 2835
                ? (c < 2821
                  ? c == 2809
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))
                : (c <= 2856 || (c < 2866
                  ? (c >= 2858 && c <= 2864)
                  : c <= 2867)))))
            : (c <= 2873 || (c < 2958
              ? (c < 2929
                ? (c < 2908
                  ? c == 2877
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2949
                  ? c == 2947
                  : c <= 2954)))
              : (c <= 2960 || (c < 2972
                ? (c < 2969
                  ? (c >= 2962 && c <= 2965)
                  : c <= 2970)
                : (c <= 2972 || (c < 2979
                  ? (c >= 2974 && c <= 2975)
                  : c <= 2980)))))))))))
      : (c <= 2986 || (c < 4176
        ? (c < 3423
          ? (c < 3218
            ? (c < 3133
              ? (c < 3086
                ? (c < 3024
                  ? (c >= 2990 && c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))
                : (c <= 3088 || (c < 3114
                  ? (c >= 3090 && c <= 3112)
                  : c <= 3129)))
              : (c <= 3133 || (c < 3200
                ? (c < 3165
                  ? (c >= 3160 && c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3214
                  ? (c >= 3205 && c <= 3212)
                  : c <= 3216)))))
            : (c <= 3240 || (c < 3332
              ? (c < 3293
                ? (c < 3253
                  ? (c >= 3242 && c <= 3251)
                  : (c <= 3257 || c == 3261))
                : (c <= 3294 || (c < 3313
                  ? (c >= 3296 && c <= 3297)
                  : c <= 3314)))
              : (c <= 3340 || (c < 3389
                ? (c < 3346
                  ? (c >= 3342 && c <= 3344)
                  : c <= 3386)
                : (c <= 3389 || (c < 3412
                  ? c == 3406
                  : c <= 3414)))))))
          : (c <= 3425 || (c < 3749
            ? (c < 3585
              ? (c < 3507
                ? (c < 3461
                  ? (c >= 3450 && c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3520
                  ? c == 3517
                  : c <= 3526)))
              : (c <= 3632 || (c < 3716
                ? (c < 3648
                  ? (c >= 3634 && c <= 3635)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : c <= 3747)))))
            : (c <= 3749 || (c < 3840
              ? (c < 3776
                ? (c < 3762
                  ? (c >= 3751 && c <= 3760)
                  : (c <= 3763 || c == 3773))
                : (c <= 3780 || (c < 3804
                  ? c == 3782
                  : c <= 3807)))
              : (c <= 3840 || (c < 3976
                ? (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)
                : (c <= 3980 || (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : c <= 4159)))))))))
        : (c <= 4181 || (c < 4992
          ? (c < 4696
            ? (c < 4256
              ? (c < 4206
                ? (c < 4193
                  ? (c >= 4186 && c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))
                : (c <= 4208 || (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)))
              : (c <= 4293 || (c < 4348
                ? (c < 4301
                  ? c == 4295
                  : (c <= 4301 || (c >= 4304 && c <= 4346)))
                : (c <= 4680 || (c < 4688
                  ? (c >= 4682 && c <= 4685)
                  : c <= 4694)))))
            : (c <= 4696 || (c < 4800
              ? (c < 4752
                ? (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4792
                  ? (c >= 4786 && c <= 4789)
                  : c <= 4798)))
              : (c <= 4800 || (c < 4824
                ? (c < 4808
                  ? (c >= 4802 && c <= 4805)
                  : c <= 4822)
                : (c <= 4880 || (c < 4888
                  ? (c >= 4882 && c <= 4885)
                  : c <= 4954)))))))
          : (c <= 5007 || (c < 6103
            ? (c < 5870
              ? (c < 5743
                ? (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5792
                  ? (c >= 5761 && c <= 5786)
                  : c <= 5866)))
              : (c <= 5880 || (c < 5984
                ? (c < 5919
                  ? (c >= 5888 && c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6016
                  ? (c >= 5998 && c <= 6000)
                  : c <= 6067)))))
            : (c <= 6103 || (c < 6400
              ? (c < 6279
                ? (c < 6176
                  ? c == 6108
                  : (c <= 6264 || (c >= 6272 && c <= 6276)))
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))
              : (c <= 6430 || (c < 6528
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : c <= 6516)
                : (c <= 6571 || (c < 6656
                  ? (c >= 6576 && c <= 6601)
                  : c <= 6678)))))))))))))
    : (c <= 6740 || (c < 43261
      ? (c < 11499
        ? (c < 8118
          ? (c < 7406
            ? (c < 7168
              ? (c < 7043
                ? (c < 6917
                  ? c == 6823
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))
              : (c <= 7203 || (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))))
            : (c <= 7411 || (c < 8008
              ? (c < 7680
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))
                : (c <= 7957 || (c < 7968
                  ? (c >= 7960 && c <= 7965)
                  : c <= 8005)))
              : (c <= 8013 || (c < 8029
                ? (c < 8025
                  ? (c >= 8016 && c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8064
                  ? (c >= 8031 && c <= 8061)
                  : c <= 8116)))))))
          : (c <= 8124 || (c < 8458
            ? (c < 8178
              ? (c < 8144
                ? (c < 8130
                  ? c == 8126
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))
                : (c <= 8147 || (c < 8160
                  ? (c >= 8150 && c <= 8155)
                  : c <= 8172)))
              : (c <= 8180 || (c < 8336
                ? (c < 8305
                  ? (c >= 8182 && c <= 8188)
                  : (c <= 8305 || c == 8319))
                : (c <= 8348 || (c < 8455
                  ? c == 8450
                  : c <= 8455)))))
            : (c <= 8467 || (c < 8495
              ? (c < 8486
                ? (c < 8473
                  ? c == 8469
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8490
                  ? c == 8488
                  : c <= 8493)))
              : (c <= 8505 || (c < 8526
                ? (c < 8517
                  ? (c >= 8508 && c <= 8511)
                  : c <= 8521)
                : (c <= 8526 || (c < 11264
                  ? (c >= 8544 && c <= 8584)
                  : c <= 11492)))))))))
        : (c <= 11502 || (c < 12704
          ? (c < 11728
            ? (c < 11648
              ? (c < 11565
                ? (c < 11520
                  ? (c >= 11506 && c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11631
                  ? (c >= 11568 && c <= 11623)
                  : c <= 11631)))
              : (c <= 11670 || (c < 11704
                ? (c < 11688
                  ? (c >= 11680 && c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11720
                  ? (c >= 11712 && c <= 11718)
                  : c <= 11726)))))
            : (c <= 11734 || (c < 12353
              ? (c < 12321
                ? (c < 11823
                  ? (c >= 11736 && c <= 11742)
                  : (c <= 11823 || (c >= 12293 && c <= 12295)))
                : (c <= 12329 || (c < 12344
                  ? (c >= 12337 && c <= 12341)
                  : c <= 12348)))
              : (c <= 12438 || (c < 12540
                ? (c < 12449
                  ? (c >= 12445 && c <= 12447)
                  : c <= 12538)
                : (c <= 12543 || (c < 12593
                  ? (c >= 12549 && c <= 12591)
                  : c <= 12686)))))))
          : (c <= 12735 || (c < 42786
            ? (c < 42240
              ? (c < 19968
                ? (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : (c <= 13312 || c == 19903))
                : (c <= 19968 || (c < 42192
                  ? (c >= 40959 && c <= 42124)
                  : c <= 42237)))
              : (c <= 42508 || (c < 42623
                ? (c < 42538
                  ? (c >= 42512 && c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42775
                  ? (c >= 42656 && c <= 42735)
                  : c <= 42783)))))
            : (c <= 42888 || (c < 43015
              ? (c < 42965
                ? (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)))
              : (c <= 43018 || (c < 43138
                ? (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)
                : (c <= 43187 || (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)))))))))))
      : (c <= 43262 || (c < 65345
        ? (c < 43816
          ? (c < 43646
            ? (c < 43494
              ? (c < 43396
                ? (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43488
                  ? c == 43471
                  : c <= 43492)))
              : (c <= 43503 || (c < 43588
                ? (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : (c <= 43560 || (c >= 43584 && c <= 43586)))
                : (c <= 43595 || (c < 43642
                  ? (c >= 43616 && c <= 43638)
                  : c <= 43642)))))
            : (c <= 43695 || (c < 43744
              ? (c < 43712
                ? (c < 43701
                  ? c == 43697
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43739
                  ? c == 43714
                  : c <= 43741)))
              : (c <= 43754 || (c < 43785
                ? (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)
                : (c <= 43790 || (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)))))))
          : (c <= 43822 || (c < 64298
            ? (c < 55243
              ? (c < 44032
                ? (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : (c <= 43881 || (c >= 43888 && c <= 44002)))
                : (c <= 44032 || (c < 55216
                  ? c == 55203
                  : c <= 55238)))
              : (c <= 55291 || (c < 64275
                ? (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))
                : (c <= 64279 || (c < 64287
                  ? c == 64285
                  : c <= 64296)))))
            : (c <= 64310 || (c < 64848
              ? (c < 64323
                ? (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64467
                  ? (c >= 64326 && c <= 64433)
                  : c <= 64829)))
              : (c <= 64911 || (c < 65136
                ? (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)
                : (c <= 65140 || (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)))))))))
        : (c <= 65370 || (c < 66864
          ? (c < 66176
            ? (c < 65549
              ? (c < 65490
                ? (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65536
                  ? (c >= 65498 && c <= 65500)
                  : c <= 65547)))
              : (c <= 65574 || (c < 65616
                ? (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 65856
                  ? (c >= 65664 && c <= 65786)
                  : c <= 65908)))))
            : (c <= 66204 || (c < 66504
              ? (c < 66384
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))
                : (c <= 66421 || (c < 66464
                  ? (c >= 66432 && c <= 66461)
                  : c <= 66499)))
              : (c <= 66511 || (c < 66736
                ? (c < 66560
                  ? (c >= 66513 && c <= 66517)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym__interpolation_identifier_character_set_2(int32_t c) {
  return (c < 6688
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 750
            ? (c < 186
              ? (c < 'a'
                ? (c < 'A'
                  ? (c >= '0' && c <= '9')
                  : (c <= 'Z' || c == '_'))
                : (c <= 'z' || (c < 181
                  ? c == 170
                  : c <= 181)))
              : (c <= 187 || (c < 710
                ? (c < 216
                  ? (c >= 192 && c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))
                : (c <= 721 || (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)))))
            : (c <= 750 || (c < 908
              ? (c < 895
                ? (c < 886
                  ? (c >= 880 && c <= 884)
                  : (c <= 887 || (c >= 890 && c <= 893)))
                : (c <= 895 || (c < 904
                  ? c == 902
                  : c <= 906)))
              : (c <= 908 || (c < 1162
                ? (c < 931
                  ? (c >= 910 && c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4176
        ? (c < 3423
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3389
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : (c <= 3344 || (c >= 3346 && c <= 3386)))
                : (c <= 3389 || (c < 3412
                  ? c == 3406
                  : c <= 3414)))))))
          : (c <= 3425 || (c < 3749
            ? (c < 3585
              ? (c < 3507
                ? (c < 3461
                  ? (c >= 3450 && c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3520
                  ? c == 3517
                  : c <= 3526)))
              : (c <= 3632 || (c < 3716
                ? (c < 3648
                  ? (c >= 3634 && c <= 3635)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : c <= 3747)))))
            : (c <= 3749 || (c < 3840
              ? (c < 3776
                ? (c < 3762
                  ? (c >= 3751 && c <= 3760)
                  : (c <= 3763 || c == 3773))
                : (c <= 3780 || (c < 3804
                  ? c == 3782
                  : c <= 3807)))
              : (c <= 3840 || (c < 3976
                ? (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)
                : (c <= 3980 || (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : c <= 4159)))))))))
        : (c <= 4181 || (c < 4992
          ? (c < 4696
            ? (c < 4256
              ? (c < 4206
                ? (c < 4193
                  ? (c >= 4186 && c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))
                : (c <= 4208 || (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)))
              : (c <= 4293 || (c < 4348
                ? (c < 4301
                  ? c == 4295
                  : (c <= 4301 || (c >= 4304 && c <= 4346)))
                : (c <= 4680 || (c < 4688
                  ? (c >= 4682 && c <= 4685)
                  : c <= 4694)))))
            : (c <= 4696 || (c < 4800
              ? (c < 4752
                ? (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4792
                  ? (c >= 4786 && c <= 4789)
                  : c <= 4798)))
              : (c <= 4800 || (c < 4824
                ? (c < 4808
                  ? (c >= 4802 && c <= 4805)
                  : c <= 4822)
                : (c <= 4880 || (c < 4888
                  ? (c >= 4882 && c <= 4885)
                  : c <= 4954)))))))
          : (c <= 5007 || (c < 6103
            ? (c < 5870
              ? (c < 5743
                ? (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5792
                  ? (c >= 5761 && c <= 5786)
                  : c <= 5866)))
              : (c <= 5880 || (c < 5984
                ? (c < 5919
                  ? (c >= 5888 && c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6016
                  ? (c >= 5998 && c <= 6000)
                  : c <= 6067)))))
            : (c <= 6103 || (c < 6400
              ? (c < 6279
                ? (c < 6176
                  ? c == 6108
                  : (c <= 6264 || (c >= 6272 && c <= 6276)))
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))
              : (c <= 6430 || (c < 6528
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : c <= 6516)
                : (c <= 6571 || (c < 6656
                  ? (c >= 6576 && c <= 6601)
                  : c <= 6678)))))))))))))
    : (c <= 6740 || (c < 43261
      ? (c < 11499
        ? (c < 8118
          ? (c < 7406
            ? (c < 7168
              ? (c < 7043
                ? (c < 6917
                  ? c == 6823
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))
              : (c <= 7203 || (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))))
            : (c <= 7411 || (c < 8008
              ? (c < 7680
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))
                : (c <= 7957 || (c < 7968
                  ? (c >= 7960 && c <= 7965)
                  : c <= 8005)))
              : (c <= 8013 || (c < 8029
                ? (c < 8025
                  ? (c >= 8016 && c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8064
                  ? (c >= 8031 && c <= 8061)
                  : c <= 8116)))))))
          : (c <= 8124 || (c < 8458
            ? (c < 8178
              ? (c < 8144
                ? (c < 8130
                  ? c == 8126
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))
                : (c <= 8147 || (c < 8160
                  ? (c >= 8150 && c <= 8155)
                  : c <= 8172)))
              : (c <= 8180 || (c < 8336
                ? (c < 8305
                  ? (c >= 8182 && c <= 8188)
                  : (c <= 8305 || c == 8319))
                : (c <= 8348 || (c < 8455
                  ? c == 8450
                  : c <= 8455)))))
            : (c <= 8467 || (c < 8495
              ? (c < 8486
                ? (c < 8473
                  ? c == 8469
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8490
                  ? c == 8488
                  : c <= 8493)))
              : (c <= 8505 || (c < 8526
                ? (c < 8517
                  ? (c >= 8508 && c <= 8511)
                  : c <= 8521)
                : (c <= 8526 || (c < 11264
                  ? (c >= 8544 && c <= 8584)
                  : c <= 11492)))))))))
        : (c <= 11502 || (c < 12704
          ? (c < 11728
            ? (c < 11648
              ? (c < 11565
                ? (c < 11520
                  ? (c >= 11506 && c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11631
                  ? (c >= 11568 && c <= 11623)
                  : c <= 11631)))
              : (c <= 11670 || (c < 11704
                ? (c < 11688
                  ? (c >= 11680 && c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11720
                  ? (c >= 11712 && c <= 11718)
                  : c <= 11726)))))
            : (c <= 11734 || (c < 12353
              ? (c < 12321
                ? (c < 11823
                  ? (c >= 11736 && c <= 11742)
                  : (c <= 11823 || (c >= 12293 && c <= 12295)))
                : (c <= 12329 || (c < 12344
                  ? (c >= 12337 && c <= 12341)
                  : c <= 12348)))
              : (c <= 12438 || (c < 12540
                ? (c < 12449
                  ? (c >= 12445 && c <= 12447)
                  : c <= 12538)
                : (c <= 12543 || (c < 12593
                  ? (c >= 12549 && c <= 12591)
                  : c <= 12686)))))))
          : (c <= 12735 || (c < 42786
            ? (c < 42240
              ? (c < 19968
                ? (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : (c <= 13312 || c == 19903))
                : (c <= 19968 || (c < 42192
                  ? (c >= 40959 && c <= 42124)
                  : c <= 42237)))
              : (c <= 42508 || (c < 42623
                ? (c < 42538
                  ? (c >= 42512 && c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42775
                  ? (c >= 42656 && c <= 42735)
                  : c <= 42783)))))
            : (c <= 42888 || (c < 43015
              ? (c < 42965
                ? (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)))
              : (c <= 43018 || (c < 43138
                ? (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)
                : (c <= 43187 || (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)))))))))))
      : (c <= 43262 || (c < 65345
        ? (c < 43816
          ? (c < 43646
            ? (c < 43494
              ? (c < 43396
                ? (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43488
                  ? c == 43471
                  : c <= 43492)))
              : (c <= 43503 || (c < 43588
                ? (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : (c <= 43560 || (c >= 43584 && c <= 43586)))
                : (c <= 43595 || (c < 43642
                  ? (c >= 43616 && c <= 43638)
                  : c <= 43642)))))
            : (c <= 43695 || (c < 43744
              ? (c < 43712
                ? (c < 43701
                  ? c == 43697
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43739
                  ? c == 43714
                  : c <= 43741)))
              : (c <= 43754 || (c < 43785
                ? (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)
                : (c <= 43790 || (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)))))))
          : (c <= 43822 || (c < 64298
            ? (c < 55243
              ? (c < 44032
                ? (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : (c <= 43881 || (c >= 43888 && c <= 44002)))
                : (c <= 44032 || (c < 55216
                  ? c == 55203
                  : c <= 55238)))
              : (c <= 55291 || (c < 64275
                ? (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))
                : (c <= 64279 || (c < 64287
                  ? c == 64285
                  : c <= 64296)))))
            : (c <= 64310 || (c < 64848
              ? (c < 64323
                ? (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64467
                  ? (c >= 64326 && c <= 64433)
                  : c <= 64829)))
              : (c <= 64911 || (c < 65136
                ? (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)
                : (c <= 65140 || (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)))))))))
        : (c <= 65370 || (c < 66864
          ? (c < 66176
            ? (c < 65549
              ? (c < 65490
                ? (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65536
                  ? (c >= 65498 && c <= 65500)
                  : c <= 65547)))
              : (c <= 65574 || (c < 65616
                ? (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 65856
                  ? (c >= 65664 && c <= 65786)
                  : c <= 65908)))))
            : (c <= 66204 || (c < 66504
              ? (c < 66384
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))
                : (c <= 66421 || (c < 66464
                  ? (c >= 66432 && c <= 66461)
                  : c <= 66499)))
              : (c <= 66511 || (c < 66736
                ? (c < 66560
                  ? (c >= 66513 && c <= 66517)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_operator_identifier_character_set_1(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '*'
              ? (c >= '#' && c <= '&')
              : (c <= '*' || (c >= '<' && c <= '@')))
            : (c <= '\\' || (c < '|'
              ? c == '^'
              : (c <= '|' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_2(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '+'
              ? (c < '%'
                ? (c >= '!' && c <= '#')
                : c <= '&')
              : (c <= '-' || (c >= '>' && c <= '?')))
            : (c <= '\\' || (c < '~'
              ? c == '^'
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_3(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '+'
              ? (c < '%'
                ? (c >= '!' && c <= '#')
                : c <= '&')
              : (c <= '-' || (c >= '<' && c <= '?')))
            : (c <= '\\' || (c < '~'
              ? c == '^'
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_4(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '<'
            ? (c < '+'
              ? (c < '%'
                ? (c >= '!' && c <= '#')
                : c <= '&')
              : (c <= '+' || c == '-'))
            : (c <= '?' || (c < '^'
              ? c == '\\'
              : (c <= '^' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_5(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '+'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '-' || c == '>'))
            : (c <= '\\' || (c < '~'
              ? c == '^'
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_6(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '+'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '-' || (c >= '<' && c <= '>')))
            : (c <= '\\' || (c < '~'
              ? c == '^'
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_7(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '\\'
            ? (c < '+'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '-' || (c >= '<' && c <= '>')))
            : (c <= '\\' || (c < '|'
              ? c == '^'
              : (c <= '|' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_8(int32_t c) {
  return (c < 8512
    ? (c < 3841
      ? (c < 1014
        ? (c < '~'
          ? (c < '<'
            ? (c < '*'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '*' || c == ':'))
            : (c <= '?' || (c < '^'
              ? c == '\\'
              : (c <= '^' || c == '|'))))
          : (c <= '~' || (c < 174
            ? (c < 169
              ? c == 166
              : (c <= 169 || c == 172))
            : (c <= 174 || (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))))))
        : (c <= 1014 || (c < 2038
          ? (c < 1550
            ? (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))
            : (c <= 1551 || (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))))
          : (c <= 2038 || (c < 3066
            ? (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))
            : (c <= 3066 || (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))))))))
      : (c <= 3843 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c < 3861
                ? c == 3859
                : c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_9(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '*'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '-' || c == '>'))
            : (c <= '^' || (c < '~'
              ? c == '|'
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_10(int32_t c) {
  return (c < 8512
    ? (c < 3841
      ? (c < 1014
        ? (c < '~'
          ? (c < '<'
            ? (c < '*'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '+' || c == '-'))
            : (c <= '?' || (c < '^'
              ? c == '\\'
              : (c <= '^' || c == '|'))))
          : (c <= '~' || (c < 174
            ? (c < 169
              ? c == 166
              : (c <= 169 || c == 172))
            : (c <= 174 || (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))))))
        : (c <= 1014 || (c < 2038
          ? (c < 1550
            ? (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))
            : (c <= 1551 || (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))))
          : (c <= 2038 || (c < 3066
            ? (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))
            : (c <= 3066 || (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))))))))
      : (c <= 3843 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c < 3861
                ? c == 3859
                : c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_11(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '|'
          ? (c < ':'
            ? (c < '*'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '+' || c == '-'))
            : (c <= ':' || (c < '\\'
              ? (c >= '<' && c <= '?')
              : (c <= '\\' || c == '^'))))
          : (c <= '|' || (c < 172
            ? (c < 166
              ? c == '~'
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_12(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '+' || c == ':'))
            : (c <= '@' || (c < '^'
              ? c == '\\'
              : (c <= '^' || (c >= '|' && c <= '~')))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_13(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '<'
            ? (c < '#'
              ? c == '!'
              : (c <= '#' || (c >= '%' && c <= '+')))
            : (c <= '@' || (c < '|'
              ? (c >= '\\' && c <= '^')
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_14(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '\\'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '+' || (c >= '<' && c <= '@')))
            : (c <= '\\' || (c < '|'
              ? c == '^'
              : (c <= '|' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_15(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '\\'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '+' || (c >= '<' && c <= '?')))
            : (c <= '\\' || (c < '|'
              ? c == '^'
              : (c <= '|' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_16(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '>'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= '@' || (c < '~'
              ? (c >= '\\' && c <= '^')
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_17(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= '@' || (c < '^'
              ? c == '\\'
              : (c <= '^' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_18(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '>'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= '>' || (c < '^'
              ? c == '\\'
              : (c <= '^' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_19(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= '>' || (c < '^'
              ? c == '\\'
              : (c <= '^' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_20(int32_t c) {
  return (c < 8512
    ? (c < 3841
      ? (c < 1014
        ? (c < '~'
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= '>' || (c < '^'
              ? c == '\\'
              : (c <= '^' || c == '|'))))
          : (c <= '~' || (c < 174
            ? (c < 169
              ? c == 166
              : (c <= 169 || c == 172))
            : (c <= 174 || (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))))))
        : (c <= 1014 || (c < 2038
          ? (c < 1550
            ? (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))
            : (c <= 1551 || (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))))
          : (c <= 2038 || (c < 3066
            ? (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))
            : (c <= 3066 || (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))))))))
      : (c <= 3843 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c < 3861
                ? c == 3859
                : c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_21(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 215
        ? (c < '^'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '+')))
            : (c <= '-' || (c < '<'
              ? c == ':'
              : (c <= '?' || c == '\\'))))
          : (c <= '^' || (c < 169
            ? (c < '~'
              ? c == '|'
              : (c <= '~' || c == 166))
            : (c <= 169 || (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))))))
        : (c <= 215 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? (c < 1014
                ? c == 247
                : c <= 1014)
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_22(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '|'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '+')))
            : (c <= '-' || (c < '<'
              ? c == ':'
              : (c <= '@' || (c >= '\\' && c <= '^')))))
          : (c <= '|' || (c < 172
            ? (c < 166
              ? c == '~'
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_23(int32_t c) {
  return (c < 8512
    ? (c < 3841
      ? (c < 1014
        ? (c < '~'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || c == '+'))
            : (c <= '-' || (c < '\\'
              ? (c >= '<' && c <= '@')
              : (c <= '\\' || c == '^'))))
          : (c <= '~' || (c < 174
            ? (c < 169
              ? c == 166
              : (c <= 169 || c == 172))
            : (c <= 174 || (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))))))
        : (c <= 1014 || (c < 2038
          ? (c < 1550
            ? (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))
            : (c <= 1551 || (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))))
          : (c <= 2038 || (c < 3066
            ? (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))
            : (c <= 3066 || (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))))))))
      : (c <= 3843 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c < 3861
                ? c == 3859
                : c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_24(int32_t c) {
  return (c < 8512
    ? (c < 3841
      ? (c < 1014
        ? (c < '~'
          ? (c < ':'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || c == '*'))
            : (c <= ':' || (c < '\\'
              ? (c >= '<' && c <= '?')
              : (c <= '^' || c == '|'))))
          : (c <= '~' || (c < 174
            ? (c < 169
              ? c == 166
              : (c <= 169 || c == 172))
            : (c <= 174 || (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))))))
        : (c <= 1014 || (c < 2038
          ? (c < 1550
            ? (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))
            : (c <= 1551 || (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))))
          : (c <= 2038 || (c < 3066
            ? (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))
            : (c <= 3066 || (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))))))))
      : (c <= 3843 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c < 3861
                ? c == 3859
                : c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_25(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '>'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '>' || (c < '|'
              ? (c >= '\\' && c <= '^')
              : (c <= '|' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_26(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '|'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '+')))
            : (c <= '-' || (c < '\\'
              ? (c >= '<' && c <= '?')
              : (c <= '\\' || c == '^'))))
          : (c <= '|' || (c < 172
            ? (c < 166
              ? c == '~'
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_27(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '|'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '+')))
            : (c <= '-' || (c < '\\'
              ? (c >= '<' && c <= '@')
              : (c <= '\\' || c == '^'))))
          : (c <= '|' || (c < 172
            ? (c < 166
              ? c == '~'
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_28(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '>'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= '@' || (c < '^'
              ? c == '\\'
              : (c <= '^' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_29(int32_t c) {
  return (c < 8512
    ? (c < 3841
      ? (c < 1014
        ? (c < '~'
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= '@' || (c < '^'
              ? c == '\\'
              : (c <= '^' || c == '|'))))
          : (c <= '~' || (c < 174
            ? (c < 169
              ? c == 166
              : (c <= 169 || c == 172))
            : (c <= 174 || (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))))))
        : (c <= 1014 || (c < 2038
          ? (c < 1550
            ? (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))
            : (c <= 1551 || (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))))
          : (c <= 2038 || (c < 3066
            ? (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))
            : (c <= 3066 || (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))))))))
      : (c <= 3843 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c < 3861
                ? c == 3859
                : c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_30(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '|'
          ? (c < ':'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= ':' || (c < '\\'
              ? (c >= '<' && c <= '@')
              : (c <= '\\' || c == '^'))))
          : (c <= '|' || (c < 172
            ? (c < 166
              ? c == '~'
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_31(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '^'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || c == '+'))
            : (c <= '-' || (c < '<'
              ? c == ':'
              : (c <= '@' || c == '\\'))))
          : (c <= '^' || (c < 172
            ? (c < 166
              ? (c >= '|' && c <= '~')
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_32(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '>'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '@' || (c < '|'
              ? (c >= '\\' && c <= '^')
              : (c <= '|' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_33(int32_t c) {
  return (c < 8527
    ? (c < 3892
      ? (c < 1550
        ? (c < 174
          ? (c < '|'
            ? (c < '\\'
              ? (c >= '#' && c <= '@')
              : (c <= '\\' || c == '^'))
            : (c <= '|' || (c < 169
              ? c == 166
              : (c <= 169 || c == 172))))
          : (c <= 174 || (c < 1014
            ? (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))
            : (c <= 1014 || (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))))))
        : (c <= 1551 || (c < 3066
          ? (c < 2038
            ? (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))
            : (c <= 2038 || (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))))
          : (c <= 3066 || (c < 3841
            ? (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))
            : (c <= 3843 || (c < 3861
              ? c == 3859
              : (c <= 3863 || (c >= 3866 && c <= 3871)))))))))
      : (c <= 3892 || (c < 8314
        ? (c < 5008
          ? (c < 4039
            ? (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))
            : (c <= 4044 || (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))))
          : (c <= 5017 || (c < 7009
            ? (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))
            : (c <= 7018 || (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))))))
        : (c <= 8316 || (c < 8485
          ? (c < 8456
            ? (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))
            : (c <= 8457 || (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))))
          : (c <= 8485 || (c < 8506
            ? (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))
            : (c <= 8507 || (c < 8522
              ? (c >= 8512 && c <= 8516)
              : c <= 8525)))))))))
    : (c <= 8527 || (c < 12880
      ? (c < 11493
        ? (c < 10132
          ? (c < 9003
            ? (c < 8592
              ? (c >= 8586 && c <= 8587)
              : (c <= 8967 || (c >= 8972 && c <= 9000)))
            : (c <= 9254 || (c < 9372
              ? (c >= 9280 && c <= 9290)
              : (c <= 9449 || (c >= 9472 && c <= 10087)))))
          : (c <= 10180 || (c < 10716
            ? (c < 10224
              ? (c >= 10183 && c <= 10213)
              : (c <= 10626 || (c >= 10649 && c <= 10711)))
            : (c <= 10747 || (c < 11126
              ? (c >= 10750 && c <= 11123)
              : (c <= 11157 || (c >= 11159 && c <= 11263)))))))
        : (c <= 11498 || (c < 12320
          ? (c < 12032
            ? (c < 11904
              ? (c >= 11856 && c <= 11857)
              : (c <= 11929 || (c >= 11931 && c <= 12019)))
            : (c <= 12245 || (c < 12292
              ? (c >= 12272 && c <= 12283)
              : (c <= 12292 || (c >= 12306 && c <= 12307)))))
          : (c <= 12320 || (c < 12694
            ? (c < 12350
              ? (c >= 12342 && c <= 12343)
              : (c <= 12351 || (c >= 12688 && c <= 12689)))
            : (c <= 12703 || (c < 12800
              ? (c >= 12736 && c <= 12771)
              : (c <= 12830 || (c >= 12842 && c <= 12871)))))))))
      : (c <= 12880 || (c < 65291
        ? (c < 43065
          ? (c < 19904
            ? (c < 12938
              ? (c >= 12896 && c <= 12927)
              : (c <= 12976 || (c >= 12992 && c <= 13311)))
            : (c <= 19967 || (c < 43048
              ? (c >= 42128 && c <= 42182)
              : (c <= 43051 || (c >= 43062 && c <= 43063)))))
          : (c <= 43065 || (c < 64975
            ? (c < 64297
              ? (c >= 43639 && c <= 43641)
              : (c <= 64297 || (c >= 64832 && c <= 64847)))
            : (c <= 64975 || (c < 65122
              ? (c >= 65021 && c <= 65023)
              : (c <= 65122 || (c >= 65124 && c <= 65126)))))))
        : (c <= 65291 || (c < 65847
          ? (c < 65506
            ? (c < 65372
              ? (c >= 65308 && c <= 65310)
              : (c <= 65372 || c == 65374))
            : (c <= 65506 || (c < 65512
              ? c == 65508
              : (c <= 65518 || (c >= 65532 && c <= 65533)))))
          : (c <= 65855 || (c < 65952
            ? (c < 65932
              ? (c >= 65913 && c <= 65929)
              : (c <= 65934 || (c >= 65936 && c <= 65948)))
            : (c <= 65952 || (c < 67703
              ? (c >= 66000 && c <= 66044)
              : c <= 67704)))))))))));
}

static inline bool sym_operator_identifier_character_set_34(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < ':'
              ? (c < '*'
                ? (c >= '%' && c <= '&')
                : c <= '*')
              : (c <= ':' || (c >= '<' && c <= '?')))
            : (c <= '\\' || (c < '|'
              ? c == '^'
              : (c <= '|' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_35(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '*'
              ? (c >= '#' && c <= '&')
              : (c <= '*' || (c >= ':' && c <= '?')))
            : (c <= '\\' || (c < '|'
              ? c == '^'
              : (c <= '|' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_36(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '<'
            ? (c < '%'
              ? (c >= '!' && c <= '#')
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '@' || (c < '|'
              ? (c >= '\\' && c <= '^')
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_37(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '+'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '-' || (c >= '<' && c <= '>')))
            : (c <= '\\' || (c < '|'
              ? c == '^'
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_38(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '*'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '-' || (c >= '<' && c <= '?')))
            : (c <= '\\' || (c < '|'
              ? c == '^'
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_39(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '<'
            ? (c < '%'
              ? c == '!'
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '>' || (c < '|'
              ? (c >= '\\' && c <= '^')
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_40(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '*'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '-' || (c >= '<' && c <= '>')))
            : (c <= '\\' || (c < '|'
              ? c == '^'
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_41(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '<'
            ? (c < '+'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '+' || c == '-'))
            : (c <= '>' || (c < '^'
              ? c == '\\'
              : (c <= '^' || c == '~'))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_42(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '>'
            ? (c < '*'
              ? (c < '%'
                ? c == '!'
                : c <= '&')
              : (c <= '+' || c == '-'))
            : (c <= '>' || (c < '^'
              ? c == '\\'
              : (c <= '^' || (c >= '|' && c <= '~')))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_43(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '\\'
            ? (c < '#'
              ? c == '!'
              : (c <= '#' || (c >= '%' && c <= '?')))
            : (c <= '\\' || (c < '|'
              ? c == '^'
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_44(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= '>' || (c < '^'
              ? c == '\\'
              : (c <= '^' || (c >= '|' && c <= '~')))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_45(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '?' || (c < '^'
              ? c == '\\'
              : (c <= '^' || (c >= '|' && c <= '~')))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_46(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '@' || (c < '|'
              ? (c >= '\\' && c <= '^')
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_47(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '>' || (c < '|'
              ? (c >= '\\' && c <= '^')
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_48(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '>' || (c < '^'
              ? c == '\\'
              : (c <= '^' || (c >= '|' && c <= '~')))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_49(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '@' || (c < '^'
              ? c == '\\'
              : (c <= '^' || (c >= '|' && c <= '~')))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_50(int32_t c) {
  return (c < 8512
    ? (c < 3841
      ? (c < 1014
        ? (c < '~'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || c == '+'))
            : (c <= '-' || (c < '\\'
              ? (c >= '<' && c <= '>')
              : (c <= '\\' || c == '^'))))
          : (c <= '~' || (c < 174
            ? (c < 169
              ? c == 166
              : (c <= 169 || c == 172))
            : (c <= 174 || (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))))))
        : (c <= 1014 || (c < 2038
          ? (c < 1550
            ? (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))
            : (c <= 1551 || (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))))
          : (c <= 2038 || (c < 3066
            ? (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))
            : (c <= 3066 || (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))))))))
      : (c <= 3843 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c < 3861
                ? c == 3859
                : c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_51(int32_t c) {
  return (c < 8512
    ? (c < 3841
      ? (c < 1014
        ? (c < '|'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '+')))
            : (c <= '-' || (c < '\\'
              ? c == '>'
              : (c <= '\\' || c == '^'))))
          : (c <= '~' || (c < 174
            ? (c < 169
              ? c == 166
              : (c <= 169 || c == 172))
            : (c <= 174 || (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))))))
        : (c <= 1014 || (c < 2038
          ? (c < 1550
            ? (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))
            : (c <= 1551 || (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))))
          : (c <= 2038 || (c < 3066
            ? (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))
            : (c <= 3066 || (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))))))))
      : (c <= 3843 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c < 3861
                ? c == 3859
                : c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_52(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < '<'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= '@' || (c < '^'
              ? c == '\\'
              : (c <= '^' || (c >= '|' && c <= '~')))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_53(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < ':'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '+' && c <= '-')))
            : (c <= '@' || (c < '^'
              ? c == '\\'
              : (c <= '^' || (c >= '|' && c <= '~')))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_54(int32_t c) {
  return (c < 8522
    ? (c < 3861
      ? (c < 1421
        ? (c < 169
          ? (c < ':'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '@' || (c < '|'
              ? (c >= '\\' && c <= '^')
              : (c <= '~' || c == 166))))
          : (c <= 169 || (c < 215
            ? (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))
            : (c <= 215 || (c < 1014
              ? c == 247
              : (c <= 1014 || c == 1154))))))
        : (c <= 1422 || (c < 2928
          ? (c < 1769
            ? (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))
            : (c <= 1769 || (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))))
          : (c <= 2928 || (c < 3407
            ? (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))
            : (c <= 3407 || (c < 3841
              ? c == 3449
              : (c <= 3843 || c == 3859))))))))
      : (c <= 3863 || (c < 8260
        ? (c < 4053
          ? (c < 3896
            ? (c < 3892
              ? (c >= 3866 && c <= 3871)
              : (c <= 3892 || c == 3894))
            : (c <= 3896 || (c < 4039
              ? (c >= 4030 && c <= 4037)
              : (c <= 4044 || (c >= 4046 && c <= 4047)))))
          : (c <= 4056 || (c < 6464
            ? (c < 5008
              ? (c >= 4254 && c <= 4255)
              : (c <= 5017 || c == 5741))
            : (c <= 6464 || (c < 7009
              ? (c >= 6622 && c <= 6655)
              : (c <= 7018 || (c >= 7028 && c <= 7036)))))))
        : (c <= 8260 || (c < 8470
          ? (c < 8448
            ? (c < 8314
              ? c == 8274
              : (c <= 8316 || (c >= 8330 && c <= 8332)))
            : (c <= 8449 || (c < 8456
              ? (c >= 8451 && c <= 8454)
              : (c <= 8457 || c == 8468))))
          : (c <= 8472 || (c < 8489
            ? (c < 8485
              ? (c >= 8478 && c <= 8483)
              : (c <= 8485 || c == 8487))
            : (c <= 8489 || (c < 8506
              ? c == 8494
              : (c <= 8507 || (c >= 8512 && c <= 8516)))))))))))
    : (c <= 8525 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? c == 8527
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_55(int32_t c) {
  return (c < 8512
    ? (c < 3859
      ? (c < 1154
        ? (c < 166
          ? (c < ':'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '-')))
            : (c <= '@' || (c < '^'
              ? c == '\\'
              : (c <= '^' || (c >= '|' && c <= '~')))))
          : (c <= 166 || (c < 176
            ? (c < 172
              ? c == 169
              : (c <= 172 || c == 174))
            : (c <= 177 || (c < 247
              ? c == 215
              : (c <= 247 || c == 1014))))))
        : (c <= 1154 || (c < 2554
          ? (c < 1758
            ? (c < 1542
              ? (c >= 1421 && c <= 1422)
              : (c <= 1544 || (c >= 1550 && c <= 1551)))
            : (c <= 1758 || (c < 1789
              ? c == 1769
              : (c <= 1790 || c == 2038))))
          : (c <= 2554 || (c < 3199
            ? (c < 3059
              ? c == 2928
              : (c <= 3064 || c == 3066))
            : (c <= 3199 || (c < 3449
              ? c == 3407
              : (c <= 3449 || (c >= 3841 && c <= 3843)))))))))
      : (c <= 3859 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c >= 3861 && c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_56(int32_t c) {
  return (c < 8512
    ? (c < 3841
      ? (c < 1014
        ? (c < '|'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '+')))
            : (c <= '-' || (c < '\\'
              ? (c >= '>' && c <= '@')
              : (c <= '\\' || c == '^'))))
          : (c <= '~' || (c < 174
            ? (c < 169
              ? c == 166
              : (c <= 169 || c == 172))
            : (c <= 174 || (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))))))
        : (c <= 1014 || (c < 2038
          ? (c < 1550
            ? (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))
            : (c <= 1551 || (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))))
          : (c <= 2038 || (c < 3066
            ? (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))
            : (c <= 3066 || (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))))))))
      : (c <= 3843 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c < 3861
                ? c == 3859
                : c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_57(int32_t c) {
  return (c < 8512
    ? (c < 3841
      ? (c < 1014
        ? (c < '|'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '+')))
            : (c <= '-' || (c < '\\'
              ? (c >= ':' && c <= '@')
              : (c <= '\\' || c == '^'))))
          : (c <= '~' || (c < 174
            ? (c < 169
              ? c == 166
              : (c <= 169 || c == 172))
            : (c <= 174 || (c < 215
              ? (c >= 176 && c <= 177)
              : (c <= 215 || c == 247))))))
        : (c <= 1014 || (c < 2038
          ? (c < 1550
            ? (c < 1421
              ? c == 1154
              : (c <= 1422 || (c >= 1542 && c <= 1544)))
            : (c <= 1551 || (c < 1769
              ? c == 1758
              : (c <= 1769 || (c >= 1789 && c <= 1790)))))
          : (c <= 2038 || (c < 3066
            ? (c < 2928
              ? c == 2554
              : (c <= 2928 || (c >= 3059 && c <= 3064)))
            : (c <= 3066 || (c < 3407
              ? c == 3199
              : (c <= 3407 || c == 3449))))))))
      : (c <= 3843 || (c < 7028
        ? (c < 4046
          ? (c < 3894
            ? (c < 3866
              ? (c < 3861
                ? c == 3859
                : c <= 3863)
              : (c <= 3871 || c == 3892))
            : (c <= 3894 || (c < 4030
              ? c == 3896
              : (c <= 4037 || (c >= 4039 && c <= 4044)))))
          : (c <= 4047 || (c < 5741
            ? (c < 4254
              ? (c >= 4053 && c <= 4056)
              : (c <= 4255 || (c >= 5008 && c <= 5017)))
            : (c <= 5741 || (c < 6622
              ? c == 6464
              : (c <= 6655 || (c >= 7009 && c <= 7018)))))))
        : (c <= 7036 || (c < 8468
          ? (c < 8330
            ? (c < 8274
              ? c == 8260
              : (c <= 8274 || (c >= 8314 && c <= 8316)))
            : (c <= 8332 || (c < 8451
              ? (c >= 8448 && c <= 8449)
              : (c <= 8454 || (c >= 8456 && c <= 8457)))))
          : (c <= 8468 || (c < 8487
            ? (c < 8478
              ? (c >= 8470 && c <= 8472)
              : (c <= 8483 || c == 8485))
            : (c <= 8487 || (c < 8494
              ? c == 8489
              : (c <= 8494 || (c >= 8506 && c <= 8507)))))))))))
    : (c <= 8516 || (c < 12842
      ? (c < 11159
        ? (c < 9472
          ? (c < 8972
            ? (c < 8586
              ? (c < 8527
                ? (c >= 8522 && c <= 8525)
                : c <= 8527)
              : (c <= 8587 || (c >= 8592 && c <= 8967)))
            : (c <= 9000 || (c < 9280
              ? (c >= 9003 && c <= 9254)
              : (c <= 9290 || (c >= 9372 && c <= 9449)))))
          : (c <= 10087 || (c < 10649
            ? (c < 10183
              ? (c >= 10132 && c <= 10180)
              : (c <= 10213 || (c >= 10224 && c <= 10626)))
            : (c <= 10711 || (c < 10750
              ? (c >= 10716 && c <= 10747)
              : (c <= 11123 || (c >= 11126 && c <= 11157)))))))
        : (c <= 11263 || (c < 12306
          ? (c < 11931
            ? (c < 11856
              ? (c >= 11493 && c <= 11498)
              : (c <= 11857 || (c >= 11904 && c <= 11929)))
            : (c <= 12019 || (c < 12272
              ? (c >= 12032 && c <= 12245)
              : (c <= 12283 || c == 12292))))
          : (c <= 12307 || (c < 12688
            ? (c < 12342
              ? c == 12320
              : (c <= 12343 || (c >= 12350 && c <= 12351)))
            : (c <= 12689 || (c < 12736
              ? (c >= 12694 && c <= 12703)
              : (c <= 12771 || (c >= 12800 && c <= 12830)))))))))
      : (c <= 12871 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? c == 12880
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_58(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 215
        ? (c < '^'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || c == '+'))
            : (c <= '-' || (c < '<'
              ? c == ':'
              : (c <= '@' || c == '\\'))))
          : (c <= '^' || (c < 169
            ? (c < '~'
              ? c == '|'
              : (c <= '~' || c == 166))
            : (c <= 169 || (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))))))
        : (c <= 215 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? (c < 1014
                ? c == 247
                : c <= 1014)
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_59(int32_t c) {
  return (c < 8494
    ? (c < 3407
      ? (c < 176
        ? (c < '\\'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || (c >= '*' && c <= '+')))
            : (c <= '-' || (c < ':'
              ? c == '/'
              : (c <= ':' || (c >= '<' && c <= '@')))))
          : (c <= '\\' || (c < 166
            ? (c < '|'
              ? c == '^'
              : (c <= '|' || c == '~'))
            : (c <= 166 || (c < 172
              ? c == 169
              : (c <= 172 || c == 174))))))
        : (c <= 177 || (c < 1769
          ? (c < 1421
            ? (c < 1014
              ? (c < 247
                ? c == 215
                : c <= 247)
              : (c <= 1014 || c == 1154))
            : (c <= 1422 || (c < 1550
              ? (c >= 1542 && c <= 1544)
              : (c <= 1551 || c == 1758))))
          : (c <= 1769 || (c < 2928
            ? (c < 2038
              ? (c >= 1789 && c <= 1790)
              : (c <= 2038 || c == 2554))
            : (c <= 2928 || (c < 3066
              ? (c >= 3059 && c <= 3064)
              : (c <= 3066 || c == 3199))))))))
      : (c <= 3407 || (c < 6622
        ? (c < 4030
          ? (c < 3866
            ? (c < 3859
              ? (c < 3841
                ? c == 3449
                : c <= 3843)
              : (c <= 3859 || (c >= 3861 && c <= 3863)))
            : (c <= 3871 || (c < 3894
              ? c == 3892
              : (c <= 3894 || c == 3896))))
          : (c <= 4037 || (c < 4254
            ? (c < 4046
              ? (c >= 4039 && c <= 4044)
              : (c <= 4047 || (c >= 4053 && c <= 4056)))
            : (c <= 4255 || (c < 5741
              ? (c >= 5008 && c <= 5017)
              : (c <= 5741 || c == 6464))))))
        : (c <= 6655 || (c < 8451
          ? (c < 8274
            ? (c < 7028
              ? (c >= 7009 && c <= 7018)
              : (c <= 7036 || c == 8260))
            : (c <= 8274 || (c < 8330
              ? (c >= 8314 && c <= 8316)
              : (c <= 8332 || (c >= 8448 && c <= 8449)))))
          : (c <= 8454 || (c < 8478
            ? (c < 8468
              ? (c >= 8456 && c <= 8457)
              : (c <= 8468 || (c >= 8470 && c <= 8472)))
            : (c <= 8483 || (c < 8487
              ? c == 8485
              : (c <= 8487 || c == 8489))))))))))
    : (c <= 8494 || (c < 12800
      ? (c < 10750
        ? (c < 9280
          ? (c < 8586
            ? (c < 8522
              ? (c < 8512
                ? (c >= 8506 && c <= 8507)
                : c <= 8516)
              : (c <= 8525 || c == 8527))
            : (c <= 8587 || (c < 8972
              ? (c >= 8592 && c <= 8967)
              : (c <= 9000 || (c >= 9003 && c <= 9254)))))
          : (c <= 9290 || (c < 10183
            ? (c < 9472
              ? (c >= 9372 && c <= 9449)
              : (c <= 10087 || (c >= 10132 && c <= 10180)))
            : (c <= 10213 || (c < 10649
              ? (c >= 10224 && c <= 10626)
              : (c <= 10711 || (c >= 10716 && c <= 10747)))))))
        : (c <= 11123 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c < 11159
                ? (c >= 11126 && c <= 11157)
                : c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_60(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '|'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || c == '+'))
            : (c <= ':' || (c < '\\'
              ? (c >= '<' && c <= '@')
              : (c <= '\\' || c == '^'))))
          : (c <= '|' || (c < 172
            ? (c < 166
              ? c == '~'
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_61(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '|'
          ? (c < ':'
            ? (c < '+'
              ? (c < '%'
                ? c == '#'
                : c <= '&')
              : (c <= '+' || c == '-'))
            : (c <= ':' || (c < '\\'
              ? (c >= '<' && c <= '@')
              : (c <= '\\' || c == '^'))))
          : (c <= '|' || (c < 172
            ? (c < 166
              ? c == '~'
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_62(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '|'
          ? (c < '-'
            ? (c < '&'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || c == '+'))
            : (c <= '-' || (c < '\\'
              ? (c >= '<' && c <= '@')
              : (c <= '\\' || c == '^'))))
          : (c <= '|' || (c < 172
            ? (c < 166
              ? c == '~'
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_63(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 215
        ? (c < '^'
          ? (c < '-'
            ? (c < '&'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || c == '+'))
            : (c <= '-' || (c < '<'
              ? c == ':'
              : (c <= '@' || c == '\\'))))
          : (c <= '^' || (c < 169
            ? (c < '~'
              ? c == '|'
              : (c <= '~' || c == 166))
            : (c <= 169 || (c < 174
              ? c == 172
              : (c <= 174 || (c >= 176 && c <= 177)))))))
        : (c <= 215 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? (c < 1014
                ? c == 247
                : c <= 1014)
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_64(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '|'
          ? (c < ':'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || c == '+'))
            : (c <= ':' || (c < '\\'
              ? (c >= '<' && c <= '@')
              : (c <= '\\' || c == '^'))))
          : (c <= '|' || (c < 172
            ? (c < 166
              ? c == '~'
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static inline bool sym_operator_identifier_character_set_65(int32_t c) {
  return (c < 8506
    ? (c < 3449
      ? (c < 247
        ? (c < '|'
          ? (c < '-'
            ? (c < '%'
              ? (c < '#'
                ? c == '!'
                : c <= '#')
              : (c <= '&' || c == '+'))
            : (c <= '-' || (c < '\\'
              ? (c >= '<' && c <= '@')
              : (c <= '\\' || c == '^'))))
          : (c <= '|' || (c < 172
            ? (c < 166
              ? c == '~'
              : (c <= 166 || c == 169))
            : (c <= 172 || (c < 176
              ? c == 174
              : (c <= 177 || c == 215))))))
        : (c <= 247 || (c < 1789
          ? (c < 1542
            ? (c < 1154
              ? c == 1014
              : (c <= 1154 || (c >= 1421 && c <= 1422)))
            : (c <= 1544 || (c < 1758
              ? (c >= 1550 && c <= 1551)
              : (c <= 1758 || c == 1769))))
          : (c <= 1790 || (c < 3059
            ? (c < 2554
              ? c == 2038
              : (c <= 2554 || c == 2928))
            : (c <= 3064 || (c < 3199
              ? c == 3066
              : (c <= 3199 || c == 3407))))))))
      : (c <= 3449 || (c < 7009
        ? (c < 4039
          ? (c < 3892
            ? (c < 3861
              ? (c < 3859
                ? (c >= 3841 && c <= 3843)
                : c <= 3859)
              : (c <= 3863 || (c >= 3866 && c <= 3871)))
            : (c <= 3892 || (c < 3896
              ? c == 3894
              : (c <= 3896 || (c >= 4030 && c <= 4037)))))
          : (c <= 4044 || (c < 5008
            ? (c < 4053
              ? (c >= 4046 && c <= 4047)
              : (c <= 4056 || (c >= 4254 && c <= 4255)))
            : (c <= 5017 || (c < 6464
              ? c == 5741
              : (c <= 6464 || (c >= 6622 && c <= 6655)))))))
        : (c <= 7018 || (c < 8456
          ? (c < 8314
            ? (c < 8260
              ? (c >= 7028 && c <= 7036)
              : (c <= 8260 || c == 8274))
            : (c <= 8316 || (c < 8448
              ? (c >= 8330 && c <= 8332)
              : (c <= 8449 || (c >= 8451 && c <= 8454)))))
          : (c <= 8457 || (c < 8485
            ? (c < 8470
              ? c == 8468
              : (c <= 8472 || (c >= 8478 && c <= 8483)))
            : (c <= 8485 || (c < 8489
              ? c == 8487
              : (c <= 8489 || c == 8494))))))))))
    : (c <= 8507 || (c < 12800
      ? (c < 11126
        ? (c < 9372
          ? (c < 8592
            ? (c < 8527
              ? (c < 8522
                ? (c >= 8512 && c <= 8516)
                : c <= 8525)
              : (c <= 8527 || (c >= 8586 && c <= 8587)))
            : (c <= 8967 || (c < 9003
              ? (c >= 8972 && c <= 9000)
              : (c <= 9254 || (c >= 9280 && c <= 9290)))))
          : (c <= 9449 || (c < 10224
            ? (c < 10132
              ? (c >= 9472 && c <= 10087)
              : (c <= 10180 || (c >= 10183 && c <= 10213)))
            : (c <= 10626 || (c < 10716
              ? (c >= 10649 && c <= 10711)
              : (c <= 10747 || (c >= 10750 && c <= 11123)))))))
        : (c <= 11157 || (c < 12292
          ? (c < 11904
            ? (c < 11493
              ? (c >= 11159 && c <= 11263)
              : (c <= 11498 || (c >= 11856 && c <= 11857)))
            : (c <= 11929 || (c < 12032
              ? (c >= 11931 && c <= 12019)
              : (c <= 12245 || (c >= 12272 && c <= 12283)))))
          : (c <= 12292 || (c < 12350
            ? (c < 12320
              ? (c >= 12306 && c <= 12307)
              : (c <= 12320 || (c >= 12342 && c <= 12343)))
            : (c <= 12351 || (c < 12694
              ? (c >= 12688 && c <= 12689)
              : (c <= 12703 || (c >= 12736 && c <= 12771)))))))))
      : (c <= 12830 || (c < 65124
        ? (c < 43062
          ? (c < 12992
            ? (c < 12896
              ? (c < 12880
                ? (c >= 12842 && c <= 12871)
                : c <= 12880)
              : (c <= 12927 || (c >= 12938 && c <= 12976)))
            : (c <= 13311 || (c < 42128
              ? (c >= 19904 && c <= 19967)
              : (c <= 42182 || (c >= 43048 && c <= 43051)))))
          : (c <= 43063 || (c < 64832
            ? (c < 43639
              ? c == 43065
              : (c <= 43641 || c == 64297))
            : (c <= 64847 || (c < 65021
              ? c == 64975
              : (c <= 65023 || c == 65122))))))
        : (c <= 65126 || (c < 65532
          ? (c < 65374
            ? (c < 65308
              ? c == 65291
              : (c <= 65310 || c == 65372))
            : (c <= 65374 || (c < 65508
              ? c == 65506
              : (c <= 65508 || (c >= 65512 && c <= 65518)))))
          : (c <= 65533 || (c < 65936
            ? (c < 65913
              ? (c >= 65847 && c <= 65855)
              : (c <= 65929 || (c >= 65932 && c <= 65934)))
            : (c <= 65948 || (c < 66000
              ? c == 65952
              : (c <= 66044 || (c >= 67703 && c <= 67704)))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(102);
      if (lookahead == '!') ADVANCE(142);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '$') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(110);
      if (lookahead == '+') ADVANCE(116);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '-') ADVANCE(119);
      if (lookahead == '.') ADVANCE(109);
      if (lookahead == '/') ADVANCE(43);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ':') ADVANCE(103);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(18);
      if (lookahead == '=') ADVANCE(129);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '?') ADVANCE(50);
      if (lookahead == '@') ADVANCE(126);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(140);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '~') ADVANCE(144);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(69)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym__alpha_identifier_character_set_1(lookahead)) ADVANCE(150);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1)
      if (lookahead == '*') ADVANCE(201);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(200);
      if (lookahead != 0) ADVANCE(198);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '$') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '+') ADVANCE(117);
      if (lookahead == '-') ADVANCE(118);
      if (lookahead == '.') ADVANCE(109);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '~') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_1(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_2(lookahead)) ADVANCE(150);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '$') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '+') ADVANCE(117);
      if (lookahead == '-') ADVANCE(118);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '~') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_1(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_2(lookahead)) ADVANCE(150);
      END_STATE();
    case 4:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (sym_operator_identifier_character_set_2(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (sym_operator_identifier_character_set_3(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      if (sym_operator_identifier_character_set_3(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (sym_operator_identifier_character_set_4(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(178);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(176);
      if (lookahead == '$') ADVANCE(146);
      if (lookahead == '/') ADVANCE(43);
      if (lookahead == '=') ADVANCE(54);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (sym__interpolation_identifier_character_set_1(lookahead)) ADVANCE(152);
      END_STATE();
    case 10:
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (sym_operator_identifier_character_set_5(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 11:
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (sym_operator_identifier_character_set_6(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (sym_operator_identifier_character_set_7(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '+') ADVANCE(117);
      if (lookahead == '-') ADVANCE(120);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (sym_operator_identifier_character_set_8(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 14:
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(155);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (sym_operator_identifier_character_set_9(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 15:
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(156);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (sym_operator_identifier_character_set_9(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 16:
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (sym_operator_identifier_character_set_10(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 17:
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (sym_operator_identifier_character_set_11(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 18:
      if (lookahead == '%') ADVANCE(124);
      if (lookahead == '-') ADVANCE(179);
      if (lookahead == ':') ADVANCE(121);
      END_STATE();
    case 19:
      if (lookahead == '%') ADVANCE(124);
      if (lookahead == ':') ADVANCE(121);
      END_STATE();
    case 20:
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '-') ADVANCE(159);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_12(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 21:
      if (lookahead == '\'') ADVANCE(175);
      END_STATE();
    case 22:
      if (lookahead == '\'') ADVANCE(175);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(21);
      END_STATE();
    case 23:
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '-') ADVANCE(159);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_13(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 24:
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '-') ADVANCE(159);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_14(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 25:
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '-') ADVANCE(159);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_15(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 26:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (sym_operator_identifier_character_set_16(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 27:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (sym_operator_identifier_character_set_17(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 28:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28)
      if (sym_operator_identifier_character_set_18(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 29:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (sym_operator_identifier_character_set_19(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 30:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (sym_operator_identifier_character_set_20(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 31:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (sym_operator_identifier_character_set_21(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 32:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      if (sym_operator_identifier_character_set_22(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 33:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      if (sym_operator_identifier_character_set_23(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 34:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '+') ADVANCE(117);
      if (lookahead == '-') ADVANCE(120);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      if (sym_operator_identifier_character_set_24(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 35:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(155);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (sym_operator_identifier_character_set_25(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 36:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(156);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (sym_operator_identifier_character_set_25(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 37:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (sym_operator_identifier_character_set_26(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 38:
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (sym_operator_identifier_character_set_27(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 39:
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (sym_operator_identifier_character_set_28(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 40:
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (sym_operator_identifier_character_set_17(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 41:
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (sym_operator_identifier_character_set_29(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 42:
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42)
      if (sym_operator_identifier_character_set_30(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 43:
      if (lookahead == '*') ADVANCE(195);
      if (lookahead == '/') ADVANCE(182);
      END_STATE();
    case 44:
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (sym_operator_identifier_character_set_31(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 45:
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(155);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45)
      if (sym_operator_identifier_character_set_32(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 46:
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '<') ADVANCE(156);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(46)
      if (sym_operator_identifier_character_set_32(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 47:
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(47)
      if (sym_operator_identifier_character_set_27(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 48:
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(48)
      if (lookahead != 0) ADVANCE(191);
      END_STATE();
    case 49:
      if (lookahead == ':') ADVANCE(123);
      END_STATE();
    case 50:
      if (lookahead == '=') ADVANCE(52);
      END_STATE();
    case 51:
      if (lookahead == '>') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == '>') ADVANCE(137);
      END_STATE();
    case 53:
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 54:
      if (lookahead == '>') ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == '`') ADVANCE(153);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(55);
      END_STATE();
    case 56:
      if (lookahead == 'u') ADVANCE(57);
      if (lookahead == 'x') ADVANCE(67);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 57:
      if (lookahead == '{') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 58:
      if (lookahead == '}') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 59:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(174);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(173);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(171);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(174);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(21);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(170);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      END_STATE();
    case 68:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '`') ADVANCE(55);
      END_STATE();
    case 69:
      if (eof) ADVANCE(102);
      if (lookahead == '!') ADVANCE(142);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '$') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(110);
      if (lookahead == '+') ADVANCE(116);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '-') ADVANCE(119);
      if (lookahead == '.') ADVANCE(109);
      if (lookahead == '/') ADVANCE(43);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ':') ADVANCE(103);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(18);
      if (lookahead == '=') ADVANCE(129);
      if (lookahead == '>') ADVANCE(49);
      if (lookahead == '?') ADVANCE(50);
      if (lookahead == '@') ADVANCE(126);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(140);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '~') ADVANCE(144);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(69)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym__alpha_identifier_character_set_1(lookahead)) ADVANCE(150);
      END_STATE();
    case 70:
      if (eof) ADVANCE(102);
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '$') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '+') ADVANCE(117);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '-') ADVANCE(118);
      if (lookahead == '.') ADVANCE(109);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '~') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(70)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_33(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_2(lookahead)) ADVANCE(150);
      END_STATE();
    case 71:
      if (eof) ADVANCE(102);
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '#') ADVANCE(154);
      if (lookahead == '$') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '+') ADVANCE(117);
      if (lookahead == '-') ADVANCE(118);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '~') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(71)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_34(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_2(lookahead)) ADVANCE(150);
      END_STATE();
    case 72:
      if (eof) ADVANCE(102);
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '$') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '+') ADVANCE(117);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '-') ADVANCE(118);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '~') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(72)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_33(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_2(lookahead)) ADVANCE(150);
      END_STATE();
    case 73:
      if (eof) ADVANCE(102);
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '$') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '+') ADVANCE(117);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '-') ADVANCE(118);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '~') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(73)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_33(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_2(lookahead)) ADVANCE(150);
      END_STATE();
    case 74:
      if (eof) ADVANCE(102);
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '$') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '+') ADVANCE(117);
      if (lookahead == '-') ADVANCE(118);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '~') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(74)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_35(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_2(lookahead)) ADVANCE(150);
      END_STATE();
    case 75:
      if (eof) ADVANCE(102);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(75)
      if (sym_operator_identifier_character_set_36(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 76:
      if (eof) ADVANCE(102);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(110);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(43);
      if (lookahead == ':') ADVANCE(103);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(19);
      if (lookahead == '=') ADVANCE(128);
      if (lookahead == '>') ADVANCE(49);
      if (lookahead == '@') ADVANCE(126);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(76)
      if (sym__alpha_identifier_character_set_5(lookahead)) ADVANCE(150);
      END_STATE();
    case 77:
      if (eof) ADVANCE(102);
      if (lookahead == '#') ADVANCE(135);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(110);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(43);
      if (lookahead == ':') ADVANCE(103);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(19);
      if (lookahead == '=') ADVANCE(51);
      if (lookahead == '>') ADVANCE(49);
      if (lookahead == '?') ADVANCE(50);
      if (lookahead == '@') ADVANCE(126);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(77)
      if (sym__alpha_identifier_character_set_5(lookahead)) ADVANCE(150);
      END_STATE();
    case 78:
      if (eof) ADVANCE(102);
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(78)
      if (sym_operator_identifier_character_set_37(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 79:
      if (eof) ADVANCE(102);
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(79)
      if (sym_operator_identifier_character_set_38(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 80:
      if (eof) ADVANCE(102);
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(80)
      if (sym_operator_identifier_character_set_39(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 81:
      if (eof) ADVANCE(102);
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(81)
      if (sym_operator_identifier_character_set_40(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 82:
      if (eof) ADVANCE(102);
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(82)
      if (sym_operator_identifier_character_set_41(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 83:
      if (eof) ADVANCE(102);
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(160);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(83)
      if (sym_operator_identifier_character_set_42(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 84:
      if (eof) ADVANCE(102);
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '-') ADVANCE(159);
      if (lookahead == '.') ADVANCE(109);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(84)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_43(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_6(lookahead)) ADVANCE(150);
      END_STATE();
    case 85:
      if (eof) ADVANCE(102);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(85)
      if (sym_operator_identifier_character_set_44(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 86:
      if (eof) ADVANCE(102);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(86)
      if (sym_operator_identifier_character_set_45(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 87:
      if (eof) ADVANCE(102);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(87)
      if (sym_operator_identifier_character_set_46(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 88:
      if (eof) ADVANCE(102);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(88)
      if (sym_operator_identifier_character_set_47(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 89:
      if (eof) ADVANCE(102);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(89)
      if (sym_operator_identifier_character_set_48(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 90:
      if (eof) ADVANCE(102);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(90)
      if (sym_operator_identifier_character_set_49(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 91:
      if (eof) ADVANCE(102);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(91)
      if (sym_operator_identifier_character_set_23(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 92:
      if (eof) ADVANCE(102);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(92)
      if (sym_operator_identifier_character_set_50(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 93:
      if (eof) ADVANCE(102);
      if (lookahead == '(') ADVANCE(132);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(160);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(127);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(93)
      if (sym_operator_identifier_character_set_51(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 94:
      if (eof) ADVANCE(102);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(94)
      if (sym_operator_identifier_character_set_52(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 95:
      if (eof) ADVANCE(102);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(95)
      if (sym_operator_identifier_character_set_53(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 96:
      if (eof) ADVANCE(102);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(96)
      if (sym_operator_identifier_character_set_46(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 97:
      if (eof) ADVANCE(102);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '[') ADVANCE(114);
      if (lookahead == ']') ADVANCE(115);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(97)
      if (sym_operator_identifier_character_set_54(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_4(lookahead)) ADVANCE(150);
      END_STATE();
    case 98:
      if (eof) ADVANCE(102);
      if (lookahead == ')') ADVANCE(133);
      if (lookahead == ',') ADVANCE(107);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(98)
      if (sym_operator_identifier_character_set_55(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 99:
      if (eof) ADVANCE(102);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(141);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(99)
      if (sym_operator_identifier_character_set_23(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 100:
      if (eof) ADVANCE(102);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ':') ADVANCE(104);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(160);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(100)
      if (sym_operator_identifier_character_set_56(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 101:
      if (eof) ADVANCE(102);
      if (lookahead == '/') ADVANCE(157);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(160);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '`') ADVANCE(68);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(101)
      if (sym_operator_identifier_character_set_57(lookahead)) ADVANCE(164);
      if (sym__alpha_identifier_character_set_3(lookahead)) ADVANCE(150);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(173);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      if (sym_operator_identifier_character_set_59(lookahead)) ADVANCE(165);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_60(lookahead)) ADVANCE(165);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '0') ADVANCE(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      if (sym_operator_identifier_character_set_59(lookahead)) ADVANCE(165);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_GT_COLON);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      if (sym_operator_identifier_character_set_59(lookahead)) ADVANCE(165);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(112);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ_GT);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ_GT);
      if (sym_operator_identifier_character_set_59(lookahead)) ADVANCE(165);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_EQ_GT_GT);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '_') ADVANCE(149);
      if (sym__alpha_identifier_character_set_7(lookahead)) ADVANCE(150);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(175);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(21);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (lookahead == '_') ADVANCE(149);
      if (sym_operator_identifier_character_set_59(lookahead)) ADVANCE(151);
      if (sym__alpha_identifier_character_set_8(lookahead)) ADVANCE(150);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (lookahead == '_') ADVANCE(149);
      if (sym__alpha_identifier_character_set_7(lookahead)) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (sym_operator_identifier_character_set_59(lookahead)) ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym__interpolation_identifier);
      if (sym__interpolation_identifier_character_set_2(lookahead)) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym__backquoted_id);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '!') ADVANCE(166);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_61(lookahead)) ADVANCE(165);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(125);
      if (lookahead == ':') ADVANCE(122);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_62(lookahead)) ADVANCE(165);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(125);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_63(lookahead)) ADVANCE(165);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*') ADVANCE(195);
      if (lookahead == '/') ADVANCE(182);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '-') ADVANCE(180);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_64(lookahead)) ADVANCE(165);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '0') ADVANCE(168);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(169);
      if (sym_operator_identifier_character_set_60(lookahead)) ADVANCE(165);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == ':') ADVANCE(122);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_65(lookahead)) ADVANCE(165);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '=') ADVANCE(163);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '>') ADVANCE(138);
      if (sym_operator_identifier_character_set_59(lookahead)) ADVANCE(165);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(165);
      if (sym_operator_identifier_character_set_58(lookahead)) ADVANCE(165);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (sym_operator_identifier_character_set_59(lookahead)) ADVANCE(165);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (sym_operator_identifier_character_set_59(lookahead)) ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(181);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_integer_literal);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(59);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(167);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(64);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(169);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(59);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(167);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(64);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(171);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_floating_point_literal);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(59);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(8);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym__interpolated_multiline_string_start);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (sym_operator_identifier_character_set_59(lookahead)) ADVANCE(165);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym__shebang_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(191);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(194);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == '/') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(188);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '/') ADVANCE(185);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(187);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(188);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '/') ADVANCE(185);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(187);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(188);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(188);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_using_directive_key);
      if (lookahead == '*') ADVANCE(196);
      if (lookahead == '/') ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(191);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_using_directive_key);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(191);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead == '*') ADVANCE(197);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(194);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead == '/') ADVANCE(192);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(193);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(194);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(191);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(194);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '*') ADVANCE(195);
      if (lookahead == '/') ADVANCE(182);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '*') ADVANCE(201);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(200);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(198);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '/') ADVANCE(202);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_STAR_SLASH);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'a') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'm') ADVANCE(10);
      if (lookahead == 'n') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(12);
      if (lookahead == 'p') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(14);
      if (lookahead == 's') ADVANCE(15);
      if (lookahead == 't') ADVANCE(16);
      if (lookahead == 'u') ADVANCE(17);
      if (lookahead == 'v') ADVANCE(18);
      if (lookahead == 'w') ADVANCE(19);
      if (lookahead == 'y') ADVANCE(20);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(21);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 's') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(24);
      if (lookahead == 'l') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'n') ADVANCE(29);
      if (lookahead == 'x') ADVANCE(30);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'i') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(39);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(40);
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'b') ADVANCE(42);
      if (lookahead == 'p') ADVANCE(43);
      if (lookahead == 'v') ADVANCE(44);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(45);
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(49);
      if (lookahead == 'r') ADVANCE(50);
      if (lookahead == 'y') ADVANCE(51);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(52);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(59);
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(64);
      END_STATE();
    case 29:
      if (lookahead == 'd') ADVANCE(65);
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 30:
      if (lookahead == 'p') ADVANCE(67);
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 31:
      if (lookahead == 'l') ADVANCE(69);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 34:
      if (lookahead == 'v') ADVANCE(72);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(73);
      END_STATE();
    case 37:
      if (lookahead == 'f') ADVANCE(74);
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'z') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'c') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 40:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 41:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 42:
      if (lookahead == 'j') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(82);
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(86);
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(89);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(90);
      if (lookahead == 'i') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(92);
      END_STATE();
    case 50:
      if (lookahead == 'a') ADVANCE(93);
      if (lookahead == 'u') ADVANCE(94);
      if (lookahead == 'y') ADVANCE(95);
      END_STATE();
    case 51:
      if (lookahead == 'p') ADVANCE(96);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(98);
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(100);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 57:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(104);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 60:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(107);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 66:
      if (lookahead == 'm') ADVANCE(110);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 69:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(114);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(116);
      if (lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 78:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(123);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 82:
      if (lookahead == 'q') ADVANCE(125);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(126);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(127);
      END_STATE();
    case 85:
      if (lookahead == 'k') ADVANCE(128);
      END_STATE();
    case 86:
      if (lookahead == 'v') ADVANCE(129);
      END_STATE();
    case 87:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 88:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 91:
      if (lookahead == 's') ADVANCE(134);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(135);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'n') ADVANCE(137);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(140);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 101:
      if (lookahead == 'h') ADVANCE(142);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 103:
      if (lookahead == '_') ADVANCE(144);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(146);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(147);
      END_STATE();
    case 108:
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 112:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 114:
      if (lookahead == 'l') ADVANCE(152);
      END_STATE();
    case 115:
      if (lookahead == 'n') ADVANCE(153);
      END_STATE();
    case 116:
      if (lookahead == 'i') ADVANCE(154);
      END_STATE();
    case 117:
      if (lookahead == 'r') ADVANCE(155);
      END_STATE();
    case 118:
      if (lookahead == 'x') ADVANCE(156);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 122:
      if (lookahead == 'h') ADVANCE(159);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 124:
      if (lookahead == 'c') ADVANCE(160);
      END_STATE();
    case 125:
      if (lookahead == 'u') ADVANCE(161);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 127:
      if (lookahead == 'r') ADVANCE(162);
      END_STATE();
    case 128:
      if (lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 129:
      if (lookahead == 'a') ADVANCE(164);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 131:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_this);
      END_STATE();
    case 135:
      if (lookahead == 'w') ADVANCE(168);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(169);
      END_STATE();
    case 137:
      if (lookahead == 's') ADVANCE(170);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(171);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 143:
      if (lookahead == 'd') ADVANCE(173);
      END_STATE();
    case 144:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 145:
      if (lookahead == 'a') ADVANCE(175);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 150:
      if (lookahead == 'd') ADVANCE(178);
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_given);
      END_STATE();
    case 154:
      if (lookahead == 'c') ADVANCE(181);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_infix);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_macro);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(184);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 163:
      if (lookahead == 'g') ADVANCE(187);
      END_STATE();
    case 164:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 165:
      if (lookahead == 'c') ADVANCE(189);
      END_STATE();
    case 166:
      if (lookahead == 'n') ADVANCE(190);
      END_STATE();
    case 167:
      if (lookahead == 'd') ADVANCE(191);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_trait);
      END_STATE();
    case 170:
      if (lookahead == 'p') ADVANCE(192);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 174:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 175:
      if (lookahead == 'c') ADVANCE(194);
      END_STATE();
    case 176:
      if (lookahead == 's') ADVANCE(195);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(197);
      END_STATE();
    case 180:
      if (lookahead == 'y') ADVANCE(198);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(199);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_opaque);
      END_STATE();
    case 186:
      if (lookahead == 'd') ADVANCE(200);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(204);
      END_STATE();
    case 193:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_derives);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 197:
      if (lookahead == 'o') ADVANCE(207);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 199:
      if (lookahead == 't') ADVANCE(208);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 204:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 205:
      if (lookahead == 'g') ADVANCE(212);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(213);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_implicit);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 210:
      if (lookahead == 'd') ADVANCE(214);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(216);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_extension);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(217);
      END_STATE();
    case 216:
      if (lookahead == 'r') ADVANCE(218);
      END_STATE();
    case 217:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 218:
      if (lookahead == '_') ADVANCE(220);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_transparent);
      END_STATE();
    case 220:
      if (lookahead == 'u') ADVANCE(221);
      END_STATE();
    case 221:
      if (lookahead == 's') ADVANCE(222);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 223:
      if (lookahead == 'd') ADVANCE(224);
      END_STATE();
    case 224:
      if (lookahead == '_') ADVANCE(225);
      END_STATE();
    case 225:
      if (lookahead == 's') ADVANCE(226);
      END_STATE();
    case 226:
      if (lookahead == 'y') ADVANCE(227);
      END_STATE();
    case 227:
      if (lookahead == 'm') ADVANCE(228);
      END_STATE();
    case 228:
      if (lookahead == 'b') ADVANCE(229);
      END_STATE();
    case 229:
      if (lookahead == 'o') ADVANCE(230);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(231);
      END_STATE();
    case 231:
      if (lookahead == '_') ADVANCE(232);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(233);
      END_STATE();
    case 233:
      if (lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 236:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(238);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 239:
      if (lookahead == '_') ADVANCE(240);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_symbol_literal);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 71, .external_lex_state = 2},
  [2] = {.lex_state = 74, .external_lex_state = 3},
  [3] = {.lex_state = 74, .external_lex_state = 3},
  [4] = {.lex_state = 74, .external_lex_state = 3},
  [5] = {.lex_state = 74, .external_lex_state = 3},
  [6] = {.lex_state = 74, .external_lex_state = 3},
  [7] = {.lex_state = 74, .external_lex_state = 3},
  [8] = {.lex_state = 74, .external_lex_state = 3},
  [9] = {.lex_state = 74, .external_lex_state = 3},
  [10] = {.lex_state = 74, .external_lex_state = 3},
  [11] = {.lex_state = 74, .external_lex_state = 3},
  [12] = {.lex_state = 74, .external_lex_state = 3},
  [13] = {.lex_state = 74, .external_lex_state = 3},
  [14] = {.lex_state = 74, .external_lex_state = 3},
  [15] = {.lex_state = 74, .external_lex_state = 3},
  [16] = {.lex_state = 74, .external_lex_state = 3},
  [17] = {.lex_state = 74, .external_lex_state = 3},
  [18] = {.lex_state = 74, .external_lex_state = 3},
  [19] = {.lex_state = 74, .external_lex_state = 3},
  [20] = {.lex_state = 74, .external_lex_state = 3},
  [21] = {.lex_state = 74, .external_lex_state = 3},
  [22] = {.lex_state = 74, .external_lex_state = 3},
  [23] = {.lex_state = 74, .external_lex_state = 3},
  [24] = {.lex_state = 74, .external_lex_state = 3},
  [25] = {.lex_state = 74, .external_lex_state = 3},
  [26] = {.lex_state = 74, .external_lex_state = 3},
  [27] = {.lex_state = 74, .external_lex_state = 3},
  [28] = {.lex_state = 74, .external_lex_state = 3},
  [29] = {.lex_state = 74, .external_lex_state = 3},
  [30] = {.lex_state = 74, .external_lex_state = 3},
  [31] = {.lex_state = 74, .external_lex_state = 3},
  [32] = {.lex_state = 74, .external_lex_state = 3},
  [33] = {.lex_state = 74, .external_lex_state = 3},
  [34] = {.lex_state = 74, .external_lex_state = 3},
  [35] = {.lex_state = 74, .external_lex_state = 3},
  [36] = {.lex_state = 74, .external_lex_state = 3},
  [37] = {.lex_state = 74, .external_lex_state = 3},
  [38] = {.lex_state = 74, .external_lex_state = 3},
  [39] = {.lex_state = 74, .external_lex_state = 3},
  [40] = {.lex_state = 74, .external_lex_state = 3},
  [41] = {.lex_state = 74, .external_lex_state = 3},
  [42] = {.lex_state = 74, .external_lex_state = 3},
  [43] = {.lex_state = 74, .external_lex_state = 3},
  [44] = {.lex_state = 74, .external_lex_state = 3},
  [45] = {.lex_state = 74, .external_lex_state = 3},
  [46] = {.lex_state = 74, .external_lex_state = 3},
  [47] = {.lex_state = 74, .external_lex_state = 3},
  [48] = {.lex_state = 74, .external_lex_state = 3},
  [49] = {.lex_state = 74, .external_lex_state = 3},
  [50] = {.lex_state = 74, .external_lex_state = 3},
  [51] = {.lex_state = 74, .external_lex_state = 3},
  [52] = {.lex_state = 74, .external_lex_state = 3},
  [53] = {.lex_state = 74, .external_lex_state = 3},
  [54] = {.lex_state = 74, .external_lex_state = 3},
  [55] = {.lex_state = 74, .external_lex_state = 3},
  [56] = {.lex_state = 74, .external_lex_state = 3},
  [57] = {.lex_state = 74, .external_lex_state = 3},
  [58] = {.lex_state = 74, .external_lex_state = 3},
  [59] = {.lex_state = 74, .external_lex_state = 3},
  [60] = {.lex_state = 74, .external_lex_state = 3},
  [61] = {.lex_state = 74, .external_lex_state = 3},
  [62] = {.lex_state = 74, .external_lex_state = 3},
  [63] = {.lex_state = 74, .external_lex_state = 3},
  [64] = {.lex_state = 74, .external_lex_state = 3},
  [65] = {.lex_state = 74, .external_lex_state = 3},
  [66] = {.lex_state = 74, .external_lex_state = 3},
  [67] = {.lex_state = 74, .external_lex_state = 3},
  [68] = {.lex_state = 74, .external_lex_state = 3},
  [69] = {.lex_state = 74, .external_lex_state = 3},
  [70] = {.lex_state = 74, .external_lex_state = 3},
  [71] = {.lex_state = 74, .external_lex_state = 3},
  [72] = {.lex_state = 74, .external_lex_state = 3},
  [73] = {.lex_state = 74, .external_lex_state = 3},
  [74] = {.lex_state = 74, .external_lex_state = 3},
  [75] = {.lex_state = 74, .external_lex_state = 3},
  [76] = {.lex_state = 74, .external_lex_state = 3},
  [77] = {.lex_state = 74, .external_lex_state = 3},
  [78] = {.lex_state = 74, .external_lex_state = 3},
  [79] = {.lex_state = 74, .external_lex_state = 3},
  [80] = {.lex_state = 74, .external_lex_state = 3},
  [81] = {.lex_state = 74, .external_lex_state = 3},
  [82] = {.lex_state = 74, .external_lex_state = 3},
  [83] = {.lex_state = 74, .external_lex_state = 3},
  [84] = {.lex_state = 74, .external_lex_state = 3},
  [85] = {.lex_state = 74, .external_lex_state = 3},
  [86] = {.lex_state = 74, .external_lex_state = 3},
  [87] = {.lex_state = 74, .external_lex_state = 3},
  [88] = {.lex_state = 74, .external_lex_state = 3},
  [89] = {.lex_state = 74, .external_lex_state = 3},
  [90] = {.lex_state = 74, .external_lex_state = 3},
  [91] = {.lex_state = 74, .external_lex_state = 3},
  [92] = {.lex_state = 74, .external_lex_state = 3},
  [93] = {.lex_state = 74, .external_lex_state = 3},
  [94] = {.lex_state = 74, .external_lex_state = 3},
  [95] = {.lex_state = 74, .external_lex_state = 3},
  [96] = {.lex_state = 74, .external_lex_state = 3},
  [97] = {.lex_state = 74, .external_lex_state = 3},
  [98] = {.lex_state = 74, .external_lex_state = 3},
  [99] = {.lex_state = 74, .external_lex_state = 3},
  [100] = {.lex_state = 74, .external_lex_state = 3},
  [101] = {.lex_state = 74, .external_lex_state = 3},
  [102] = {.lex_state = 74, .external_lex_state = 3},
  [103] = {.lex_state = 74, .external_lex_state = 3},
  [104] = {.lex_state = 74, .external_lex_state = 3},
  [105] = {.lex_state = 74, .external_lex_state = 3},
  [106] = {.lex_state = 74, .external_lex_state = 3},
  [107] = {.lex_state = 74, .external_lex_state = 3},
  [108] = {.lex_state = 74, .external_lex_state = 3},
  [109] = {.lex_state = 74, .external_lex_state = 3},
  [110] = {.lex_state = 74, .external_lex_state = 3},
  [111] = {.lex_state = 74, .external_lex_state = 3},
  [112] = {.lex_state = 74, .external_lex_state = 3},
  [113] = {.lex_state = 74, .external_lex_state = 3},
  [114] = {.lex_state = 74, .external_lex_state = 3},
  [115] = {.lex_state = 74, .external_lex_state = 3},
  [116] = {.lex_state = 74, .external_lex_state = 3},
  [117] = {.lex_state = 74, .external_lex_state = 3},
  [118] = {.lex_state = 74, .external_lex_state = 3},
  [119] = {.lex_state = 74, .external_lex_state = 3},
  [120] = {.lex_state = 74, .external_lex_state = 3},
  [121] = {.lex_state = 74, .external_lex_state = 3},
  [122] = {.lex_state = 74, .external_lex_state = 3},
  [123] = {.lex_state = 74, .external_lex_state = 3},
  [124] = {.lex_state = 74, .external_lex_state = 3},
  [125] = {.lex_state = 74, .external_lex_state = 3},
  [126] = {.lex_state = 74, .external_lex_state = 3},
  [127] = {.lex_state = 74, .external_lex_state = 3},
  [128] = {.lex_state = 74, .external_lex_state = 2},
  [129] = {.lex_state = 74, .external_lex_state = 2},
  [130] = {.lex_state = 74, .external_lex_state = 2},
  [131] = {.lex_state = 74, .external_lex_state = 2},
  [132] = {.lex_state = 74, .external_lex_state = 2},
  [133] = {.lex_state = 74, .external_lex_state = 2},
  [134] = {.lex_state = 74, .external_lex_state = 2},
  [135] = {.lex_state = 74, .external_lex_state = 2},
  [136] = {.lex_state = 74, .external_lex_state = 2},
  [137] = {.lex_state = 74, .external_lex_state = 2},
  [138] = {.lex_state = 74, .external_lex_state = 2},
  [139] = {.lex_state = 74, .external_lex_state = 2},
  [140] = {.lex_state = 74, .external_lex_state = 2},
  [141] = {.lex_state = 74, .external_lex_state = 2},
  [142] = {.lex_state = 74, .external_lex_state = 2},
  [143] = {.lex_state = 74, .external_lex_state = 2},
  [144] = {.lex_state = 74, .external_lex_state = 2},
  [145] = {.lex_state = 74, .external_lex_state = 2},
  [146] = {.lex_state = 74, .external_lex_state = 2},
  [147] = {.lex_state = 74, .external_lex_state = 2},
  [148] = {.lex_state = 74, .external_lex_state = 2},
  [149] = {.lex_state = 74, .external_lex_state = 2},
  [150] = {.lex_state = 74, .external_lex_state = 2},
  [151] = {.lex_state = 74, .external_lex_state = 2},
  [152] = {.lex_state = 74, .external_lex_state = 2},
  [153] = {.lex_state = 74, .external_lex_state = 2},
  [154] = {.lex_state = 74, .external_lex_state = 2},
  [155] = {.lex_state = 74, .external_lex_state = 2},
  [156] = {.lex_state = 74, .external_lex_state = 2},
  [157] = {.lex_state = 74, .external_lex_state = 2},
  [158] = {.lex_state = 74, .external_lex_state = 2},
  [159] = {.lex_state = 74, .external_lex_state = 2},
  [160] = {.lex_state = 74, .external_lex_state = 2},
  [161] = {.lex_state = 74, .external_lex_state = 2},
  [162] = {.lex_state = 74, .external_lex_state = 2},
  [163] = {.lex_state = 74, .external_lex_state = 2},
  [164] = {.lex_state = 74, .external_lex_state = 2},
  [165] = {.lex_state = 74, .external_lex_state = 2},
  [166] = {.lex_state = 74, .external_lex_state = 2},
  [167] = {.lex_state = 74, .external_lex_state = 2},
  [168] = {.lex_state = 74, .external_lex_state = 2},
  [169] = {.lex_state = 74, .external_lex_state = 2},
  [170] = {.lex_state = 74, .external_lex_state = 2},
  [171] = {.lex_state = 74, .external_lex_state = 2},
  [172] = {.lex_state = 74, .external_lex_state = 2},
  [173] = {.lex_state = 74, .external_lex_state = 4},
  [174] = {.lex_state = 74, .external_lex_state = 2},
  [175] = {.lex_state = 74, .external_lex_state = 2},
  [176] = {.lex_state = 74, .external_lex_state = 2},
  [177] = {.lex_state = 74, .external_lex_state = 2},
  [178] = {.lex_state = 74, .external_lex_state = 2},
  [179] = {.lex_state = 74, .external_lex_state = 2},
  [180] = {.lex_state = 74, .external_lex_state = 2},
  [181] = {.lex_state = 74, .external_lex_state = 2},
  [182] = {.lex_state = 74, .external_lex_state = 2},
  [183] = {.lex_state = 74, .external_lex_state = 2},
  [184] = {.lex_state = 74, .external_lex_state = 2},
  [185] = {.lex_state = 74, .external_lex_state = 2},
  [186] = {.lex_state = 74, .external_lex_state = 2},
  [187] = {.lex_state = 74, .external_lex_state = 2},
  [188] = {.lex_state = 74, .external_lex_state = 2},
  [189] = {.lex_state = 74, .external_lex_state = 2},
  [190] = {.lex_state = 74, .external_lex_state = 2},
  [191] = {.lex_state = 74, .external_lex_state = 2},
  [192] = {.lex_state = 74, .external_lex_state = 2},
  [193] = {.lex_state = 74, .external_lex_state = 2},
  [194] = {.lex_state = 74, .external_lex_state = 2},
  [195] = {.lex_state = 74, .external_lex_state = 2},
  [196] = {.lex_state = 74, .external_lex_state = 2},
  [197] = {.lex_state = 74, .external_lex_state = 2},
  [198] = {.lex_state = 74, .external_lex_state = 2},
  [199] = {.lex_state = 74, .external_lex_state = 2},
  [200] = {.lex_state = 74, .external_lex_state = 2},
  [201] = {.lex_state = 74, .external_lex_state = 2},
  [202] = {.lex_state = 74, .external_lex_state = 2},
  [203] = {.lex_state = 74, .external_lex_state = 2},
  [204] = {.lex_state = 74, .external_lex_state = 2},
  [205] = {.lex_state = 74, .external_lex_state = 2},
  [206] = {.lex_state = 74, .external_lex_state = 2},
  [207] = {.lex_state = 74, .external_lex_state = 2},
  [208] = {.lex_state = 74, .external_lex_state = 2},
  [209] = {.lex_state = 74, .external_lex_state = 2},
  [210] = {.lex_state = 74, .external_lex_state = 2},
  [211] = {.lex_state = 74, .external_lex_state = 2},
  [212] = {.lex_state = 74, .external_lex_state = 2},
  [213] = {.lex_state = 74, .external_lex_state = 2},
  [214] = {.lex_state = 74, .external_lex_state = 2},
  [215] = {.lex_state = 74, .external_lex_state = 2},
  [216] = {.lex_state = 74, .external_lex_state = 2},
  [217] = {.lex_state = 74, .external_lex_state = 2},
  [218] = {.lex_state = 74, .external_lex_state = 2},
  [219] = {.lex_state = 74, .external_lex_state = 2},
  [220] = {.lex_state = 74, .external_lex_state = 2},
  [221] = {.lex_state = 74, .external_lex_state = 2},
  [222] = {.lex_state = 74, .external_lex_state = 2},
  [223] = {.lex_state = 74, .external_lex_state = 2},
  [224] = {.lex_state = 74, .external_lex_state = 2},
  [225] = {.lex_state = 74, .external_lex_state = 2},
  [226] = {.lex_state = 74, .external_lex_state = 2},
  [227] = {.lex_state = 74, .external_lex_state = 2},
  [228] = {.lex_state = 74, .external_lex_state = 2},
  [229] = {.lex_state = 74, .external_lex_state = 2},
  [230] = {.lex_state = 74, .external_lex_state = 2},
  [231] = {.lex_state = 74, .external_lex_state = 2},
  [232] = {.lex_state = 74, .external_lex_state = 2},
  [233] = {.lex_state = 74, .external_lex_state = 2},
  [234] = {.lex_state = 74, .external_lex_state = 2},
  [235] = {.lex_state = 74, .external_lex_state = 2},
  [236] = {.lex_state = 74, .external_lex_state = 2},
  [237] = {.lex_state = 74, .external_lex_state = 2},
  [238] = {.lex_state = 74, .external_lex_state = 2},
  [239] = {.lex_state = 74, .external_lex_state = 2},
  [240] = {.lex_state = 74, .external_lex_state = 2},
  [241] = {.lex_state = 74, .external_lex_state = 2},
  [242] = {.lex_state = 74, .external_lex_state = 2},
  [243] = {.lex_state = 74, .external_lex_state = 2},
  [244] = {.lex_state = 74, .external_lex_state = 2},
  [245] = {.lex_state = 74, .external_lex_state = 2},
  [246] = {.lex_state = 74, .external_lex_state = 2},
  [247] = {.lex_state = 74, .external_lex_state = 2},
  [248] = {.lex_state = 74, .external_lex_state = 4},
  [249] = {.lex_state = 74, .external_lex_state = 2},
  [250] = {.lex_state = 74, .external_lex_state = 2},
  [251] = {.lex_state = 74, .external_lex_state = 2},
  [252] = {.lex_state = 74, .external_lex_state = 2},
  [253] = {.lex_state = 74, .external_lex_state = 2},
  [254] = {.lex_state = 74, .external_lex_state = 2},
  [255] = {.lex_state = 74, .external_lex_state = 2},
  [256] = {.lex_state = 74, .external_lex_state = 2},
  [257] = {.lex_state = 74, .external_lex_state = 2},
  [258] = {.lex_state = 74, .external_lex_state = 2},
  [259] = {.lex_state = 74, .external_lex_state = 2},
  [260] = {.lex_state = 74, .external_lex_state = 2},
  [261] = {.lex_state = 74, .external_lex_state = 2},
  [262] = {.lex_state = 74, .external_lex_state = 2},
  [263] = {.lex_state = 74, .external_lex_state = 2},
  [264] = {.lex_state = 74, .external_lex_state = 2},
  [265] = {.lex_state = 74, .external_lex_state = 2},
  [266] = {.lex_state = 74, .external_lex_state = 2},
  [267] = {.lex_state = 74, .external_lex_state = 2},
  [268] = {.lex_state = 74, .external_lex_state = 2},
  [269] = {.lex_state = 74, .external_lex_state = 2},
  [270] = {.lex_state = 74, .external_lex_state = 2},
  [271] = {.lex_state = 74, .external_lex_state = 2},
  [272] = {.lex_state = 74, .external_lex_state = 2},
  [273] = {.lex_state = 74, .external_lex_state = 2},
  [274] = {.lex_state = 74, .external_lex_state = 2},
  [275] = {.lex_state = 74, .external_lex_state = 2},
  [276] = {.lex_state = 74, .external_lex_state = 2},
  [277] = {.lex_state = 74, .external_lex_state = 2},
  [278] = {.lex_state = 74, .external_lex_state = 2},
  [279] = {.lex_state = 74, .external_lex_state = 2},
  [280] = {.lex_state = 74, .external_lex_state = 2},
  [281] = {.lex_state = 74, .external_lex_state = 2},
  [282] = {.lex_state = 74, .external_lex_state = 2},
  [283] = {.lex_state = 74, .external_lex_state = 2},
  [284] = {.lex_state = 74, .external_lex_state = 2},
  [285] = {.lex_state = 74, .external_lex_state = 2},
  [286] = {.lex_state = 74, .external_lex_state = 2},
  [287] = {.lex_state = 74, .external_lex_state = 2},
  [288] = {.lex_state = 74, .external_lex_state = 2},
  [289] = {.lex_state = 74, .external_lex_state = 2},
  [290] = {.lex_state = 74, .external_lex_state = 2},
  [291] = {.lex_state = 74, .external_lex_state = 2},
  [292] = {.lex_state = 74, .external_lex_state = 2},
  [293] = {.lex_state = 74, .external_lex_state = 2},
  [294] = {.lex_state = 74, .external_lex_state = 2},
  [295] = {.lex_state = 74, .external_lex_state = 2},
  [296] = {.lex_state = 74, .external_lex_state = 2},
  [297] = {.lex_state = 74, .external_lex_state = 4},
  [298] = {.lex_state = 74, .external_lex_state = 2},
  [299] = {.lex_state = 74, .external_lex_state = 3},
  [300] = {.lex_state = 74, .external_lex_state = 2},
  [301] = {.lex_state = 74, .external_lex_state = 2},
  [302] = {.lex_state = 74, .external_lex_state = 2},
  [303] = {.lex_state = 74, .external_lex_state = 2},
  [304] = {.lex_state = 74, .external_lex_state = 2},
  [305] = {.lex_state = 74, .external_lex_state = 2},
  [306] = {.lex_state = 74, .external_lex_state = 2},
  [307] = {.lex_state = 74, .external_lex_state = 2},
  [308] = {.lex_state = 74, .external_lex_state = 2},
  [309] = {.lex_state = 74, .external_lex_state = 2},
  [310] = {.lex_state = 74, .external_lex_state = 2},
  [311] = {.lex_state = 74, .external_lex_state = 2},
  [312] = {.lex_state = 74, .external_lex_state = 2},
  [313] = {.lex_state = 74, .external_lex_state = 2},
  [314] = {.lex_state = 74, .external_lex_state = 2},
  [315] = {.lex_state = 74, .external_lex_state = 2},
  [316] = {.lex_state = 74, .external_lex_state = 2},
  [317] = {.lex_state = 74, .external_lex_state = 2},
  [318] = {.lex_state = 74, .external_lex_state = 2},
  [319] = {.lex_state = 74, .external_lex_state = 2},
  [320] = {.lex_state = 74, .external_lex_state = 2},
  [321] = {.lex_state = 74, .external_lex_state = 2},
  [322] = {.lex_state = 74, .external_lex_state = 2},
  [323] = {.lex_state = 74, .external_lex_state = 2},
  [324] = {.lex_state = 74, .external_lex_state = 2},
  [325] = {.lex_state = 74, .external_lex_state = 2},
  [326] = {.lex_state = 74, .external_lex_state = 2},
  [327] = {.lex_state = 74, .external_lex_state = 2},
  [328] = {.lex_state = 74, .external_lex_state = 2},
  [329] = {.lex_state = 74, .external_lex_state = 2},
  [330] = {.lex_state = 74, .external_lex_state = 2},
  [331] = {.lex_state = 74, .external_lex_state = 2},
  [332] = {.lex_state = 74, .external_lex_state = 2},
  [333] = {.lex_state = 74, .external_lex_state = 2},
  [334] = {.lex_state = 74, .external_lex_state = 2},
  [335] = {.lex_state = 74, .external_lex_state = 2},
  [336] = {.lex_state = 74, .external_lex_state = 2},
  [337] = {.lex_state = 74, .external_lex_state = 2},
  [338] = {.lex_state = 74, .external_lex_state = 2},
  [339] = {.lex_state = 74, .external_lex_state = 2},
  [340] = {.lex_state = 74, .external_lex_state = 2},
  [341] = {.lex_state = 74, .external_lex_state = 2},
  [342] = {.lex_state = 74, .external_lex_state = 2},
  [343] = {.lex_state = 74, .external_lex_state = 2},
  [344] = {.lex_state = 74, .external_lex_state = 2},
  [345] = {.lex_state = 74, .external_lex_state = 2},
  [346] = {.lex_state = 74, .external_lex_state = 2},
  [347] = {.lex_state = 74, .external_lex_state = 2},
  [348] = {.lex_state = 74, .external_lex_state = 2},
  [349] = {.lex_state = 74, .external_lex_state = 2},
  [350] = {.lex_state = 74, .external_lex_state = 2},
  [351] = {.lex_state = 74, .external_lex_state = 2},
  [352] = {.lex_state = 74, .external_lex_state = 2},
  [353] = {.lex_state = 74, .external_lex_state = 2},
  [354] = {.lex_state = 74, .external_lex_state = 2},
  [355] = {.lex_state = 74, .external_lex_state = 2},
  [356] = {.lex_state = 74, .external_lex_state = 2},
  [357] = {.lex_state = 74, .external_lex_state = 2},
  [358] = {.lex_state = 74, .external_lex_state = 2},
  [359] = {.lex_state = 74, .external_lex_state = 2},
  [360] = {.lex_state = 74, .external_lex_state = 2},
  [361] = {.lex_state = 74, .external_lex_state = 2},
  [362] = {.lex_state = 74, .external_lex_state = 2},
  [363] = {.lex_state = 74, .external_lex_state = 2},
  [364] = {.lex_state = 74, .external_lex_state = 2},
  [365] = {.lex_state = 74, .external_lex_state = 2},
  [366] = {.lex_state = 74, .external_lex_state = 2},
  [367] = {.lex_state = 74, .external_lex_state = 2},
  [368] = {.lex_state = 74, .external_lex_state = 2},
  [369] = {.lex_state = 74, .external_lex_state = 2},
  [370] = {.lex_state = 74, .external_lex_state = 2},
  [371] = {.lex_state = 74, .external_lex_state = 2},
  [372] = {.lex_state = 74, .external_lex_state = 2},
  [373] = {.lex_state = 74, .external_lex_state = 2},
  [374] = {.lex_state = 74, .external_lex_state = 2},
  [375] = {.lex_state = 74, .external_lex_state = 2},
  [376] = {.lex_state = 74, .external_lex_state = 2},
  [377] = {.lex_state = 74, .external_lex_state = 2},
  [378] = {.lex_state = 74, .external_lex_state = 2},
  [379] = {.lex_state = 74, .external_lex_state = 2},
  [380] = {.lex_state = 74, .external_lex_state = 2},
  [381] = {.lex_state = 74, .external_lex_state = 2},
  [382] = {.lex_state = 74, .external_lex_state = 2},
  [383] = {.lex_state = 74, .external_lex_state = 2},
  [384] = {.lex_state = 74, .external_lex_state = 2},
  [385] = {.lex_state = 74, .external_lex_state = 2},
  [386] = {.lex_state = 74, .external_lex_state = 2},
  [387] = {.lex_state = 74, .external_lex_state = 2},
  [388] = {.lex_state = 74, .external_lex_state = 2},
  [389] = {.lex_state = 74, .external_lex_state = 2},
  [390] = {.lex_state = 74, .external_lex_state = 2},
  [391] = {.lex_state = 74, .external_lex_state = 2},
  [392] = {.lex_state = 74, .external_lex_state = 2},
  [393] = {.lex_state = 74, .external_lex_state = 2},
  [394] = {.lex_state = 74, .external_lex_state = 2},
  [395] = {.lex_state = 74, .external_lex_state = 2},
  [396] = {.lex_state = 74, .external_lex_state = 2},
  [397] = {.lex_state = 74, .external_lex_state = 2},
  [398] = {.lex_state = 74, .external_lex_state = 2},
  [399] = {.lex_state = 74, .external_lex_state = 2},
  [400] = {.lex_state = 74, .external_lex_state = 2},
  [401] = {.lex_state = 74, .external_lex_state = 2},
  [402] = {.lex_state = 74, .external_lex_state = 2},
  [403] = {.lex_state = 74, .external_lex_state = 2},
  [404] = {.lex_state = 74, .external_lex_state = 2},
  [405] = {.lex_state = 74, .external_lex_state = 2},
  [406] = {.lex_state = 74, .external_lex_state = 2},
  [407] = {.lex_state = 74, .external_lex_state = 2},
  [408] = {.lex_state = 74, .external_lex_state = 2},
  [409] = {.lex_state = 74, .external_lex_state = 2},
  [410] = {.lex_state = 74, .external_lex_state = 2},
  [411] = {.lex_state = 74, .external_lex_state = 2},
  [412] = {.lex_state = 74, .external_lex_state = 2},
  [413] = {.lex_state = 74, .external_lex_state = 2},
  [414] = {.lex_state = 74, .external_lex_state = 2},
  [415] = {.lex_state = 74, .external_lex_state = 2},
  [416] = {.lex_state = 74, .external_lex_state = 2},
  [417] = {.lex_state = 74, .external_lex_state = 2},
  [418] = {.lex_state = 74, .external_lex_state = 2},
  [419] = {.lex_state = 74, .external_lex_state = 2},
  [420] = {.lex_state = 74, .external_lex_state = 2},
  [421] = {.lex_state = 74, .external_lex_state = 2},
  [422] = {.lex_state = 74, .external_lex_state = 2},
  [423] = {.lex_state = 74, .external_lex_state = 2},
  [424] = {.lex_state = 74, .external_lex_state = 2},
  [425] = {.lex_state = 74, .external_lex_state = 2},
  [426] = {.lex_state = 74, .external_lex_state = 2},
  [427] = {.lex_state = 74, .external_lex_state = 2},
  [428] = {.lex_state = 74, .external_lex_state = 2},
  [429] = {.lex_state = 74, .external_lex_state = 2},
  [430] = {.lex_state = 74, .external_lex_state = 2},
  [431] = {.lex_state = 74, .external_lex_state = 2},
  [432] = {.lex_state = 74, .external_lex_state = 2},
  [433] = {.lex_state = 74, .external_lex_state = 2},
  [434] = {.lex_state = 74, .external_lex_state = 2},
  [435] = {.lex_state = 74, .external_lex_state = 2},
  [436] = {.lex_state = 74, .external_lex_state = 2},
  [437] = {.lex_state = 74, .external_lex_state = 2},
  [438] = {.lex_state = 74, .external_lex_state = 2},
  [439] = {.lex_state = 74, .external_lex_state = 2},
  [440] = {.lex_state = 74, .external_lex_state = 2},
  [441] = {.lex_state = 74, .external_lex_state = 2},
  [442] = {.lex_state = 74, .external_lex_state = 2},
  [443] = {.lex_state = 74, .external_lex_state = 2},
  [444] = {.lex_state = 74, .external_lex_state = 2},
  [445] = {.lex_state = 74, .external_lex_state = 2},
  [446] = {.lex_state = 74, .external_lex_state = 2},
  [447] = {.lex_state = 74, .external_lex_state = 2},
  [448] = {.lex_state = 74, .external_lex_state = 2},
  [449] = {.lex_state = 74, .external_lex_state = 2},
  [450] = {.lex_state = 74, .external_lex_state = 2},
  [451] = {.lex_state = 74, .external_lex_state = 2},
  [452] = {.lex_state = 74, .external_lex_state = 2},
  [453] = {.lex_state = 74, .external_lex_state = 2},
  [454] = {.lex_state = 74, .external_lex_state = 2},
  [455] = {.lex_state = 74, .external_lex_state = 2},
  [456] = {.lex_state = 74, .external_lex_state = 2},
  [457] = {.lex_state = 74, .external_lex_state = 2},
  [458] = {.lex_state = 74, .external_lex_state = 2},
  [459] = {.lex_state = 74, .external_lex_state = 2},
  [460] = {.lex_state = 74, .external_lex_state = 2},
  [461] = {.lex_state = 74, .external_lex_state = 2},
  [462] = {.lex_state = 74, .external_lex_state = 2},
  [463] = {.lex_state = 74, .external_lex_state = 2},
  [464] = {.lex_state = 74, .external_lex_state = 2},
  [465] = {.lex_state = 74, .external_lex_state = 2},
  [466] = {.lex_state = 74, .external_lex_state = 2},
  [467] = {.lex_state = 74, .external_lex_state = 2},
  [468] = {.lex_state = 74, .external_lex_state = 2},
  [469] = {.lex_state = 74, .external_lex_state = 4},
  [470] = {.lex_state = 74, .external_lex_state = 2},
  [471] = {.lex_state = 74, .external_lex_state = 2},
  [472] = {.lex_state = 74, .external_lex_state = 2},
  [473] = {.lex_state = 74, .external_lex_state = 2},
  [474] = {.lex_state = 74, .external_lex_state = 2},
  [475] = {.lex_state = 74, .external_lex_state = 2},
  [476] = {.lex_state = 74, .external_lex_state = 2},
  [477] = {.lex_state = 74, .external_lex_state = 2},
  [478] = {.lex_state = 74, .external_lex_state = 2},
  [479] = {.lex_state = 74, .external_lex_state = 2},
  [480] = {.lex_state = 74, .external_lex_state = 2},
  [481] = {.lex_state = 74, .external_lex_state = 2},
  [482] = {.lex_state = 74, .external_lex_state = 2},
  [483] = {.lex_state = 74, .external_lex_state = 4},
  [484] = {.lex_state = 74, .external_lex_state = 2},
  [485] = {.lex_state = 74, .external_lex_state = 2},
  [486] = {.lex_state = 74, .external_lex_state = 2},
  [487] = {.lex_state = 74, .external_lex_state = 2},
  [488] = {.lex_state = 74, .external_lex_state = 2},
  [489] = {.lex_state = 74, .external_lex_state = 2},
  [490] = {.lex_state = 74, .external_lex_state = 2},
  [491] = {.lex_state = 74, .external_lex_state = 2},
  [492] = {.lex_state = 74, .external_lex_state = 2},
  [493] = {.lex_state = 74, .external_lex_state = 2},
  [494] = {.lex_state = 74, .external_lex_state = 2},
  [495] = {.lex_state = 74, .external_lex_state = 2},
  [496] = {.lex_state = 74, .external_lex_state = 2},
  [497] = {.lex_state = 74, .external_lex_state = 4},
  [498] = {.lex_state = 74, .external_lex_state = 2},
  [499] = {.lex_state = 74, .external_lex_state = 2},
  [500] = {.lex_state = 74, .external_lex_state = 2},
  [501] = {.lex_state = 74, .external_lex_state = 2},
  [502] = {.lex_state = 74, .external_lex_state = 2},
  [503] = {.lex_state = 74, .external_lex_state = 2},
  [504] = {.lex_state = 74, .external_lex_state = 2},
  [505] = {.lex_state = 74, .external_lex_state = 2},
  [506] = {.lex_state = 74, .external_lex_state = 2},
  [507] = {.lex_state = 74, .external_lex_state = 2},
  [508] = {.lex_state = 74, .external_lex_state = 2},
  [509] = {.lex_state = 74, .external_lex_state = 2},
  [510] = {.lex_state = 74, .external_lex_state = 2},
  [511] = {.lex_state = 74, .external_lex_state = 2},
  [512] = {.lex_state = 74, .external_lex_state = 2},
  [513] = {.lex_state = 74, .external_lex_state = 2},
  [514] = {.lex_state = 74, .external_lex_state = 2},
  [515] = {.lex_state = 74, .external_lex_state = 2},
  [516] = {.lex_state = 74, .external_lex_state = 2},
  [517] = {.lex_state = 74, .external_lex_state = 2},
  [518] = {.lex_state = 74, .external_lex_state = 2},
  [519] = {.lex_state = 74, .external_lex_state = 2},
  [520] = {.lex_state = 74, .external_lex_state = 2},
  [521] = {.lex_state = 74, .external_lex_state = 2},
  [522] = {.lex_state = 74, .external_lex_state = 4},
  [523] = {.lex_state = 74, .external_lex_state = 2},
  [524] = {.lex_state = 74, .external_lex_state = 2},
  [525] = {.lex_state = 74, .external_lex_state = 2},
  [526] = {.lex_state = 74, .external_lex_state = 2},
  [527] = {.lex_state = 74, .external_lex_state = 2},
  [528] = {.lex_state = 74, .external_lex_state = 2},
  [529] = {.lex_state = 74, .external_lex_state = 2},
  [530] = {.lex_state = 74, .external_lex_state = 2},
  [531] = {.lex_state = 74, .external_lex_state = 2},
  [532] = {.lex_state = 74, .external_lex_state = 2},
  [533] = {.lex_state = 74, .external_lex_state = 2},
  [534] = {.lex_state = 74, .external_lex_state = 2},
  [535] = {.lex_state = 74, .external_lex_state = 2},
  [536] = {.lex_state = 74, .external_lex_state = 2},
  [537] = {.lex_state = 74, .external_lex_state = 2},
  [538] = {.lex_state = 74, .external_lex_state = 2},
  [539] = {.lex_state = 74, .external_lex_state = 2},
  [540] = {.lex_state = 74, .external_lex_state = 2},
  [541] = {.lex_state = 74, .external_lex_state = 2},
  [542] = {.lex_state = 74, .external_lex_state = 2},
  [543] = {.lex_state = 74, .external_lex_state = 2},
  [544] = {.lex_state = 74, .external_lex_state = 2},
  [545] = {.lex_state = 74, .external_lex_state = 2},
  [546] = {.lex_state = 74, .external_lex_state = 2},
  [547] = {.lex_state = 74, .external_lex_state = 2},
  [548] = {.lex_state = 74, .external_lex_state = 2},
  [549] = {.lex_state = 74, .external_lex_state = 2},
  [550] = {.lex_state = 74, .external_lex_state = 2},
  [551] = {.lex_state = 74, .external_lex_state = 2},
  [552] = {.lex_state = 74, .external_lex_state = 2},
  [553] = {.lex_state = 74, .external_lex_state = 2},
  [554] = {.lex_state = 74, .external_lex_state = 2},
  [555] = {.lex_state = 74, .external_lex_state = 2},
  [556] = {.lex_state = 74, .external_lex_state = 2},
  [557] = {.lex_state = 74, .external_lex_state = 2},
  [558] = {.lex_state = 74, .external_lex_state = 2},
  [559] = {.lex_state = 74, .external_lex_state = 2},
  [560] = {.lex_state = 74, .external_lex_state = 2},
  [561] = {.lex_state = 74, .external_lex_state = 2},
  [562] = {.lex_state = 74, .external_lex_state = 4},
  [563] = {.lex_state = 74, .external_lex_state = 2},
  [564] = {.lex_state = 74, .external_lex_state = 2},
  [565] = {.lex_state = 74, .external_lex_state = 2},
  [566] = {.lex_state = 74, .external_lex_state = 2},
  [567] = {.lex_state = 74, .external_lex_state = 2},
  [568] = {.lex_state = 74, .external_lex_state = 4},
  [569] = {.lex_state = 74, .external_lex_state = 2},
  [570] = {.lex_state = 74, .external_lex_state = 2},
  [571] = {.lex_state = 74, .external_lex_state = 5},
  [572] = {.lex_state = 74, .external_lex_state = 3},
  [573] = {.lex_state = 74, .external_lex_state = 3},
  [574] = {.lex_state = 73, .external_lex_state = 2},
  [575] = {.lex_state = 73, .external_lex_state = 2},
  [576] = {.lex_state = 73, .external_lex_state = 2},
  [577] = {.lex_state = 73, .external_lex_state = 2},
  [578] = {.lex_state = 73, .external_lex_state = 2},
  [579] = {.lex_state = 72, .external_lex_state = 6},
  [580] = {.lex_state = 72, .external_lex_state = 7},
  [581] = {.lex_state = 72, .external_lex_state = 8},
  [582] = {.lex_state = 72, .external_lex_state = 9},
  [583] = {.lex_state = 72, .external_lex_state = 10},
  [584] = {.lex_state = 72, .external_lex_state = 11},
  [585] = {.lex_state = 72, .external_lex_state = 12},
  [586] = {.lex_state = 73, .external_lex_state = 11},
  [587] = {.lex_state = 73, .external_lex_state = 6},
  [588] = {.lex_state = 73, .external_lex_state = 12},
  [589] = {.lex_state = 72, .external_lex_state = 13},
  [590] = {.lex_state = 72, .external_lex_state = 14},
  [591] = {.lex_state = 72, .external_lex_state = 15},
  [592] = {.lex_state = 72, .external_lex_state = 6},
  [593] = {.lex_state = 73, .external_lex_state = 6},
  [594] = {.lex_state = 73, .external_lex_state = 13},
  [595] = {.lex_state = 73, .external_lex_state = 11},
  [596] = {.lex_state = 72, .external_lex_state = 16},
  [597] = {.lex_state = 72, .external_lex_state = 7},
  [598] = {.lex_state = 72, .external_lex_state = 17},
  [599] = {.lex_state = 72, .external_lex_state = 8},
  [600] = {.lex_state = 73, .external_lex_state = 8},
  [601] = {.lex_state = 73, .external_lex_state = 8},
  [602] = {.lex_state = 73, .external_lex_state = 6},
  [603] = {.lex_state = 72, .external_lex_state = 18},
  [604] = {.lex_state = 73, .external_lex_state = 7},
  [605] = {.lex_state = 72, .external_lex_state = 19},
  [606] = {.lex_state = 73, .external_lex_state = 15},
  [607] = {.lex_state = 72, .external_lex_state = 20},
  [608] = {.lex_state = 73, .external_lex_state = 6},
  [609] = {.lex_state = 73, .external_lex_state = 14},
  [610] = {.lex_state = 73, .external_lex_state = 7},
  [611] = {.lex_state = 73, .external_lex_state = 8},
  [612] = {.lex_state = 73, .external_lex_state = 20},
  [613] = {.lex_state = 72, .external_lex_state = 16},
  [614] = {.lex_state = 73, .external_lex_state = 18},
  [615] = {.lex_state = 72, .external_lex_state = 9},
  [616] = {.lex_state = 72, .external_lex_state = 21},
  [617] = {.lex_state = 73, .external_lex_state = 7},
  [618] = {.lex_state = 73, .external_lex_state = 19},
  [619] = {.lex_state = 73, .external_lex_state = 10},
  [620] = {.lex_state = 73, .external_lex_state = 8},
  [621] = {.lex_state = 73, .external_lex_state = 15},
  [622] = {.lex_state = 73, .external_lex_state = 7},
  [623] = {.lex_state = 73, .external_lex_state = 9},
  [624] = {.lex_state = 72, .external_lex_state = 10},
  [625] = {.lex_state = 72, .external_lex_state = 22},
  [626] = {.lex_state = 73, .external_lex_state = 17},
  [627] = {.lex_state = 73, .external_lex_state = 9},
  [628] = {.lex_state = 73, .external_lex_state = 10},
  [629] = {.lex_state = 73, .external_lex_state = 14},
  [630] = {.lex_state = 73, .external_lex_state = 3},
  [631] = {.lex_state = 73, .external_lex_state = 12},
  [632] = {.lex_state = 73, .external_lex_state = 18},
  [633] = {.lex_state = 73, .external_lex_state = 3},
  [634] = {.lex_state = 73, .external_lex_state = 3},
  [635] = {.lex_state = 73, .external_lex_state = 3},
  [636] = {.lex_state = 73, .external_lex_state = 22},
  [637] = {.lex_state = 72, .external_lex_state = 2},
  [638] = {.lex_state = 73, .external_lex_state = 3},
  [639] = {.lex_state = 73, .external_lex_state = 3},
  [640] = {.lex_state = 73, .external_lex_state = 3},
  [641] = {.lex_state = 73, .external_lex_state = 3},
  [642] = {.lex_state = 73, .external_lex_state = 3},
  [643] = {.lex_state = 73, .external_lex_state = 3},
  [644] = {.lex_state = 73, .external_lex_state = 19},
  [645] = {.lex_state = 73, .external_lex_state = 3},
  [646] = {.lex_state = 73, .external_lex_state = 16},
  [647] = {.lex_state = 73, .external_lex_state = 3},
  [648] = {.lex_state = 73, .external_lex_state = 12},
  [649] = {.lex_state = 73, .external_lex_state = 3},
  [650] = {.lex_state = 73, .external_lex_state = 3},
  [651] = {.lex_state = 73, .external_lex_state = 3},
  [652] = {.lex_state = 73, .external_lex_state = 3},
  [653] = {.lex_state = 73, .external_lex_state = 21},
  [654] = {.lex_state = 73, .external_lex_state = 3},
  [655] = {.lex_state = 73, .external_lex_state = 3},
  [656] = {.lex_state = 73, .external_lex_state = 3},
  [657] = {.lex_state = 73, .external_lex_state = 3},
  [658] = {.lex_state = 73, .external_lex_state = 3},
  [659] = {.lex_state = 72, .external_lex_state = 16},
  [660] = {.lex_state = 73, .external_lex_state = 3},
  [661] = {.lex_state = 73, .external_lex_state = 3},
  [662] = {.lex_state = 73, .external_lex_state = 3},
  [663] = {.lex_state = 73, .external_lex_state = 3},
  [664] = {.lex_state = 73, .external_lex_state = 3},
  [665] = {.lex_state = 73, .external_lex_state = 3},
  [666] = {.lex_state = 73, .external_lex_state = 3},
  [667] = {.lex_state = 72, .external_lex_state = 22},
  [668] = {.lex_state = 73, .external_lex_state = 3},
  [669] = {.lex_state = 73, .external_lex_state = 3},
  [670] = {.lex_state = 73, .external_lex_state = 3},
  [671] = {.lex_state = 73, .external_lex_state = 3},
  [672] = {.lex_state = 73, .external_lex_state = 9},
  [673] = {.lex_state = 73, .external_lex_state = 3},
  [674] = {.lex_state = 73, .external_lex_state = 9},
  [675] = {.lex_state = 73, .external_lex_state = 10},
  [676] = {.lex_state = 73, .external_lex_state = 3},
  [677] = {.lex_state = 73, .external_lex_state = 3},
  [678] = {.lex_state = 73, .external_lex_state = 16},
  [679] = {.lex_state = 73, .external_lex_state = 10},
  [680] = {.lex_state = 73, .external_lex_state = 3},
  [681] = {.lex_state = 73, .external_lex_state = 3},
  [682] = {.lex_state = 73, .external_lex_state = 3},
  [683] = {.lex_state = 2, .external_lex_state = 2},
  [684] = {.lex_state = 73, .external_lex_state = 3},
  [685] = {.lex_state = 2, .external_lex_state = 2},
  [686] = {.lex_state = 73, .external_lex_state = 3},
  [687] = {.lex_state = 73, .external_lex_state = 3},
  [688] = {.lex_state = 2, .external_lex_state = 2},
  [689] = {.lex_state = 73, .external_lex_state = 3},
  [690] = {.lex_state = 2, .external_lex_state = 2},
  [691] = {.lex_state = 73, .external_lex_state = 3},
  [692] = {.lex_state = 73, .external_lex_state = 3},
  [693] = {.lex_state = 73, .external_lex_state = 3},
  [694] = {.lex_state = 73, .external_lex_state = 22},
  [695] = {.lex_state = 73, .external_lex_state = 3},
  [696] = {.lex_state = 2, .external_lex_state = 2},
  [697] = {.lex_state = 73, .external_lex_state = 3},
  [698] = {.lex_state = 2, .external_lex_state = 2},
  [699] = {.lex_state = 73, .external_lex_state = 3},
  [700] = {.lex_state = 73, .external_lex_state = 3},
  [701] = {.lex_state = 2, .external_lex_state = 2},
  [702] = {.lex_state = 73, .external_lex_state = 3},
  [703] = {.lex_state = 73, .external_lex_state = 3},
  [704] = {.lex_state = 2, .external_lex_state = 2},
  [705] = {.lex_state = 73, .external_lex_state = 3},
  [706] = {.lex_state = 2, .external_lex_state = 2},
  [707] = {.lex_state = 2, .external_lex_state = 2},
  [708] = {.lex_state = 73, .external_lex_state = 3},
  [709] = {.lex_state = 73, .external_lex_state = 3},
  [710] = {.lex_state = 73, .external_lex_state = 3},
  [711] = {.lex_state = 2, .external_lex_state = 2},
  [712] = {.lex_state = 2, .external_lex_state = 2},
  [713] = {.lex_state = 2, .external_lex_state = 2},
  [714] = {.lex_state = 73, .external_lex_state = 3},
  [715] = {.lex_state = 2, .external_lex_state = 2},
  [716] = {.lex_state = 73, .external_lex_state = 3},
  [717] = {.lex_state = 73, .external_lex_state = 3},
  [718] = {.lex_state = 73, .external_lex_state = 3},
  [719] = {.lex_state = 2, .external_lex_state = 2},
  [720] = {.lex_state = 73, .external_lex_state = 3},
  [721] = {.lex_state = 73, .external_lex_state = 22},
  [722] = {.lex_state = 73, .external_lex_state = 3},
  [723] = {.lex_state = 73, .external_lex_state = 3},
  [724] = {.lex_state = 73, .external_lex_state = 3},
  [725] = {.lex_state = 73, .external_lex_state = 3},
  [726] = {.lex_state = 2, .external_lex_state = 2},
  [727] = {.lex_state = 2, .external_lex_state = 2},
  [728] = {.lex_state = 73, .external_lex_state = 3},
  [729] = {.lex_state = 73, .external_lex_state = 3},
  [730] = {.lex_state = 73, .external_lex_state = 3},
  [731] = {.lex_state = 73, .external_lex_state = 3},
  [732] = {.lex_state = 73, .external_lex_state = 3},
  [733] = {.lex_state = 73, .external_lex_state = 3},
  [734] = {.lex_state = 73, .external_lex_state = 3},
  [735] = {.lex_state = 73, .external_lex_state = 3},
  [736] = {.lex_state = 73, .external_lex_state = 3},
  [737] = {.lex_state = 73, .external_lex_state = 2},
  [738] = {.lex_state = 2, .external_lex_state = 2},
  [739] = {.lex_state = 73, .external_lex_state = 3},
  [740] = {.lex_state = 73, .external_lex_state = 3},
  [741] = {.lex_state = 2, .external_lex_state = 2},
  [742] = {.lex_state = 2, .external_lex_state = 2},
  [743] = {.lex_state = 2, .external_lex_state = 2},
  [744] = {.lex_state = 2, .external_lex_state = 2},
  [745] = {.lex_state = 2, .external_lex_state = 2},
  [746] = {.lex_state = 73, .external_lex_state = 3},
  [747] = {.lex_state = 2, .external_lex_state = 2},
  [748] = {.lex_state = 73, .external_lex_state = 3},
  [749] = {.lex_state = 2, .external_lex_state = 2},
  [750] = {.lex_state = 73, .external_lex_state = 3},
  [751] = {.lex_state = 73, .external_lex_state = 3},
  [752] = {.lex_state = 73, .external_lex_state = 3},
  [753] = {.lex_state = 73, .external_lex_state = 3},
  [754] = {.lex_state = 73, .external_lex_state = 3},
  [755] = {.lex_state = 2, .external_lex_state = 2},
  [756] = {.lex_state = 73, .external_lex_state = 3},
  [757] = {.lex_state = 2, .external_lex_state = 2},
  [758] = {.lex_state = 2, .external_lex_state = 2},
  [759] = {.lex_state = 73, .external_lex_state = 3},
  [760] = {.lex_state = 2, .external_lex_state = 2},
  [761] = {.lex_state = 73, .external_lex_state = 3},
  [762] = {.lex_state = 2, .external_lex_state = 2},
  [763] = {.lex_state = 73, .external_lex_state = 3},
  [764] = {.lex_state = 73, .external_lex_state = 3},
  [765] = {.lex_state = 73, .external_lex_state = 3},
  [766] = {.lex_state = 73, .external_lex_state = 3},
  [767] = {.lex_state = 73, .external_lex_state = 16},
  [768] = {.lex_state = 2, .external_lex_state = 2},
  [769] = {.lex_state = 2, .external_lex_state = 2},
  [770] = {.lex_state = 2, .external_lex_state = 2},
  [771] = {.lex_state = 73, .external_lex_state = 3},
  [772] = {.lex_state = 73, .external_lex_state = 13},
  [773] = {.lex_state = 73, .external_lex_state = 3},
  [774] = {.lex_state = 2, .external_lex_state = 2},
  [775] = {.lex_state = 2, .external_lex_state = 2},
  [776] = {.lex_state = 2, .external_lex_state = 2},
  [777] = {.lex_state = 73, .external_lex_state = 13},
  [778] = {.lex_state = 73, .external_lex_state = 3},
  [779] = {.lex_state = 2, .external_lex_state = 2},
  [780] = {.lex_state = 73, .external_lex_state = 3},
  [781] = {.lex_state = 2, .external_lex_state = 2},
  [782] = {.lex_state = 73, .external_lex_state = 3},
  [783] = {.lex_state = 73, .external_lex_state = 3},
  [784] = {.lex_state = 2, .external_lex_state = 2},
  [785] = {.lex_state = 73, .external_lex_state = 3},
  [786] = {.lex_state = 2, .external_lex_state = 2},
  [787] = {.lex_state = 2, .external_lex_state = 2},
  [788] = {.lex_state = 2, .external_lex_state = 2},
  [789] = {.lex_state = 73, .external_lex_state = 3},
  [790] = {.lex_state = 73, .external_lex_state = 3},
  [791] = {.lex_state = 73, .external_lex_state = 3},
  [792] = {.lex_state = 73, .external_lex_state = 3},
  [793] = {.lex_state = 2, .external_lex_state = 2},
  [794] = {.lex_state = 73, .external_lex_state = 3},
  [795] = {.lex_state = 73, .external_lex_state = 3},
  [796] = {.lex_state = 73, .external_lex_state = 3},
  [797] = {.lex_state = 73, .external_lex_state = 3},
  [798] = {.lex_state = 73, .external_lex_state = 3},
  [799] = {.lex_state = 73, .external_lex_state = 3},
  [800] = {.lex_state = 73, .external_lex_state = 3},
  [801] = {.lex_state = 73, .external_lex_state = 3},
  [802] = {.lex_state = 73, .external_lex_state = 16},
  [803] = {.lex_state = 2, .external_lex_state = 2},
  [804] = {.lex_state = 2, .external_lex_state = 2},
  [805] = {.lex_state = 73, .external_lex_state = 3},
  [806] = {.lex_state = 73, .external_lex_state = 3},
  [807] = {.lex_state = 73, .external_lex_state = 3},
  [808] = {.lex_state = 73, .external_lex_state = 3},
  [809] = {.lex_state = 73, .external_lex_state = 3},
  [810] = {.lex_state = 73, .external_lex_state = 3},
  [811] = {.lex_state = 73, .external_lex_state = 3},
  [812] = {.lex_state = 73, .external_lex_state = 3},
  [813] = {.lex_state = 73, .external_lex_state = 3},
  [814] = {.lex_state = 73, .external_lex_state = 3},
  [815] = {.lex_state = 73, .external_lex_state = 3},
  [816] = {.lex_state = 2, .external_lex_state = 2},
  [817] = {.lex_state = 2, .external_lex_state = 2},
  [818] = {.lex_state = 73, .external_lex_state = 3},
  [819] = {.lex_state = 73, .external_lex_state = 3},
  [820] = {.lex_state = 73, .external_lex_state = 3},
  [821] = {.lex_state = 2, .external_lex_state = 2},
  [822] = {.lex_state = 73, .external_lex_state = 3},
  [823] = {.lex_state = 73, .external_lex_state = 3},
  [824] = {.lex_state = 73, .external_lex_state = 3},
  [825] = {.lex_state = 73, .external_lex_state = 3},
  [826] = {.lex_state = 73, .external_lex_state = 3},
  [827] = {.lex_state = 73, .external_lex_state = 3},
  [828] = {.lex_state = 73, .external_lex_state = 3},
  [829] = {.lex_state = 73, .external_lex_state = 3},
  [830] = {.lex_state = 2, .external_lex_state = 2},
  [831] = {.lex_state = 73, .external_lex_state = 3},
  [832] = {.lex_state = 73, .external_lex_state = 16},
  [833] = {.lex_state = 73, .external_lex_state = 3},
  [834] = {.lex_state = 73, .external_lex_state = 3},
  [835] = {.lex_state = 73, .external_lex_state = 3},
  [836] = {.lex_state = 2, .external_lex_state = 2},
  [837] = {.lex_state = 2, .external_lex_state = 2},
  [838] = {.lex_state = 73, .external_lex_state = 3},
  [839] = {.lex_state = 73, .external_lex_state = 3},
  [840] = {.lex_state = 73, .external_lex_state = 3},
  [841] = {.lex_state = 73, .external_lex_state = 3},
  [842] = {.lex_state = 73, .external_lex_state = 3},
  [843] = {.lex_state = 73, .external_lex_state = 3},
  [844] = {.lex_state = 73, .external_lex_state = 3},
  [845] = {.lex_state = 2, .external_lex_state = 2},
  [846] = {.lex_state = 2, .external_lex_state = 2},
  [847] = {.lex_state = 73, .external_lex_state = 3},
  [848] = {.lex_state = 73, .external_lex_state = 3},
  [849] = {.lex_state = 2, .external_lex_state = 2},
  [850] = {.lex_state = 2, .external_lex_state = 2},
  [851] = {.lex_state = 73, .external_lex_state = 3},
  [852] = {.lex_state = 73, .external_lex_state = 3},
  [853] = {.lex_state = 2, .external_lex_state = 2},
  [854] = {.lex_state = 73, .external_lex_state = 3},
  [855] = {.lex_state = 73, .external_lex_state = 3},
  [856] = {.lex_state = 73, .external_lex_state = 3},
  [857] = {.lex_state = 73, .external_lex_state = 3},
  [858] = {.lex_state = 73, .external_lex_state = 3},
  [859] = {.lex_state = 73, .external_lex_state = 3},
  [860] = {.lex_state = 73, .external_lex_state = 3},
  [861] = {.lex_state = 73, .external_lex_state = 3},
  [862] = {.lex_state = 73, .external_lex_state = 3},
  [863] = {.lex_state = 73, .external_lex_state = 17},
  [864] = {.lex_state = 73, .external_lex_state = 3},
  [865] = {.lex_state = 73, .external_lex_state = 3},
  [866] = {.lex_state = 73, .external_lex_state = 3},
  [867] = {.lex_state = 73, .external_lex_state = 3},
  [868] = {.lex_state = 73, .external_lex_state = 3},
  [869] = {.lex_state = 73, .external_lex_state = 3},
  [870] = {.lex_state = 73, .external_lex_state = 3},
  [871] = {.lex_state = 73, .external_lex_state = 3},
  [872] = {.lex_state = 73, .external_lex_state = 3},
  [873] = {.lex_state = 73, .external_lex_state = 3},
  [874] = {.lex_state = 73, .external_lex_state = 3},
  [875] = {.lex_state = 73, .external_lex_state = 3},
  [876] = {.lex_state = 73, .external_lex_state = 3},
  [877] = {.lex_state = 73, .external_lex_state = 3},
  [878] = {.lex_state = 73, .external_lex_state = 3},
  [879] = {.lex_state = 73, .external_lex_state = 3},
  [880] = {.lex_state = 73, .external_lex_state = 3},
  [881] = {.lex_state = 73, .external_lex_state = 3},
  [882] = {.lex_state = 73, .external_lex_state = 3},
  [883] = {.lex_state = 73, .external_lex_state = 3},
  [884] = {.lex_state = 73, .external_lex_state = 3},
  [885] = {.lex_state = 73, .external_lex_state = 3},
  [886] = {.lex_state = 73, .external_lex_state = 3},
  [887] = {.lex_state = 73, .external_lex_state = 3},
  [888] = {.lex_state = 73, .external_lex_state = 3},
  [889] = {.lex_state = 73, .external_lex_state = 3},
  [890] = {.lex_state = 73, .external_lex_state = 3},
  [891] = {.lex_state = 73, .external_lex_state = 3},
  [892] = {.lex_state = 73, .external_lex_state = 3},
  [893] = {.lex_state = 73, .external_lex_state = 3},
  [894] = {.lex_state = 73, .external_lex_state = 3},
  [895] = {.lex_state = 73, .external_lex_state = 3},
  [896] = {.lex_state = 73, .external_lex_state = 3},
  [897] = {.lex_state = 73, .external_lex_state = 3},
  [898] = {.lex_state = 73, .external_lex_state = 3},
  [899] = {.lex_state = 73, .external_lex_state = 3},
  [900] = {.lex_state = 73, .external_lex_state = 3},
  [901] = {.lex_state = 73, .external_lex_state = 3},
  [902] = {.lex_state = 73, .external_lex_state = 3},
  [903] = {.lex_state = 73, .external_lex_state = 3},
  [904] = {.lex_state = 73, .external_lex_state = 3},
  [905] = {.lex_state = 73, .external_lex_state = 3},
  [906] = {.lex_state = 73, .external_lex_state = 3},
  [907] = {.lex_state = 73, .external_lex_state = 3},
  [908] = {.lex_state = 73, .external_lex_state = 3},
  [909] = {.lex_state = 73, .external_lex_state = 3},
  [910] = {.lex_state = 73, .external_lex_state = 3},
  [911] = {.lex_state = 73, .external_lex_state = 3},
  [912] = {.lex_state = 73, .external_lex_state = 3},
  [913] = {.lex_state = 73, .external_lex_state = 3},
  [914] = {.lex_state = 73, .external_lex_state = 3},
  [915] = {.lex_state = 73, .external_lex_state = 3},
  [916] = {.lex_state = 73, .external_lex_state = 3},
  [917] = {.lex_state = 73, .external_lex_state = 3},
  [918] = {.lex_state = 73, .external_lex_state = 3},
  [919] = {.lex_state = 73, .external_lex_state = 3},
  [920] = {.lex_state = 73, .external_lex_state = 3},
  [921] = {.lex_state = 73, .external_lex_state = 3},
  [922] = {.lex_state = 73, .external_lex_state = 3},
  [923] = {.lex_state = 73, .external_lex_state = 3},
  [924] = {.lex_state = 73, .external_lex_state = 3},
  [925] = {.lex_state = 73, .external_lex_state = 3},
  [926] = {.lex_state = 73, .external_lex_state = 3},
  [927] = {.lex_state = 73, .external_lex_state = 3},
  [928] = {.lex_state = 73, .external_lex_state = 3},
  [929] = {.lex_state = 73, .external_lex_state = 3},
  [930] = {.lex_state = 73, .external_lex_state = 3},
  [931] = {.lex_state = 73, .external_lex_state = 3},
  [932] = {.lex_state = 73, .external_lex_state = 3},
  [933] = {.lex_state = 73, .external_lex_state = 3},
  [934] = {.lex_state = 73, .external_lex_state = 3},
  [935] = {.lex_state = 73, .external_lex_state = 3},
  [936] = {.lex_state = 73, .external_lex_state = 3},
  [937] = {.lex_state = 73, .external_lex_state = 3},
  [938] = {.lex_state = 73, .external_lex_state = 3},
  [939] = {.lex_state = 73, .external_lex_state = 3},
  [940] = {.lex_state = 73, .external_lex_state = 3},
  [941] = {.lex_state = 73, .external_lex_state = 3},
  [942] = {.lex_state = 73, .external_lex_state = 3},
  [943] = {.lex_state = 73, .external_lex_state = 3},
  [944] = {.lex_state = 73, .external_lex_state = 3},
  [945] = {.lex_state = 73, .external_lex_state = 3},
  [946] = {.lex_state = 73, .external_lex_state = 3},
  [947] = {.lex_state = 73, .external_lex_state = 3},
  [948] = {.lex_state = 73, .external_lex_state = 3},
  [949] = {.lex_state = 73, .external_lex_state = 3},
  [950] = {.lex_state = 73, .external_lex_state = 3},
  [951] = {.lex_state = 73, .external_lex_state = 3},
  [952] = {.lex_state = 73, .external_lex_state = 3},
  [953] = {.lex_state = 73, .external_lex_state = 3},
  [954] = {.lex_state = 73, .external_lex_state = 3},
  [955] = {.lex_state = 73, .external_lex_state = 3},
  [956] = {.lex_state = 73, .external_lex_state = 3},
  [957] = {.lex_state = 73, .external_lex_state = 3},
  [958] = {.lex_state = 73, .external_lex_state = 3},
  [959] = {.lex_state = 73, .external_lex_state = 3},
  [960] = {.lex_state = 73, .external_lex_state = 3},
  [961] = {.lex_state = 73, .external_lex_state = 3},
  [962] = {.lex_state = 73, .external_lex_state = 3},
  [963] = {.lex_state = 73, .external_lex_state = 3},
  [964] = {.lex_state = 73, .external_lex_state = 3},
  [965] = {.lex_state = 73, .external_lex_state = 3},
  [966] = {.lex_state = 73, .external_lex_state = 3},
  [967] = {.lex_state = 73, .external_lex_state = 3},
  [968] = {.lex_state = 73, .external_lex_state = 3},
  [969] = {.lex_state = 73, .external_lex_state = 3},
  [970] = {.lex_state = 73, .external_lex_state = 3},
  [971] = {.lex_state = 73, .external_lex_state = 3},
  [972] = {.lex_state = 73, .external_lex_state = 3},
  [973] = {.lex_state = 73, .external_lex_state = 3},
  [974] = {.lex_state = 73, .external_lex_state = 3},
  [975] = {.lex_state = 73, .external_lex_state = 3},
  [976] = {.lex_state = 73, .external_lex_state = 3},
  [977] = {.lex_state = 73, .external_lex_state = 3},
  [978] = {.lex_state = 73, .external_lex_state = 3},
  [979] = {.lex_state = 73, .external_lex_state = 3},
  [980] = {.lex_state = 73, .external_lex_state = 3},
  [981] = {.lex_state = 73, .external_lex_state = 3},
  [982] = {.lex_state = 73, .external_lex_state = 3},
  [983] = {.lex_state = 73, .external_lex_state = 3},
  [984] = {.lex_state = 73, .external_lex_state = 3},
  [985] = {.lex_state = 73, .external_lex_state = 3},
  [986] = {.lex_state = 73, .external_lex_state = 3},
  [987] = {.lex_state = 73, .external_lex_state = 3},
  [988] = {.lex_state = 73, .external_lex_state = 3},
  [989] = {.lex_state = 73, .external_lex_state = 3},
  [990] = {.lex_state = 73, .external_lex_state = 3},
  [991] = {.lex_state = 73, .external_lex_state = 3},
  [992] = {.lex_state = 73, .external_lex_state = 3},
  [993] = {.lex_state = 73, .external_lex_state = 3},
  [994] = {.lex_state = 73, .external_lex_state = 3},
  [995] = {.lex_state = 73, .external_lex_state = 3},
  [996] = {.lex_state = 73, .external_lex_state = 3},
  [997] = {.lex_state = 73, .external_lex_state = 3},
  [998] = {.lex_state = 73, .external_lex_state = 3},
  [999] = {.lex_state = 73, .external_lex_state = 3},
  [1000] = {.lex_state = 73, .external_lex_state = 3},
  [1001] = {.lex_state = 73, .external_lex_state = 3},
  [1002] = {.lex_state = 73, .external_lex_state = 3},
  [1003] = {.lex_state = 73, .external_lex_state = 3},
  [1004] = {.lex_state = 73, .external_lex_state = 3},
  [1005] = {.lex_state = 73, .external_lex_state = 3},
  [1006] = {.lex_state = 73, .external_lex_state = 3},
  [1007] = {.lex_state = 73, .external_lex_state = 17},
  [1008] = {.lex_state = 73, .external_lex_state = 3},
  [1009] = {.lex_state = 73, .external_lex_state = 3},
  [1010] = {.lex_state = 73, .external_lex_state = 3},
  [1011] = {.lex_state = 73, .external_lex_state = 3},
  [1012] = {.lex_state = 73, .external_lex_state = 3},
  [1013] = {.lex_state = 73, .external_lex_state = 3},
  [1014] = {.lex_state = 73, .external_lex_state = 3},
  [1015] = {.lex_state = 73, .external_lex_state = 3},
  [1016] = {.lex_state = 73, .external_lex_state = 3},
  [1017] = {.lex_state = 73, .external_lex_state = 3},
  [1018] = {.lex_state = 73, .external_lex_state = 3},
  [1019] = {.lex_state = 73, .external_lex_state = 3},
  [1020] = {.lex_state = 73, .external_lex_state = 3},
  [1021] = {.lex_state = 73, .external_lex_state = 3},
  [1022] = {.lex_state = 73, .external_lex_state = 3},
  [1023] = {.lex_state = 73, .external_lex_state = 3},
  [1024] = {.lex_state = 73, .external_lex_state = 3},
  [1025] = {.lex_state = 73, .external_lex_state = 3},
  [1026] = {.lex_state = 73, .external_lex_state = 3},
  [1027] = {.lex_state = 73, .external_lex_state = 3},
  [1028] = {.lex_state = 73, .external_lex_state = 3},
  [1029] = {.lex_state = 73, .external_lex_state = 3},
  [1030] = {.lex_state = 73, .external_lex_state = 3},
  [1031] = {.lex_state = 73, .external_lex_state = 3},
  [1032] = {.lex_state = 73, .external_lex_state = 3},
  [1033] = {.lex_state = 73, .external_lex_state = 3},
  [1034] = {.lex_state = 73, .external_lex_state = 3},
  [1035] = {.lex_state = 73, .external_lex_state = 3},
  [1036] = {.lex_state = 73, .external_lex_state = 3},
  [1037] = {.lex_state = 73, .external_lex_state = 3},
  [1038] = {.lex_state = 73, .external_lex_state = 3},
  [1039] = {.lex_state = 73, .external_lex_state = 3},
  [1040] = {.lex_state = 73, .external_lex_state = 3},
  [1041] = {.lex_state = 73, .external_lex_state = 3},
  [1042] = {.lex_state = 73, .external_lex_state = 3},
  [1043] = {.lex_state = 73, .external_lex_state = 3},
  [1044] = {.lex_state = 73, .external_lex_state = 3},
  [1045] = {.lex_state = 73, .external_lex_state = 3},
  [1046] = {.lex_state = 73, .external_lex_state = 3},
  [1047] = {.lex_state = 73, .external_lex_state = 3},
  [1048] = {.lex_state = 73, .external_lex_state = 3},
  [1049] = {.lex_state = 73, .external_lex_state = 3},
  [1050] = {.lex_state = 73, .external_lex_state = 3},
  [1051] = {.lex_state = 73, .external_lex_state = 3},
  [1052] = {.lex_state = 73, .external_lex_state = 3},
  [1053] = {.lex_state = 73, .external_lex_state = 3},
  [1054] = {.lex_state = 73, .external_lex_state = 3},
  [1055] = {.lex_state = 73, .external_lex_state = 3},
  [1056] = {.lex_state = 73, .external_lex_state = 3},
  [1057] = {.lex_state = 73, .external_lex_state = 3},
  [1058] = {.lex_state = 73, .external_lex_state = 3},
  [1059] = {.lex_state = 73, .external_lex_state = 3},
  [1060] = {.lex_state = 73, .external_lex_state = 3},
  [1061] = {.lex_state = 73, .external_lex_state = 3},
  [1062] = {.lex_state = 73, .external_lex_state = 3},
  [1063] = {.lex_state = 73, .external_lex_state = 3},
  [1064] = {.lex_state = 73, .external_lex_state = 3},
  [1065] = {.lex_state = 73, .external_lex_state = 3},
  [1066] = {.lex_state = 73, .external_lex_state = 3},
  [1067] = {.lex_state = 73, .external_lex_state = 3},
  [1068] = {.lex_state = 73, .external_lex_state = 3},
  [1069] = {.lex_state = 73, .external_lex_state = 3},
  [1070] = {.lex_state = 73, .external_lex_state = 3},
  [1071] = {.lex_state = 73, .external_lex_state = 3},
  [1072] = {.lex_state = 73, .external_lex_state = 3},
  [1073] = {.lex_state = 73, .external_lex_state = 3},
  [1074] = {.lex_state = 73, .external_lex_state = 3},
  [1075] = {.lex_state = 73, .external_lex_state = 3},
  [1076] = {.lex_state = 73, .external_lex_state = 3},
  [1077] = {.lex_state = 73, .external_lex_state = 3},
  [1078] = {.lex_state = 73, .external_lex_state = 3},
  [1079] = {.lex_state = 73, .external_lex_state = 3},
  [1080] = {.lex_state = 73, .external_lex_state = 3},
  [1081] = {.lex_state = 73, .external_lex_state = 3},
  [1082] = {.lex_state = 73, .external_lex_state = 3},
  [1083] = {.lex_state = 73, .external_lex_state = 3},
  [1084] = {.lex_state = 73, .external_lex_state = 3},
  [1085] = {.lex_state = 73, .external_lex_state = 3},
  [1086] = {.lex_state = 73, .external_lex_state = 3},
  [1087] = {.lex_state = 73, .external_lex_state = 3},
  [1088] = {.lex_state = 73, .external_lex_state = 3},
  [1089] = {.lex_state = 73, .external_lex_state = 3},
  [1090] = {.lex_state = 73, .external_lex_state = 3},
  [1091] = {.lex_state = 73, .external_lex_state = 3},
  [1092] = {.lex_state = 73, .external_lex_state = 3},
  [1093] = {.lex_state = 73, .external_lex_state = 3},
  [1094] = {.lex_state = 73, .external_lex_state = 3},
  [1095] = {.lex_state = 73, .external_lex_state = 3},
  [1096] = {.lex_state = 73, .external_lex_state = 3},
  [1097] = {.lex_state = 73, .external_lex_state = 3},
  [1098] = {.lex_state = 73, .external_lex_state = 3},
  [1099] = {.lex_state = 73, .external_lex_state = 3},
  [1100] = {.lex_state = 73, .external_lex_state = 3},
  [1101] = {.lex_state = 73, .external_lex_state = 3},
  [1102] = {.lex_state = 73, .external_lex_state = 3},
  [1103] = {.lex_state = 73, .external_lex_state = 3},
  [1104] = {.lex_state = 73, .external_lex_state = 3},
  [1105] = {.lex_state = 73, .external_lex_state = 3},
  [1106] = {.lex_state = 73, .external_lex_state = 3},
  [1107] = {.lex_state = 73, .external_lex_state = 3},
  [1108] = {.lex_state = 73, .external_lex_state = 3},
  [1109] = {.lex_state = 73, .external_lex_state = 3},
  [1110] = {.lex_state = 73, .external_lex_state = 3},
  [1111] = {.lex_state = 73, .external_lex_state = 3},
  [1112] = {.lex_state = 73, .external_lex_state = 3},
  [1113] = {.lex_state = 73, .external_lex_state = 3},
  [1114] = {.lex_state = 73, .external_lex_state = 3},
  [1115] = {.lex_state = 73, .external_lex_state = 3},
  [1116] = {.lex_state = 73, .external_lex_state = 3},
  [1117] = {.lex_state = 73, .external_lex_state = 3},
  [1118] = {.lex_state = 73, .external_lex_state = 3},
  [1119] = {.lex_state = 73, .external_lex_state = 3},
  [1120] = {.lex_state = 73, .external_lex_state = 3},
  [1121] = {.lex_state = 73, .external_lex_state = 3},
  [1122] = {.lex_state = 73, .external_lex_state = 3},
  [1123] = {.lex_state = 73, .external_lex_state = 3},
  [1124] = {.lex_state = 73, .external_lex_state = 3},
  [1125] = {.lex_state = 73, .external_lex_state = 3},
  [1126] = {.lex_state = 73, .external_lex_state = 3},
  [1127] = {.lex_state = 73, .external_lex_state = 3},
  [1128] = {.lex_state = 73, .external_lex_state = 3},
  [1129] = {.lex_state = 73, .external_lex_state = 3},
  [1130] = {.lex_state = 73, .external_lex_state = 3},
  [1131] = {.lex_state = 73, .external_lex_state = 3},
  [1132] = {.lex_state = 73, .external_lex_state = 3},
  [1133] = {.lex_state = 73, .external_lex_state = 3},
  [1134] = {.lex_state = 73, .external_lex_state = 3},
  [1135] = {.lex_state = 73, .external_lex_state = 3},
  [1136] = {.lex_state = 73, .external_lex_state = 3},
  [1137] = {.lex_state = 73, .external_lex_state = 3},
  [1138] = {.lex_state = 73, .external_lex_state = 3},
  [1139] = {.lex_state = 73, .external_lex_state = 3},
  [1140] = {.lex_state = 73, .external_lex_state = 3},
  [1141] = {.lex_state = 73, .external_lex_state = 3},
  [1142] = {.lex_state = 73, .external_lex_state = 3},
  [1143] = {.lex_state = 73, .external_lex_state = 3},
  [1144] = {.lex_state = 73, .external_lex_state = 3},
  [1145] = {.lex_state = 73, .external_lex_state = 3},
  [1146] = {.lex_state = 73, .external_lex_state = 3},
  [1147] = {.lex_state = 73, .external_lex_state = 3},
  [1148] = {.lex_state = 73, .external_lex_state = 3},
  [1149] = {.lex_state = 73, .external_lex_state = 3},
  [1150] = {.lex_state = 73, .external_lex_state = 3},
  [1151] = {.lex_state = 73, .external_lex_state = 3},
  [1152] = {.lex_state = 73, .external_lex_state = 3},
  [1153] = {.lex_state = 73, .external_lex_state = 3},
  [1154] = {.lex_state = 73, .external_lex_state = 3},
  [1155] = {.lex_state = 73, .external_lex_state = 3},
  [1156] = {.lex_state = 73, .external_lex_state = 3},
  [1157] = {.lex_state = 3, .external_lex_state = 2},
  [1158] = {.lex_state = 73, .external_lex_state = 3},
  [1159] = {.lex_state = 73, .external_lex_state = 3},
  [1160] = {.lex_state = 73, .external_lex_state = 3},
  [1161] = {.lex_state = 73, .external_lex_state = 3},
  [1162] = {.lex_state = 73, .external_lex_state = 3},
  [1163] = {.lex_state = 73, .external_lex_state = 3},
  [1164] = {.lex_state = 73, .external_lex_state = 3},
  [1165] = {.lex_state = 73, .external_lex_state = 3},
  [1166] = {.lex_state = 73, .external_lex_state = 3},
  [1167] = {.lex_state = 73, .external_lex_state = 3},
  [1168] = {.lex_state = 73, .external_lex_state = 3},
  [1169] = {.lex_state = 73, .external_lex_state = 3},
  [1170] = {.lex_state = 73, .external_lex_state = 3},
  [1171] = {.lex_state = 73, .external_lex_state = 3},
  [1172] = {.lex_state = 73, .external_lex_state = 3},
  [1173] = {.lex_state = 73, .external_lex_state = 3},
  [1174] = {.lex_state = 73, .external_lex_state = 3},
  [1175] = {.lex_state = 73, .external_lex_state = 3},
  [1176] = {.lex_state = 73, .external_lex_state = 3},
  [1177] = {.lex_state = 73, .external_lex_state = 3},
  [1178] = {.lex_state = 73, .external_lex_state = 3},
  [1179] = {.lex_state = 73, .external_lex_state = 3},
  [1180] = {.lex_state = 73, .external_lex_state = 3},
  [1181] = {.lex_state = 73, .external_lex_state = 3},
  [1182] = {.lex_state = 73, .external_lex_state = 3},
  [1183] = {.lex_state = 73, .external_lex_state = 3},
  [1184] = {.lex_state = 73, .external_lex_state = 3},
  [1185] = {.lex_state = 73, .external_lex_state = 3},
  [1186] = {.lex_state = 73, .external_lex_state = 3},
  [1187] = {.lex_state = 73, .external_lex_state = 3},
  [1188] = {.lex_state = 73, .external_lex_state = 3},
  [1189] = {.lex_state = 73, .external_lex_state = 3},
  [1190] = {.lex_state = 73, .external_lex_state = 3},
  [1191] = {.lex_state = 73, .external_lex_state = 3},
  [1192] = {.lex_state = 73, .external_lex_state = 3},
  [1193] = {.lex_state = 73, .external_lex_state = 3},
  [1194] = {.lex_state = 73, .external_lex_state = 3},
  [1195] = {.lex_state = 73, .external_lex_state = 3},
  [1196] = {.lex_state = 73, .external_lex_state = 3},
  [1197] = {.lex_state = 73, .external_lex_state = 3},
  [1198] = {.lex_state = 73, .external_lex_state = 3},
  [1199] = {.lex_state = 73, .external_lex_state = 3},
  [1200] = {.lex_state = 73, .external_lex_state = 3},
  [1201] = {.lex_state = 73, .external_lex_state = 3},
  [1202] = {.lex_state = 73, .external_lex_state = 3},
  [1203] = {.lex_state = 73, .external_lex_state = 3},
  [1204] = {.lex_state = 73, .external_lex_state = 3},
  [1205] = {.lex_state = 73, .external_lex_state = 3},
  [1206] = {.lex_state = 73, .external_lex_state = 3},
  [1207] = {.lex_state = 73, .external_lex_state = 3},
  [1208] = {.lex_state = 73, .external_lex_state = 3},
  [1209] = {.lex_state = 73, .external_lex_state = 3},
  [1210] = {.lex_state = 73, .external_lex_state = 3},
  [1211] = {.lex_state = 73, .external_lex_state = 3},
  [1212] = {.lex_state = 73, .external_lex_state = 3},
  [1213] = {.lex_state = 73, .external_lex_state = 3},
  [1214] = {.lex_state = 73, .external_lex_state = 3},
  [1215] = {.lex_state = 73, .external_lex_state = 3},
  [1216] = {.lex_state = 73, .external_lex_state = 3},
  [1217] = {.lex_state = 73, .external_lex_state = 3},
  [1218] = {.lex_state = 73, .external_lex_state = 3},
  [1219] = {.lex_state = 73, .external_lex_state = 3},
  [1220] = {.lex_state = 73, .external_lex_state = 3},
  [1221] = {.lex_state = 73, .external_lex_state = 3},
  [1222] = {.lex_state = 73, .external_lex_state = 3},
  [1223] = {.lex_state = 73, .external_lex_state = 3},
  [1224] = {.lex_state = 73, .external_lex_state = 3},
  [1225] = {.lex_state = 73, .external_lex_state = 3},
  [1226] = {.lex_state = 73, .external_lex_state = 3},
  [1227] = {.lex_state = 73, .external_lex_state = 3},
  [1228] = {.lex_state = 73, .external_lex_state = 3},
  [1229] = {.lex_state = 73, .external_lex_state = 3},
  [1230] = {.lex_state = 73, .external_lex_state = 3},
  [1231] = {.lex_state = 73, .external_lex_state = 3},
  [1232] = {.lex_state = 73, .external_lex_state = 3},
  [1233] = {.lex_state = 73, .external_lex_state = 3},
  [1234] = {.lex_state = 73, .external_lex_state = 3},
  [1235] = {.lex_state = 73, .external_lex_state = 3},
  [1236] = {.lex_state = 73, .external_lex_state = 3},
  [1237] = {.lex_state = 73, .external_lex_state = 3},
  [1238] = {.lex_state = 73, .external_lex_state = 3},
  [1239] = {.lex_state = 73, .external_lex_state = 3},
  [1240] = {.lex_state = 73, .external_lex_state = 3},
  [1241] = {.lex_state = 73, .external_lex_state = 3},
  [1242] = {.lex_state = 73, .external_lex_state = 3},
  [1243] = {.lex_state = 73, .external_lex_state = 3},
  [1244] = {.lex_state = 73, .external_lex_state = 3},
  [1245] = {.lex_state = 73, .external_lex_state = 3},
  [1246] = {.lex_state = 73, .external_lex_state = 3},
  [1247] = {.lex_state = 73, .external_lex_state = 3},
  [1248] = {.lex_state = 73, .external_lex_state = 3},
  [1249] = {.lex_state = 73, .external_lex_state = 3},
  [1250] = {.lex_state = 73, .external_lex_state = 3},
  [1251] = {.lex_state = 73, .external_lex_state = 3},
  [1252] = {.lex_state = 73, .external_lex_state = 3},
  [1253] = {.lex_state = 73, .external_lex_state = 3},
  [1254] = {.lex_state = 73, .external_lex_state = 3},
  [1255] = {.lex_state = 73, .external_lex_state = 3},
  [1256] = {.lex_state = 73, .external_lex_state = 3},
  [1257] = {.lex_state = 73, .external_lex_state = 3},
  [1258] = {.lex_state = 73, .external_lex_state = 3},
  [1259] = {.lex_state = 73, .external_lex_state = 3},
  [1260] = {.lex_state = 73, .external_lex_state = 3},
  [1261] = {.lex_state = 73, .external_lex_state = 3},
  [1262] = {.lex_state = 73, .external_lex_state = 3},
  [1263] = {.lex_state = 73, .external_lex_state = 3},
  [1264] = {.lex_state = 73, .external_lex_state = 3},
  [1265] = {.lex_state = 73, .external_lex_state = 3},
  [1266] = {.lex_state = 73, .external_lex_state = 3},
  [1267] = {.lex_state = 73, .external_lex_state = 3},
  [1268] = {.lex_state = 73, .external_lex_state = 3},
  [1269] = {.lex_state = 73, .external_lex_state = 3},
  [1270] = {.lex_state = 73, .external_lex_state = 3},
  [1271] = {.lex_state = 73, .external_lex_state = 3},
  [1272] = {.lex_state = 73, .external_lex_state = 3},
  [1273] = {.lex_state = 73, .external_lex_state = 3},
  [1274] = {.lex_state = 73, .external_lex_state = 3},
  [1275] = {.lex_state = 73, .external_lex_state = 3},
  [1276] = {.lex_state = 73, .external_lex_state = 3},
  [1277] = {.lex_state = 73, .external_lex_state = 3},
  [1278] = {.lex_state = 73, .external_lex_state = 3},
  [1279] = {.lex_state = 73, .external_lex_state = 3},
  [1280] = {.lex_state = 73, .external_lex_state = 3},
  [1281] = {.lex_state = 73, .external_lex_state = 3},
  [1282] = {.lex_state = 73, .external_lex_state = 3},
  [1283] = {.lex_state = 73, .external_lex_state = 3},
  [1284] = {.lex_state = 73, .external_lex_state = 3},
  [1285] = {.lex_state = 73, .external_lex_state = 3},
  [1286] = {.lex_state = 73, .external_lex_state = 3},
  [1287] = {.lex_state = 73, .external_lex_state = 3},
  [1288] = {.lex_state = 73, .external_lex_state = 3},
  [1289] = {.lex_state = 73, .external_lex_state = 3},
  [1290] = {.lex_state = 73, .external_lex_state = 3},
  [1291] = {.lex_state = 73, .external_lex_state = 3},
  [1292] = {.lex_state = 73, .external_lex_state = 3},
  [1293] = {.lex_state = 73, .external_lex_state = 3},
  [1294] = {.lex_state = 73, .external_lex_state = 3},
  [1295] = {.lex_state = 73, .external_lex_state = 3},
  [1296] = {.lex_state = 73, .external_lex_state = 3},
  [1297] = {.lex_state = 73, .external_lex_state = 3},
  [1298] = {.lex_state = 73, .external_lex_state = 3},
  [1299] = {.lex_state = 73, .external_lex_state = 3},
  [1300] = {.lex_state = 73, .external_lex_state = 3},
  [1301] = {.lex_state = 73, .external_lex_state = 3},
  [1302] = {.lex_state = 73, .external_lex_state = 3},
  [1303] = {.lex_state = 73, .external_lex_state = 3},
  [1304] = {.lex_state = 73, .external_lex_state = 3},
  [1305] = {.lex_state = 73, .external_lex_state = 3},
  [1306] = {.lex_state = 73, .external_lex_state = 3},
  [1307] = {.lex_state = 73, .external_lex_state = 3},
  [1308] = {.lex_state = 73, .external_lex_state = 3},
  [1309] = {.lex_state = 73, .external_lex_state = 3},
  [1310] = {.lex_state = 73, .external_lex_state = 3},
  [1311] = {.lex_state = 73, .external_lex_state = 3},
  [1312] = {.lex_state = 73, .external_lex_state = 20},
  [1313] = {.lex_state = 73, .external_lex_state = 3},
  [1314] = {.lex_state = 73, .external_lex_state = 3},
  [1315] = {.lex_state = 73, .external_lex_state = 3},
  [1316] = {.lex_state = 73, .external_lex_state = 3},
  [1317] = {.lex_state = 73, .external_lex_state = 3},
  [1318] = {.lex_state = 73, .external_lex_state = 3},
  [1319] = {.lex_state = 73, .external_lex_state = 3},
  [1320] = {.lex_state = 73, .external_lex_state = 3},
  [1321] = {.lex_state = 73, .external_lex_state = 3},
  [1322] = {.lex_state = 73, .external_lex_state = 3},
  [1323] = {.lex_state = 73, .external_lex_state = 3},
  [1324] = {.lex_state = 73, .external_lex_state = 3},
  [1325] = {.lex_state = 73, .external_lex_state = 3},
  [1326] = {.lex_state = 73, .external_lex_state = 3},
  [1327] = {.lex_state = 73, .external_lex_state = 3},
  [1328] = {.lex_state = 73, .external_lex_state = 3},
  [1329] = {.lex_state = 73, .external_lex_state = 3},
  [1330] = {.lex_state = 73, .external_lex_state = 3},
  [1331] = {.lex_state = 73, .external_lex_state = 3},
  [1332] = {.lex_state = 73, .external_lex_state = 3},
  [1333] = {.lex_state = 73, .external_lex_state = 3},
  [1334] = {.lex_state = 73, .external_lex_state = 3},
  [1335] = {.lex_state = 73, .external_lex_state = 3},
  [1336] = {.lex_state = 73, .external_lex_state = 3},
  [1337] = {.lex_state = 73, .external_lex_state = 3},
  [1338] = {.lex_state = 73, .external_lex_state = 3},
  [1339] = {.lex_state = 73, .external_lex_state = 3},
  [1340] = {.lex_state = 73, .external_lex_state = 3},
  [1341] = {.lex_state = 73, .external_lex_state = 3},
  [1342] = {.lex_state = 73, .external_lex_state = 3},
  [1343] = {.lex_state = 73, .external_lex_state = 3},
  [1344] = {.lex_state = 73, .external_lex_state = 3},
  [1345] = {.lex_state = 73, .external_lex_state = 3},
  [1346] = {.lex_state = 73, .external_lex_state = 3},
  [1347] = {.lex_state = 73, .external_lex_state = 3},
  [1348] = {.lex_state = 73, .external_lex_state = 3},
  [1349] = {.lex_state = 73, .external_lex_state = 3},
  [1350] = {.lex_state = 73, .external_lex_state = 3},
  [1351] = {.lex_state = 73, .external_lex_state = 3},
  [1352] = {.lex_state = 73, .external_lex_state = 3},
  [1353] = {.lex_state = 73, .external_lex_state = 3},
  [1354] = {.lex_state = 73, .external_lex_state = 3},
  [1355] = {.lex_state = 73, .external_lex_state = 3},
  [1356] = {.lex_state = 73, .external_lex_state = 3},
  [1357] = {.lex_state = 73, .external_lex_state = 3},
  [1358] = {.lex_state = 73, .external_lex_state = 3},
  [1359] = {.lex_state = 73, .external_lex_state = 3},
  [1360] = {.lex_state = 73, .external_lex_state = 3},
  [1361] = {.lex_state = 73, .external_lex_state = 3},
  [1362] = {.lex_state = 73, .external_lex_state = 3},
  [1363] = {.lex_state = 73, .external_lex_state = 3},
  [1364] = {.lex_state = 73, .external_lex_state = 3},
  [1365] = {.lex_state = 73, .external_lex_state = 20},
  [1366] = {.lex_state = 73, .external_lex_state = 3},
  [1367] = {.lex_state = 73, .external_lex_state = 3},
  [1368] = {.lex_state = 73, .external_lex_state = 3},
  [1369] = {.lex_state = 73, .external_lex_state = 3},
  [1370] = {.lex_state = 73, .external_lex_state = 3},
  [1371] = {.lex_state = 73, .external_lex_state = 3},
  [1372] = {.lex_state = 73, .external_lex_state = 3},
  [1373] = {.lex_state = 73, .external_lex_state = 3},
  [1374] = {.lex_state = 73, .external_lex_state = 3},
  [1375] = {.lex_state = 73, .external_lex_state = 3},
  [1376] = {.lex_state = 73, .external_lex_state = 3},
  [1377] = {.lex_state = 73, .external_lex_state = 3},
  [1378] = {.lex_state = 73, .external_lex_state = 3},
  [1379] = {.lex_state = 73, .external_lex_state = 3},
  [1380] = {.lex_state = 73, .external_lex_state = 3},
  [1381] = {.lex_state = 73, .external_lex_state = 3},
  [1382] = {.lex_state = 73, .external_lex_state = 3},
  [1383] = {.lex_state = 73, .external_lex_state = 3},
  [1384] = {.lex_state = 73, .external_lex_state = 3},
  [1385] = {.lex_state = 73, .external_lex_state = 3},
  [1386] = {.lex_state = 73, .external_lex_state = 3},
  [1387] = {.lex_state = 73, .external_lex_state = 3},
  [1388] = {.lex_state = 73, .external_lex_state = 3},
  [1389] = {.lex_state = 73, .external_lex_state = 3},
  [1390] = {.lex_state = 73, .external_lex_state = 3},
  [1391] = {.lex_state = 73, .external_lex_state = 3},
  [1392] = {.lex_state = 73, .external_lex_state = 3},
  [1393] = {.lex_state = 73, .external_lex_state = 3},
  [1394] = {.lex_state = 73, .external_lex_state = 3},
  [1395] = {.lex_state = 73, .external_lex_state = 3},
  [1396] = {.lex_state = 73, .external_lex_state = 3},
  [1397] = {.lex_state = 73, .external_lex_state = 3},
  [1398] = {.lex_state = 73, .external_lex_state = 3},
  [1399] = {.lex_state = 73, .external_lex_state = 3},
  [1400] = {.lex_state = 73, .external_lex_state = 3},
  [1401] = {.lex_state = 73, .external_lex_state = 3},
  [1402] = {.lex_state = 73, .external_lex_state = 3},
  [1403] = {.lex_state = 73, .external_lex_state = 3},
  [1404] = {.lex_state = 73, .external_lex_state = 3},
  [1405] = {.lex_state = 73, .external_lex_state = 3},
  [1406] = {.lex_state = 73, .external_lex_state = 3},
  [1407] = {.lex_state = 73, .external_lex_state = 3},
  [1408] = {.lex_state = 73, .external_lex_state = 3},
  [1409] = {.lex_state = 73, .external_lex_state = 3},
  [1410] = {.lex_state = 73, .external_lex_state = 3},
  [1411] = {.lex_state = 73, .external_lex_state = 3},
  [1412] = {.lex_state = 73, .external_lex_state = 3},
  [1413] = {.lex_state = 73, .external_lex_state = 3},
  [1414] = {.lex_state = 73, .external_lex_state = 3},
  [1415] = {.lex_state = 73, .external_lex_state = 3},
  [1416] = {.lex_state = 73, .external_lex_state = 3},
  [1417] = {.lex_state = 73, .external_lex_state = 3},
  [1418] = {.lex_state = 73, .external_lex_state = 3},
  [1419] = {.lex_state = 73, .external_lex_state = 3},
  [1420] = {.lex_state = 73, .external_lex_state = 3},
  [1421] = {.lex_state = 73, .external_lex_state = 3},
  [1422] = {.lex_state = 73, .external_lex_state = 3},
  [1423] = {.lex_state = 73, .external_lex_state = 3},
  [1424] = {.lex_state = 73, .external_lex_state = 3},
  [1425] = {.lex_state = 73, .external_lex_state = 3},
  [1426] = {.lex_state = 73, .external_lex_state = 3},
  [1427] = {.lex_state = 73, .external_lex_state = 3},
  [1428] = {.lex_state = 73, .external_lex_state = 3},
  [1429] = {.lex_state = 73, .external_lex_state = 3},
  [1430] = {.lex_state = 73, .external_lex_state = 3},
  [1431] = {.lex_state = 73, .external_lex_state = 3},
  [1432] = {.lex_state = 73, .external_lex_state = 3},
  [1433] = {.lex_state = 73, .external_lex_state = 3},
  [1434] = {.lex_state = 73, .external_lex_state = 3},
  [1435] = {.lex_state = 73, .external_lex_state = 3},
  [1436] = {.lex_state = 73, .external_lex_state = 3},
  [1437] = {.lex_state = 73, .external_lex_state = 3},
  [1438] = {.lex_state = 73, .external_lex_state = 3},
  [1439] = {.lex_state = 73, .external_lex_state = 3},
  [1440] = {.lex_state = 73, .external_lex_state = 3},
  [1441] = {.lex_state = 73, .external_lex_state = 3},
  [1442] = {.lex_state = 73, .external_lex_state = 3},
  [1443] = {.lex_state = 73, .external_lex_state = 3},
  [1444] = {.lex_state = 73, .external_lex_state = 3},
  [1445] = {.lex_state = 73, .external_lex_state = 3},
  [1446] = {.lex_state = 73, .external_lex_state = 3},
  [1447] = {.lex_state = 73, .external_lex_state = 3},
  [1448] = {.lex_state = 73, .external_lex_state = 3},
  [1449] = {.lex_state = 73, .external_lex_state = 3},
  [1450] = {.lex_state = 73, .external_lex_state = 3},
  [1451] = {.lex_state = 73, .external_lex_state = 3},
  [1452] = {.lex_state = 73, .external_lex_state = 3},
  [1453] = {.lex_state = 73, .external_lex_state = 3},
  [1454] = {.lex_state = 73, .external_lex_state = 3},
  [1455] = {.lex_state = 73, .external_lex_state = 3},
  [1456] = {.lex_state = 73, .external_lex_state = 3},
  [1457] = {.lex_state = 73, .external_lex_state = 3},
  [1458] = {.lex_state = 73, .external_lex_state = 3},
  [1459] = {.lex_state = 73, .external_lex_state = 3},
  [1460] = {.lex_state = 73, .external_lex_state = 3},
  [1461] = {.lex_state = 73, .external_lex_state = 3},
  [1462] = {.lex_state = 73, .external_lex_state = 3},
  [1463] = {.lex_state = 73, .external_lex_state = 3},
  [1464] = {.lex_state = 73, .external_lex_state = 3},
  [1465] = {.lex_state = 73, .external_lex_state = 3},
  [1466] = {.lex_state = 73, .external_lex_state = 3},
  [1467] = {.lex_state = 73, .external_lex_state = 3},
  [1468] = {.lex_state = 73, .external_lex_state = 3},
  [1469] = {.lex_state = 73, .external_lex_state = 3},
  [1470] = {.lex_state = 73, .external_lex_state = 3},
  [1471] = {.lex_state = 73, .external_lex_state = 3},
  [1472] = {.lex_state = 73, .external_lex_state = 3},
  [1473] = {.lex_state = 73, .external_lex_state = 3},
  [1474] = {.lex_state = 73, .external_lex_state = 3},
  [1475] = {.lex_state = 73, .external_lex_state = 3},
  [1476] = {.lex_state = 73, .external_lex_state = 3},
  [1477] = {.lex_state = 73, .external_lex_state = 3},
  [1478] = {.lex_state = 73, .external_lex_state = 3},
  [1479] = {.lex_state = 73, .external_lex_state = 3},
  [1480] = {.lex_state = 73, .external_lex_state = 3},
  [1481] = {.lex_state = 73, .external_lex_state = 3},
  [1482] = {.lex_state = 73, .external_lex_state = 3},
  [1483] = {.lex_state = 73, .external_lex_state = 3},
  [1484] = {.lex_state = 73, .external_lex_state = 3},
  [1485] = {.lex_state = 73, .external_lex_state = 3},
  [1486] = {.lex_state = 73, .external_lex_state = 3},
  [1487] = {.lex_state = 73, .external_lex_state = 3},
  [1488] = {.lex_state = 73, .external_lex_state = 3},
  [1489] = {.lex_state = 73, .external_lex_state = 3},
  [1490] = {.lex_state = 73, .external_lex_state = 3},
  [1491] = {.lex_state = 73, .external_lex_state = 3},
  [1492] = {.lex_state = 73, .external_lex_state = 3},
  [1493] = {.lex_state = 73, .external_lex_state = 3},
  [1494] = {.lex_state = 73, .external_lex_state = 3},
  [1495] = {.lex_state = 73, .external_lex_state = 3},
  [1496] = {.lex_state = 73, .external_lex_state = 3},
  [1497] = {.lex_state = 73, .external_lex_state = 3},
  [1498] = {.lex_state = 73, .external_lex_state = 3},
  [1499] = {.lex_state = 73, .external_lex_state = 3},
  [1500] = {.lex_state = 73, .external_lex_state = 3},
  [1501] = {.lex_state = 73, .external_lex_state = 3},
  [1502] = {.lex_state = 73, .external_lex_state = 3},
  [1503] = {.lex_state = 73, .external_lex_state = 3},
  [1504] = {.lex_state = 73, .external_lex_state = 3},
  [1505] = {.lex_state = 73, .external_lex_state = 3},
  [1506] = {.lex_state = 73, .external_lex_state = 3},
  [1507] = {.lex_state = 73, .external_lex_state = 3},
  [1508] = {.lex_state = 73, .external_lex_state = 3},
  [1509] = {.lex_state = 73, .external_lex_state = 3},
  [1510] = {.lex_state = 73, .external_lex_state = 3},
  [1511] = {.lex_state = 73, .external_lex_state = 3},
  [1512] = {.lex_state = 73, .external_lex_state = 3},
  [1513] = {.lex_state = 73, .external_lex_state = 3},
  [1514] = {.lex_state = 73, .external_lex_state = 3},
  [1515] = {.lex_state = 73, .external_lex_state = 3},
  [1516] = {.lex_state = 73, .external_lex_state = 3},
  [1517] = {.lex_state = 73, .external_lex_state = 3},
  [1518] = {.lex_state = 73, .external_lex_state = 3},
  [1519] = {.lex_state = 73, .external_lex_state = 3},
  [1520] = {.lex_state = 73, .external_lex_state = 3},
  [1521] = {.lex_state = 73, .external_lex_state = 3},
  [1522] = {.lex_state = 73, .external_lex_state = 3},
  [1523] = {.lex_state = 73, .external_lex_state = 3},
  [1524] = {.lex_state = 73, .external_lex_state = 3},
  [1525] = {.lex_state = 73, .external_lex_state = 3},
  [1526] = {.lex_state = 73, .external_lex_state = 3},
  [1527] = {.lex_state = 73, .external_lex_state = 3},
  [1528] = {.lex_state = 73, .external_lex_state = 3},
  [1529] = {.lex_state = 73, .external_lex_state = 3},
  [1530] = {.lex_state = 73, .external_lex_state = 3},
  [1531] = {.lex_state = 73, .external_lex_state = 3},
  [1532] = {.lex_state = 73, .external_lex_state = 3},
  [1533] = {.lex_state = 73, .external_lex_state = 3},
  [1534] = {.lex_state = 73, .external_lex_state = 3},
  [1535] = {.lex_state = 73, .external_lex_state = 3},
  [1536] = {.lex_state = 73, .external_lex_state = 3},
  [1537] = {.lex_state = 73, .external_lex_state = 3},
  [1538] = {.lex_state = 73, .external_lex_state = 3},
  [1539] = {.lex_state = 73, .external_lex_state = 3},
  [1540] = {.lex_state = 73, .external_lex_state = 3},
  [1541] = {.lex_state = 73, .external_lex_state = 3},
  [1542] = {.lex_state = 73, .external_lex_state = 3},
  [1543] = {.lex_state = 73, .external_lex_state = 3},
  [1544] = {.lex_state = 73, .external_lex_state = 3},
  [1545] = {.lex_state = 73, .external_lex_state = 3},
  [1546] = {.lex_state = 73, .external_lex_state = 3},
  [1547] = {.lex_state = 73, .external_lex_state = 3},
  [1548] = {.lex_state = 73, .external_lex_state = 3},
  [1549] = {.lex_state = 73, .external_lex_state = 3},
  [1550] = {.lex_state = 73, .external_lex_state = 3},
  [1551] = {.lex_state = 73, .external_lex_state = 3},
  [1552] = {.lex_state = 73, .external_lex_state = 3},
  [1553] = {.lex_state = 73, .external_lex_state = 3},
  [1554] = {.lex_state = 73, .external_lex_state = 3},
  [1555] = {.lex_state = 73, .external_lex_state = 3},
  [1556] = {.lex_state = 73, .external_lex_state = 3},
  [1557] = {.lex_state = 73, .external_lex_state = 3},
  [1558] = {.lex_state = 73, .external_lex_state = 3},
  [1559] = {.lex_state = 73, .external_lex_state = 3},
  [1560] = {.lex_state = 73, .external_lex_state = 3},
  [1561] = {.lex_state = 73, .external_lex_state = 3},
  [1562] = {.lex_state = 73, .external_lex_state = 3},
  [1563] = {.lex_state = 73, .external_lex_state = 3},
  [1564] = {.lex_state = 73, .external_lex_state = 3},
  [1565] = {.lex_state = 73, .external_lex_state = 3},
  [1566] = {.lex_state = 73, .external_lex_state = 3},
  [1567] = {.lex_state = 73, .external_lex_state = 3},
  [1568] = {.lex_state = 73, .external_lex_state = 3},
  [1569] = {.lex_state = 73, .external_lex_state = 3},
  [1570] = {.lex_state = 73, .external_lex_state = 3},
  [1571] = {.lex_state = 73, .external_lex_state = 3},
  [1572] = {.lex_state = 73, .external_lex_state = 3},
  [1573] = {.lex_state = 73, .external_lex_state = 3},
  [1574] = {.lex_state = 73, .external_lex_state = 3},
  [1575] = {.lex_state = 73, .external_lex_state = 3},
  [1576] = {.lex_state = 73, .external_lex_state = 3},
  [1577] = {.lex_state = 73, .external_lex_state = 3},
  [1578] = {.lex_state = 73, .external_lex_state = 3},
  [1579] = {.lex_state = 73, .external_lex_state = 3},
  [1580] = {.lex_state = 73, .external_lex_state = 3},
  [1581] = {.lex_state = 73, .external_lex_state = 3},
  [1582] = {.lex_state = 73, .external_lex_state = 3},
  [1583] = {.lex_state = 73, .external_lex_state = 3},
  [1584] = {.lex_state = 73, .external_lex_state = 3},
  [1585] = {.lex_state = 73, .external_lex_state = 3},
  [1586] = {.lex_state = 73, .external_lex_state = 3},
  [1587] = {.lex_state = 73, .external_lex_state = 3},
  [1588] = {.lex_state = 73, .external_lex_state = 3},
  [1589] = {.lex_state = 73, .external_lex_state = 3},
  [1590] = {.lex_state = 73, .external_lex_state = 3},
  [1591] = {.lex_state = 73, .external_lex_state = 3},
  [1592] = {.lex_state = 73, .external_lex_state = 3},
  [1593] = {.lex_state = 73, .external_lex_state = 3},
  [1594] = {.lex_state = 73, .external_lex_state = 3},
  [1595] = {.lex_state = 73, .external_lex_state = 3},
  [1596] = {.lex_state = 73, .external_lex_state = 3},
  [1597] = {.lex_state = 73, .external_lex_state = 3},
  [1598] = {.lex_state = 73, .external_lex_state = 3},
  [1599] = {.lex_state = 73, .external_lex_state = 3},
  [1600] = {.lex_state = 73, .external_lex_state = 3},
  [1601] = {.lex_state = 73, .external_lex_state = 3},
  [1602] = {.lex_state = 73, .external_lex_state = 3},
  [1603] = {.lex_state = 73, .external_lex_state = 3},
  [1604] = {.lex_state = 73, .external_lex_state = 3},
  [1605] = {.lex_state = 73, .external_lex_state = 3},
  [1606] = {.lex_state = 73, .external_lex_state = 3},
  [1607] = {.lex_state = 73, .external_lex_state = 3},
  [1608] = {.lex_state = 73, .external_lex_state = 3},
  [1609] = {.lex_state = 73, .external_lex_state = 3},
  [1610] = {.lex_state = 73, .external_lex_state = 3},
  [1611] = {.lex_state = 73, .external_lex_state = 3},
  [1612] = {.lex_state = 73, .external_lex_state = 3},
  [1613] = {.lex_state = 73, .external_lex_state = 3},
  [1614] = {.lex_state = 73, .external_lex_state = 3},
  [1615] = {.lex_state = 73, .external_lex_state = 3},
  [1616] = {.lex_state = 73, .external_lex_state = 3},
  [1617] = {.lex_state = 73, .external_lex_state = 3},
  [1618] = {.lex_state = 73, .external_lex_state = 3},
  [1619] = {.lex_state = 73, .external_lex_state = 3},
  [1620] = {.lex_state = 73, .external_lex_state = 3},
  [1621] = {.lex_state = 73, .external_lex_state = 3},
  [1622] = {.lex_state = 73, .external_lex_state = 3},
  [1623] = {.lex_state = 73, .external_lex_state = 3},
  [1624] = {.lex_state = 73, .external_lex_state = 3},
  [1625] = {.lex_state = 73, .external_lex_state = 3},
  [1626] = {.lex_state = 73, .external_lex_state = 3},
  [1627] = {.lex_state = 73, .external_lex_state = 3},
  [1628] = {.lex_state = 73, .external_lex_state = 3},
  [1629] = {.lex_state = 73, .external_lex_state = 3},
  [1630] = {.lex_state = 73, .external_lex_state = 3},
  [1631] = {.lex_state = 73, .external_lex_state = 3},
  [1632] = {.lex_state = 73, .external_lex_state = 3},
  [1633] = {.lex_state = 73, .external_lex_state = 3},
  [1634] = {.lex_state = 73, .external_lex_state = 3},
  [1635] = {.lex_state = 73, .external_lex_state = 3},
  [1636] = {.lex_state = 73, .external_lex_state = 3},
  [1637] = {.lex_state = 73, .external_lex_state = 3},
  [1638] = {.lex_state = 73, .external_lex_state = 3},
  [1639] = {.lex_state = 73, .external_lex_state = 3},
  [1640] = {.lex_state = 73, .external_lex_state = 3},
  [1641] = {.lex_state = 73, .external_lex_state = 3},
  [1642] = {.lex_state = 73, .external_lex_state = 3},
  [1643] = {.lex_state = 73, .external_lex_state = 3},
  [1644] = {.lex_state = 73, .external_lex_state = 3},
  [1645] = {.lex_state = 73, .external_lex_state = 3},
  [1646] = {.lex_state = 73, .external_lex_state = 3},
  [1647] = {.lex_state = 73, .external_lex_state = 3},
  [1648] = {.lex_state = 73, .external_lex_state = 3},
  [1649] = {.lex_state = 73, .external_lex_state = 3},
  [1650] = {.lex_state = 73, .external_lex_state = 3},
  [1651] = {.lex_state = 73, .external_lex_state = 3},
  [1652] = {.lex_state = 73, .external_lex_state = 3},
  [1653] = {.lex_state = 73, .external_lex_state = 3},
  [1654] = {.lex_state = 73, .external_lex_state = 3},
  [1655] = {.lex_state = 73, .external_lex_state = 3},
  [1656] = {.lex_state = 73, .external_lex_state = 3},
  [1657] = {.lex_state = 73, .external_lex_state = 3},
  [1658] = {.lex_state = 73, .external_lex_state = 3},
  [1659] = {.lex_state = 73, .external_lex_state = 3},
  [1660] = {.lex_state = 73, .external_lex_state = 3},
  [1661] = {.lex_state = 73, .external_lex_state = 3},
  [1662] = {.lex_state = 73, .external_lex_state = 3},
  [1663] = {.lex_state = 73, .external_lex_state = 3},
  [1664] = {.lex_state = 73, .external_lex_state = 3},
  [1665] = {.lex_state = 73, .external_lex_state = 3},
  [1666] = {.lex_state = 73, .external_lex_state = 3},
  [1667] = {.lex_state = 73, .external_lex_state = 3},
  [1668] = {.lex_state = 73, .external_lex_state = 3},
  [1669] = {.lex_state = 73, .external_lex_state = 3},
  [1670] = {.lex_state = 73, .external_lex_state = 3},
  [1671] = {.lex_state = 73, .external_lex_state = 3},
  [1672] = {.lex_state = 73, .external_lex_state = 3},
  [1673] = {.lex_state = 73, .external_lex_state = 3},
  [1674] = {.lex_state = 73, .external_lex_state = 3},
  [1675] = {.lex_state = 73, .external_lex_state = 3},
  [1676] = {.lex_state = 73, .external_lex_state = 3},
  [1677] = {.lex_state = 73, .external_lex_state = 3},
  [1678] = {.lex_state = 73, .external_lex_state = 3},
  [1679] = {.lex_state = 73, .external_lex_state = 3},
  [1680] = {.lex_state = 73, .external_lex_state = 3},
  [1681] = {.lex_state = 73, .external_lex_state = 3},
  [1682] = {.lex_state = 73, .external_lex_state = 3},
  [1683] = {.lex_state = 73, .external_lex_state = 3},
  [1684] = {.lex_state = 73, .external_lex_state = 3},
  [1685] = {.lex_state = 73, .external_lex_state = 3},
  [1686] = {.lex_state = 73, .external_lex_state = 3},
  [1687] = {.lex_state = 73, .external_lex_state = 3},
  [1688] = {.lex_state = 73, .external_lex_state = 3},
  [1689] = {.lex_state = 73, .external_lex_state = 3},
  [1690] = {.lex_state = 73, .external_lex_state = 3},
  [1691] = {.lex_state = 73, .external_lex_state = 3},
  [1692] = {.lex_state = 73, .external_lex_state = 3},
  [1693] = {.lex_state = 73, .external_lex_state = 3},
  [1694] = {.lex_state = 73, .external_lex_state = 3},
  [1695] = {.lex_state = 73, .external_lex_state = 3},
  [1696] = {.lex_state = 73, .external_lex_state = 3},
  [1697] = {.lex_state = 73, .external_lex_state = 3},
  [1698] = {.lex_state = 73, .external_lex_state = 3},
  [1699] = {.lex_state = 73, .external_lex_state = 3},
  [1700] = {.lex_state = 73, .external_lex_state = 3},
  [1701] = {.lex_state = 73, .external_lex_state = 2},
  [1702] = {.lex_state = 73, .external_lex_state = 2},
  [1703] = {.lex_state = 73, .external_lex_state = 2},
  [1704] = {.lex_state = 72, .external_lex_state = 2},
  [1705] = {.lex_state = 72, .external_lex_state = 2},
  [1706] = {.lex_state = 73, .external_lex_state = 2},
  [1707] = {.lex_state = 73, .external_lex_state = 2},
  [1708] = {.lex_state = 73, .external_lex_state = 2},
  [1709] = {.lex_state = 73, .external_lex_state = 2},
  [1710] = {.lex_state = 73, .external_lex_state = 2},
  [1711] = {.lex_state = 72, .external_lex_state = 2},
  [1712] = {.lex_state = 73, .external_lex_state = 2},
  [1713] = {.lex_state = 73, .external_lex_state = 2},
  [1714] = {.lex_state = 73, .external_lex_state = 2},
  [1715] = {.lex_state = 73, .external_lex_state = 2},
  [1716] = {.lex_state = 73, .external_lex_state = 2},
  [1717] = {.lex_state = 72, .external_lex_state = 2},
  [1718] = {.lex_state = 72, .external_lex_state = 2},
  [1719] = {.lex_state = 73, .external_lex_state = 2},
  [1720] = {.lex_state = 72, .external_lex_state = 2},
  [1721] = {.lex_state = 72, .external_lex_state = 2},
  [1722] = {.lex_state = 72, .external_lex_state = 2},
  [1723] = {.lex_state = 73, .external_lex_state = 2},
  [1724] = {.lex_state = 73, .external_lex_state = 2},
  [1725] = {.lex_state = 72, .external_lex_state = 2},
  [1726] = {.lex_state = 73, .external_lex_state = 2},
  [1727] = {.lex_state = 72, .external_lex_state = 2},
  [1728] = {.lex_state = 73, .external_lex_state = 2},
  [1729] = {.lex_state = 73, .external_lex_state = 2},
  [1730] = {.lex_state = 73, .external_lex_state = 2},
  [1731] = {.lex_state = 73, .external_lex_state = 2},
  [1732] = {.lex_state = 73, .external_lex_state = 2},
  [1733] = {.lex_state = 73, .external_lex_state = 2},
  [1734] = {.lex_state = 73, .external_lex_state = 2},
  [1735] = {.lex_state = 73, .external_lex_state = 2},
  [1736] = {.lex_state = 73, .external_lex_state = 2},
  [1737] = {.lex_state = 73, .external_lex_state = 2},
  [1738] = {.lex_state = 73, .external_lex_state = 2},
  [1739] = {.lex_state = 73, .external_lex_state = 2},
  [1740] = {.lex_state = 73, .external_lex_state = 2},
  [1741] = {.lex_state = 73, .external_lex_state = 21},
  [1742] = {.lex_state = 73, .external_lex_state = 2},
  [1743] = {.lex_state = 73, .external_lex_state = 2},
  [1744] = {.lex_state = 73, .external_lex_state = 2},
  [1745] = {.lex_state = 73, .external_lex_state = 2},
  [1746] = {.lex_state = 73, .external_lex_state = 2},
  [1747] = {.lex_state = 73, .external_lex_state = 2},
  [1748] = {.lex_state = 73, .external_lex_state = 2},
  [1749] = {.lex_state = 73, .external_lex_state = 2},
  [1750] = {.lex_state = 73, .external_lex_state = 2},
  [1751] = {.lex_state = 73, .external_lex_state = 2},
  [1752] = {.lex_state = 72, .external_lex_state = 2},
  [1753] = {.lex_state = 73, .external_lex_state = 2},
  [1754] = {.lex_state = 73, .external_lex_state = 2},
  [1755] = {.lex_state = 73, .external_lex_state = 2},
  [1756] = {.lex_state = 72, .external_lex_state = 2},
  [1757] = {.lex_state = 73, .external_lex_state = 2},
  [1758] = {.lex_state = 73, .external_lex_state = 2},
  [1759] = {.lex_state = 73, .external_lex_state = 2},
  [1760] = {.lex_state = 73, .external_lex_state = 2},
  [1761] = {.lex_state = 73, .external_lex_state = 2},
  [1762] = {.lex_state = 73, .external_lex_state = 2},
  [1763] = {.lex_state = 73, .external_lex_state = 2},
  [1764] = {.lex_state = 72, .external_lex_state = 2},
  [1765] = {.lex_state = 73, .external_lex_state = 2},
  [1766] = {.lex_state = 73, .external_lex_state = 2},
  [1767] = {.lex_state = 73, .external_lex_state = 2},
  [1768] = {.lex_state = 72, .external_lex_state = 2},
  [1769] = {.lex_state = 73, .external_lex_state = 2},
  [1770] = {.lex_state = 73, .external_lex_state = 2},
  [1771] = {.lex_state = 73, .external_lex_state = 2},
  [1772] = {.lex_state = 73, .external_lex_state = 2},
  [1773] = {.lex_state = 73, .external_lex_state = 2},
  [1774] = {.lex_state = 73, .external_lex_state = 2},
  [1775] = {.lex_state = 73, .external_lex_state = 2},
  [1776] = {.lex_state = 73, .external_lex_state = 2},
  [1777] = {.lex_state = 73, .external_lex_state = 2},
  [1778] = {.lex_state = 73, .external_lex_state = 2},
  [1779] = {.lex_state = 73, .external_lex_state = 2},
  [1780] = {.lex_state = 73, .external_lex_state = 2},
  [1781] = {.lex_state = 73, .external_lex_state = 2},
  [1782] = {.lex_state = 72, .external_lex_state = 2},
  [1783] = {.lex_state = 73, .external_lex_state = 2},
  [1784] = {.lex_state = 73, .external_lex_state = 2},
  [1785] = {.lex_state = 73, .external_lex_state = 2},
  [1786] = {.lex_state = 73, .external_lex_state = 2},
  [1787] = {.lex_state = 73, .external_lex_state = 2},
  [1788] = {.lex_state = 73, .external_lex_state = 2},
  [1789] = {.lex_state = 73, .external_lex_state = 2},
  [1790] = {.lex_state = 73, .external_lex_state = 2},
  [1791] = {.lex_state = 72, .external_lex_state = 2},
  [1792] = {.lex_state = 73, .external_lex_state = 2},
  [1793] = {.lex_state = 73, .external_lex_state = 2},
  [1794] = {.lex_state = 72, .external_lex_state = 2},
  [1795] = {.lex_state = 73, .external_lex_state = 2},
  [1796] = {.lex_state = 73, .external_lex_state = 2},
  [1797] = {.lex_state = 73, .external_lex_state = 2},
  [1798] = {.lex_state = 73, .external_lex_state = 2},
  [1799] = {.lex_state = 73, .external_lex_state = 2},
  [1800] = {.lex_state = 72, .external_lex_state = 2},
  [1801] = {.lex_state = 73, .external_lex_state = 2},
  [1802] = {.lex_state = 73, .external_lex_state = 2},
  [1803] = {.lex_state = 73, .external_lex_state = 2},
  [1804] = {.lex_state = 73, .external_lex_state = 2},
  [1805] = {.lex_state = 72, .external_lex_state = 2},
  [1806] = {.lex_state = 72, .external_lex_state = 2},
  [1807] = {.lex_state = 73, .external_lex_state = 2},
  [1808] = {.lex_state = 73, .external_lex_state = 2},
  [1809] = {.lex_state = 73, .external_lex_state = 2},
  [1810] = {.lex_state = 73, .external_lex_state = 2},
  [1811] = {.lex_state = 73, .external_lex_state = 2},
  [1812] = {.lex_state = 73, .external_lex_state = 2},
  [1813] = {.lex_state = 73, .external_lex_state = 2},
  [1814] = {.lex_state = 73, .external_lex_state = 21},
  [1815] = {.lex_state = 73, .external_lex_state = 2},
  [1816] = {.lex_state = 73, .external_lex_state = 2},
  [1817] = {.lex_state = 73, .external_lex_state = 2},
  [1818] = {.lex_state = 73, .external_lex_state = 2},
  [1819] = {.lex_state = 73, .external_lex_state = 2},
  [1820] = {.lex_state = 73, .external_lex_state = 2},
  [1821] = {.lex_state = 73, .external_lex_state = 2},
  [1822] = {.lex_state = 73, .external_lex_state = 2},
  [1823] = {.lex_state = 73, .external_lex_state = 2},
  [1824] = {.lex_state = 73, .external_lex_state = 2},
  [1825] = {.lex_state = 73, .external_lex_state = 2},
  [1826] = {.lex_state = 73, .external_lex_state = 2},
  [1827] = {.lex_state = 72, .external_lex_state = 2},
  [1828] = {.lex_state = 73, .external_lex_state = 2},
  [1829] = {.lex_state = 72, .external_lex_state = 2},
  [1830] = {.lex_state = 73, .external_lex_state = 2},
  [1831] = {.lex_state = 73, .external_lex_state = 2},
  [1832] = {.lex_state = 72, .external_lex_state = 2},
  [1833] = {.lex_state = 73, .external_lex_state = 2},
  [1834] = {.lex_state = 72, .external_lex_state = 2},
  [1835] = {.lex_state = 73, .external_lex_state = 2},
  [1836] = {.lex_state = 73, .external_lex_state = 2},
  [1837] = {.lex_state = 73, .external_lex_state = 2},
  [1838] = {.lex_state = 73, .external_lex_state = 2},
  [1839] = {.lex_state = 73, .external_lex_state = 2},
  [1840] = {.lex_state = 73, .external_lex_state = 2},
  [1841] = {.lex_state = 73, .external_lex_state = 2},
  [1842] = {.lex_state = 73, .external_lex_state = 2},
  [1843] = {.lex_state = 73, .external_lex_state = 2},
  [1844] = {.lex_state = 73, .external_lex_state = 2},
  [1845] = {.lex_state = 73, .external_lex_state = 2},
  [1846] = {.lex_state = 73, .external_lex_state = 2},
  [1847] = {.lex_state = 73, .external_lex_state = 2},
  [1848] = {.lex_state = 73, .external_lex_state = 2},
  [1849] = {.lex_state = 72, .external_lex_state = 2},
  [1850] = {.lex_state = 73, .external_lex_state = 2},
  [1851] = {.lex_state = 73, .external_lex_state = 2},
  [1852] = {.lex_state = 73, .external_lex_state = 2},
  [1853] = {.lex_state = 73, .external_lex_state = 2},
  [1854] = {.lex_state = 73, .external_lex_state = 2},
  [1855] = {.lex_state = 73, .external_lex_state = 2},
  [1856] = {.lex_state = 73, .external_lex_state = 2},
  [1857] = {.lex_state = 73, .external_lex_state = 2},
  [1858] = {.lex_state = 73, .external_lex_state = 2},
  [1859] = {.lex_state = 73, .external_lex_state = 2},
  [1860] = {.lex_state = 73, .external_lex_state = 2},
  [1861] = {.lex_state = 73, .external_lex_state = 2},
  [1862] = {.lex_state = 73, .external_lex_state = 2},
  [1863] = {.lex_state = 73, .external_lex_state = 2},
  [1864] = {.lex_state = 73, .external_lex_state = 2},
  [1865] = {.lex_state = 73, .external_lex_state = 2},
  [1866] = {.lex_state = 73, .external_lex_state = 2},
  [1867] = {.lex_state = 73, .external_lex_state = 2},
  [1868] = {.lex_state = 73, .external_lex_state = 2},
  [1869] = {.lex_state = 73, .external_lex_state = 2},
  [1870] = {.lex_state = 73, .external_lex_state = 2},
  [1871] = {.lex_state = 73, .external_lex_state = 2},
  [1872] = {.lex_state = 73, .external_lex_state = 2},
  [1873] = {.lex_state = 73, .external_lex_state = 2},
  [1874] = {.lex_state = 73, .external_lex_state = 2},
  [1875] = {.lex_state = 73, .external_lex_state = 2},
  [1876] = {.lex_state = 73, .external_lex_state = 2},
  [1877] = {.lex_state = 73, .external_lex_state = 2},
  [1878] = {.lex_state = 73, .external_lex_state = 2},
  [1879] = {.lex_state = 73, .external_lex_state = 2},
  [1880] = {.lex_state = 73, .external_lex_state = 2},
  [1881] = {.lex_state = 73, .external_lex_state = 2},
  [1882] = {.lex_state = 73, .external_lex_state = 2},
  [1883] = {.lex_state = 73, .external_lex_state = 2},
  [1884] = {.lex_state = 73, .external_lex_state = 2},
  [1885] = {.lex_state = 73, .external_lex_state = 2},
  [1886] = {.lex_state = 73, .external_lex_state = 2},
  [1887] = {.lex_state = 73, .external_lex_state = 2},
  [1888] = {.lex_state = 73, .external_lex_state = 2},
  [1889] = {.lex_state = 73, .external_lex_state = 2},
  [1890] = {.lex_state = 73, .external_lex_state = 2},
  [1891] = {.lex_state = 73, .external_lex_state = 2},
  [1892] = {.lex_state = 73, .external_lex_state = 2},
  [1893] = {.lex_state = 73, .external_lex_state = 2},
  [1894] = {.lex_state = 73, .external_lex_state = 2},
  [1895] = {.lex_state = 73, .external_lex_state = 2},
  [1896] = {.lex_state = 73, .external_lex_state = 2},
  [1897] = {.lex_state = 73, .external_lex_state = 2},
  [1898] = {.lex_state = 73, .external_lex_state = 2},
  [1899] = {.lex_state = 73, .external_lex_state = 2},
  [1900] = {.lex_state = 73, .external_lex_state = 2},
  [1901] = {.lex_state = 73, .external_lex_state = 2},
  [1902] = {.lex_state = 73, .external_lex_state = 2},
  [1903] = {.lex_state = 73, .external_lex_state = 2},
  [1904] = {.lex_state = 73, .external_lex_state = 2},
  [1905] = {.lex_state = 73, .external_lex_state = 2},
  [1906] = {.lex_state = 73, .external_lex_state = 2},
  [1907] = {.lex_state = 73, .external_lex_state = 2},
  [1908] = {.lex_state = 73, .external_lex_state = 2},
  [1909] = {.lex_state = 73, .external_lex_state = 2},
  [1910] = {.lex_state = 73, .external_lex_state = 2},
  [1911] = {.lex_state = 73, .external_lex_state = 2},
  [1912] = {.lex_state = 73, .external_lex_state = 2},
  [1913] = {.lex_state = 73, .external_lex_state = 2},
  [1914] = {.lex_state = 73, .external_lex_state = 2},
  [1915] = {.lex_state = 73, .external_lex_state = 2},
  [1916] = {.lex_state = 73, .external_lex_state = 2},
  [1917] = {.lex_state = 73, .external_lex_state = 2},
  [1918] = {.lex_state = 73, .external_lex_state = 2},
  [1919] = {.lex_state = 73, .external_lex_state = 2},
  [1920] = {.lex_state = 73, .external_lex_state = 2},
  [1921] = {.lex_state = 73, .external_lex_state = 2},
  [1922] = {.lex_state = 73, .external_lex_state = 2},
  [1923] = {.lex_state = 73, .external_lex_state = 2},
  [1924] = {.lex_state = 73, .external_lex_state = 2},
  [1925] = {.lex_state = 73, .external_lex_state = 2},
  [1926] = {.lex_state = 73, .external_lex_state = 2},
  [1927] = {.lex_state = 73, .external_lex_state = 2},
  [1928] = {.lex_state = 73, .external_lex_state = 2},
  [1929] = {.lex_state = 73, .external_lex_state = 2},
  [1930] = {.lex_state = 73, .external_lex_state = 2},
  [1931] = {.lex_state = 73, .external_lex_state = 2},
  [1932] = {.lex_state = 73, .external_lex_state = 2},
  [1933] = {.lex_state = 73, .external_lex_state = 2},
  [1934] = {.lex_state = 73, .external_lex_state = 2},
  [1935] = {.lex_state = 73, .external_lex_state = 2},
  [1936] = {.lex_state = 73, .external_lex_state = 2},
  [1937] = {.lex_state = 73, .external_lex_state = 2},
  [1938] = {.lex_state = 73, .external_lex_state = 2},
  [1939] = {.lex_state = 73, .external_lex_state = 2},
  [1940] = {.lex_state = 73, .external_lex_state = 2},
  [1941] = {.lex_state = 73, .external_lex_state = 2},
  [1942] = {.lex_state = 73, .external_lex_state = 2},
  [1943] = {.lex_state = 73, .external_lex_state = 2},
  [1944] = {.lex_state = 73, .external_lex_state = 2},
  [1945] = {.lex_state = 73, .external_lex_state = 2},
  [1946] = {.lex_state = 73, .external_lex_state = 2},
  [1947] = {.lex_state = 73, .external_lex_state = 2},
  [1948] = {.lex_state = 73, .external_lex_state = 2},
  [1949] = {.lex_state = 73, .external_lex_state = 2},
  [1950] = {.lex_state = 73, .external_lex_state = 2},
  [1951] = {.lex_state = 73, .external_lex_state = 2},
  [1952] = {.lex_state = 73, .external_lex_state = 2},
  [1953] = {.lex_state = 73, .external_lex_state = 2},
  [1954] = {.lex_state = 73, .external_lex_state = 2},
  [1955] = {.lex_state = 73, .external_lex_state = 2},
  [1956] = {.lex_state = 73, .external_lex_state = 2},
  [1957] = {.lex_state = 73, .external_lex_state = 2},
  [1958] = {.lex_state = 73, .external_lex_state = 2},
  [1959] = {.lex_state = 73, .external_lex_state = 2},
  [1960] = {.lex_state = 73, .external_lex_state = 2},
  [1961] = {.lex_state = 73, .external_lex_state = 2},
  [1962] = {.lex_state = 73, .external_lex_state = 2},
  [1963] = {.lex_state = 73, .external_lex_state = 2},
  [1964] = {.lex_state = 73, .external_lex_state = 2},
  [1965] = {.lex_state = 73, .external_lex_state = 2},
  [1966] = {.lex_state = 73, .external_lex_state = 2},
  [1967] = {.lex_state = 73, .external_lex_state = 2},
  [1968] = {.lex_state = 73, .external_lex_state = 2},
  [1969] = {.lex_state = 73, .external_lex_state = 2},
  [1970] = {.lex_state = 73, .external_lex_state = 2},
  [1971] = {.lex_state = 73, .external_lex_state = 2},
  [1972] = {.lex_state = 73, .external_lex_state = 2},
  [1973] = {.lex_state = 73, .external_lex_state = 2},
  [1974] = {.lex_state = 73, .external_lex_state = 2},
  [1975] = {.lex_state = 73, .external_lex_state = 2},
  [1976] = {.lex_state = 73, .external_lex_state = 2},
  [1977] = {.lex_state = 73, .external_lex_state = 2},
  [1978] = {.lex_state = 73, .external_lex_state = 2},
  [1979] = {.lex_state = 73, .external_lex_state = 2},
  [1980] = {.lex_state = 73, .external_lex_state = 2},
  [1981] = {.lex_state = 73, .external_lex_state = 2},
  [1982] = {.lex_state = 73, .external_lex_state = 2},
  [1983] = {.lex_state = 73, .external_lex_state = 2},
  [1984] = {.lex_state = 73, .external_lex_state = 2},
  [1985] = {.lex_state = 73, .external_lex_state = 2},
  [1986] = {.lex_state = 73, .external_lex_state = 2},
  [1987] = {.lex_state = 73, .external_lex_state = 2},
  [1988] = {.lex_state = 73, .external_lex_state = 2},
  [1989] = {.lex_state = 73, .external_lex_state = 2},
  [1990] = {.lex_state = 73, .external_lex_state = 2},
  [1991] = {.lex_state = 73, .external_lex_state = 2},
  [1992] = {.lex_state = 73, .external_lex_state = 2},
  [1993] = {.lex_state = 73, .external_lex_state = 2},
  [1994] = {.lex_state = 73, .external_lex_state = 2},
  [1995] = {.lex_state = 73, .external_lex_state = 2},
  [1996] = {.lex_state = 73, .external_lex_state = 2},
  [1997] = {.lex_state = 73, .external_lex_state = 2},
  [1998] = {.lex_state = 73, .external_lex_state = 2},
  [1999] = {.lex_state = 73, .external_lex_state = 2},
  [2000] = {.lex_state = 73, .external_lex_state = 2},
  [2001] = {.lex_state = 73, .external_lex_state = 2},
  [2002] = {.lex_state = 73, .external_lex_state = 2},
  [2003] = {.lex_state = 73, .external_lex_state = 2},
  [2004] = {.lex_state = 73, .external_lex_state = 2},
  [2005] = {.lex_state = 73, .external_lex_state = 2},
  [2006] = {.lex_state = 73, .external_lex_state = 2},
  [2007] = {.lex_state = 73, .external_lex_state = 2},
  [2008] = {.lex_state = 73, .external_lex_state = 2},
  [2009] = {.lex_state = 73, .external_lex_state = 2},
  [2010] = {.lex_state = 73, .external_lex_state = 2},
  [2011] = {.lex_state = 73, .external_lex_state = 2},
  [2012] = {.lex_state = 73, .external_lex_state = 2},
  [2013] = {.lex_state = 73, .external_lex_state = 2},
  [2014] = {.lex_state = 73, .external_lex_state = 2},
  [2015] = {.lex_state = 73, .external_lex_state = 2},
  [2016] = {.lex_state = 73, .external_lex_state = 2},
  [2017] = {.lex_state = 73, .external_lex_state = 2},
  [2018] = {.lex_state = 73, .external_lex_state = 2},
  [2019] = {.lex_state = 73, .external_lex_state = 2},
  [2020] = {.lex_state = 73, .external_lex_state = 2},
  [2021] = {.lex_state = 73, .external_lex_state = 2},
  [2022] = {.lex_state = 73, .external_lex_state = 2},
  [2023] = {.lex_state = 73, .external_lex_state = 2},
  [2024] = {.lex_state = 73, .external_lex_state = 2},
  [2025] = {.lex_state = 73, .external_lex_state = 2},
  [2026] = {.lex_state = 73, .external_lex_state = 2},
  [2027] = {.lex_state = 73, .external_lex_state = 2},
  [2028] = {.lex_state = 73, .external_lex_state = 2},
  [2029] = {.lex_state = 73, .external_lex_state = 2},
  [2030] = {.lex_state = 73, .external_lex_state = 2},
  [2031] = {.lex_state = 73, .external_lex_state = 2},
  [2032] = {.lex_state = 73, .external_lex_state = 2},
  [2033] = {.lex_state = 73, .external_lex_state = 2},
  [2034] = {.lex_state = 73, .external_lex_state = 2},
  [2035] = {.lex_state = 73, .external_lex_state = 2},
  [2036] = {.lex_state = 73, .external_lex_state = 2},
  [2037] = {.lex_state = 73, .external_lex_state = 2},
  [2038] = {.lex_state = 73, .external_lex_state = 2},
  [2039] = {.lex_state = 73, .external_lex_state = 2},
  [2040] = {.lex_state = 73, .external_lex_state = 2},
  [2041] = {.lex_state = 73, .external_lex_state = 2},
  [2042] = {.lex_state = 73, .external_lex_state = 2},
  [2043] = {.lex_state = 73, .external_lex_state = 2},
  [2044] = {.lex_state = 73, .external_lex_state = 2},
  [2045] = {.lex_state = 73, .external_lex_state = 2},
  [2046] = {.lex_state = 73, .external_lex_state = 2},
  [2047] = {.lex_state = 73, .external_lex_state = 2},
  [2048] = {.lex_state = 73, .external_lex_state = 2},
  [2049] = {.lex_state = 73, .external_lex_state = 2},
  [2050] = {.lex_state = 73, .external_lex_state = 2},
  [2051] = {.lex_state = 73, .external_lex_state = 2},
  [2052] = {.lex_state = 73, .external_lex_state = 2},
  [2053] = {.lex_state = 73, .external_lex_state = 2},
  [2054] = {.lex_state = 73, .external_lex_state = 2},
  [2055] = {.lex_state = 73, .external_lex_state = 2},
  [2056] = {.lex_state = 73, .external_lex_state = 2},
  [2057] = {.lex_state = 73, .external_lex_state = 2},
  [2058] = {.lex_state = 73, .external_lex_state = 2},
  [2059] = {.lex_state = 73, .external_lex_state = 2},
  [2060] = {.lex_state = 73, .external_lex_state = 2},
  [2061] = {.lex_state = 73, .external_lex_state = 2},
  [2062] = {.lex_state = 73, .external_lex_state = 2},
  [2063] = {.lex_state = 73, .external_lex_state = 2},
  [2064] = {.lex_state = 73, .external_lex_state = 2},
  [2065] = {.lex_state = 73, .external_lex_state = 2},
  [2066] = {.lex_state = 73, .external_lex_state = 2},
  [2067] = {.lex_state = 73, .external_lex_state = 2},
  [2068] = {.lex_state = 73, .external_lex_state = 2},
  [2069] = {.lex_state = 73, .external_lex_state = 2},
  [2070] = {.lex_state = 73, .external_lex_state = 2},
  [2071] = {.lex_state = 73, .external_lex_state = 2},
  [2072] = {.lex_state = 73, .external_lex_state = 2},
  [2073] = {.lex_state = 73, .external_lex_state = 2},
  [2074] = {.lex_state = 73, .external_lex_state = 2},
  [2075] = {.lex_state = 73, .external_lex_state = 2},
  [2076] = {.lex_state = 73, .external_lex_state = 2},
  [2077] = {.lex_state = 73, .external_lex_state = 2},
  [2078] = {.lex_state = 73, .external_lex_state = 2},
  [2079] = {.lex_state = 73, .external_lex_state = 2},
  [2080] = {.lex_state = 73, .external_lex_state = 2},
  [2081] = {.lex_state = 73, .external_lex_state = 2},
  [2082] = {.lex_state = 73, .external_lex_state = 2},
  [2083] = {.lex_state = 73, .external_lex_state = 2},
  [2084] = {.lex_state = 73, .external_lex_state = 2},
  [2085] = {.lex_state = 73, .external_lex_state = 2},
  [2086] = {.lex_state = 73, .external_lex_state = 2},
  [2087] = {.lex_state = 73, .external_lex_state = 2},
  [2088] = {.lex_state = 73, .external_lex_state = 2},
  [2089] = {.lex_state = 73, .external_lex_state = 2},
  [2090] = {.lex_state = 73, .external_lex_state = 2},
  [2091] = {.lex_state = 73, .external_lex_state = 2},
  [2092] = {.lex_state = 73, .external_lex_state = 2},
  [2093] = {.lex_state = 73, .external_lex_state = 2},
  [2094] = {.lex_state = 73, .external_lex_state = 2},
  [2095] = {.lex_state = 73, .external_lex_state = 2},
  [2096] = {.lex_state = 73, .external_lex_state = 2},
  [2097] = {.lex_state = 73, .external_lex_state = 2},
  [2098] = {.lex_state = 73, .external_lex_state = 2},
  [2099] = {.lex_state = 73, .external_lex_state = 2},
  [2100] = {.lex_state = 73, .external_lex_state = 2},
  [2101] = {.lex_state = 73, .external_lex_state = 2},
  [2102] = {.lex_state = 73, .external_lex_state = 2},
  [2103] = {.lex_state = 73, .external_lex_state = 2},
  [2104] = {.lex_state = 73, .external_lex_state = 2},
  [2105] = {.lex_state = 73, .external_lex_state = 2},
  [2106] = {.lex_state = 73, .external_lex_state = 2},
  [2107] = {.lex_state = 73, .external_lex_state = 2},
  [2108] = {.lex_state = 73, .external_lex_state = 2},
  [2109] = {.lex_state = 73, .external_lex_state = 2},
  [2110] = {.lex_state = 73, .external_lex_state = 2},
  [2111] = {.lex_state = 73, .external_lex_state = 2},
  [2112] = {.lex_state = 73, .external_lex_state = 2},
  [2113] = {.lex_state = 73, .external_lex_state = 2},
  [2114] = {.lex_state = 73, .external_lex_state = 2},
  [2115] = {.lex_state = 73, .external_lex_state = 2},
  [2116] = {.lex_state = 73, .external_lex_state = 2},
  [2117] = {.lex_state = 73, .external_lex_state = 2},
  [2118] = {.lex_state = 73, .external_lex_state = 2},
  [2119] = {.lex_state = 73, .external_lex_state = 2},
  [2120] = {.lex_state = 73, .external_lex_state = 2},
  [2121] = {.lex_state = 73, .external_lex_state = 2},
  [2122] = {.lex_state = 73, .external_lex_state = 2},
  [2123] = {.lex_state = 73, .external_lex_state = 2},
  [2124] = {.lex_state = 73, .external_lex_state = 2},
  [2125] = {.lex_state = 73, .external_lex_state = 2},
  [2126] = {.lex_state = 73, .external_lex_state = 2},
  [2127] = {.lex_state = 73, .external_lex_state = 2},
  [2128] = {.lex_state = 73, .external_lex_state = 2},
  [2129] = {.lex_state = 73, .external_lex_state = 2},
  [2130] = {.lex_state = 73, .external_lex_state = 2},
  [2131] = {.lex_state = 73, .external_lex_state = 2},
  [2132] = {.lex_state = 73, .external_lex_state = 2},
  [2133] = {.lex_state = 73, .external_lex_state = 2},
  [2134] = {.lex_state = 73, .external_lex_state = 2},
  [2135] = {.lex_state = 73, .external_lex_state = 2},
  [2136] = {.lex_state = 73, .external_lex_state = 2},
  [2137] = {.lex_state = 73, .external_lex_state = 2},
  [2138] = {.lex_state = 73, .external_lex_state = 2},
  [2139] = {.lex_state = 73, .external_lex_state = 2},
  [2140] = {.lex_state = 73, .external_lex_state = 2},
  [2141] = {.lex_state = 73, .external_lex_state = 2},
  [2142] = {.lex_state = 73, .external_lex_state = 2},
  [2143] = {.lex_state = 73, .external_lex_state = 2},
  [2144] = {.lex_state = 73, .external_lex_state = 2},
  [2145] = {.lex_state = 73, .external_lex_state = 2},
  [2146] = {.lex_state = 73, .external_lex_state = 2},
  [2147] = {.lex_state = 73, .external_lex_state = 2},
  [2148] = {.lex_state = 73, .external_lex_state = 2},
  [2149] = {.lex_state = 73, .external_lex_state = 2},
  [2150] = {.lex_state = 73, .external_lex_state = 2},
  [2151] = {.lex_state = 73, .external_lex_state = 2},
  [2152] = {.lex_state = 73, .external_lex_state = 2},
  [2153] = {.lex_state = 73, .external_lex_state = 2},
  [2154] = {.lex_state = 73, .external_lex_state = 2},
  [2155] = {.lex_state = 73, .external_lex_state = 2},
  [2156] = {.lex_state = 73, .external_lex_state = 2},
  [2157] = {.lex_state = 73, .external_lex_state = 2},
  [2158] = {.lex_state = 73, .external_lex_state = 2},
  [2159] = {.lex_state = 73, .external_lex_state = 2},
  [2160] = {.lex_state = 73, .external_lex_state = 2},
  [2161] = {.lex_state = 73, .external_lex_state = 2},
  [2162] = {.lex_state = 73, .external_lex_state = 2},
  [2163] = {.lex_state = 73, .external_lex_state = 2},
  [2164] = {.lex_state = 73, .external_lex_state = 2},
  [2165] = {.lex_state = 73, .external_lex_state = 2},
  [2166] = {.lex_state = 73, .external_lex_state = 2},
  [2167] = {.lex_state = 73, .external_lex_state = 2},
  [2168] = {.lex_state = 73, .external_lex_state = 2},
  [2169] = {.lex_state = 73, .external_lex_state = 2},
  [2170] = {.lex_state = 73, .external_lex_state = 2},
  [2171] = {.lex_state = 73, .external_lex_state = 2},
  [2172] = {.lex_state = 73, .external_lex_state = 2},
  [2173] = {.lex_state = 73, .external_lex_state = 2},
  [2174] = {.lex_state = 73, .external_lex_state = 2},
  [2175] = {.lex_state = 73, .external_lex_state = 2},
  [2176] = {.lex_state = 73, .external_lex_state = 2},
  [2177] = {.lex_state = 73, .external_lex_state = 2},
  [2178] = {.lex_state = 73, .external_lex_state = 2},
  [2179] = {.lex_state = 73, .external_lex_state = 2},
  [2180] = {.lex_state = 73, .external_lex_state = 2},
  [2181] = {.lex_state = 73, .external_lex_state = 2},
  [2182] = {.lex_state = 73, .external_lex_state = 2},
  [2183] = {.lex_state = 73, .external_lex_state = 2},
  [2184] = {.lex_state = 73, .external_lex_state = 2},
  [2185] = {.lex_state = 73, .external_lex_state = 2},
  [2186] = {.lex_state = 73, .external_lex_state = 2},
  [2187] = {.lex_state = 73, .external_lex_state = 2},
  [2188] = {.lex_state = 73, .external_lex_state = 2},
  [2189] = {.lex_state = 73, .external_lex_state = 2},
  [2190] = {.lex_state = 73, .external_lex_state = 2},
  [2191] = {.lex_state = 73, .external_lex_state = 2},
  [2192] = {.lex_state = 73, .external_lex_state = 2},
  [2193] = {.lex_state = 73, .external_lex_state = 2},
  [2194] = {.lex_state = 73, .external_lex_state = 2},
  [2195] = {.lex_state = 73, .external_lex_state = 2},
  [2196] = {.lex_state = 73, .external_lex_state = 2},
  [2197] = {.lex_state = 73, .external_lex_state = 2},
  [2198] = {.lex_state = 73, .external_lex_state = 2},
  [2199] = {.lex_state = 73, .external_lex_state = 2},
  [2200] = {.lex_state = 73, .external_lex_state = 2},
  [2201] = {.lex_state = 73, .external_lex_state = 2},
  [2202] = {.lex_state = 73, .external_lex_state = 2},
  [2203] = {.lex_state = 73, .external_lex_state = 2},
  [2204] = {.lex_state = 73, .external_lex_state = 2},
  [2205] = {.lex_state = 73, .external_lex_state = 2},
  [2206] = {.lex_state = 73, .external_lex_state = 2},
  [2207] = {.lex_state = 73, .external_lex_state = 2},
  [2208] = {.lex_state = 73, .external_lex_state = 2},
  [2209] = {.lex_state = 73, .external_lex_state = 2},
  [2210] = {.lex_state = 73, .external_lex_state = 2},
  [2211] = {.lex_state = 73, .external_lex_state = 2},
  [2212] = {.lex_state = 73, .external_lex_state = 2},
  [2213] = {.lex_state = 73, .external_lex_state = 2},
  [2214] = {.lex_state = 73, .external_lex_state = 2},
  [2215] = {.lex_state = 73, .external_lex_state = 2},
  [2216] = {.lex_state = 73, .external_lex_state = 2},
  [2217] = {.lex_state = 73, .external_lex_state = 2},
  [2218] = {.lex_state = 73, .external_lex_state = 2},
  [2219] = {.lex_state = 73, .external_lex_state = 2},
  [2220] = {.lex_state = 73, .external_lex_state = 2},
  [2221] = {.lex_state = 73, .external_lex_state = 2},
  [2222] = {.lex_state = 73, .external_lex_state = 2},
  [2223] = {.lex_state = 73, .external_lex_state = 2},
  [2224] = {.lex_state = 73, .external_lex_state = 2},
  [2225] = {.lex_state = 73, .external_lex_state = 2},
  [2226] = {.lex_state = 73, .external_lex_state = 2},
  [2227] = {.lex_state = 73, .external_lex_state = 2},
  [2228] = {.lex_state = 73, .external_lex_state = 2},
  [2229] = {.lex_state = 73, .external_lex_state = 2},
  [2230] = {.lex_state = 73, .external_lex_state = 2},
  [2231] = {.lex_state = 73, .external_lex_state = 2},
  [2232] = {.lex_state = 73, .external_lex_state = 2},
  [2233] = {.lex_state = 73, .external_lex_state = 2},
  [2234] = {.lex_state = 73, .external_lex_state = 2},
  [2235] = {.lex_state = 73, .external_lex_state = 2},
  [2236] = {.lex_state = 73, .external_lex_state = 2},
  [2237] = {.lex_state = 73, .external_lex_state = 2},
  [2238] = {.lex_state = 73, .external_lex_state = 2},
  [2239] = {.lex_state = 73, .external_lex_state = 2},
  [2240] = {.lex_state = 73, .external_lex_state = 2},
  [2241] = {.lex_state = 73, .external_lex_state = 2},
  [2242] = {.lex_state = 73, .external_lex_state = 2},
  [2243] = {.lex_state = 73, .external_lex_state = 2},
  [2244] = {.lex_state = 73, .external_lex_state = 2},
  [2245] = {.lex_state = 73, .external_lex_state = 2},
  [2246] = {.lex_state = 73, .external_lex_state = 2},
  [2247] = {.lex_state = 73, .external_lex_state = 2},
  [2248] = {.lex_state = 73, .external_lex_state = 2},
  [2249] = {.lex_state = 73, .external_lex_state = 2},
  [2250] = {.lex_state = 73, .external_lex_state = 2},
  [2251] = {.lex_state = 73, .external_lex_state = 2},
  [2252] = {.lex_state = 73, .external_lex_state = 2},
  [2253] = {.lex_state = 73, .external_lex_state = 2},
  [2254] = {.lex_state = 73, .external_lex_state = 2},
  [2255] = {.lex_state = 73, .external_lex_state = 2},
  [2256] = {.lex_state = 73, .external_lex_state = 2},
  [2257] = {.lex_state = 73, .external_lex_state = 2},
  [2258] = {.lex_state = 73, .external_lex_state = 2},
  [2259] = {.lex_state = 73, .external_lex_state = 2},
  [2260] = {.lex_state = 73, .external_lex_state = 2},
  [2261] = {.lex_state = 73, .external_lex_state = 2},
  [2262] = {.lex_state = 73, .external_lex_state = 2},
  [2263] = {.lex_state = 73, .external_lex_state = 2},
  [2264] = {.lex_state = 73, .external_lex_state = 2},
  [2265] = {.lex_state = 73, .external_lex_state = 2},
  [2266] = {.lex_state = 73, .external_lex_state = 2},
  [2267] = {.lex_state = 73, .external_lex_state = 2},
  [2268] = {.lex_state = 73, .external_lex_state = 2},
  [2269] = {.lex_state = 73, .external_lex_state = 2},
  [2270] = {.lex_state = 73, .external_lex_state = 2},
  [2271] = {.lex_state = 73, .external_lex_state = 2},
  [2272] = {.lex_state = 73, .external_lex_state = 2},
  [2273] = {.lex_state = 73, .external_lex_state = 2},
  [2274] = {.lex_state = 73, .external_lex_state = 2},
  [2275] = {.lex_state = 73, .external_lex_state = 2},
  [2276] = {.lex_state = 73, .external_lex_state = 2},
  [2277] = {.lex_state = 73, .external_lex_state = 2},
  [2278] = {.lex_state = 73, .external_lex_state = 2},
  [2279] = {.lex_state = 73, .external_lex_state = 2},
  [2280] = {.lex_state = 73, .external_lex_state = 2},
  [2281] = {.lex_state = 73, .external_lex_state = 2},
  [2282] = {.lex_state = 73, .external_lex_state = 2},
  [2283] = {.lex_state = 73, .external_lex_state = 2},
  [2284] = {.lex_state = 73, .external_lex_state = 2},
  [2285] = {.lex_state = 73, .external_lex_state = 2},
  [2286] = {.lex_state = 73, .external_lex_state = 2},
  [2287] = {.lex_state = 73, .external_lex_state = 2},
  [2288] = {.lex_state = 73, .external_lex_state = 2},
  [2289] = {.lex_state = 73, .external_lex_state = 2},
  [2290] = {.lex_state = 73, .external_lex_state = 2},
  [2291] = {.lex_state = 73, .external_lex_state = 2},
  [2292] = {.lex_state = 73, .external_lex_state = 2},
  [2293] = {.lex_state = 73, .external_lex_state = 2},
  [2294] = {.lex_state = 73, .external_lex_state = 2},
  [2295] = {.lex_state = 73, .external_lex_state = 2},
  [2296] = {.lex_state = 73, .external_lex_state = 2},
  [2297] = {.lex_state = 73, .external_lex_state = 2},
  [2298] = {.lex_state = 73, .external_lex_state = 2},
  [2299] = {.lex_state = 73, .external_lex_state = 2},
  [2300] = {.lex_state = 73, .external_lex_state = 2},
  [2301] = {.lex_state = 73, .external_lex_state = 2},
  [2302] = {.lex_state = 73, .external_lex_state = 2},
  [2303] = {.lex_state = 73, .external_lex_state = 2},
  [2304] = {.lex_state = 73, .external_lex_state = 2},
  [2305] = {.lex_state = 73, .external_lex_state = 2},
  [2306] = {.lex_state = 73, .external_lex_state = 2},
  [2307] = {.lex_state = 73, .external_lex_state = 2},
  [2308] = {.lex_state = 73, .external_lex_state = 2},
  [2309] = {.lex_state = 73, .external_lex_state = 2},
  [2310] = {.lex_state = 73, .external_lex_state = 2},
  [2311] = {.lex_state = 73, .external_lex_state = 2},
  [2312] = {.lex_state = 73, .external_lex_state = 2},
  [2313] = {.lex_state = 73, .external_lex_state = 2},
  [2314] = {.lex_state = 73, .external_lex_state = 2},
  [2315] = {.lex_state = 73, .external_lex_state = 2},
  [2316] = {.lex_state = 73, .external_lex_state = 2},
  [2317] = {.lex_state = 73, .external_lex_state = 2},
  [2318] = {.lex_state = 73, .external_lex_state = 2},
  [2319] = {.lex_state = 73, .external_lex_state = 2},
  [2320] = {.lex_state = 73, .external_lex_state = 2},
  [2321] = {.lex_state = 73, .external_lex_state = 2},
  [2322] = {.lex_state = 73, .external_lex_state = 2},
  [2323] = {.lex_state = 73, .external_lex_state = 2},
  [2324] = {.lex_state = 73, .external_lex_state = 2},
  [2325] = {.lex_state = 73, .external_lex_state = 2},
  [2326] = {.lex_state = 73, .external_lex_state = 2},
  [2327] = {.lex_state = 73, .external_lex_state = 2},
  [2328] = {.lex_state = 73, .external_lex_state = 2},
  [2329] = {.lex_state = 73, .external_lex_state = 2},
  [2330] = {.lex_state = 73, .external_lex_state = 2},
  [2331] = {.lex_state = 73, .external_lex_state = 2},
  [2332] = {.lex_state = 73, .external_lex_state = 2},
  [2333] = {.lex_state = 73, .external_lex_state = 2},
  [2334] = {.lex_state = 73, .external_lex_state = 2},
  [2335] = {.lex_state = 73, .external_lex_state = 2},
  [2336] = {.lex_state = 73, .external_lex_state = 2},
  [2337] = {.lex_state = 73, .external_lex_state = 2},
  [2338] = {.lex_state = 73, .external_lex_state = 2},
  [2339] = {.lex_state = 73, .external_lex_state = 2},
  [2340] = {.lex_state = 73, .external_lex_state = 2},
  [2341] = {.lex_state = 73, .external_lex_state = 2},
  [2342] = {.lex_state = 73, .external_lex_state = 2},
  [2343] = {.lex_state = 73, .external_lex_state = 2},
  [2344] = {.lex_state = 73, .external_lex_state = 2},
  [2345] = {.lex_state = 73, .external_lex_state = 2},
  [2346] = {.lex_state = 73, .external_lex_state = 2},
  [2347] = {.lex_state = 73, .external_lex_state = 2},
  [2348] = {.lex_state = 73, .external_lex_state = 2},
  [2349] = {.lex_state = 73, .external_lex_state = 2},
  [2350] = {.lex_state = 73, .external_lex_state = 2},
  [2351] = {.lex_state = 73, .external_lex_state = 2},
  [2352] = {.lex_state = 73, .external_lex_state = 2},
  [2353] = {.lex_state = 73, .external_lex_state = 2},
  [2354] = {.lex_state = 73, .external_lex_state = 2},
  [2355] = {.lex_state = 73, .external_lex_state = 2},
  [2356] = {.lex_state = 73, .external_lex_state = 2},
  [2357] = {.lex_state = 73, .external_lex_state = 2},
  [2358] = {.lex_state = 73, .external_lex_state = 2},
  [2359] = {.lex_state = 73, .external_lex_state = 2},
  [2360] = {.lex_state = 73, .external_lex_state = 2},
  [2361] = {.lex_state = 73, .external_lex_state = 2},
  [2362] = {.lex_state = 73, .external_lex_state = 2},
  [2363] = {.lex_state = 73, .external_lex_state = 2},
  [2364] = {.lex_state = 73, .external_lex_state = 2},
  [2365] = {.lex_state = 73, .external_lex_state = 2},
  [2366] = {.lex_state = 73, .external_lex_state = 2},
  [2367] = {.lex_state = 73, .external_lex_state = 2},
  [2368] = {.lex_state = 73, .external_lex_state = 2},
  [2369] = {.lex_state = 73, .external_lex_state = 2},
  [2370] = {.lex_state = 73, .external_lex_state = 2},
  [2371] = {.lex_state = 73, .external_lex_state = 2},
  [2372] = {.lex_state = 73, .external_lex_state = 2},
  [2373] = {.lex_state = 73, .external_lex_state = 2},
  [2374] = {.lex_state = 73, .external_lex_state = 2},
  [2375] = {.lex_state = 73, .external_lex_state = 2},
  [2376] = {.lex_state = 73, .external_lex_state = 2},
  [2377] = {.lex_state = 73, .external_lex_state = 2},
  [2378] = {.lex_state = 73, .external_lex_state = 2},
  [2379] = {.lex_state = 73, .external_lex_state = 2},
  [2380] = {.lex_state = 73, .external_lex_state = 2},
  [2381] = {.lex_state = 73, .external_lex_state = 2},
  [2382] = {.lex_state = 73, .external_lex_state = 2},
  [2383] = {.lex_state = 73, .external_lex_state = 2},
  [2384] = {.lex_state = 73, .external_lex_state = 2},
  [2385] = {.lex_state = 73, .external_lex_state = 2},
  [2386] = {.lex_state = 73, .external_lex_state = 2},
  [2387] = {.lex_state = 73, .external_lex_state = 2},
  [2388] = {.lex_state = 73, .external_lex_state = 2},
  [2389] = {.lex_state = 73, .external_lex_state = 2},
  [2390] = {.lex_state = 73, .external_lex_state = 2},
  [2391] = {.lex_state = 73, .external_lex_state = 2},
  [2392] = {.lex_state = 73, .external_lex_state = 2},
  [2393] = {.lex_state = 73, .external_lex_state = 2},
  [2394] = {.lex_state = 73, .external_lex_state = 2},
  [2395] = {.lex_state = 73, .external_lex_state = 2},
  [2396] = {.lex_state = 73, .external_lex_state = 2},
  [2397] = {.lex_state = 73, .external_lex_state = 2},
  [2398] = {.lex_state = 73, .external_lex_state = 2},
  [2399] = {.lex_state = 73, .external_lex_state = 2},
  [2400] = {.lex_state = 73, .external_lex_state = 2},
  [2401] = {.lex_state = 73, .external_lex_state = 2},
  [2402] = {.lex_state = 73, .external_lex_state = 2},
  [2403] = {.lex_state = 73, .external_lex_state = 2},
  [2404] = {.lex_state = 73, .external_lex_state = 2},
  [2405] = {.lex_state = 73, .external_lex_state = 2},
  [2406] = {.lex_state = 73, .external_lex_state = 2},
  [2407] = {.lex_state = 73, .external_lex_state = 2},
  [2408] = {.lex_state = 73, .external_lex_state = 2},
  [2409] = {.lex_state = 73, .external_lex_state = 2},
  [2410] = {.lex_state = 73, .external_lex_state = 2},
  [2411] = {.lex_state = 73, .external_lex_state = 2},
  [2412] = {.lex_state = 70, .external_lex_state = 16},
  [2413] = {.lex_state = 70, .external_lex_state = 22},
  [2414] = {.lex_state = 70, .external_lex_state = 16},
  [2415] = {.lex_state = 84, .external_lex_state = 3},
  [2416] = {.lex_state = 84, .external_lex_state = 3},
  [2417] = {.lex_state = 84, .external_lex_state = 3},
  [2418] = {.lex_state = 84, .external_lex_state = 3},
  [2419] = {.lex_state = 84, .external_lex_state = 3},
  [2420] = {.lex_state = 84, .external_lex_state = 3},
  [2421] = {.lex_state = 84, .external_lex_state = 3},
  [2422] = {.lex_state = 84, .external_lex_state = 3},
  [2423] = {.lex_state = 84, .external_lex_state = 3},
  [2424] = {.lex_state = 84, .external_lex_state = 3},
  [2425] = {.lex_state = 84, .external_lex_state = 3},
  [2426] = {.lex_state = 84, .external_lex_state = 3},
  [2427] = {.lex_state = 84, .external_lex_state = 3},
  [2428] = {.lex_state = 84, .external_lex_state = 3},
  [2429] = {.lex_state = 84, .external_lex_state = 3},
  [2430] = {.lex_state = 84, .external_lex_state = 3},
  [2431] = {.lex_state = 84, .external_lex_state = 3},
  [2432] = {.lex_state = 84, .external_lex_state = 3},
  [2433] = {.lex_state = 84, .external_lex_state = 3},
  [2434] = {.lex_state = 84, .external_lex_state = 3},
  [2435] = {.lex_state = 84, .external_lex_state = 3},
  [2436] = {.lex_state = 84, .external_lex_state = 3},
  [2437] = {.lex_state = 84, .external_lex_state = 3},
  [2438] = {.lex_state = 84, .external_lex_state = 3},
  [2439] = {.lex_state = 84, .external_lex_state = 3},
  [2440] = {.lex_state = 84, .external_lex_state = 3},
  [2441] = {.lex_state = 84, .external_lex_state = 3},
  [2442] = {.lex_state = 84, .external_lex_state = 3},
  [2443] = {.lex_state = 84, .external_lex_state = 3},
  [2444] = {.lex_state = 84, .external_lex_state = 3},
  [2445] = {.lex_state = 84, .external_lex_state = 3},
  [2446] = {.lex_state = 84, .external_lex_state = 3},
  [2447] = {.lex_state = 84, .external_lex_state = 3},
  [2448] = {.lex_state = 84, .external_lex_state = 3},
  [2449] = {.lex_state = 84, .external_lex_state = 3},
  [2450] = {.lex_state = 84, .external_lex_state = 3},
  [2451] = {.lex_state = 84, .external_lex_state = 3},
  [2452] = {.lex_state = 84, .external_lex_state = 3},
  [2453] = {.lex_state = 84, .external_lex_state = 3},
  [2454] = {.lex_state = 84, .external_lex_state = 3},
  [2455] = {.lex_state = 84, .external_lex_state = 3},
  [2456] = {.lex_state = 84, .external_lex_state = 3},
  [2457] = {.lex_state = 84, .external_lex_state = 3},
  [2458] = {.lex_state = 84, .external_lex_state = 3},
  [2459] = {.lex_state = 84, .external_lex_state = 3},
  [2460] = {.lex_state = 84, .external_lex_state = 3},
  [2461] = {.lex_state = 84, .external_lex_state = 3},
  [2462] = {.lex_state = 84, .external_lex_state = 3},
  [2463] = {.lex_state = 74, .external_lex_state = 2},
  [2464] = {.lex_state = 74, .external_lex_state = 2},
  [2465] = {.lex_state = 74, .external_lex_state = 4},
  [2466] = {.lex_state = 74, .external_lex_state = 3},
  [2467] = {.lex_state = 74, .external_lex_state = 4},
  [2468] = {.lex_state = 74, .external_lex_state = 2},
  [2469] = {.lex_state = 74, .external_lex_state = 4},
  [2470] = {.lex_state = 25, .external_lex_state = 2},
  [2471] = {.lex_state = 84, .external_lex_state = 2},
  [2472] = {.lex_state = 84, .external_lex_state = 2},
  [2473] = {.lex_state = 84, .external_lex_state = 2},
  [2474] = {.lex_state = 74, .external_lex_state = 2},
  [2475] = {.lex_state = 25, .external_lex_state = 2},
  [2476] = {.lex_state = 24, .external_lex_state = 2},
  [2477] = {.lex_state = 24, .external_lex_state = 2},
  [2478] = {.lex_state = 24, .external_lex_state = 2},
  [2479] = {.lex_state = 24, .external_lex_state = 2},
  [2480] = {.lex_state = 24, .external_lex_state = 2},
  [2481] = {.lex_state = 24, .external_lex_state = 2},
  [2482] = {.lex_state = 24, .external_lex_state = 2},
  [2483] = {.lex_state = 24, .external_lex_state = 2},
  [2484] = {.lex_state = 24, .external_lex_state = 2},
  [2485] = {.lex_state = 24, .external_lex_state = 2},
  [2486] = {.lex_state = 24, .external_lex_state = 2},
  [2487] = {.lex_state = 24, .external_lex_state = 2},
  [2488] = {.lex_state = 24, .external_lex_state = 2},
  [2489] = {.lex_state = 24, .external_lex_state = 2},
  [2490] = {.lex_state = 24, .external_lex_state = 2},
  [2491] = {.lex_state = 24, .external_lex_state = 2},
  [2492] = {.lex_state = 24, .external_lex_state = 2},
  [2493] = {.lex_state = 24, .external_lex_state = 2},
  [2494] = {.lex_state = 24, .external_lex_state = 2},
  [2495] = {.lex_state = 24, .external_lex_state = 2},
  [2496] = {.lex_state = 24, .external_lex_state = 2},
  [2497] = {.lex_state = 24, .external_lex_state = 2},
  [2498] = {.lex_state = 24, .external_lex_state = 2},
  [2499] = {.lex_state = 24, .external_lex_state = 2},
  [2500] = {.lex_state = 24, .external_lex_state = 2},
  [2501] = {.lex_state = 24, .external_lex_state = 2},
  [2502] = {.lex_state = 24, .external_lex_state = 2},
  [2503] = {.lex_state = 24, .external_lex_state = 2},
  [2504] = {.lex_state = 24, .external_lex_state = 2},
  [2505] = {.lex_state = 24, .external_lex_state = 2},
  [2506] = {.lex_state = 24, .external_lex_state = 2},
  [2507] = {.lex_state = 24, .external_lex_state = 2},
  [2508] = {.lex_state = 24, .external_lex_state = 2},
  [2509] = {.lex_state = 24, .external_lex_state = 2},
  [2510] = {.lex_state = 24, .external_lex_state = 2},
  [2511] = {.lex_state = 24, .external_lex_state = 2},
  [2512] = {.lex_state = 24, .external_lex_state = 2},
  [2513] = {.lex_state = 24, .external_lex_state = 2},
  [2514] = {.lex_state = 24, .external_lex_state = 2},
  [2515] = {.lex_state = 24, .external_lex_state = 2},
  [2516] = {.lex_state = 24, .external_lex_state = 2},
  [2517] = {.lex_state = 24, .external_lex_state = 2},
  [2518] = {.lex_state = 24, .external_lex_state = 2},
  [2519] = {.lex_state = 24, .external_lex_state = 2},
  [2520] = {.lex_state = 24, .external_lex_state = 2},
  [2521] = {.lex_state = 24, .external_lex_state = 2},
  [2522] = {.lex_state = 24, .external_lex_state = 2},
  [2523] = {.lex_state = 24, .external_lex_state = 2},
  [2524] = {.lex_state = 24, .external_lex_state = 2},
  [2525] = {.lex_state = 24, .external_lex_state = 2},
  [2526] = {.lex_state = 24, .external_lex_state = 2},
  [2527] = {.lex_state = 24, .external_lex_state = 2},
  [2528] = {.lex_state = 24, .external_lex_state = 2},
  [2529] = {.lex_state = 24, .external_lex_state = 2},
  [2530] = {.lex_state = 24, .external_lex_state = 2},
  [2531] = {.lex_state = 24, .external_lex_state = 2},
  [2532] = {.lex_state = 24, .external_lex_state = 2},
  [2533] = {.lex_state = 24, .external_lex_state = 2},
  [2534] = {.lex_state = 24, .external_lex_state = 2},
  [2535] = {.lex_state = 24, .external_lex_state = 2},
  [2536] = {.lex_state = 24, .external_lex_state = 2},
  [2537] = {.lex_state = 24, .external_lex_state = 2},
  [2538] = {.lex_state = 24, .external_lex_state = 2},
  [2539] = {.lex_state = 24, .external_lex_state = 2},
  [2540] = {.lex_state = 24, .external_lex_state = 2},
  [2541] = {.lex_state = 24, .external_lex_state = 2},
  [2542] = {.lex_state = 24, .external_lex_state = 2},
  [2543] = {.lex_state = 24, .external_lex_state = 2},
  [2544] = {.lex_state = 24, .external_lex_state = 2},
  [2545] = {.lex_state = 24, .external_lex_state = 2},
  [2546] = {.lex_state = 24, .external_lex_state = 2},
  [2547] = {.lex_state = 24, .external_lex_state = 2},
  [2548] = {.lex_state = 24, .external_lex_state = 2},
  [2549] = {.lex_state = 24, .external_lex_state = 2},
  [2550] = {.lex_state = 24, .external_lex_state = 2},
  [2551] = {.lex_state = 24, .external_lex_state = 2},
  [2552] = {.lex_state = 24, .external_lex_state = 2},
  [2553] = {.lex_state = 24, .external_lex_state = 2},
  [2554] = {.lex_state = 24, .external_lex_state = 2},
  [2555] = {.lex_state = 24, .external_lex_state = 2},
  [2556] = {.lex_state = 24, .external_lex_state = 2},
  [2557] = {.lex_state = 24, .external_lex_state = 2},
  [2558] = {.lex_state = 24, .external_lex_state = 2},
  [2559] = {.lex_state = 24, .external_lex_state = 2},
  [2560] = {.lex_state = 24, .external_lex_state = 2},
  [2561] = {.lex_state = 24, .external_lex_state = 2},
  [2562] = {.lex_state = 24, .external_lex_state = 2},
  [2563] = {.lex_state = 24, .external_lex_state = 2},
  [2564] = {.lex_state = 24, .external_lex_state = 2},
  [2565] = {.lex_state = 24, .external_lex_state = 2},
  [2566] = {.lex_state = 24, .external_lex_state = 2},
  [2567] = {.lex_state = 24, .external_lex_state = 2},
  [2568] = {.lex_state = 24, .external_lex_state = 2},
  [2569] = {.lex_state = 24, .external_lex_state = 2},
  [2570] = {.lex_state = 24, .external_lex_state = 2},
  [2571] = {.lex_state = 24, .external_lex_state = 2},
  [2572] = {.lex_state = 24, .external_lex_state = 2},
  [2573] = {.lex_state = 24, .external_lex_state = 2},
  [2574] = {.lex_state = 24, .external_lex_state = 2},
  [2575] = {.lex_state = 24, .external_lex_state = 2},
  [2576] = {.lex_state = 24, .external_lex_state = 2},
  [2577] = {.lex_state = 24, .external_lex_state = 2},
  [2578] = {.lex_state = 24, .external_lex_state = 2},
  [2579] = {.lex_state = 24, .external_lex_state = 2},
  [2580] = {.lex_state = 24, .external_lex_state = 2},
  [2581] = {.lex_state = 24, .external_lex_state = 2},
  [2582] = {.lex_state = 24, .external_lex_state = 2},
  [2583] = {.lex_state = 24, .external_lex_state = 2},
  [2584] = {.lex_state = 24, .external_lex_state = 2},
  [2585] = {.lex_state = 24, .external_lex_state = 2},
  [2586] = {.lex_state = 24, .external_lex_state = 2},
  [2587] = {.lex_state = 24, .external_lex_state = 2},
  [2588] = {.lex_state = 24, .external_lex_state = 2},
  [2589] = {.lex_state = 24, .external_lex_state = 2},
  [2590] = {.lex_state = 24, .external_lex_state = 2},
  [2591] = {.lex_state = 24, .external_lex_state = 2},
  [2592] = {.lex_state = 24, .external_lex_state = 2},
  [2593] = {.lex_state = 24, .external_lex_state = 2},
  [2594] = {.lex_state = 24, .external_lex_state = 2},
  [2595] = {.lex_state = 24, .external_lex_state = 2},
  [2596] = {.lex_state = 24, .external_lex_state = 2},
  [2597] = {.lex_state = 24, .external_lex_state = 2},
  [2598] = {.lex_state = 24, .external_lex_state = 2},
  [2599] = {.lex_state = 24, .external_lex_state = 2},
  [2600] = {.lex_state = 24, .external_lex_state = 2},
  [2601] = {.lex_state = 24, .external_lex_state = 2},
  [2602] = {.lex_state = 24, .external_lex_state = 2},
  [2603] = {.lex_state = 24, .external_lex_state = 2},
  [2604] = {.lex_state = 24, .external_lex_state = 2},
  [2605] = {.lex_state = 24, .external_lex_state = 2},
  [2606] = {.lex_state = 24, .external_lex_state = 2},
  [2607] = {.lex_state = 24, .external_lex_state = 2},
  [2608] = {.lex_state = 24, .external_lex_state = 2},
  [2609] = {.lex_state = 24, .external_lex_state = 2},
  [2610] = {.lex_state = 24, .external_lex_state = 2},
  [2611] = {.lex_state = 24, .external_lex_state = 2},
  [2612] = {.lex_state = 24, .external_lex_state = 2},
  [2613] = {.lex_state = 24, .external_lex_state = 2},
  [2614] = {.lex_state = 24, .external_lex_state = 2},
  [2615] = {.lex_state = 24, .external_lex_state = 2},
  [2616] = {.lex_state = 24, .external_lex_state = 2},
  [2617] = {.lex_state = 24, .external_lex_state = 2},
  [2618] = {.lex_state = 24, .external_lex_state = 2},
  [2619] = {.lex_state = 24, .external_lex_state = 2},
  [2620] = {.lex_state = 24, .external_lex_state = 2},
  [2621] = {.lex_state = 24, .external_lex_state = 2},
  [2622] = {.lex_state = 24, .external_lex_state = 2},
  [2623] = {.lex_state = 24, .external_lex_state = 2},
  [2624] = {.lex_state = 24, .external_lex_state = 2},
  [2625] = {.lex_state = 24, .external_lex_state = 2},
  [2626] = {.lex_state = 24, .external_lex_state = 2},
  [2627] = {.lex_state = 24, .external_lex_state = 2},
  [2628] = {.lex_state = 24, .external_lex_state = 2},
  [2629] = {.lex_state = 24, .external_lex_state = 2},
  [2630] = {.lex_state = 24, .external_lex_state = 2},
  [2631] = {.lex_state = 24, .external_lex_state = 2},
  [2632] = {.lex_state = 24, .external_lex_state = 2},
  [2633] = {.lex_state = 70, .external_lex_state = 6},
  [2634] = {.lex_state = 24, .external_lex_state = 2},
  [2635] = {.lex_state = 24, .external_lex_state = 2},
  [2636] = {.lex_state = 24, .external_lex_state = 2},
  [2637] = {.lex_state = 24, .external_lex_state = 2},
  [2638] = {.lex_state = 24, .external_lex_state = 2},
  [2639] = {.lex_state = 24, .external_lex_state = 2},
  [2640] = {.lex_state = 70, .external_lex_state = 7},
  [2641] = {.lex_state = 24, .external_lex_state = 2},
  [2642] = {.lex_state = 24, .external_lex_state = 2},
  [2643] = {.lex_state = 24, .external_lex_state = 2},
  [2644] = {.lex_state = 24, .external_lex_state = 2},
  [2645] = {.lex_state = 70, .external_lex_state = 8},
  [2646] = {.lex_state = 24, .external_lex_state = 2},
  [2647] = {.lex_state = 24, .external_lex_state = 2},
  [2648] = {.lex_state = 24, .external_lex_state = 2},
  [2649] = {.lex_state = 24, .external_lex_state = 2},
  [2650] = {.lex_state = 24, .external_lex_state = 2},
  [2651] = {.lex_state = 70, .external_lex_state = 10},
  [2652] = {.lex_state = 70, .external_lex_state = 9},
  [2653] = {.lex_state = 70, .external_lex_state = 11},
  [2654] = {.lex_state = 70, .external_lex_state = 12},
  [2655] = {.lex_state = 23, .external_lex_state = 2},
  [2656] = {.lex_state = 23, .external_lex_state = 2},
  [2657] = {.lex_state = 23, .external_lex_state = 2},
  [2658] = {.lex_state = 23, .external_lex_state = 2},
  [2659] = {.lex_state = 23, .external_lex_state = 2},
  [2660] = {.lex_state = 23, .external_lex_state = 2},
  [2661] = {.lex_state = 23, .external_lex_state = 2},
  [2662] = {.lex_state = 23, .external_lex_state = 2},
  [2663] = {.lex_state = 23, .external_lex_state = 2},
  [2664] = {.lex_state = 23, .external_lex_state = 2},
  [2665] = {.lex_state = 23, .external_lex_state = 2},
  [2666] = {.lex_state = 23, .external_lex_state = 2},
  [2667] = {.lex_state = 23, .external_lex_state = 2},
  [2668] = {.lex_state = 23, .external_lex_state = 2},
  [2669] = {.lex_state = 23, .external_lex_state = 2},
  [2670] = {.lex_state = 23, .external_lex_state = 2},
  [2671] = {.lex_state = 23, .external_lex_state = 2},
  [2672] = {.lex_state = 23, .external_lex_state = 2},
  [2673] = {.lex_state = 23, .external_lex_state = 2},
  [2674] = {.lex_state = 23, .external_lex_state = 2},
  [2675] = {.lex_state = 23, .external_lex_state = 2},
  [2676] = {.lex_state = 23, .external_lex_state = 2},
  [2677] = {.lex_state = 23, .external_lex_state = 2},
  [2678] = {.lex_state = 23, .external_lex_state = 2},
  [2679] = {.lex_state = 23, .external_lex_state = 2},
  [2680] = {.lex_state = 23, .external_lex_state = 2},
  [2681] = {.lex_state = 23, .external_lex_state = 2},
  [2682] = {.lex_state = 23, .external_lex_state = 2},
  [2683] = {.lex_state = 23, .external_lex_state = 2},
  [2684] = {.lex_state = 23, .external_lex_state = 2},
  [2685] = {.lex_state = 23, .external_lex_state = 2},
  [2686] = {.lex_state = 23, .external_lex_state = 2},
  [2687] = {.lex_state = 23, .external_lex_state = 2},
  [2688] = {.lex_state = 23, .external_lex_state = 2},
  [2689] = {.lex_state = 23, .external_lex_state = 2},
  [2690] = {.lex_state = 23, .external_lex_state = 2},
  [2691] = {.lex_state = 23, .external_lex_state = 2},
  [2692] = {.lex_state = 23, .external_lex_state = 2},
  [2693] = {.lex_state = 23, .external_lex_state = 2},
  [2694] = {.lex_state = 23, .external_lex_state = 2},
  [2695] = {.lex_state = 23, .external_lex_state = 2},
  [2696] = {.lex_state = 23, .external_lex_state = 2},
  [2697] = {.lex_state = 23, .external_lex_state = 2},
  [2698] = {.lex_state = 23, .external_lex_state = 2},
  [2699] = {.lex_state = 23, .external_lex_state = 2},
  [2700] = {.lex_state = 23, .external_lex_state = 2},
  [2701] = {.lex_state = 23, .external_lex_state = 2},
  [2702] = {.lex_state = 23, .external_lex_state = 2},
  [2703] = {.lex_state = 23, .external_lex_state = 2},
  [2704] = {.lex_state = 23, .external_lex_state = 2},
  [2705] = {.lex_state = 23, .external_lex_state = 2},
  [2706] = {.lex_state = 23, .external_lex_state = 2},
  [2707] = {.lex_state = 23, .external_lex_state = 2},
  [2708] = {.lex_state = 23, .external_lex_state = 2},
  [2709] = {.lex_state = 23, .external_lex_state = 2},
  [2710] = {.lex_state = 23, .external_lex_state = 2},
  [2711] = {.lex_state = 23, .external_lex_state = 2},
  [2712] = {.lex_state = 23, .external_lex_state = 2},
  [2713] = {.lex_state = 23, .external_lex_state = 2},
  [2714] = {.lex_state = 23, .external_lex_state = 2},
  [2715] = {.lex_state = 23, .external_lex_state = 2},
  [2716] = {.lex_state = 23, .external_lex_state = 2},
  [2717] = {.lex_state = 23, .external_lex_state = 2},
  [2718] = {.lex_state = 23, .external_lex_state = 2},
  [2719] = {.lex_state = 23, .external_lex_state = 2},
  [2720] = {.lex_state = 23, .external_lex_state = 2},
  [2721] = {.lex_state = 23, .external_lex_state = 2},
  [2722] = {.lex_state = 23, .external_lex_state = 2},
  [2723] = {.lex_state = 23, .external_lex_state = 2},
  [2724] = {.lex_state = 23, .external_lex_state = 2},
  [2725] = {.lex_state = 23, .external_lex_state = 2},
  [2726] = {.lex_state = 23, .external_lex_state = 2},
  [2727] = {.lex_state = 23, .external_lex_state = 2},
  [2728] = {.lex_state = 23, .external_lex_state = 2},
  [2729] = {.lex_state = 23, .external_lex_state = 2},
  [2730] = {.lex_state = 23, .external_lex_state = 2},
  [2731] = {.lex_state = 23, .external_lex_state = 2},
  [2732] = {.lex_state = 23, .external_lex_state = 2},
  [2733] = {.lex_state = 23, .external_lex_state = 2},
  [2734] = {.lex_state = 23, .external_lex_state = 2},
  [2735] = {.lex_state = 23, .external_lex_state = 2},
  [2736] = {.lex_state = 23, .external_lex_state = 2},
  [2737] = {.lex_state = 23, .external_lex_state = 2},
  [2738] = {.lex_state = 23, .external_lex_state = 2},
  [2739] = {.lex_state = 23, .external_lex_state = 2},
  [2740] = {.lex_state = 23, .external_lex_state = 2},
  [2741] = {.lex_state = 23, .external_lex_state = 2},
  [2742] = {.lex_state = 23, .external_lex_state = 2},
  [2743] = {.lex_state = 23, .external_lex_state = 2},
  [2744] = {.lex_state = 23, .external_lex_state = 2},
  [2745] = {.lex_state = 23, .external_lex_state = 2},
  [2746] = {.lex_state = 23, .external_lex_state = 2},
  [2747] = {.lex_state = 23, .external_lex_state = 2},
  [2748] = {.lex_state = 23, .external_lex_state = 2},
  [2749] = {.lex_state = 23, .external_lex_state = 2},
  [2750] = {.lex_state = 23, .external_lex_state = 2},
  [2751] = {.lex_state = 23, .external_lex_state = 2},
  [2752] = {.lex_state = 23, .external_lex_state = 2},
  [2753] = {.lex_state = 23, .external_lex_state = 2},
  [2754] = {.lex_state = 23, .external_lex_state = 2},
  [2755] = {.lex_state = 23, .external_lex_state = 2},
  [2756] = {.lex_state = 23, .external_lex_state = 2},
  [2757] = {.lex_state = 23, .external_lex_state = 2},
  [2758] = {.lex_state = 23, .external_lex_state = 2},
  [2759] = {.lex_state = 23, .external_lex_state = 2},
  [2760] = {.lex_state = 23, .external_lex_state = 2},
  [2761] = {.lex_state = 23, .external_lex_state = 2},
  [2762] = {.lex_state = 23, .external_lex_state = 2},
  [2763] = {.lex_state = 23, .external_lex_state = 2},
  [2764] = {.lex_state = 23, .external_lex_state = 2},
  [2765] = {.lex_state = 23, .external_lex_state = 2},
  [2766] = {.lex_state = 23, .external_lex_state = 2},
  [2767] = {.lex_state = 23, .external_lex_state = 2},
  [2768] = {.lex_state = 23, .external_lex_state = 2},
  [2769] = {.lex_state = 23, .external_lex_state = 2},
  [2770] = {.lex_state = 23, .external_lex_state = 2},
  [2771] = {.lex_state = 23, .external_lex_state = 2},
  [2772] = {.lex_state = 23, .external_lex_state = 2},
  [2773] = {.lex_state = 23, .external_lex_state = 2},
  [2774] = {.lex_state = 23, .external_lex_state = 2},
  [2775] = {.lex_state = 23, .external_lex_state = 2},
  [2776] = {.lex_state = 23, .external_lex_state = 2},
  [2777] = {.lex_state = 23, .external_lex_state = 2},
  [2778] = {.lex_state = 23, .external_lex_state = 2},
  [2779] = {.lex_state = 23, .external_lex_state = 2},
  [2780] = {.lex_state = 23, .external_lex_state = 2},
  [2781] = {.lex_state = 23, .external_lex_state = 2},
  [2782] = {.lex_state = 23, .external_lex_state = 2},
  [2783] = {.lex_state = 23, .external_lex_state = 2},
  [2784] = {.lex_state = 23, .external_lex_state = 2},
  [2785] = {.lex_state = 23, .external_lex_state = 2},
  [2786] = {.lex_state = 23, .external_lex_state = 2},
  [2787] = {.lex_state = 23, .external_lex_state = 2},
  [2788] = {.lex_state = 23, .external_lex_state = 2},
  [2789] = {.lex_state = 23, .external_lex_state = 2},
  [2790] = {.lex_state = 23, .external_lex_state = 2},
  [2791] = {.lex_state = 23, .external_lex_state = 2},
  [2792] = {.lex_state = 23, .external_lex_state = 2},
  [2793] = {.lex_state = 23, .external_lex_state = 2},
  [2794] = {.lex_state = 23, .external_lex_state = 2},
  [2795] = {.lex_state = 23, .external_lex_state = 2},
  [2796] = {.lex_state = 23, .external_lex_state = 2},
  [2797] = {.lex_state = 23, .external_lex_state = 2},
  [2798] = {.lex_state = 23, .external_lex_state = 2},
  [2799] = {.lex_state = 23, .external_lex_state = 2},
  [2800] = {.lex_state = 23, .external_lex_state = 2},
  [2801] = {.lex_state = 23, .external_lex_state = 2},
  [2802] = {.lex_state = 23, .external_lex_state = 2},
  [2803] = {.lex_state = 23, .external_lex_state = 2},
  [2804] = {.lex_state = 23, .external_lex_state = 2},
  [2805] = {.lex_state = 23, .external_lex_state = 2},
  [2806] = {.lex_state = 23, .external_lex_state = 2},
  [2807] = {.lex_state = 23, .external_lex_state = 2},
  [2808] = {.lex_state = 23, .external_lex_state = 2},
  [2809] = {.lex_state = 23, .external_lex_state = 2},
  [2810] = {.lex_state = 23, .external_lex_state = 2},
  [2811] = {.lex_state = 23, .external_lex_state = 2},
  [2812] = {.lex_state = 23, .external_lex_state = 2},
  [2813] = {.lex_state = 23, .external_lex_state = 2},
  [2814] = {.lex_state = 23, .external_lex_state = 2},
  [2815] = {.lex_state = 23, .external_lex_state = 2},
  [2816] = {.lex_state = 70, .external_lex_state = 6},
  [2817] = {.lex_state = 23, .external_lex_state = 2},
  [2818] = {.lex_state = 23, .external_lex_state = 2},
  [2819] = {.lex_state = 23, .external_lex_state = 2},
  [2820] = {.lex_state = 23, .external_lex_state = 2},
  [2821] = {.lex_state = 23, .external_lex_state = 2},
  [2822] = {.lex_state = 23, .external_lex_state = 2},
  [2823] = {.lex_state = 23, .external_lex_state = 2},
  [2824] = {.lex_state = 23, .external_lex_state = 2},
  [2825] = {.lex_state = 23, .external_lex_state = 2},
  [2826] = {.lex_state = 23, .external_lex_state = 2},
  [2827] = {.lex_state = 23, .external_lex_state = 2},
  [2828] = {.lex_state = 23, .external_lex_state = 2},
  [2829] = {.lex_state = 23, .external_lex_state = 2},
  [2830] = {.lex_state = 23, .external_lex_state = 2},
  [2831] = {.lex_state = 23, .external_lex_state = 2},
  [2832] = {.lex_state = 23, .external_lex_state = 2},
  [2833] = {.lex_state = 23, .external_lex_state = 2},
  [2834] = {.lex_state = 23, .external_lex_state = 2},
  [2835] = {.lex_state = 23, .external_lex_state = 2},
  [2836] = {.lex_state = 23, .external_lex_state = 2},
  [2837] = {.lex_state = 23, .external_lex_state = 2},
  [2838] = {.lex_state = 23, .external_lex_state = 2},
  [2839] = {.lex_state = 23, .external_lex_state = 2},
  [2840] = {.lex_state = 23, .external_lex_state = 2},
  [2841] = {.lex_state = 23, .external_lex_state = 2},
  [2842] = {.lex_state = 23, .external_lex_state = 2},
  [2843] = {.lex_state = 23, .external_lex_state = 2},
  [2844] = {.lex_state = 23, .external_lex_state = 2},
  [2845] = {.lex_state = 23, .external_lex_state = 2},
  [2846] = {.lex_state = 23, .external_lex_state = 2},
  [2847] = {.lex_state = 23, .external_lex_state = 2},
  [2848] = {.lex_state = 23, .external_lex_state = 2},
  [2849] = {.lex_state = 23, .external_lex_state = 2},
  [2850] = {.lex_state = 23, .external_lex_state = 2},
  [2851] = {.lex_state = 23, .external_lex_state = 2},
  [2852] = {.lex_state = 23, .external_lex_state = 2},
  [2853] = {.lex_state = 23, .external_lex_state = 2},
  [2854] = {.lex_state = 23, .external_lex_state = 2},
  [2855] = {.lex_state = 23, .external_lex_state = 2},
  [2856] = {.lex_state = 23, .external_lex_state = 2},
  [2857] = {.lex_state = 23, .external_lex_state = 2},
  [2858] = {.lex_state = 23, .external_lex_state = 2},
  [2859] = {.lex_state = 23, .external_lex_state = 2},
  [2860] = {.lex_state = 23, .external_lex_state = 2},
  [2861] = {.lex_state = 23, .external_lex_state = 2},
  [2862] = {.lex_state = 23, .external_lex_state = 2},
  [2863] = {.lex_state = 23, .external_lex_state = 2},
  [2864] = {.lex_state = 23, .external_lex_state = 2},
  [2865] = {.lex_state = 23, .external_lex_state = 2},
  [2866] = {.lex_state = 23, .external_lex_state = 2},
  [2867] = {.lex_state = 23, .external_lex_state = 2},
  [2868] = {.lex_state = 23, .external_lex_state = 2},
  [2869] = {.lex_state = 23, .external_lex_state = 2},
  [2870] = {.lex_state = 23, .external_lex_state = 2},
  [2871] = {.lex_state = 23, .external_lex_state = 2},
  [2872] = {.lex_state = 23, .external_lex_state = 2},
  [2873] = {.lex_state = 23, .external_lex_state = 2},
  [2874] = {.lex_state = 23, .external_lex_state = 2},
  [2875] = {.lex_state = 23, .external_lex_state = 2},
  [2876] = {.lex_state = 23, .external_lex_state = 2},
  [2877] = {.lex_state = 23, .external_lex_state = 2},
  [2878] = {.lex_state = 23, .external_lex_state = 2},
  [2879] = {.lex_state = 23, .external_lex_state = 2},
  [2880] = {.lex_state = 23, .external_lex_state = 2},
  [2881] = {.lex_state = 23, .external_lex_state = 2},
  [2882] = {.lex_state = 23, .external_lex_state = 2},
  [2883] = {.lex_state = 70, .external_lex_state = 14},
  [2884] = {.lex_state = 23, .external_lex_state = 2},
  [2885] = {.lex_state = 23, .external_lex_state = 2},
  [2886] = {.lex_state = 23, .external_lex_state = 2},
  [2887] = {.lex_state = 23, .external_lex_state = 2},
  [2888] = {.lex_state = 23, .external_lex_state = 2},
  [2889] = {.lex_state = 23, .external_lex_state = 2},
  [2890] = {.lex_state = 23, .external_lex_state = 2},
  [2891] = {.lex_state = 23, .external_lex_state = 2},
  [2892] = {.lex_state = 23, .external_lex_state = 2},
  [2893] = {.lex_state = 23, .external_lex_state = 2},
  [2894] = {.lex_state = 23, .external_lex_state = 2},
  [2895] = {.lex_state = 23, .external_lex_state = 2},
  [2896] = {.lex_state = 23, .external_lex_state = 2},
  [2897] = {.lex_state = 23, .external_lex_state = 2},
  [2898] = {.lex_state = 23, .external_lex_state = 2},
  [2899] = {.lex_state = 23, .external_lex_state = 2},
  [2900] = {.lex_state = 23, .external_lex_state = 2},
  [2901] = {.lex_state = 23, .external_lex_state = 2},
  [2902] = {.lex_state = 23, .external_lex_state = 2},
  [2903] = {.lex_state = 23, .external_lex_state = 2},
  [2904] = {.lex_state = 23, .external_lex_state = 2},
  [2905] = {.lex_state = 23, .external_lex_state = 2},
  [2906] = {.lex_state = 23, .external_lex_state = 2},
  [2907] = {.lex_state = 23, .external_lex_state = 2},
  [2908] = {.lex_state = 23, .external_lex_state = 2},
  [2909] = {.lex_state = 23, .external_lex_state = 2},
  [2910] = {.lex_state = 23, .external_lex_state = 2},
  [2911] = {.lex_state = 23, .external_lex_state = 2},
  [2912] = {.lex_state = 23, .external_lex_state = 2},
  [2913] = {.lex_state = 23, .external_lex_state = 2},
  [2914] = {.lex_state = 23, .external_lex_state = 2},
  [2915] = {.lex_state = 23, .external_lex_state = 2},
  [2916] = {.lex_state = 23, .external_lex_state = 2},
  [2917] = {.lex_state = 23, .external_lex_state = 2},
  [2918] = {.lex_state = 23, .external_lex_state = 2},
  [2919] = {.lex_state = 23, .external_lex_state = 2},
  [2920] = {.lex_state = 23, .external_lex_state = 2},
  [2921] = {.lex_state = 23, .external_lex_state = 2},
  [2922] = {.lex_state = 23, .external_lex_state = 2},
  [2923] = {.lex_state = 23, .external_lex_state = 2},
  [2924] = {.lex_state = 23, .external_lex_state = 2},
  [2925] = {.lex_state = 23, .external_lex_state = 2},
  [2926] = {.lex_state = 23, .external_lex_state = 2},
  [2927] = {.lex_state = 23, .external_lex_state = 2},
  [2928] = {.lex_state = 23, .external_lex_state = 2},
  [2929] = {.lex_state = 23, .external_lex_state = 2},
  [2930] = {.lex_state = 23, .external_lex_state = 2},
  [2931] = {.lex_state = 23, .external_lex_state = 2},
  [2932] = {.lex_state = 23, .external_lex_state = 2},
  [2933] = {.lex_state = 23, .external_lex_state = 2},
  [2934] = {.lex_state = 23, .external_lex_state = 2},
  [2935] = {.lex_state = 23, .external_lex_state = 2},
  [2936] = {.lex_state = 23, .external_lex_state = 2},
  [2937] = {.lex_state = 23, .external_lex_state = 2},
  [2938] = {.lex_state = 23, .external_lex_state = 2},
  [2939] = {.lex_state = 23, .external_lex_state = 2},
  [2940] = {.lex_state = 23, .external_lex_state = 2},
  [2941] = {.lex_state = 23, .external_lex_state = 2},
  [2942] = {.lex_state = 23, .external_lex_state = 2},
  [2943] = {.lex_state = 23, .external_lex_state = 2},
  [2944] = {.lex_state = 23, .external_lex_state = 2},
  [2945] = {.lex_state = 23, .external_lex_state = 2},
  [2946] = {.lex_state = 23, .external_lex_state = 2},
  [2947] = {.lex_state = 23, .external_lex_state = 2},
  [2948] = {.lex_state = 23, .external_lex_state = 2},
  [2949] = {.lex_state = 23, .external_lex_state = 2},
  [2950] = {.lex_state = 23, .external_lex_state = 2},
  [2951] = {.lex_state = 23, .external_lex_state = 2},
  [2952] = {.lex_state = 23, .external_lex_state = 2},
  [2953] = {.lex_state = 23, .external_lex_state = 2},
  [2954] = {.lex_state = 23, .external_lex_state = 2},
  [2955] = {.lex_state = 23, .external_lex_state = 2},
  [2956] = {.lex_state = 23, .external_lex_state = 2},
  [2957] = {.lex_state = 23, .external_lex_state = 2},
  [2958] = {.lex_state = 23, .external_lex_state = 2},
  [2959] = {.lex_state = 23, .external_lex_state = 2},
  [2960] = {.lex_state = 23, .external_lex_state = 2},
  [2961] = {.lex_state = 23, .external_lex_state = 2},
  [2962] = {.lex_state = 23, .external_lex_state = 2},
  [2963] = {.lex_state = 23, .external_lex_state = 2},
  [2964] = {.lex_state = 23, .external_lex_state = 2},
  [2965] = {.lex_state = 23, .external_lex_state = 2},
  [2966] = {.lex_state = 23, .external_lex_state = 2},
  [2967] = {.lex_state = 23, .external_lex_state = 2},
  [2968] = {.lex_state = 23, .external_lex_state = 2},
  [2969] = {.lex_state = 23, .external_lex_state = 2},
  [2970] = {.lex_state = 23, .external_lex_state = 2},
  [2971] = {.lex_state = 23, .external_lex_state = 2},
  [2972] = {.lex_state = 23, .external_lex_state = 2},
  [2973] = {.lex_state = 23, .external_lex_state = 2},
  [2974] = {.lex_state = 23, .external_lex_state = 2},
  [2975] = {.lex_state = 23, .external_lex_state = 2},
  [2976] = {.lex_state = 23, .external_lex_state = 2},
  [2977] = {.lex_state = 23, .external_lex_state = 2},
  [2978] = {.lex_state = 23, .external_lex_state = 2},
  [2979] = {.lex_state = 23, .external_lex_state = 2},
  [2980] = {.lex_state = 23, .external_lex_state = 2},
  [2981] = {.lex_state = 23, .external_lex_state = 2},
  [2982] = {.lex_state = 23, .external_lex_state = 2},
  [2983] = {.lex_state = 23, .external_lex_state = 2},
  [2984] = {.lex_state = 23, .external_lex_state = 2},
  [2985] = {.lex_state = 23, .external_lex_state = 2},
  [2986] = {.lex_state = 23, .external_lex_state = 2},
  [2987] = {.lex_state = 23, .external_lex_state = 2},
  [2988] = {.lex_state = 23, .external_lex_state = 2},
  [2989] = {.lex_state = 23, .external_lex_state = 2},
  [2990] = {.lex_state = 23, .external_lex_state = 2},
  [2991] = {.lex_state = 23, .external_lex_state = 2},
  [2992] = {.lex_state = 23, .external_lex_state = 2},
  [2993] = {.lex_state = 23, .external_lex_state = 2},
  [2994] = {.lex_state = 23, .external_lex_state = 2},
  [2995] = {.lex_state = 23, .external_lex_state = 2},
  [2996] = {.lex_state = 23, .external_lex_state = 2},
  [2997] = {.lex_state = 23, .external_lex_state = 2},
  [2998] = {.lex_state = 23, .external_lex_state = 2},
  [2999] = {.lex_state = 23, .external_lex_state = 2},
  [3000] = {.lex_state = 23, .external_lex_state = 2},
  [3001] = {.lex_state = 23, .external_lex_state = 2},
  [3002] = {.lex_state = 23, .external_lex_state = 2},
  [3003] = {.lex_state = 23, .external_lex_state = 2},
  [3004] = {.lex_state = 23, .external_lex_state = 2},
  [3005] = {.lex_state = 23, .external_lex_state = 2},
  [3006] = {.lex_state = 23, .external_lex_state = 2},
  [3007] = {.lex_state = 23, .external_lex_state = 2},
  [3008] = {.lex_state = 23, .external_lex_state = 2},
  [3009] = {.lex_state = 23, .external_lex_state = 2},
  [3010] = {.lex_state = 23, .external_lex_state = 2},
  [3011] = {.lex_state = 23, .external_lex_state = 2},
  [3012] = {.lex_state = 23, .external_lex_state = 2},
  [3013] = {.lex_state = 23, .external_lex_state = 2},
  [3014] = {.lex_state = 23, .external_lex_state = 2},
  [3015] = {.lex_state = 23, .external_lex_state = 2},
  [3016] = {.lex_state = 23, .external_lex_state = 2},
  [3017] = {.lex_state = 23, .external_lex_state = 2},
  [3018] = {.lex_state = 23, .external_lex_state = 2},
  [3019] = {.lex_state = 23, .external_lex_state = 2},
  [3020] = {.lex_state = 70, .external_lex_state = 13},
  [3021] = {.lex_state = 23, .external_lex_state = 2},
  [3022] = {.lex_state = 23, .external_lex_state = 2},
  [3023] = {.lex_state = 23, .external_lex_state = 2},
  [3024] = {.lex_state = 23, .external_lex_state = 2},
  [3025] = {.lex_state = 23, .external_lex_state = 2},
  [3026] = {.lex_state = 23, .external_lex_state = 2},
  [3027] = {.lex_state = 23, .external_lex_state = 2},
  [3028] = {.lex_state = 23, .external_lex_state = 2},
  [3029] = {.lex_state = 23, .external_lex_state = 2},
  [3030] = {.lex_state = 23, .external_lex_state = 2},
  [3031] = {.lex_state = 23, .external_lex_state = 2},
  [3032] = {.lex_state = 23, .external_lex_state = 2},
  [3033] = {.lex_state = 23, .external_lex_state = 2},
  [3034] = {.lex_state = 23, .external_lex_state = 2},
  [3035] = {.lex_state = 23, .external_lex_state = 2},
  [3036] = {.lex_state = 23, .external_lex_state = 2},
  [3037] = {.lex_state = 23, .external_lex_state = 2},
  [3038] = {.lex_state = 23, .external_lex_state = 2},
  [3039] = {.lex_state = 23, .external_lex_state = 2},
  [3040] = {.lex_state = 23, .external_lex_state = 2},
  [3041] = {.lex_state = 23, .external_lex_state = 2},
  [3042] = {.lex_state = 23, .external_lex_state = 2},
  [3043] = {.lex_state = 23, .external_lex_state = 2},
  [3044] = {.lex_state = 23, .external_lex_state = 2},
  [3045] = {.lex_state = 23, .external_lex_state = 2},
  [3046] = {.lex_state = 23, .external_lex_state = 2},
  [3047] = {.lex_state = 23, .external_lex_state = 2},
  [3048] = {.lex_state = 23, .external_lex_state = 2},
  [3049] = {.lex_state = 23, .external_lex_state = 2},
  [3050] = {.lex_state = 23, .external_lex_state = 2},
  [3051] = {.lex_state = 23, .external_lex_state = 2},
  [3052] = {.lex_state = 23, .external_lex_state = 2},
  [3053] = {.lex_state = 23, .external_lex_state = 2},
  [3054] = {.lex_state = 23, .external_lex_state = 2},
  [3055] = {.lex_state = 23, .external_lex_state = 2},
  [3056] = {.lex_state = 23, .external_lex_state = 2},
  [3057] = {.lex_state = 70, .external_lex_state = 15},
  [3058] = {.lex_state = 23, .external_lex_state = 2},
  [3059] = {.lex_state = 23, .external_lex_state = 2},
  [3060] = {.lex_state = 23, .external_lex_state = 2},
  [3061] = {.lex_state = 23, .external_lex_state = 2},
  [3062] = {.lex_state = 23, .external_lex_state = 2},
  [3063] = {.lex_state = 23, .external_lex_state = 2},
  [3064] = {.lex_state = 23, .external_lex_state = 2},
  [3065] = {.lex_state = 23, .external_lex_state = 2},
  [3066] = {.lex_state = 23, .external_lex_state = 2},
  [3067] = {.lex_state = 23, .external_lex_state = 2},
  [3068] = {.lex_state = 23, .external_lex_state = 2},
  [3069] = {.lex_state = 23, .external_lex_state = 2},
  [3070] = {.lex_state = 23, .external_lex_state = 2},
  [3071] = {.lex_state = 23, .external_lex_state = 2},
  [3072] = {.lex_state = 23, .external_lex_state = 2},
  [3073] = {.lex_state = 23, .external_lex_state = 2},
  [3074] = {.lex_state = 23, .external_lex_state = 2},
  [3075] = {.lex_state = 23, .external_lex_state = 2},
  [3076] = {.lex_state = 23, .external_lex_state = 2},
  [3077] = {.lex_state = 23, .external_lex_state = 2},
  [3078] = {.lex_state = 23, .external_lex_state = 2},
  [3079] = {.lex_state = 23, .external_lex_state = 2},
  [3080] = {.lex_state = 23, .external_lex_state = 2},
  [3081] = {.lex_state = 23, .external_lex_state = 2},
  [3082] = {.lex_state = 23, .external_lex_state = 2},
  [3083] = {.lex_state = 23, .external_lex_state = 2},
  [3084] = {.lex_state = 23, .external_lex_state = 2},
  [3085] = {.lex_state = 23, .external_lex_state = 2},
  [3086] = {.lex_state = 23, .external_lex_state = 2},
  [3087] = {.lex_state = 23, .external_lex_state = 2},
  [3088] = {.lex_state = 23, .external_lex_state = 2},
  [3089] = {.lex_state = 23, .external_lex_state = 2},
  [3090] = {.lex_state = 23, .external_lex_state = 2},
  [3091] = {.lex_state = 23, .external_lex_state = 2},
  [3092] = {.lex_state = 23, .external_lex_state = 2},
  [3093] = {.lex_state = 23, .external_lex_state = 2},
  [3094] = {.lex_state = 23, .external_lex_state = 2},
  [3095] = {.lex_state = 23, .external_lex_state = 2},
  [3096] = {.lex_state = 23, .external_lex_state = 2},
  [3097] = {.lex_state = 23, .external_lex_state = 2},
  [3098] = {.lex_state = 23, .external_lex_state = 2},
  [3099] = {.lex_state = 23, .external_lex_state = 2},
  [3100] = {.lex_state = 23, .external_lex_state = 2},
  [3101] = {.lex_state = 23, .external_lex_state = 2},
  [3102] = {.lex_state = 23, .external_lex_state = 2},
  [3103] = {.lex_state = 23, .external_lex_state = 2},
  [3104] = {.lex_state = 23, .external_lex_state = 2},
  [3105] = {.lex_state = 23, .external_lex_state = 2},
  [3106] = {.lex_state = 23, .external_lex_state = 2},
  [3107] = {.lex_state = 23, .external_lex_state = 2},
  [3108] = {.lex_state = 23, .external_lex_state = 2},
  [3109] = {.lex_state = 23, .external_lex_state = 2},
  [3110] = {.lex_state = 23, .external_lex_state = 2},
  [3111] = {.lex_state = 23, .external_lex_state = 2},
  [3112] = {.lex_state = 23, .external_lex_state = 2},
  [3113] = {.lex_state = 23, .external_lex_state = 2},
  [3114] = {.lex_state = 23, .external_lex_state = 2},
  [3115] = {.lex_state = 23, .external_lex_state = 2},
  [3116] = {.lex_state = 23, .external_lex_state = 2},
  [3117] = {.lex_state = 23, .external_lex_state = 2},
  [3118] = {.lex_state = 23, .external_lex_state = 2},
  [3119] = {.lex_state = 23, .external_lex_state = 2},
  [3120] = {.lex_state = 23, .external_lex_state = 2},
  [3121] = {.lex_state = 23, .external_lex_state = 2},
  [3122] = {.lex_state = 23, .external_lex_state = 2},
  [3123] = {.lex_state = 23, .external_lex_state = 2},
  [3124] = {.lex_state = 23, .external_lex_state = 2},
  [3125] = {.lex_state = 23, .external_lex_state = 2},
  [3126] = {.lex_state = 23, .external_lex_state = 2},
  [3127] = {.lex_state = 23, .external_lex_state = 2},
  [3128] = {.lex_state = 23, .external_lex_state = 2},
  [3129] = {.lex_state = 23, .external_lex_state = 2},
  [3130] = {.lex_state = 23, .external_lex_state = 2},
  [3131] = {.lex_state = 23, .external_lex_state = 2},
  [3132] = {.lex_state = 23, .external_lex_state = 2},
  [3133] = {.lex_state = 23, .external_lex_state = 2},
  [3134] = {.lex_state = 23, .external_lex_state = 2},
  [3135] = {.lex_state = 23, .external_lex_state = 2},
  [3136] = {.lex_state = 23, .external_lex_state = 2},
  [3137] = {.lex_state = 23, .external_lex_state = 2},
  [3138] = {.lex_state = 23, .external_lex_state = 2},
  [3139] = {.lex_state = 23, .external_lex_state = 2},
  [3140] = {.lex_state = 23, .external_lex_state = 2},
  [3141] = {.lex_state = 23, .external_lex_state = 2},
  [3142] = {.lex_state = 23, .external_lex_state = 2},
  [3143] = {.lex_state = 23, .external_lex_state = 2},
  [3144] = {.lex_state = 23, .external_lex_state = 2},
  [3145] = {.lex_state = 23, .external_lex_state = 2},
  [3146] = {.lex_state = 23, .external_lex_state = 2},
  [3147] = {.lex_state = 23, .external_lex_state = 2},
  [3148] = {.lex_state = 23, .external_lex_state = 2},
  [3149] = {.lex_state = 23, .external_lex_state = 2},
  [3150] = {.lex_state = 23, .external_lex_state = 2},
  [3151] = {.lex_state = 23, .external_lex_state = 2},
  [3152] = {.lex_state = 23, .external_lex_state = 2},
  [3153] = {.lex_state = 23, .external_lex_state = 2},
  [3154] = {.lex_state = 23, .external_lex_state = 2},
  [3155] = {.lex_state = 23, .external_lex_state = 2},
  [3156] = {.lex_state = 23, .external_lex_state = 2},
  [3157] = {.lex_state = 23, .external_lex_state = 2},
  [3158] = {.lex_state = 23, .external_lex_state = 2},
  [3159] = {.lex_state = 23, .external_lex_state = 2},
  [3160] = {.lex_state = 23, .external_lex_state = 2},
  [3161] = {.lex_state = 23, .external_lex_state = 2},
  [3162] = {.lex_state = 23, .external_lex_state = 2},
  [3163] = {.lex_state = 23, .external_lex_state = 2},
  [3164] = {.lex_state = 23, .external_lex_state = 2},
  [3165] = {.lex_state = 23, .external_lex_state = 2},
  [3166] = {.lex_state = 23, .external_lex_state = 2},
  [3167] = {.lex_state = 23, .external_lex_state = 2},
  [3168] = {.lex_state = 23, .external_lex_state = 2},
  [3169] = {.lex_state = 23, .external_lex_state = 2},
  [3170] = {.lex_state = 23, .external_lex_state = 2},
  [3171] = {.lex_state = 23, .external_lex_state = 2},
  [3172] = {.lex_state = 23, .external_lex_state = 2},
  [3173] = {.lex_state = 23, .external_lex_state = 2},
  [3174] = {.lex_state = 23, .external_lex_state = 2},
  [3175] = {.lex_state = 23, .external_lex_state = 2},
  [3176] = {.lex_state = 23, .external_lex_state = 2},
  [3177] = {.lex_state = 23, .external_lex_state = 2},
  [3178] = {.lex_state = 23, .external_lex_state = 2},
  [3179] = {.lex_state = 23, .external_lex_state = 2},
  [3180] = {.lex_state = 23, .external_lex_state = 2},
  [3181] = {.lex_state = 23, .external_lex_state = 2},
  [3182] = {.lex_state = 23, .external_lex_state = 2},
  [3183] = {.lex_state = 23, .external_lex_state = 2},
  [3184] = {.lex_state = 23, .external_lex_state = 2},
  [3185] = {.lex_state = 23, .external_lex_state = 2},
  [3186] = {.lex_state = 23, .external_lex_state = 2},
  [3187] = {.lex_state = 23, .external_lex_state = 2},
  [3188] = {.lex_state = 23, .external_lex_state = 2},
  [3189] = {.lex_state = 23, .external_lex_state = 2},
  [3190] = {.lex_state = 23, .external_lex_state = 2},
  [3191] = {.lex_state = 23, .external_lex_state = 2},
  [3192] = {.lex_state = 23, .external_lex_state = 2},
  [3193] = {.lex_state = 23, .external_lex_state = 2},
  [3194] = {.lex_state = 23, .external_lex_state = 2},
  [3195] = {.lex_state = 23, .external_lex_state = 2},
  [3196] = {.lex_state = 23, .external_lex_state = 2},
  [3197] = {.lex_state = 23, .external_lex_state = 2},
  [3198] = {.lex_state = 23, .external_lex_state = 2},
  [3199] = {.lex_state = 23, .external_lex_state = 2},
  [3200] = {.lex_state = 23, .external_lex_state = 2},
  [3201] = {.lex_state = 23, .external_lex_state = 2},
  [3202] = {.lex_state = 70, .external_lex_state = 7},
  [3203] = {.lex_state = 23, .external_lex_state = 2},
  [3204] = {.lex_state = 23, .external_lex_state = 2},
  [3205] = {.lex_state = 23, .external_lex_state = 2},
  [3206] = {.lex_state = 23, .external_lex_state = 2},
  [3207] = {.lex_state = 23, .external_lex_state = 2},
  [3208] = {.lex_state = 23, .external_lex_state = 2},
  [3209] = {.lex_state = 23, .external_lex_state = 2},
  [3210] = {.lex_state = 23, .external_lex_state = 2},
  [3211] = {.lex_state = 23, .external_lex_state = 2},
  [3212] = {.lex_state = 23, .external_lex_state = 2},
  [3213] = {.lex_state = 23, .external_lex_state = 2},
  [3214] = {.lex_state = 23, .external_lex_state = 2},
  [3215] = {.lex_state = 23, .external_lex_state = 2},
  [3216] = {.lex_state = 23, .external_lex_state = 2},
  [3217] = {.lex_state = 23, .external_lex_state = 2},
  [3218] = {.lex_state = 23, .external_lex_state = 2},
  [3219] = {.lex_state = 23, .external_lex_state = 2},
  [3220] = {.lex_state = 23, .external_lex_state = 2},
  [3221] = {.lex_state = 23, .external_lex_state = 2},
  [3222] = {.lex_state = 23, .external_lex_state = 2},
  [3223] = {.lex_state = 23, .external_lex_state = 2},
  [3224] = {.lex_state = 23, .external_lex_state = 2},
  [3225] = {.lex_state = 23, .external_lex_state = 2},
  [3226] = {.lex_state = 23, .external_lex_state = 2},
  [3227] = {.lex_state = 23, .external_lex_state = 2},
  [3228] = {.lex_state = 23, .external_lex_state = 2},
  [3229] = {.lex_state = 23, .external_lex_state = 2},
  [3230] = {.lex_state = 23, .external_lex_state = 2},
  [3231] = {.lex_state = 23, .external_lex_state = 2},
  [3232] = {.lex_state = 23, .external_lex_state = 2},
  [3233] = {.lex_state = 23, .external_lex_state = 2},
  [3234] = {.lex_state = 23, .external_lex_state = 2},
  [3235] = {.lex_state = 23, .external_lex_state = 2},
  [3236] = {.lex_state = 23, .external_lex_state = 2},
  [3237] = {.lex_state = 23, .external_lex_state = 2},
  [3238] = {.lex_state = 23, .external_lex_state = 2},
  [3239] = {.lex_state = 23, .external_lex_state = 2},
  [3240] = {.lex_state = 23, .external_lex_state = 2},
  [3241] = {.lex_state = 23, .external_lex_state = 2},
  [3242] = {.lex_state = 23, .external_lex_state = 2},
  [3243] = {.lex_state = 23, .external_lex_state = 2},
  [3244] = {.lex_state = 23, .external_lex_state = 2},
  [3245] = {.lex_state = 23, .external_lex_state = 2},
  [3246] = {.lex_state = 23, .external_lex_state = 2},
  [3247] = {.lex_state = 23, .external_lex_state = 2},
  [3248] = {.lex_state = 23, .external_lex_state = 2},
  [3249] = {.lex_state = 23, .external_lex_state = 2},
  [3250] = {.lex_state = 23, .external_lex_state = 2},
  [3251] = {.lex_state = 23, .external_lex_state = 2},
  [3252] = {.lex_state = 23, .external_lex_state = 2},
  [3253] = {.lex_state = 23, .external_lex_state = 2},
  [3254] = {.lex_state = 23, .external_lex_state = 2},
  [3255] = {.lex_state = 23, .external_lex_state = 2},
  [3256] = {.lex_state = 23, .external_lex_state = 2},
  [3257] = {.lex_state = 23, .external_lex_state = 2},
  [3258] = {.lex_state = 23, .external_lex_state = 2},
  [3259] = {.lex_state = 23, .external_lex_state = 2},
  [3260] = {.lex_state = 23, .external_lex_state = 2},
  [3261] = {.lex_state = 23, .external_lex_state = 2},
  [3262] = {.lex_state = 23, .external_lex_state = 2},
  [3263] = {.lex_state = 23, .external_lex_state = 2},
  [3264] = {.lex_state = 23, .external_lex_state = 2},
  [3265] = {.lex_state = 23, .external_lex_state = 2},
  [3266] = {.lex_state = 23, .external_lex_state = 2},
  [3267] = {.lex_state = 23, .external_lex_state = 2},
  [3268] = {.lex_state = 23, .external_lex_state = 2},
  [3269] = {.lex_state = 23, .external_lex_state = 2},
  [3270] = {.lex_state = 23, .external_lex_state = 2},
  [3271] = {.lex_state = 23, .external_lex_state = 2},
  [3272] = {.lex_state = 23, .external_lex_state = 2},
  [3273] = {.lex_state = 23, .external_lex_state = 2},
  [3274] = {.lex_state = 23, .external_lex_state = 2},
  [3275] = {.lex_state = 23, .external_lex_state = 2},
  [3276] = {.lex_state = 23, .external_lex_state = 2},
  [3277] = {.lex_state = 23, .external_lex_state = 2},
  [3278] = {.lex_state = 23, .external_lex_state = 2},
  [3279] = {.lex_state = 23, .external_lex_state = 2},
  [3280] = {.lex_state = 23, .external_lex_state = 2},
  [3281] = {.lex_state = 23, .external_lex_state = 2},
  [3282] = {.lex_state = 23, .external_lex_state = 2},
  [3283] = {.lex_state = 23, .external_lex_state = 2},
  [3284] = {.lex_state = 23, .external_lex_state = 2},
  [3285] = {.lex_state = 23, .external_lex_state = 2},
  [3286] = {.lex_state = 23, .external_lex_state = 2},
  [3287] = {.lex_state = 23, .external_lex_state = 2},
  [3288] = {.lex_state = 23, .external_lex_state = 2},
  [3289] = {.lex_state = 23, .external_lex_state = 2},
  [3290] = {.lex_state = 23, .external_lex_state = 2},
  [3291] = {.lex_state = 23, .external_lex_state = 2},
  [3292] = {.lex_state = 23, .external_lex_state = 2},
  [3293] = {.lex_state = 23, .external_lex_state = 2},
  [3294] = {.lex_state = 23, .external_lex_state = 2},
  [3295] = {.lex_state = 23, .external_lex_state = 2},
  [3296] = {.lex_state = 23, .external_lex_state = 2},
  [3297] = {.lex_state = 23, .external_lex_state = 2},
  [3298] = {.lex_state = 23, .external_lex_state = 2},
  [3299] = {.lex_state = 23, .external_lex_state = 2},
  [3300] = {.lex_state = 23, .external_lex_state = 2},
  [3301] = {.lex_state = 23, .external_lex_state = 2},
  [3302] = {.lex_state = 23, .external_lex_state = 2},
  [3303] = {.lex_state = 23, .external_lex_state = 2},
  [3304] = {.lex_state = 23, .external_lex_state = 2},
  [3305] = {.lex_state = 23, .external_lex_state = 2},
  [3306] = {.lex_state = 23, .external_lex_state = 2},
  [3307] = {.lex_state = 23, .external_lex_state = 2},
  [3308] = {.lex_state = 23, .external_lex_state = 2},
  [3309] = {.lex_state = 23, .external_lex_state = 2},
  [3310] = {.lex_state = 23, .external_lex_state = 2},
  [3311] = {.lex_state = 23, .external_lex_state = 2},
  [3312] = {.lex_state = 23, .external_lex_state = 2},
  [3313] = {.lex_state = 23, .external_lex_state = 2},
  [3314] = {.lex_state = 23, .external_lex_state = 2},
  [3315] = {.lex_state = 23, .external_lex_state = 2},
  [3316] = {.lex_state = 23, .external_lex_state = 2},
  [3317] = {.lex_state = 23, .external_lex_state = 2},
  [3318] = {.lex_state = 23, .external_lex_state = 2},
  [3319] = {.lex_state = 23, .external_lex_state = 2},
  [3320] = {.lex_state = 23, .external_lex_state = 2},
  [3321] = {.lex_state = 23, .external_lex_state = 2},
  [3322] = {.lex_state = 23, .external_lex_state = 2},
  [3323] = {.lex_state = 23, .external_lex_state = 2},
  [3324] = {.lex_state = 23, .external_lex_state = 2},
  [3325] = {.lex_state = 23, .external_lex_state = 2},
  [3326] = {.lex_state = 23, .external_lex_state = 2},
  [3327] = {.lex_state = 23, .external_lex_state = 2},
  [3328] = {.lex_state = 23, .external_lex_state = 2},
  [3329] = {.lex_state = 23, .external_lex_state = 2},
  [3330] = {.lex_state = 23, .external_lex_state = 2},
  [3331] = {.lex_state = 23, .external_lex_state = 2},
  [3332] = {.lex_state = 23, .external_lex_state = 2},
  [3333] = {.lex_state = 23, .external_lex_state = 2},
  [3334] = {.lex_state = 23, .external_lex_state = 2},
  [3335] = {.lex_state = 23, .external_lex_state = 2},
  [3336] = {.lex_state = 23, .external_lex_state = 2},
  [3337] = {.lex_state = 23, .external_lex_state = 2},
  [3338] = {.lex_state = 23, .external_lex_state = 2},
  [3339] = {.lex_state = 23, .external_lex_state = 2},
  [3340] = {.lex_state = 23, .external_lex_state = 2},
  [3341] = {.lex_state = 23, .external_lex_state = 2},
  [3342] = {.lex_state = 23, .external_lex_state = 2},
  [3343] = {.lex_state = 23, .external_lex_state = 2},
  [3344] = {.lex_state = 23, .external_lex_state = 2},
  [3345] = {.lex_state = 23, .external_lex_state = 2},
  [3346] = {.lex_state = 23, .external_lex_state = 2},
  [3347] = {.lex_state = 23, .external_lex_state = 2},
  [3348] = {.lex_state = 23, .external_lex_state = 2},
  [3349] = {.lex_state = 23, .external_lex_state = 2},
  [3350] = {.lex_state = 23, .external_lex_state = 2},
  [3351] = {.lex_state = 23, .external_lex_state = 2},
  [3352] = {.lex_state = 23, .external_lex_state = 2},
  [3353] = {.lex_state = 23, .external_lex_state = 2},
  [3354] = {.lex_state = 23, .external_lex_state = 2},
  [3355] = {.lex_state = 23, .external_lex_state = 2},
  [3356] = {.lex_state = 23, .external_lex_state = 2},
  [3357] = {.lex_state = 23, .external_lex_state = 2},
  [3358] = {.lex_state = 23, .external_lex_state = 2},
  [3359] = {.lex_state = 23, .external_lex_state = 2},
  [3360] = {.lex_state = 23, .external_lex_state = 2},
  [3361] = {.lex_state = 23, .external_lex_state = 2},
  [3362] = {.lex_state = 23, .external_lex_state = 2},
  [3363] = {.lex_state = 23, .external_lex_state = 2},
  [3364] = {.lex_state = 23, .external_lex_state = 2},
  [3365] = {.lex_state = 23, .external_lex_state = 2},
  [3366] = {.lex_state = 23, .external_lex_state = 2},
  [3367] = {.lex_state = 23, .external_lex_state = 2},
  [3368] = {.lex_state = 23, .external_lex_state = 2},
  [3369] = {.lex_state = 23, .external_lex_state = 2},
  [3370] = {.lex_state = 23, .external_lex_state = 2},
  [3371] = {.lex_state = 23, .external_lex_state = 2},
  [3372] = {.lex_state = 23, .external_lex_state = 2},
  [3373] = {.lex_state = 23, .external_lex_state = 2},
  [3374] = {.lex_state = 23, .external_lex_state = 2},
  [3375] = {.lex_state = 23, .external_lex_state = 2},
  [3376] = {.lex_state = 23, .external_lex_state = 2},
  [3377] = {.lex_state = 23, .external_lex_state = 2},
  [3378] = {.lex_state = 23, .external_lex_state = 2},
  [3379] = {.lex_state = 23, .external_lex_state = 2},
  [3380] = {.lex_state = 23, .external_lex_state = 2},
  [3381] = {.lex_state = 23, .external_lex_state = 2},
  [3382] = {.lex_state = 23, .external_lex_state = 2},
  [3383] = {.lex_state = 23, .external_lex_state = 2},
  [3384] = {.lex_state = 23, .external_lex_state = 2},
  [3385] = {.lex_state = 23, .external_lex_state = 2},
  [3386] = {.lex_state = 23, .external_lex_state = 2},
  [3387] = {.lex_state = 23, .external_lex_state = 2},
  [3388] = {.lex_state = 23, .external_lex_state = 2},
  [3389] = {.lex_state = 23, .external_lex_state = 2},
  [3390] = {.lex_state = 23, .external_lex_state = 2},
  [3391] = {.lex_state = 23, .external_lex_state = 2},
  [3392] = {.lex_state = 23, .external_lex_state = 2},
  [3393] = {.lex_state = 23, .external_lex_state = 2},
  [3394] = {.lex_state = 23, .external_lex_state = 2},
  [3395] = {.lex_state = 23, .external_lex_state = 2},
  [3396] = {.lex_state = 23, .external_lex_state = 2},
  [3397] = {.lex_state = 23, .external_lex_state = 2},
  [3398] = {.lex_state = 23, .external_lex_state = 2},
  [3399] = {.lex_state = 23, .external_lex_state = 2},
  [3400] = {.lex_state = 23, .external_lex_state = 2},
  [3401] = {.lex_state = 23, .external_lex_state = 2},
  [3402] = {.lex_state = 23, .external_lex_state = 2},
  [3403] = {.lex_state = 23, .external_lex_state = 2},
  [3404] = {.lex_state = 23, .external_lex_state = 2},
  [3405] = {.lex_state = 23, .external_lex_state = 2},
  [3406] = {.lex_state = 23, .external_lex_state = 2},
  [3407] = {.lex_state = 23, .external_lex_state = 2},
  [3408] = {.lex_state = 23, .external_lex_state = 2},
  [3409] = {.lex_state = 23, .external_lex_state = 2},
  [3410] = {.lex_state = 23, .external_lex_state = 2},
  [3411] = {.lex_state = 23, .external_lex_state = 2},
  [3412] = {.lex_state = 23, .external_lex_state = 2},
  [3413] = {.lex_state = 23, .external_lex_state = 2},
  [3414] = {.lex_state = 23, .external_lex_state = 2},
  [3415] = {.lex_state = 23, .external_lex_state = 2},
  [3416] = {.lex_state = 23, .external_lex_state = 2},
  [3417] = {.lex_state = 23, .external_lex_state = 2},
  [3418] = {.lex_state = 23, .external_lex_state = 2},
  [3419] = {.lex_state = 23, .external_lex_state = 2},
  [3420] = {.lex_state = 23, .external_lex_state = 2},
  [3421] = {.lex_state = 23, .external_lex_state = 2},
  [3422] = {.lex_state = 23, .external_lex_state = 2},
  [3423] = {.lex_state = 23, .external_lex_state = 2},
  [3424] = {.lex_state = 23, .external_lex_state = 2},
  [3425] = {.lex_state = 23, .external_lex_state = 2},
  [3426] = {.lex_state = 23, .external_lex_state = 2},
  [3427] = {.lex_state = 23, .external_lex_state = 2},
  [3428] = {.lex_state = 23, .external_lex_state = 2},
  [3429] = {.lex_state = 23, .external_lex_state = 2},
  [3430] = {.lex_state = 23, .external_lex_state = 2},
  [3431] = {.lex_state = 23, .external_lex_state = 2},
  [3432] = {.lex_state = 23, .external_lex_state = 2},
  [3433] = {.lex_state = 23, .external_lex_state = 2},
  [3434] = {.lex_state = 23, .external_lex_state = 2},
  [3435] = {.lex_state = 23, .external_lex_state = 2},
  [3436] = {.lex_state = 23, .external_lex_state = 2},
  [3437] = {.lex_state = 23, .external_lex_state = 2},
  [3438] = {.lex_state = 23, .external_lex_state = 2},
  [3439] = {.lex_state = 23, .external_lex_state = 2},
  [3440] = {.lex_state = 23, .external_lex_state = 2},
  [3441] = {.lex_state = 23, .external_lex_state = 2},
  [3442] = {.lex_state = 23, .external_lex_state = 2},
  [3443] = {.lex_state = 23, .external_lex_state = 2},
  [3444] = {.lex_state = 23, .external_lex_state = 2},
  [3445] = {.lex_state = 23, .external_lex_state = 2},
  [3446] = {.lex_state = 23, .external_lex_state = 2},
  [3447] = {.lex_state = 23, .external_lex_state = 2},
  [3448] = {.lex_state = 23, .external_lex_state = 2},
  [3449] = {.lex_state = 23, .external_lex_state = 2},
  [3450] = {.lex_state = 23, .external_lex_state = 2},
  [3451] = {.lex_state = 23, .external_lex_state = 2},
  [3452] = {.lex_state = 23, .external_lex_state = 2},
  [3453] = {.lex_state = 23, .external_lex_state = 2},
  [3454] = {.lex_state = 23, .external_lex_state = 2},
  [3455] = {.lex_state = 23, .external_lex_state = 2},
  [3456] = {.lex_state = 23, .external_lex_state = 2},
  [3457] = {.lex_state = 23, .external_lex_state = 2},
  [3458] = {.lex_state = 23, .external_lex_state = 2},
  [3459] = {.lex_state = 23, .external_lex_state = 2},
  [3460] = {.lex_state = 23, .external_lex_state = 2},
  [3461] = {.lex_state = 23, .external_lex_state = 2},
  [3462] = {.lex_state = 23, .external_lex_state = 2},
  [3463] = {.lex_state = 23, .external_lex_state = 2},
  [3464] = {.lex_state = 23, .external_lex_state = 2},
  [3465] = {.lex_state = 23, .external_lex_state = 2},
  [3466] = {.lex_state = 23, .external_lex_state = 2},
  [3467] = {.lex_state = 23, .external_lex_state = 2},
  [3468] = {.lex_state = 23, .external_lex_state = 2},
  [3469] = {.lex_state = 23, .external_lex_state = 2},
  [3470] = {.lex_state = 23, .external_lex_state = 2},
  [3471] = {.lex_state = 23, .external_lex_state = 2},
  [3472] = {.lex_state = 23, .external_lex_state = 2},
  [3473] = {.lex_state = 23, .external_lex_state = 2},
  [3474] = {.lex_state = 23, .external_lex_state = 2},
  [3475] = {.lex_state = 23, .external_lex_state = 2},
  [3476] = {.lex_state = 23, .external_lex_state = 2},
  [3477] = {.lex_state = 23, .external_lex_state = 2},
  [3478] = {.lex_state = 23, .external_lex_state = 2},
  [3479] = {.lex_state = 23, .external_lex_state = 2},
  [3480] = {.lex_state = 23, .external_lex_state = 2},
  [3481] = {.lex_state = 23, .external_lex_state = 2},
  [3482] = {.lex_state = 23, .external_lex_state = 2},
  [3483] = {.lex_state = 23, .external_lex_state = 2},
  [3484] = {.lex_state = 23, .external_lex_state = 2},
  [3485] = {.lex_state = 23, .external_lex_state = 2},
  [3486] = {.lex_state = 23, .external_lex_state = 2},
  [3487] = {.lex_state = 23, .external_lex_state = 2},
  [3488] = {.lex_state = 23, .external_lex_state = 2},
  [3489] = {.lex_state = 23, .external_lex_state = 2},
  [3490] = {.lex_state = 23, .external_lex_state = 2},
  [3491] = {.lex_state = 23, .external_lex_state = 2},
  [3492] = {.lex_state = 23, .external_lex_state = 2},
  [3493] = {.lex_state = 23, .external_lex_state = 2},
  [3494] = {.lex_state = 23, .external_lex_state = 2},
  [3495] = {.lex_state = 23, .external_lex_state = 2},
  [3496] = {.lex_state = 23, .external_lex_state = 2},
  [3497] = {.lex_state = 23, .external_lex_state = 2},
  [3498] = {.lex_state = 23, .external_lex_state = 2},
  [3499] = {.lex_state = 23, .external_lex_state = 2},
  [3500] = {.lex_state = 23, .external_lex_state = 2},
  [3501] = {.lex_state = 23, .external_lex_state = 2},
  [3502] = {.lex_state = 23, .external_lex_state = 2},
  [3503] = {.lex_state = 23, .external_lex_state = 2},
  [3504] = {.lex_state = 23, .external_lex_state = 2},
  [3505] = {.lex_state = 23, .external_lex_state = 2},
  [3506] = {.lex_state = 23, .external_lex_state = 2},
  [3507] = {.lex_state = 23, .external_lex_state = 2},
  [3508] = {.lex_state = 23, .external_lex_state = 2},
  [3509] = {.lex_state = 23, .external_lex_state = 2},
  [3510] = {.lex_state = 23, .external_lex_state = 2},
  [3511] = {.lex_state = 23, .external_lex_state = 2},
  [3512] = {.lex_state = 23, .external_lex_state = 2},
  [3513] = {.lex_state = 23, .external_lex_state = 2},
  [3514] = {.lex_state = 23, .external_lex_state = 2},
  [3515] = {.lex_state = 23, .external_lex_state = 2},
  [3516] = {.lex_state = 23, .external_lex_state = 2},
  [3517] = {.lex_state = 23, .external_lex_state = 2},
  [3518] = {.lex_state = 23, .external_lex_state = 2},
  [3519] = {.lex_state = 23, .external_lex_state = 2},
  [3520] = {.lex_state = 23, .external_lex_state = 2},
  [3521] = {.lex_state = 23, .external_lex_state = 2},
  [3522] = {.lex_state = 23, .external_lex_state = 2},
  [3523] = {.lex_state = 23, .external_lex_state = 2},
  [3524] = {.lex_state = 23, .external_lex_state = 2},
  [3525] = {.lex_state = 23, .external_lex_state = 2},
  [3526] = {.lex_state = 23, .external_lex_state = 2},
  [3527] = {.lex_state = 23, .external_lex_state = 2},
  [3528] = {.lex_state = 23, .external_lex_state = 2},
  [3529] = {.lex_state = 23, .external_lex_state = 2},
  [3530] = {.lex_state = 23, .external_lex_state = 2},
  [3531] = {.lex_state = 23, .external_lex_state = 2},
  [3532] = {.lex_state = 23, .external_lex_state = 2},
  [3533] = {.lex_state = 23, .external_lex_state = 2},
  [3534] = {.lex_state = 23, .external_lex_state = 2},
  [3535] = {.lex_state = 23, .external_lex_state = 2},
  [3536] = {.lex_state = 23, .external_lex_state = 2},
  [3537] = {.lex_state = 23, .external_lex_state = 2},
  [3538] = {.lex_state = 23, .external_lex_state = 2},
  [3539] = {.lex_state = 23, .external_lex_state = 2},
  [3540] = {.lex_state = 23, .external_lex_state = 2},
  [3541] = {.lex_state = 23, .external_lex_state = 2},
  [3542] = {.lex_state = 23, .external_lex_state = 2},
  [3543] = {.lex_state = 23, .external_lex_state = 2},
  [3544] = {.lex_state = 23, .external_lex_state = 2},
  [3545] = {.lex_state = 23, .external_lex_state = 2},
  [3546] = {.lex_state = 23, .external_lex_state = 2},
  [3547] = {.lex_state = 23, .external_lex_state = 2},
  [3548] = {.lex_state = 23, .external_lex_state = 2},
  [3549] = {.lex_state = 23, .external_lex_state = 2},
  [3550] = {.lex_state = 23, .external_lex_state = 2},
  [3551] = {.lex_state = 23, .external_lex_state = 2},
  [3552] = {.lex_state = 23, .external_lex_state = 2},
  [3553] = {.lex_state = 23, .external_lex_state = 2},
  [3554] = {.lex_state = 23, .external_lex_state = 2},
  [3555] = {.lex_state = 23, .external_lex_state = 2},
  [3556] = {.lex_state = 23, .external_lex_state = 2},
  [3557] = {.lex_state = 23, .external_lex_state = 2},
  [3558] = {.lex_state = 23, .external_lex_state = 2},
  [3559] = {.lex_state = 23, .external_lex_state = 2},
  [3560] = {.lex_state = 23, .external_lex_state = 2},
  [3561] = {.lex_state = 23, .external_lex_state = 2},
  [3562] = {.lex_state = 23, .external_lex_state = 2},
  [3563] = {.lex_state = 23, .external_lex_state = 2},
  [3564] = {.lex_state = 23, .external_lex_state = 2},
  [3565] = {.lex_state = 23, .external_lex_state = 2},
  [3566] = {.lex_state = 23, .external_lex_state = 2},
  [3567] = {.lex_state = 23, .external_lex_state = 2},
  [3568] = {.lex_state = 23, .external_lex_state = 2},
  [3569] = {.lex_state = 23, .external_lex_state = 2},
  [3570] = {.lex_state = 23, .external_lex_state = 2},
  [3571] = {.lex_state = 23, .external_lex_state = 2},
  [3572] = {.lex_state = 23, .external_lex_state = 2},
  [3573] = {.lex_state = 23, .external_lex_state = 2},
  [3574] = {.lex_state = 23, .external_lex_state = 2},
  [3575] = {.lex_state = 23, .external_lex_state = 2},
  [3576] = {.lex_state = 23, .external_lex_state = 2},
  [3577] = {.lex_state = 23, .external_lex_state = 2},
  [3578] = {.lex_state = 23, .external_lex_state = 2},
  [3579] = {.lex_state = 23, .external_lex_state = 2},
  [3580] = {.lex_state = 23, .external_lex_state = 2},
  [3581] = {.lex_state = 23, .external_lex_state = 2},
  [3582] = {.lex_state = 23, .external_lex_state = 2},
  [3583] = {.lex_state = 23, .external_lex_state = 2},
  [3584] = {.lex_state = 23, .external_lex_state = 2},
  [3585] = {.lex_state = 70, .external_lex_state = 8},
  [3586] = {.lex_state = 23, .external_lex_state = 2},
  [3587] = {.lex_state = 23, .external_lex_state = 2},
  [3588] = {.lex_state = 23, .external_lex_state = 2},
  [3589] = {.lex_state = 23, .external_lex_state = 2},
  [3590] = {.lex_state = 23, .external_lex_state = 2},
  [3591] = {.lex_state = 23, .external_lex_state = 2},
  [3592] = {.lex_state = 23, .external_lex_state = 2},
  [3593] = {.lex_state = 70, .external_lex_state = 17},
  [3594] = {.lex_state = 23, .external_lex_state = 2},
  [3595] = {.lex_state = 23, .external_lex_state = 2},
  [3596] = {.lex_state = 23, .external_lex_state = 2},
  [3597] = {.lex_state = 23, .external_lex_state = 2},
  [3598] = {.lex_state = 23, .external_lex_state = 2},
  [3599] = {.lex_state = 23, .external_lex_state = 2},
  [3600] = {.lex_state = 23, .external_lex_state = 2},
  [3601] = {.lex_state = 23, .external_lex_state = 2},
  [3602] = {.lex_state = 23, .external_lex_state = 2},
  [3603] = {.lex_state = 23, .external_lex_state = 2},
  [3604] = {.lex_state = 23, .external_lex_state = 2},
  [3605] = {.lex_state = 23, .external_lex_state = 2},
  [3606] = {.lex_state = 23, .external_lex_state = 2},
  [3607] = {.lex_state = 23, .external_lex_state = 2},
  [3608] = {.lex_state = 23, .external_lex_state = 2},
  [3609] = {.lex_state = 23, .external_lex_state = 2},
  [3610] = {.lex_state = 23, .external_lex_state = 2},
  [3611] = {.lex_state = 23, .external_lex_state = 2},
  [3612] = {.lex_state = 23, .external_lex_state = 2},
  [3613] = {.lex_state = 23, .external_lex_state = 2},
  [3614] = {.lex_state = 23, .external_lex_state = 2},
  [3615] = {.lex_state = 23, .external_lex_state = 2},
  [3616] = {.lex_state = 23, .external_lex_state = 2},
  [3617] = {.lex_state = 23, .external_lex_state = 2},
  [3618] = {.lex_state = 23, .external_lex_state = 2},
  [3619] = {.lex_state = 23, .external_lex_state = 2},
  [3620] = {.lex_state = 23, .external_lex_state = 2},
  [3621] = {.lex_state = 23, .external_lex_state = 2},
  [3622] = {.lex_state = 23, .external_lex_state = 2},
  [3623] = {.lex_state = 23, .external_lex_state = 2},
  [3624] = {.lex_state = 23, .external_lex_state = 2},
  [3625] = {.lex_state = 23, .external_lex_state = 2},
  [3626] = {.lex_state = 23, .external_lex_state = 2},
  [3627] = {.lex_state = 23, .external_lex_state = 2},
  [3628] = {.lex_state = 23, .external_lex_state = 2},
  [3629] = {.lex_state = 23, .external_lex_state = 2},
  [3630] = {.lex_state = 23, .external_lex_state = 2},
  [3631] = {.lex_state = 23, .external_lex_state = 2},
  [3632] = {.lex_state = 23, .external_lex_state = 2},
  [3633] = {.lex_state = 23, .external_lex_state = 2},
  [3634] = {.lex_state = 23, .external_lex_state = 2},
  [3635] = {.lex_state = 23, .external_lex_state = 2},
  [3636] = {.lex_state = 23, .external_lex_state = 2},
  [3637] = {.lex_state = 23, .external_lex_state = 2},
  [3638] = {.lex_state = 23, .external_lex_state = 2},
  [3639] = {.lex_state = 23, .external_lex_state = 2},
  [3640] = {.lex_state = 70, .external_lex_state = 19},
  [3641] = {.lex_state = 23, .external_lex_state = 2},
  [3642] = {.lex_state = 23, .external_lex_state = 2},
  [3643] = {.lex_state = 23, .external_lex_state = 2},
  [3644] = {.lex_state = 23, .external_lex_state = 2},
  [3645] = {.lex_state = 23, .external_lex_state = 2},
  [3646] = {.lex_state = 23, .external_lex_state = 2},
  [3647] = {.lex_state = 23, .external_lex_state = 2},
  [3648] = {.lex_state = 23, .external_lex_state = 2},
  [3649] = {.lex_state = 23, .external_lex_state = 2},
  [3650] = {.lex_state = 23, .external_lex_state = 2},
  [3651] = {.lex_state = 23, .external_lex_state = 2},
  [3652] = {.lex_state = 23, .external_lex_state = 2},
  [3653] = {.lex_state = 23, .external_lex_state = 2},
  [3654] = {.lex_state = 23, .external_lex_state = 2},
  [3655] = {.lex_state = 23, .external_lex_state = 2},
  [3656] = {.lex_state = 23, .external_lex_state = 2},
  [3657] = {.lex_state = 23, .external_lex_state = 2},
  [3658] = {.lex_state = 23, .external_lex_state = 2},
  [3659] = {.lex_state = 23, .external_lex_state = 2},
  [3660] = {.lex_state = 23, .external_lex_state = 2},
  [3661] = {.lex_state = 23, .external_lex_state = 2},
  [3662] = {.lex_state = 23, .external_lex_state = 2},
  [3663] = {.lex_state = 23, .external_lex_state = 2},
  [3664] = {.lex_state = 23, .external_lex_state = 2},
  [3665] = {.lex_state = 23, .external_lex_state = 2},
  [3666] = {.lex_state = 23, .external_lex_state = 2},
  [3667] = {.lex_state = 23, .external_lex_state = 2},
  [3668] = {.lex_state = 23, .external_lex_state = 2},
  [3669] = {.lex_state = 23, .external_lex_state = 2},
  [3670] = {.lex_state = 23, .external_lex_state = 2},
  [3671] = {.lex_state = 23, .external_lex_state = 2},
  [3672] = {.lex_state = 23, .external_lex_state = 2},
  [3673] = {.lex_state = 23, .external_lex_state = 2},
  [3674] = {.lex_state = 23, .external_lex_state = 2},
  [3675] = {.lex_state = 23, .external_lex_state = 2},
  [3676] = {.lex_state = 23, .external_lex_state = 2},
  [3677] = {.lex_state = 23, .external_lex_state = 2},
  [3678] = {.lex_state = 23, .external_lex_state = 2},
  [3679] = {.lex_state = 23, .external_lex_state = 2},
  [3680] = {.lex_state = 23, .external_lex_state = 2},
  [3681] = {.lex_state = 23, .external_lex_state = 2},
  [3682] = {.lex_state = 23, .external_lex_state = 2},
  [3683] = {.lex_state = 23, .external_lex_state = 2},
  [3684] = {.lex_state = 23, .external_lex_state = 2},
  [3685] = {.lex_state = 23, .external_lex_state = 2},
  [3686] = {.lex_state = 23, .external_lex_state = 2},
  [3687] = {.lex_state = 23, .external_lex_state = 2},
  [3688] = {.lex_state = 23, .external_lex_state = 2},
  [3689] = {.lex_state = 23, .external_lex_state = 2},
  [3690] = {.lex_state = 23, .external_lex_state = 2},
  [3691] = {.lex_state = 23, .external_lex_state = 2},
  [3692] = {.lex_state = 23, .external_lex_state = 2},
  [3693] = {.lex_state = 23, .external_lex_state = 2},
  [3694] = {.lex_state = 23, .external_lex_state = 2},
  [3695] = {.lex_state = 23, .external_lex_state = 2},
  [3696] = {.lex_state = 23, .external_lex_state = 2},
  [3697] = {.lex_state = 23, .external_lex_state = 2},
  [3698] = {.lex_state = 23, .external_lex_state = 2},
  [3699] = {.lex_state = 23, .external_lex_state = 2},
  [3700] = {.lex_state = 23, .external_lex_state = 2},
  [3701] = {.lex_state = 23, .external_lex_state = 2},
  [3702] = {.lex_state = 23, .external_lex_state = 2},
  [3703] = {.lex_state = 23, .external_lex_state = 2},
  [3704] = {.lex_state = 23, .external_lex_state = 2},
  [3705] = {.lex_state = 23, .external_lex_state = 2},
  [3706] = {.lex_state = 23, .external_lex_state = 2},
  [3707] = {.lex_state = 23, .external_lex_state = 2},
  [3708] = {.lex_state = 23, .external_lex_state = 2},
  [3709] = {.lex_state = 23, .external_lex_state = 2},
  [3710] = {.lex_state = 23, .external_lex_state = 2},
  [3711] = {.lex_state = 23, .external_lex_state = 2},
  [3712] = {.lex_state = 23, .external_lex_state = 2},
  [3713] = {.lex_state = 23, .external_lex_state = 2},
  [3714] = {.lex_state = 23, .external_lex_state = 2},
  [3715] = {.lex_state = 23, .external_lex_state = 2},
  [3716] = {.lex_state = 23, .external_lex_state = 2},
  [3717] = {.lex_state = 23, .external_lex_state = 2},
  [3718] = {.lex_state = 23, .external_lex_state = 2},
  [3719] = {.lex_state = 23, .external_lex_state = 2},
  [3720] = {.lex_state = 23, .external_lex_state = 2},
  [3721] = {.lex_state = 23, .external_lex_state = 2},
  [3722] = {.lex_state = 23, .external_lex_state = 2},
  [3723] = {.lex_state = 23, .external_lex_state = 2},
  [3724] = {.lex_state = 23, .external_lex_state = 2},
  [3725] = {.lex_state = 23, .external_lex_state = 2},
  [3726] = {.lex_state = 23, .external_lex_state = 2},
  [3727] = {.lex_state = 23, .external_lex_state = 2},
  [3728] = {.lex_state = 23, .external_lex_state = 2},
  [3729] = {.lex_state = 23, .external_lex_state = 2},
  [3730] = {.lex_state = 23, .external_lex_state = 2},
  [3731] = {.lex_state = 23, .external_lex_state = 2},
  [3732] = {.lex_state = 23, .external_lex_state = 2},
  [3733] = {.lex_state = 23, .external_lex_state = 2},
  [3734] = {.lex_state = 23, .external_lex_state = 2},
  [3735] = {.lex_state = 23, .external_lex_state = 2},
  [3736] = {.lex_state = 23, .external_lex_state = 2},
  [3737] = {.lex_state = 23, .external_lex_state = 2},
  [3738] = {.lex_state = 23, .external_lex_state = 2},
  [3739] = {.lex_state = 23, .external_lex_state = 2},
  [3740] = {.lex_state = 23, .external_lex_state = 2},
  [3741] = {.lex_state = 23, .external_lex_state = 2},
  [3742] = {.lex_state = 23, .external_lex_state = 2},
  [3743] = {.lex_state = 23, .external_lex_state = 2},
  [3744] = {.lex_state = 23, .external_lex_state = 2},
  [3745] = {.lex_state = 23, .external_lex_state = 2},
  [3746] = {.lex_state = 23, .external_lex_state = 2},
  [3747] = {.lex_state = 23, .external_lex_state = 2},
  [3748] = {.lex_state = 23, .external_lex_state = 2},
  [3749] = {.lex_state = 23, .external_lex_state = 2},
  [3750] = {.lex_state = 23, .external_lex_state = 2},
  [3751] = {.lex_state = 23, .external_lex_state = 2},
  [3752] = {.lex_state = 23, .external_lex_state = 2},
  [3753] = {.lex_state = 23, .external_lex_state = 2},
  [3754] = {.lex_state = 23, .external_lex_state = 2},
  [3755] = {.lex_state = 23, .external_lex_state = 2},
  [3756] = {.lex_state = 23, .external_lex_state = 2},
  [3757] = {.lex_state = 23, .external_lex_state = 2},
  [3758] = {.lex_state = 23, .external_lex_state = 2},
  [3759] = {.lex_state = 23, .external_lex_state = 2},
  [3760] = {.lex_state = 23, .external_lex_state = 2},
  [3761] = {.lex_state = 23, .external_lex_state = 2},
  [3762] = {.lex_state = 23, .external_lex_state = 2},
  [3763] = {.lex_state = 23, .external_lex_state = 2},
  [3764] = {.lex_state = 23, .external_lex_state = 2},
  [3765] = {.lex_state = 23, .external_lex_state = 2},
  [3766] = {.lex_state = 23, .external_lex_state = 2},
  [3767] = {.lex_state = 23, .external_lex_state = 2},
  [3768] = {.lex_state = 23, .external_lex_state = 2},
  [3769] = {.lex_state = 23, .external_lex_state = 2},
  [3770] = {.lex_state = 23, .external_lex_state = 2},
  [3771] = {.lex_state = 23, .external_lex_state = 2},
  [3772] = {.lex_state = 23, .external_lex_state = 2},
  [3773] = {.lex_state = 23, .external_lex_state = 2},
  [3774] = {.lex_state = 23, .external_lex_state = 2},
  [3775] = {.lex_state = 23, .external_lex_state = 2},
  [3776] = {.lex_state = 23, .external_lex_state = 2},
  [3777] = {.lex_state = 23, .external_lex_state = 2},
  [3778] = {.lex_state = 23, .external_lex_state = 2},
  [3779] = {.lex_state = 23, .external_lex_state = 2},
  [3780] = {.lex_state = 23, .external_lex_state = 2},
  [3781] = {.lex_state = 23, .external_lex_state = 2},
  [3782] = {.lex_state = 23, .external_lex_state = 2},
  [3783] = {.lex_state = 23, .external_lex_state = 2},
  [3784] = {.lex_state = 23, .external_lex_state = 2},
  [3785] = {.lex_state = 23, .external_lex_state = 2},
  [3786] = {.lex_state = 23, .external_lex_state = 2},
  [3787] = {.lex_state = 23, .external_lex_state = 2},
  [3788] = {.lex_state = 23, .external_lex_state = 2},
  [3789] = {.lex_state = 23, .external_lex_state = 2},
  [3790] = {.lex_state = 23, .external_lex_state = 2},
  [3791] = {.lex_state = 23, .external_lex_state = 2},
  [3792] = {.lex_state = 23, .external_lex_state = 2},
  [3793] = {.lex_state = 23, .external_lex_state = 2},
  [3794] = {.lex_state = 23, .external_lex_state = 2},
  [3795] = {.lex_state = 23, .external_lex_state = 2},
  [3796] = {.lex_state = 23, .external_lex_state = 2},
  [3797] = {.lex_state = 23, .external_lex_state = 2},
  [3798] = {.lex_state = 23, .external_lex_state = 2},
  [3799] = {.lex_state = 23, .external_lex_state = 2},
  [3800] = {.lex_state = 23, .external_lex_state = 2},
  [3801] = {.lex_state = 23, .external_lex_state = 2},
  [3802] = {.lex_state = 23, .external_lex_state = 2},
  [3803] = {.lex_state = 23, .external_lex_state = 2},
  [3804] = {.lex_state = 23, .external_lex_state = 2},
  [3805] = {.lex_state = 23, .external_lex_state = 2},
  [3806] = {.lex_state = 23, .external_lex_state = 2},
  [3807] = {.lex_state = 23, .external_lex_state = 2},
  [3808] = {.lex_state = 23, .external_lex_state = 2},
  [3809] = {.lex_state = 23, .external_lex_state = 2},
  [3810] = {.lex_state = 23, .external_lex_state = 2},
  [3811] = {.lex_state = 23, .external_lex_state = 2},
  [3812] = {.lex_state = 23, .external_lex_state = 2},
  [3813] = {.lex_state = 23, .external_lex_state = 2},
  [3814] = {.lex_state = 23, .external_lex_state = 2},
  [3815] = {.lex_state = 23, .external_lex_state = 2},
  [3816] = {.lex_state = 23, .external_lex_state = 2},
  [3817] = {.lex_state = 23, .external_lex_state = 2},
  [3818] = {.lex_state = 23, .external_lex_state = 2},
  [3819] = {.lex_state = 23, .external_lex_state = 2},
  [3820] = {.lex_state = 23, .external_lex_state = 2},
  [3821] = {.lex_state = 23, .external_lex_state = 2},
  [3822] = {.lex_state = 23, .external_lex_state = 2},
  [3823] = {.lex_state = 23, .external_lex_state = 2},
  [3824] = {.lex_state = 23, .external_lex_state = 2},
  [3825] = {.lex_state = 23, .external_lex_state = 2},
  [3826] = {.lex_state = 23, .external_lex_state = 2},
  [3827] = {.lex_state = 70, .external_lex_state = 18},
  [3828] = {.lex_state = 23, .external_lex_state = 2},
  [3829] = {.lex_state = 23, .external_lex_state = 2},
  [3830] = {.lex_state = 23, .external_lex_state = 2},
  [3831] = {.lex_state = 23, .external_lex_state = 2},
  [3832] = {.lex_state = 23, .external_lex_state = 2},
  [3833] = {.lex_state = 23, .external_lex_state = 2},
  [3834] = {.lex_state = 23, .external_lex_state = 2},
  [3835] = {.lex_state = 23, .external_lex_state = 2},
  [3836] = {.lex_state = 23, .external_lex_state = 2},
  [3837] = {.lex_state = 23, .external_lex_state = 2},
  [3838] = {.lex_state = 23, .external_lex_state = 2},
  [3839] = {.lex_state = 23, .external_lex_state = 2},
  [3840] = {.lex_state = 23, .external_lex_state = 2},
  [3841] = {.lex_state = 23, .external_lex_state = 2},
  [3842] = {.lex_state = 23, .external_lex_state = 2},
  [3843] = {.lex_state = 23, .external_lex_state = 2},
  [3844] = {.lex_state = 23, .external_lex_state = 2},
  [3845] = {.lex_state = 23, .external_lex_state = 2},
  [3846] = {.lex_state = 23, .external_lex_state = 2},
  [3847] = {.lex_state = 23, .external_lex_state = 2},
  [3848] = {.lex_state = 23, .external_lex_state = 2},
  [3849] = {.lex_state = 23, .external_lex_state = 2},
  [3850] = {.lex_state = 23, .external_lex_state = 2},
  [3851] = {.lex_state = 23, .external_lex_state = 2},
  [3852] = {.lex_state = 23, .external_lex_state = 2},
  [3853] = {.lex_state = 23, .external_lex_state = 2},
  [3854] = {.lex_state = 23, .external_lex_state = 2},
  [3855] = {.lex_state = 70, .external_lex_state = 20},
  [3856] = {.lex_state = 23, .external_lex_state = 2},
  [3857] = {.lex_state = 23, .external_lex_state = 2},
  [3858] = {.lex_state = 23, .external_lex_state = 2},
  [3859] = {.lex_state = 23, .external_lex_state = 2},
  [3860] = {.lex_state = 23, .external_lex_state = 2},
  [3861] = {.lex_state = 23, .external_lex_state = 2},
  [3862] = {.lex_state = 23, .external_lex_state = 2},
  [3863] = {.lex_state = 23, .external_lex_state = 2},
  [3864] = {.lex_state = 23, .external_lex_state = 2},
  [3865] = {.lex_state = 23, .external_lex_state = 2},
  [3866] = {.lex_state = 23, .external_lex_state = 2},
  [3867] = {.lex_state = 23, .external_lex_state = 2},
  [3868] = {.lex_state = 23, .external_lex_state = 2},
  [3869] = {.lex_state = 23, .external_lex_state = 2},
  [3870] = {.lex_state = 23, .external_lex_state = 2},
  [3871] = {.lex_state = 23, .external_lex_state = 2},
  [3872] = {.lex_state = 23, .external_lex_state = 2},
  [3873] = {.lex_state = 23, .external_lex_state = 2},
  [3874] = {.lex_state = 23, .external_lex_state = 2},
  [3875] = {.lex_state = 23, .external_lex_state = 2},
  [3876] = {.lex_state = 23, .external_lex_state = 2},
  [3877] = {.lex_state = 23, .external_lex_state = 2},
  [3878] = {.lex_state = 23, .external_lex_state = 2},
  [3879] = {.lex_state = 23, .external_lex_state = 2},
  [3880] = {.lex_state = 23, .external_lex_state = 2},
  [3881] = {.lex_state = 23, .external_lex_state = 2},
  [3882] = {.lex_state = 23, .external_lex_state = 2},
  [3883] = {.lex_state = 23, .external_lex_state = 2},
  [3884] = {.lex_state = 23, .external_lex_state = 2},
  [3885] = {.lex_state = 23, .external_lex_state = 2},
  [3886] = {.lex_state = 23, .external_lex_state = 2},
  [3887] = {.lex_state = 23, .external_lex_state = 2},
  [3888] = {.lex_state = 23, .external_lex_state = 2},
  [3889] = {.lex_state = 23, .external_lex_state = 2},
  [3890] = {.lex_state = 23, .external_lex_state = 2},
  [3891] = {.lex_state = 23, .external_lex_state = 2},
  [3892] = {.lex_state = 23, .external_lex_state = 2},
  [3893] = {.lex_state = 23, .external_lex_state = 2},
  [3894] = {.lex_state = 23, .external_lex_state = 2},
  [3895] = {.lex_state = 23, .external_lex_state = 2},
  [3896] = {.lex_state = 23, .external_lex_state = 2},
  [3897] = {.lex_state = 23, .external_lex_state = 2},
  [3898] = {.lex_state = 23, .external_lex_state = 2},
  [3899] = {.lex_state = 23, .external_lex_state = 2},
  [3900] = {.lex_state = 23, .external_lex_state = 2},
  [3901] = {.lex_state = 23, .external_lex_state = 2},
  [3902] = {.lex_state = 23, .external_lex_state = 2},
  [3903] = {.lex_state = 23, .external_lex_state = 2},
  [3904] = {.lex_state = 23, .external_lex_state = 2},
  [3905] = {.lex_state = 23, .external_lex_state = 2},
  [3906] = {.lex_state = 23, .external_lex_state = 2},
  [3907] = {.lex_state = 23, .external_lex_state = 2},
  [3908] = {.lex_state = 23, .external_lex_state = 2},
  [3909] = {.lex_state = 23, .external_lex_state = 2},
  [3910] = {.lex_state = 23, .external_lex_state = 2},
  [3911] = {.lex_state = 23, .external_lex_state = 2},
  [3912] = {.lex_state = 23, .external_lex_state = 2},
  [3913] = {.lex_state = 23, .external_lex_state = 2},
  [3914] = {.lex_state = 23, .external_lex_state = 2},
  [3915] = {.lex_state = 23, .external_lex_state = 2},
  [3916] = {.lex_state = 23, .external_lex_state = 2},
  [3917] = {.lex_state = 23, .external_lex_state = 2},
  [3918] = {.lex_state = 23, .external_lex_state = 2},
  [3919] = {.lex_state = 23, .external_lex_state = 2},
  [3920] = {.lex_state = 23, .external_lex_state = 2},
  [3921] = {.lex_state = 23, .external_lex_state = 2},
  [3922] = {.lex_state = 23, .external_lex_state = 2},
  [3923] = {.lex_state = 23, .external_lex_state = 2},
  [3924] = {.lex_state = 23, .external_lex_state = 2},
  [3925] = {.lex_state = 23, .external_lex_state = 2},
  [3926] = {.lex_state = 23, .external_lex_state = 2},
  [3927] = {.lex_state = 23, .external_lex_state = 2},
  [3928] = {.lex_state = 23, .external_lex_state = 2},
  [3929] = {.lex_state = 23, .external_lex_state = 2},
  [3930] = {.lex_state = 23, .external_lex_state = 2},
  [3931] = {.lex_state = 23, .external_lex_state = 2},
  [3932] = {.lex_state = 23, .external_lex_state = 2},
  [3933] = {.lex_state = 23, .external_lex_state = 2},
  [3934] = {.lex_state = 23, .external_lex_state = 2},
  [3935] = {.lex_state = 23, .external_lex_state = 2},
  [3936] = {.lex_state = 23, .external_lex_state = 2},
  [3937] = {.lex_state = 23, .external_lex_state = 2},
  [3938] = {.lex_state = 23, .external_lex_state = 2},
  [3939] = {.lex_state = 23, .external_lex_state = 2},
  [3940] = {.lex_state = 23, .external_lex_state = 2},
  [3941] = {.lex_state = 23, .external_lex_state = 2},
  [3942] = {.lex_state = 23, .external_lex_state = 2},
  [3943] = {.lex_state = 23, .external_lex_state = 2},
  [3944] = {.lex_state = 23, .external_lex_state = 2},
  [3945] = {.lex_state = 23, .external_lex_state = 2},
  [3946] = {.lex_state = 23, .external_lex_state = 2},
  [3947] = {.lex_state = 23, .external_lex_state = 2},
  [3948] = {.lex_state = 23, .external_lex_state = 2},
  [3949] = {.lex_state = 23, .external_lex_state = 2},
  [3950] = {.lex_state = 23, .external_lex_state = 2},
  [3951] = {.lex_state = 23, .external_lex_state = 2},
  [3952] = {.lex_state = 23, .external_lex_state = 2},
  [3953] = {.lex_state = 23, .external_lex_state = 2},
  [3954] = {.lex_state = 23, .external_lex_state = 2},
  [3955] = {.lex_state = 23, .external_lex_state = 2},
  [3956] = {.lex_state = 23, .external_lex_state = 2},
  [3957] = {.lex_state = 23, .external_lex_state = 2},
  [3958] = {.lex_state = 23, .external_lex_state = 2},
  [3959] = {.lex_state = 23, .external_lex_state = 2},
  [3960] = {.lex_state = 23, .external_lex_state = 2},
  [3961] = {.lex_state = 23, .external_lex_state = 2},
  [3962] = {.lex_state = 23, .external_lex_state = 2},
  [3963] = {.lex_state = 23, .external_lex_state = 2},
  [3964] = {.lex_state = 23, .external_lex_state = 2},
  [3965] = {.lex_state = 23, .external_lex_state = 2},
  [3966] = {.lex_state = 70, .external_lex_state = 16},
  [3967] = {.lex_state = 70, .external_lex_state = 9},
  [3968] = {.lex_state = 70, .external_lex_state = 22},
  [3969] = {.lex_state = 70, .external_lex_state = 21},
  [3970] = {.lex_state = 70, .external_lex_state = 10},
  [3971] = {.lex_state = 20, .external_lex_state = 3},
  [3972] = {.lex_state = 20, .external_lex_state = 3},
  [3973] = {.lex_state = 20, .external_lex_state = 3},
  [3974] = {.lex_state = 20, .external_lex_state = 3},
  [3975] = {.lex_state = 20, .external_lex_state = 3},
  [3976] = {.lex_state = 20, .external_lex_state = 3},
  [3977] = {.lex_state = 20, .external_lex_state = 3},
  [3978] = {.lex_state = 20, .external_lex_state = 3},
  [3979] = {.lex_state = 20, .external_lex_state = 3},
  [3980] = {.lex_state = 20, .external_lex_state = 3},
  [3981] = {.lex_state = 20, .external_lex_state = 3},
  [3982] = {.lex_state = 20, .external_lex_state = 3},
  [3983] = {.lex_state = 20, .external_lex_state = 3},
  [3984] = {.lex_state = 20, .external_lex_state = 3},
  [3985] = {.lex_state = 20, .external_lex_state = 3},
  [3986] = {.lex_state = 20, .external_lex_state = 3},
  [3987] = {.lex_state = 20, .external_lex_state = 3},
  [3988] = {.lex_state = 20, .external_lex_state = 3},
  [3989] = {.lex_state = 20, .external_lex_state = 3},
  [3990] = {.lex_state = 20, .external_lex_state = 3},
  [3991] = {.lex_state = 20, .external_lex_state = 3},
  [3992] = {.lex_state = 20, .external_lex_state = 3},
  [3993] = {.lex_state = 20, .external_lex_state = 3},
  [3994] = {.lex_state = 20, .external_lex_state = 3},
  [3995] = {.lex_state = 20, .external_lex_state = 3},
  [3996] = {.lex_state = 20, .external_lex_state = 3},
  [3997] = {.lex_state = 20, .external_lex_state = 3},
  [3998] = {.lex_state = 20, .external_lex_state = 3},
  [3999] = {.lex_state = 20, .external_lex_state = 3},
  [4000] = {.lex_state = 20, .external_lex_state = 3},
  [4001] = {.lex_state = 20, .external_lex_state = 3},
  [4002] = {.lex_state = 20, .external_lex_state = 3},
  [4003] = {.lex_state = 20, .external_lex_state = 3},
  [4004] = {.lex_state = 20, .external_lex_state = 3},
  [4005] = {.lex_state = 20, .external_lex_state = 3},
  [4006] = {.lex_state = 20, .external_lex_state = 3},
  [4007] = {.lex_state = 20, .external_lex_state = 3},
  [4008] = {.lex_state = 20, .external_lex_state = 3},
  [4009] = {.lex_state = 20, .external_lex_state = 3},
  [4010] = {.lex_state = 20, .external_lex_state = 3},
  [4011] = {.lex_state = 20, .external_lex_state = 3},
  [4012] = {.lex_state = 20, .external_lex_state = 3},
  [4013] = {.lex_state = 20, .external_lex_state = 3},
  [4014] = {.lex_state = 20, .external_lex_state = 3},
  [4015] = {.lex_state = 20, .external_lex_state = 3},
  [4016] = {.lex_state = 20, .external_lex_state = 3},
  [4017] = {.lex_state = 20, .external_lex_state = 3},
  [4018] = {.lex_state = 72, .external_lex_state = 6},
  [4019] = {.lex_state = 70, .external_lex_state = 2},
  [4020] = {.lex_state = 20, .external_lex_state = 3},
  [4021] = {.lex_state = 20, .external_lex_state = 3},
  [4022] = {.lex_state = 20, .external_lex_state = 3},
  [4023] = {.lex_state = 20, .external_lex_state = 3},
  [4024] = {.lex_state = 20, .external_lex_state = 3},
  [4025] = {.lex_state = 20, .external_lex_state = 3},
  [4026] = {.lex_state = 20, .external_lex_state = 3},
  [4027] = {.lex_state = 20, .external_lex_state = 3},
  [4028] = {.lex_state = 72, .external_lex_state = 6},
  [4029] = {.lex_state = 20, .external_lex_state = 3},
  [4030] = {.lex_state = 20, .external_lex_state = 2},
  [4031] = {.lex_state = 20, .external_lex_state = 3},
  [4032] = {.lex_state = 20, .external_lex_state = 3},
  [4033] = {.lex_state = 20, .external_lex_state = 2},
  [4034] = {.lex_state = 20, .external_lex_state = 3},
  [4035] = {.lex_state = 20, .external_lex_state = 3},
  [4036] = {.lex_state = 20, .external_lex_state = 3},
  [4037] = {.lex_state = 20, .external_lex_state = 3},
  [4038] = {.lex_state = 20, .external_lex_state = 3},
  [4039] = {.lex_state = 20, .external_lex_state = 3},
  [4040] = {.lex_state = 20, .external_lex_state = 3},
  [4041] = {.lex_state = 20, .external_lex_state = 3},
  [4042] = {.lex_state = 20, .external_lex_state = 3},
  [4043] = {.lex_state = 20, .external_lex_state = 2},
  [4044] = {.lex_state = 20, .external_lex_state = 3},
  [4045] = {.lex_state = 20, .external_lex_state = 3},
  [4046] = {.lex_state = 20, .external_lex_state = 3},
  [4047] = {.lex_state = 20, .external_lex_state = 3},
  [4048] = {.lex_state = 20, .external_lex_state = 3},
  [4049] = {.lex_state = 20, .external_lex_state = 3},
  [4050] = {.lex_state = 20, .external_lex_state = 3},
  [4051] = {.lex_state = 20, .external_lex_state = 3},
  [4052] = {.lex_state = 20, .external_lex_state = 3},
  [4053] = {.lex_state = 20, .external_lex_state = 3},
  [4054] = {.lex_state = 20, .external_lex_state = 3},
  [4055] = {.lex_state = 20, .external_lex_state = 3},
  [4056] = {.lex_state = 20, .external_lex_state = 3},
  [4057] = {.lex_state = 20, .external_lex_state = 3},
  [4058] = {.lex_state = 20, .external_lex_state = 3},
  [4059] = {.lex_state = 20, .external_lex_state = 3},
  [4060] = {.lex_state = 20, .external_lex_state = 2},
  [4061] = {.lex_state = 20, .external_lex_state = 3},
  [4062] = {.lex_state = 20, .external_lex_state = 3},
  [4063] = {.lex_state = 20, .external_lex_state = 3},
  [4064] = {.lex_state = 72, .external_lex_state = 8},
  [4065] = {.lex_state = 72, .external_lex_state = 8},
  [4066] = {.lex_state = 20, .external_lex_state = 3},
  [4067] = {.lex_state = 20, .external_lex_state = 3},
  [4068] = {.lex_state = 20, .external_lex_state = 3},
  [4069] = {.lex_state = 20, .external_lex_state = 3},
  [4070] = {.lex_state = 20, .external_lex_state = 3},
  [4071] = {.lex_state = 20, .external_lex_state = 3},
  [4072] = {.lex_state = 20, .external_lex_state = 3},
  [4073] = {.lex_state = 20, .external_lex_state = 3},
  [4074] = {.lex_state = 20, .external_lex_state = 3},
  [4075] = {.lex_state = 20, .external_lex_state = 3},
  [4076] = {.lex_state = 20, .external_lex_state = 3},
  [4077] = {.lex_state = 20, .external_lex_state = 3},
  [4078] = {.lex_state = 20, .external_lex_state = 3},
  [4079] = {.lex_state = 20, .external_lex_state = 3},
  [4080] = {.lex_state = 20, .external_lex_state = 3},
  [4081] = {.lex_state = 20, .external_lex_state = 3},
  [4082] = {.lex_state = 20, .external_lex_state = 3},
  [4083] = {.lex_state = 20, .external_lex_state = 3},
  [4084] = {.lex_state = 20, .external_lex_state = 3},
  [4085] = {.lex_state = 20, .external_lex_state = 3},
  [4086] = {.lex_state = 20, .external_lex_state = 3},
  [4087] = {.lex_state = 20, .external_lex_state = 3},
  [4088] = {.lex_state = 20, .external_lex_state = 3},
  [4089] = {.lex_state = 20, .external_lex_state = 3},
  [4090] = {.lex_state = 20, .external_lex_state = 3},
  [4091] = {.lex_state = 20, .external_lex_state = 3},
  [4092] = {.lex_state = 20, .external_lex_state = 3},
  [4093] = {.lex_state = 20, .external_lex_state = 3},
  [4094] = {.lex_state = 20, .external_lex_state = 3},
  [4095] = {.lex_state = 20, .external_lex_state = 3},
  [4096] = {.lex_state = 20, .external_lex_state = 3},
  [4097] = {.lex_state = 20, .external_lex_state = 3},
  [4098] = {.lex_state = 20, .external_lex_state = 3},
  [4099] = {.lex_state = 20, .external_lex_state = 3},
  [4100] = {.lex_state = 20, .external_lex_state = 3},
  [4101] = {.lex_state = 20, .external_lex_state = 3},
  [4102] = {.lex_state = 20, .external_lex_state = 3},
  [4103] = {.lex_state = 20, .external_lex_state = 3},
  [4104] = {.lex_state = 20, .external_lex_state = 3},
  [4105] = {.lex_state = 20, .external_lex_state = 3},
  [4106] = {.lex_state = 20, .external_lex_state = 3},
  [4107] = {.lex_state = 20, .external_lex_state = 3},
  [4108] = {.lex_state = 20, .external_lex_state = 3},
  [4109] = {.lex_state = 20, .external_lex_state = 3},
  [4110] = {.lex_state = 72, .external_lex_state = 7},
  [4111] = {.lex_state = 20, .external_lex_state = 3},
  [4112] = {.lex_state = 20, .external_lex_state = 3},
  [4113] = {.lex_state = 20, .external_lex_state = 3},
  [4114] = {.lex_state = 20, .external_lex_state = 3},
  [4115] = {.lex_state = 20, .external_lex_state = 3},
  [4116] = {.lex_state = 20, .external_lex_state = 3},
  [4117] = {.lex_state = 20, .external_lex_state = 3},
  [4118] = {.lex_state = 20, .external_lex_state = 3},
  [4119] = {.lex_state = 20, .external_lex_state = 3},
  [4120] = {.lex_state = 20, .external_lex_state = 3},
  [4121] = {.lex_state = 20, .external_lex_state = 3},
  [4122] = {.lex_state = 20, .external_lex_state = 3},
  [4123] = {.lex_state = 20, .external_lex_state = 3},
  [4124] = {.lex_state = 20, .external_lex_state = 3},
  [4125] = {.lex_state = 20, .external_lex_state = 3},
  [4126] = {.lex_state = 72, .external_lex_state = 7},
  [4127] = {.lex_state = 20, .external_lex_state = 3},
  [4128] = {.lex_state = 20, .external_lex_state = 3},
  [4129] = {.lex_state = 20, .external_lex_state = 3},
  [4130] = {.lex_state = 20, .external_lex_state = 3},
  [4131] = {.lex_state = 20, .external_lex_state = 3},
  [4132] = {.lex_state = 20, .external_lex_state = 3},
  [4133] = {.lex_state = 20, .external_lex_state = 3},
  [4134] = {.lex_state = 20, .external_lex_state = 3},
  [4135] = {.lex_state = 20, .external_lex_state = 3},
  [4136] = {.lex_state = 20, .external_lex_state = 3},
  [4137] = {.lex_state = 20, .external_lex_state = 3},
  [4138] = {.lex_state = 20, .external_lex_state = 3},
  [4139] = {.lex_state = 20, .external_lex_state = 3},
  [4140] = {.lex_state = 20, .external_lex_state = 3},
  [4141] = {.lex_state = 20, .external_lex_state = 3},
  [4142] = {.lex_state = 20, .external_lex_state = 3},
  [4143] = {.lex_state = 20, .external_lex_state = 3},
  [4144] = {.lex_state = 20, .external_lex_state = 3},
  [4145] = {.lex_state = 20, .external_lex_state = 3},
  [4146] = {.lex_state = 20, .external_lex_state = 3},
  [4147] = {.lex_state = 20, .external_lex_state = 3},
  [4148] = {.lex_state = 20, .external_lex_state = 3},
  [4149] = {.lex_state = 20, .external_lex_state = 3},
  [4150] = {.lex_state = 72, .external_lex_state = 9},
  [4151] = {.lex_state = 72, .external_lex_state = 12},
  [4152] = {.lex_state = 72, .external_lex_state = 10},
  [4153] = {.lex_state = 20, .external_lex_state = 4},
  [4154] = {.lex_state = 72, .external_lex_state = 11},
  [4155] = {.lex_state = 20, .external_lex_state = 4},
  [4156] = {.lex_state = 72, .external_lex_state = 11},
  [4157] = {.lex_state = 72, .external_lex_state = 10},
  [4158] = {.lex_state = 72, .external_lex_state = 12},
  [4159] = {.lex_state = 72, .external_lex_state = 9},
  [4160] = {.lex_state = 72, .external_lex_state = 6},
  [4161] = {.lex_state = 72, .external_lex_state = 14},
  [4162] = {.lex_state = 20, .external_lex_state = 2},
  [4163] = {.lex_state = 72, .external_lex_state = 15},
  [4164] = {.lex_state = 72, .external_lex_state = 16},
  [4165] = {.lex_state = 72, .external_lex_state = 6},
  [4166] = {.lex_state = 20, .external_lex_state = 2},
  [4167] = {.lex_state = 72, .external_lex_state = 13},
  [4168] = {.lex_state = 72, .external_lex_state = 14},
  [4169] = {.lex_state = 72, .external_lex_state = 15},
  [4170] = {.lex_state = 72, .external_lex_state = 13},
  [4171] = {.lex_state = 20, .external_lex_state = 2},
  [4172] = {.lex_state = 20, .external_lex_state = 2},
  [4173] = {.lex_state = 72, .external_lex_state = 16},
  [4174] = {.lex_state = 72, .external_lex_state = 20},
  [4175] = {.lex_state = 72, .external_lex_state = 19},
  [4176] = {.lex_state = 72, .external_lex_state = 19},
  [4177] = {.lex_state = 72, .external_lex_state = 18},
  [4178] = {.lex_state = 72, .external_lex_state = 7},
  [4179] = {.lex_state = 72, .external_lex_state = 7},
  [4180] = {.lex_state = 77},
  [4181] = {.lex_state = 72, .external_lex_state = 8},
  [4182] = {.lex_state = 72, .external_lex_state = 17},
  [4183] = {.lex_state = 72, .external_lex_state = 20},
  [4184] = {.lex_state = 72, .external_lex_state = 8},
  [4185] = {.lex_state = 77},
  [4186] = {.lex_state = 72, .external_lex_state = 18},
  [4187] = {.lex_state = 72, .external_lex_state = 17},
  [4188] = {.lex_state = 72, .external_lex_state = 21},
  [4189] = {.lex_state = 72, .external_lex_state = 10},
  [4190] = {.lex_state = 20, .external_lex_state = 2},
  [4191] = {.lex_state = 72, .external_lex_state = 9},
  [4192] = {.lex_state = 72, .external_lex_state = 9},
  [4193] = {.lex_state = 2, .external_lex_state = 3},
  [4194] = {.lex_state = 20, .external_lex_state = 2},
  [4195] = {.lex_state = 72, .external_lex_state = 21},
  [4196] = {.lex_state = 72, .external_lex_state = 22},
  [4197] = {.lex_state = 72, .external_lex_state = 22},
  [4198] = {.lex_state = 72, .external_lex_state = 10},
  [4199] = {.lex_state = 2, .external_lex_state = 3},
  [4200] = {.lex_state = 72, .external_lex_state = 16},
  [4201] = {.lex_state = 72, .external_lex_state = 2},
  [4202] = {.lex_state = 72, .external_lex_state = 2},
  [4203] = {.lex_state = 72, .external_lex_state = 16},
  [4204] = {.lex_state = 20, .external_lex_state = 2},
  [4205] = {.lex_state = 20, .external_lex_state = 2},
  [4206] = {.lex_state = 20, .external_lex_state = 2},
  [4207] = {.lex_state = 20, .external_lex_state = 2},
  [4208] = {.lex_state = 20, .external_lex_state = 2},
  [4209] = {.lex_state = 20, .external_lex_state = 2},
  [4210] = {.lex_state = 20, .external_lex_state = 2},
  [4211] = {.lex_state = 20, .external_lex_state = 2},
  [4212] = {.lex_state = 20, .external_lex_state = 2},
  [4213] = {.lex_state = 20, .external_lex_state = 2},
  [4214] = {.lex_state = 20, .external_lex_state = 2},
  [4215] = {.lex_state = 20, .external_lex_state = 2},
  [4216] = {.lex_state = 20, .external_lex_state = 2},
  [4217] = {.lex_state = 20, .external_lex_state = 2},
  [4218] = {.lex_state = 20, .external_lex_state = 2},
  [4219] = {.lex_state = 20, .external_lex_state = 2},
  [4220] = {.lex_state = 20, .external_lex_state = 2},
  [4221] = {.lex_state = 20, .external_lex_state = 2},
  [4222] = {.lex_state = 20, .external_lex_state = 2},
  [4223] = {.lex_state = 20, .external_lex_state = 2},
  [4224] = {.lex_state = 2, .external_lex_state = 2},
  [4225] = {.lex_state = 20, .external_lex_state = 2},
  [4226] = {.lex_state = 20, .external_lex_state = 2},
  [4227] = {.lex_state = 20, .external_lex_state = 2},
  [4228] = {.lex_state = 20, .external_lex_state = 2},
  [4229] = {.lex_state = 20, .external_lex_state = 2},
  [4230] = {.lex_state = 20, .external_lex_state = 2},
  [4231] = {.lex_state = 20, .external_lex_state = 2},
  [4232] = {.lex_state = 20, .external_lex_state = 2},
  [4233] = {.lex_state = 20, .external_lex_state = 2},
  [4234] = {.lex_state = 20, .external_lex_state = 2},
  [4235] = {.lex_state = 20, .external_lex_state = 2},
  [4236] = {.lex_state = 20, .external_lex_state = 2},
  [4237] = {.lex_state = 20, .external_lex_state = 2},
  [4238] = {.lex_state = 20, .external_lex_state = 2},
  [4239] = {.lex_state = 20, .external_lex_state = 2},
  [4240] = {.lex_state = 20, .external_lex_state = 2},
  [4241] = {.lex_state = 20, .external_lex_state = 2},
  [4242] = {.lex_state = 20, .external_lex_state = 2},
  [4243] = {.lex_state = 20, .external_lex_state = 2},
  [4244] = {.lex_state = 20, .external_lex_state = 2},
  [4245] = {.lex_state = 20, .external_lex_state = 2},
  [4246] = {.lex_state = 20, .external_lex_state = 2},
  [4247] = {.lex_state = 20, .external_lex_state = 2},
  [4248] = {.lex_state = 20, .external_lex_state = 2},
  [4249] = {.lex_state = 20, .external_lex_state = 2},
  [4250] = {.lex_state = 20, .external_lex_state = 2},
  [4251] = {.lex_state = 20, .external_lex_state = 2},
  [4252] = {.lex_state = 20, .external_lex_state = 2},
  [4253] = {.lex_state = 20, .external_lex_state = 2},
  [4254] = {.lex_state = 20, .external_lex_state = 2},
  [4255] = {.lex_state = 20, .external_lex_state = 2},
  [4256] = {.lex_state = 20, .external_lex_state = 2},
  [4257] = {.lex_state = 20, .external_lex_state = 2},
  [4258] = {.lex_state = 20, .external_lex_state = 2},
  [4259] = {.lex_state = 20, .external_lex_state = 2},
  [4260] = {.lex_state = 20, .external_lex_state = 2},
  [4261] = {.lex_state = 20, .external_lex_state = 2},
  [4262] = {.lex_state = 20, .external_lex_state = 2},
  [4263] = {.lex_state = 20, .external_lex_state = 2},
  [4264] = {.lex_state = 20, .external_lex_state = 2},
  [4265] = {.lex_state = 90, .external_lex_state = 23},
  [4266] = {.lex_state = 20, .external_lex_state = 2},
  [4267] = {.lex_state = 20, .external_lex_state = 2},
  [4268] = {.lex_state = 20, .external_lex_state = 2},
  [4269] = {.lex_state = 20, .external_lex_state = 2},
  [4270] = {.lex_state = 20, .external_lex_state = 2},
  [4271] = {.lex_state = 20, .external_lex_state = 2},
  [4272] = {.lex_state = 20, .external_lex_state = 2},
  [4273] = {.lex_state = 75, .external_lex_state = 23},
  [4274] = {.lex_state = 20, .external_lex_state = 2},
  [4275] = {.lex_state = 20, .external_lex_state = 2},
  [4276] = {.lex_state = 20, .external_lex_state = 2},
  [4277] = {.lex_state = 20, .external_lex_state = 2},
  [4278] = {.lex_state = 20, .external_lex_state = 2},
  [4279] = {.lex_state = 75, .external_lex_state = 23},
  [4280] = {.lex_state = 90, .external_lex_state = 23},
  [4281] = {.lex_state = 75, .external_lex_state = 23},
  [4282] = {.lex_state = 20, .external_lex_state = 2},
  [4283] = {.lex_state = 90, .external_lex_state = 23},
  [4284] = {.lex_state = 20, .external_lex_state = 2},
  [4285] = {.lex_state = 75, .external_lex_state = 24},
  [4286] = {.lex_state = 75, .external_lex_state = 24},
  [4287] = {.lex_state = 90, .external_lex_state = 23},
  [4288] = {.lex_state = 90, .external_lex_state = 23},
  [4289] = {.lex_state = 75, .external_lex_state = 24},
  [4290] = {.lex_state = 3, .external_lex_state = 2},
  [4291] = {.lex_state = 90, .external_lex_state = 23},
  [4292] = {.lex_state = 90, .external_lex_state = 23},
  [4293] = {.lex_state = 3, .external_lex_state = 2},
  [4294] = {.lex_state = 90, .external_lex_state = 23},
  [4295] = {.lex_state = 20, .external_lex_state = 2},
  [4296] = {.lex_state = 90, .external_lex_state = 23},
  [4297] = {.lex_state = 20, .external_lex_state = 2},
  [4298] = {.lex_state = 90, .external_lex_state = 23},
  [4299] = {.lex_state = 90, .external_lex_state = 23},
  [4300] = {.lex_state = 90, .external_lex_state = 23},
  [4301] = {.lex_state = 90, .external_lex_state = 23},
  [4302] = {.lex_state = 20, .external_lex_state = 2},
  [4303] = {.lex_state = 75, .external_lex_state = 23},
  [4304] = {.lex_state = 20, .external_lex_state = 2},
  [4305] = {.lex_state = 90, .external_lex_state = 23},
  [4306] = {.lex_state = 90, .external_lex_state = 23},
  [4307] = {.lex_state = 75, .external_lex_state = 23},
  [4308] = {.lex_state = 20, .external_lex_state = 2},
  [4309] = {.lex_state = 20, .external_lex_state = 2},
  [4310] = {.lex_state = 75, .external_lex_state = 23},
  [4311] = {.lex_state = 77},
  [4312] = {.lex_state = 73, .external_lex_state = 3},
  [4313] = {.lex_state = 73, .external_lex_state = 2},
  [4314] = {.lex_state = 77},
  [4315] = {.lex_state = 73, .external_lex_state = 2},
  [4316] = {.lex_state = 75, .external_lex_state = 24},
  [4317] = {.lex_state = 77},
  [4318] = {.lex_state = 77, .external_lex_state = 25},
  [4319] = {.lex_state = 75, .external_lex_state = 23},
  [4320] = {.lex_state = 77, .external_lex_state = 25},
  [4321] = {.lex_state = 77, .external_lex_state = 25},
  [4322] = {.lex_state = 77, .external_lex_state = 25},
  [4323] = {.lex_state = 77, .external_lex_state = 25},
  [4324] = {.lex_state = 31},
  [4325] = {.lex_state = 31},
  [4326] = {.lex_state = 31},
  [4327] = {.lex_state = 77},
  [4328] = {.lex_state = 31},
  [4329] = {.lex_state = 77},
  [4330] = {.lex_state = 79, .external_lex_state = 26},
  [4331] = {.lex_state = 77},
  [4332] = {.lex_state = 31},
  [4333] = {.lex_state = 31},
  [4334] = {.lex_state = 31},
  [4335] = {.lex_state = 77},
  [4336] = {.lex_state = 77},
  [4337] = {.lex_state = 78, .external_lex_state = 26},
  [4338] = {.lex_state = 87, .external_lex_state = 26},
  [4339] = {.lex_state = 77},
  [4340] = {.lex_state = 31},
  [4341] = {.lex_state = 77},
  [4342] = {.lex_state = 31},
  [4343] = {.lex_state = 75, .external_lex_state = 23},
  [4344] = {.lex_state = 77},
  [4345] = {.lex_state = 31},
  [4346] = {.lex_state = 31},
  [4347] = {.lex_state = 31},
  [4348] = {.lex_state = 31},
  [4349] = {.lex_state = 90},
  [4350] = {.lex_state = 77, .external_lex_state = 25},
  [4351] = {.lex_state = 79, .external_lex_state = 27},
  [4352] = {.lex_state = 77},
  [4353] = {.lex_state = 90},
  [4354] = {.lex_state = 31},
  [4355] = {.lex_state = 78, .external_lex_state = 26},
  [4356] = {.lex_state = 31},
  [4357] = {.lex_state = 77},
  [4358] = {.lex_state = 94, .external_lex_state = 26},
  [4359] = {.lex_state = 31},
  [4360] = {.lex_state = 31},
  [4361] = {.lex_state = 90},
  [4362] = {.lex_state = 31},
  [4363] = {.lex_state = 90},
  [4364] = {.lex_state = 31},
  [4365] = {.lex_state = 77},
  [4366] = {.lex_state = 90},
  [4367] = {.lex_state = 78, .external_lex_state = 28},
  [4368] = {.lex_state = 77},
  [4369] = {.lex_state = 90},
  [4370] = {.lex_state = 90},
  [4371] = {.lex_state = 90},
  [4372] = {.lex_state = 75, .external_lex_state = 29},
  [4373] = {.lex_state = 31},
  [4374] = {.lex_state = 77, .external_lex_state = 25},
  [4375] = {.lex_state = 77, .external_lex_state = 25},
  [4376] = {.lex_state = 31},
  [4377] = {.lex_state = 31},
  [4378] = {.lex_state = 90},
  [4379] = {.lex_state = 31},
  [4380] = {.lex_state = 79, .external_lex_state = 28},
  [4381] = {.lex_state = 77},
  [4382] = {.lex_state = 31},
  [4383] = {.lex_state = 90},
  [4384] = {.lex_state = 31},
  [4385] = {.lex_state = 90},
  [4386] = {.lex_state = 31},
  [4387] = {.lex_state = 90},
  [4388] = {.lex_state = 87, .external_lex_state = 27},
  [4389] = {.lex_state = 77, .external_lex_state = 25},
  [4390] = {.lex_state = 77, .external_lex_state = 25},
  [4391] = {.lex_state = 77, .external_lex_state = 25},
  [4392] = {.lex_state = 77},
  [4393] = {.lex_state = 77, .external_lex_state = 25},
  [4394] = {.lex_state = 77, .external_lex_state = 25},
  [4395] = {.lex_state = 31},
  [4396] = {.lex_state = 31},
  [4397] = {.lex_state = 77, .external_lex_state = 25},
  [4398] = {.lex_state = 78, .external_lex_state = 27},
  [4399] = {.lex_state = 31},
  [4400] = {.lex_state = 90},
  [4401] = {.lex_state = 77, .external_lex_state = 25},
  [4402] = {.lex_state = 79, .external_lex_state = 26},
  [4403] = {.lex_state = 31},
  [4404] = {.lex_state = 90},
  [4405] = {.lex_state = 77, .external_lex_state = 25},
  [4406] = {.lex_state = 77},
  [4407] = {.lex_state = 77, .external_lex_state = 25},
  [4408] = {.lex_state = 90},
  [4409] = {.lex_state = 77},
  [4410] = {.lex_state = 31},
  [4411] = {.lex_state = 94, .external_lex_state = 26},
  [4412] = {.lex_state = 79, .external_lex_state = 26},
  [4413] = {.lex_state = 90},
  [4414] = {.lex_state = 31},
  [4415] = {.lex_state = 31},
  [4416] = {.lex_state = 87, .external_lex_state = 28},
  [4417] = {.lex_state = 31},
  [4418] = {.lex_state = 31},
  [4419] = {.lex_state = 31},
  [4420] = {.lex_state = 31},
  [4421] = {.lex_state = 77, .external_lex_state = 25},
  [4422] = {.lex_state = 31},
  [4423] = {.lex_state = 77},
  [4424] = {.lex_state = 31},
  [4425] = {.lex_state = 31},
  [4426] = {.lex_state = 31},
  [4427] = {.lex_state = 77},
  [4428] = {.lex_state = 90},
  [4429] = {.lex_state = 31},
  [4430] = {.lex_state = 94, .external_lex_state = 26},
  [4431] = {.lex_state = 31},
  [4432] = {.lex_state = 31},
  [4433] = {.lex_state = 90},
  [4434] = {.lex_state = 31},
  [4435] = {.lex_state = 80, .external_lex_state = 26},
  [4436] = {.lex_state = 31},
  [4437] = {.lex_state = 90},
  [4438] = {.lex_state = 77, .external_lex_state = 25},
  [4439] = {.lex_state = 90},
  [4440] = {.lex_state = 87, .external_lex_state = 26},
  [4441] = {.lex_state = 31},
  [4442] = {.lex_state = 31},
  [4443] = {.lex_state = 31},
  [4444] = {.lex_state = 31},
  [4445] = {.lex_state = 31},
  [4446] = {.lex_state = 77},
  [4447] = {.lex_state = 90},
  [4448] = {.lex_state = 90},
  [4449] = {.lex_state = 77, .external_lex_state = 25},
  [4450] = {.lex_state = 31},
  [4451] = {.lex_state = 90},
  [4452] = {.lex_state = 90},
  [4453] = {.lex_state = 78, .external_lex_state = 28},
  [4454] = {.lex_state = 87, .external_lex_state = 27},
  [4455] = {.lex_state = 94, .external_lex_state = 28},
  [4456] = {.lex_state = 90},
  [4457] = {.lex_state = 87, .external_lex_state = 29},
  [4458] = {.lex_state = 80, .external_lex_state = 27},
  [4459] = {.lex_state = 78, .external_lex_state = 26},
  [4460] = {.lex_state = 90},
  [4461] = {.lex_state = 90},
  [4462] = {.lex_state = 79, .external_lex_state = 30},
  [4463] = {.lex_state = 90},
  [4464] = {.lex_state = 87, .external_lex_state = 30},
  [4465] = {.lex_state = 87, .external_lex_state = 29},
  [4466] = {.lex_state = 78, .external_lex_state = 26},
  [4467] = {.lex_state = 79, .external_lex_state = 28},
  [4468] = {.lex_state = 78, .external_lex_state = 31},
  [4469] = {.lex_state = 90},
  [4470] = {.lex_state = 90},
  [4471] = {.lex_state = 75, .external_lex_state = 29},
  [4472] = {.lex_state = 90},
  [4473] = {.lex_state = 87, .external_lex_state = 31},
  [4474] = {.lex_state = 90},
  [4475] = {.lex_state = 94, .external_lex_state = 27},
  [4476] = {.lex_state = 96, .external_lex_state = 26},
  [4477] = {.lex_state = 90},
  [4478] = {.lex_state = 90},
  [4479] = {.lex_state = 75, .external_lex_state = 32},
  [4480] = {.lex_state = 90},
  [4481] = {.lex_state = 90},
  [4482] = {.lex_state = 90},
  [4483] = {.lex_state = 75, .external_lex_state = 33},
  [4484] = {.lex_state = 94, .external_lex_state = 28},
  [4485] = {.lex_state = 77},
  [4486] = {.lex_state = 94, .external_lex_state = 27},
  [4487] = {.lex_state = 80, .external_lex_state = 28},
  [4488] = {.lex_state = 78, .external_lex_state = 30},
  [4489] = {.lex_state = 87, .external_lex_state = 29},
  [4490] = {.lex_state = 90},
  [4491] = {.lex_state = 79, .external_lex_state = 28},
  [4492] = {.lex_state = 96, .external_lex_state = 26},
  [4493] = {.lex_state = 90},
  [4494] = {.lex_state = 78, .external_lex_state = 26},
  [4495] = {.lex_state = 79, .external_lex_state = 27},
  [4496] = {.lex_state = 90},
  [4497] = {.lex_state = 90},
  [4498] = {.lex_state = 90},
  [4499] = {.lex_state = 90},
  [4500] = {.lex_state = 79, .external_lex_state = 34},
  [4501] = {.lex_state = 90},
  [4502] = {.lex_state = 78, .external_lex_state = 34},
  [4503] = {.lex_state = 80, .external_lex_state = 26},
  [4504] = {.lex_state = 90},
  [4505] = {.lex_state = 90},
  [4506] = {.lex_state = 31},
  [4507] = {.lex_state = 87, .external_lex_state = 28},
  [4508] = {.lex_state = 78, .external_lex_state = 26},
  [4509] = {.lex_state = 94, .external_lex_state = 28},
  [4510] = {.lex_state = 90},
  [4511] = {.lex_state = 87, .external_lex_state = 34},
  [4512] = {.lex_state = 90},
  [4513] = {.lex_state = 90},
  [4514] = {.lex_state = 85, .external_lex_state = 26},
  [4515] = {.lex_state = 90},
  [4516] = {.lex_state = 32},
  [4517] = {.lex_state = 75, .external_lex_state = 29},
  [4518] = {.lex_state = 90},
  [4519] = {.lex_state = 90},
  [4520] = {.lex_state = 78, .external_lex_state = 27},
  [4521] = {.lex_state = 90},
  [4522] = {.lex_state = 90},
  [4523] = {.lex_state = 90},
  [4524] = {.lex_state = 94, .external_lex_state = 27},
  [4525] = {.lex_state = 90},
  [4526] = {.lex_state = 90},
  [4527] = {.lex_state = 85, .external_lex_state = 26},
  [4528] = {.lex_state = 79, .external_lex_state = 27},
  [4529] = {.lex_state = 96, .external_lex_state = 26},
  [4530] = {.lex_state = 79, .external_lex_state = 31},
  [4531] = {.lex_state = 75, .external_lex_state = 33},
  [4532] = {.lex_state = 80, .external_lex_state = 26},
  [4533] = {.lex_state = 87, .external_lex_state = 32},
  [4534] = {.lex_state = 78, .external_lex_state = 26},
  [4535] = {.lex_state = 75, .external_lex_state = 35},
  [4536] = {.lex_state = 78, .external_lex_state = 26},
  [4537] = {.lex_state = 75, .external_lex_state = 23},
  [4538] = {.lex_state = 80, .external_lex_state = 26},
  [4539] = {.lex_state = 87, .external_lex_state = 33},
  [4540] = {.lex_state = 87, .external_lex_state = 31},
  [4541] = {.lex_state = 79, .external_lex_state = 31},
  [4542] = {.lex_state = 78, .external_lex_state = 26},
  [4543] = {.lex_state = 78, .external_lex_state = 36},
  [4544] = {.lex_state = 86, .external_lex_state = 26},
  [4545] = {.lex_state = 94, .external_lex_state = 34},
  [4546] = {.lex_state = 94, .external_lex_state = 31},
  [4547] = {.lex_state = 78, .external_lex_state = 27},
  [4548] = {.lex_state = 80, .external_lex_state = 26},
  [4549] = {.lex_state = 75, .external_lex_state = 32},
  [4550] = {.lex_state = 78, .external_lex_state = 26},
  [4551] = {.lex_state = 79, .external_lex_state = 31},
  [4552] = {.lex_state = 85, .external_lex_state = 27},
  [4553] = {.lex_state = 94, .external_lex_state = 30},
  [4554] = {.lex_state = 94, .external_lex_state = 30},
  [4555] = {.lex_state = 79, .external_lex_state = 36},
  [4556] = {.lex_state = 78, .external_lex_state = 26},
  [4557] = {.lex_state = 96, .external_lex_state = 27},
  [4558] = {.lex_state = 75, .external_lex_state = 37},
  [4559] = {.lex_state = 78, .external_lex_state = 26},
  [4560] = {.lex_state = 85, .external_lex_state = 26},
  [4561] = {.lex_state = 94, .external_lex_state = 31},
  [4562] = {.lex_state = 78, .external_lex_state = 27},
  [4563] = {.lex_state = 78, .external_lex_state = 26},
  [4564] = {.lex_state = 78, .external_lex_state = 26},
  [4565] = {.lex_state = 79, .external_lex_state = 34},
  [4566] = {.lex_state = 75, .external_lex_state = 33},
  [4567] = {.lex_state = 31},
  [4568] = {.lex_state = 75, .external_lex_state = 29},
  [4569] = {.lex_state = 94, .external_lex_state = 31},
  [4570] = {.lex_state = 80, .external_lex_state = 34},
  [4571] = {.lex_state = 78, .external_lex_state = 26},
  [4572] = {.lex_state = 78, .external_lex_state = 26},
  [4573] = {.lex_state = 79, .external_lex_state = 34},
  [4574] = {.lex_state = 87, .external_lex_state = 33},
  [4575] = {.lex_state = 80, .external_lex_state = 31},
  [4576] = {.lex_state = 96, .external_lex_state = 28},
  [4577] = {.lex_state = 78, .external_lex_state = 27},
  [4578] = {.lex_state = 96, .external_lex_state = 28},
  [4579] = {.lex_state = 78, .external_lex_state = 26},
  [4580] = {.lex_state = 78, .external_lex_state = 28},
  [4581] = {.lex_state = 78, .external_lex_state = 34},
  [4582] = {.lex_state = 80, .external_lex_state = 30},
  [4583] = {.lex_state = 78, .external_lex_state = 28},
  [4584] = {.lex_state = 87, .external_lex_state = 32},
  [4585] = {.lex_state = 94, .external_lex_state = 34},
  [4586] = {.lex_state = 96, .external_lex_state = 27},
  [4587] = {.lex_state = 86, .external_lex_state = 26},
  [4588] = {.lex_state = 94, .external_lex_state = 34},
  [4589] = {.lex_state = 88, .external_lex_state = 26},
  [4590] = {.lex_state = 80, .external_lex_state = 28},
  [4591] = {.lex_state = 87, .external_lex_state = 38},
  [4592] = {.lex_state = 86, .external_lex_state = 26},
  [4593] = {.lex_state = 87, .external_lex_state = 39},
  [4594] = {.lex_state = 75, .external_lex_state = 32},
  [4595] = {.lex_state = 87, .external_lex_state = 33},
  [4596] = {.lex_state = 87, .external_lex_state = 32},
  [4597] = {.lex_state = 75, .external_lex_state = 40},
  [4598] = {.lex_state = 78, .external_lex_state = 39},
  [4599] = {.lex_state = 86, .external_lex_state = 26},
  [4600] = {.lex_state = 87, .external_lex_state = 30},
  [4601] = {.lex_state = 78, .external_lex_state = 31},
  [4602] = {.lex_state = 96, .external_lex_state = 27},
  [4603] = {.lex_state = 78, .external_lex_state = 30},
  [4604] = {.lex_state = 79, .external_lex_state = 30},
  [4605] = {.lex_state = 80, .external_lex_state = 26},
  [4606] = {.lex_state = 78, .external_lex_state = 26},
  [4607] = {.lex_state = 78, .external_lex_state = 26},
  [4608] = {.lex_state = 85, .external_lex_state = 27},
  [4609] = {.lex_state = 75, .external_lex_state = 29},
  [4610] = {.lex_state = 78, .external_lex_state = 26},
  [4611] = {.lex_state = 80, .external_lex_state = 27},
  [4612] = {.lex_state = 94, .external_lex_state = 30},
  [4613] = {.lex_state = 79, .external_lex_state = 30},
  [4614] = {.lex_state = 87, .external_lex_state = 34},
  [4615] = {.lex_state = 79, .external_lex_state = 39},
  [4616] = {.lex_state = 85, .external_lex_state = 28},
  [4617] = {.lex_state = 87, .external_lex_state = 36},
  [4618] = {.lex_state = 96, .external_lex_state = 28},
  [4619] = {.lex_state = 85, .external_lex_state = 28},
  [4620] = {.lex_state = 78, .external_lex_state = 27},
  [4621] = {.lex_state = 88, .external_lex_state = 26},
  [4622] = {.lex_state = 78, .external_lex_state = 28},
  [4623] = {.lex_state = 79, .external_lex_state = 38},
  [4624] = {.lex_state = 85, .external_lex_state = 26},
  [4625] = {.lex_state = 78, .external_lex_state = 38},
  [4626] = {.lex_state = 78, .external_lex_state = 28},
  [4627] = {.lex_state = 78, .external_lex_state = 28},
  [4628] = {.lex_state = 86, .external_lex_state = 27},
  [4629] = {.lex_state = 79, .external_lex_state = 26},
  [4630] = {.lex_state = 75, .external_lex_state = 32},
  [4631] = {.lex_state = 80, .external_lex_state = 26},
  [4632] = {.lex_state = 75, .external_lex_state = 40},
  [4633] = {.lex_state = 80, .external_lex_state = 34},
  [4634] = {.lex_state = 79, .external_lex_state = 26},
  [4635] = {.lex_state = 78, .external_lex_state = 28},
  [4636] = {.lex_state = 87, .external_lex_state = 40},
  [4637] = {.lex_state = 87, .external_lex_state = 37},
  [4638] = {.lex_state = 80, .external_lex_state = 28},
  [4639] = {.lex_state = 78, .external_lex_state = 28},
  [4640] = {.lex_state = 79, .external_lex_state = 41},
  [4641] = {.lex_state = 85, .external_lex_state = 31},
  [4642] = {.lex_state = 75, .external_lex_state = 33},
  [4643] = {.lex_state = 80, .external_lex_state = 26},
  [4644] = {.lex_state = 78, .external_lex_state = 34},
  [4645] = {.lex_state = 79, .external_lex_state = 26},
  [4646] = {.lex_state = 75, .external_lex_state = 35},
  [4647] = {.lex_state = 88, .external_lex_state = 26},
  [4648] = {.lex_state = 79, .external_lex_state = 26},
  [4649] = {.lex_state = 80, .external_lex_state = 26},
  [4650] = {.lex_state = 78, .external_lex_state = 36},
  [4651] = {.lex_state = 78, .external_lex_state = 26},
  [4652] = {.lex_state = 94, .external_lex_state = 36},
  [4653] = {.lex_state = 79, .external_lex_state = 26},
  [4654] = {.lex_state = 87, .external_lex_state = 41},
  [4655] = {.lex_state = 80, .external_lex_state = 26},
  [4656] = {.lex_state = 80, .external_lex_state = 26},
  [4657] = {.lex_state = 79, .external_lex_state = 42},
  [4658] = {.lex_state = 96, .external_lex_state = 34},
  [4659] = {.lex_state = 78, .external_lex_state = 38},
  [4660] = {.lex_state = 87, .external_lex_state = 35},
  [4661] = {.lex_state = 78, .external_lex_state = 34},
  [4662] = {.lex_state = 78, .external_lex_state = 27},
  [4663] = {.lex_state = 78, .external_lex_state = 27},
  [4664] = {.lex_state = 79, .external_lex_state = 26},
  [4665] = {.lex_state = 80, .external_lex_state = 28},
  [4666] = {.lex_state = 87, .external_lex_state = 29},
  [4667] = {.lex_state = 88, .external_lex_state = 28},
  [4668] = {.lex_state = 75, .external_lex_state = 29},
  [4669] = {.lex_state = 80, .external_lex_state = 26},
  [4670] = {.lex_state = 79, .external_lex_state = 26},
  [4671] = {.lex_state = 75, .external_lex_state = 43},
  [4672] = {.lex_state = 78, .external_lex_state = 26},
  [4673] = {.lex_state = 87, .external_lex_state = 40},
  [4674] = {.lex_state = 94, .external_lex_state = 38},
  [4675] = {.lex_state = 78, .external_lex_state = 34},
  [4676] = {.lex_state = 85, .external_lex_state = 27},
  [4677] = {.lex_state = 80, .external_lex_state = 31},
  [4678] = {.lex_state = 79, .external_lex_state = 26},
  [4679] = {.lex_state = 79, .external_lex_state = 26},
  [4680] = {.lex_state = 78, .external_lex_state = 30},
  [4681] = {.lex_state = 96, .external_lex_state = 30},
  [4682] = {.lex_state = 87, .external_lex_state = 44},
  [4683] = {.lex_state = 96, .external_lex_state = 34},
  [4684] = {.lex_state = 78, .external_lex_state = 45},
  [4685] = {.lex_state = 86, .external_lex_state = 27},
  [4686] = {.lex_state = 75, .external_lex_state = 32},
  [4687] = {.lex_state = 79, .external_lex_state = 45},
  [4688] = {.lex_state = 78, .external_lex_state = 41},
  [4689] = {.lex_state = 86, .external_lex_state = 28},
  [4690] = {.lex_state = 87, .external_lex_state = 37},
  [4691] = {.lex_state = 88, .external_lex_state = 28},
  [4692] = {.lex_state = 94, .external_lex_state = 36},
  [4693] = {.lex_state = 78, .external_lex_state = 28},
  [4694] = {.lex_state = 79, .external_lex_state = 39},
  [4695] = {.lex_state = 78, .external_lex_state = 27},
  [4696] = {.lex_state = 79, .external_lex_state = 36},
  [4697] = {.lex_state = 80, .external_lex_state = 38},
  [4698] = {.lex_state = 80, .external_lex_state = 36},
  [4699] = {.lex_state = 80, .external_lex_state = 27},
  [4700] = {.lex_state = 86, .external_lex_state = 28},
  [4701] = {.lex_state = 87, .external_lex_state = 37},
  [4702] = {.lex_state = 80, .external_lex_state = 39},
  [4703] = {.lex_state = 75, .external_lex_state = 33},
  [4704] = {.lex_state = 87, .external_lex_state = 39},
  [4705] = {.lex_state = 80, .external_lex_state = 26},
  [4706] = {.lex_state = 78, .external_lex_state = 34},
  [4707] = {.lex_state = 86, .external_lex_state = 27},
  [4708] = {.lex_state = 87, .external_lex_state = 40},
  [4709] = {.lex_state = 79, .external_lex_state = 26},
  [4710] = {.lex_state = 85, .external_lex_state = 31},
  [4711] = {.lex_state = 87, .external_lex_state = 36},
  [4712] = {.lex_state = 78, .external_lex_state = 27},
  [4713] = {.lex_state = 75, .external_lex_state = 40},
  [4714] = {.lex_state = 75, .external_lex_state = 23},
  [4715] = {.lex_state = 85, .external_lex_state = 28},
  [4716] = {.lex_state = 87, .external_lex_state = 45},
  [4717] = {.lex_state = 79, .external_lex_state = 36},
  [4718] = {.lex_state = 94, .external_lex_state = 38},
  [4719] = {.lex_state = 80, .external_lex_state = 26},
  [4720] = {.lex_state = 85, .external_lex_state = 26},
  [4721] = {.lex_state = 78, .external_lex_state = 28},
  [4722] = {.lex_state = 96, .external_lex_state = 30},
  [4723] = {.lex_state = 87, .external_lex_state = 35},
  [4724] = {.lex_state = 78, .external_lex_state = 42},
  [4725] = {.lex_state = 78, .external_lex_state = 31},
  [4726] = {.lex_state = 85, .external_lex_state = 30},
  [4727] = {.lex_state = 85, .external_lex_state = 26},
  [4728] = {.lex_state = 78, .external_lex_state = 28},
  [4729] = {.lex_state = 87, .external_lex_state = 42},
  [4730] = {.lex_state = 79, .external_lex_state = 44},
  [4731] = {.lex_state = 78, .external_lex_state = 27},
  [4732] = {.lex_state = 77},
  [4733] = {.lex_state = 79, .external_lex_state = 38},
  [4734] = {.lex_state = 80, .external_lex_state = 26},
  [4735] = {.lex_state = 80, .external_lex_state = 26},
  [4736] = {.lex_state = 79, .external_lex_state = 26},
  [4737] = {.lex_state = 86, .external_lex_state = 27},
  [4738] = {.lex_state = 94, .external_lex_state = 38},
  [4739] = {.lex_state = 94, .external_lex_state = 39},
  [4740] = {.lex_state = 85, .external_lex_state = 28},
  [4741] = {.lex_state = 78, .external_lex_state = 31},
  [4742] = {.lex_state = 85, .external_lex_state = 30},
  [4743] = {.lex_state = 94, .external_lex_state = 39},
  [4744] = {.lex_state = 75, .external_lex_state = 46},
  [4745] = {.lex_state = 78, .external_lex_state = 30},
  [4746] = {.lex_state = 78, .external_lex_state = 27},
  [4747] = {.lex_state = 78, .external_lex_state = 31},
  [4748] = {.lex_state = 78, .external_lex_state = 30},
  [4749] = {.lex_state = 78, .external_lex_state = 27},
  [4750] = {.lex_state = 79, .external_lex_state = 26},
  [4751] = {.lex_state = 79, .external_lex_state = 26},
  [4752] = {.lex_state = 88, .external_lex_state = 27},
  [4753] = {.lex_state = 78, .external_lex_state = 39},
  [4754] = {.lex_state = 94, .external_lex_state = 39},
  [4755] = {.lex_state = 78, .external_lex_state = 28},
  [4756] = {.lex_state = 79, .external_lex_state = 26},
  [4757] = {.lex_state = 86, .external_lex_state = 28},
  [4758] = {.lex_state = 78, .external_lex_state = 27},
  [4759] = {.lex_state = 78, .external_lex_state = 44},
  [4760] = {.lex_state = 96, .external_lex_state = 31},
  [4761] = {.lex_state = 78, .external_lex_state = 28},
  [4762] = {.lex_state = 80, .external_lex_state = 27},
  [4763] = {.lex_state = 85, .external_lex_state = 26},
  [4764] = {.lex_state = 75, .external_lex_state = 35},
  [4765] = {.lex_state = 80, .external_lex_state = 28},
  [4766] = {.lex_state = 87, .external_lex_state = 38},
  [4767] = {.lex_state = 78, .external_lex_state = 31},
  [4768] = {.lex_state = 80, .external_lex_state = 26},
  [4769] = {.lex_state = 85, .external_lex_state = 27},
  [4770] = {.lex_state = 85, .external_lex_state = 34},
  [4771] = {.lex_state = 94, .external_lex_state = 36},
  [4772] = {.lex_state = 78, .external_lex_state = 28},
  [4773] = {.lex_state = 78, .external_lex_state = 27},
  [4774] = {.lex_state = 78, .external_lex_state = 28},
  [4775] = {.lex_state = 80, .external_lex_state = 26},
  [4776] = {.lex_state = 88, .external_lex_state = 27},
  [4777] = {.lex_state = 96, .external_lex_state = 31},
  [4778] = {.lex_state = 79, .external_lex_state = 39},
  [4779] = {.lex_state = 96, .external_lex_state = 31},
  [4780] = {.lex_state = 80, .external_lex_state = 26},
  [4781] = {.lex_state = 80, .external_lex_state = 30},
  [4782] = {.lex_state = 78, .external_lex_state = 27},
  [4783] = {.lex_state = 80, .external_lex_state = 28},
  [4784] = {.lex_state = 78, .external_lex_state = 27},
  [4785] = {.lex_state = 78, .external_lex_state = 28},
  [4786] = {.lex_state = 78, .external_lex_state = 27},
  [4787] = {.lex_state = 78, .external_lex_state = 27},
  [4788] = {.lex_state = 75, .external_lex_state = 29},
  [4789] = {.lex_state = 79, .external_lex_state = 38},
  [4790] = {.lex_state = 85, .external_lex_state = 34},
  [4791] = {.lex_state = 78, .external_lex_state = 28},
  [4792] = {.lex_state = 88, .external_lex_state = 26},
  [4793] = {.lex_state = 78, .external_lex_state = 30},
  [4794] = {.lex_state = 85, .external_lex_state = 26},
  [4795] = {.lex_state = 78, .external_lex_state = 28},
  [4796] = {.lex_state = 78, .external_lex_state = 27},
  [4797] = {.lex_state = 79, .external_lex_state = 26},
  [4798] = {.lex_state = 87, .external_lex_state = 35},
  [4799] = {.lex_state = 78, .external_lex_state = 28},
  [4800] = {.lex_state = 96, .external_lex_state = 34},
  [4801] = {.lex_state = 79, .external_lex_state = 26},
  [4802] = {.lex_state = 96, .external_lex_state = 30},
  [4803] = {.lex_state = 86, .external_lex_state = 28},
  [4804] = {.lex_state = 80, .external_lex_state = 27},
  [4805] = {.lex_state = 80, .external_lex_state = 27},
  [4806] = {.lex_state = 79, .external_lex_state = 26},
  [4807] = {.lex_state = 78, .external_lex_state = 26},
  [4808] = {.lex_state = 79, .external_lex_state = 28},
  [4809] = {.lex_state = 94, .external_lex_state = 42},
  [4810] = {.lex_state = 79, .external_lex_state = 27},
  [4811] = {.lex_state = 79, .external_lex_state = 47},
  [4812] = {.lex_state = 78, .external_lex_state = 30},
  [4813] = {.lex_state = 78, .external_lex_state = 31},
  [4814] = {.lex_state = 86, .external_lex_state = 26},
  [4815] = {.lex_state = 96, .external_lex_state = 38},
  [4816] = {.lex_state = 80, .external_lex_state = 28},
  [4817] = {.lex_state = 87, .external_lex_state = 47},
  [4818] = {.lex_state = 78, .external_lex_state = 30},
  [4819] = {.lex_state = 80, .external_lex_state = 27},
  [4820] = {.lex_state = 80, .external_lex_state = 28},
  [4821] = {.lex_state = 80, .external_lex_state = 27},
  [4822] = {.lex_state = 79, .external_lex_state = 27},
  [4823] = {.lex_state = 86, .external_lex_state = 26},
  [4824] = {.lex_state = 80, .external_lex_state = 28},
  [4825] = {.lex_state = 78, .external_lex_state = 31},
  [4826] = {.lex_state = 80, .external_lex_state = 28},
  [4827] = {.lex_state = 79, .external_lex_state = 27},
  [4828] = {.lex_state = 80, .external_lex_state = 27},
  [4829] = {.lex_state = 86, .external_lex_state = 26},
  [4830] = {.lex_state = 96, .external_lex_state = 39},
  [4831] = {.lex_state = 80, .external_lex_state = 28},
  [4832] = {.lex_state = 78, .external_lex_state = 34},
  [4833] = {.lex_state = 85, .external_lex_state = 27},
  [4834] = {.lex_state = 78, .external_lex_state = 38},
  [4835] = {.lex_state = 94, .external_lex_state = 42},
  [4836] = {.lex_state = 79, .external_lex_state = 44},
  [4837] = {.lex_state = 78, .external_lex_state = 31},
  [4838] = {.lex_state = 85, .external_lex_state = 30},
  [4839] = {.lex_state = 79, .external_lex_state = 42},
  [4840] = {.lex_state = 94, .external_lex_state = 44},
  [4841] = {.lex_state = 78, .external_lex_state = 34},
  [4842] = {.lex_state = 78, .external_lex_state = 27},
  [4843] = {.lex_state = 78, .external_lex_state = 31},
  [4844] = {.lex_state = 78, .external_lex_state = 38},
  [4845] = {.lex_state = 80, .external_lex_state = 28},
  [4846] = {.lex_state = 96, .external_lex_state = 38},
  [4847] = {.lex_state = 75, .external_lex_state = 48},
  [4848] = {.lex_state = 80, .external_lex_state = 28},
  [4849] = {.lex_state = 78, .external_lex_state = 41},
  [4850] = {.lex_state = 80, .external_lex_state = 28},
  [4851] = {.lex_state = 85, .external_lex_state = 26},
  [4852] = {.lex_state = 85, .external_lex_state = 27},
  [4853] = {.lex_state = 78, .external_lex_state = 31},
  [4854] = {.lex_state = 79, .external_lex_state = 42},
  [4855] = {.lex_state = 80, .external_lex_state = 44},
  [4856] = {.lex_state = 78, .external_lex_state = 28},
  [4857] = {.lex_state = 96, .external_lex_state = 39},
  [4858] = {.lex_state = 79, .external_lex_state = 27},
  [4859] = {.lex_state = 78, .external_lex_state = 30},
  [4860] = {.lex_state = 86, .external_lex_state = 34},
  [4861] = {.lex_state = 75, .external_lex_state = 32},
  [4862] = {.lex_state = 85, .external_lex_state = 34},
  [4863] = {.lex_state = 85, .external_lex_state = 28},
  [4864] = {.lex_state = 85, .external_lex_state = 31},
  [4865] = {.lex_state = 85, .external_lex_state = 27},
  [4866] = {.lex_state = 80, .external_lex_state = 28},
  [4867] = {.lex_state = 79, .external_lex_state = 27},
  [4868] = {.lex_state = 94, .external_lex_state = 45},
  [4869] = {.lex_state = 79, .external_lex_state = 27},
  [4870] = {.lex_state = 78, .external_lex_state = 49},
  [4871] = {.lex_state = 79, .external_lex_state = 27},
  [4872] = {.lex_state = 80, .external_lex_state = 28},
  [4873] = {.lex_state = 87, .external_lex_state = 50},
  [4874] = {.lex_state = 96, .external_lex_state = 36},
  [4875] = {.lex_state = 78, .external_lex_state = 34},
  [4876] = {.lex_state = 88, .external_lex_state = 31},
  [4877] = {.lex_state = 79, .external_lex_state = 28},
  [4878] = {.lex_state = 85, .external_lex_state = 28},
  [4879] = {.lex_state = 79, .external_lex_state = 27},
  [4880] = {.lex_state = 96, .external_lex_state = 38},
  [4881] = {.lex_state = 79, .external_lex_state = 27},
  [4882] = {.lex_state = 78, .external_lex_state = 36},
  [4883] = {.lex_state = 78, .external_lex_state = 31},
  [4884] = {.lex_state = 75, .external_lex_state = 51},
  [4885] = {.lex_state = 85, .external_lex_state = 27},
  [4886] = {.lex_state = 79, .external_lex_state = 45},
  [4887] = {.lex_state = 79, .external_lex_state = 27},
  [4888] = {.lex_state = 80, .external_lex_state = 52},
  [4889] = {.lex_state = 80, .external_lex_state = 30},
  [4890] = {.lex_state = 80, .external_lex_state = 41},
  [4891] = {.lex_state = 79, .external_lex_state = 28},
  [4892] = {.lex_state = 87, .external_lex_state = 46},
  [4893] = {.lex_state = 87, .external_lex_state = 42},
  [4894] = {.lex_state = 78, .external_lex_state = 31},
  [4895] = {.lex_state = 78, .external_lex_state = 36},
  [4896] = {.lex_state = 78, .external_lex_state = 30},
  [4897] = {.lex_state = 80, .external_lex_state = 34},
  [4898] = {.lex_state = 96, .external_lex_state = 36},
  [4899] = {.lex_state = 85, .external_lex_state = 38},
  [4900] = {.lex_state = 75, .external_lex_state = 37},
  [4901] = {.lex_state = 87, .external_lex_state = 29},
  [4902] = {.lex_state = 85, .external_lex_state = 28},
  [4903] = {.lex_state = 78, .external_lex_state = 42},
  [4904] = {.lex_state = 86, .external_lex_state = 30},
  [4905] = {.lex_state = 75, .external_lex_state = 53},
  [4906] = {.lex_state = 88, .external_lex_state = 34},
  [4907] = {.lex_state = 86, .external_lex_state = 31},
  [4908] = {.lex_state = 79, .external_lex_state = 27},
  [4909] = {.lex_state = 86, .external_lex_state = 34},
  [4910] = {.lex_state = 80, .external_lex_state = 27},
  [4911] = {.lex_state = 87, .external_lex_state = 26},
  [4912] = {.lex_state = 80, .external_lex_state = 30},
  [4913] = {.lex_state = 78, .external_lex_state = 38},
  [4914] = {.lex_state = 94, .external_lex_state = 42},
  [4915] = {.lex_state = 80, .external_lex_state = 27},
  [4916] = {.lex_state = 80, .external_lex_state = 27},
  [4917] = {.lex_state = 94, .external_lex_state = 41},
  [4918] = {.lex_state = 79, .external_lex_state = 45},
  [4919] = {.lex_state = 87, .external_lex_state = 41},
  [4920] = {.lex_state = 79, .external_lex_state = 28},
  [4921] = {.lex_state = 87, .external_lex_state = 33},
  [4922] = {.lex_state = 80, .external_lex_state = 30},
  [4923] = {.lex_state = 85, .external_lex_state = 38},
  [4924] = {.lex_state = 88, .external_lex_state = 26},
  [4925] = {.lex_state = 86, .external_lex_state = 30},
  [4926] = {.lex_state = 87, .external_lex_state = 43},
  [4927] = {.lex_state = 78, .external_lex_state = 34},
  [4928] = {.lex_state = 85, .external_lex_state = 39},
  [4929] = {.lex_state = 80, .external_lex_state = 31},
  [4930] = {.lex_state = 88, .external_lex_state = 26},
  [4931] = {.lex_state = 80, .external_lex_state = 27},
  [4932] = {.lex_state = 88, .external_lex_state = 31},
  [4933] = {.lex_state = 87, .external_lex_state = 26},
  [4934] = {.lex_state = 88, .external_lex_state = 34},
  [4935] = {.lex_state = 79, .external_lex_state = 28},
  [4936] = {.lex_state = 79, .external_lex_state = 44},
  [4937] = {.lex_state = 78, .external_lex_state = 39},
  [4938] = {.lex_state = 85, .external_lex_state = 36},
  [4939] = {.lex_state = 86, .external_lex_state = 34},
  [4940] = {.lex_state = 80, .external_lex_state = 31},
  [4941] = {.lex_state = 80, .external_lex_state = 27},
  [4942] = {.lex_state = 78, .external_lex_state = 34},
  [4943] = {.lex_state = 80, .external_lex_state = 27},
  [4944] = {.lex_state = 80, .external_lex_state = 34},
  [4945] = {.lex_state = 79, .external_lex_state = 26},
  [4946] = {.lex_state = 85, .external_lex_state = 39},
  [4947] = {.lex_state = 78, .external_lex_state = 34},
  [4948] = {.lex_state = 80, .external_lex_state = 39},
  [4949] = {.lex_state = 80, .external_lex_state = 31},
  [4950] = {.lex_state = 78, .external_lex_state = 34},
  [4951] = {.lex_state = 79, .external_lex_state = 50},
  [4952] = {.lex_state = 86, .external_lex_state = 26},
  [4953] = {.lex_state = 85, .external_lex_state = 30},
  [4954] = {.lex_state = 96, .external_lex_state = 36},
  [4955] = {.lex_state = 78, .external_lex_state = 39},
  [4956] = {.lex_state = 78, .external_lex_state = 30},
  [4957] = {.lex_state = 80, .external_lex_state = 27},
  [4958] = {.lex_state = 88, .external_lex_state = 30},
  [4959] = {.lex_state = 79, .external_lex_state = 27},
  [4960] = {.lex_state = 87, .external_lex_state = 23},
  [4961] = {.lex_state = 78, .external_lex_state = 34},
  [4962] = {.lex_state = 80, .external_lex_state = 28},
  [4963] = {.lex_state = 80, .external_lex_state = 27},
  [4964] = {.lex_state = 78, .external_lex_state = 34},
  [4965] = {.lex_state = 78, .external_lex_state = 30},
  [4966] = {.lex_state = 79, .external_lex_state = 28},
  [4967] = {.lex_state = 78, .external_lex_state = 27},
  [4968] = {.lex_state = 88, .external_lex_state = 28},
  [4969] = {.lex_state = 79, .external_lex_state = 27},
  [4970] = {.lex_state = 86, .external_lex_state = 31},
  [4971] = {.lex_state = 78, .external_lex_state = 44},
  [4972] = {.lex_state = 78, .external_lex_state = 39},
  [4973] = {.lex_state = 79, .external_lex_state = 28},
  [4974] = {.lex_state = 80, .external_lex_state = 26},
  [4975] = {.lex_state = 94, .external_lex_state = 45},
  [4976] = {.lex_state = 78, .external_lex_state = 34},
  [4977] = {.lex_state = 79, .external_lex_state = 28},
  [4978] = {.lex_state = 75, .external_lex_state = 54},
  [4979] = {.lex_state = 80, .external_lex_state = 26},
  [4980] = {.lex_state = 86, .external_lex_state = 30},
  [4981] = {.lex_state = 75, .external_lex_state = 29},
  [4982] = {.lex_state = 94, .external_lex_state = 41},
  [4983] = {.lex_state = 94, .external_lex_state = 26},
  [4984] = {.lex_state = 75, .external_lex_state = 33},
  [4985] = {.lex_state = 75, .external_lex_state = 40},
  [4986] = {.lex_state = 78, .external_lex_state = 31},
  [4987] = {.lex_state = 86, .external_lex_state = 31},
  [4988] = {.lex_state = 79, .external_lex_state = 28},
  [4989] = {.lex_state = 87, .external_lex_state = 29},
  [4990] = {.lex_state = 78, .external_lex_state = 27},
  [4991] = {.lex_state = 75, .external_lex_state = 46},
  [4992] = {.lex_state = 79, .external_lex_state = 41},
  [4993] = {.lex_state = 78, .external_lex_state = 34},
  [4994] = {.lex_state = 75, .external_lex_state = 35},
  [4995] = {.lex_state = 85, .external_lex_state = 34},
  [4996] = {.lex_state = 78, .external_lex_state = 47},
  [4997] = {.lex_state = 75, .external_lex_state = 29},
  [4998] = {.lex_state = 80, .external_lex_state = 30},
  [4999] = {.lex_state = 75, .external_lex_state = 37},
  [5000] = {.lex_state = 88, .external_lex_state = 30},
  [5001] = {.lex_state = 79, .external_lex_state = 27},
  [5002] = {.lex_state = 80, .external_lex_state = 45},
  [5003] = {.lex_state = 87, .external_lex_state = 46},
  [5004] = {.lex_state = 85, .external_lex_state = 36},
  [5005] = {.lex_state = 79, .external_lex_state = 28},
  [5006] = {.lex_state = 78, .external_lex_state = 38},
  [5007] = {.lex_state = 86, .external_lex_state = 30},
  [5008] = {.lex_state = 79, .external_lex_state = 28},
  [5009] = {.lex_state = 87, .external_lex_state = 32},
  [5010] = {.lex_state = 78, .external_lex_state = 45},
  [5011] = {.lex_state = 79, .external_lex_state = 28},
  [5012] = {.lex_state = 79, .external_lex_state = 28},
  [5013] = {.lex_state = 79, .external_lex_state = 27},
  [5014] = {.lex_state = 78, .external_lex_state = 36},
  [5015] = {.lex_state = 94, .external_lex_state = 44},
  [5016] = {.lex_state = 87, .external_lex_state = 23},
  [5017] = {.lex_state = 80, .external_lex_state = 28},
  [5018] = {.lex_state = 82, .external_lex_state = 39},
  [5019] = {.lex_state = 75, .external_lex_state = 35},
  [5020] = {.lex_state = 87, .external_lex_state = 44},
  [5021] = {.lex_state = 78, .external_lex_state = 34},
  [5022] = {.lex_state = 78, .external_lex_state = 39},
  [5023] = {.lex_state = 75, .external_lex_state = 29},
  [5024] = {.lex_state = 78, .external_lex_state = 31},
  [5025] = {.lex_state = 78, .external_lex_state = 31},
  [5026] = {.lex_state = 79, .external_lex_state = 41},
  [5027] = {.lex_state = 79, .external_lex_state = 27},
  [5028] = {.lex_state = 78, .external_lex_state = 31},
  [5029] = {.lex_state = 94, .external_lex_state = 41},
  [5030] = {.lex_state = 78, .external_lex_state = 36},
  [5031] = {.lex_state = 80, .external_lex_state = 27},
  [5032] = {.lex_state = 75, .external_lex_state = 37},
  [5033] = {.lex_state = 78, .external_lex_state = 31},
  [5034] = {.lex_state = 80, .external_lex_state = 36},
  [5035] = {.lex_state = 94, .external_lex_state = 44},
  [5036] = {.lex_state = 88, .external_lex_state = 26},
  [5037] = {.lex_state = 87, .external_lex_state = 45},
  [5038] = {.lex_state = 79, .external_lex_state = 49},
  [5039] = {.lex_state = 78, .external_lex_state = 28},
  [5040] = {.lex_state = 75, .external_lex_state = 29},
  [5041] = {.lex_state = 88, .external_lex_state = 26},
  [5042] = {.lex_state = 87, .external_lex_state = 43},
  [5043] = {.lex_state = 78, .external_lex_state = 50},
  [5044] = {.lex_state = 96, .external_lex_state = 39},
  [5045] = {.lex_state = 79, .external_lex_state = 28},
  [5046] = {.lex_state = 78, .external_lex_state = 31},
  [5047] = {.lex_state = 88, .external_lex_state = 27},
  [5048] = {.lex_state = 75, .external_lex_state = 32},
  [5049] = {.lex_state = 87, .external_lex_state = 49},
  [5050] = {.lex_state = 85, .external_lex_state = 31},
  [5051] = {.lex_state = 78, .external_lex_state = 26},
  [5052] = {.lex_state = 79, .external_lex_state = 28},
  [5053] = {.lex_state = 80, .external_lex_state = 42},
  [5054] = {.lex_state = 80, .external_lex_state = 28},
  [5055] = {.lex_state = 78, .external_lex_state = 30},
  [5056] = {.lex_state = 86, .external_lex_state = 31},
  [5057] = {.lex_state = 78, .external_lex_state = 30},
  [5058] = {.lex_state = 75, .external_lex_state = 40},
  [5059] = {.lex_state = 88, .external_lex_state = 28},
  [5060] = {.lex_state = 78, .external_lex_state = 34},
  [5061] = {.lex_state = 80, .external_lex_state = 34},
  [5062] = {.lex_state = 78, .external_lex_state = 30},
  [5063] = {.lex_state = 78, .external_lex_state = 30},
  [5064] = {.lex_state = 75, .external_lex_state = 46},
  [5065] = {.lex_state = 82, .external_lex_state = 55},
  [5066] = {.lex_state = 87, .external_lex_state = 46},
  [5067] = {.lex_state = 85, .external_lex_state = 28},
  [5068] = {.lex_state = 78, .external_lex_state = 30},
  [5069] = {.lex_state = 78, .external_lex_state = 34},
  [5070] = {.lex_state = 94, .external_lex_state = 45},
  [5071] = {.lex_state = 80, .external_lex_state = 34},
  [5072] = {.lex_state = 78, .external_lex_state = 30},
  [5073] = {.lex_state = 78, .external_lex_state = 31},
  [5074] = {.lex_state = 78, .external_lex_state = 28},
  [5075] = {.lex_state = 80, .external_lex_state = 31},
  [5076] = {.lex_state = 87, .external_lex_state = 43},
  [5077] = {.lex_state = 88, .external_lex_state = 27},
  [5078] = {.lex_state = 86, .external_lex_state = 26},
  [5079] = {.lex_state = 86, .external_lex_state = 34},
  [5080] = {.lex_state = 79, .external_lex_state = 28},
  [5081] = {.lex_state = 78, .external_lex_state = 30},
  [5082] = {.lex_state = 79, .external_lex_state = 27},
  [5083] = {.lex_state = 80, .external_lex_state = 27},
  [5084] = {.lex_state = 80, .external_lex_state = 38},
  [5085] = {.lex_state = 79, .external_lex_state = 28},
  [5086] = {.lex_state = 78, .external_lex_state = 30},
  [5087] = {.lex_state = 75, .external_lex_state = 33},
  [5088] = {.lex_state = 75, .external_lex_state = 43},
  [5089] = {.lex_state = 87, .external_lex_state = 37},
  [5090] = {.lex_state = 87, .external_lex_state = 27},
  [5091] = {.lex_state = 79, .external_lex_state = 34},
  [5092] = {.lex_state = 78, .external_lex_state = 34},
  [5093] = {.lex_state = 86, .external_lex_state = 36},
  [5094] = {.lex_state = 75, .external_lex_state = 35},
  [5095] = {.lex_state = 80, .external_lex_state = 36},
  [5096] = {.lex_state = 87, .external_lex_state = 51},
  [5097] = {.lex_state = 32},
  [5098] = {.lex_state = 75, .external_lex_state = 48},
  [5099] = {.lex_state = 78, .external_lex_state = 39},
  [5100] = {.lex_state = 88, .external_lex_state = 30},
  [5101] = {.lex_state = 79, .external_lex_state = 30},
  [5102] = {.lex_state = 78, .external_lex_state = 30},
  [5103] = {.lex_state = 78, .external_lex_state = 27},
  [5104] = {.lex_state = 80, .external_lex_state = 31},
  [5105] = {.lex_state = 87, .external_lex_state = 29},
  [5106] = {.lex_state = 79, .external_lex_state = 34},
  [5107] = {.lex_state = 86, .external_lex_state = 28},
  [5108] = {.lex_state = 87, .external_lex_state = 50},
  [5109] = {.lex_state = 85, .external_lex_state = 30},
  [5110] = {.lex_state = 94, .external_lex_state = 26},
  [5111] = {.lex_state = 78, .external_lex_state = 30},
  [5112] = {.lex_state = 87, .external_lex_state = 54},
  [5113] = {.lex_state = 80, .external_lex_state = 45},
  [5114] = {.lex_state = 80, .external_lex_state = 31},
  [5115] = {.lex_state = 78, .external_lex_state = 39},
  [5116] = {.lex_state = 78, .external_lex_state = 42},
  [5117] = {.lex_state = 75, .external_lex_state = 51},
  [5118] = {.lex_state = 79, .external_lex_state = 34},
  [5119] = {.lex_state = 80, .external_lex_state = 31},
  [5120] = {.lex_state = 78, .external_lex_state = 55},
  [5121] = {.lex_state = 78, .external_lex_state = 36},
  [5122] = {.lex_state = 80, .external_lex_state = 34},
  [5123] = {.lex_state = 80, .external_lex_state = 30},
  [5124] = {.lex_state = 80, .external_lex_state = 30},
  [5125] = {.lex_state = 80, .external_lex_state = 34},
  [5126] = {.lex_state = 83, .external_lex_state = 39},
  [5127] = {.lex_state = 94, .external_lex_state = 49},
  [5128] = {.lex_state = 75, .external_lex_state = 43},
  [5129] = {.lex_state = 94, .external_lex_state = 50},
  [5130] = {.lex_state = 96, .external_lex_state = 44},
  [5131] = {.lex_state = 80, .external_lex_state = 47},
  [5132] = {.lex_state = 78, .external_lex_state = 39},
  [5133] = {.lex_state = 78, .external_lex_state = 38},
  [5134] = {.lex_state = 96, .external_lex_state = 41},
  [5135] = {.lex_state = 78, .external_lex_state = 30},
  [5136] = {.lex_state = 75, .external_lex_state = 43},
  [5137] = {.lex_state = 79, .external_lex_state = 30},
  [5138] = {.lex_state = 87, .external_lex_state = 33},
  [5139] = {.lex_state = 78, .external_lex_state = 39},
  [5140] = {.lex_state = 87, .external_lex_state = 48},
  [5141] = {.lex_state = 94, .external_lex_state = 50},
  [5142] = {.lex_state = 79, .external_lex_state = 26},
  [5143] = {.lex_state = 80, .external_lex_state = 39},
  [5144] = {.lex_state = 78, .external_lex_state = 36},
  [5145] = {.lex_state = 75, .external_lex_state = 56},
  [5146] = {.lex_state = 80, .external_lex_state = 31},
  [5147] = {.lex_state = 78, .external_lex_state = 44},
  [5148] = {.lex_state = 79, .external_lex_state = 34},
  [5149] = {.lex_state = 85, .external_lex_state = 34},
  [5150] = {.lex_state = 85, .external_lex_state = 31},
  [5151] = {.lex_state = 86, .external_lex_state = 39},
  [5152] = {.lex_state = 78, .external_lex_state = 50},
  [5153] = {.lex_state = 78, .external_lex_state = 39},
  [5154] = {.lex_state = 75, .external_lex_state = 32},
  [5155] = {.lex_state = 79, .external_lex_state = 34},
  [5156] = {.lex_state = 75, .external_lex_state = 57},
  [5157] = {.lex_state = 80, .external_lex_state = 49},
  [5158] = {.lex_state = 79, .external_lex_state = 31},
  [5159] = {.lex_state = 96, .external_lex_state = 41},
  [5160] = {.lex_state = 79, .external_lex_state = 30},
  [5161] = {.lex_state = 78, .external_lex_state = 38},
  [5162] = {.lex_state = 96, .external_lex_state = 44},
  [5163] = {.lex_state = 78, .external_lex_state = 38},
  [5164] = {.lex_state = 87, .external_lex_state = 23},
  [5165] = {.lex_state = 10, .external_lex_state = 52},
  [5166] = {.lex_state = 78, .external_lex_state = 42},
  [5167] = {.lex_state = 79, .external_lex_state = 28},
  [5168] = {.lex_state = 79, .external_lex_state = 34},
  [5169] = {.lex_state = 87, .external_lex_state = 48},
  [5170] = {.lex_state = 96, .external_lex_state = 41},
  [5171] = {.lex_state = 80, .external_lex_state = 31},
  [5172] = {.lex_state = 75, .external_lex_state = 40},
  [5173] = {.lex_state = 85, .external_lex_state = 36},
  [5174] = {.lex_state = 87, .external_lex_state = 46},
  [5175] = {.lex_state = 79, .external_lex_state = 55},
  [5176] = {.lex_state = 78, .external_lex_state = 36},
  [5177] = {.lex_state = 78, .external_lex_state = 31},
  [5178] = {.lex_state = 80, .external_lex_state = 30},
  [5179] = {.lex_state = 78, .external_lex_state = 39},
  [5180] = {.lex_state = 87, .external_lex_state = 32},
  [5181] = {.lex_state = 75, .external_lex_state = 33},
  [5182] = {.lex_state = 78, .external_lex_state = 38},
  [5183] = {.lex_state = 88, .external_lex_state = 28},
  [5184] = {.lex_state = 87, .external_lex_state = 51},
  [5185] = {.lex_state = 85, .external_lex_state = 34},
  [5186] = {.lex_state = 78, .external_lex_state = 42},
  [5187] = {.lex_state = 88, .external_lex_state = 27},
  [5188] = {.lex_state = 80, .external_lex_state = 34},
  [5189] = {.lex_state = 87, .external_lex_state = 54},
  [5190] = {.lex_state = 94, .external_lex_state = 49},
  [5191] = {.lex_state = 79, .external_lex_state = 34},
  [5192] = {.lex_state = 88, .external_lex_state = 38},
  [5193] = {.lex_state = 80, .external_lex_state = 31},
  [5194] = {.lex_state = 96, .external_lex_state = 52},
  [5195] = {.lex_state = 75, .external_lex_state = 33},
  [5196] = {.lex_state = 96, .external_lex_state = 26},
  [5197] = {.lex_state = 79, .external_lex_state = 49},
  [5198] = {.lex_state = 87, .external_lex_state = 29},
  [5199] = {.lex_state = 79, .external_lex_state = 31},
  [5200] = {.lex_state = 85, .external_lex_state = 39},
  [5201] = {.lex_state = 78, .external_lex_state = 52},
  [5202] = {.lex_state = 87, .external_lex_state = 49},
  [5203] = {.lex_state = 75, .external_lex_state = 32},
  [5204] = {.lex_state = 78, .external_lex_state = 31},
  [5205] = {.lex_state = 32},
  [5206] = {.lex_state = 78, .external_lex_state = 49},
  [5207] = {.lex_state = 78, .external_lex_state = 36},
  [5208] = {.lex_state = 86, .external_lex_state = 38},
  [5209] = {.lex_state = 96, .external_lex_state = 45},
  [5210] = {.lex_state = 85, .external_lex_state = 44},
  [5211] = {.lex_state = 94, .external_lex_state = 47},
  [5212] = {.lex_state = 79, .external_lex_state = 31},
  [5213] = {.lex_state = 79, .external_lex_state = 34},
  [5214] = {.lex_state = 87, .external_lex_state = 48},
  [5215] = {.lex_state = 85, .external_lex_state = 36},
  [5216] = {.lex_state = 75, .external_lex_state = 35},
  [5217] = {.lex_state = 79, .external_lex_state = 50},
  [5218] = {.lex_state = 78, .external_lex_state = 36},
  [5219] = {.lex_state = 79, .external_lex_state = 30},
  [5220] = {.lex_state = 88, .external_lex_state = 28},
  [5221] = {.lex_state = 87, .external_lex_state = 29},
  [5222] = {.lex_state = 80, .external_lex_state = 31},
  [5223] = {.lex_state = 87, .external_lex_state = 29},
  [5224] = {.lex_state = 87, .external_lex_state = 29},
  [5225] = {.lex_state = 86, .external_lex_state = 38},
  [5226] = {.lex_state = 79, .external_lex_state = 26},
  [5227] = {.lex_state = 78, .external_lex_state = 36},
  [5228] = {.lex_state = 86, .external_lex_state = 36},
  [5229] = {.lex_state = 87, .external_lex_state = 52},
  [5230] = {.lex_state = 83, .external_lex_state = 55},
  [5231] = {.lex_state = 87, .external_lex_state = 28},
  [5232] = {.lex_state = 32},
  [5233] = {.lex_state = 80, .external_lex_state = 39},
  [5234] = {.lex_state = 79, .external_lex_state = 47},
  [5235] = {.lex_state = 79, .external_lex_state = 34},
  [5236] = {.lex_state = 78, .external_lex_state = 41},
  [5237] = {.lex_state = 87, .external_lex_state = 54},
  [5238] = {.lex_state = 86, .external_lex_state = 28},
  [5239] = {.lex_state = 82, .external_lex_state = 39},
  [5240] = {.lex_state = 79, .external_lex_state = 34},
  [5241] = {.lex_state = 80, .external_lex_state = 30},
  [5242] = {.lex_state = 79, .external_lex_state = 31},
  [5243] = {.lex_state = 94, .external_lex_state = 49},
  [5244] = {.lex_state = 88, .external_lex_state = 28},
  [5245] = {.lex_state = 85, .external_lex_state = 34},
  [5246] = {.lex_state = 80, .external_lex_state = 41},
  [5247] = {.lex_state = 85, .external_lex_state = 45},
  [5248] = {.lex_state = 79, .external_lex_state = 30},
  [5249] = {.lex_state = 80, .external_lex_state = 34},
  [5250] = {.lex_state = 87, .external_lex_state = 29},
  [5251] = {.lex_state = 80, .external_lex_state = 26},
  [5252] = {.lex_state = 80, .external_lex_state = 31},
  [5253] = {.lex_state = 88, .external_lex_state = 27},
  [5254] = {.lex_state = 78, .external_lex_state = 38},
  [5255] = {.lex_state = 79, .external_lex_state = 30},
  [5256] = {.lex_state = 85, .external_lex_state = 45},
  [5257] = {.lex_state = 80, .external_lex_state = 34},
  [5258] = {.lex_state = 79, .external_lex_state = 49},
  [5259] = {.lex_state = 75, .external_lex_state = 33},
  [5260] = {.lex_state = 82, .external_lex_state = 39},
  [5261] = {.lex_state = 78, .external_lex_state = 38},
  [5262] = {.lex_state = 78, .external_lex_state = 45},
  [5263] = {.lex_state = 75, .external_lex_state = 29},
  [5264] = {.lex_state = 80, .external_lex_state = 30},
  [5265] = {.lex_state = 87, .external_lex_state = 29},
  [5266] = {.lex_state = 80, .external_lex_state = 34},
  [5267] = {.lex_state = 78, .external_lex_state = 38},
  [5268] = {.lex_state = 85, .external_lex_state = 28},
  [5269] = {.lex_state = 80, .external_lex_state = 34},
  [5270] = {.lex_state = 80, .external_lex_state = 34},
  [5271] = {.lex_state = 96, .external_lex_state = 42},
  [5272] = {.lex_state = 79, .external_lex_state = 30},
  [5273] = {.lex_state = 78, .external_lex_state = 38},
  [5274] = {.lex_state = 96, .external_lex_state = 52},
  [5275] = {.lex_state = 87, .external_lex_state = 40},
  [5276] = {.lex_state = 79, .external_lex_state = 34},
  [5277] = {.lex_state = 88, .external_lex_state = 28},
  [5278] = {.lex_state = 78, .external_lex_state = 38},
  [5279] = {.lex_state = 78, .external_lex_state = 36},
  [5280] = {.lex_state = 80, .external_lex_state = 31},
  [5281] = {.lex_state = 79, .external_lex_state = 31},
  [5282] = {.lex_state = 80, .external_lex_state = 30},
  [5283] = {.lex_state = 80, .external_lex_state = 30},
  [5284] = {.lex_state = 32},
  [5285] = {.lex_state = 78, .external_lex_state = 41},
  [5286] = {.lex_state = 94, .external_lex_state = 26},
  [5287] = {.lex_state = 96, .external_lex_state = 42},
  [5288] = {.lex_state = 80, .external_lex_state = 39},
  [5289] = {.lex_state = 87, .external_lex_state = 26},
  [5290] = {.lex_state = 88, .external_lex_state = 31},
  [5291] = {.lex_state = 86, .external_lex_state = 36},
  [5292] = {.lex_state = 78, .external_lex_state = 28},
  [5293] = {.lex_state = 80, .external_lex_state = 27},
  [5294] = {.lex_state = 80, .external_lex_state = 27},
  [5295] = {.lex_state = 78, .external_lex_state = 36},
  [5296] = {.lex_state = 87, .external_lex_state = 29},
  [5297] = {.lex_state = 78, .external_lex_state = 39},
  [5298] = {.lex_state = 94, .external_lex_state = 26},
  [5299] = {.lex_state = 78, .external_lex_state = 38},
  [5300] = {.lex_state = 79, .external_lex_state = 34},
  [5301] = {.lex_state = 79, .external_lex_state = 34},
  [5302] = {.lex_state = 79, .external_lex_state = 34},
  [5303] = {.lex_state = 86, .external_lex_state = 27},
  [5304] = {.lex_state = 86, .external_lex_state = 38},
  [5305] = {.lex_state = 78, .external_lex_state = 36},
  [5306] = {.lex_state = 80, .external_lex_state = 31},
  [5307] = {.lex_state = 80, .external_lex_state = 34},
  [5308] = {.lex_state = 78, .external_lex_state = 47},
  [5309] = {.lex_state = 94, .external_lex_state = 47},
  [5310] = {.lex_state = 79, .external_lex_state = 34},
  [5311] = {.lex_state = 80, .external_lex_state = 30},
  [5312] = {.lex_state = 86, .external_lex_state = 27},
  [5313] = {.lex_state = 79, .external_lex_state = 31},
  [5314] = {.lex_state = 78, .external_lex_state = 39},
  [5315] = {.lex_state = 86, .external_lex_state = 27},
  [5316] = {.lex_state = 75, .external_lex_state = 33},
  [5317] = {.lex_state = 79, .external_lex_state = 30},
  [5318] = {.lex_state = 94, .external_lex_state = 27},
  [5319] = {.lex_state = 86, .external_lex_state = 36},
  [5320] = {.lex_state = 78, .external_lex_state = 36},
  [5321] = {.lex_state = 80, .external_lex_state = 30},
  [5322] = {.lex_state = 88, .external_lex_state = 31},
  [5323] = {.lex_state = 87, .external_lex_state = 26},
  [5324] = {.lex_state = 80, .external_lex_state = 34},
  [5325] = {.lex_state = 87, .external_lex_state = 23},
  [5326] = {.lex_state = 78, .external_lex_state = 36},
  [5327] = {.lex_state = 79, .external_lex_state = 31},
  [5328] = {.lex_state = 79, .external_lex_state = 30},
  [5329] = {.lex_state = 87, .external_lex_state = 29},
  [5330] = {.lex_state = 87, .external_lex_state = 29},
  [5331] = {.lex_state = 96, .external_lex_state = 44},
  [5332] = {.lex_state = 84},
  [5333] = {.lex_state = 94, .external_lex_state = 50},
  [5334] = {.lex_state = 94, .external_lex_state = 28},
  [5335] = {.lex_state = 75, .external_lex_state = 58},
  [5336] = {.lex_state = 80, .external_lex_state = 44},
  [5337] = {.lex_state = 87, .external_lex_state = 29},
  [5338] = {.lex_state = 88, .external_lex_state = 36},
  [5339] = {.lex_state = 80, .external_lex_state = 30},
  [5340] = {.lex_state = 75, .external_lex_state = 23},
  [5341] = {.lex_state = 80, .external_lex_state = 30},
  [5342] = {.lex_state = 78, .external_lex_state = 38},
  [5343] = {.lex_state = 96, .external_lex_state = 52},
  [5344] = {.lex_state = 80, .external_lex_state = 31},
  [5345] = {.lex_state = 80, .external_lex_state = 30},
  [5346] = {.lex_state = 78, .external_lex_state = 34},
  [5347] = {.lex_state = 86, .external_lex_state = 38},
  [5348] = {.lex_state = 80, .external_lex_state = 52},
  [5349] = {.lex_state = 75, .external_lex_state = 23},
  [5350] = {.lex_state = 78, .external_lex_state = 42},
  [5351] = {.lex_state = 79, .external_lex_state = 30},
  [5352] = {.lex_state = 79, .external_lex_state = 31},
  [5353] = {.lex_state = 80, .external_lex_state = 38},
  [5354] = {.lex_state = 80, .external_lex_state = 30},
  [5355] = {.lex_state = 80, .external_lex_state = 34},
  [5356] = {.lex_state = 85, .external_lex_state = 38},
  [5357] = {.lex_state = 86, .external_lex_state = 39},
  [5358] = {.lex_state = 78, .external_lex_state = 36},
  [5359] = {.lex_state = 80, .external_lex_state = 38},
  [5360] = {.lex_state = 85, .external_lex_state = 31},
  [5361] = {.lex_state = 78, .external_lex_state = 34},
  [5362] = {.lex_state = 87, .external_lex_state = 29},
  [5363] = {.lex_state = 79, .external_lex_state = 34},
  [5364] = {.lex_state = 78, .external_lex_state = 45},
  [5365] = {.lex_state = 79, .external_lex_state = 30},
  [5366] = {.lex_state = 94, .external_lex_state = 26},
  [5367] = {.lex_state = 87, .external_lex_state = 35},
  [5368] = {.lex_state = 87, .external_lex_state = 53},
  [5369] = {.lex_state = 87, .external_lex_state = 29},
  [5370] = {.lex_state = 88, .external_lex_state = 34},
  [5371] = {.lex_state = 32},
  [5372] = {.lex_state = 87, .external_lex_state = 29},
  [5373] = {.lex_state = 78, .external_lex_state = 39},
  [5374] = {.lex_state = 75, .external_lex_state = 32},
  [5375] = {.lex_state = 87, .external_lex_state = 55},
  [5376] = {.lex_state = 78, .external_lex_state = 36},
  [5377] = {.lex_state = 75, .external_lex_state = 51},
  [5378] = {.lex_state = 79, .external_lex_state = 30},
  [5379] = {.lex_state = 75, .external_lex_state = 40},
  [5380] = {.lex_state = 96, .external_lex_state = 45},
  [5381] = {.lex_state = 85, .external_lex_state = 34},
  [5382] = {.lex_state = 85, .external_lex_state = 31},
  [5383] = {.lex_state = 79, .external_lex_state = 31},
  [5384] = {.lex_state = 85, .external_lex_state = 41},
  [5385] = {.lex_state = 82, .external_lex_state = 55},
  [5386] = {.lex_state = 87, .external_lex_state = 29},
  [5387] = {.lex_state = 96, .external_lex_state = 42},
  [5388] = {.lex_state = 79, .external_lex_state = 27},
  [5389] = {.lex_state = 88, .external_lex_state = 36},
  [5390] = {.lex_state = 88, .external_lex_state = 39},
  [5391] = {.lex_state = 87, .external_lex_state = 29},
  [5392] = {.lex_state = 85, .external_lex_state = 31},
  [5393] = {.lex_state = 78, .external_lex_state = 44},
  [5394] = {.lex_state = 79, .external_lex_state = 30},
  [5395] = {.lex_state = 80, .external_lex_state = 39},
  [5396] = {.lex_state = 87, .external_lex_state = 32},
  [5397] = {.lex_state = 87, .external_lex_state = 53},
  [5398] = {.lex_state = 78, .external_lex_state = 45},
  [5399] = {.lex_state = 79, .external_lex_state = 30},
  [5400] = {.lex_state = 87, .external_lex_state = 29},
  [5401] = {.lex_state = 87, .external_lex_state = 37},
  [5402] = {.lex_state = 78, .external_lex_state = 31},
  [5403] = {.lex_state = 79, .external_lex_state = 31},
  [5404] = {.lex_state = 80, .external_lex_state = 31},
  [5405] = {.lex_state = 88, .external_lex_state = 38},
  [5406] = {.lex_state = 88, .external_lex_state = 26},
  [5407] = {.lex_state = 80, .external_lex_state = 50},
  [5408] = {.lex_state = 75, .external_lex_state = 46},
  [5409] = {.lex_state = 79, .external_lex_state = 30},
  [5410] = {.lex_state = 85, .external_lex_state = 38},
  [5411] = {.lex_state = 96, .external_lex_state = 45},
  [5412] = {.lex_state = 85, .external_lex_state = 30},
  [5413] = {.lex_state = 87, .external_lex_state = 53},
  [5414] = {.lex_state = 78, .external_lex_state = 39},
  [5415] = {.lex_state = 85, .external_lex_state = 42},
  [5416] = {.lex_state = 88, .external_lex_state = 27},
  [5417] = {.lex_state = 87, .external_lex_state = 29},
  [5418] = {.lex_state = 79, .external_lex_state = 31},
  [5419] = {.lex_state = 87, .external_lex_state = 46},
  [5420] = {.lex_state = 78, .external_lex_state = 41},
  [5421] = {.lex_state = 80, .external_lex_state = 42},
  [5422] = {.lex_state = 80, .external_lex_state = 36},
  [5423] = {.lex_state = 85, .external_lex_state = 30},
  [5424] = {.lex_state = 85, .external_lex_state = 30},
  [5425] = {.lex_state = 79, .external_lex_state = 31},
  [5426] = {.lex_state = 85, .external_lex_state = 27},
  [5427] = {.lex_state = 79, .external_lex_state = 30},
  [5428] = {.lex_state = 79, .external_lex_state = 31},
  [5429] = {.lex_state = 87, .external_lex_state = 29},
  [5430] = {.lex_state = 85, .external_lex_state = 42},
  [5431] = {.lex_state = 79, .external_lex_state = 50},
  [5432] = {.lex_state = 78, .external_lex_state = 39},
  [5433] = {.lex_state = 79, .external_lex_state = 47},
  [5434] = {.lex_state = 78, .external_lex_state = 39},
  [5435] = {.lex_state = 79, .external_lex_state = 52},
  [5436] = {.lex_state = 78, .external_lex_state = 38},
  [5437] = {.lex_state = 80, .external_lex_state = 34},
  [5438] = {.lex_state = 80, .external_lex_state = 34},
  [5439] = {.lex_state = 78, .external_lex_state = 44},
  [5440] = {.lex_state = 79, .external_lex_state = 31},
  [5441] = {.lex_state = 75, .external_lex_state = 32},
  [5442] = {.lex_state = 87, .external_lex_state = 29},
  [5443] = {.lex_state = 78, .external_lex_state = 44},
  [5444] = {.lex_state = 85, .external_lex_state = 39},
  [5445] = {.lex_state = 86, .external_lex_state = 27},
  [5446] = {.lex_state = 78, .external_lex_state = 39},
  [5447] = {.lex_state = 87, .external_lex_state = 51},
  [5448] = {.lex_state = 78, .external_lex_state = 36},
  [5449] = {.lex_state = 80, .external_lex_state = 28},
  [5450] = {.lex_state = 94, .external_lex_state = 26},
  [5451] = {.lex_state = 80, .external_lex_state = 38},
  [5452] = {.lex_state = 87, .external_lex_state = 47},
  [5453] = {.lex_state = 86, .external_lex_state = 28},
  [5454] = {.lex_state = 87, .external_lex_state = 28},
  [5455] = {.lex_state = 80, .external_lex_state = 36},
  [5456] = {.lex_state = 88, .external_lex_state = 34},
  [5457] = {.lex_state = 86, .external_lex_state = 39},
  [5458] = {.lex_state = 86, .external_lex_state = 28},
  [5459] = {.lex_state = 88, .external_lex_state = 27},
  [5460] = {.lex_state = 78, .external_lex_state = 45},
  [5461] = {.lex_state = 94, .external_lex_state = 47},
  [5462] = {.lex_state = 80, .external_lex_state = 28},
  [5463] = {.lex_state = 79, .external_lex_state = 31},
  [5464] = {.lex_state = 78, .external_lex_state = 41},
  [5465] = {.lex_state = 32},
  [5466] = {.lex_state = 80, .external_lex_state = 36},
  [5467] = {.lex_state = 78, .external_lex_state = 26},
  [5468] = {.lex_state = 78, .external_lex_state = 39},
  [5469] = {.lex_state = 85, .external_lex_state = 41},
  [5470] = {.lex_state = 88, .external_lex_state = 39},
  [5471] = {.lex_state = 78, .external_lex_state = 38},
  [5472] = {.lex_state = 88, .external_lex_state = 30},
  [5473] = {.lex_state = 80, .external_lex_state = 31},
  [5474] = {.lex_state = 86, .external_lex_state = 27},
  [5475] = {.lex_state = 78, .external_lex_state = 38},
  [5476] = {.lex_state = 75, .external_lex_state = 46},
  [5477] = {.lex_state = 75, .external_lex_state = 29},
  [5478] = {.lex_state = 79, .external_lex_state = 31},
  [5479] = {.lex_state = 79, .external_lex_state = 31},
  [5480] = {.lex_state = 86, .external_lex_state = 39},
  [5481] = {.lex_state = 86, .external_lex_state = 28},
  [5482] = {.lex_state = 87, .external_lex_state = 26},
  [5483] = {.lex_state = 75, .external_lex_state = 48},
  [5484] = {.lex_state = 85, .external_lex_state = 44},
  [5485] = {.lex_state = 80, .external_lex_state = 38},
  [5486] = {.lex_state = 87, .external_lex_state = 33},
  [5487] = {.lex_state = 79, .external_lex_state = 34},
  [5488] = {.lex_state = 87, .external_lex_state = 27},
  [5489] = {.lex_state = 79, .external_lex_state = 30},
  [5490] = {.lex_state = 80, .external_lex_state = 42},
  [5491] = {.lex_state = 80, .external_lex_state = 36},
  [5492] = {.lex_state = 32},
  [5493] = {.lex_state = 87, .external_lex_state = 29},
  [5494] = {.lex_state = 87, .external_lex_state = 29},
  [5495] = {.lex_state = 94, .external_lex_state = 28},
  [5496] = {.lex_state = 80, .external_lex_state = 36},
  [5497] = {.lex_state = 96, .external_lex_state = 49},
  [5498] = {.lex_state = 88, .external_lex_state = 36},
  [5499] = {.lex_state = 32},
  [5500] = {.lex_state = 32},
  [5501] = {.lex_state = 87, .external_lex_state = 29},
  [5502] = {.lex_state = 32},
  [5503] = {.lex_state = 87, .external_lex_state = 32},
  [5504] = {.lex_state = 87, .external_lex_state = 33},
  [5505] = {.lex_state = 80, .external_lex_state = 36},
  [5506] = {.lex_state = 94, .external_lex_state = 55},
  [5507] = {.lex_state = 80, .external_lex_state = 36},
  [5508] = {.lex_state = 87, .external_lex_state = 31},
  [5509] = {.lex_state = 86, .external_lex_state = 44},
  [5510] = {.lex_state = 80, .external_lex_state = 36},
  [5511] = {.lex_state = 87, .external_lex_state = 32},
  [5512] = {.lex_state = 85, .external_lex_state = 49},
  [5513] = {.lex_state = 87, .external_lex_state = 33},
  [5514] = {.lex_state = 77},
  [5515] = {.lex_state = 85, .external_lex_state = 49},
  [5516] = {.lex_state = 79, .external_lex_state = 52},
  [5517] = {.lex_state = 80, .external_lex_state = 36},
  [5518] = {.lex_state = 86, .external_lex_state = 42},
  [5519] = {.lex_state = 87, .external_lex_state = 32},
  [5520] = {.lex_state = 80, .external_lex_state = 36},
  [5521] = {.lex_state = 79, .external_lex_state = 39},
  [5522] = {.lex_state = 79, .external_lex_state = 55},
  [5523] = {.lex_state = 79, .external_lex_state = 52},
  [5524] = {.lex_state = 32},
  [5525] = {.lex_state = 94, .external_lex_state = 34},
  [5526] = {.lex_state = 96, .external_lex_state = 28},
  [5527] = {.lex_state = 87, .external_lex_state = 33},
  [5528] = {.lex_state = 78, .external_lex_state = 50},
  [5529] = {.lex_state = 86, .external_lex_state = 42},
  [5530] = {.lex_state = 87, .external_lex_state = 32},
  [5531] = {.lex_state = 87, .external_lex_state = 29},
  [5532] = {.lex_state = 78, .external_lex_state = 42},
  [5533] = {.lex_state = 87, .external_lex_state = 34},
  [5534] = {.lex_state = 78, .external_lex_state = 50},
  [5535] = {.lex_state = 87, .external_lex_state = 48},
  [5536] = {.lex_state = 79, .external_lex_state = 36},
  [5537] = {.lex_state = 87, .external_lex_state = 29},
  [5538] = {.lex_state = 75, .external_lex_state = 48},
  [5539] = {.lex_state = 87, .external_lex_state = 29},
  [5540] = {.lex_state = 87, .external_lex_state = 32},
  [5541] = {.lex_state = 87, .external_lex_state = 23},
  [5542] = {.lex_state = 80, .external_lex_state = 41},
  [5543] = {.lex_state = 88, .external_lex_state = 31},
  [5544] = {.lex_state = 80, .external_lex_state = 50},
  [5545] = {.lex_state = 87, .external_lex_state = 29},
  [5546] = {.lex_state = 32},
  [5547] = {.lex_state = 96, .external_lex_state = 47},
  [5548] = {.lex_state = 79, .external_lex_state = 27},
  [5549] = {.lex_state = 85, .external_lex_state = 38},
  [5550] = {.lex_state = 94, .external_lex_state = 55},
  [5551] = {.lex_state = 32},
  [5552] = {.lex_state = 32},
  [5553] = {.lex_state = 87, .external_lex_state = 29},
  [5554] = {.lex_state = 75, .external_lex_state = 24},
  [5555] = {.lex_state = 80, .external_lex_state = 44},
  [5556] = {.lex_state = 78, .external_lex_state = 41},
  [5557] = {.lex_state = 75, .external_lex_state = 35},
  [5558] = {.lex_state = 87, .external_lex_state = 32},
  [5559] = {.lex_state = 88, .external_lex_state = 34},
  [5560] = {.lex_state = 94, .external_lex_state = 28},
  [5561] = {.lex_state = 75, .external_lex_state = 48},
  [5562] = {.lex_state = 80, .external_lex_state = 44},
  [5563] = {.lex_state = 87, .external_lex_state = 52},
  [5564] = {.lex_state = 87, .external_lex_state = 32},
  [5565] = {.lex_state = 87, .external_lex_state = 30},
  [5566] = {.lex_state = 88, .external_lex_state = 41},
  [5567] = {.lex_state = 87, .external_lex_state = 29},
  [5568] = {.lex_state = 88, .external_lex_state = 34},
  [5569] = {.lex_state = 87, .external_lex_state = 29},
  [5570] = {.lex_state = 79, .external_lex_state = 38},
  [5571] = {.lex_state = 94, .external_lex_state = 27},
  [5572] = {.lex_state = 79, .external_lex_state = 38},
  [5573] = {.lex_state = 78, .external_lex_state = 55},
  [5574] = {.lex_state = 79, .external_lex_state = 38},
  [5575] = {.lex_state = 75},
  [5576] = {.lex_state = 88, .external_lex_state = 34},
  [5577] = {.lex_state = 83, .external_lex_state = 55},
  [5578] = {.lex_state = 32},
  [5579] = {.lex_state = 87, .external_lex_state = 32},
  [5580] = {.lex_state = 88, .external_lex_state = 41},
  [5581] = {.lex_state = 78, .external_lex_state = 45},
  [5582] = {.lex_state = 86, .external_lex_state = 44},
  [5583] = {.lex_state = 75, .external_lex_state = 23},
  [5584] = {.lex_state = 80, .external_lex_state = 41},
  [5585] = {.lex_state = 79, .external_lex_state = 39},
  [5586] = {.lex_state = 75, .external_lex_state = 58},
  [5587] = {.lex_state = 87, .external_lex_state = 43},
  [5588] = {.lex_state = 86, .external_lex_state = 44},
  [5589] = {.lex_state = 94, .external_lex_state = 27},
  [5590] = {.lex_state = 75, .external_lex_state = 35},
  [5591] = {.lex_state = 75, .external_lex_state = 54},
  [5592] = {.lex_state = 85, .external_lex_state = 50},
  [5593] = {.lex_state = 85, .external_lex_state = 47},
  [5594] = {.lex_state = 32},
  [5595] = {.lex_state = 79, .external_lex_state = 28},
  [5596] = {.lex_state = 82, .external_lex_state = 39},
  [5597] = {.lex_state = 85, .external_lex_state = 38},
  [5598] = {.lex_state = 32},
  [5599] = {.lex_state = 78, .external_lex_state = 45},
  [5600] = {.lex_state = 78, .external_lex_state = 49},
  [5601] = {.lex_state = 79, .external_lex_state = 39},
  [5602] = {.lex_state = 88, .external_lex_state = 39},
  [5603] = {.lex_state = 32},
  [5604] = {.lex_state = 80, .external_lex_state = 39},
  [5605] = {.lex_state = 80, .external_lex_state = 36},
  [5606] = {.lex_state = 32},
  [5607] = {.lex_state = 85, .external_lex_state = 47},
  [5608] = {.lex_state = 87, .external_lex_state = 34},
  [5609] = {.lex_state = 79, .external_lex_state = 27},
  [5610] = {.lex_state = 78, .external_lex_state = 45},
  [5611] = {.lex_state = 85, .external_lex_state = 34},
  [5612] = {.lex_state = 75, .external_lex_state = 53},
  [5613] = {.lex_state = 32},
  [5614] = {.lex_state = 78, .external_lex_state = 45},
  [5615] = {.lex_state = 78, .external_lex_state = 45},
  [5616] = {.lex_state = 87, .external_lex_state = 29},
  [5617] = {.lex_state = 86, .external_lex_state = 44},
  [5618] = {.lex_state = 80, .external_lex_state = 41},
  [5619] = {.lex_state = 87, .external_lex_state = 40},
  [5620] = {.lex_state = 78, .external_lex_state = 41},
  [5621] = {.lex_state = 78, .external_lex_state = 50},
  [5622] = {.lex_state = 78, .external_lex_state = 45},
  [5623] = {.lex_state = 85, .external_lex_state = 38},
  [5624] = {.lex_state = 87, .external_lex_state = 35},
  [5625] = {.lex_state = 78, .external_lex_state = 49},
  [5626] = {.lex_state = 78, .external_lex_state = 41},
  [5627] = {.lex_state = 79, .external_lex_state = 39},
  [5628] = {.lex_state = 86, .external_lex_state = 41},
  [5629] = {.lex_state = 78, .external_lex_state = 49},
  [5630] = {.lex_state = 85, .external_lex_state = 38},
  [5631] = {.lex_state = 10, .external_lex_state = 52},
  [5632] = {.lex_state = 78, .external_lex_state = 41},
  [5633] = {.lex_state = 79, .external_lex_state = 36},
  [5634] = {.lex_state = 88, .external_lex_state = 42},
  [5635] = {.lex_state = 78, .external_lex_state = 45},
  [5636] = {.lex_state = 79, .external_lex_state = 39},
  [5637] = {.lex_state = 75, .external_lex_state = 33},
  [5638] = {.lex_state = 86, .external_lex_state = 41},
  [5639] = {.lex_state = 79, .external_lex_state = 36},
  [5640] = {.lex_state = 94, .external_lex_state = 27},
  [5641] = {.lex_state = 80, .external_lex_state = 31},
  [5642] = {.lex_state = 85, .external_lex_state = 50},
  [5643] = {.lex_state = 32},
  [5644] = {.lex_state = 88, .external_lex_state = 42},
  [5645] = {.lex_state = 75, .external_lex_state = 37},
  [5646] = {.lex_state = 78, .external_lex_state = 47},
  [5647] = {.lex_state = 32},
  [5648] = {.lex_state = 79, .external_lex_state = 36},
  [5649] = {.lex_state = 87, .external_lex_state = 32},
  [5650] = {.lex_state = 80, .external_lex_state = 31},
  [5651] = {.lex_state = 75},
  [5652] = {.lex_state = 87, .external_lex_state = 33},
  [5653] = {.lex_state = 88, .external_lex_state = 52},
  [5654] = {.lex_state = 75, .external_lex_state = 53},
  [5655] = {.lex_state = 78, .external_lex_state = 47},
  [5656] = {.lex_state = 79, .external_lex_state = 38},
  [5657] = {.lex_state = 87, .external_lex_state = 32},
  [5658] = {.lex_state = 86, .external_lex_state = 34},
  [5659] = {.lex_state = 86, .external_lex_state = 31},
  [5660] = {.lex_state = 80, .external_lex_state = 42},
  [5661] = {.lex_state = 32},
  [5662] = {.lex_state = 79, .external_lex_state = 38},
  [5663] = {.lex_state = 75, .external_lex_state = 58},
  [5664] = {.lex_state = 85, .external_lex_state = 42},
  [5665] = {.lex_state = 87, .external_lex_state = 48},
  [5666] = {.lex_state = 78, .external_lex_state = 47},
  [5667] = {.lex_state = 32},
  [5668] = {.lex_state = 80, .external_lex_state = 39},
  [5669] = {.lex_state = 80, .external_lex_state = 38},
  [5670] = {.lex_state = 87, .external_lex_state = 32},
  [5671] = {.lex_state = 80, .external_lex_state = 30},
  [5672] = {.lex_state = 96, .external_lex_state = 26},
  [5673] = {.lex_state = 79, .external_lex_state = 38},
  [5674] = {.lex_state = 32},
  [5675] = {.lex_state = 75, .external_lex_state = 57},
  [5676] = {.lex_state = 87, .external_lex_state = 51},
  [5677] = {.lex_state = 80, .external_lex_state = 39},
  [5678] = {.lex_state = 80, .external_lex_state = 30},
  [5679] = {.lex_state = 78, .external_lex_state = 44},
  [5680] = {.lex_state = 87, .external_lex_state = 32},
  [5681] = {.lex_state = 82, .external_lex_state = 39},
  [5682] = {.lex_state = 78, .external_lex_state = 26},
  [5683] = {.lex_state = 87, .external_lex_state = 32},
  [5684] = {.lex_state = 79, .external_lex_state = 38},
  [5685] = {.lex_state = 88, .external_lex_state = 36},
  [5686] = {.lex_state = 80, .external_lex_state = 39},
  [5687] = {.lex_state = 75, .external_lex_state = 40},
  [5688] = {.lex_state = 87, .external_lex_state = 33},
  [5689] = {.lex_state = 32},
  [5690] = {.lex_state = 82, .external_lex_state = 39},
  [5691] = {.lex_state = 79, .external_lex_state = 36},
  [5692] = {.lex_state = 85, .external_lex_state = 36},
  [5693] = {.lex_state = 79, .external_lex_state = 38},
  [5694] = {.lex_state = 87, .external_lex_state = 29},
  [5695] = {.lex_state = 87, .external_lex_state = 32},
  [5696] = {.lex_state = 78, .external_lex_state = 44},
  [5697] = {.lex_state = 88, .external_lex_state = 28},
  [5698] = {.lex_state = 79, .external_lex_state = 36},
  [5699] = {.lex_state = 86, .external_lex_state = 41},
  [5700] = {.lex_state = 85, .external_lex_state = 36},
  [5701] = {.lex_state = 79, .external_lex_state = 36},
  [5702] = {.lex_state = 32},
  [5703] = {.lex_state = 80, .external_lex_state = 45},
  [5704] = {.lex_state = 87, .external_lex_state = 29},
  [5705] = {.lex_state = 78, .external_lex_state = 45},
  [5706] = {.lex_state = 79, .external_lex_state = 38},
  [5707] = {.lex_state = 85, .external_lex_state = 36},
  [5708] = {.lex_state = 32},
  [5709] = {.lex_state = 87, .external_lex_state = 43},
  [5710] = {.lex_state = 96, .external_lex_state = 27},
  [5711] = {.lex_state = 87, .external_lex_state = 29},
  [5712] = {.lex_state = 96, .external_lex_state = 26},
  [5713] = {.lex_state = 79, .external_lex_state = 38},
  [5714] = {.lex_state = 78, .external_lex_state = 44},
  [5715] = {.lex_state = 78, .external_lex_state = 44},
  [5716] = {.lex_state = 78, .external_lex_state = 44},
  [5717] = {.lex_state = 75},
  [5718] = {.lex_state = 32},
  [5719] = {.lex_state = 79, .external_lex_state = 38},
  [5720] = {.lex_state = 87, .external_lex_state = 29},
  [5721] = {.lex_state = 78, .external_lex_state = 26},
  [5722] = {.lex_state = 87, .external_lex_state = 29},
  [5723] = {.lex_state = 80, .external_lex_state = 38},
  [5724] = {.lex_state = 87, .external_lex_state = 31},
  [5725] = {.lex_state = 32},
  [5726] = {.lex_state = 86, .external_lex_state = 30},
  [5727] = {.lex_state = 87, .external_lex_state = 29},
  [5728] = {.lex_state = 78, .external_lex_state = 45},
  [5729] = {.lex_state = 80, .external_lex_state = 38},
  [5730] = {.lex_state = 87, .external_lex_state = 28},
  [5731] = {.lex_state = 79, .external_lex_state = 38},
  [5732] = {.lex_state = 86, .external_lex_state = 45},
  [5733] = {.lex_state = 32},
  [5734] = {.lex_state = 80, .external_lex_state = 38},
  [5735] = {.lex_state = 75, .external_lex_state = 40},
  [5736] = {.lex_state = 79, .external_lex_state = 36},
  [5737] = {.lex_state = 77},
  [5738] = {.lex_state = 88, .external_lex_state = 52},
  [5739] = {.lex_state = 79, .external_lex_state = 39},
  [5740] = {.lex_state = 87, .external_lex_state = 29},
  [5741] = {.lex_state = 78, .external_lex_state = 38},
  [5742] = {.lex_state = 86, .external_lex_state = 34},
  [5743] = {.lex_state = 32},
  [5744] = {.lex_state = 87, .external_lex_state = 29},
  [5745] = {.lex_state = 78, .external_lex_state = 50},
  [5746] = {.lex_state = 87, .external_lex_state = 33},
  [5747] = {.lex_state = 86, .external_lex_state = 45},
  [5748] = {.lex_state = 86, .external_lex_state = 34},
  [5749] = {.lex_state = 94, .external_lex_state = 55},
  [5750] = {.lex_state = 87, .external_lex_state = 29},
  [5751] = {.lex_state = 88, .external_lex_state = 38},
  [5752] = {.lex_state = 79, .external_lex_state = 55},
  [5753] = {.lex_state = 78, .external_lex_state = 36},
  [5754] = {.lex_state = 87, .external_lex_state = 29},
  [5755] = {.lex_state = 99, .external_lex_state = 55},
  [5756] = {.lex_state = 87, .external_lex_state = 29},
  [5757] = {.lex_state = 87, .external_lex_state = 29},
  [5758] = {.lex_state = 86, .external_lex_state = 34},
  [5759] = {.lex_state = 78, .external_lex_state = 36},
  [5760] = {.lex_state = 80, .external_lex_state = 39},
  [5761] = {.lex_state = 80, .external_lex_state = 42},
  [5762] = {.lex_state = 78, .external_lex_state = 26},
  [5763] = {.lex_state = 85, .external_lex_state = 45},
  [5764] = {.lex_state = 88, .external_lex_state = 34},
  [5765] = {.lex_state = 94, .external_lex_state = 52},
  [5766] = {.lex_state = 78, .external_lex_state = 39},
  [5767] = {.lex_state = 85, .external_lex_state = 42},
  [5768] = {.lex_state = 80, .external_lex_state = 36},
  [5769] = {.lex_state = 81, .external_lex_state = 39},
  [5770] = {.lex_state = 82, .external_lex_state = 55},
  [5771] = {.lex_state = 87, .external_lex_state = 29},
  [5772] = {.lex_state = 78, .external_lex_state = 28},
  [5773] = {.lex_state = 80, .external_lex_state = 38},
  [5774] = {.lex_state = 82, .external_lex_state = 39},
  [5775] = {.lex_state = 87, .external_lex_state = 29},
  [5776] = {.lex_state = 85, .external_lex_state = 36},
  [5777] = {.lex_state = 87, .external_lex_state = 29},
  [5778] = {.lex_state = 87, .external_lex_state = 29},
  [5779] = {.lex_state = 32},
  [5780] = {.lex_state = 87, .external_lex_state = 29},
  [5781] = {.lex_state = 82, .external_lex_state = 55},
  [5782] = {.lex_state = 32},
  [5783] = {.lex_state = 32},
  [5784] = {.lex_state = 87, .external_lex_state = 29},
  [5785] = {.lex_state = 80, .external_lex_state = 36},
  [5786] = {.lex_state = 80, .external_lex_state = 34},
  [5787] = {.lex_state = 87, .external_lex_state = 29},
  [5788] = {.lex_state = 79, .external_lex_state = 36},
  [5789] = {.lex_state = 79, .external_lex_state = 36},
  [5790] = {.lex_state = 32},
  [5791] = {.lex_state = 78, .external_lex_state = 39},
  [5792] = {.lex_state = 87, .external_lex_state = 29},
  [5793] = {.lex_state = 75, .external_lex_state = 24},
  [5794] = {.lex_state = 78, .external_lex_state = 31},
  [5795] = {.lex_state = 78, .external_lex_state = 34},
  [5796] = {.lex_state = 80, .external_lex_state = 36},
  [5797] = {.lex_state = 80, .external_lex_state = 36},
  [5798] = {.lex_state = 32},
  [5799] = {.lex_state = 95, .external_lex_state = 29},
  [5800] = {.lex_state = 32},
  [5801] = {.lex_state = 80, .external_lex_state = 34},
  [5802] = {.lex_state = 87, .external_lex_state = 32},
  [5803] = {.lex_state = 80, .external_lex_state = 36},
  [5804] = {.lex_state = 79, .external_lex_state = 36},
  [5805] = {.lex_state = 78, .external_lex_state = 49},
  [5806] = {.lex_state = 85, .external_lex_state = 44},
  [5807] = {.lex_state = 87, .external_lex_state = 29},
  [5808] = {.lex_state = 87, .external_lex_state = 33},
  [5809] = {.lex_state = 78, .external_lex_state = 42},
  [5810] = {.lex_state = 79, .external_lex_state = 36},
  [5811] = {.lex_state = 75, .external_lex_state = 35},
  [5812] = {.lex_state = 87, .external_lex_state = 29},
  [5813] = {.lex_state = 32},
  [5814] = {.lex_state = 87, .external_lex_state = 29},
  [5815] = {.lex_state = 79, .external_lex_state = 36},
  [5816] = {.lex_state = 75, .external_lex_state = 37},
  [5817] = {.lex_state = 32},
  [5818] = {.lex_state = 32},
  [5819] = {.lex_state = 88, .external_lex_state = 27},
  [5820] = {.lex_state = 75, .external_lex_state = 40},
  [5821] = {.lex_state = 85, .external_lex_state = 41},
  [5822] = {.lex_state = 75, .external_lex_state = 24},
  [5823] = {.lex_state = 79, .external_lex_state = 36},
  [5824] = {.lex_state = 79, .external_lex_state = 28},
  [5825] = {.lex_state = 87, .external_lex_state = 29},
  [5826] = {.lex_state = 87, .external_lex_state = 32},
  [5827] = {.lex_state = 87, .external_lex_state = 29},
  [5828] = {.lex_state = 87, .external_lex_state = 29},
  [5829] = {.lex_state = 96, .external_lex_state = 47},
  [5830] = {.lex_state = 87, .external_lex_state = 33},
  [5831] = {.lex_state = 96, .external_lex_state = 26},
  [5832] = {.lex_state = 32},
  [5833] = {.lex_state = 82, .external_lex_state = 39},
  [5834] = {.lex_state = 75, .external_lex_state = 51},
  [5835] = {.lex_state = 80, .external_lex_state = 45},
  [5836] = {.lex_state = 75, .external_lex_state = 51},
  [5837] = {.lex_state = 78, .external_lex_state = 42},
  [5838] = {.lex_state = 79, .external_lex_state = 39},
  [5839] = {.lex_state = 79, .external_lex_state = 39},
  [5840] = {.lex_state = 88, .external_lex_state = 39},
  [5841] = {.lex_state = 87, .external_lex_state = 29},
  [5842] = {.lex_state = 32},
  [5843] = {.lex_state = 87, .external_lex_state = 33},
  [5844] = {.lex_state = 32},
  [5845] = {.lex_state = 79, .external_lex_state = 39},
  [5846] = {.lex_state = 79, .external_lex_state = 39},
  [5847] = {.lex_state = 86, .external_lex_state = 42},
  [5848] = {.lex_state = 99, .external_lex_state = 39},
  [5849] = {.lex_state = 32},
  [5850] = {.lex_state = 78, .external_lex_state = 42},
  [5851] = {.lex_state = 88, .external_lex_state = 30},
  [5852] = {.lex_state = 79, .external_lex_state = 39},
  [5853] = {.lex_state = 79, .external_lex_state = 36},
  [5854] = {.lex_state = 88, .external_lex_state = 30},
  [5855] = {.lex_state = 87, .external_lex_state = 57},
  [5856] = {.lex_state = 78, .external_lex_state = 42},
  [5857] = {.lex_state = 78, .external_lex_state = 42},
  [5858] = {.lex_state = 87, .external_lex_state = 32},
  [5859] = {.lex_state = 87, .external_lex_state = 27},
  [5860] = {.lex_state = 87, .external_lex_state = 29},
  [5861] = {.lex_state = 75, .external_lex_state = 32},
  [5862] = {.lex_state = 94, .external_lex_state = 52},
  [5863] = {.lex_state = 78, .external_lex_state = 52},
  [5864] = {.lex_state = 80, .external_lex_state = 39},
  [5865] = {.lex_state = 78, .external_lex_state = 42},
  [5866] = {.lex_state = 87, .external_lex_state = 29},
  [5867] = {.lex_state = 75, .external_lex_state = 40},
  [5868] = {.lex_state = 78, .external_lex_state = 27},
  [5869] = {.lex_state = 99, .external_lex_state = 39},
  [5870] = {.lex_state = 87, .external_lex_state = 29},
  [5871] = {.lex_state = 79, .external_lex_state = 34},
  [5872] = {.lex_state = 32},
  [5873] = {.lex_state = 87, .external_lex_state = 28},
  [5874] = {.lex_state = 78, .external_lex_state = 42},
  [5875] = {.lex_state = 87, .external_lex_state = 28},
  [5876] = {.lex_state = 87, .external_lex_state = 29},
  [5877] = {.lex_state = 85, .external_lex_state = 26},
  [5878] = {.lex_state = 78, .external_lex_state = 42},
  [5879] = {.lex_state = 80, .external_lex_state = 28},
  [5880] = {.lex_state = 32},
  [5881] = {.lex_state = 78, .external_lex_state = 42},
  [5882] = {.lex_state = 96, .external_lex_state = 47},
  [5883] = {.lex_state = 75, .external_lex_state = 53},
  [5884] = {.lex_state = 87, .external_lex_state = 33},
  [5885] = {.lex_state = 87, .external_lex_state = 33},
  [5886] = {.lex_state = 88, .external_lex_state = 38},
  [5887] = {.lex_state = 87, .external_lex_state = 57},
  [5888] = {.lex_state = 87, .external_lex_state = 51},
  [5889] = {.lex_state = 87, .external_lex_state = 29},
  [5890] = {.lex_state = 32},
  [5891] = {.lex_state = 96, .external_lex_state = 49},
  [5892] = {.lex_state = 32},
  [5893] = {.lex_state = 96, .external_lex_state = 26},
  [5894] = {.lex_state = 32},
  [5895] = {.lex_state = 85, .external_lex_state = 41},
  [5896] = {.lex_state = 99, .external_lex_state = 55},
  [5897] = {.lex_state = 78, .external_lex_state = 41},
  [5898] = {.lex_state = 32},
  [5899] = {.lex_state = 32},
  [5900] = {.lex_state = 85, .external_lex_state = 26},
  [5901] = {.lex_state = 78, .external_lex_state = 45},
  [5902] = {.lex_state = 32},
  [5903] = {.lex_state = 80, .external_lex_state = 38},
  [5904] = {.lex_state = 88, .external_lex_state = 30},
  [5905] = {.lex_state = 79, .external_lex_state = 39},
  [5906] = {.lex_state = 80, .external_lex_state = 27},
  [5907] = {.lex_state = 80, .external_lex_state = 38},
  [5908] = {.lex_state = 79, .external_lex_state = 39},
  [5909] = {.lex_state = 96, .external_lex_state = 26},
  [5910] = {.lex_state = 80, .external_lex_state = 38},
  [5911] = {.lex_state = 79, .external_lex_state = 39},
  [5912] = {.lex_state = 78, .external_lex_state = 38},
  [5913] = {.lex_state = 87, .external_lex_state = 35},
  [5914] = {.lex_state = 75, .external_lex_state = 23},
  [5915] = {.lex_state = 99, .external_lex_state = 39},
  [5916] = {.lex_state = 79, .external_lex_state = 39},
  [5917] = {.lex_state = 78, .external_lex_state = 38},
  [5918] = {.lex_state = 82, .external_lex_state = 55},
  [5919] = {.lex_state = 96, .external_lex_state = 49},
  [5920] = {.lex_state = 87, .external_lex_state = 27},
  [5921] = {.lex_state = 79, .external_lex_state = 38},
  [5922] = {.lex_state = 32},
  [5923] = {.lex_state = 79, .external_lex_state = 36},
  [5924] = {.lex_state = 32},
  [5925] = {.lex_state = 78, .external_lex_state = 41},
  [5926] = {.lex_state = 86, .external_lex_state = 41},
  [5927] = {.lex_state = 80, .external_lex_state = 44},
  [5928] = {.lex_state = 80, .external_lex_state = 49},
  [5929] = {.lex_state = 80, .external_lex_state = 38},
  [5930] = {.lex_state = 94, .external_lex_state = 27},
  [5931] = {.lex_state = 75, .external_lex_state = 37},
  [5932] = {.lex_state = 78, .external_lex_state = 44},
  [5933] = {.lex_state = 87, .external_lex_state = 27},
  [5934] = {.lex_state = 32},
  [5935] = {.lex_state = 32},
  [5936] = {.lex_state = 80, .external_lex_state = 38},
  [5937] = {.lex_state = 78, .external_lex_state = 42},
  [5938] = {.lex_state = 78, .external_lex_state = 42},
  [5939] = {.lex_state = 80, .external_lex_state = 45},
  [5940] = {.lex_state = 83, .external_lex_state = 39},
  [5941] = {.lex_state = 86, .external_lex_state = 45},
  [5942] = {.lex_state = 80, .external_lex_state = 38},
  [5943] = {.lex_state = 87, .external_lex_state = 33},
  [5944] = {.lex_state = 78, .external_lex_state = 39},
  [5945] = {.lex_state = 32},
  [5946] = {.lex_state = 78, .external_lex_state = 45},
  [5947] = {.lex_state = 32},
  [5948] = {.lex_state = 87, .external_lex_state = 57},
  [5949] = {.lex_state = 78, .external_lex_state = 45},
  [5950] = {.lex_state = 78, .external_lex_state = 45},
  [5951] = {.lex_state = 87, .external_lex_state = 46},
  [5952] = {.lex_state = 80, .external_lex_state = 38},
  [5953] = {.lex_state = 79, .external_lex_state = 38},
  [5954] = {.lex_state = 94, .external_lex_state = 27},
  [5955] = {.lex_state = 80, .external_lex_state = 26},
  [5956] = {.lex_state = 32},
  [5957] = {.lex_state = 32},
  [5958] = {.lex_state = 75, .external_lex_state = 54},
  [5959] = {.lex_state = 86, .external_lex_state = 31},
  [5960] = {.lex_state = 75, .external_lex_state = 35},
  [5961] = {.lex_state = 75, .external_lex_state = 54},
  [5962] = {.lex_state = 79, .external_lex_state = 39},
  [5963] = {.lex_state = 78, .external_lex_state = 42},
  [5964] = {.lex_state = 79, .external_lex_state = 31},
  [5965] = {.lex_state = 94, .external_lex_state = 52},
  [5966] = {.lex_state = 80, .external_lex_state = 45},
  [5967] = {.lex_state = 87, .external_lex_state = 29},
  [5968] = {.lex_state = 85, .external_lex_state = 44},
  [5969] = {.lex_state = 32},
  [5970] = {.lex_state = 87, .external_lex_state = 29},
  [5971] = {.lex_state = 78, .external_lex_state = 45},
  [5972] = {.lex_state = 87, .external_lex_state = 33},
  [5973] = {.lex_state = 78, .external_lex_state = 41},
  [5974] = {.lex_state = 87, .external_lex_state = 29},
  [5975] = {.lex_state = 87, .external_lex_state = 32},
  [5976] = {.lex_state = 88, .external_lex_state = 31},
  [5977] = {.lex_state = 78, .external_lex_state = 36},
  [5978] = {.lex_state = 99, .external_lex_state = 55},
  [5979] = {.lex_state = 78, .external_lex_state = 41},
  [5980] = {.lex_state = 87, .external_lex_state = 58},
  [5981] = {.lex_state = 86, .external_lex_state = 30},
  [5982] = {.lex_state = 85, .external_lex_state = 39},
  [5983] = {.lex_state = 94, .external_lex_state = 28},
  [5984] = {.lex_state = 78, .external_lex_state = 41},
  [5985] = {.lex_state = 94, .external_lex_state = 28},
  [5986] = {.lex_state = 87, .external_lex_state = 29},
  [5987] = {.lex_state = 86, .external_lex_state = 34},
  [5988] = {.lex_state = 78, .external_lex_state = 41},
  [5989] = {.lex_state = 87, .external_lex_state = 40},
  [5990] = {.lex_state = 78, .external_lex_state = 41},
  [5991] = {.lex_state = 80, .external_lex_state = 39},
  [5992] = {.lex_state = 78, .external_lex_state = 41},
  [5993] = {.lex_state = 85, .external_lex_state = 45},
  [5994] = {.lex_state = 87, .external_lex_state = 29},
  [5995] = {.lex_state = 78, .external_lex_state = 41},
  [5996] = {.lex_state = 87, .external_lex_state = 29},
  [5997] = {.lex_state = 83, .external_lex_state = 39},
  [5998] = {.lex_state = 11, .external_lex_state = 52},
  [5999] = {.lex_state = 32},
  [6000] = {.lex_state = 75, .external_lex_state = 37},
  [6001] = {.lex_state = 88, .external_lex_state = 30},
  [6002] = {.lex_state = 87, .external_lex_state = 56},
  [6003] = {.lex_state = 94, .external_lex_state = 31},
  [6004] = {.lex_state = 87, .external_lex_state = 58},
  [6005] = {.lex_state = 88, .external_lex_state = 44},
  [6006] = {.lex_state = 87, .external_lex_state = 29},
  [6007] = {.lex_state = 96, .external_lex_state = 50},
  [6008] = {.lex_state = 80, .external_lex_state = 52},
  [6009] = {.lex_state = 94, .external_lex_state = 30},
  [6010] = {.lex_state = 80, .external_lex_state = 52},
  [6011] = {.lex_state = 80, .external_lex_state = 39},
  [6012] = {.lex_state = 80, .external_lex_state = 42},
  [6013] = {.lex_state = 32},
  [6014] = {.lex_state = 96, .external_lex_state = 50},
  [6015] = {.lex_state = 75, .external_lex_state = 37},
  [6016] = {.lex_state = 79, .external_lex_state = 38},
  [6017] = {.lex_state = 75, .external_lex_state = 33},
  [6018] = {.lex_state = 78, .external_lex_state = 26},
  [6019] = {.lex_state = 79, .external_lex_state = 38},
  [6020] = {.lex_state = 78, .external_lex_state = 42},
  [6021] = {.lex_state = 32},
  [6022] = {.lex_state = 87, .external_lex_state = 33},
  [6023] = {.lex_state = 87, .external_lex_state = 33},
  [6024] = {.lex_state = 80, .external_lex_state = 39},
  [6025] = {.lex_state = 87, .external_lex_state = 33},
  [6026] = {.lex_state = 87, .external_lex_state = 55},
  [6027] = {.lex_state = 86, .external_lex_state = 45},
  [6028] = {.lex_state = 85, .external_lex_state = 31},
  [6029] = {.lex_state = 79, .external_lex_state = 38},
  [6030] = {.lex_state = 80, .external_lex_state = 39},
  [6031] = {.lex_state = 88, .external_lex_state = 31},
  [6032] = {.lex_state = 86, .external_lex_state = 30},
  [6033] = {.lex_state = 32},
  [6034] = {.lex_state = 78, .external_lex_state = 44},
  [6035] = {.lex_state = 88, .external_lex_state = 44},
  [6036] = {.lex_state = 87, .external_lex_state = 32},
  [6037] = {.lex_state = 80, .external_lex_state = 55},
  [6038] = {.lex_state = 87, .external_lex_state = 32},
  [6039] = {.lex_state = 87, .external_lex_state = 33},
  [6040] = {.lex_state = 80, .external_lex_state = 39},
  [6041] = {.lex_state = 80, .external_lex_state = 52},
  [6042] = {.lex_state = 88, .external_lex_state = 45},
  [6043] = {.lex_state = 79, .external_lex_state = 39},
  [6044] = {.lex_state = 32},
  [6045] = {.lex_state = 87, .external_lex_state = 33},
  [6046] = {.lex_state = 32},
  [6047] = {.lex_state = 87, .external_lex_state = 29},
  [6048] = {.lex_state = 88, .external_lex_state = 45},
  [6049] = {.lex_state = 87, .external_lex_state = 56},
  [6050] = {.lex_state = 87, .external_lex_state = 33},
  [6051] = {.lex_state = 86, .external_lex_state = 42},
  [6052] = {.lex_state = 81, .external_lex_state = 55},
  [6053] = {.lex_state = 80, .external_lex_state = 39},
  [6054] = {.lex_state = 32},
  [6055] = {.lex_state = 32},
  [6056] = {.lex_state = 82, .external_lex_state = 55},
  [6057] = {.lex_state = 75, .external_lex_state = 32},
  [6058] = {.lex_state = 32},
  [6059] = {.lex_state = 87, .external_lex_state = 33},
  [6060] = {.lex_state = 78, .external_lex_state = 47},
  [6061] = {.lex_state = 85, .external_lex_state = 30},
  [6062] = {.lex_state = 96, .external_lex_state = 50},
  [6063] = {.lex_state = 78, .external_lex_state = 44},
  [6064] = {.lex_state = 79, .external_lex_state = 36},
  [6065] = {.lex_state = 78, .external_lex_state = 44},
  [6066] = {.lex_state = 80, .external_lex_state = 47},
  [6067] = {.lex_state = 86, .external_lex_state = 31},
  [6068] = {.lex_state = 85, .external_lex_state = 39},
  [6069] = {.lex_state = 78, .external_lex_state = 44},
  [6070] = {.lex_state = 86, .external_lex_state = 31},
  [6071] = {.lex_state = 87, .external_lex_state = 58},
  [6072] = {.lex_state = 86, .external_lex_state = 31},
  [6073] = {.lex_state = 94, .external_lex_state = 28},
  [6074] = {.lex_state = 80, .external_lex_state = 52},
  [6075] = {.lex_state = 87, .external_lex_state = 56},
  [6076] = {.lex_state = 32},
  [6077] = {.lex_state = 80, .external_lex_state = 39},
  [6078] = {.lex_state = 32},
  [6079] = {.lex_state = 80, .external_lex_state = 41},
  [6080] = {.lex_state = 88, .external_lex_state = 31},
  [6081] = {.lex_state = 85, .external_lex_state = 39},
  [6082] = {.lex_state = 78, .external_lex_state = 44},
  [6083] = {.lex_state = 80, .external_lex_state = 38},
  [6084] = {.lex_state = 85, .external_lex_state = 39},
  [6085] = {.lex_state = 75, .external_lex_state = 57},
  [6086] = {.lex_state = 32},
  [6087] = {.lex_state = 78, .external_lex_state = 41},
  [6088] = {.lex_state = 86, .external_lex_state = 30},
  [6089] = {.lex_state = 32},
  [6090] = {.lex_state = 86, .external_lex_state = 30},
  [6091] = {.lex_state = 78, .external_lex_state = 44},
  [6092] = {.lex_state = 78, .external_lex_state = 44},
  [6093] = {.lex_state = 80, .external_lex_state = 44},
  [6094] = {.lex_state = 32},
  [6095] = {.lex_state = 78, .external_lex_state = 44},
  [6096] = {.lex_state = 85, .external_lex_state = 42},
  [6097] = {.lex_state = 85, .external_lex_state = 49},
  [6098] = {.lex_state = 88, .external_lex_state = 39},
  [6099] = {.lex_state = 32},
  [6100] = {.lex_state = 86, .external_lex_state = 49},
  [6101] = {.lex_state = 87, .external_lex_state = 33},
  [6102] = {.lex_state = 88, .external_lex_state = 39},
  [6103] = {.lex_state = 75, .external_lex_state = 43},
  [6104] = {.lex_state = 88, .external_lex_state = 39},
  [6105] = {.lex_state = 86, .external_lex_state = 47},
  [6106] = {.lex_state = 75, .external_lex_state = 29},
  [6107] = {.lex_state = 87, .external_lex_state = 37},
  [6108] = {.lex_state = 79, .external_lex_state = 41},
  [6109] = {.lex_state = 87, .external_lex_state = 33},
  [6110] = {.lex_state = 87, .external_lex_state = 37},
  [6111] = {.lex_state = 79, .external_lex_state = 31},
  [6112] = {.lex_state = 88, .external_lex_state = 45},
  [6113] = {.lex_state = 75, .external_lex_state = 24},
  [6114] = {.lex_state = 79, .external_lex_state = 45},
  [6115] = {.lex_state = 79, .external_lex_state = 45},
  [6116] = {.lex_state = 87, .external_lex_state = 39},
  [6117] = {.lex_state = 82, .external_lex_state = 39},
  [6118] = {.lex_state = 32},
  [6119] = {.lex_state = 82, .external_lex_state = 39},
  [6120] = {.lex_state = 82, .external_lex_state = 39},
  [6121] = {.lex_state = 32},
  [6122] = {.lex_state = 32},
  [6123] = {.lex_state = 32},
  [6124] = {.lex_state = 85, .external_lex_state = 52},
  [6125] = {.lex_state = 32},
  [6126] = {.lex_state = 75, .external_lex_state = 23},
  [6127] = {.lex_state = 79, .external_lex_state = 45},
  [6128] = {.lex_state = 87, .external_lex_state = 23},
  [6129] = {.lex_state = 79, .external_lex_state = 45},
  [6130] = {.lex_state = 79, .external_lex_state = 42},
  [6131] = {.lex_state = 77},
  [6132] = {.lex_state = 82, .external_lex_state = 39},
  [6133] = {.lex_state = 80, .external_lex_state = 45},
  [6134] = {.lex_state = 75, .external_lex_state = 23},
  [6135] = {.lex_state = 85, .external_lex_state = 52},
  [6136] = {.lex_state = 79, .external_lex_state = 45},
  [6137] = {.lex_state = 4},
  [6138] = {.lex_state = 82, .external_lex_state = 39},
  [6139] = {.lex_state = 87, .external_lex_state = 23},
  [6140] = {.lex_state = 78, .external_lex_state = 45},
  [6141] = {.lex_state = 87, .external_lex_state = 23},
  [6142] = {.lex_state = 86, .external_lex_state = 49},
  [6143] = {.lex_state = 87, .external_lex_state = 33},
  [6144] = {.lex_state = 87, .external_lex_state = 33},
  [6145] = {.lex_state = 82, .external_lex_state = 39},
  [6146] = {.lex_state = 87, .external_lex_state = 57},
  [6147] = {.lex_state = 87, .external_lex_state = 33},
  [6148] = {.lex_state = 95, .external_lex_state = 33},
  [6149] = {.lex_state = 32},
  [6150] = {.lex_state = 87, .external_lex_state = 23},
  [6151] = {.lex_state = 96, .external_lex_state = 55},
  [6152] = {.lex_state = 79, .external_lex_state = 42},
  [6153] = {.lex_state = 79, .external_lex_state = 45},
  [6154] = {.lex_state = 80, .external_lex_state = 45},
  [6155] = {.lex_state = 87, .external_lex_state = 33},
  [6156] = {.lex_state = 79, .external_lex_state = 45},
  [6157] = {.lex_state = 79, .external_lex_state = 45},
  [6158] = {.lex_state = 83, .external_lex_state = 55},
  [6159] = {.lex_state = 87, .external_lex_state = 23},
  [6160] = {.lex_state = 96, .external_lex_state = 55},
  [6161] = {.lex_state = 87, .external_lex_state = 33},
  [6162] = {.lex_state = 75, .external_lex_state = 23},
  [6163] = {.lex_state = 87, .external_lex_state = 58},
  [6164] = {.lex_state = 75, .external_lex_state = 43},
  [6165] = {.lex_state = 87, .external_lex_state = 33},
  [6166] = {.lex_state = 80, .external_lex_state = 45},
  [6167] = {.lex_state = 87, .external_lex_state = 33},
  [6168] = {.lex_state = 80, .external_lex_state = 45},
  [6169] = {.lex_state = 80, .external_lex_state = 45},
  [6170] = {.lex_state = 87, .external_lex_state = 33},
  [6171] = {.lex_state = 79, .external_lex_state = 42},
  [6172] = {.lex_state = 87, .external_lex_state = 57},
  [6173] = {.lex_state = 87, .external_lex_state = 58},
  [6174] = {.lex_state = 75, .external_lex_state = 29},
  [6175] = {.lex_state = 80, .external_lex_state = 45},
  [6176] = {.lex_state = 87, .external_lex_state = 37},
  [6177] = {.lex_state = 87, .external_lex_state = 23},
  [6178] = {.lex_state = 79, .external_lex_state = 42},
  [6179] = {.lex_state = 80, .external_lex_state = 45},
  [6180] = {.lex_state = 79, .external_lex_state = 42},
  [6181] = {.lex_state = 79, .external_lex_state = 39},
  [6182] = {.lex_state = 80, .external_lex_state = 45},
  [6183] = {.lex_state = 75, .external_lex_state = 23},
  [6184] = {.lex_state = 96, .external_lex_state = 55},
  [6185] = {.lex_state = 79, .external_lex_state = 45},
  [6186] = {.lex_state = 80, .external_lex_state = 52},
  [6187] = {.lex_state = 87, .external_lex_state = 23},
  [6188] = {.lex_state = 87, .external_lex_state = 33},
  [6189] = {.lex_state = 75, .external_lex_state = 24},
  [6190] = {.lex_state = 39, .external_lex_state = 52},
  [6191] = {.lex_state = 86, .external_lex_state = 26},
  [6192] = {.lex_state = 87, .external_lex_state = 33},
  [6193] = {.lex_state = 80, .external_lex_state = 36},
  [6194] = {.lex_state = 75, .external_lex_state = 24},
  [6195] = {.lex_state = 87, .external_lex_state = 40},
  [6196] = {.lex_state = 100, .external_lex_state = 55},
  [6197] = {.lex_state = 80, .external_lex_state = 36},
  [6198] = {.lex_state = 87, .external_lex_state = 23},
  [6199] = {.lex_state = 87, .external_lex_state = 33},
  [6200] = {.lex_state = 78, .external_lex_state = 50},
  [6201] = {.lex_state = 86, .external_lex_state = 26},
  [6202] = {.lex_state = 85, .external_lex_state = 26},
  [6203] = {.lex_state = 87, .external_lex_state = 23},
  [6204] = {.lex_state = 85, .external_lex_state = 45},
  [6205] = {.lex_state = 39, .external_lex_state = 52},
  [6206] = {.lex_state = 75, .external_lex_state = 24},
  [6207] = {.lex_state = 88, .external_lex_state = 45},
  [6208] = {.lex_state = 85, .external_lex_state = 45},
  [6209] = {.lex_state = 87, .external_lex_state = 23},
  [6210] = {.lex_state = 75, .external_lex_state = 46},
  [6211] = {.lex_state = 85, .external_lex_state = 45},
  [6212] = {.lex_state = 79, .external_lex_state = 42},
  [6213] = {.lex_state = 87, .external_lex_state = 40},
  [6214] = {.lex_state = 75, .external_lex_state = 23},
  [6215] = {.lex_state = 82, .external_lex_state = 39},
  [6216] = {.lex_state = 100, .external_lex_state = 55},
  [6217] = {.lex_state = 87, .external_lex_state = 33},
  [6218] = {.lex_state = 87, .external_lex_state = 33},
  [6219] = {.lex_state = 87, .external_lex_state = 40},
  [6220] = {.lex_state = 87},
  [6221] = {.lex_state = 87},
  [6222] = {.lex_state = 78, .external_lex_state = 45},
  [6223] = {.lex_state = 79, .external_lex_state = 31},
  [6224] = {.lex_state = 82, .external_lex_state = 39},
  [6225] = {.lex_state = 87},
  [6226] = {.lex_state = 87, .external_lex_state = 40},
  [6227] = {.lex_state = 87, .external_lex_state = 39},
  [6228] = {.lex_state = 87, .external_lex_state = 33},
  [6229] = {.lex_state = 79, .external_lex_state = 41},
  [6230] = {.lex_state = 79, .external_lex_state = 41},
  [6231] = {.lex_state = 87, .external_lex_state = 33},
  [6232] = {.lex_state = 87, .external_lex_state = 32},
  [6233] = {.lex_state = 87, .external_lex_state = 32},
  [6234] = {.lex_state = 17},
  [6235] = {.lex_state = 87, .external_lex_state = 32},
  [6236] = {.lex_state = 85, .external_lex_state = 55},
  [6237] = {.lex_state = 79, .external_lex_state = 41},
  [6238] = {.lex_state = 87, .external_lex_state = 33},
  [6239] = {.lex_state = 88, .external_lex_state = 52},
  [6240] = {.lex_state = 87, .external_lex_state = 32},
  [6241] = {.lex_state = 78, .external_lex_state = 28},
  [6242] = {.lex_state = 82, .external_lex_state = 39},
  [6243] = {.lex_state = 87, .external_lex_state = 35},
  [6244] = {.lex_state = 85, .external_lex_state = 26},
  [6245] = {.lex_state = 87, .external_lex_state = 35},
  [6246] = {.lex_state = 87, .external_lex_state = 32},
  [6247] = {.lex_state = 87, .external_lex_state = 32},
  [6248] = {.lex_state = 96, .external_lex_state = 34},
  [6249] = {.lex_state = 80, .external_lex_state = 52},
  [6250] = {.lex_state = 87, .external_lex_state = 32},
  [6251] = {.lex_state = 87, .external_lex_state = 33},
  [6252] = {.lex_state = 87, .external_lex_state = 32},
  [6253] = {.lex_state = 87, .external_lex_state = 32},
  [6254] = {.lex_state = 87, .external_lex_state = 32},
  [6255] = {.lex_state = 82, .external_lex_state = 39},
  [6256] = {.lex_state = 87, .external_lex_state = 32},
  [6257] = {.lex_state = 87, .external_lex_state = 32},
  [6258] = {.lex_state = 11, .external_lex_state = 52},
  [6259] = {.lex_state = 80, .external_lex_state = 52},
  [6260] = {.lex_state = 85, .external_lex_state = 55},
  [6261] = {.lex_state = 82, .external_lex_state = 39},
  [6262] = {.lex_state = 87, .external_lex_state = 32},
  [6263] = {.lex_state = 87, .external_lex_state = 32},
  [6264] = {.lex_state = 80, .external_lex_state = 38},
  [6265] = {.lex_state = 75, .external_lex_state = 43},
  [6266] = {.lex_state = 87, .external_lex_state = 32},
  [6267] = {.lex_state = 80, .external_lex_state = 52},
  [6268] = {.lex_state = 80, .external_lex_state = 52},
  [6269] = {.lex_state = 86, .external_lex_state = 47},
  [6270] = {.lex_state = 80, .external_lex_state = 52},
  [6271] = {.lex_state = 82, .external_lex_state = 39},
  [6272] = {.lex_state = 80, .external_lex_state = 38},
  [6273] = {.lex_state = 81, .external_lex_state = 39},
  [6274] = {.lex_state = 80, .external_lex_state = 50},
  [6275] = {.lex_state = 100, .external_lex_state = 39},
  [6276] = {.lex_state = 78, .external_lex_state = 28},
  [6277] = {.lex_state = 80, .external_lex_state = 50},
  [6278] = {.lex_state = 87, .external_lex_state = 32},
  [6279] = {.lex_state = 87, .external_lex_state = 32},
  [6280] = {.lex_state = 79, .external_lex_state = 44},
  [6281] = {.lex_state = 79, .external_lex_state = 44},
  [6282] = {.lex_state = 80, .external_lex_state = 52},
  [6283] = {.lex_state = 78, .external_lex_state = 27},
  [6284] = {.lex_state = 82, .external_lex_state = 39},
  [6285] = {.lex_state = 79, .external_lex_state = 45},
  [6286] = {.lex_state = 78, .external_lex_state = 27},
  [6287] = {.lex_state = 80, .external_lex_state = 49},
  [6288] = {.lex_state = 94, .external_lex_state = 31},
  [6289] = {.lex_state = 78, .external_lex_state = 44},
  [6290] = {.lex_state = 80, .external_lex_state = 49},
  [6291] = {.lex_state = 87, .external_lex_state = 32},
  [6292] = {.lex_state = 80, .external_lex_state = 52},
  [6293] = {.lex_state = 80, .external_lex_state = 47},
  [6294] = {.lex_state = 80, .external_lex_state = 47},
  [6295] = {.lex_state = 87, .external_lex_state = 54},
  [6296] = {.lex_state = 87, .external_lex_state = 33},
  [6297] = {.lex_state = 87, .external_lex_state = 33},
  [6298] = {.lex_state = 80, .external_lex_state = 26},
  [6299] = {.lex_state = 80, .external_lex_state = 26},
  [6300] = {.lex_state = 86, .external_lex_state = 39},
  [6301] = {.lex_state = 87, .external_lex_state = 35},
  [6302] = {.lex_state = 87, .external_lex_state = 35},
  [6303] = {.lex_state = 78, .external_lex_state = 44},
  [6304] = {.lex_state = 79, .external_lex_state = 41},
  [6305] = {.lex_state = 79, .external_lex_state = 41},
  [6306] = {.lex_state = 82, .external_lex_state = 39},
  [6307] = {.lex_state = 10, .external_lex_state = 52},
  [6308] = {.lex_state = 87, .external_lex_state = 54},
  [6309] = {.lex_state = 94, .external_lex_state = 31},
  [6310] = {.lex_state = 99, .external_lex_state = 39},
  [6311] = {.lex_state = 85, .external_lex_state = 42},
  [6312] = {.lex_state = 100, .external_lex_state = 55},
  [6313] = {.lex_state = 79, .external_lex_state = 45},
  [6314] = {.lex_state = 39, .external_lex_state = 52},
  [6315] = {.lex_state = 80, .external_lex_state = 44},
  [6316] = {.lex_state = 87, .external_lex_state = 40},
  [6317] = {.lex_state = 87, .external_lex_state = 32},
  [6318] = {.lex_state = 78, .external_lex_state = 45},
  [6319] = {.lex_state = 94, .external_lex_state = 30},
  [6320] = {.lex_state = 80, .external_lex_state = 44},
  [6321] = {.lex_state = 80, .external_lex_state = 44},
  [6322] = {.lex_state = 87, .external_lex_state = 40},
  [6323] = {.lex_state = 80, .external_lex_state = 44},
  [6324] = {.lex_state = 81, .external_lex_state = 39},
  [6325] = {.lex_state = 78, .external_lex_state = 44},
  [6326] = {.lex_state = 96, .external_lex_state = 27},
  [6327] = {.lex_state = 83, .external_lex_state = 55},
  [6328] = {.lex_state = 78, .external_lex_state = 28},
  [6329] = {.lex_state = 78, .external_lex_state = 52},
  [6330] = {.lex_state = 94, .external_lex_state = 30},
  [6331] = {.lex_state = 87, .external_lex_state = 32},
  [6332] = {.lex_state = 83, .external_lex_state = 55},
  [6333] = {.lex_state = 87, .external_lex_state = 40},
  [6334] = {.lex_state = 94, .external_lex_state = 31},
  [6335] = {.lex_state = 86, .external_lex_state = 47},
  [6336] = {.lex_state = 82, .external_lex_state = 55},
  [6337] = {.lex_state = 86, .external_lex_state = 47},
  [6338] = {.lex_state = 79, .external_lex_state = 44},
  [6339] = {.lex_state = 88, .external_lex_state = 34},
  [6340] = {.lex_state = 82, .external_lex_state = 55},
  [6341] = {.lex_state = 75, .external_lex_state = 57},
  [6342] = {.lex_state = 79, .external_lex_state = 44},
  [6343] = {.lex_state = 96, .external_lex_state = 27},
  [6344] = {.lex_state = 79, .external_lex_state = 44},
  [6345] = {.lex_state = 79, .external_lex_state = 44},
  [6346] = {.lex_state = 75, .external_lex_state = 57},
  [6347] = {.lex_state = 82, .external_lex_state = 55},
  [6348] = {.lex_state = 88, .external_lex_state = 42},
  [6349] = {.lex_state = 78, .external_lex_state = 50},
  [6350] = {.lex_state = 87, .external_lex_state = 32},
  [6351] = {.lex_state = 100, .external_lex_state = 39},
  [6352] = {.lex_state = 82, .external_lex_state = 55},
  [6353] = {.lex_state = 78, .external_lex_state = 26},
  [6354] = {.lex_state = 82, .external_lex_state = 55},
  [6355] = {.lex_state = 87, .external_lex_state = 33},
  [6356] = {.lex_state = 82, .external_lex_state = 55},
  [6357] = {.lex_state = 87, .external_lex_state = 24},
  [6358] = {.lex_state = 82, .external_lex_state = 55},
  [6359] = {.lex_state = 78, .external_lex_state = 50},
  [6360] = {.lex_state = 78, .external_lex_state = 50},
  [6361] = {.lex_state = 78, .external_lex_state = 50},
  [6362] = {.lex_state = 82, .external_lex_state = 55},
  [6363] = {.lex_state = 80, .external_lex_state = 52},
  [6364] = {.lex_state = 85, .external_lex_state = 47},
  [6365] = {.lex_state = 88, .external_lex_state = 52},
  [6366] = {.lex_state = 87, .external_lex_state = 36},
  [6367] = {.lex_state = 78, .external_lex_state = 49},
  [6368] = {.lex_state = 87, .external_lex_state = 34},
  [6369] = {.lex_state = 82, .external_lex_state = 39},
  [6370] = {.lex_state = 87, .external_lex_state = 32},
  [6371] = {.lex_state = 78, .external_lex_state = 26},
  [6372] = {.lex_state = 78, .external_lex_state = 26},
  [6373] = {.lex_state = 79, .external_lex_state = 45},
  [6374] = {.lex_state = 87, .external_lex_state = 32},
  [6375] = {.lex_state = 78, .external_lex_state = 26},
  [6376] = {.lex_state = 78, .external_lex_state = 26},
  [6377] = {.lex_state = 87, .external_lex_state = 32},
  [6378] = {.lex_state = 87, .external_lex_state = 24},
  [6379] = {.lex_state = 78, .external_lex_state = 26},
  [6380] = {.lex_state = 78, .external_lex_state = 26},
  [6381] = {.lex_state = 78, .external_lex_state = 26},
  [6382] = {.lex_state = 75, .external_lex_state = 56},
  [6383] = {.lex_state = 10, .external_lex_state = 52},
  [6384] = {.lex_state = 87, .external_lex_state = 40},
  [6385] = {.lex_state = 88, .external_lex_state = 42},
  [6386] = {.lex_state = 85, .external_lex_state = 49},
  [6387] = {.lex_state = 86, .external_lex_state = 49},
  [6388] = {.lex_state = 86, .external_lex_state = 49},
  [6389] = {.lex_state = 75, .external_lex_state = 40},
  [6390] = {.lex_state = 82, .external_lex_state = 39},
  [6391] = {.lex_state = 97, .external_lex_state = 29},
  [6392] = {.lex_state = 87, .external_lex_state = 40},
  [6393] = {.lex_state = 85, .external_lex_state = 47},
  [6394] = {.lex_state = 82, .external_lex_state = 39},
  [6395] = {.lex_state = 87, .external_lex_state = 48},
  [6396] = {.lex_state = 86, .external_lex_state = 50},
  [6397] = {.lex_state = 87, .external_lex_state = 32},
  [6398] = {.lex_state = 83, .external_lex_state = 55},
  [6399] = {.lex_state = 86, .external_lex_state = 36},
  [6400] = {.lex_state = 88, .external_lex_state = 39},
  [6401] = {.lex_state = 88, .external_lex_state = 41},
  [6402] = {.lex_state = 87, .external_lex_state = 32},
  [6403] = {.lex_state = 80, .external_lex_state = 44},
  [6404] = {.lex_state = 85, .external_lex_state = 41},
  [6405] = {.lex_state = 87, .external_lex_state = 32},
  [6406] = {.lex_state = 87, .external_lex_state = 33},
  [6407] = {.lex_state = 85, .external_lex_state = 42},
  [6408] = {.lex_state = 87, .external_lex_state = 40},
  [6409] = {.lex_state = 79, .external_lex_state = 42},
  [6410] = {.lex_state = 87, .external_lex_state = 32},
  [6411] = {.lex_state = 85, .external_lex_state = 42},
  [6412] = {.lex_state = 78, .external_lex_state = 47},
  [6413] = {.lex_state = 75, .external_lex_state = 35},
  [6414] = {.lex_state = 80, .external_lex_state = 44},
  [6415] = {.lex_state = 85, .external_lex_state = 44},
  [6416] = {.lex_state = 87, .external_lex_state = 33},
  [6417] = {.lex_state = 79, .external_lex_state = 45},
  [6418] = {.lex_state = 80, .external_lex_state = 44},
  [6419] = {.lex_state = 85, .external_lex_state = 44},
  [6420] = {.lex_state = 87, .external_lex_state = 32},
  [6421] = {.lex_state = 80, .external_lex_state = 44},
  [6422] = {.lex_state = 79, .external_lex_state = 45},
  [6423] = {.lex_state = 80, .external_lex_state = 44},
  [6424] = {.lex_state = 78, .external_lex_state = 55},
  [6425] = {.lex_state = 87, .external_lex_state = 33},
  [6426] = {.lex_state = 85, .external_lex_state = 44},
  [6427] = {.lex_state = 85, .external_lex_state = 44},
  [6428] = {.lex_state = 80, .external_lex_state = 44},
  [6429] = {.lex_state = 80, .external_lex_state = 44},
  [6430] = {.lex_state = 80, .external_lex_state = 44},
  [6431] = {.lex_state = 87, .external_lex_state = 33},
  [6432] = {.lex_state = 79, .external_lex_state = 45},
  [6433] = {.lex_state = 87, .external_lex_state = 32},
  [6434] = {.lex_state = 85, .external_lex_state = 28},
  [6435] = {.lex_state = 88, .external_lex_state = 38},
  [6436] = {.lex_state = 87, .external_lex_state = 32},
  [6437] = {.lex_state = 88, .external_lex_state = 38},
  [6438] = {.lex_state = 87, .external_lex_state = 33},
  [6439] = {.lex_state = 87, .external_lex_state = 33},
  [6440] = {.lex_state = 87, .external_lex_state = 35},
  [6441] = {.lex_state = 87, .external_lex_state = 32},
  [6442] = {.lex_state = 75, .external_lex_state = 46},
  [6443] = {.lex_state = 87, .external_lex_state = 33},
  [6444] = {.lex_state = 87, .external_lex_state = 33},
  [6445] = {.lex_state = 87, .external_lex_state = 32},
  [6446] = {.lex_state = 88, .external_lex_state = 38},
  [6447] = {.lex_state = 87, .external_lex_state = 40},
  [6448] = {.lex_state = 88, .external_lex_state = 38},
  [6449] = {.lex_state = 87, .external_lex_state = 32},
  [6450] = {.lex_state = 87, .external_lex_state = 33},
  [6451] = {.lex_state = 86, .external_lex_state = 39},
  [6452] = {.lex_state = 87, .external_lex_state = 30},
  [6453] = {.lex_state = 87, .external_lex_state = 34},
  [6454] = {.lex_state = 87, .external_lex_state = 32},
  [6455] = {.lex_state = 85, .external_lex_state = 28},
  [6456] = {.lex_state = 87, .external_lex_state = 32},
  [6457] = {.lex_state = 80, .external_lex_state = 44},
  [6458] = {.lex_state = 87, .external_lex_state = 33},
  [6459] = {.lex_state = 87, .external_lex_state = 32},
  [6460] = {.lex_state = 78, .external_lex_state = 52},
  [6461] = {.lex_state = 87, .external_lex_state = 33},
  [6462] = {.lex_state = 87, .external_lex_state = 32},
  [6463] = {.lex_state = 86, .external_lex_state = 50},
  [6464] = {.lex_state = 96, .external_lex_state = 28},
  [6465] = {.lex_state = 87, .external_lex_state = 40},
  [6466] = {.lex_state = 87, .external_lex_state = 32},
  [6467] = {.lex_state = 87, .external_lex_state = 32},
  [6468] = {.lex_state = 87, .external_lex_state = 32},
  [6469] = {.lex_state = 83, .external_lex_state = 39},
  [6470] = {.lex_state = 80, .external_lex_state = 26},
  [6471] = {.lex_state = 86, .external_lex_state = 26},
  [6472] = {.lex_state = 87, .external_lex_state = 32},
  [6473] = {.lex_state = 87, .external_lex_state = 33},
  [6474] = {.lex_state = 88, .external_lex_state = 41},
  [6475] = {.lex_state = 80, .external_lex_state = 45},
  [6476] = {.lex_state = 80, .external_lex_state = 42},
  [6477] = {.lex_state = 78, .external_lex_state = 55},
  [6478] = {.lex_state = 88, .external_lex_state = 50},
  [6479] = {.lex_state = 80, .external_lex_state = 50},
  [6480] = {.lex_state = 87, .external_lex_state = 32},
  [6481] = {.lex_state = 92, .external_lex_state = 55},
  [6482] = {.lex_state = 92, .external_lex_state = 55},
  [6483] = {.lex_state = 85, .external_lex_state = 45},
  [6484] = {.lex_state = 83, .external_lex_state = 39},
  [6485] = {.lex_state = 88, .external_lex_state = 50},
  [6486] = {.lex_state = 10, .external_lex_state = 52},
  [6487] = {.lex_state = 80, .external_lex_state = 42},
  [6488] = {.lex_state = 78, .external_lex_state = 27},
  [6489] = {.lex_state = 78, .external_lex_state = 31},
  [6490] = {.lex_state = 80, .external_lex_state = 42},
  [6491] = {.lex_state = 80, .external_lex_state = 42},
  [6492] = {.lex_state = 78, .external_lex_state = 41},
  [6493] = {.lex_state = 85, .external_lex_state = 41},
  [6494] = {.lex_state = 88, .external_lex_state = 36},
  [6495] = {.lex_state = 88, .external_lex_state = 36},
  [6496] = {.lex_state = 80, .external_lex_state = 42},
  [6497] = {.lex_state = 78, .external_lex_state = 47},
  [6498] = {.lex_state = 96, .external_lex_state = 28},
  [6499] = {.lex_state = 80, .external_lex_state = 42},
  [6500] = {.lex_state = 80, .external_lex_state = 45},
  [6501] = {.lex_state = 88, .external_lex_state = 36},
  [6502] = {.lex_state = 88, .external_lex_state = 36},
  [6503] = {.lex_state = 85, .external_lex_state = 41},
  [6504] = {.lex_state = 80, .external_lex_state = 42},
  [6505] = {.lex_state = 80, .external_lex_state = 45},
  [6506] = {.lex_state = 85, .external_lex_state = 41},
  [6507] = {.lex_state = 80, .external_lex_state = 42},
  [6508] = {.lex_state = 80, .external_lex_state = 45},
  [6509] = {.lex_state = 80, .external_lex_state = 34},
  [6510] = {.lex_state = 96, .external_lex_state = 31},
  [6511] = {.lex_state = 75, .external_lex_state = 35},
  [6512] = {.lex_state = 85, .external_lex_state = 39},
  [6513] = {.lex_state = 78, .external_lex_state = 47},
  [6514] = {.lex_state = 78, .external_lex_state = 47},
  [6515] = {.lex_state = 87, .external_lex_state = 33},
  [6516] = {.lex_state = 87, .external_lex_state = 33},
  [6517] = {.lex_state = 87, .external_lex_state = 32},
  [6518] = {.lex_state = 79, .external_lex_state = 44},
  [6519] = {.lex_state = 78, .external_lex_state = 47},
  [6520] = {.lex_state = 87, .external_lex_state = 35},
  [6521] = {.lex_state = 78, .external_lex_state = 41},
  [6522] = {.lex_state = 80, .external_lex_state = 41},
  [6523] = {.lex_state = 78, .external_lex_state = 47},
  [6524] = {.lex_state = 78, .external_lex_state = 49},
  [6525] = {.lex_state = 87, .external_lex_state = 33},
  [6526] = {.lex_state = 87, .external_lex_state = 38},
  [6527] = {.lex_state = 87, .external_lex_state = 30},
  [6528] = {.lex_state = 79, .external_lex_state = 42},
  [6529] = {.lex_state = 78, .external_lex_state = 47},
  [6530] = {.lex_state = 79, .external_lex_state = 41},
  [6531] = {.lex_state = 80, .external_lex_state = 39},
  [6532] = {.lex_state = 78, .external_lex_state = 47},
  [6533] = {.lex_state = 78, .external_lex_state = 47},
  [6534] = {.lex_state = 87, .external_lex_state = 53},
  [6535] = {.lex_state = 80, .external_lex_state = 45},
  [6536] = {.lex_state = 79, .external_lex_state = 45},
  [6537] = {.lex_state = 78, .external_lex_state = 28},
  [6538] = {.lex_state = 78, .external_lex_state = 49},
  [6539] = {.lex_state = 80, .external_lex_state = 41},
  [6540] = {.lex_state = 83, .external_lex_state = 39},
  [6541] = {.lex_state = 80, .external_lex_state = 55},
  [6542] = {.lex_state = 87, .external_lex_state = 35},
  [6543] = {.lex_state = 80, .external_lex_state = 41},
  [6544] = {.lex_state = 80, .external_lex_state = 41},
  [6545] = {.lex_state = 80, .external_lex_state = 39},
  [6546] = {.lex_state = 79, .external_lex_state = 42},
  [6547] = {.lex_state = 96, .external_lex_state = 30},
  [6548] = {.lex_state = 88, .external_lex_state = 31},
  [6549] = {.lex_state = 87, .external_lex_state = 35},
  [6550] = {.lex_state = 87, .external_lex_state = 35},
  [6551] = {.lex_state = 100, .external_lex_state = 39},
  [6552] = {.lex_state = 87, .external_lex_state = 29},
  [6553] = {.lex_state = 87, .external_lex_state = 40},
  [6554] = {.lex_state = 79, .external_lex_state = 44},
  [6555] = {.lex_state = 78, .external_lex_state = 49},
  [6556] = {.lex_state = 78, .external_lex_state = 49},
  [6557] = {.lex_state = 79, .external_lex_state = 44},
  [6558] = {.lex_state = 78, .external_lex_state = 49},
  [6559] = {.lex_state = 79, .external_lex_state = 42},
  [6560] = {.lex_state = 82, .external_lex_state = 55},
  [6561] = {.lex_state = 79, .external_lex_state = 41},
  [6562] = {.lex_state = 85, .external_lex_state = 27},
  [6563] = {.lex_state = 79, .external_lex_state = 44},
  [6564] = {.lex_state = 78, .external_lex_state = 27},
  [6565] = {.lex_state = 79, .external_lex_state = 42},
  [6566] = {.lex_state = 87, .external_lex_state = 40},
  [6567] = {.lex_state = 80, .external_lex_state = 28},
  [6568] = {.lex_state = 79, .external_lex_state = 44},
  [6569] = {.lex_state = 78, .external_lex_state = 50},
  [6570] = {.lex_state = 87, .external_lex_state = 31},
  [6571] = {.lex_state = 78, .external_lex_state = 49},
  [6572] = {.lex_state = 85, .external_lex_state = 27},
  [6573] = {.lex_state = 79, .external_lex_state = 44},
  [6574] = {.lex_state = 79, .external_lex_state = 44},
  [6575] = {.lex_state = 79, .external_lex_state = 42},
  [6576] = {.lex_state = 94, .external_lex_state = 31},
  [6577] = {.lex_state = 80, .external_lex_state = 41},
  [6578] = {.lex_state = 78, .external_lex_state = 49},
  [6579] = {.lex_state = 78, .external_lex_state = 49},
  [6580] = {.lex_state = 79, .external_lex_state = 44},
  [6581] = {.lex_state = 78, .external_lex_state = 47},
  [6582] = {.lex_state = 78, .external_lex_state = 49},
  [6583] = {.lex_state = 78, .external_lex_state = 49},
  [6584] = {.lex_state = 78, .external_lex_state = 49},
  [6585] = {.lex_state = 10, .external_lex_state = 52},
  [6586] = {.lex_state = 87, .external_lex_state = 40},
  [6587] = {.lex_state = 78, .external_lex_state = 49},
  [6588] = {.lex_state = 79, .external_lex_state = 42},
  [6589] = {.lex_state = 83, .external_lex_state = 39},
  [6590] = {.lex_state = 86, .external_lex_state = 38},
  [6591] = {.lex_state = 80, .external_lex_state = 52},
  [6592] = {.lex_state = 78, .external_lex_state = 52},
  [6593] = {.lex_state = 87, .external_lex_state = 35},
  [6594] = {.lex_state = 78, .external_lex_state = 39},
  [6595] = {.lex_state = 87, .external_lex_state = 40},
  [6596] = {.lex_state = 78, .external_lex_state = 26},
  [6597] = {.lex_state = 78, .external_lex_state = 42},
  [6598] = {.lex_state = 88, .external_lex_state = 49},
  [6599] = {.lex_state = 79, .external_lex_state = 44},
  [6600] = {.lex_state = 94, .external_lex_state = 36},
  [6601] = {.lex_state = 87, .external_lex_state = 33},
  [6602] = {.lex_state = 87, .external_lex_state = 40},
  [6603] = {.lex_state = 88, .external_lex_state = 49},
  [6604] = {.lex_state = 80, .external_lex_state = 50},
  [6605] = {.lex_state = 80, .external_lex_state = 52},
  [6606] = {.lex_state = 87, .external_lex_state = 34},
  [6607] = {.lex_state = 88, .external_lex_state = 30},
  [6608] = {.lex_state = 80, .external_lex_state = 42},
  [6609] = {.lex_state = 78, .external_lex_state = 47},
  [6610] = {.lex_state = 79, .external_lex_state = 42},
  [6611] = {.lex_state = 80, .external_lex_state = 41},
  [6612] = {.lex_state = 87, .external_lex_state = 35},
  [6613] = {.lex_state = 78, .external_lex_state = 47},
  [6614] = {.lex_state = 80, .external_lex_state = 41},
  [6615] = {.lex_state = 78, .external_lex_state = 47},
  [6616] = {.lex_state = 80, .external_lex_state = 41},
  [6617] = {.lex_state = 81, .external_lex_state = 55},
  [6618] = {.lex_state = 80, .external_lex_state = 49},
  [6619] = {.lex_state = 80, .external_lex_state = 52},
  [6620] = {.lex_state = 80, .external_lex_state = 41},
  [6621] = {.lex_state = 94, .external_lex_state = 34},
  [6622] = {.lex_state = 87, .external_lex_state = 33},
  [6623] = {.lex_state = 87, .external_lex_state = 35},
  [6624] = {.lex_state = 87, .external_lex_state = 35},
  [6625] = {.lex_state = 96, .external_lex_state = 28},
  [6626] = {.lex_state = 87, .external_lex_state = 35},
  [6627] = {.lex_state = 80, .external_lex_state = 41},
  [6628] = {.lex_state = 87, .external_lex_state = 53},
  [6629] = {.lex_state = 92, .external_lex_state = 39},
  [6630] = {.lex_state = 87, .external_lex_state = 33},
  [6631] = {.lex_state = 80, .external_lex_state = 41},
  [6632] = {.lex_state = 87, .external_lex_state = 33},
  [6633] = {.lex_state = 88, .external_lex_state = 47},
  [6634] = {.lex_state = 80, .external_lex_state = 41},
  [6635] = {.lex_state = 87, .external_lex_state = 33},
  [6636] = {.lex_state = 87, .external_lex_state = 40},
  [6637] = {.lex_state = 75, .external_lex_state = 46},
  [6638] = {.lex_state = 88, .external_lex_state = 47},
  [6639] = {.lex_state = 95, .external_lex_state = 32},
  [6640] = {.lex_state = 87, .external_lex_state = 40},
  [6641] = {.lex_state = 85, .external_lex_state = 50},
  [6642] = {.lex_state = 79, .external_lex_state = 45},
  [6643] = {.lex_state = 87, .external_lex_state = 51},
  [6644] = {.lex_state = 85, .external_lex_state = 36},
  [6645] = {.lex_state = 99, .external_lex_state = 39},
  [6646] = {.lex_state = 92, .external_lex_state = 39},
  [6647] = {.lex_state = 79, .external_lex_state = 34},
  [6648] = {.lex_state = 75, .external_lex_state = 43},
  [6649] = {.lex_state = 80, .external_lex_state = 42},
  [6650] = {.lex_state = 79, .external_lex_state = 42},
  [6651] = {.lex_state = 78, .external_lex_state = 50},
  [6652] = {.lex_state = 87, .external_lex_state = 33},
  [6653] = {.lex_state = 86, .external_lex_state = 38},
  [6654] = {.lex_state = 86, .external_lex_state = 36},
  [6655] = {.lex_state = 80, .external_lex_state = 42},
  [6656] = {.lex_state = 78, .external_lex_state = 50},
  [6657] = {.lex_state = 86, .external_lex_state = 38},
  [6658] = {.lex_state = 87, .external_lex_state = 29},
  [6659] = {.lex_state = 94, .external_lex_state = 34},
  [6660] = {.lex_state = 80, .external_lex_state = 42},
  [6661] = {.lex_state = 87, .external_lex_state = 33},
  [6662] = {.lex_state = 78, .external_lex_state = 50},
  [6663] = {.lex_state = 78, .external_lex_state = 52},
  [6664] = {.lex_state = 85, .external_lex_state = 50},
  [6665] = {.lex_state = 78, .external_lex_state = 50},
  [6666] = {.lex_state = 87, .external_lex_state = 33},
  [6667] = {.lex_state = 86, .external_lex_state = 38},
  [6668] = {.lex_state = 78, .external_lex_state = 50},
  [6669] = {.lex_state = 78, .external_lex_state = 50},
  [6670] = {.lex_state = 78, .external_lex_state = 50},
  [6671] = {.lex_state = 94, .external_lex_state = 34},
  [6672] = {.lex_state = 79, .external_lex_state = 42},
  [6673] = {.lex_state = 80, .external_lex_state = 47},
  [6674] = {.lex_state = 80, .external_lex_state = 27},
  [6675] = {.lex_state = 80, .external_lex_state = 47},
  [6676] = {.lex_state = 87, .external_lex_state = 33},
  [6677] = {.lex_state = 99, .external_lex_state = 39},
  [6678] = {.lex_state = 96, .external_lex_state = 27},
  [6679] = {.lex_state = 94, .external_lex_state = 34},
  [6680] = {.lex_state = 79, .external_lex_state = 41},
  [6681] = {.lex_state = 79, .external_lex_state = 44},
  [6682] = {.lex_state = 87, .external_lex_state = 31},
  [6683] = {.lex_state = 94, .external_lex_state = 38},
  [6684] = {.lex_state = 79, .external_lex_state = 42},
  [6685] = {.lex_state = 82, .external_lex_state = 55},
  [6686] = {.lex_state = 79, .external_lex_state = 34},
  [6687] = {.lex_state = 87, .external_lex_state = 33},
  [6688] = {.lex_state = 87, .external_lex_state = 33},
  [6689] = {.lex_state = 82, .external_lex_state = 55},
  [6690] = {.lex_state = 86, .external_lex_state = 26},
  [6691] = {.lex_state = 78, .external_lex_state = 50},
  [6692] = {.lex_state = 94, .external_lex_state = 31},
  [6693] = {.lex_state = 82, .external_lex_state = 55},
  [6694] = {.lex_state = 86, .external_lex_state = 38},
  [6695] = {.lex_state = 75, .external_lex_state = 56},
  [6696] = {.lex_state = 78, .external_lex_state = 34},
  [6697] = {.lex_state = 87, .external_lex_state = 31},
  [6698] = {.lex_state = 79, .external_lex_state = 41},
  [6699] = {.lex_state = 88, .external_lex_state = 44},
  [6700] = {.lex_state = 86, .external_lex_state = 50},
  [6701] = {.lex_state = 80, .external_lex_state = 42},
  [6702] = {.lex_state = 75, .external_lex_state = 40},
  [6703] = {.lex_state = 94, .external_lex_state = 39},
  [6704] = {.lex_state = 87, .external_lex_state = 32},
  [6705] = {.lex_state = 86, .external_lex_state = 50},
  [6706] = {.lex_state = 80, .external_lex_state = 49},
  [6707] = {.lex_state = 87, .external_lex_state = 32},
  [6708] = {.lex_state = 12, .external_lex_state = 52},
  [6709] = {.lex_state = 78, .external_lex_state = 47},
  [6710] = {.lex_state = 80, .external_lex_state = 26},
  [6711] = {.lex_state = 79, .external_lex_state = 41},
  [6712] = {.lex_state = 78, .external_lex_state = 41},
  [6713] = {.lex_state = 83, .external_lex_state = 39},
  [6714] = {.lex_state = 82, .external_lex_state = 55},
  [6715] = {.lex_state = 75, .external_lex_state = 56},
  [6716] = {.lex_state = 85, .external_lex_state = 38},
  [6717] = {.lex_state = 79, .external_lex_state = 41},
  [6718] = {.lex_state = 87, .external_lex_state = 37},
  [6719] = {.lex_state = 78, .external_lex_state = 55},
  [6720] = {.lex_state = 87, .external_lex_state = 35},
  [6721] = {.lex_state = 75, .external_lex_state = 58},
  [6722] = {.lex_state = 87, .external_lex_state = 40},
  [6723] = {.lex_state = 87, .external_lex_state = 35},
  [6724] = {.lex_state = 86, .external_lex_state = 36},
  [6725] = {.lex_state = 79, .external_lex_state = 44},
  [6726] = {.lex_state = 78, .external_lex_state = 26},
  [6727] = {.lex_state = 79, .external_lex_state = 41},
  [6728] = {.lex_state = 87, .external_lex_state = 32},
  [6729] = {.lex_state = 86, .external_lex_state = 36},
  [6730] = {.lex_state = 87, .external_lex_state = 32},
  [6731] = {.lex_state = 78, .external_lex_state = 26},
  [6732] = {.lex_state = 78, .external_lex_state = 42},
  [6733] = {.lex_state = 86, .external_lex_state = 36},
  [6734] = {.lex_state = 78, .external_lex_state = 26},
  [6735] = {.lex_state = 88, .external_lex_state = 44},
  [6736] = {.lex_state = 79, .external_lex_state = 41},
  [6737] = {.lex_state = 86, .external_lex_state = 39},
  [6738] = {.lex_state = 80, .external_lex_state = 52},
  [6739] = {.lex_state = 87, .external_lex_state = 35},
  [6740] = {.lex_state = 79, .external_lex_state = 41},
  [6741] = {.lex_state = 86, .external_lex_state = 39},
  [6742] = {.lex_state = 75, .external_lex_state = 58},
  [6743] = {.lex_state = 87, .external_lex_state = 33},
  [6744] = {.lex_state = 87, .external_lex_state = 33},
  [6745] = {.lex_state = 94, .external_lex_state = 34},
  [6746] = {.lex_state = 75, .external_lex_state = 43},
  [6747] = {.lex_state = 87, .external_lex_state = 33},
  [6748] = {.lex_state = 96, .external_lex_state = 27},
  [6749] = {.lex_state = 87, .external_lex_state = 35},
  [6750] = {.lex_state = 96, .external_lex_state = 28},
  [6751] = {.lex_state = 87, .external_lex_state = 35},
  [6752] = {.lex_state = 78, .external_lex_state = 49},
  [6753] = {.lex_state = 80, .external_lex_state = 41},
  [6754] = {.lex_state = 78, .external_lex_state = 42},
  [6755] = {.lex_state = 87, .external_lex_state = 32},
  [6756] = {.lex_state = 96, .external_lex_state = 27},
  [6757] = {.lex_state = 87, .external_lex_state = 32},
  [6758] = {.lex_state = 87, .external_lex_state = 32},
  [6759] = {.lex_state = 80, .external_lex_state = 31},
  [6760] = {.lex_state = 78, .external_lex_state = 55},
  [6761] = {.lex_state = 14, .external_lex_state = 52},
  [6762] = {.lex_state = 79, .external_lex_state = 41},
  [6763] = {.lex_state = 78, .external_lex_state = 26},
  [6764] = {.lex_state = 86, .external_lex_state = 39},
  [6765] = {.lex_state = 79, .external_lex_state = 41},
  [6766] = {.lex_state = 87, .external_lex_state = 35},
  [6767] = {.lex_state = 78, .external_lex_state = 26},
  [6768] = {.lex_state = 88, .external_lex_state = 26},
  [6769] = {.lex_state = 96, .external_lex_state = 28},
  [6770] = {.lex_state = 88, .external_lex_state = 26},
  [6771] = {.lex_state = 88, .external_lex_state = 41},
  [6772] = {.lex_state = 80, .external_lex_state = 47},
  [6773] = {.lex_state = 96, .external_lex_state = 38},
  [6774] = {.lex_state = 78, .external_lex_state = 55},
  [6775] = {.lex_state = 88, .external_lex_state = 41},
  [6776] = {.lex_state = 78, .external_lex_state = 26},
  [6777] = {.lex_state = 88, .external_lex_state = 50},
  [6778] = {.lex_state = 86, .external_lex_state = 28},
  [6779] = {.lex_state = 78, .external_lex_state = 31},
  [6780] = {.lex_state = 78, .external_lex_state = 52},
  [6781] = {.lex_state = 88, .external_lex_state = 41},
  [6782] = {.lex_state = 82, .external_lex_state = 39},
  [6783] = {.lex_state = 87, .external_lex_state = 35},
  [6784] = {.lex_state = 86, .external_lex_state = 28},
  [6785] = {.lex_state = 78, .external_lex_state = 55},
  [6786] = {.lex_state = 81, .external_lex_state = 39},
  [6787] = {.lex_state = 78, .external_lex_state = 55},
  [6788] = {.lex_state = 94, .external_lex_state = 44},
  [6789] = {.lex_state = 97, .external_lex_state = 32},
  [6790] = {.lex_state = 78, .external_lex_state = 52},
  [6791] = {.lex_state = 88, .external_lex_state = 36},
  [6792] = {.lex_state = 79, .external_lex_state = 26},
  [6793] = {.lex_state = 78, .external_lex_state = 55},
  [6794] = {.lex_state = 85, .external_lex_state = 49},
  [6795] = {.lex_state = 78, .external_lex_state = 47},
  [6796] = {.lex_state = 85, .external_lex_state = 49},
  [6797] = {.lex_state = 86, .external_lex_state = 27},
  [6798] = {.lex_state = 80, .external_lex_state = 47},
  [6799] = {.lex_state = 85, .external_lex_state = 49},
  [6800] = {.lex_state = 80, .external_lex_state = 47},
  [6801] = {.lex_state = 86, .external_lex_state = 27},
  [6802] = {.lex_state = 78, .external_lex_state = 49},
  [6803] = {.lex_state = 78, .external_lex_state = 55},
  [6804] = {.lex_state = 75, .external_lex_state = 54},
  [6805] = {.lex_state = 94, .external_lex_state = 39},
  [6806] = {.lex_state = 80, .external_lex_state = 47},
  [6807] = {.lex_state = 86, .external_lex_state = 44},
  [6808] = {.lex_state = 87, .external_lex_state = 29},
  [6809] = {.lex_state = 80, .external_lex_state = 47},
  [6810] = {.lex_state = 11, .external_lex_state = 52},
  [6811] = {.lex_state = 87, .external_lex_state = 40},
  [6812] = {.lex_state = 80, .external_lex_state = 47},
  [6813] = {.lex_state = 78, .external_lex_state = 47},
  [6814] = {.lex_state = 87, .external_lex_state = 35},
  [6815] = {.lex_state = 78, .external_lex_state = 49},
  [6816] = {.lex_state = 78, .external_lex_state = 55},
  [6817] = {.lex_state = 80, .external_lex_state = 47},
  [6818] = {.lex_state = 88, .external_lex_state = 41},
  [6819] = {.lex_state = 88, .external_lex_state = 50},
  [6820] = {.lex_state = 87, .external_lex_state = 40},
  [6821] = {.lex_state = 87, .external_lex_state = 35},
  [6822] = {.lex_state = 87, .external_lex_state = 35},
  [6823] = {.lex_state = 80, .external_lex_state = 47},
  [6824] = {.lex_state = 78, .external_lex_state = 52},
  [6825] = {.lex_state = 87, .external_lex_state = 46},
  [6826] = {.lex_state = 88, .external_lex_state = 38},
  [6827] = {.lex_state = 80, .external_lex_state = 26},
  [6828] = {.lex_state = 80, .external_lex_state = 49},
  [6829] = {.lex_state = 79, .external_lex_state = 26},
  [6830] = {.lex_state = 85, .external_lex_state = 47},
  [6831] = {.lex_state = 85, .external_lex_state = 47},
  [6832] = {.lex_state = 79, .external_lex_state = 26},
  [6833] = {.lex_state = 96, .external_lex_state = 36},
  [6834] = {.lex_state = 78, .external_lex_state = 28},
  [6835] = {.lex_state = 79, .external_lex_state = 26},
  [6836] = {.lex_state = 85, .external_lex_state = 47},
  [6837] = {.lex_state = 85, .external_lex_state = 44},
  [6838] = {.lex_state = 78, .external_lex_state = 55},
  [6839] = {.lex_state = 87, .external_lex_state = 40},
  [6840] = {.lex_state = 100, .external_lex_state = 39},
  [6841] = {.lex_state = 87, .external_lex_state = 35},
  [6842] = {.lex_state = 83, .external_lex_state = 55},
  [6843] = {.lex_state = 88, .external_lex_state = 42},
  [6844] = {.lex_state = 87, .external_lex_state = 35},
  [6845] = {.lex_state = 88, .external_lex_state = 42},
  [6846] = {.lex_state = 28, .external_lex_state = 52},
  [6847] = {.lex_state = 94, .external_lex_state = 39},
  [6848] = {.lex_state = 87, .external_lex_state = 44},
  [6849] = {.lex_state = 78, .external_lex_state = 34},
  [6850] = {.lex_state = 79, .external_lex_state = 26},
  [6851] = {.lex_state = 80, .external_lex_state = 49},
  [6852] = {.lex_state = 88, .external_lex_state = 42},
  [6853] = {.lex_state = 87, .external_lex_state = 40},
  [6854] = {.lex_state = 80, .external_lex_state = 49},
  [6855] = {.lex_state = 87, .external_lex_state = 37},
  [6856] = {.lex_state = 87, .external_lex_state = 35},
  [6857] = {.lex_state = 80, .external_lex_state = 49},
  [6858] = {.lex_state = 95, .external_lex_state = 35},
  [6859] = {.lex_state = 80, .external_lex_state = 49},
  [6860] = {.lex_state = 82, .external_lex_state = 39},
  [6861] = {.lex_state = 15, .external_lex_state = 52},
  [6862] = {.lex_state = 87, .external_lex_state = 35},
  [6863] = {.lex_state = 79, .external_lex_state = 26},
  [6864] = {.lex_state = 80, .external_lex_state = 49},
  [6865] = {.lex_state = 80, .external_lex_state = 49},
  [6866] = {.lex_state = 80, .external_lex_state = 49},
  [6867] = {.lex_state = 94, .external_lex_state = 38},
  [6868] = {.lex_state = 87, .external_lex_state = 35},
  [6869] = {.lex_state = 79, .external_lex_state = 26},
  [6870] = {.lex_state = 28, .external_lex_state = 52},
  [6871] = {.lex_state = 85, .external_lex_state = 49},
  [6872] = {.lex_state = 87, .external_lex_state = 37},
  [6873] = {.lex_state = 40, .external_lex_state = 52},
  [6874] = {.lex_state = 78, .external_lex_state = 27},
  [6875] = {.lex_state = 85, .external_lex_state = 27},
  [6876] = {.lex_state = 100, .external_lex_state = 39},
  [6877] = {.lex_state = 94, .external_lex_state = 38},
  [6878] = {.lex_state = 80, .external_lex_state = 41},
  [6879] = {.lex_state = 79, .external_lex_state = 26},
  [6880] = {.lex_state = 87, .external_lex_state = 40},
  [6881] = {.lex_state = 78, .external_lex_state = 34},
  [6882] = {.lex_state = 83, .external_lex_state = 55},
  [6883] = {.lex_state = 87, .external_lex_state = 35},
  [6884] = {.lex_state = 83, .external_lex_state = 55},
  [6885] = {.lex_state = 82, .external_lex_state = 39},
  [6886] = {.lex_state = 86, .external_lex_state = 55},
  [6887] = {.lex_state = 83, .external_lex_state = 55},
  [6888] = {.lex_state = 87, .external_lex_state = 35},
  [6889] = {.lex_state = 75, .external_lex_state = 54},
  [6890] = {.lex_state = 87, .external_lex_state = 35},
  [6891] = {.lex_state = 80, .external_lex_state = 41},
  [6892] = {.lex_state = 79, .external_lex_state = 26},
  [6893] = {.lex_state = 87, .external_lex_state = 35},
  [6894] = {.lex_state = 75, .external_lex_state = 39},
  [6895] = {.lex_state = 87, .external_lex_state = 24},
  [6896] = {.lex_state = 82, .external_lex_state = 39},
  [6897] = {.lex_state = 80, .external_lex_state = 26},
  [6898] = {.lex_state = 75, .external_lex_state = 48},
  [6899] = {.lex_state = 80, .external_lex_state = 26},
  [6900] = {.lex_state = 87, .external_lex_state = 37},
  [6901] = {.lex_state = 96, .external_lex_state = 39},
  [6902] = {.lex_state = 87, .external_lex_state = 37},
  [6903] = {.lex_state = 80, .external_lex_state = 26},
  [6904] = {.lex_state = 79, .external_lex_state = 50},
  [6905] = {.lex_state = 80, .external_lex_state = 42},
  [6906] = {.lex_state = 80, .external_lex_state = 26},
  [6907] = {.lex_state = 82, .external_lex_state = 39},
  [6908] = {.lex_state = 82, .external_lex_state = 52},
  [6909] = {.lex_state = 90, .external_lex_state = 29},
  [6910] = {.lex_state = 82, .external_lex_state = 39},
  [6911] = {.lex_state = 95, .external_lex_state = 37},
  [6912] = {.lex_state = 80, .external_lex_state = 26},
  [6913] = {.lex_state = 87, .external_lex_state = 37},
  [6914] = {.lex_state = 79, .external_lex_state = 26},
  [6915] = {.lex_state = 88, .external_lex_state = 49},
  [6916] = {.lex_state = 87, .external_lex_state = 40},
  [6917] = {.lex_state = 80, .external_lex_state = 26},
  [6918] = {.lex_state = 80, .external_lex_state = 26},
  [6919] = {.lex_state = 86, .external_lex_state = 55},
  [6920] = {.lex_state = 80, .external_lex_state = 42},
  [6921] = {.lex_state = 82, .external_lex_state = 39},
  [6922] = {.lex_state = 75, .external_lex_state = 51},
  [6923] = {.lex_state = 85, .external_lex_state = 47},
  [6924] = {.lex_state = 85, .external_lex_state = 27},
  [6925] = {.lex_state = 87, .external_lex_state = 35},
  [6926] = {.lex_state = 78, .external_lex_state = 27},
  [6927] = {.lex_state = 79, .external_lex_state = 49},
  [6928] = {.lex_state = 78, .external_lex_state = 27},
  [6929] = {.lex_state = 80, .external_lex_state = 26},
  [6930] = {.lex_state = 87, .external_lex_state = 35},
  [6931] = {.lex_state = 88, .external_lex_state = 42},
  [6932] = {.lex_state = 86, .external_lex_state = 42},
  [6933] = {.lex_state = 82, .external_lex_state = 39},
  [6934] = {.lex_state = 88, .external_lex_state = 47},
  [6935] = {.lex_state = 78, .external_lex_state = 27},
  [6936] = {.lex_state = 78, .external_lex_state = 55},
  [6937] = {.lex_state = 78, .external_lex_state = 27},
  [6938] = {.lex_state = 78, .external_lex_state = 27},
  [6939] = {.lex_state = 78, .external_lex_state = 27},
  [6940] = {.lex_state = 78, .external_lex_state = 27},
  [6941] = {.lex_state = 80, .external_lex_state = 28},
  [6942] = {.lex_state = 82, .external_lex_state = 39},
  [6943] = {.lex_state = 80, .external_lex_state = 47},
  [6944] = {.lex_state = 78, .external_lex_state = 28},
  [6945] = {.lex_state = 87, .external_lex_state = 35},
  [6946] = {.lex_state = 88, .external_lex_state = 49},
  [6947] = {.lex_state = 96, .external_lex_state = 34},
  [6948] = {.lex_state = 85, .external_lex_state = 55},
  [6949] = {.lex_state = 87, .external_lex_state = 37},
  [6950] = {.lex_state = 80, .external_lex_state = 45},
  [6951] = {.lex_state = 87, .external_lex_state = 40},
  [6952] = {.lex_state = 79, .external_lex_state = 49},
  [6953] = {.lex_state = 79, .external_lex_state = 50},
  [6954] = {.lex_state = 85, .external_lex_state = 26},
  [6955] = {.lex_state = 79, .external_lex_state = 49},
  [6956] = {.lex_state = 79, .external_lex_state = 50},
  [6957] = {.lex_state = 85, .external_lex_state = 26},
  [6958] = {.lex_state = 79, .external_lex_state = 49},
  [6959] = {.lex_state = 79, .external_lex_state = 50},
  [6960] = {.lex_state = 82, .external_lex_state = 39},
  [6961] = {.lex_state = 87, .external_lex_state = 37},
  [6962] = {.lex_state = 94, .external_lex_state = 36},
  [6963] = {.lex_state = 79, .external_lex_state = 50},
  [6964] = {.lex_state = 80, .external_lex_state = 45},
  [6965] = {.lex_state = 85, .external_lex_state = 26},
  [6966] = {.lex_state = 82, .external_lex_state = 39},
  [6967] = {.lex_state = 79, .external_lex_state = 50},
  [6968] = {.lex_state = 80, .external_lex_state = 28},
  [6969] = {.lex_state = 79, .external_lex_state = 50},
  [6970] = {.lex_state = 79, .external_lex_state = 50},
  [6971] = {.lex_state = 75, .external_lex_state = 51},
  [6972] = {.lex_state = 94, .external_lex_state = 36},
  [6973] = {.lex_state = 78, .external_lex_state = 28},
  [6974] = {.lex_state = 86, .external_lex_state = 52},
  [6975] = {.lex_state = 85, .external_lex_state = 50},
  [6976] = {.lex_state = 80, .external_lex_state = 49},
  [6977] = {.lex_state = 81, .external_lex_state = 39},
  [6978] = {.lex_state = 95, .external_lex_state = 40},
  [6979] = {.lex_state = 80, .external_lex_state = 27},
  [6980] = {.lex_state = 85, .external_lex_state = 50},
  [6981] = {.lex_state = 93, .external_lex_state = 39},
  [6982] = {.lex_state = 79, .external_lex_state = 50},
  [6983] = {.lex_state = 88, .external_lex_state = 47},
  [6984] = {.lex_state = 85, .external_lex_state = 50},
  [6985] = {.lex_state = 85, .external_lex_state = 52},
  [6986] = {.lex_state = 87, .external_lex_state = 37},
  [6987] = {.lex_state = 79, .external_lex_state = 50},
  [6988] = {.lex_state = 85, .external_lex_state = 50},
  [6989] = {.lex_state = 93, .external_lex_state = 39},
  [6990] = {.lex_state = 79, .external_lex_state = 50},
  [6991] = {.lex_state = 86, .external_lex_state = 52},
  [6992] = {.lex_state = 81, .external_lex_state = 39},
  [6993] = {.lex_state = 78, .external_lex_state = 27},
  [6994] = {.lex_state = 96, .external_lex_state = 30},
  [6995] = {.lex_state = 80, .external_lex_state = 34},
  [6996] = {.lex_state = 79, .external_lex_state = 50},
  [6997] = {.lex_state = 87, .external_lex_state = 40},
  [6998] = {.lex_state = 87, .external_lex_state = 40},
  [6999] = {.lex_state = 83, .external_lex_state = 55},
  [7000] = {.lex_state = 10, .external_lex_state = 52},
  [7001] = {.lex_state = 96, .external_lex_state = 31},
  [7002] = {.lex_state = 80, .external_lex_state = 50},
  [7003] = {.lex_state = 95, .external_lex_state = 29},
  [7004] = {.lex_state = 96, .external_lex_state = 30},
  [7005] = {.lex_state = 79, .external_lex_state = 39},
  [7006] = {.lex_state = 10, .external_lex_state = 52},
  [7007] = {.lex_state = 86, .external_lex_state = 28},
  [7008] = {.lex_state = 75, .external_lex_state = 53},
  [7009] = {.lex_state = 79, .external_lex_state = 50},
  [7010] = {.lex_state = 80, .external_lex_state = 28},
  [7011] = {.lex_state = 80, .external_lex_state = 50},
  [7012] = {.lex_state = 82, .external_lex_state = 39},
  [7013] = {.lex_state = 85, .external_lex_state = 31},
  [7014] = {.lex_state = 80, .external_lex_state = 50},
  [7015] = {.lex_state = 80, .external_lex_state = 50},
  [7016] = {.lex_state = 80, .external_lex_state = 50},
  [7017] = {.lex_state = 87, .external_lex_state = 40},
  [7018] = {.lex_state = 80, .external_lex_state = 50},
  [7019] = {.lex_state = 80, .external_lex_state = 50},
  [7020] = {.lex_state = 87, .external_lex_state = 38},
  [7021] = {.lex_state = 80, .external_lex_state = 50},
  [7022] = {.lex_state = 87, .external_lex_state = 37},
  [7023] = {.lex_state = 86, .external_lex_state = 41},
  [7024] = {.lex_state = 85, .external_lex_state = 31},
  [7025] = {.lex_state = 10, .external_lex_state = 52},
  [7026] = {.lex_state = 86, .external_lex_state = 44},
  [7027] = {.lex_state = 87, .external_lex_state = 35},
  [7028] = {.lex_state = 80, .external_lex_state = 26},
  [7029] = {.lex_state = 80, .external_lex_state = 26},
  [7030] = {.lex_state = 80, .external_lex_state = 26},
  [7031] = {.lex_state = 87, .external_lex_state = 38},
  [7032] = {.lex_state = 81, .external_lex_state = 39},
  [7033] = {.lex_state = 87, .external_lex_state = 40},
  [7034] = {.lex_state = 79, .external_lex_state = 47},
  [7035] = {.lex_state = 87, .external_lex_state = 35},
  [7036] = {.lex_state = 87, .external_lex_state = 35},
  [7037] = {.lex_state = 87, .external_lex_state = 40},
  [7038] = {.lex_state = 87, .external_lex_state = 37},
  [7039] = {.lex_state = 96, .external_lex_state = 31},
  [7040] = {.lex_state = 87, .external_lex_state = 40},
  [7041] = {.lex_state = 87, .external_lex_state = 40},
  [7042] = {.lex_state = 86, .external_lex_state = 44},
  [7043] = {.lex_state = 96, .external_lex_state = 31},
  [7044] = {.lex_state = 87, .external_lex_state = 40},
  [7045] = {.lex_state = 87, .external_lex_state = 40},
  [7046] = {.lex_state = 86, .external_lex_state = 44},
  [7047] = {.lex_state = 86, .external_lex_state = 44},
  [7048] = {.lex_state = 87, .external_lex_state = 35},
  [7049] = {.lex_state = 87, .external_lex_state = 35},
  [7050] = {.lex_state = 88, .external_lex_state = 52},
  [7051] = {.lex_state = 87, .external_lex_state = 35},
  [7052] = {.lex_state = 96, .external_lex_state = 34},
  [7053] = {.lex_state = 87, .external_lex_state = 40},
  [7054] = {.lex_state = 94, .external_lex_state = 39},
  [7055] = {.lex_state = 87, .external_lex_state = 35},
  [7056] = {.lex_state = 87, .external_lex_state = 40},
  [7057] = {.lex_state = 87, .external_lex_state = 35},
  [7058] = {.lex_state = 87, .external_lex_state = 37},
  [7059] = {.lex_state = 87, .external_lex_state = 35},
  [7060] = {.lex_state = 87, .external_lex_state = 35},
  [7061] = {.lex_state = 85, .external_lex_state = 26},
  [7062] = {.lex_state = 87, .external_lex_state = 35},
  [7063] = {.lex_state = 80, .external_lex_state = 26},
  [7064] = {.lex_state = 88, .external_lex_state = 26},
  [7065] = {.lex_state = 87, .external_lex_state = 35},
  [7066] = {.lex_state = 87, .external_lex_state = 37},
  [7067] = {.lex_state = 87, .external_lex_state = 40},
  [7068] = {.lex_state = 87, .external_lex_state = 37},
  [7069] = {.lex_state = 87, .external_lex_state = 35},
  [7070] = {.lex_state = 78, .external_lex_state = 34},
  [7071] = {.lex_state = 10, .external_lex_state = 52},
  [7072] = {.lex_state = 87, .external_lex_state = 40},
  [7073] = {.lex_state = 79, .external_lex_state = 47},
  [7074] = {.lex_state = 87, .external_lex_state = 40},
  [7075] = {.lex_state = 87, .external_lex_state = 35},
  [7076] = {.lex_state = 87, .external_lex_state = 37},
  [7077] = {.lex_state = 79, .external_lex_state = 47},
  [7078] = {.lex_state = 78, .external_lex_state = 28},
  [7079] = {.lex_state = 79, .external_lex_state = 47},
  [7080] = {.lex_state = 80, .external_lex_state = 50},
  [7081] = {.lex_state = 79, .external_lex_state = 49},
  [7082] = {.lex_state = 87, .external_lex_state = 40},
  [7083] = {.lex_state = 87, .external_lex_state = 35},
  [7084] = {.lex_state = 78, .external_lex_state = 31},
  [7085] = {.lex_state = 87, .external_lex_state = 45},
  [7086] = {.lex_state = 87, .external_lex_state = 37},
  [7087] = {.lex_state = 87, .external_lex_state = 40},
  [7088] = {.lex_state = 87, .external_lex_state = 35},
  [7089] = {.lex_state = 86, .external_lex_state = 27},
  [7090] = {.lex_state = 87, .external_lex_state = 40},
  [7091] = {.lex_state = 87, .external_lex_state = 35},
  [7092] = {.lex_state = 94, .external_lex_state = 42},
  [7093] = {.lex_state = 87, .external_lex_state = 35},
  [7094] = {.lex_state = 93, .external_lex_state = 55},
  [7095] = {.lex_state = 87, .external_lex_state = 40},
  [7096] = {.lex_state = 87, .external_lex_state = 40},
  [7097] = {.lex_state = 87, .external_lex_state = 35},
  [7098] = {.lex_state = 93, .external_lex_state = 55},
  [7099] = {.lex_state = 87, .external_lex_state = 40},
  [7100] = {.lex_state = 88, .external_lex_state = 27},
  [7101] = {.lex_state = 88, .external_lex_state = 27},
  [7102] = {.lex_state = 87, .external_lex_state = 37},
  [7103] = {.lex_state = 95, .external_lex_state = 29},
  [7104] = {.lex_state = 88, .external_lex_state = 45},
  [7105] = {.lex_state = 90, .external_lex_state = 29},
  [7106] = {.lex_state = 95, .external_lex_state = 29},
  [7107] = {.lex_state = 88, .external_lex_state = 45},
  [7108] = {.lex_state = 78, .external_lex_state = 28},
  [7109] = {.lex_state = 87, .external_lex_state = 37},
  [7110] = {.lex_state = 82, .external_lex_state = 39},
  [7111] = {.lex_state = 87, .external_lex_state = 40},
  [7112] = {.lex_state = 95, .external_lex_state = 29},
  [7113] = {.lex_state = 88, .external_lex_state = 45},
  [7114] = {.lex_state = 88, .external_lex_state = 26},
  [7115] = {.lex_state = 87, .external_lex_state = 35},
  [7116] = {.lex_state = 87, .external_lex_state = 35},
  [7117] = {.lex_state = 95, .external_lex_state = 29},
  [7118] = {.lex_state = 87, .external_lex_state = 40},
  [7119] = {.lex_state = 87, .external_lex_state = 37},
  [7120] = {.lex_state = 75, .external_lex_state = 39},
  [7121] = {.lex_state = 87, .external_lex_state = 35},
  [7122] = {.lex_state = 95, .external_lex_state = 29},
  [7123] = {.lex_state = 87, .external_lex_state = 35},
  [7124] = {.lex_state = 87, .external_lex_state = 37},
  [7125] = {.lex_state = 80, .external_lex_state = 27},
  [7126] = {.lex_state = 78, .external_lex_state = 28},
  [7127] = {.lex_state = 87, .external_lex_state = 35},
  [7128] = {.lex_state = 87, .external_lex_state = 40},
  [7129] = {.lex_state = 87, .external_lex_state = 35},
  [7130] = {.lex_state = 87, .external_lex_state = 37},
  [7131] = {.lex_state = 87, .external_lex_state = 37},
  [7132] = {.lex_state = 87, .external_lex_state = 37},
  [7133] = {.lex_state = 78, .external_lex_state = 28},
  [7134] = {.lex_state = 88, .external_lex_state = 55},
  [7135] = {.lex_state = 85, .external_lex_state = 45},
  [7136] = {.lex_state = 87, .external_lex_state = 37},
  [7137] = {.lex_state = 87, .external_lex_state = 37},
  [7138] = {.lex_state = 86, .external_lex_state = 52},
  [7139] = {.lex_state = 87, .external_lex_state = 40},
  [7140] = {.lex_state = 88, .external_lex_state = 55},
  [7141] = {.lex_state = 86, .external_lex_state = 27},
  [7142] = {.lex_state = 87, .external_lex_state = 35},
  [7143] = {.lex_state = 95, .external_lex_state = 29},
  [7144] = {.lex_state = 87, .external_lex_state = 37},
  [7145] = {.lex_state = 87, .external_lex_state = 37},
  [7146] = {.lex_state = 87, .external_lex_state = 35},
  [7147] = {.lex_state = 78, .external_lex_state = 28},
  [7148] = {.lex_state = 78, .external_lex_state = 52},
  [7149] = {.lex_state = 87, .external_lex_state = 37},
  [7150] = {.lex_state = 87, .external_lex_state = 35},
  [7151] = {.lex_state = 87, .external_lex_state = 35},
  [7152] = {.lex_state = 87, .external_lex_state = 37},
  [7153] = {.lex_state = 87, .external_lex_state = 37},
  [7154] = {.lex_state = 86, .external_lex_state = 41},
  [7155] = {.lex_state = 87, .external_lex_state = 35},
  [7156] = {.lex_state = 81, .external_lex_state = 39},
  [7157] = {.lex_state = 78, .external_lex_state = 47},
  [7158] = {.lex_state = 11, .external_lex_state = 52},
  [7159] = {.lex_state = 88, .external_lex_state = 44},
  [7160] = {.lex_state = 88, .external_lex_state = 39},
  [7161] = {.lex_state = 88, .external_lex_state = 44},
  [7162] = {.lex_state = 79, .external_lex_state = 26},
  [7163] = {.lex_state = 87, .external_lex_state = 43},
  [7164] = {.lex_state = 87, .external_lex_state = 35},
  [7165] = {.lex_state = 87, .external_lex_state = 37},
  [7166] = {.lex_state = 87, .external_lex_state = 37},
  [7167] = {.lex_state = 87, .external_lex_state = 37},
  [7168] = {.lex_state = 10, .external_lex_state = 52},
  [7169] = {.lex_state = 75, .external_lex_state = 39},
  [7170] = {.lex_state = 87, .external_lex_state = 35},
  [7171] = {.lex_state = 88, .external_lex_state = 44},
  [7172] = {.lex_state = 75, .external_lex_state = 48},
  [7173] = {.lex_state = 87, .external_lex_state = 37},
  [7174] = {.lex_state = 80, .external_lex_state = 39},
  [7175] = {.lex_state = 85, .external_lex_state = 55},
  [7176] = {.lex_state = 10, .external_lex_state = 52},
  [7177] = {.lex_state = 88, .external_lex_state = 44},
  [7178] = {.lex_state = 10, .external_lex_state = 52},
  [7179] = {.lex_state = 10, .external_lex_state = 52},
  [7180] = {.lex_state = 87, .external_lex_state = 37},
  [7181] = {.lex_state = 80, .external_lex_state = 47},
  [7182] = {.lex_state = 80, .external_lex_state = 47},
  [7183] = {.lex_state = 78, .external_lex_state = 28},
  [7184] = {.lex_state = 75, .external_lex_state = 55},
  [7185] = {.lex_state = 81, .external_lex_state = 55},
  [7186] = {.lex_state = 87, .external_lex_state = 23},
  [7187] = {.lex_state = 92, .external_lex_state = 39},
  [7188] = {.lex_state = 80, .external_lex_state = 47},
  [7189] = {.lex_state = 10, .external_lex_state = 52},
  [7190] = {.lex_state = 79, .external_lex_state = 50},
  [7191] = {.lex_state = 79, .external_lex_state = 47},
  [7192] = {.lex_state = 10, .external_lex_state = 52},
  [7193] = {.lex_state = 87, .external_lex_state = 56},
  [7194] = {.lex_state = 75, .external_lex_state = 24},
  [7195] = {.lex_state = 79, .external_lex_state = 26},
  [7196] = {.lex_state = 78, .external_lex_state = 55},
  [7197] = {.lex_state = 80, .external_lex_state = 55},
  [7198] = {.lex_state = 80, .external_lex_state = 47},
  [7199] = {.lex_state = 85, .external_lex_state = 52},
  [7200] = {.lex_state = 79, .external_lex_state = 47},
  [7201] = {.lex_state = 86, .external_lex_state = 28},
  [7202] = {.lex_state = 75, .external_lex_state = 39},
  [7203] = {.lex_state = 10, .external_lex_state = 52},
  [7204] = {.lex_state = 86, .external_lex_state = 42},
  [7205] = {.lex_state = 87, .external_lex_state = 36},
  [7206] = {.lex_state = 80, .external_lex_state = 49},
  [7207] = {.lex_state = 83, .external_lex_state = 39},
  [7208] = {.lex_state = 79, .external_lex_state = 47},
  [7209] = {.lex_state = 80, .external_lex_state = 49},
  [7210] = {.lex_state = 87, .external_lex_state = 40},
  [7211] = {.lex_state = 80, .external_lex_state = 49},
  [7212] = {.lex_state = 75, .external_lex_state = 48},
  [7213] = {.lex_state = 87, .external_lex_state = 36},
  [7214] = {.lex_state = 78, .external_lex_state = 49},
  [7215] = {.lex_state = 78, .external_lex_state = 52},
  [7216] = {.lex_state = 88, .external_lex_state = 45},
  [7217] = {.lex_state = 87, .external_lex_state = 40},
  [7218] = {.lex_state = 87, .external_lex_state = 24},
  [7219] = {.lex_state = 87, .external_lex_state = 37},
  [7220] = {.lex_state = 87, .external_lex_state = 37},
  [7221] = {.lex_state = 78, .external_lex_state = 28},
  [7222] = {.lex_state = 80, .external_lex_state = 49},
  [7223] = {.lex_state = 78, .external_lex_state = 27},
  [7224] = {.lex_state = 78, .external_lex_state = 28},
  [7225] = {.lex_state = 82, .external_lex_state = 39},
  [7226] = {.lex_state = 78, .external_lex_state = 27},
  [7227] = {.lex_state = 78, .external_lex_state = 27},
  [7228] = {.lex_state = 79, .external_lex_state = 49},
  [7229] = {.lex_state = 10, .external_lex_state = 52},
  [7230] = {.lex_state = 79, .external_lex_state = 49},
  [7231] = {.lex_state = 78, .external_lex_state = 27},
  [7232] = {.lex_state = 79, .external_lex_state = 49},
  [7233] = {.lex_state = 78, .external_lex_state = 28},
  [7234] = {.lex_state = 83, .external_lex_state = 55},
  [7235] = {.lex_state = 87, .external_lex_state = 40},
  [7236] = {.lex_state = 78, .external_lex_state = 34},
  [7237] = {.lex_state = 83, .external_lex_state = 39},
  [7238] = {.lex_state = 80, .external_lex_state = 55},
  [7239] = {.lex_state = 87, .external_lex_state = 37},
  [7240] = {.lex_state = 79, .external_lex_state = 26},
  [7241] = {.lex_state = 83, .external_lex_state = 55},
  [7242] = {.lex_state = 83, .external_lex_state = 55},
  [7243] = {.lex_state = 81, .external_lex_state = 55},
  [7244] = {.lex_state = 87, .external_lex_state = 40},
  [7245] = {.lex_state = 83, .external_lex_state = 55},
  [7246] = {.lex_state = 80, .external_lex_state = 50},
  [7247] = {.lex_state = 83, .external_lex_state = 55},
  [7248] = {.lex_state = 80, .external_lex_state = 50},
  [7249] = {.lex_state = 82, .external_lex_state = 39},
  [7250] = {.lex_state = 83, .external_lex_state = 55},
  [7251] = {.lex_state = 80, .external_lex_state = 50},
  [7252] = {.lex_state = 78, .external_lex_state = 28},
  [7253] = {.lex_state = 80, .external_lex_state = 55},
  [7254] = {.lex_state = 83, .external_lex_state = 55},
  [7255] = {.lex_state = 77},
  [7256] = {.lex_state = 81, .external_lex_state = 55},
  [7257] = {.lex_state = 80, .external_lex_state = 50},
  [7258] = {.lex_state = 10, .external_lex_state = 52},
  [7259] = {.lex_state = 78, .external_lex_state = 55},
  [7260] = {.lex_state = 80, .external_lex_state = 44},
  [7261] = {.lex_state = 77},
  [7262] = {.lex_state = 80, .external_lex_state = 44},
  [7263] = {.lex_state = 78, .external_lex_state = 31},
  [7264] = {.lex_state = 87, .external_lex_state = 40},
  [7265] = {.lex_state = 95, .external_lex_state = 29},
  [7266] = {.lex_state = 78, .external_lex_state = 31},
  [7267] = {.lex_state = 83, .external_lex_state = 55},
  [7268] = {.lex_state = 77},
  [7269] = {.lex_state = 79, .external_lex_state = 50},
  [7270] = {.lex_state = 75, .external_lex_state = 54},
  [7271] = {.lex_state = 96, .external_lex_state = 34},
  [7272] = {.lex_state = 95, .external_lex_state = 29},
  [7273] = {.lex_state = 95, .external_lex_state = 29},
  [7274] = {.lex_state = 79, .external_lex_state = 50},
  [7275] = {.lex_state = 79, .external_lex_state = 39},
  [7276] = {.lex_state = 87, .external_lex_state = 40},
  [7277] = {.lex_state = 79, .external_lex_state = 26},
  [7278] = {.lex_state = 83, .external_lex_state = 39},
  [7279] = {.lex_state = 12, .external_lex_state = 52},
  [7280] = {.lex_state = 79, .external_lex_state = 26},
  [7281] = {.lex_state = 78, .external_lex_state = 52},
  [7282] = {.lex_state = 87, .external_lex_state = 40},
  [7283] = {.lex_state = 79, .external_lex_state = 26},
  [7284] = {.lex_state = 85, .external_lex_state = 28},
  [7285] = {.lex_state = 87, .external_lex_state = 23},
  [7286] = {.lex_state = 40, .external_lex_state = 52},
  [7287] = {.lex_state = 87, .external_lex_state = 58},
  [7288] = {.lex_state = 96, .external_lex_state = 34},
  [7289] = {.lex_state = 87, .external_lex_state = 23},
  [7290] = {.lex_state = 87, .external_lex_state = 40},
  [7291] = {.lex_state = 78, .external_lex_state = 55},
  [7292] = {.lex_state = 80, .external_lex_state = 27},
  [7293] = {.lex_state = 75, .external_lex_state = 55},
  [7294] = {.lex_state = 78, .external_lex_state = 55},
  [7295] = {.lex_state = 80, .external_lex_state = 27},
  [7296] = {.lex_state = 97, .external_lex_state = 33},
  [7297] = {.lex_state = 87, .external_lex_state = 32},
  [7298] = {.lex_state = 75, .external_lex_state = 53},
  [7299] = {.lex_state = 83, .external_lex_state = 39},
  [7300] = {.lex_state = 78, .external_lex_state = 55},
  [7301] = {.lex_state = 86, .external_lex_state = 52},
  [7302] = {.lex_state = 87, .external_lex_state = 40},
  [7303] = {.lex_state = 87, .external_lex_state = 32},
  [7304] = {.lex_state = 87, .external_lex_state = 40},
  [7305] = {.lex_state = 75, .external_lex_state = 23},
  [7306] = {.lex_state = 96, .external_lex_state = 34},
  [7307] = {.lex_state = 86, .external_lex_state = 55},
  [7308] = {.lex_state = 87, .external_lex_state = 37},
  [7309] = {.lex_state = 80, .external_lex_state = 31},
  [7310] = {.lex_state = 94, .external_lex_state = 39},
  [7311] = {.lex_state = 79, .external_lex_state = 49},
  [7312] = {.lex_state = 78, .external_lex_state = 28},
  [7313] = {.lex_state = 78, .external_lex_state = 52},
  [7314] = {.lex_state = 78, .external_lex_state = 39},
  [7315] = {.lex_state = 94, .external_lex_state = 39},
  [7316] = {.lex_state = 75, .external_lex_state = 55},
  [7317] = {.lex_state = 79, .external_lex_state = 49},
  [7318] = {.lex_state = 88, .external_lex_state = 52},
  [7319] = {.lex_state = 78, .external_lex_state = 52},
  [7320] = {.lex_state = 83, .external_lex_state = 39},
  [7321] = {.lex_state = 87, .external_lex_state = 40},
  [7322] = {.lex_state = 96, .external_lex_state = 31},
  [7323] = {.lex_state = 79, .external_lex_state = 49},
  [7324] = {.lex_state = 34},
  [7325] = {.lex_state = 87, .external_lex_state = 40},
  [7326] = {.lex_state = 75, .external_lex_state = 37},
  [7327] = {.lex_state = 79, .external_lex_state = 49},
  [7328] = {.lex_state = 78, .external_lex_state = 52},
  [7329] = {.lex_state = 88, .external_lex_state = 52},
  [7330] = {.lex_state = 87, .external_lex_state = 40},
  [7331] = {.lex_state = 79, .external_lex_state = 49},
  [7332] = {.lex_state = 78, .external_lex_state = 55},
  [7333] = {.lex_state = 78, .external_lex_state = 52},
  [7334] = {.lex_state = 79, .external_lex_state = 49},
  [7335] = {.lex_state = 87, .external_lex_state = 39},
  [7336] = {.lex_state = 75, .external_lex_state = 55},
  [7337] = {.lex_state = 88, .external_lex_state = 52},
  [7338] = {.lex_state = 75, .external_lex_state = 39},
  [7339] = {.lex_state = 92, .external_lex_state = 55},
  [7340] = {.lex_state = 79, .external_lex_state = 49},
  [7341] = {.lex_state = 86, .external_lex_state = 41},
  [7342] = {.lex_state = 86, .external_lex_state = 41},
  [7343] = {.lex_state = 78, .external_lex_state = 52},
  [7344] = {.lex_state = 87, .external_lex_state = 43},
  [7345] = {.lex_state = 86, .external_lex_state = 45},
  [7346] = {.lex_state = 34},
  [7347] = {.lex_state = 79, .external_lex_state = 49},
  [7348] = {.lex_state = 79, .external_lex_state = 47},
  [7349] = {.lex_state = 87, .external_lex_state = 56},
  [7350] = {.lex_state = 87, .external_lex_state = 23},
  [7351] = {.lex_state = 86, .external_lex_state = 41},
  [7352] = {.lex_state = 87, .external_lex_state = 39},
  [7353] = {.lex_state = 75, .external_lex_state = 24},
  [7354] = {.lex_state = 78, .external_lex_state = 52},
  [7355] = {.lex_state = 11, .external_lex_state = 52},
  [7356] = {.lex_state = 87, .external_lex_state = 40},
  [7357] = {.lex_state = 75, .external_lex_state = 51},
  [7358] = {.lex_state = 83, .external_lex_state = 39},
  [7359] = {.lex_state = 87, .external_lex_state = 23},
  [7360] = {.lex_state = 83, .external_lex_state = 39},
  [7361] = {.lex_state = 87, .external_lex_state = 40},
  [7362] = {.lex_state = 87, .external_lex_state = 40},
  [7363] = {.lex_state = 87, .external_lex_state = 23},
  [7364] = {.lex_state = 79, .external_lex_state = 50},
  [7365] = {.lex_state = 86, .external_lex_state = 45},
  [7366] = {.lex_state = 75, .external_lex_state = 39},
  [7367] = {.lex_state = 87, .external_lex_state = 42},
  [7368] = {.lex_state = 87, .external_lex_state = 40},
  [7369] = {.lex_state = 78, .external_lex_state = 52},
  [7370] = {.lex_state = 79, .external_lex_state = 26},
  [7371] = {.lex_state = 75, .external_lex_state = 55},
  [7372] = {.lex_state = 75, .external_lex_state = 32},
  [7373] = {.lex_state = 83, .external_lex_state = 39},
  [7374] = {.lex_state = 75, .external_lex_state = 54},
  [7375] = {.lex_state = 80, .external_lex_state = 28},
  [7376] = {.lex_state = 87, .external_lex_state = 33},
  [7377] = {.lex_state = 87, .external_lex_state = 24},
  [7378] = {.lex_state = 86, .external_lex_state = 42},
  [7379] = {.lex_state = 78, .external_lex_state = 50},
  [7380] = {.lex_state = 83, .external_lex_state = 39},
  [7381] = {.lex_state = 87, .external_lex_state = 24},
  [7382] = {.lex_state = 86, .external_lex_state = 45},
  [7383] = {.lex_state = 86, .external_lex_state = 42},
  [7384] = {.lex_state = 87, .external_lex_state = 39},
  [7385] = {.lex_state = 83, .external_lex_state = 39},
  [7386] = {.lex_state = 86, .external_lex_state = 45},
  [7387] = {.lex_state = 87, .external_lex_state = 40},
  [7388] = {.lex_state = 82, .external_lex_state = 55},
  [7389] = {.lex_state = 75, .external_lex_state = 53},
  [7390] = {.lex_state = 83, .external_lex_state = 39},
  [7391] = {.lex_state = 86, .external_lex_state = 42},
  [7392] = {.lex_state = 92, .external_lex_state = 55},
  [7393] = {.lex_state = 87, .external_lex_state = 41},
  [7394] = {.lex_state = 87, .external_lex_state = 40},
  [7395] = {.lex_state = 34},
  [7396] = {.lex_state = 83, .external_lex_state = 39},
  [7397] = {.lex_state = 34},
  [7398] = {.lex_state = 83, .external_lex_state = 39},
  [7399] = {.lex_state = 79, .external_lex_state = 47},
  [7400] = {.lex_state = 86, .external_lex_state = 45},
  [7401] = {.lex_state = 14, .external_lex_state = 52},
  [7402] = {.lex_state = 83, .external_lex_state = 39},
  [7403] = {.lex_state = 32},
  [7404] = {.lex_state = 87, .external_lex_state = 43},
  [7405] = {.lex_state = 75, .external_lex_state = 23},
  [7406] = {.lex_state = 75, .external_lex_state = 29},
  [7407] = {.lex_state = 85, .external_lex_state = 42},
  [7408] = {.lex_state = 75, .external_lex_state = 46},
  [7409] = {.lex_state = 82, .external_lex_state = 55},
  [7410] = {.lex_state = 83, .external_lex_state = 39},
  [7411] = {.lex_state = 75, .external_lex_state = 33},
  [7412] = {.lex_state = 75, .external_lex_state = 23},
  [7413] = {.lex_state = 80, .external_lex_state = 52},
  [7414] = {.lex_state = 87, .external_lex_state = 40},
  [7415] = {.lex_state = 79, .external_lex_state = 47},
  [7416] = {.lex_state = 34},
  [7417] = {.lex_state = 80, .external_lex_state = 52},
  [7418] = {.lex_state = 75, .external_lex_state = 46},
  [7419] = {.lex_state = 34},
  [7420] = {.lex_state = 96, .external_lex_state = 31},
  [7421] = {.lex_state = 85, .external_lex_state = 41},
  [7422] = {.lex_state = 81, .external_lex_state = 52},
  [7423] = {.lex_state = 87, .external_lex_state = 37},
  [7424] = {.lex_state = 79, .external_lex_state = 47},
  [7425] = {.lex_state = 87, .external_lex_state = 37},
  [7426] = {.lex_state = 83, .external_lex_state = 39},
  [7427] = {.lex_state = 79, .external_lex_state = 47},
  [7428] = {.lex_state = 87, .external_lex_state = 37},
  [7429] = {.lex_state = 88, .external_lex_state = 28},
  [7430] = {.lex_state = 79, .external_lex_state = 47},
  [7431] = {.lex_state = 34},
  [7432] = {.lex_state = 87, .external_lex_state = 57},
  [7433] = {.lex_state = 79, .external_lex_state = 47},
  [7434] = {.lex_state = 78, .external_lex_state = 52},
  [7435] = {.lex_state = 88, .external_lex_state = 28},
  [7436] = {.lex_state = 4},
  [7437] = {.lex_state = 4},
  [7438] = {.lex_state = 79, .external_lex_state = 47},
  [7439] = {.lex_state = 11, .external_lex_state = 52},
  [7440] = {.lex_state = 75, .external_lex_state = 53},
  [7441] = {.lex_state = 4},
  [7442] = {.lex_state = 34},
  [7443] = {.lex_state = 94, .external_lex_state = 41},
  [7444] = {.lex_state = 81, .external_lex_state = 55},
  [7445] = {.lex_state = 79, .external_lex_state = 47},
  [7446] = {.lex_state = 87, .external_lex_state = 35},
  [7447] = {.lex_state = 34},
  [7448] = {.lex_state = 87, .external_lex_state = 37},
  [7449] = {.lex_state = 87, .external_lex_state = 23},
  [7450] = {.lex_state = 87, .external_lex_state = 37},
  [7451] = {.lex_state = 87, .external_lex_state = 35},
  [7452] = {.lex_state = 78, .external_lex_state = 26},
  [7453] = {.lex_state = 85, .external_lex_state = 28},
  [7454] = {.lex_state = 34},
  [7455] = {.lex_state = 87, .external_lex_state = 46},
  [7456] = {.lex_state = 87, .external_lex_state = 23},
  [7457] = {.lex_state = 78, .external_lex_state = 27},
  [7458] = {.lex_state = 87, .external_lex_state = 35},
  [7459] = {.lex_state = 87, .external_lex_state = 37},
  [7460] = {.lex_state = 34},
  [7461] = {.lex_state = 34},
  [7462] = {.lex_state = 75, .external_lex_state = 55},
  [7463] = {.lex_state = 78, .external_lex_state = 26},
  [7464] = {.lex_state = 92, .external_lex_state = 39},
  [7465] = {.lex_state = 80, .external_lex_state = 55},
  [7466] = {.lex_state = 94, .external_lex_state = 45},
  [7467] = {.lex_state = 87, .external_lex_state = 37},
  [7468] = {.lex_state = 87, .external_lex_state = 37},
  [7469] = {.lex_state = 75, .external_lex_state = 32},
  [7470] = {.lex_state = 75, .external_lex_state = 54},
  [7471] = {.lex_state = 87, .external_lex_state = 24},
  [7472] = {.lex_state = 79, .external_lex_state = 47},
  [7473] = {.lex_state = 92, .external_lex_state = 39},
  [7474] = {.lex_state = 87, .external_lex_state = 23},
  [7475] = {.lex_state = 79, .external_lex_state = 49},
  [7476] = {.lex_state = 87, .external_lex_state = 23},
  [7477] = {.lex_state = 87, .external_lex_state = 37},
  [7478] = {.lex_state = 75, .external_lex_state = 53},
  [7479] = {.lex_state = 75, .external_lex_state = 23},
  [7480] = {.lex_state = 83, .external_lex_state = 39},
  [7481] = {.lex_state = 78, .external_lex_state = 50},
  [7482] = {.lex_state = 87, .external_lex_state = 43},
  [7483] = {.lex_state = 75, .external_lex_state = 33},
  [7484] = {.lex_state = 87, .external_lex_state = 33},
  [7485] = {.lex_state = 78, .external_lex_state = 50},
  [7486] = {.lex_state = 92, .external_lex_state = 39},
  [7487] = {.lex_state = 87, .external_lex_state = 23},
  [7488] = {.lex_state = 85, .external_lex_state = 34},
  [7489] = {.lex_state = 86, .external_lex_state = 55},
  [7490] = {.lex_state = 85, .external_lex_state = 34},
  [7491] = {.lex_state = 87, .external_lex_state = 23},
  [7492] = {.lex_state = 87, .external_lex_state = 23},
  [7493] = {.lex_state = 100, .external_lex_state = 39},
  [7494] = {.lex_state = 32},
  [7495] = {.lex_state = 79, .external_lex_state = 28},
  [7496] = {.lex_state = 75, .external_lex_state = 23},
  [7497] = {.lex_state = 75, .external_lex_state = 23},
  [7498] = {.lex_state = 85, .external_lex_state = 50},
  [7499] = {.lex_state = 81, .external_lex_state = 39},
  [7500] = {.lex_state = 81, .external_lex_state = 55},
  [7501] = {.lex_state = 12, .external_lex_state = 52},
  [7502] = {.lex_state = 15, .external_lex_state = 52},
  [7503] = {.lex_state = 87, .external_lex_state = 51},
  [7504] = {.lex_state = 75, .external_lex_state = 56},
  [7505] = {.lex_state = 77},
  [7506] = {.lex_state = 87, .external_lex_state = 46},
  [7507] = {.lex_state = 87, .external_lex_state = 23},
  [7508] = {.lex_state = 86, .external_lex_state = 47},
  [7509] = {.lex_state = 81, .external_lex_state = 55},
  [7510] = {.lex_state = 75, .external_lex_state = 40},
  [7511] = {.lex_state = 32},
  [7512] = {.lex_state = 87, .external_lex_state = 46},
  [7513] = {.lex_state = 81, .external_lex_state = 55},
  [7514] = {.lex_state = 45, .external_lex_state = 52},
  [7515] = {.lex_state = 96, .external_lex_state = 39},
  [7516] = {.lex_state = 81, .external_lex_state = 39},
  [7517] = {.lex_state = 83, .external_lex_state = 39},
  [7518] = {.lex_state = 87, .external_lex_state = 53},
  [7519] = {.lex_state = 6},
  [7520] = {.lex_state = 34},
  [7521] = {.lex_state = 75, .external_lex_state = 35},
  [7522] = {.lex_state = 87, .external_lex_state = 23},
  [7523] = {.lex_state = 90, .external_lex_state = 33},
  [7524] = {.lex_state = 78, .external_lex_state = 34},
  [7525] = {.lex_state = 32},
  [7526] = {.lex_state = 88, .external_lex_state = 28},
  [7527] = {.lex_state = 12, .external_lex_state = 52},
  [7528] = {.lex_state = 75, .external_lex_state = 57},
  [7529] = {.lex_state = 87, .external_lex_state = 33},
  [7530] = {.lex_state = 81, .external_lex_state = 39},
  [7531] = {.lex_state = 32},
  [7532] = {.lex_state = 80, .external_lex_state = 55},
  [7533] = {.lex_state = 79, .external_lex_state = 27},
  [7534] = {.lex_state = 80, .external_lex_state = 55},
  [7535] = {.lex_state = 88, .external_lex_state = 45},
  [7536] = {.lex_state = 32},
  [7537] = {.lex_state = 79, .external_lex_state = 27},
  [7538] = {.lex_state = 94, .external_lex_state = 41},
  [7539] = {.lex_state = 32},
  [7540] = {.lex_state = 87, .external_lex_state = 54},
  [7541] = {.lex_state = 79, .external_lex_state = 55},
  [7542] = {.lex_state = 94, .external_lex_state = 45},
  [7543] = {.lex_state = 32},
  [7544] = {.lex_state = 81, .external_lex_state = 39},
  [7545] = {.lex_state = 80, .external_lex_state = 55},
  [7546] = {.lex_state = 17},
  [7547] = {.lex_state = 79, .external_lex_state = 27},
  [7548] = {.lex_state = 79, .external_lex_state = 52},
  [7549] = {.lex_state = 32},
  [7550] = {.lex_state = 5},
  [7551] = {.lex_state = 79, .external_lex_state = 27},
  [7552] = {.lex_state = 81, .external_lex_state = 39},
  [7553] = {.lex_state = 75},
  [7554] = {.lex_state = 79, .external_lex_state = 52},
  [7555] = {.lex_state = 87, .external_lex_state = 23},
  [7556] = {.lex_state = 6},
  [7557] = {.lex_state = 6},
  [7558] = {.lex_state = 32},
  [7559] = {.lex_state = 32},
  [7560] = {.lex_state = 7},
  [7561] = {.lex_state = 86, .external_lex_state = 31},
  [7562] = {.lex_state = 5},
  [7563] = {.lex_state = 11, .external_lex_state = 52},
  [7564] = {.lex_state = 79, .external_lex_state = 27},
  [7565] = {.lex_state = 32},
  [7566] = {.lex_state = 32},
  [7567] = {.lex_state = 11, .external_lex_state = 52},
  [7568] = {.lex_state = 80, .external_lex_state = 55},
  [7569] = {.lex_state = 79, .external_lex_state = 52},
  [7570] = {.lex_state = 79, .external_lex_state = 27},
  [7571] = {.lex_state = 81, .external_lex_state = 39},
  [7572] = {.lex_state = 32},
  [7573] = {.lex_state = 79, .external_lex_state = 27},
  [7574] = {.lex_state = 14, .external_lex_state = 52},
  [7575] = {.lex_state = 5},
  [7576] = {.lex_state = 86, .external_lex_state = 31},
  [7577] = {.lex_state = 87, .external_lex_state = 46},
  [7578] = {.lex_state = 5},
  [7579] = {.lex_state = 32},
  [7580] = {.lex_state = 78, .external_lex_state = 27},
  [7581] = {.lex_state = 78, .external_lex_state = 39},
  [7582] = {.lex_state = 11, .external_lex_state = 52},
  [7583] = {.lex_state = 32},
  [7584] = {.lex_state = 87, .external_lex_state = 23},
  [7585] = {.lex_state = 11, .external_lex_state = 52},
  [7586] = {.lex_state = 87, .external_lex_state = 43},
  [7587] = {.lex_state = 94, .external_lex_state = 50},
  [7588] = {.lex_state = 32},
  [7589] = {.lex_state = 5},
  [7590] = {.lex_state = 78, .external_lex_state = 31},
  [7591] = {.lex_state = 78, .external_lex_state = 27},
  [7592] = {.lex_state = 79, .external_lex_state = 52},
  [7593] = {.lex_state = 81, .external_lex_state = 55},
  [7594] = {.lex_state = 32},
  [7595] = {.lex_state = 6},
  [7596] = {.lex_state = 6},
  [7597] = {.lex_state = 32},
  [7598] = {.lex_state = 87, .external_lex_state = 42},
  [7599] = {.lex_state = 32},
  [7600] = {.lex_state = 32},
  [7601] = {.lex_state = 11, .external_lex_state = 52},
  [7602] = {.lex_state = 5},
  [7603] = {.lex_state = 32},
  [7604] = {.lex_state = 7},
  [7605] = {.lex_state = 81, .external_lex_state = 39},
  [7606] = {.lex_state = 81, .external_lex_state = 39},
  [7607] = {.lex_state = 78, .external_lex_state = 39},
  [7608] = {.lex_state = 85, .external_lex_state = 28},
  [7609] = {.lex_state = 6},
  [7610] = {.lex_state = 95, .external_lex_state = 32},
  [7611] = {.lex_state = 6},
  [7612] = {.lex_state = 97, .external_lex_state = 29},
  [7613] = {.lex_state = 32},
  [7614] = {.lex_state = 79, .external_lex_state = 55},
  [7615] = {.lex_state = 34},
  [7616] = {.lex_state = 87, .external_lex_state = 44},
  [7617] = {.lex_state = 12, .external_lex_state = 52},
  [7618] = {.lex_state = 80, .external_lex_state = 49},
  [7619] = {.lex_state = 88, .external_lex_state = 55},
  [7620] = {.lex_state = 83, .external_lex_state = 39},
  [7621] = {.lex_state = 97, .external_lex_state = 29},
  [7622] = {.lex_state = 78, .external_lex_state = 34},
  [7623] = {.lex_state = 78, .external_lex_state = 27},
  [7624] = {.lex_state = 32},
  [7625] = {.lex_state = 87, .external_lex_state = 23},
  [7626] = {.lex_state = 87, .external_lex_state = 23},
  [7627] = {.lex_state = 11, .external_lex_state = 52},
  [7628] = {.lex_state = 87, .external_lex_state = 23},
  [7629] = {.lex_state = 86, .external_lex_state = 50},
  [7630] = {.lex_state = 80, .external_lex_state = 28},
  [7631] = {.lex_state = 75, .external_lex_state = 48},
  [7632] = {.lex_state = 97, .external_lex_state = 29},
  [7633] = {.lex_state = 41, .external_lex_state = 52},
  [7634] = {.lex_state = 87, .external_lex_state = 23},
  [7635] = {.lex_state = 95, .external_lex_state = 32},
  [7636] = {.lex_state = 87, .external_lex_state = 23},
  [7637] = {.lex_state = 95, .external_lex_state = 46},
  [7638] = {.lex_state = 79, .external_lex_state = 27},
  [7639] = {.lex_state = 85, .external_lex_state = 52},
  [7640] = {.lex_state = 87, .external_lex_state = 44},
  [7641] = {.lex_state = 79, .external_lex_state = 27},
  [7642] = {.lex_state = 32},
  [7643] = {.lex_state = 79, .external_lex_state = 55},
  [7644] = {.lex_state = 78, .external_lex_state = 34},
  [7645] = {.lex_state = 75, .external_lex_state = 39},
  [7646] = {.lex_state = 75, .external_lex_state = 56},
  [7647] = {.lex_state = 11, .external_lex_state = 52},
  [7648] = {.lex_state = 87, .external_lex_state = 23},
  [7649] = {.lex_state = 75, .external_lex_state = 40},
  [7650] = {.lex_state = 97, .external_lex_state = 29},
  [7651] = {.lex_state = 11, .external_lex_state = 52},
  [7652] = {.lex_state = 75, .external_lex_state = 29},
  [7653] = {.lex_state = 97, .external_lex_state = 29},
  [7654] = {.lex_state = 80, .external_lex_state = 49},
  [7655] = {.lex_state = 32},
  [7656] = {.lex_state = 86, .external_lex_state = 31},
  [7657] = {.lex_state = 96, .external_lex_state = 36},
  [7658] = {.lex_state = 78, .external_lex_state = 31},
  [7659] = {.lex_state = 87, .external_lex_state = 41},
  [7660] = {.lex_state = 79, .external_lex_state = 55},
  [7661] = {.lex_state = 86, .external_lex_state = 49},
  [7662] = {.lex_state = 79, .external_lex_state = 55},
  [7663] = {.lex_state = 87, .external_lex_state = 23},
  [7664] = {.lex_state = 75, .external_lex_state = 51},
  [7665] = {.lex_state = 87, .external_lex_state = 23},
  [7666] = {.lex_state = 87, .external_lex_state = 23},
  [7667] = {.lex_state = 87, .external_lex_state = 23},
  [7668] = {.lex_state = 93, .external_lex_state = 39},
  [7669] = {.lex_state = 79, .external_lex_state = 52},
  [7670] = {.lex_state = 87, .external_lex_state = 23},
  [7671] = {.lex_state = 87, .external_lex_state = 23},
  [7672] = {.lex_state = 87, .external_lex_state = 53},
  [7673] = {.lex_state = 87, .external_lex_state = 23},
  [7674] = {.lex_state = 87, .external_lex_state = 23},
  [7675] = {.lex_state = 95, .external_lex_state = 32},
  [7676] = {.lex_state = 75, .external_lex_state = 57},
  [7677] = {.lex_state = 94, .external_lex_state = 41},
  [7678] = {.lex_state = 79, .external_lex_state = 28},
  [7679] = {.lex_state = 32},
  [7680] = {.lex_state = 32},
  [7681] = {.lex_state = 92, .external_lex_state = 39},
  [7682] = {.lex_state = 75, .external_lex_state = 35},
  [7683] = {.lex_state = 32},
  [7684] = {.lex_state = 32},
  [7685] = {.lex_state = 95, .external_lex_state = 33},
  [7686] = {.lex_state = 87, .external_lex_state = 23},
  [7687] = {.lex_state = 87, .external_lex_state = 23},
  [7688] = {.lex_state = 87, .external_lex_state = 23},
  [7689] = {.lex_state = 75, .external_lex_state = 24},
  [7690] = {.lex_state = 95, .external_lex_state = 33},
  [7691] = {.lex_state = 87, .external_lex_state = 23},
  [7692] = {.lex_state = 87, .external_lex_state = 23},
  [7693] = {.lex_state = 87, .external_lex_state = 23},
  [7694] = {.lex_state = 92, .external_lex_state = 39},
  [7695] = {.lex_state = 79, .external_lex_state = 55},
  [7696] = {.lex_state = 93, .external_lex_state = 39},
  [7697] = {.lex_state = 14, .external_lex_state = 52},
  [7698] = {.lex_state = 87, .external_lex_state = 46},
  [7699] = {.lex_state = 95, .external_lex_state = 33},
  [7700] = {.lex_state = 87, .external_lex_state = 54},
  [7701] = {.lex_state = 79, .external_lex_state = 55},
  [7702] = {.lex_state = 92, .external_lex_state = 39},
  [7703] = {.lex_state = 87, .external_lex_state = 23},
  [7704] = {.lex_state = 87, .external_lex_state = 23},
  [7705] = {.lex_state = 87, .external_lex_state = 23},
  [7706] = {.lex_state = 87, .external_lex_state = 23},
  [7707] = {.lex_state = 75, .external_lex_state = 51},
  [7708] = {.lex_state = 87, .external_lex_state = 23},
  [7709] = {.lex_state = 87, .external_lex_state = 23},
  [7710] = {.lex_state = 87, .external_lex_state = 23},
  [7711] = {.lex_state = 78, .external_lex_state = 52},
  [7712] = {.lex_state = 85, .external_lex_state = 28},
  [7713] = {.lex_state = 32},
  [7714] = {.lex_state = 81, .external_lex_state = 39},
  [7715] = {.lex_state = 32},
  [7716] = {.lex_state = 80, .external_lex_state = 26},
  [7717] = {.lex_state = 32},
  [7718] = {.lex_state = 10, .external_lex_state = 52},
  [7719] = {.lex_state = 87, .external_lex_state = 23},
  [7720] = {.lex_state = 87, .external_lex_state = 23},
  [7721] = {.lex_state = 87, .external_lex_state = 23},
  [7722] = {.lex_state = 87, .external_lex_state = 23},
  [7723] = {.lex_state = 87, .external_lex_state = 42},
  [7724] = {.lex_state = 78, .external_lex_state = 34},
  [7725] = {.lex_state = 11, .external_lex_state = 52},
  [7726] = {.lex_state = 93, .external_lex_state = 55},
  [7727] = {.lex_state = 95, .external_lex_state = 32},
  [7728] = {.lex_state = 10, .external_lex_state = 52},
  [7729] = {.lex_state = 87, .external_lex_state = 43},
  [7730] = {.lex_state = 87, .external_lex_state = 23},
  [7731] = {.lex_state = 32},
  [7732] = {.lex_state = 96, .external_lex_state = 36},
  [7733] = {.lex_state = 95, .external_lex_state = 33},
  [7734] = {.lex_state = 83, .external_lex_state = 39},
  [7735] = {.lex_state = 17},
  [7736] = {.lex_state = 87, .external_lex_state = 43},
  [7737] = {.lex_state = 94, .external_lex_state = 26},
  [7738] = {.lex_state = 86, .external_lex_state = 34},
  [7739] = {.lex_state = 40, .external_lex_state = 52},
  [7740] = {.lex_state = 85, .external_lex_state = 28},
  [7741] = {.lex_state = 87},
  [7742] = {.lex_state = 87, .external_lex_state = 43},
  [7743] = {.lex_state = 32},
  [7744] = {.lex_state = 80, .external_lex_state = 26},
  [7745] = {.lex_state = 87, .external_lex_state = 23},
  [7746] = {.lex_state = 87, .external_lex_state = 46},
  [7747] = {.lex_state = 87, .external_lex_state = 23},
  [7748] = {.lex_state = 87},
  [7749] = {.lex_state = 32},
  [7750] = {.lex_state = 87, .external_lex_state = 43},
  [7751] = {.lex_state = 94, .external_lex_state = 45},
  [7752] = {.lex_state = 87, .external_lex_state = 23},
  [7753] = {.lex_state = 32},
  [7754] = {.lex_state = 75, .external_lex_state = 48},
  [7755] = {.lex_state = 83, .external_lex_state = 39},
  [7756] = {.lex_state = 82, .external_lex_state = 52},
  [7757] = {.lex_state = 87, .external_lex_state = 23},
  [7758] = {.lex_state = 78, .external_lex_state = 34},
  [7759] = {.lex_state = 87, .external_lex_state = 23},
  [7760] = {.lex_state = 87, .external_lex_state = 23},
  [7761] = {.lex_state = 87, .external_lex_state = 23},
  [7762] = {.lex_state = 11, .external_lex_state = 52},
  [7763] = {.lex_state = 32},
  [7764] = {.lex_state = 87, .external_lex_state = 23},
  [7765] = {.lex_state = 88, .external_lex_state = 55},
  [7766] = {.lex_state = 87, .external_lex_state = 43},
  [7767] = {.lex_state = 87, .external_lex_state = 43},
  [7768] = {.lex_state = 87, .external_lex_state = 46},
  [7769] = {.lex_state = 95, .external_lex_state = 33},
  [7770] = {.lex_state = 87, .external_lex_state = 43},
  [7771] = {.lex_state = 5},
  [7772] = {.lex_state = 11, .external_lex_state = 52},
  [7773] = {.lex_state = 87, .external_lex_state = 40},
  [7774] = {.lex_state = 75, .external_lex_state = 39},
  [7775] = {.lex_state = 87, .external_lex_state = 46},
  [7776] = {.lex_state = 32},
  [7777] = {.lex_state = 32},
  [7778] = {.lex_state = 92, .external_lex_state = 39},
  [7779] = {.lex_state = 87, .external_lex_state = 23},
  [7780] = {.lex_state = 32},
  [7781] = {.lex_state = 87, .external_lex_state = 46},
  [7782] = {.lex_state = 87, .external_lex_state = 23},
  [7783] = {.lex_state = 75},
  [7784] = {.lex_state = 78, .external_lex_state = 34},
  [7785] = {.lex_state = 92, .external_lex_state = 55},
  [7786] = {.lex_state = 79, .external_lex_state = 55},
  [7787] = {.lex_state = 87, .external_lex_state = 46},
  [7788] = {.lex_state = 92, .external_lex_state = 55},
  [7789] = {.lex_state = 87, .external_lex_state = 46},
  [7790] = {.lex_state = 5},
  [7791] = {.lex_state = 81, .external_lex_state = 52},
  [7792] = {.lex_state = 32},
  [7793] = {.lex_state = 87, .external_lex_state = 53},
  [7794] = {.lex_state = 87, .external_lex_state = 46},
  [7795] = {.lex_state = 87, .external_lex_state = 32},
  [7796] = {.lex_state = 95, .external_lex_state = 43},
  [7797] = {.lex_state = 32},
  [7798] = {.lex_state = 87, .external_lex_state = 49},
  [7799] = {.lex_state = 88, .external_lex_state = 27},
  [7800] = {.lex_state = 95, .external_lex_state = 32},
  [7801] = {.lex_state = 32},
  [7802] = {.lex_state = 92, .external_lex_state = 55},
  [7803] = {.lex_state = 83, .external_lex_state = 39},
  [7804] = {.lex_state = 80, .external_lex_state = 31},
  [7805] = {.lex_state = 32},
  [7806] = {.lex_state = 32},
  [7807] = {.lex_state = 87, .external_lex_state = 46},
  [7808] = {.lex_state = 82, .external_lex_state = 39},
  [7809] = {.lex_state = 87, .external_lex_state = 43},
  [7810] = {.lex_state = 87, .external_lex_state = 46},
  [7811] = {.lex_state = 93, .external_lex_state = 39},
  [7812] = {.lex_state = 87, .external_lex_state = 46},
  [7813] = {.lex_state = 78, .external_lex_state = 34},
  [7814] = {.lex_state = 87, .external_lex_state = 46},
  [7815] = {.lex_state = 86, .external_lex_state = 34},
  [7816] = {.lex_state = 96, .external_lex_state = 39},
  [7817] = {.lex_state = 14, .external_lex_state = 52},
  [7818] = {.lex_state = 78, .external_lex_state = 28},
  [7819] = {.lex_state = 85, .external_lex_state = 39},
  [7820] = {.lex_state = 32},
  [7821] = {.lex_state = 7},
  [7822] = {.lex_state = 86, .external_lex_state = 26},
  [7823] = {.lex_state = 32},
  [7824] = {.lex_state = 79, .external_lex_state = 55},
  [7825] = {.lex_state = 17},
  [7826] = {.lex_state = 87, .external_lex_state = 46},
  [7827] = {.lex_state = 75, .external_lex_state = 39},
  [7828] = {.lex_state = 87, .external_lex_state = 46},
  [7829] = {.lex_state = 32},
  [7830] = {.lex_state = 96, .external_lex_state = 52},
  [7831] = {.lex_state = 82, .external_lex_state = 39},
  [7832] = {.lex_state = 78, .external_lex_state = 34},
  [7833] = {.lex_state = 86, .external_lex_state = 50},
  [7834] = {.lex_state = 87, .external_lex_state = 46},
  [7835] = {.lex_state = 87, .external_lex_state = 46},
  [7836] = {.lex_state = 12, .external_lex_state = 52},
  [7837] = {.lex_state = 87, .external_lex_state = 46},
  [7838] = {.lex_state = 6},
  [7839] = {.lex_state = 87, .external_lex_state = 46},
  [7840] = {.lex_state = 80, .external_lex_state = 50},
  [7841] = {.lex_state = 6},
  [7842] = {.lex_state = 32},
  [7843] = {.lex_state = 32},
  [7844] = {.lex_state = 97, .external_lex_state = 29},
  [7845] = {.lex_state = 83, .external_lex_state = 39},
  [7846] = {.lex_state = 86, .external_lex_state = 50},
  [7847] = {.lex_state = 87, .external_lex_state = 46},
  [7848] = {.lex_state = 80, .external_lex_state = 50},
  [7849] = {.lex_state = 32},
  [7850] = {.lex_state = 34},
  [7851] = {.lex_state = 32},
  [7852] = {.lex_state = 75, .external_lex_state = 32},
  [7853] = {.lex_state = 87, .external_lex_state = 48},
  [7854] = {.lex_state = 32},
  [7855] = {.lex_state = 87, .external_lex_state = 46},
  [7856] = {.lex_state = 90, .external_lex_state = 32},
  [7857] = {.lex_state = 79, .external_lex_state = 55},
  [7858] = {.lex_state = 80, .external_lex_state = 34},
  [7859] = {.lex_state = 95, .external_lex_state = 32},
  [7860] = {.lex_state = 32},
  [7861] = {.lex_state = 93, .external_lex_state = 55},
  [7862] = {.lex_state = 78, .external_lex_state = 39},
  [7863] = {.lex_state = 79, .external_lex_state = 55},
  [7864] = {.lex_state = 86, .external_lex_state = 50},
  [7865] = {.lex_state = 85, .external_lex_state = 39},
  [7866] = {.lex_state = 79, .external_lex_state = 52},
  [7867] = {.lex_state = 90, .external_lex_state = 32},
  [7868] = {.lex_state = 79, .external_lex_state = 55},
  [7869] = {.lex_state = 97, .external_lex_state = 29},
  [7870] = {.lex_state = 97, .external_lex_state = 29},
  [7871] = {.lex_state = 87, .external_lex_state = 46},
  [7872] = {.lex_state = 96, .external_lex_state = 38},
  [7873] = {.lex_state = 95, .external_lex_state = 32},
  [7874] = {.lex_state = 95, .external_lex_state = 32},
  [7875] = {.lex_state = 32},
  [7876] = {.lex_state = 32},
  [7877] = {.lex_state = 75, .external_lex_state = 58},
  [7878] = {.lex_state = 83, .external_lex_state = 39},
  [7879] = {.lex_state = 78, .external_lex_state = 55},
  [7880] = {.lex_state = 34},
  [7881] = {.lex_state = 87, .external_lex_state = 46},
  [7882] = {.lex_state = 79, .external_lex_state = 52},
  [7883] = {.lex_state = 88, .external_lex_state = 26},
  [7884] = {.lex_state = 83, .external_lex_state = 55},
  [7885] = {.lex_state = 32},
  [7886] = {.lex_state = 96, .external_lex_state = 38},
  [7887] = {.lex_state = 87, .external_lex_state = 53},
  [7888] = {.lex_state = 78, .external_lex_state = 31},
  [7889] = {.lex_state = 87, .external_lex_state = 43},
  [7890] = {.lex_state = 78, .external_lex_state = 31},
  [7891] = {.lex_state = 32},
  [7892] = {.lex_state = 85, .external_lex_state = 34},
  [7893] = {.lex_state = 78, .external_lex_state = 31},
  [7894] = {.lex_state = 45, .external_lex_state = 52},
  [7895] = {.lex_state = 87, .external_lex_state = 43},
  [7896] = {.lex_state = 87, .external_lex_state = 43},
  [7897] = {.lex_state = 81, .external_lex_state = 55},
  [7898] = {.lex_state = 83, .external_lex_state = 55},
  [7899] = {.lex_state = 75, .external_lex_state = 56},
  [7900] = {.lex_state = 94, .external_lex_state = 44},
  [7901] = {.lex_state = 32},
  [7902] = {.lex_state = 79, .external_lex_state = 55},
  [7903] = {.lex_state = 75, .external_lex_state = 33},
  [7904] = {.lex_state = 88, .external_lex_state = 27},
  [7905] = {.lex_state = 88, .external_lex_state = 31},
  [7906] = {.lex_state = 87, .external_lex_state = 46},
  [7907] = {.lex_state = 79, .external_lex_state = 52},
  [7908] = {.lex_state = 34},
  [7909] = {.lex_state = 95, .external_lex_state = 32},
  [7910] = {.lex_state = 87, .external_lex_state = 43},
  [7911] = {.lex_state = 32},
  [7912] = {.lex_state = 75, .external_lex_state = 39},
  [7913] = {.lex_state = 87, .external_lex_state = 43},
  [7914] = {.lex_state = 94, .external_lex_state = 44},
  [7915] = {.lex_state = 83, .external_lex_state = 39},
  [7916] = {.lex_state = 88, .external_lex_state = 31},
  [7917] = {.lex_state = 79, .external_lex_state = 55},
  [7918] = {.lex_state = 85, .external_lex_state = 31},
  [7919] = {.lex_state = 32},
  [7920] = {.lex_state = 81, .external_lex_state = 39},
  [7921] = {.lex_state = 85, .external_lex_state = 55},
  [7922] = {.lex_state = 80, .external_lex_state = 31},
  [7923] = {.lex_state = 78, .external_lex_state = 55},
  [7924] = {.lex_state = 79, .external_lex_state = 55},
  [7925] = {.lex_state = 95, .external_lex_state = 32},
  [7926] = {.lex_state = 80, .external_lex_state = 47},
  [7927] = {.lex_state = 80, .external_lex_state = 31},
  [7928] = {.lex_state = 87, .external_lex_state = 41},
  [7929] = {.lex_state = 41, .external_lex_state = 52},
  [7930] = {.lex_state = 81, .external_lex_state = 39},
  [7931] = {.lex_state = 79, .external_lex_state = 27},
  [7932] = {.lex_state = 81, .external_lex_state = 39},
  [7933] = {.lex_state = 79, .external_lex_state = 27},
  [7934] = {.lex_state = 85, .external_lex_state = 55},
  [7935] = {.lex_state = 32},
  [7936] = {.lex_state = 87, .external_lex_state = 46},
  [7937] = {.lex_state = 97, .external_lex_state = 37},
  [7938] = {.lex_state = 87, .external_lex_state = 54},
  [7939] = {.lex_state = 88, .external_lex_state = 34},
  [7940] = {.lex_state = 32},
  [7941] = {.lex_state = 87, .external_lex_state = 46},
  [7942] = {.lex_state = 85, .external_lex_state = 55},
  [7943] = {.lex_state = 75, .external_lex_state = 29},
  [7944] = {.lex_state = 80, .external_lex_state = 47},
  [7945] = {.lex_state = 87, .external_lex_state = 43},
  [7946] = {.lex_state = 81, .external_lex_state = 39},
  [7947] = {.lex_state = 80, .external_lex_state = 55},
  [7948] = {.lex_state = 88, .external_lex_state = 34},
  [7949] = {.lex_state = 85, .external_lex_state = 26},
  [7950] = {.lex_state = 87, .external_lex_state = 46},
  [7951] = {.lex_state = 87, .external_lex_state = 43},
  [7952] = {.lex_state = 17},
  [7953] = {.lex_state = 88, .external_lex_state = 26},
  [7954] = {.lex_state = 90, .external_lex_state = 29},
  [7955] = {.lex_state = 87, .external_lex_state = 37},
  [7956] = {.lex_state = 87, .external_lex_state = 43},
  [7957] = {.lex_state = 80, .external_lex_state = 31},
  [7958] = {.lex_state = 79, .external_lex_state = 52},
  [7959] = {.lex_state = 28, .external_lex_state = 52},
  [7960] = {.lex_state = 96, .external_lex_state = 44},
  [7961] = {.lex_state = 83, .external_lex_state = 39},
  [7962] = {.lex_state = 88, .external_lex_state = 26},
  [7963] = {.lex_state = 88, .external_lex_state = 26},
  [7964] = {.lex_state = 87, .external_lex_state = 43},
  [7965] = {.lex_state = 78, .external_lex_state = 31},
  [7966] = {.lex_state = 87, .external_lex_state = 43},
  [7967] = {.lex_state = 79, .external_lex_state = 28},
  [7968] = {.lex_state = 87, .external_lex_state = 43},
  [7969] = {.lex_state = 86, .external_lex_state = 26},
  [7970] = {.lex_state = 79, .external_lex_state = 52},
  [7971] = {.lex_state = 79, .external_lex_state = 27},
  [7972] = {.lex_state = 80, .external_lex_state = 34},
  [7973] = {.lex_state = 79, .external_lex_state = 52},
  [7974] = {.lex_state = 80, .external_lex_state = 55},
  [7975] = {.lex_state = 32},
  [7976] = {.lex_state = 79, .external_lex_state = 52},
  [7977] = {.lex_state = 87, .external_lex_state = 23},
  [7978] = {.lex_state = 32},
  [7979] = {.lex_state = 34},
  [7980] = {.lex_state = 80, .external_lex_state = 28},
  [7981] = {.lex_state = 81, .external_lex_state = 39},
  [7982] = {.lex_state = 86, .external_lex_state = 26},
  [7983] = {.lex_state = 32},
  [7984] = {.lex_state = 85, .external_lex_state = 55},
  [7985] = {.lex_state = 80, .external_lex_state = 34},
  [7986] = {.lex_state = 79, .external_lex_state = 28},
  [7987] = {.lex_state = 87, .external_lex_state = 43},
  [7988] = {.lex_state = 87, .external_lex_state = 43},
  [7989] = {.lex_state = 80, .external_lex_state = 27},
  [7990] = {.lex_state = 86, .external_lex_state = 26},
  [7991] = {.lex_state = 32},
  [7992] = {.lex_state = 79, .external_lex_state = 52},
  [7993] = {.lex_state = 32},
  [7994] = {.lex_state = 79, .external_lex_state = 52},
  [7995] = {.lex_state = 75, .external_lex_state = 58},
  [7996] = {.lex_state = 95, .external_lex_state = 23},
  [7997] = {.lex_state = 87, .external_lex_state = 46},
  [7998] = {.lex_state = 97, .external_lex_state = 29},
  [7999] = {.lex_state = 80, .external_lex_state = 27},
  [8000] = {.lex_state = 87, .external_lex_state = 43},
  [8001] = {.lex_state = 80, .external_lex_state = 55},
  [8002] = {.lex_state = 86, .external_lex_state = 34},
  [8003] = {.lex_state = 80, .external_lex_state = 27},
  [8004] = {.lex_state = 80, .external_lex_state = 27},
  [8005] = {.lex_state = 14, .external_lex_state = 52},
  [8006] = {.lex_state = 87, .external_lex_state = 23},
  [8007] = {.lex_state = 32},
  [8008] = {.lex_state = 87, .external_lex_state = 43},
  [8009] = {.lex_state = 87, .external_lex_state = 43},
  [8010] = {.lex_state = 87, .external_lex_state = 43},
  [8011] = {.lex_state = 79, .external_lex_state = 52},
  [8012] = {.lex_state = 87, .external_lex_state = 40},
  [8013] = {.lex_state = 80, .external_lex_state = 55},
  [8014] = {.lex_state = 87, .external_lex_state = 26},
  [8015] = {.lex_state = 75, .external_lex_state = 58},
  [8016] = {.lex_state = 87, .external_lex_state = 46},
  [8017] = {.lex_state = 80, .external_lex_state = 28},
  [8018] = {.lex_state = 87, .external_lex_state = 46},
  [8019] = {.lex_state = 87, .external_lex_state = 46},
  [8020] = {.lex_state = 80, .external_lex_state = 55},
  [8021] = {.lex_state = 87, .external_lex_state = 43},
  [8022] = {.lex_state = 81, .external_lex_state = 55},
  [8023] = {.lex_state = 87, .external_lex_state = 43},
  [8024] = {.lex_state = 32},
  [8025] = {.lex_state = 87, .external_lex_state = 46},
  [8026] = {.lex_state = 80, .external_lex_state = 55},
  [8027] = {.lex_state = 88, .external_lex_state = 52},
  [8028] = {.lex_state = 87, .external_lex_state = 46},
  [8029] = {.lex_state = 87, .external_lex_state = 46},
  [8030] = {.lex_state = 32},
  [8031] = {.lex_state = 87, .external_lex_state = 24},
  [8032] = {.lex_state = 75, .external_lex_state = 56},
  [8033] = {.lex_state = 80, .external_lex_state = 55},
  [8034] = {.lex_state = 87, .external_lex_state = 46},
  [8035] = {.lex_state = 86, .external_lex_state = 49},
  [8036] = {.lex_state = 88, .external_lex_state = 44},
  [8037] = {.lex_state = 87, .external_lex_state = 43},
  [8038] = {.lex_state = 86, .external_lex_state = 49},
  [8039] = {.lex_state = 87, .external_lex_state = 46},
  [8040] = {.lex_state = 88, .external_lex_state = 28},
  [8041] = {.lex_state = 80, .external_lex_state = 55},
  [8042] = {.lex_state = 32},
  [8043] = {.lex_state = 79, .external_lex_state = 28},
  [8044] = {.lex_state = 87, .external_lex_state = 23},
  [8045] = {.lex_state = 87, .external_lex_state = 23},
  [8046] = {.lex_state = 79, .external_lex_state = 55},
  [8047] = {.lex_state = 79, .external_lex_state = 28},
  [8048] = {.lex_state = 87, .external_lex_state = 24},
  [8049] = {.lex_state = 81, .external_lex_state = 55},
  [8050] = {.lex_state = 32},
  [8051] = {.lex_state = 75, .external_lex_state = 29},
  [8052] = {.lex_state = 80, .external_lex_state = 55},
  [8053] = {.lex_state = 85, .external_lex_state = 31},
  [8054] = {.lex_state = 87, .external_lex_state = 45},
  [8055] = {.lex_state = 87, .external_lex_state = 43},
  [8056] = {.lex_state = 75, .external_lex_state = 43},
  [8057] = {.lex_state = 78, .external_lex_state = 39},
  [8058] = {.lex_state = 86, .external_lex_state = 49},
  [8059] = {.lex_state = 80, .external_lex_state = 28},
  [8060] = {.lex_state = 92, .external_lex_state = 55},
  [8061] = {.lex_state = 81, .external_lex_state = 55},
  [8062] = {.lex_state = 87, .external_lex_state = 43},
  [8063] = {.lex_state = 87, .external_lex_state = 43},
  [8064] = {.lex_state = 87, .external_lex_state = 43},
  [8065] = {.lex_state = 95, .external_lex_state = 33},
  [8066] = {.lex_state = 87, .external_lex_state = 51},
  [8067] = {.lex_state = 78, .external_lex_state = 34},
  [8068] = {.lex_state = 81, .external_lex_state = 55},
  [8069] = {.lex_state = 87, .external_lex_state = 43},
  [8070] = {.lex_state = 32},
  [8071] = {.lex_state = 94, .external_lex_state = 42},
  [8072] = {.lex_state = 85, .external_lex_state = 52},
  [8073] = {.lex_state = 87, .external_lex_state = 43},
  [8074] = {.lex_state = 81, .external_lex_state = 55},
  [8075] = {.lex_state = 95, .external_lex_state = 33},
  [8076] = {.lex_state = 79, .external_lex_state = 28},
  [8077] = {.lex_state = 78, .external_lex_state = 34},
  [8078] = {.lex_state = 85, .external_lex_state = 52},
  [8079] = {.lex_state = 85, .external_lex_state = 52},
  [8080] = {.lex_state = 32},
  [8081] = {.lex_state = 81, .external_lex_state = 55},
  [8082] = {.lex_state = 80, .external_lex_state = 28},
  [8083] = {.lex_state = 95, .external_lex_state = 33},
  [8084] = {.lex_state = 32},
  [8085] = {.lex_state = 78, .external_lex_state = 34},
  [8086] = {.lex_state = 81, .external_lex_state = 39},
  [8087] = {.lex_state = 86, .external_lex_state = 26},
  [8088] = {.lex_state = 78, .external_lex_state = 55},
  [8089] = {.lex_state = 81, .external_lex_state = 55},
  [8090] = {.lex_state = 78, .external_lex_state = 34},
  [8091] = {.lex_state = 95, .external_lex_state = 33},
  [8092] = {.lex_state = 87, .external_lex_state = 46},
  [8093] = {.lex_state = 79, .external_lex_state = 28},
  [8094] = {.lex_state = 81, .external_lex_state = 39},
  [8095] = {.lex_state = 80, .external_lex_state = 39},
  [8096] = {.lex_state = 95, .external_lex_state = 33},
  [8097] = {.lex_state = 79, .external_lex_state = 28},
  [8098] = {.lex_state = 97, .external_lex_state = 40},
  [8099] = {.lex_state = 87, .external_lex_state = 43},
  [8100] = {.lex_state = 81, .external_lex_state = 55},
  [8101] = {.lex_state = 32},
  [8102] = {.lex_state = 87, .external_lex_state = 43},
  [8103] = {.lex_state = 79, .external_lex_state = 28},
  [8104] = {.lex_state = 32},
  [8105] = {.lex_state = 11, .external_lex_state = 52},
  [8106] = {.lex_state = 87, .external_lex_state = 23},
  [8107] = {.lex_state = 88, .external_lex_state = 47},
  [8108] = {.lex_state = 75, .external_lex_state = 29},
  [8109] = {.lex_state = 34},
  [8110] = {.lex_state = 88, .external_lex_state = 41},
  [8111] = {.lex_state = 86, .external_lex_state = 47},
  [8112] = {.lex_state = 80, .external_lex_state = 28},
  [8113] = {.lex_state = 92, .external_lex_state = 39},
  [8114] = {.lex_state = 78, .external_lex_state = 52},
  [8115] = {.lex_state = 88, .external_lex_state = 47},
  [8116] = {.lex_state = 87, .external_lex_state = 23},
  [8117] = {.lex_state = 89, .external_lex_state = 55},
  [8118] = {.lex_state = 86, .external_lex_state = 31},
  [8119] = {.lex_state = 88, .external_lex_state = 47},
  [8120] = {.lex_state = 87, .external_lex_state = 43},
  [8121] = {.lex_state = 96, .external_lex_state = 42},
  [8122] = {.lex_state = 88, .external_lex_state = 47},
  [8123] = {.lex_state = 78, .external_lex_state = 52},
  [8124] = {.lex_state = 80, .external_lex_state = 34},
  [8125] = {.lex_state = 86, .external_lex_state = 34},
  [8126] = {.lex_state = 32},
  [8127] = {.lex_state = 32},
  [8128] = {.lex_state = 96, .external_lex_state = 39},
  [8129] = {.lex_state = 89, .external_lex_state = 55},
  [8130] = {.lex_state = 88, .external_lex_state = 49},
  [8131] = {.lex_state = 87, .external_lex_state = 45},
  [8132] = {.lex_state = 80, .external_lex_state = 28},
  [8133] = {.lex_state = 75, .external_lex_state = 39},
  [8134] = {.lex_state = 32},
  [8135] = {.lex_state = 87, .external_lex_state = 43},
  [8136] = {.lex_state = 79, .external_lex_state = 27},
  [8137] = {.lex_state = 38, .external_lex_state = 52},
  [8138] = {.lex_state = 32},
  [8139] = {.lex_state = 96, .external_lex_state = 45},
  [8140] = {.lex_state = 87, .external_lex_state = 43},
  [8141] = {.lex_state = 86, .external_lex_state = 50},
  [8142] = {.lex_state = 83, .external_lex_state = 39},
  [8143] = {.lex_state = 87, .external_lex_state = 43},
  [8144] = {.lex_state = 79, .external_lex_state = 28},
  [8145] = {.lex_state = 88, .external_lex_state = 49},
  [8146] = {.lex_state = 86, .external_lex_state = 47},
  [8147] = {.lex_state = 88, .external_lex_state = 49},
  [8148] = {.lex_state = 86, .external_lex_state = 47},
  [8149] = {.lex_state = 87, .external_lex_state = 46},
  [8150] = {.lex_state = 87, .external_lex_state = 46},
  [8151] = {.lex_state = 80, .external_lex_state = 28},
  [8152] = {.lex_state = 88, .external_lex_state = 49},
  [8153] = {.lex_state = 83, .external_lex_state = 39},
  [8154] = {.lex_state = 79, .external_lex_state = 52},
  [8155] = {.lex_state = 87, .external_lex_state = 43},
  [8156] = {.lex_state = 86, .external_lex_state = 47},
  [8157] = {.lex_state = 85, .external_lex_state = 27},
  [8158] = {.lex_state = 83, .external_lex_state = 39},
  [8159] = {.lex_state = 32},
  [8160] = {.lex_state = 79, .external_lex_state = 28},
  [8161] = {.lex_state = 80, .external_lex_state = 28},
  [8162] = {.lex_state = 87, .external_lex_state = 46},
  [8163] = {.lex_state = 83, .external_lex_state = 39},
  [8164] = {.lex_state = 92, .external_lex_state = 39},
  [8165] = {.lex_state = 29, .external_lex_state = 52},
  [8166] = {.lex_state = 87, .external_lex_state = 46},
  [8167] = {.lex_state = 94, .external_lex_state = 47},
  [8168] = {.lex_state = 87, .external_lex_state = 46},
  [8169] = {.lex_state = 87, .external_lex_state = 48},
  [8170] = {.lex_state = 85, .external_lex_state = 49},
  [8171] = {.lex_state = 80, .external_lex_state = 28},
  [8172] = {.lex_state = 87, .external_lex_state = 37},
  [8173] = {.lex_state = 78, .external_lex_state = 34},
  [8174] = {.lex_state = 78, .external_lex_state = 31},
  [8175] = {.lex_state = 45, .external_lex_state = 52},
  [8176] = {.lex_state = 80, .external_lex_state = 28},
  [8177] = {.lex_state = 78, .external_lex_state = 31},
  [8178] = {.lex_state = 6},
  [8179] = {.lex_state = 85, .external_lex_state = 28},
  [8180] = {.lex_state = 80, .external_lex_state = 28},
  [8181] = {.lex_state = 78, .external_lex_state = 34},
  [8182] = {.lex_state = 81, .external_lex_state = 39},
  [8183] = {.lex_state = 79, .external_lex_state = 28},
  [8184] = {.lex_state = 79, .external_lex_state = 28},
  [8185] = {.lex_state = 78, .external_lex_state = 31},
  [8186] = {.lex_state = 85, .external_lex_state = 27},
  [8187] = {.lex_state = 32},
  [8188] = {.lex_state = 79, .external_lex_state = 28},
  [8189] = {.lex_state = 78, .external_lex_state = 31},
  [8190] = {.lex_state = 32},
  [8191] = {.lex_state = 93, .external_lex_state = 39},
  [8192] = {.lex_state = 85, .external_lex_state = 34},
  [8193] = {.lex_state = 85, .external_lex_state = 27},
  [8194] = {.lex_state = 78, .external_lex_state = 28},
  [8195] = {.lex_state = 79, .external_lex_state = 28},
  [8196] = {.lex_state = 85, .external_lex_state = 27},
  [8197] = {.lex_state = 78, .external_lex_state = 31},
  [8198] = {.lex_state = 32},
  [8199] = {.lex_state = 75, .external_lex_state = 39},
  [8200] = {.lex_state = 29, .external_lex_state = 52},
  [8201] = {.lex_state = 78, .external_lex_state = 31},
  [8202] = {.lex_state = 87, .external_lex_state = 43},
  [8203] = {.lex_state = 78, .external_lex_state = 31},
  [8204] = {.lex_state = 80, .external_lex_state = 59},
  [8205] = {.lex_state = 79, .external_lex_state = 28},
  [8206] = {.lex_state = 83, .external_lex_state = 39},
  [8207] = {.lex_state = 32},
  [8208] = {.lex_state = 96, .external_lex_state = 41},
  [8209] = {.lex_state = 32},
  [8210] = {.lex_state = 87, .external_lex_state = 46},
  [8211] = {.lex_state = 78, .external_lex_state = 28},
  [8212] = {.lex_state = 79, .external_lex_state = 55},
  [8213] = {.lex_state = 80, .external_lex_state = 27},
  [8214] = {.lex_state = 79, .external_lex_state = 27},
  [8215] = {.lex_state = 80, .external_lex_state = 27},
  [8216] = {.lex_state = 79, .external_lex_state = 27},
  [8217] = {.lex_state = 83, .external_lex_state = 39},
  [8218] = {.lex_state = 79, .external_lex_state = 27},
  [8219] = {.lex_state = 87, .external_lex_state = 43},
  [8220] = {.lex_state = 87, .external_lex_state = 46},
  [8221] = {.lex_state = 32},
  [8222] = {.lex_state = 87, .external_lex_state = 46},
  [8223] = {.lex_state = 32},
  [8224] = {.lex_state = 97, .external_lex_state = 29},
  [8225] = {.lex_state = 32},
  [8226] = {.lex_state = 41, .external_lex_state = 52},
  [8227] = {.lex_state = 87, .external_lex_state = 43},
  [8228] = {.lex_state = 11, .external_lex_state = 52},
  [8229] = {.lex_state = 89, .external_lex_state = 39},
  [8230] = {.lex_state = 85, .external_lex_state = 47},
  [8231] = {.lex_state = 88, .external_lex_state = 50},
  [8232] = {.lex_state = 87, .external_lex_state = 54},
  [8233] = {.lex_state = 87, .external_lex_state = 43},
  [8234] = {.lex_state = 87, .external_lex_state = 47},
  [8235] = {.lex_state = 94, .external_lex_state = 42},
  [8236] = {.lex_state = 88, .external_lex_state = 50},
  [8237] = {.lex_state = 75, .external_lex_state = 57},
  [8238] = {.lex_state = 32},
  [8239] = {.lex_state = 87, .external_lex_state = 43},
  [8240] = {.lex_state = 96, .external_lex_state = 39},
  [8241] = {.lex_state = 88, .external_lex_state = 50},
  [8242] = {.lex_state = 88, .external_lex_state = 50},
  [8243] = {.lex_state = 32},
  [8244] = {.lex_state = 32},
  [8245] = {.lex_state = 80, .external_lex_state = 27},
  [8246] = {.lex_state = 16, .external_lex_state = 52},
  [8247] = {.lex_state = 87, .external_lex_state = 35},
  [8248] = {.lex_state = 87, .external_lex_state = 50},
  [8249] = {.lex_state = 78, .external_lex_state = 31},
  [8250] = {.lex_state = 89, .external_lex_state = 39},
  [8251] = {.lex_state = 80, .external_lex_state = 27},
  [8252] = {.lex_state = 80, .external_lex_state = 27},
  [8253] = {.lex_state = 80, .external_lex_state = 27},
  [8254] = {.lex_state = 94, .external_lex_state = 49},
  [8255] = {.lex_state = 86, .external_lex_state = 49},
  [8256] = {.lex_state = 80, .external_lex_state = 27},
  [8257] = {.lex_state = 28, .external_lex_state = 52},
  [8258] = {.lex_state = 79, .external_lex_state = 52},
  [8259] = {.lex_state = 80, .external_lex_state = 27},
  [8260] = {.lex_state = 32},
  [8261] = {.lex_state = 96, .external_lex_state = 39},
  [8262] = {.lex_state = 32},
  [8263] = {.lex_state = 75, .external_lex_state = 56},
  [8264] = {.lex_state = 97, .external_lex_state = 35},
  [8265] = {.lex_state = 80, .external_lex_state = 27},
  [8266] = {.lex_state = 79, .external_lex_state = 27},
  [8267] = {.lex_state = 80, .external_lex_state = 28},
  [8268] = {.lex_state = 90, .external_lex_state = 33},
  [8269] = {.lex_state = 88, .external_lex_state = 42},
  [8270] = {.lex_state = 87, .external_lex_state = 35},
  [8271] = {.lex_state = 81, .external_lex_state = 52},
  [8272] = {.lex_state = 94, .external_lex_state = 49},
  [8273] = {.lex_state = 80, .external_lex_state = 34},
  [8274] = {.lex_state = 87, .external_lex_state = 53},
  [8275] = {.lex_state = 85, .external_lex_state = 39},
  [8276] = {.lex_state = 80, .external_lex_state = 34},
  [8277] = {.lex_state = 87, .external_lex_state = 48},
  [8278] = {.lex_state = 81, .external_lex_state = 39},
  [8279] = {.lex_state = 87, .external_lex_state = 54},
  [8280] = {.lex_state = 87, .external_lex_state = 54},
  [8281] = {.lex_state = 12, .external_lex_state = 52},
  [8282] = {.lex_state = 80, .external_lex_state = 31},
  [8283] = {.lex_state = 17},
  [8284] = {.lex_state = 80, .external_lex_state = 34},
  [8285] = {.lex_state = 87, .external_lex_state = 54},
  [8286] = {.lex_state = 87, .external_lex_state = 48},
  [8287] = {.lex_state = 87, .external_lex_state = 48},
  [8288] = {.lex_state = 80, .external_lex_state = 31},
  [8289] = {.lex_state = 12, .external_lex_state = 52},
  [8290] = {.lex_state = 94, .external_lex_state = 49},
  [8291] = {.lex_state = 80, .external_lex_state = 34},
  [8292] = {.lex_state = 81, .external_lex_state = 39},
  [8293] = {.lex_state = 80, .external_lex_state = 31},
  [8294] = {.lex_state = 87, .external_lex_state = 50},
  [8295] = {.lex_state = 87, .external_lex_state = 54},
  [8296] = {.lex_state = 87, .external_lex_state = 54},
  [8297] = {.lex_state = 80, .external_lex_state = 34},
  [8298] = {.lex_state = 87, .external_lex_state = 58},
  [8299] = {.lex_state = 12, .external_lex_state = 52},
  [8300] = {.lex_state = 90, .external_lex_state = 35},
  [8301] = {.lex_state = 87, .external_lex_state = 54},
  [8302] = {.lex_state = 80, .external_lex_state = 34},
  [8303] = {.lex_state = 81, .external_lex_state = 39},
  [8304] = {.lex_state = 82, .external_lex_state = 52},
  [8305] = {.lex_state = 87, .external_lex_state = 51},
  [8306] = {.lex_state = 80, .external_lex_state = 34},
  [8307] = {.lex_state = 87, .external_lex_state = 51},
  [8308] = {.lex_state = 87, .external_lex_state = 53},
  [8309] = {.lex_state = 87, .external_lex_state = 54},
  [8310] = {.lex_state = 17},
  [8311] = {.lex_state = 12, .external_lex_state = 52},
  [8312] = {.lex_state = 87, .external_lex_state = 54},
  [8313] = {.lex_state = 87, .external_lex_state = 50},
  [8314] = {.lex_state = 90, .external_lex_state = 40},
  [8315] = {.lex_state = 79, .external_lex_state = 31},
  [8316] = {.lex_state = 75, .external_lex_state = 35},
  [8317] = {.lex_state = 85, .external_lex_state = 52},
  [8318] = {.lex_state = 87, .external_lex_state = 54},
  [8319] = {.lex_state = 87, .external_lex_state = 53},
  [8320] = {.lex_state = 86, .external_lex_state = 28},
  [8321] = {.lex_state = 90, .external_lex_state = 35},
  [8322] = {.lex_state = 17},
  [8323] = {.lex_state = 75, .external_lex_state = 32},
  [8324] = {.lex_state = 79, .external_lex_state = 34},
  [8325] = {.lex_state = 88, .external_lex_state = 27},
  [8326] = {.lex_state = 87, .external_lex_state = 48},
  [8327] = {.lex_state = 82, .external_lex_state = 52},
  [8328] = {.lex_state = 87, .external_lex_state = 53},
  [8329] = {.lex_state = 87, .external_lex_state = 51},
  [8330] = {.lex_state = 88, .external_lex_state = 27},
  [8331] = {.lex_state = 78, .external_lex_state = 34},
  [8332] = {.lex_state = 87, .external_lex_state = 54},
  [8333] = {.lex_state = 87, .external_lex_state = 53},
  [8334] = {.lex_state = 87, .external_lex_state = 53},
  [8335] = {.lex_state = 96, .external_lex_state = 41},
  [8336] = {.lex_state = 95, .external_lex_state = 37},
  [8337] = {.lex_state = 80, .external_lex_state = 34},
  [8338] = {.lex_state = 87, .external_lex_state = 48},
  [8339] = {.lex_state = 87, .external_lex_state = 54},
  [8340] = {.lex_state = 87, .external_lex_state = 24},
  [8341] = {.lex_state = 99, .external_lex_state = 39},
  [8342] = {.lex_state = 78, .external_lex_state = 39},
  [8343] = {.lex_state = 12, .external_lex_state = 52},
  [8344] = {.lex_state = 88, .external_lex_state = 27},
  [8345] = {.lex_state = 12, .external_lex_state = 52},
  [8346] = {.lex_state = 87, .external_lex_state = 53},
  [8347] = {.lex_state = 87, .external_lex_state = 54},
  [8348] = {.lex_state = 87, .external_lex_state = 53},
  [8349] = {.lex_state = 87, .external_lex_state = 53},
  [8350] = {.lex_state = 81, .external_lex_state = 52},
  [8351] = {.lex_state = 87, .external_lex_state = 53},
  [8352] = {.lex_state = 87, .external_lex_state = 53},
  [8353] = {.lex_state = 87, .external_lex_state = 54},
  [8354] = {.lex_state = 96, .external_lex_state = 41},
  [8355] = {.lex_state = 17},
  [8356] = {.lex_state = 87, .external_lex_state = 53},
  [8357] = {.lex_state = 87, .external_lex_state = 48},
  [8358] = {.lex_state = 88, .external_lex_state = 27},
  [8359] = {.lex_state = 99, .external_lex_state = 52},
  [8360] = {.lex_state = 87, .external_lex_state = 48},
  [8361] = {.lex_state = 87, .external_lex_state = 48},
  [8362] = {.lex_state = 87, .external_lex_state = 54},
  [8363] = {.lex_state = 80, .external_lex_state = 31},
  [8364] = {.lex_state = 87, .external_lex_state = 51},
  [8365] = {.lex_state = 95, .external_lex_state = 37},
  [8366] = {.lex_state = 87, .external_lex_state = 47},
  [8367] = {.lex_state = 95, .external_lex_state = 37},
  [8368] = {.lex_state = 87, .external_lex_state = 55},
  [8369] = {.lex_state = 17},
  [8370] = {.lex_state = 87, .external_lex_state = 54},
  [8371] = {.lex_state = 14, .external_lex_state = 52},
  [8372] = {.lex_state = 87, .external_lex_state = 51},
  [8373] = {.lex_state = 78, .external_lex_state = 39},
  [8374] = {.lex_state = 87, .external_lex_state = 48},
  [8375] = {.lex_state = 94, .external_lex_state = 47},
  [8376] = {.lex_state = 87, .external_lex_state = 53},
  [8377] = {.lex_state = 87, .external_lex_state = 27},
  [8378] = {.lex_state = 78, .external_lex_state = 39},
  [8379] = {.lex_state = 79, .external_lex_state = 34},
  [8380] = {.lex_state = 86, .external_lex_state = 52},
  [8381] = {.lex_state = 79, .external_lex_state = 31},
  [8382] = {.lex_state = 89, .external_lex_state = 39},
  [8383] = {.lex_state = 78, .external_lex_state = 34},
  [8384] = {.lex_state = 87, .external_lex_state = 48},
  [8385] = {.lex_state = 87, .external_lex_state = 53},
  [8386] = {.lex_state = 87, .external_lex_state = 54},
  [8387] = {.lex_state = 79, .external_lex_state = 34},
  [8388] = {.lex_state = 87, .external_lex_state = 51},
  [8389] = {.lex_state = 93, .external_lex_state = 39},
  [8390] = {.lex_state = 87, .external_lex_state = 54},
  [8391] = {.lex_state = 78, .external_lex_state = 34},
  [8392] = {.lex_state = 87, .external_lex_state = 53},
  [8393] = {.lex_state = 95, .external_lex_state = 40},
  [8394] = {.lex_state = 97, .external_lex_state = 33},
  [8395] = {.lex_state = 94, .external_lex_state = 47},
  [8396] = {.lex_state = 75, .external_lex_state = 52},
  [8397] = {.lex_state = 97, .external_lex_state = 33},
  [8398] = {.lex_state = 87, .external_lex_state = 54},
  [8399] = {.lex_state = 87, .external_lex_state = 48},
  [8400] = {.lex_state = 97, .external_lex_state = 32},
  [8401] = {.lex_state = 12, .external_lex_state = 52},
  [8402] = {.lex_state = 97, .external_lex_state = 33},
  [8403] = {.lex_state = 87, .external_lex_state = 26},
  [8404] = {.lex_state = 17},
  [8405] = {.lex_state = 92, .external_lex_state = 39},
  [8406] = {.lex_state = 87, .external_lex_state = 48},
  [8407] = {.lex_state = 88, .external_lex_state = 55},
  [8408] = {.lex_state = 80, .external_lex_state = 39},
  [8409] = {.lex_state = 79, .external_lex_state = 34},
  [8410] = {.lex_state = 97, .external_lex_state = 33},
  [8411] = {.lex_state = 95, .external_lex_state = 40},
  [8412] = {.lex_state = 14, .external_lex_state = 52},
  [8413] = {.lex_state = 97, .external_lex_state = 33},
  [8414] = {.lex_state = 87, .external_lex_state = 48},
  [8415] = {.lex_state = 95, .external_lex_state = 40},
  [8416] = {.lex_state = 87, .external_lex_state = 54},
  [8417] = {.lex_state = 96, .external_lex_state = 26},
  [8418] = {.lex_state = 95, .external_lex_state = 40},
  [8419] = {.lex_state = 87, .external_lex_state = 35},
  [8420] = {.lex_state = 87, .external_lex_state = 53},
  [8421] = {.lex_state = 80, .external_lex_state = 55},
  [8422] = {.lex_state = 79, .external_lex_state = 31},
  [8423] = {.lex_state = 87, .external_lex_state = 53},
  [8424] = {.lex_state = 78, .external_lex_state = 39},
  [8425] = {.lex_state = 95, .external_lex_state = 51},
  [8426] = {.lex_state = 78, .external_lex_state = 39},
  [8427] = {.lex_state = 78, .external_lex_state = 39},
  [8428] = {.lex_state = 78, .external_lex_state = 39},
  [8429] = {.lex_state = 96, .external_lex_state = 42},
  [8430] = {.lex_state = 87, .external_lex_state = 53},
  [8431] = {.lex_state = 14, .external_lex_state = 52},
  [8432] = {.lex_state = 96, .external_lex_state = 45},
  [8433] = {.lex_state = 87, .external_lex_state = 53},
  [8434] = {.lex_state = 80, .external_lex_state = 39},
  [8435] = {.lex_state = 80, .external_lex_state = 55},
  [8436] = {.lex_state = 79, .external_lex_state = 31},
  [8437] = {.lex_state = 75, .external_lex_state = 33},
  [8438] = {.lex_state = 87, .external_lex_state = 48},
  [8439] = {.lex_state = 87, .external_lex_state = 54},
  [8440] = {.lex_state = 78, .external_lex_state = 39},
  [8441] = {.lex_state = 88, .external_lex_state = 28},
  [8442] = {.lex_state = 85, .external_lex_state = 55},
  [8443] = {.lex_state = 95, .external_lex_state = 53},
  [8444] = {.lex_state = 79, .external_lex_state = 31},
  [8445] = {.lex_state = 82, .external_lex_state = 52},
  [8446] = {.lex_state = 14, .external_lex_state = 52},
  [8447] = {.lex_state = 87, .external_lex_state = 53},
  [8448] = {.lex_state = 86, .external_lex_state = 52},
  [8449] = {.lex_state = 14, .external_lex_state = 52},
  [8450] = {.lex_state = 88, .external_lex_state = 28},
  [8451] = {.lex_state = 87, .external_lex_state = 48},
  [8452] = {.lex_state = 79, .external_lex_state = 31},
  [8453] = {.lex_state = 17},
  [8454] = {.lex_state = 79, .external_lex_state = 34},
  [8455] = {.lex_state = 96, .external_lex_state = 42},
  [8456] = {.lex_state = 87, .external_lex_state = 54},
  [8457] = {.lex_state = 78, .external_lex_state = 39},
  [8458] = {.lex_state = 87, .external_lex_state = 53},
  [8459] = {.lex_state = 14, .external_lex_state = 52},
  [8460] = {.lex_state = 92, .external_lex_state = 39},
  [8461] = {.lex_state = 80, .external_lex_state = 28},
  [8462] = {.lex_state = 86, .external_lex_state = 52},
  [8463] = {.lex_state = 87},
  [8464] = {.lex_state = 87, .external_lex_state = 51},
  [8465] = {.lex_state = 88, .external_lex_state = 28},
  [8466] = {.lex_state = 87, .external_lex_state = 51},
  [8467] = {.lex_state = 79, .external_lex_state = 34},
  [8468] = {.lex_state = 86, .external_lex_state = 52},
  [8469] = {.lex_state = 87, .external_lex_state = 51},
  [8470] = {.lex_state = 87, .external_lex_state = 51},
  [8471] = {.lex_state = 86, .external_lex_state = 52},
  [8472] = {.lex_state = 28, .external_lex_state = 52},
  [8473] = {.lex_state = 15, .external_lex_state = 52},
  [8474] = {.lex_state = 4},
  [8475] = {.lex_state = 28, .external_lex_state = 52},
  [8476] = {.lex_state = 87, .external_lex_state = 53},
  [8477] = {.lex_state = 87, .external_lex_state = 51},
  [8478] = {.lex_state = 87, .external_lex_state = 51},
  [8479] = {.lex_state = 87, .external_lex_state = 48},
  [8480] = {.lex_state = 79, .external_lex_state = 31},
  [8481] = {.lex_state = 28, .external_lex_state = 52},
  [8482] = {.lex_state = 95, .external_lex_state = 37},
  [8483] = {.lex_state = 87, .external_lex_state = 48},
  [8484] = {.lex_state = 78, .external_lex_state = 39},
  [8485] = {.lex_state = 81, .external_lex_state = 39},
  [8486] = {.lex_state = 88, .external_lex_state = 31},
  [8487] = {.lex_state = 93, .external_lex_state = 55},
  [8488] = {.lex_state = 87, .external_lex_state = 51},
  [8489] = {.lex_state = 87, .external_lex_state = 48},
  [8490] = {.lex_state = 87, .external_lex_state = 51},
  [8491] = {.lex_state = 87, .external_lex_state = 28},
  [8492] = {.lex_state = 87, .external_lex_state = 51},
  [8493] = {.lex_state = 95, .external_lex_state = 35},
  [8494] = {.lex_state = 87, .external_lex_state = 51},
  [8495] = {.lex_state = 88, .external_lex_state = 39},
  [8496] = {.lex_state = 87, .external_lex_state = 51},
  [8497] = {.lex_state = 87, .external_lex_state = 48},
  [8498] = {.lex_state = 79, .external_lex_state = 34},
  [8499] = {.lex_state = 86, .external_lex_state = 28},
  [8500] = {.lex_state = 92, .external_lex_state = 39},
  [8501] = {.lex_state = 87, .external_lex_state = 48},
  [8502] = {.lex_state = 87, .external_lex_state = 48},
  [8503] = {.lex_state = 87, .external_lex_state = 48},
  [8504] = {.lex_state = 95, .external_lex_state = 48},
  [8505] = {.lex_state = 87, .external_lex_state = 48},
  [8506] = {.lex_state = 29, .external_lex_state = 52},
  [8507] = {.lex_state = 81, .external_lex_state = 39},
  [8508] = {.lex_state = 87, .external_lex_state = 48},
  [8509] = {.lex_state = 87, .external_lex_state = 51},
  [8510] = {.lex_state = 87, .external_lex_state = 48},
  [8511] = {.lex_state = 86, .external_lex_state = 27},
  [8512] = {.lex_state = 14, .external_lex_state = 52},
  [8513] = {.lex_state = 95, .external_lex_state = 40},
  [8514] = {.lex_state = 28, .external_lex_state = 52},
  [8515] = {.lex_state = 4},
  [8516] = {.lex_state = 90, .external_lex_state = 33},
  [8517] = {.lex_state = 87, .external_lex_state = 51},
  [8518] = {.lex_state = 97, .external_lex_state = 32},
  [8519] = {.lex_state = 87, .external_lex_state = 43},
  [8520] = {.lex_state = 95, .external_lex_state = 40},
  [8521] = {.lex_state = 88, .external_lex_state = 39},
  [8522] = {.lex_state = 79, .external_lex_state = 31},
  [8523] = {.lex_state = 86, .external_lex_state = 28},
  [8524] = {.lex_state = 81, .external_lex_state = 39},
  [8525] = {.lex_state = 87, .external_lex_state = 51},
  [8526] = {.lex_state = 90, .external_lex_state = 37},
  [8527] = {.lex_state = 93, .external_lex_state = 39},
  [8528] = {.lex_state = 79, .external_lex_state = 34},
  [8529] = {.lex_state = 87, .external_lex_state = 54},
  [8530] = {.lex_state = 95, .external_lex_state = 40},
  [8531] = {.lex_state = 97, .external_lex_state = 33},
  [8532] = {.lex_state = 87, .external_lex_state = 54},
  [8533] = {.lex_state = 81, .external_lex_state = 55},
  [8534] = {.lex_state = 75, .external_lex_state = 24},
  [8535] = {.lex_state = 87, .external_lex_state = 53},
  [8536] = {.lex_state = 95, .external_lex_state = 40},
  [8537] = {.lex_state = 80, .external_lex_state = 39},
  [8538] = {.lex_state = 87, .external_lex_state = 47},
  [8539] = {.lex_state = 46, .external_lex_state = 52},
  [8540] = {.lex_state = 87, .external_lex_state = 48},
  [8541] = {.lex_state = 85, .external_lex_state = 34},
  [8542] = {.lex_state = 95, .external_lex_state = 40},
  [8543] = {.lex_state = 97, .external_lex_state = 43},
  [8544] = {.lex_state = 80, .external_lex_state = 28},
  [8545] = {.lex_state = 86, .external_lex_state = 28},
  [8546] = {.lex_state = 95, .external_lex_state = 40},
  [8547] = {.lex_state = 85, .external_lex_state = 34},
  [8548] = {.lex_state = 85, .external_lex_state = 34},
  [8549] = {.lex_state = 87, .external_lex_state = 51},
  [8550] = {.lex_state = 87, .external_lex_state = 46},
  [8551] = {.lex_state = 88, .external_lex_state = 26},
  [8552] = {.lex_state = 75, .external_lex_state = 58},
  [8553] = {.lex_state = 87, .external_lex_state = 26},
  [8554] = {.lex_state = 87, .external_lex_state = 51},
  [8555] = {.lex_state = 97, .external_lex_state = 32},
  [8556] = {.lex_state = 97, .external_lex_state = 32},
  [8557] = {.lex_state = 87, .external_lex_state = 54},
  [8558] = {.lex_state = 83, .external_lex_state = 39},
  [8559] = {.lex_state = 80, .external_lex_state = 31},
  [8560] = {.lex_state = 12, .external_lex_state = 52},
  [8561] = {.lex_state = 86, .external_lex_state = 55},
  [8562] = {.lex_state = 16, .external_lex_state = 52},
  [8563] = {.lex_state = 87, .external_lex_state = 51},
  [8564] = {.lex_state = 87, .external_lex_state = 54},
  [8565] = {.lex_state = 87, .external_lex_state = 54},
  [8566] = {.lex_state = 88, .external_lex_state = 34},
  [8567] = {.lex_state = 79, .external_lex_state = 31},
  [8568] = {.lex_state = 87, .external_lex_state = 54},
  [8569] = {.lex_state = 87, .external_lex_state = 53},
  [8570] = {.lex_state = 97, .external_lex_state = 33},
  [8571] = {.lex_state = 87, .external_lex_state = 54},
  [8572] = {.lex_state = 87, .external_lex_state = 54},
  [8573] = {.lex_state = 97, .external_lex_state = 33},
  [8574] = {.lex_state = 75, .external_lex_state = 53},
  [8575] = {.lex_state = 87, .external_lex_state = 54},
  [8576] = {.lex_state = 87, .external_lex_state = 54},
  [8577] = {.lex_state = 97, .external_lex_state = 33},
  [8578] = {.lex_state = 86, .external_lex_state = 39},
  [8579] = {.lex_state = 97, .external_lex_state = 33},
  [8580] = {.lex_state = 17},
  [8581] = {.lex_state = 79, .external_lex_state = 31},
  [8582] = {.lex_state = 4},
  [8583] = {.lex_state = 15, .external_lex_state = 52},
  [8584] = {.lex_state = 90, .external_lex_state = 29},
  [8585] = {.lex_state = 90, .external_lex_state = 29},
  [8586] = {.lex_state = 89, .external_lex_state = 39},
  [8587] = {.lex_state = 81, .external_lex_state = 52},
  [8588] = {.lex_state = 79, .external_lex_state = 34},
  [8589] = {.lex_state = 87, .external_lex_state = 54},
  [8590] = {.lex_state = 86, .external_lex_state = 55},
  [8591] = {.lex_state = 87, .external_lex_state = 54},
  [8592] = {.lex_state = 86, .external_lex_state = 39},
  [8593] = {.lex_state = 95, .external_lex_state = 37},
  [8594] = {.lex_state = 87, .external_lex_state = 54},
  [8595] = {.lex_state = 96, .external_lex_state = 44},
  [8596] = {.lex_state = 4},
  [8597] = {.lex_state = 87, .external_lex_state = 54},
  [8598] = {.lex_state = 79, .external_lex_state = 31},
  [8599] = {.lex_state = 88, .external_lex_state = 31},
  [8600] = {.lex_state = 95, .external_lex_state = 37},
  [8601] = {.lex_state = 87, .external_lex_state = 53},
  [8602] = {.lex_state = 90, .external_lex_state = 37},
  [8603] = {.lex_state = 85, .external_lex_state = 28},
  [8604] = {.lex_state = 87, .external_lex_state = 54},
  [8605] = {.lex_state = 78, .external_lex_state = 39},
  [8606] = {.lex_state = 86, .external_lex_state = 55},
  [8607] = {.lex_state = 87, .external_lex_state = 54},
  [8608] = {.lex_state = 87, .external_lex_state = 54},
  [8609] = {.lex_state = 88, .external_lex_state = 55},
  [8610] = {.lex_state = 95, .external_lex_state = 37},
  [8611] = {.lex_state = 94, .external_lex_state = 28},
  [8612] = {.lex_state = 87, .external_lex_state = 54},
  [8613] = {.lex_state = 81, .external_lex_state = 55},
  [8614] = {.lex_state = 96, .external_lex_state = 44},
  [8615] = {.lex_state = 81, .external_lex_state = 39},
  [8616] = {.lex_state = 85, .external_lex_state = 39},
  [8617] = {.lex_state = 87, .external_lex_state = 48},
  [8618] = {.lex_state = 86, .external_lex_state = 27},
  [8619] = {.lex_state = 87, .external_lex_state = 54},
  [8620] = {.lex_state = 87, .external_lex_state = 48},
  [8621] = {.lex_state = 88, .external_lex_state = 55},
  [8622] = {.lex_state = 95, .external_lex_state = 37},
  [8623] = {.lex_state = 89, .external_lex_state = 39},
  [8624] = {.lex_state = 87, .external_lex_state = 48},
  [8625] = {.lex_state = 88, .external_lex_state = 55},
  [8626] = {.lex_state = 95, .external_lex_state = 37},
  [8627] = {.lex_state = 86, .external_lex_state = 27},
  [8628] = {.lex_state = 87, .external_lex_state = 51},
  [8629] = {.lex_state = 97, .external_lex_state = 32},
  [8630] = {.lex_state = 87, .external_lex_state = 54},
  [8631] = {.lex_state = 87, .external_lex_state = 53},
  [8632] = {.lex_state = 87, .external_lex_state = 54},
  [8633] = {.lex_state = 87, .external_lex_state = 54},
  [8634] = {.lex_state = 75, .external_lex_state = 54},
  [8635] = {.lex_state = 75, .external_lex_state = 32},
  [8636] = {.lex_state = 92, .external_lex_state = 39},
  [8637] = {.lex_state = 87, .external_lex_state = 53},
  [8638] = {.lex_state = 95, .external_lex_state = 54},
  [8639] = {.lex_state = 83, .external_lex_state = 39},
  [8640] = {.lex_state = 87, .external_lex_state = 48},
  [8641] = {.lex_state = 89, .external_lex_state = 39},
  [8642] = {.lex_state = 79, .external_lex_state = 31},
  [8643] = {.lex_state = 86, .external_lex_state = 27},
  [8644] = {.lex_state = 87, .external_lex_state = 53},
  [8645] = {.lex_state = 11, .external_lex_state = 52},
  [8646] = {.lex_state = 87, .external_lex_state = 48},
  [8647] = {.lex_state = 85, .external_lex_state = 31},
  [8648] = {.lex_state = 87, .external_lex_state = 51},
  [8649] = {.lex_state = 92, .external_lex_state = 55},
  [8650] = {.lex_state = 79, .external_lex_state = 34},
  [8651] = {.lex_state = 78, .external_lex_state = 31},
  [8652] = {.lex_state = 87, .external_lex_state = 48},
  [8653] = {.lex_state = 80, .external_lex_state = 27},
  [8654] = {.lex_state = 11, .external_lex_state = 52},
  [8655] = {.lex_state = 87, .external_lex_state = 51},
  [8656] = {.lex_state = 80, .external_lex_state = 34},
  [8657] = {.lex_state = 79, .external_lex_state = 31},
  [8658] = {.lex_state = 87, .external_lex_state = 48},
  [8659] = {.lex_state = 86, .external_lex_state = 28},
  [8660] = {.lex_state = 79, .external_lex_state = 31},
  [8661] = {.lex_state = 87, .external_lex_state = 48},
  [8662] = {.lex_state = 87, .external_lex_state = 51},
  [8663] = {.lex_state = 87, .external_lex_state = 53},
  [8664] = {.lex_state = 87, .external_lex_state = 48},
  [8665] = {.lex_state = 80, .external_lex_state = 27},
  [8666] = {.lex_state = 87, .external_lex_state = 52},
  [8667] = {.lex_state = 78, .external_lex_state = 31},
  [8668] = {.lex_state = 87, .external_lex_state = 53},
  [8669] = {.lex_state = 96, .external_lex_state = 45},
  [8670] = {.lex_state = 87, .external_lex_state = 51},
  [8671] = {.lex_state = 94, .external_lex_state = 55},
  [8672] = {.lex_state = 81, .external_lex_state = 39},
  [8673] = {.lex_state = 90, .external_lex_state = 29},
  [8674] = {.lex_state = 90, .external_lex_state = 29},
  [8675] = {.lex_state = 17},
  [8676] = {.lex_state = 97, .external_lex_state = 23},
  [8677] = {.lex_state = 40, .external_lex_state = 52},
  [8678] = {.lex_state = 82, .external_lex_state = 52},
  [8679] = {.lex_state = 88, .external_lex_state = 50},
  [8680] = {.lex_state = 35, .external_lex_state = 52},
  [8681] = {.lex_state = 87, .external_lex_state = 51},
  [8682] = {.lex_state = 88, .external_lex_state = 34},
  [8683] = {.lex_state = 14, .external_lex_state = 52},
  [8684] = {.lex_state = 90, .external_lex_state = 29},
  [8685] = {.lex_state = 90, .external_lex_state = 29},
  [8686] = {.lex_state = 86, .external_lex_state = 39},
  [8687] = {.lex_state = 87, .external_lex_state = 51},
  [8688] = {.lex_state = 87, .external_lex_state = 54},
  [8689] = {.lex_state = 93, .external_lex_state = 55},
  [8690] = {.lex_state = 87, .external_lex_state = 54},
  [8691] = {.lex_state = 79, .external_lex_state = 31},
  [8692] = {.lex_state = 79, .external_lex_state = 34},
  [8693] = {.lex_state = 87, .external_lex_state = 53},
  [8694] = {.lex_state = 87},
  [8695] = {.lex_state = 87, .external_lex_state = 48},
  [8696] = {.lex_state = 97, .external_lex_state = 46},
  [8697] = {.lex_state = 77},
  [8698] = {.lex_state = 87, .external_lex_state = 48},
  [8699] = {.lex_state = 94, .external_lex_state = 52},
  [8700] = {.lex_state = 87},
  [8701] = {.lex_state = 93, .external_lex_state = 55},
  [8702] = {.lex_state = 31},
  [8703] = {.lex_state = 5},
  [8704] = {.lex_state = 5},
  [8705] = {.lex_state = 93, .external_lex_state = 55},
  [8706] = {.lex_state = 5},
  [8707] = {.lex_state = 79, .external_lex_state = 34},
  [8708] = {.lex_state = 87, .external_lex_state = 51},
  [8709] = {.lex_state = 87, .external_lex_state = 53},
  [8710] = {.lex_state = 87, .external_lex_state = 48},
  [8711] = {.lex_state = 87, .external_lex_state = 48},
  [8712] = {.lex_state = 96, .external_lex_state = 52},
  [8713] = {.lex_state = 87, .external_lex_state = 51},
  [8714] = {.lex_state = 78, .external_lex_state = 39},
  [8715] = {.lex_state = 75, .external_lex_state = 33},
  [8716] = {.lex_state = 87},
  [8717] = {.lex_state = 80, .external_lex_state = 34},
  [8718] = {.lex_state = 89, .external_lex_state = 55},
  [8719] = {.lex_state = 80, .external_lex_state = 34},
  [8720] = {.lex_state = 90, .external_lex_state = 29},
  [8721] = {.lex_state = 80, .external_lex_state = 59},
  [8722] = {.lex_state = 87, .external_lex_state = 53},
  [8723] = {.lex_state = 80, .external_lex_state = 34},
  [8724] = {.lex_state = 35, .external_lex_state = 52},
  [8725] = {.lex_state = 94, .external_lex_state = 26},
  [8726] = {.lex_state = 79, .external_lex_state = 34},
  [8727] = {.lex_state = 87, .external_lex_state = 46},
  [8728] = {.lex_state = 87, .external_lex_state = 49},
  [8729] = {.lex_state = 31},
  [8730] = {.lex_state = 87, .external_lex_state = 51},
  [8731] = {.lex_state = 86, .external_lex_state = 27},
  [8732] = {.lex_state = 79, .external_lex_state = 31},
  [8733] = {.lex_state = 87, .external_lex_state = 51},
  [8734] = {.lex_state = 87},
  [8735] = {.lex_state = 75, .external_lex_state = 32},
  [8736] = {.lex_state = 96, .external_lex_state = 52},
  [8737] = {.lex_state = 96, .external_lex_state = 47},
  [8738] = {.lex_state = 87, .external_lex_state = 53},
  [8739] = {.lex_state = 87},
  [8740] = {.lex_state = 75, .external_lex_state = 23},
  [8741] = {.lex_state = 75, .external_lex_state = 32},
  [8742] = {.lex_state = 75, .external_lex_state = 52},
  [8743] = {.lex_state = 87, .external_lex_state = 53},
  [8744] = {.lex_state = 87},
  [8745] = {.lex_state = 87},
  [8746] = {.lex_state = 87, .external_lex_state = 53},
  [8747] = {.lex_state = 87},
  [8748] = {.lex_state = 87, .external_lex_state = 54},
  [8749] = {.lex_state = 87, .external_lex_state = 51},
  [8750] = {.lex_state = 99, .external_lex_state = 52},
  [8751] = {.lex_state = 87, .external_lex_state = 48},
  [8752] = {.lex_state = 15, .external_lex_state = 52},
  [8753] = {.lex_state = 87, .external_lex_state = 51},
  [8754] = {.lex_state = 46, .external_lex_state = 52},
  [8755] = {.lex_state = 96, .external_lex_state = 50},
  [8756] = {.lex_state = 75},
  [8757] = {.lex_state = 90, .external_lex_state = 40},
  [8758] = {.lex_state = 87, .external_lex_state = 40},
  [8759] = {.lex_state = 7},
  [8760] = {.lex_state = 7},
  [8761] = {.lex_state = 95, .external_lex_state = 37},
  [8762] = {.lex_state = 7},
  [8763] = {.lex_state = 87, .external_lex_state = 54},
  [8764] = {.lex_state = 87, .external_lex_state = 53},
  [8765] = {.lex_state = 17},
  [8766] = {.lex_state = 87, .external_lex_state = 48},
  [8767] = {.lex_state = 12, .external_lex_state = 52},
  [8768] = {.lex_state = 99, .external_lex_state = 52},
  [8769] = {.lex_state = 87, .external_lex_state = 53},
  [8770] = {.lex_state = 87, .external_lex_state = 29},
  [8771] = {.lex_state = 87, .external_lex_state = 48},
  [8772] = {.lex_state = 87},
  [8773] = {.lex_state = 87, .external_lex_state = 48},
  [8774] = {.lex_state = 87, .external_lex_state = 57},
  [8775] = {.lex_state = 87, .external_lex_state = 48},
  [8776] = {.lex_state = 87},
  [8777] = {.lex_state = 87, .external_lex_state = 48},
  [8778] = {.lex_state = 94, .external_lex_state = 26},
  [8779] = {.lex_state = 75},
  [8780] = {.lex_state = 90, .external_lex_state = 29},
  [8781] = {.lex_state = 87},
  [8782] = {.lex_state = 87, .external_lex_state = 53},
  [8783] = {.lex_state = 75, .external_lex_state = 33},
  [8784] = {.lex_state = 87, .external_lex_state = 57},
  [8785] = {.lex_state = 79, .external_lex_state = 34},
  [8786] = {.lex_state = 87, .external_lex_state = 51},
  [8787] = {.lex_state = 75},
  [8788] = {.lex_state = 16, .external_lex_state = 52},
  [8789] = {.lex_state = 79, .external_lex_state = 34},
  [8790] = {.lex_state = 14, .external_lex_state = 52},
  [8791] = {.lex_state = 79, .external_lex_state = 34},
  [8792] = {.lex_state = 87, .external_lex_state = 56},
  [8793] = {.lex_state = 87, .external_lex_state = 51},
  [8794] = {.lex_state = 87, .external_lex_state = 23},
  [8795] = {.lex_state = 81, .external_lex_state = 39},
  [8796] = {.lex_state = 99, .external_lex_state = 55},
  [8797] = {.lex_state = 86, .external_lex_state = 39},
  [8798] = {.lex_state = 79, .external_lex_state = 34},
  [8799] = {.lex_state = 88, .external_lex_state = 28},
  [8800] = {.lex_state = 89, .external_lex_state = 55},
  [8801] = {.lex_state = 12, .external_lex_state = 52},
  [8802] = {.lex_state = 87, .external_lex_state = 29},
  [8803] = {.lex_state = 26},
  [8804] = {.lex_state = 78, .external_lex_state = 31},
  [8805] = {.lex_state = 93, .external_lex_state = 39},
  [8806] = {.lex_state = 12, .external_lex_state = 52},
  [8807] = {.lex_state = 87, .external_lex_state = 56},
  [8808] = {.lex_state = 87, .external_lex_state = 58},
  [8809] = {.lex_state = 87, .external_lex_state = 51},
  [8810] = {.lex_state = 75, .external_lex_state = 37},
  [8811] = {.lex_state = 80, .external_lex_state = 34},
  [8812] = {.lex_state = 75, .external_lex_state = 58},
  [8813] = {.lex_state = 93, .external_lex_state = 39},
  [8814] = {.lex_state = 12, .external_lex_state = 52},
  [8815] = {.lex_state = 17},
  [8816] = {.lex_state = 90, .external_lex_state = 29},
  [8817] = {.lex_state = 96, .external_lex_state = 49},
  [8818] = {.lex_state = 95, .external_lex_state = 35},
  [8819] = {.lex_state = 75, .external_lex_state = 57},
  [8820] = {.lex_state = 81, .external_lex_state = 39},
  [8821] = {.lex_state = 46, .external_lex_state = 52},
  [8822] = {.lex_state = 17},
  [8823] = {.lex_state = 87, .external_lex_state = 51},
  [8824] = {.lex_state = 12, .external_lex_state = 52},
  [8825] = {.lex_state = 93, .external_lex_state = 39},
  [8826] = {.lex_state = 26},
  [8827] = {.lex_state = 26},
  [8828] = {.lex_state = 87, .external_lex_state = 51},
  [8829] = {.lex_state = 26},
  [8830] = {.lex_state = 15, .external_lex_state = 52},
  [8831] = {.lex_state = 88, .external_lex_state = 47},
  [8832] = {.lex_state = 26},
  [8833] = {.lex_state = 30, .external_lex_state = 52},
  [8834] = {.lex_state = 94, .external_lex_state = 50},
  [8835] = {.lex_state = 26},
  [8836] = {.lex_state = 5},
  [8837] = {.lex_state = 75, .external_lex_state = 23},
  [8838] = {.lex_state = 26},
  [8839] = {.lex_state = 26},
  [8840] = {.lex_state = 87, .external_lex_state = 51},
  [8841] = {.lex_state = 75, .external_lex_state = 52},
  [8842] = {.lex_state = 14, .external_lex_state = 52},
  [8843] = {.lex_state = 87, .external_lex_state = 53},
  [8844] = {.lex_state = 87, .external_lex_state = 53},
  [8845] = {.lex_state = 87, .external_lex_state = 43},
  [8846] = {.lex_state = 93, .external_lex_state = 39},
  [8847] = {.lex_state = 87, .external_lex_state = 48},
  [8848] = {.lex_state = 80, .external_lex_state = 31},
  [8849] = {.lex_state = 85, .external_lex_state = 31},
  [8850] = {.lex_state = 87, .external_lex_state = 51},
  [8851] = {.lex_state = 97, .external_lex_state = 32},
  [8852] = {.lex_state = 14, .external_lex_state = 52},
  [8853] = {.lex_state = 87, .external_lex_state = 53},
  [8854] = {.lex_state = 80, .external_lex_state = 31},
  [8855] = {.lex_state = 94, .external_lex_state = 50},
  [8856] = {.lex_state = 81, .external_lex_state = 39},
  [8857] = {.lex_state = 26},
  [8858] = {.lex_state = 79, .external_lex_state = 31},
  [8859] = {.lex_state = 80, .external_lex_state = 31},
  [8860] = {.lex_state = 78, .external_lex_state = 39},
  [8861] = {.lex_state = 85, .external_lex_state = 31},
  [8862] = {.lex_state = 87, .external_lex_state = 56},
  [8863] = {.lex_state = 75, .external_lex_state = 23},
  [8864] = {.lex_state = 80, .external_lex_state = 31},
  [8865] = {.lex_state = 85, .external_lex_state = 31},
  [8866] = {.lex_state = 75, .external_lex_state = 57},
  [8867] = {.lex_state = 87, .external_lex_state = 51},
  [8868] = {.lex_state = 97, .external_lex_state = 32},
  [8869] = {.lex_state = 14, .external_lex_state = 52},
  [8870] = {.lex_state = 87, .external_lex_state = 51},
  [8871] = {.lex_state = 81, .external_lex_state = 39},
  [8872] = {.lex_state = 81, .external_lex_state = 39},
  [8873] = {.lex_state = 30, .external_lex_state = 52},
  [8874] = {.lex_state = 80, .external_lex_state = 31},
  [8875] = {.lex_state = 4},
  [8876] = {.lex_state = 95, .external_lex_state = 35},
  [8877] = {.lex_state = 80, .external_lex_state = 31},
  [8878] = {.lex_state = 26},
  [8879] = {.lex_state = 80, .external_lex_state = 31},
  [8880] = {.lex_state = 26},
  [8881] = {.lex_state = 85, .external_lex_state = 27},
  [8882] = {.lex_state = 95, .external_lex_state = 35},
  [8883] = {.lex_state = 14, .external_lex_state = 52},
  [8884] = {.lex_state = 17},
  [8885] = {.lex_state = 97, .external_lex_state = 32},
  [8886] = {.lex_state = 38, .external_lex_state = 52},
  [8887] = {.lex_state = 95, .external_lex_state = 35},
  [8888] = {.lex_state = 34},
  [8889] = {.lex_state = 78, .external_lex_state = 39},
  [8890] = {.lex_state = 75, .external_lex_state = 40},
  [8891] = {.lex_state = 86, .external_lex_state = 55},
  [8892] = {.lex_state = 77},
  [8893] = {.lex_state = 75, .external_lex_state = 24},
  [8894] = {.lex_state = 75},
  [8895] = {.lex_state = 90, .external_lex_state = 32},
  [8896] = {.lex_state = 87, .external_lex_state = 51},
  [8897] = {.lex_state = 94, .external_lex_state = 27},
  [8898] = {.lex_state = 97, .external_lex_state = 32},
  [8899] = {.lex_state = 87, .external_lex_state = 49},
  [8900] = {.lex_state = 87, .external_lex_state = 29},
  [8901] = {.lex_state = 95, .external_lex_state = 35},
  [8902] = {.lex_state = 87, .external_lex_state = 53},
  [8903] = {.lex_state = 97, .external_lex_state = 32},
  [8904] = {.lex_state = 81, .external_lex_state = 52},
  [8905] = {.lex_state = 80, .external_lex_state = 39},
  [8906] = {.lex_state = 4},
  [8907] = {.lex_state = 75, .external_lex_state = 33},
  [8908] = {.lex_state = 95, .external_lex_state = 35},
  [8909] = {.lex_state = 88, .external_lex_state = 49},
  [8910] = {.lex_state = 29, .external_lex_state = 52},
  [8911] = {.lex_state = 86, .external_lex_state = 55},
  [8912] = {.lex_state = 87, .external_lex_state = 53},
  [8913] = {.lex_state = 95, .external_lex_state = 35},
  [8914] = {.lex_state = 87, .external_lex_state = 48},
  [8915] = {.lex_state = 77},
  [8916] = {.lex_state = 87, .external_lex_state = 53},
  [8917] = {.lex_state = 81, .external_lex_state = 39},
  [8918] = {.lex_state = 92, .external_lex_state = 39},
  [8919] = {.lex_state = 87, .external_lex_state = 29},
  [8920] = {.lex_state = 80, .external_lex_state = 31},
  [8921] = {.lex_state = 95, .external_lex_state = 35},
  [8922] = {.lex_state = 87, .external_lex_state = 56},
  [8923] = {.lex_state = 87, .external_lex_state = 53},
  [8924] = {.lex_state = 75, .external_lex_state = 37},
  [8925] = {.lex_state = 87, .external_lex_state = 51},
  [8926] = {.lex_state = 87, .external_lex_state = 53},
  [8927] = {.lex_state = 81, .external_lex_state = 39},
  [8928] = {.lex_state = 95, .external_lex_state = 35},
  [8929] = {.lex_state = 85, .external_lex_state = 34},
  [8930] = {.lex_state = 95, .external_lex_state = 23},
  [8931] = {.lex_state = 80, .external_lex_state = 39},
  [8932] = {.lex_state = 97, .external_lex_state = 35},
  [8933] = {.lex_state = 32},
  [8934] = {.lex_state = 75, .external_lex_state = 35},
  [8935] = {.lex_state = 32},
  [8936] = {.lex_state = 95, .external_lex_state = 46},
  [8937] = {.lex_state = 15, .external_lex_state = 52},
  [8938] = {.lex_state = 32},
  [8939] = {.lex_state = 88, .external_lex_state = 28},
  [8940] = {.lex_state = 95, .external_lex_state = 46},
  [8941] = {.lex_state = 87, .external_lex_state = 29},
  [8942] = {.lex_state = 38},
  [8943] = {.lex_state = 95, .external_lex_state = 46},
  [8944] = {.lex_state = 95, .external_lex_state = 23},
  [8945] = {.lex_state = 75, .external_lex_state = 43},
  [8946] = {.lex_state = 99, .external_lex_state = 39},
  [8947] = {.lex_state = 82, .external_lex_state = 52},
  [8948] = {.lex_state = 87, .external_lex_state = 33},
  [8949] = {.lex_state = 32},
  [8950] = {.lex_state = 96, .external_lex_state = 55},
  [8951] = {.lex_state = 87, .external_lex_state = 56},
  [8952] = {.lex_state = 94, .external_lex_state = 34},
  [8953] = {.lex_state = 15, .external_lex_state = 52},
  [8954] = {.lex_state = 87, .external_lex_state = 29},
  [8955] = {.lex_state = 97, .external_lex_state = 48},
  [8956] = {.lex_state = 32},
  [8957] = {.lex_state = 87, .external_lex_state = 29},
  [8958] = {.lex_state = 87, .external_lex_state = 56},
  [8959] = {.lex_state = 32},
  [8960] = {.lex_state = 30, .external_lex_state = 52},
  [8961] = {.lex_state = 79, .external_lex_state = 39},
  [8962] = {.lex_state = 97, .external_lex_state = 35},
  [8963] = {.lex_state = 97, .external_lex_state = 35},
  [8964] = {.lex_state = 80, .external_lex_state = 39},
  [8965] = {.lex_state = 32},
  [8966] = {.lex_state = 15, .external_lex_state = 52},
  [8967] = {.lex_state = 87, .external_lex_state = 58},
  [8968] = {.lex_state = 94, .external_lex_state = 27},
  [8969] = {.lex_state = 87, .external_lex_state = 28},
  [8970] = {.lex_state = 15, .external_lex_state = 52},
  [8971] = {.lex_state = 87, .external_lex_state = 58},
  [8972] = {.lex_state = 32},
  [8973] = {.lex_state = 15, .external_lex_state = 52},
  [8974] = {.lex_state = 32},
  [8975] = {.lex_state = 75, .external_lex_state = 24},
  [8976] = {.lex_state = 87, .external_lex_state = 56},
  [8977] = {.lex_state = 87, .external_lex_state = 56},
  [8978] = {.lex_state = 32},
  [8979] = {.lex_state = 87, .external_lex_state = 56},
  [8980] = {.lex_state = 86, .external_lex_state = 34},
  [8981] = {.lex_state = 79, .external_lex_state = 39},
  [8982] = {.lex_state = 87, .external_lex_state = 23},
  [8983] = {.lex_state = 87, .external_lex_state = 32},
  [8984] = {.lex_state = 32},
  [8985] = {.lex_state = 29, .external_lex_state = 52},
  [8986] = {.lex_state = 32},
  [8987] = {.lex_state = 92, .external_lex_state = 52},
  [8988] = {.lex_state = 87, .external_lex_state = 46},
  [8989] = {.lex_state = 87, .external_lex_state = 29},
  [8990] = {.lex_state = 95, .external_lex_state = 58},
  [8991] = {.lex_state = 95, .external_lex_state = 46},
  [8992] = {.lex_state = 38},
  [8993] = {.lex_state = 87},
  [8994] = {.lex_state = 87, .external_lex_state = 58},
  [8995] = {.lex_state = 87, .external_lex_state = 58},
  [8996] = {.lex_state = 87, .external_lex_state = 58},
  [8997] = {.lex_state = 32},
  [8998] = {.lex_state = 90, .external_lex_state = 32},
  [8999] = {.lex_state = 86, .external_lex_state = 34},
  [9000] = {.lex_state = 90, .external_lex_state = 32},
  [9001] = {.lex_state = 87, .external_lex_state = 58},
  [9002] = {.lex_state = 90, .external_lex_state = 46},
  [9003] = {.lex_state = 75, .external_lex_state = 23},
  [9004] = {.lex_state = 75, .external_lex_state = 40},
  [9005] = {.lex_state = 29, .external_lex_state = 52},
  [9006] = {.lex_state = 94, .external_lex_state = 27},
  [9007] = {.lex_state = 99, .external_lex_state = 23},
  [9008] = {.lex_state = 99, .external_lex_state = 24},
  [9009] = {.lex_state = 32},
  [9010] = {.lex_state = 86, .external_lex_state = 31},
  [9011] = {.lex_state = 80, .external_lex_state = 39},
  [9012] = {.lex_state = 86, .external_lex_state = 31},
  [9013] = {.lex_state = 87, .external_lex_state = 56},
  [9014] = {.lex_state = 75, .external_lex_state = 35},
  [9015] = {.lex_state = 32},
  [9016] = {.lex_state = 29, .external_lex_state = 52},
  [9017] = {.lex_state = 32},
  [9018] = {.lex_state = 92, .external_lex_state = 52},
  [9019] = {.lex_state = 94, .external_lex_state = 55},
  [9020] = {.lex_state = 88, .external_lex_state = 39},
  [9021] = {.lex_state = 32},
  [9022] = {.lex_state = 86, .external_lex_state = 31},
  [9023] = {.lex_state = 87, .external_lex_state = 56},
  [9024] = {.lex_state = 87, .external_lex_state = 58},
  [9025] = {.lex_state = 80, .external_lex_state = 39},
  [9026] = {.lex_state = 86, .external_lex_state = 31},
  [9027] = {.lex_state = 75, .external_lex_state = 23},
  [9028] = {.lex_state = 32},
  [9029] = {.lex_state = 87, .external_lex_state = 58},
  [9030] = {.lex_state = 32},
  [9031] = {.lex_state = 87, .external_lex_state = 58},
  [9032] = {.lex_state = 86, .external_lex_state = 34},
  [9033] = {.lex_state = 32},
  [9034] = {.lex_state = 12, .external_lex_state = 52},
  [9035] = {.lex_state = 87, .external_lex_state = 56},
  [9036] = {.lex_state = 32},
  [9037] = {.lex_state = 32},
  [9038] = {.lex_state = 4},
  [9039] = {.lex_state = 32},
  [9040] = {.lex_state = 87, .external_lex_state = 29},
  [9041] = {.lex_state = 87, .external_lex_state = 57},
  [9042] = {.lex_state = 89, .external_lex_state = 39},
  [9043] = {.lex_state = 95, .external_lex_state = 57},
  [9044] = {.lex_state = 95, .external_lex_state = 23},
  [9045] = {.lex_state = 87, .external_lex_state = 32},
  [9046] = {.lex_state = 87, .external_lex_state = 57},
  [9047] = {.lex_state = 88, .external_lex_state = 34},
  [9048] = {.lex_state = 87, .external_lex_state = 58},
  [9049] = {.lex_state = 87, .external_lex_state = 57},
  [9050] = {.lex_state = 78, .external_lex_state = 39},
  [9051] = {.lex_state = 87, .external_lex_state = 37},
  [9052] = {.lex_state = 88, .external_lex_state = 34},
  [9053] = {.lex_state = 87, .external_lex_state = 57},
  [9054] = {.lex_state = 95, .external_lex_state = 23},
  [9055] = {.lex_state = 75},
  [9056] = {.lex_state = 32},
  [9057] = {.lex_state = 97, .external_lex_state = 37},
  [9058] = {.lex_state = 96, .external_lex_state = 49},
  [9059] = {.lex_state = 32},
  [9060] = {.lex_state = 89, .external_lex_state = 39},
  [9061] = {.lex_state = 87, .external_lex_state = 58},
  [9062] = {.lex_state = 32},
  [9063] = {.lex_state = 88, .external_lex_state = 34},
  [9064] = {.lex_state = 15, .external_lex_state = 52},
  [9065] = {.lex_state = 90, .external_lex_state = 32},
  [9066] = {.lex_state = 85, .external_lex_state = 31},
  [9067] = {.lex_state = 32},
  [9068] = {.lex_state = 12, .external_lex_state = 52},
  [9069] = {.lex_state = 87, .external_lex_state = 58},
  [9070] = {.lex_state = 32},
  [9071] = {.lex_state = 87, .external_lex_state = 55},
  [9072] = {.lex_state = 32},
  [9073] = {.lex_state = 97, .external_lex_state = 40},
  [9074] = {.lex_state = 97, .external_lex_state = 37},
  [9075] = {.lex_state = 97, .external_lex_state = 37},
  [9076] = {.lex_state = 92, .external_lex_state = 39},
  [9077] = {.lex_state = 87, .external_lex_state = 56},
  [9078] = {.lex_state = 87, .external_lex_state = 56},
  [9079] = {.lex_state = 90, .external_lex_state = 32},
  [9080] = {.lex_state = 97, .external_lex_state = 40},
  [9081] = {.lex_state = 32},
  [9082] = {.lex_state = 87, .external_lex_state = 28},
  [9083] = {.lex_state = 32},
  [9084] = {.lex_state = 87, .external_lex_state = 57},
  [9085] = {.lex_state = 96, .external_lex_state = 49},
  [9086] = {.lex_state = 87, .external_lex_state = 57},
  [9087] = {.lex_state = 32},
  [9088] = {.lex_state = 78, .external_lex_state = 52},
  [9089] = {.lex_state = 87, .external_lex_state = 34},
  [9090] = {.lex_state = 97, .external_lex_state = 40},
  [9091] = {.lex_state = 32},
  [9092] = {.lex_state = 81, .external_lex_state = 52},
  [9093] = {.lex_state = 87, .external_lex_state = 57},
  [9094] = {.lex_state = 87, .external_lex_state = 56},
  [9095] = {.lex_state = 87, .external_lex_state = 58},
  [9096] = {.lex_state = 97, .external_lex_state = 51},
  [9097] = {.lex_state = 96, .external_lex_state = 52},
  [9098] = {.lex_state = 95, .external_lex_state = 23},
  [9099] = {.lex_state = 95, .external_lex_state = 23},
  [9100] = {.lex_state = 95, .external_lex_state = 23},
  [9101] = {.lex_state = 97},
  [9102] = {.lex_state = 97, .external_lex_state = 40},
  [9103] = {.lex_state = 32},
  [9104] = {.lex_state = 87, .external_lex_state = 58},
  [9105] = {.lex_state = 95, .external_lex_state = 23},
  [9106] = {.lex_state = 97, .external_lex_state = 40},
  [9107] = {.lex_state = 87, .external_lex_state = 58},
  [9108] = {.lex_state = 15, .external_lex_state = 52},
  [9109] = {.lex_state = 87, .external_lex_state = 58},
  [9110] = {.lex_state = 87, .external_lex_state = 56},
  [9111] = {.lex_state = 86, .external_lex_state = 31},
  [9112] = {.lex_state = 87, .external_lex_state = 56},
  [9113] = {.lex_state = 87, .external_lex_state = 56},
  [9114] = {.lex_state = 96, .external_lex_state = 50},
  [9115] = {.lex_state = 89, .external_lex_state = 39},
  [9116] = {.lex_state = 87, .external_lex_state = 29},
  [9117] = {.lex_state = 94, .external_lex_state = 52},
  [9118] = {.lex_state = 32},
  [9119] = {.lex_state = 87, .external_lex_state = 56},
  [9120] = {.lex_state = 32},
  [9121] = {.lex_state = 32},
  [9122] = {.lex_state = 87, .external_lex_state = 56},
  [9123] = {.lex_state = 32},
  [9124] = {.lex_state = 32},
  [9125] = {.lex_state = 79, .external_lex_state = 39},
  [9126] = {.lex_state = 87, .external_lex_state = 29},
  [9127] = {.lex_state = 79, .external_lex_state = 39},
  [9128] = {.lex_state = 87, .external_lex_state = 56},
  [9129] = {.lex_state = 32},
  [9130] = {.lex_state = 79, .external_lex_state = 39},
  [9131] = {.lex_state = 89, .external_lex_state = 39},
  [9132] = {.lex_state = 15, .external_lex_state = 52},
  [9133] = {.lex_state = 87, .external_lex_state = 57},
  [9134] = {.lex_state = 87, .external_lex_state = 56},
  [9135] = {.lex_state = 96, .external_lex_state = 50},
  [9136] = {.lex_state = 90, .external_lex_state = 46},
  [9137] = {.lex_state = 87, .external_lex_state = 56},
  [9138] = {.lex_state = 81, .external_lex_state = 52},
  [9139] = {.lex_state = 28, .external_lex_state = 52},
  [9140] = {.lex_state = 75, .external_lex_state = 43},
  [9141] = {.lex_state = 100, .external_lex_state = 55},
  [9142] = {.lex_state = 87, .external_lex_state = 58},
  [9143] = {.lex_state = 95, .external_lex_state = 46},
  [9144] = {.lex_state = 80, .external_lex_state = 39},
  [9145] = {.lex_state = 87, .external_lex_state = 57},
  [9146] = {.lex_state = 87, .external_lex_state = 56},
  [9147] = {.lex_state = 32},
  [9148] = {.lex_state = 87, .external_lex_state = 23},
  [9149] = {.lex_state = 87, .external_lex_state = 58},
  [9150] = {.lex_state = 80, .external_lex_state = 39},
  [9151] = {.lex_state = 32},
  [9152] = {.lex_state = 87, .external_lex_state = 33},
  [9153] = {.lex_state = 95, .external_lex_state = 56},
  [9154] = {.lex_state = 75, .external_lex_state = 40},
  [9155] = {.lex_state = 87, .external_lex_state = 58},
  [9156] = {.lex_state = 15, .external_lex_state = 52},
  [9157] = {.lex_state = 79, .external_lex_state = 39},
  [9158] = {.lex_state = 89, .external_lex_state = 52},
  [9159] = {.lex_state = 32},
  [9160] = {.lex_state = 87, .external_lex_state = 46},
  [9161] = {.lex_state = 97, .external_lex_state = 40},
  [9162] = {.lex_state = 95, .external_lex_state = 43},
  [9163] = {.lex_state = 95, .external_lex_state = 43},
  [9164] = {.lex_state = 87, .external_lex_state = 57},
  [9165] = {.lex_state = 78, .external_lex_state = 52},
  [9166] = {.lex_state = 96, .external_lex_state = 47},
  [9167] = {.lex_state = 95, .external_lex_state = 23},
  [9168] = {.lex_state = 87, .external_lex_state = 57},
  [9169] = {.lex_state = 87, .external_lex_state = 57},
  [9170] = {.lex_state = 87, .external_lex_state = 56},
  [9171] = {.lex_state = 32},
  [9172] = {.lex_state = 82, .external_lex_state = 52},
  [9173] = {.lex_state = 87, .external_lex_state = 57},
  [9174] = {.lex_state = 87, .external_lex_state = 56},
  [9175] = {.lex_state = 87, .external_lex_state = 58},
  [9176] = {.lex_state = 95, .external_lex_state = 43},
  [9177] = {.lex_state = 96, .external_lex_state = 27},
  [9178] = {.lex_state = 15, .external_lex_state = 52},
  [9179] = {.lex_state = 15, .external_lex_state = 52},
  [9180] = {.lex_state = 87, .external_lex_state = 29},
  [9181] = {.lex_state = 97, .external_lex_state = 40},
  [9182] = {.lex_state = 32},
  [9183] = {.lex_state = 87, .external_lex_state = 58},
  [9184] = {.lex_state = 97, .external_lex_state = 40},
  [9185] = {.lex_state = 87, .external_lex_state = 23},
  [9186] = {.lex_state = 87, .external_lex_state = 57},
  [9187] = {.lex_state = 32},
  [9188] = {.lex_state = 32},
  [9189] = {.lex_state = 85, .external_lex_state = 39},
  [9190] = {.lex_state = 79, .external_lex_state = 39},
  [9191] = {.lex_state = 87, .external_lex_state = 58},
  [9192] = {.lex_state = 96, .external_lex_state = 47},
  [9193] = {.lex_state = 97, .external_lex_state = 37},
  [9194] = {.lex_state = 81, .external_lex_state = 52},
  [9195] = {.lex_state = 87, .external_lex_state = 56},
  [9196] = {.lex_state = 87, .external_lex_state = 29},
  [9197] = {.lex_state = 87, .external_lex_state = 58},
  [9198] = {.lex_state = 75, .external_lex_state = 56},
  [9199] = {.lex_state = 87, .external_lex_state = 31},
  [9200] = {.lex_state = 97, .external_lex_state = 37},
  [9201] = {.lex_state = 87, .external_lex_state = 56},
  [9202] = {.lex_state = 80, .external_lex_state = 39},
  [9203] = {.lex_state = 87, .external_lex_state = 56},
  [9204] = {.lex_state = 87, .external_lex_state = 23},
  [9205] = {.lex_state = 90, .external_lex_state = 37},
  [9206] = {.lex_state = 87, .external_lex_state = 57},
  [9207] = {.lex_state = 90, .external_lex_state = 35},
  [9208] = {.lex_state = 32},
  [9209] = {.lex_state = 32},
  [9210] = {.lex_state = 97, .external_lex_state = 37},
  [9211] = {.lex_state = 94, .external_lex_state = 52},
  [9212] = {.lex_state = 87, .external_lex_state = 48},
  [9213] = {.lex_state = 79, .external_lex_state = 39},
  [9214] = {.lex_state = 97, .external_lex_state = 40},
  [9215] = {.lex_state = 80, .external_lex_state = 39},
  [9216] = {.lex_state = 86, .external_lex_state = 34},
  [9217] = {.lex_state = 87, .external_lex_state = 29},
  [9218] = {.lex_state = 87, .external_lex_state = 29},
  [9219] = {.lex_state = 87, .external_lex_state = 58},
  [9220] = {.lex_state = 32},
  [9221] = {.lex_state = 75, .external_lex_state = 24},
  [9222] = {.lex_state = 97, .external_lex_state = 37},
  [9223] = {.lex_state = 87, .external_lex_state = 56},
  [9224] = {.lex_state = 89, .external_lex_state = 52},
  [9225] = {.lex_state = 32},
  [9226] = {.lex_state = 97, .external_lex_state = 37},
  [9227] = {.lex_state = 32},
  [9228] = {.lex_state = 32},
  [9229] = {.lex_state = 78, .external_lex_state = 52},
  [9230] = {.lex_state = 39, .external_lex_state = 52},
  [9231] = {.lex_state = 87, .external_lex_state = 58},
  [9232] = {.lex_state = 87, .external_lex_state = 56},
  [9233] = {.lex_state = 32},
  [9234] = {.lex_state = 80, .external_lex_state = 39},
  [9235] = {.lex_state = 87, .external_lex_state = 58},
  [9236] = {.lex_state = 87, .external_lex_state = 29},
  [9237] = {.lex_state = 97, .external_lex_state = 35},
  [9238] = {.lex_state = 87, .external_lex_state = 58},
  [9239] = {.lex_state = 82, .external_lex_state = 52},
  [9240] = {.lex_state = 79, .external_lex_state = 39},
  [9241] = {.lex_state = 87, .external_lex_state = 58},
  [9242] = {.lex_state = 15, .external_lex_state = 52},
  [9243] = {.lex_state = 32},
  [9244] = {.lex_state = 87, .external_lex_state = 29},
  [9245] = {.lex_state = 87, .external_lex_state = 57},
  [9246] = {.lex_state = 99, .external_lex_state = 55},
  [9247] = {.lex_state = 80, .external_lex_state = 39},
  [9248] = {.lex_state = 87, .external_lex_state = 54},
  [9249] = {.lex_state = 87, .external_lex_state = 57},
  [9250] = {.lex_state = 80, .external_lex_state = 34},
  [9251] = {.lex_state = 90, .external_lex_state = 33},
  [9252] = {.lex_state = 87, .external_lex_state = 29},
  [9253] = {.lex_state = 32},
  [9254] = {.lex_state = 95, .external_lex_state = 29},
  [9255] = {.lex_state = 87, .external_lex_state = 32},
  [9256] = {.lex_state = 97, .external_lex_state = 54},
  [9257] = {.lex_state = 87, .external_lex_state = 24},
  [9258] = {.lex_state = 75, .external_lex_state = 24},
  [9259] = {.lex_state = 90, .external_lex_state = 33},
  [9260] = {.lex_state = 32},
  [9261] = {.lex_state = 89, .external_lex_state = 55},
  [9262] = {.lex_state = 87, .external_lex_state = 56},
  [9263] = {.lex_state = 79, .external_lex_state = 39},
  [9264] = {.lex_state = 87, .external_lex_state = 56},
  [9265] = {.lex_state = 96, .external_lex_state = 52},
  [9266] = {.lex_state = 90, .external_lex_state = 32},
  [9267] = {.lex_state = 89, .external_lex_state = 55},
  [9268] = {.lex_state = 79, .external_lex_state = 39},
  [9269] = {.lex_state = 90, .external_lex_state = 32},
  [9270] = {.lex_state = 82, .external_lex_state = 52},
  [9271] = {.lex_state = 88, .external_lex_state = 27},
  [9272] = {.lex_state = 87, .external_lex_state = 57},
  [9273] = {.lex_state = 32},
  [9274] = {.lex_state = 82, .external_lex_state = 52},
  [9275] = {.lex_state = 87, .external_lex_state = 29},
  [9276] = {.lex_state = 79, .external_lex_state = 39},
  [9277] = {.lex_state = 87, .external_lex_state = 32},
  [9278] = {.lex_state = 6},
  [9279] = {.lex_state = 89, .external_lex_state = 55},
  [9280] = {.lex_state = 6},
  [9281] = {.lex_state = 32},
  [9282] = {.lex_state = 6},
  [9283] = {.lex_state = 96, .external_lex_state = 59},
  [9284] = {.lex_state = 96, .external_lex_state = 59},
  [9285] = {.lex_state = 97, .external_lex_state = 37},
  [9286] = {.lex_state = 32},
  [9287] = {.lex_state = 88, .external_lex_state = 31},
  [9288] = {.lex_state = 94, .external_lex_state = 28},
  [9289] = {.lex_state = 32},
  [9290] = {.lex_state = 80, .external_lex_state = 31},
  [9291] = {.lex_state = 94, .external_lex_state = 28},
  [9292] = {.lex_state = 82, .external_lex_state = 52},
  [9293] = {.lex_state = 32},
  [9294] = {.lex_state = 75, .external_lex_state = 35},
  [9295] = {.lex_state = 90, .external_lex_state = 43},
  [9296] = {.lex_state = 87, .external_lex_state = 57},
  [9297] = {.lex_state = 93, .external_lex_state = 39},
  [9298] = {.lex_state = 85, .external_lex_state = 34},
  [9299] = {.lex_state = 87, .external_lex_state = 57},
  [9300] = {.lex_state = 87},
  [9301] = {.lex_state = 79, .external_lex_state = 39},
  [9302] = {.lex_state = 38},
  [9303] = {.lex_state = 87, .external_lex_state = 29},
  [9304] = {.lex_state = 32},
  [9305] = {.lex_state = 87, .external_lex_state = 54},
  [9306] = {.lex_state = 81, .external_lex_state = 52},
  [9307] = {.lex_state = 87, .external_lex_state = 56},
  [9308] = {.lex_state = 80, .external_lex_state = 34},
  [9309] = {.lex_state = 75, .external_lex_state = 24},
  [9310] = {.lex_state = 87, .external_lex_state = 29},
  [9311] = {.lex_state = 87, .external_lex_state = 29},
  [9312] = {.lex_state = 32},
  [9313] = {.lex_state = 95, .external_lex_state = 46},
  [9314] = {.lex_state = 32},
  [9315] = {.lex_state = 81, .external_lex_state = 52},
  [9316] = {.lex_state = 32},
  [9317] = {.lex_state = 87, .external_lex_state = 29},
  [9318] = {.lex_state = 87, .external_lex_state = 58},
  [9319] = {.lex_state = 32},
  [9320] = {.lex_state = 95, .external_lex_state = 46},
  [9321] = {.lex_state = 87, .external_lex_state = 58},
  [9322] = {.lex_state = 87, .external_lex_state = 24},
  [9323] = {.lex_state = 87, .external_lex_state = 57},
  [9324] = {.lex_state = 95, .external_lex_state = 23},
  [9325] = {.lex_state = 79, .external_lex_state = 39},
  [9326] = {.lex_state = 88, .external_lex_state = 34},
  [9327] = {.lex_state = 87, .external_lex_state = 58},
  [9328] = {.lex_state = 81, .external_lex_state = 52},
  [9329] = {.lex_state = 87, .external_lex_state = 58},
  [9330] = {.lex_state = 95, .external_lex_state = 46},
  [9331] = {.lex_state = 87, .external_lex_state = 29},
  [9332] = {.lex_state = 87, .external_lex_state = 56},
  [9333] = {.lex_state = 32},
  [9334] = {.lex_state = 87, .external_lex_state = 58},
  [9335] = {.lex_state = 80, .external_lex_state = 31},
  [9336] = {.lex_state = 14, .external_lex_state = 52},
  [9337] = {.lex_state = 87, .external_lex_state = 29},
  [9338] = {.lex_state = 97, .external_lex_state = 53},
  [9339] = {.lex_state = 87, .external_lex_state = 56},
  [9340] = {.lex_state = 89, .external_lex_state = 39},
  [9341] = {.lex_state = 82, .external_lex_state = 52},
  [9342] = {.lex_state = 95, .external_lex_state = 46},
  [9343] = {.lex_state = 97, .external_lex_state = 37},
  [9344] = {.lex_state = 87, .external_lex_state = 58},
  [9345] = {.lex_state = 32},
  [9346] = {.lex_state = 95, .external_lex_state = 46},
  [9347] = {.lex_state = 81, .external_lex_state = 52},
  [9348] = {.lex_state = 36, .external_lex_state = 52},
  [9349] = {.lex_state = 87, .external_lex_state = 29},
  [9350] = {.lex_state = 87, .external_lex_state = 58},
  [9351] = {.lex_state = 87, .external_lex_state = 57},
  [9352] = {.lex_state = 87, .external_lex_state = 29},
  [9353] = {.lex_state = 87, .external_lex_state = 57},
  [9354] = {.lex_state = 32},
  [9355] = {.lex_state = 80, .external_lex_state = 59},
  [9356] = {.lex_state = 87, .external_lex_state = 29},
  [9357] = {.lex_state = 80, .external_lex_state = 39},
  [9358] = {.lex_state = 32},
  [9359] = {.lex_state = 96, .external_lex_state = 52},
  [9360] = {.lex_state = 32},
  [9361] = {.lex_state = 32},
  [9362] = {.lex_state = 75, .external_lex_state = 40},
  [9363] = {.lex_state = 30, .external_lex_state = 52},
  [9364] = {.lex_state = 87, .external_lex_state = 29},
  [9365] = {.lex_state = 87, .external_lex_state = 24},
  [9366] = {.lex_state = 88, .external_lex_state = 31},
  [9367] = {.lex_state = 87, .external_lex_state = 57},
  [9368] = {.lex_state = 87, .external_lex_state = 57},
  [9369] = {.lex_state = 32},
  [9370] = {.lex_state = 82, .external_lex_state = 52},
  [9371] = {.lex_state = 75, .external_lex_state = 40},
  [9372] = {.lex_state = 32},
  [9373] = {.lex_state = 85, .external_lex_state = 39},
  [9374] = {.lex_state = 87, .external_lex_state = 57},
  [9375] = {.lex_state = 32},
  [9376] = {.lex_state = 88, .external_lex_state = 31},
  [9377] = {.lex_state = 87, .external_lex_state = 56},
  [9378] = {.lex_state = 32},
  [9379] = {.lex_state = 82, .external_lex_state = 52},
  [9380] = {.lex_state = 88, .external_lex_state = 31},
  [9381] = {.lex_state = 87, .external_lex_state = 56},
  [9382] = {.lex_state = 15, .external_lex_state = 52},
  [9383] = {.lex_state = 32},
  [9384] = {.lex_state = 32},
  [9385] = {.lex_state = 31},
  [9386] = {.lex_state = 82, .external_lex_state = 52},
  [9387] = {.lex_state = 87, .external_lex_state = 24},
  [9388] = {.lex_state = 90, .external_lex_state = 33},
  [9389] = {.lex_state = 87, .external_lex_state = 58},
  [9390] = {.lex_state = 93, .external_lex_state = 39},
  [9391] = {.lex_state = 90, .external_lex_state = 43},
  [9392] = {.lex_state = 32},
  [9393] = {.lex_state = 88, .external_lex_state = 55},
  [9394] = {.lex_state = 99, .external_lex_state = 55},
  [9395] = {.lex_state = 87, .external_lex_state = 57},
  [9396] = {.lex_state = 87, .external_lex_state = 57},
  [9397] = {.lex_state = 81, .external_lex_state = 52},
  [9398] = {.lex_state = 87, .external_lex_state = 57},
  [9399] = {.lex_state = 93, .external_lex_state = 39},
  [9400] = {.lex_state = 87, .external_lex_state = 24},
  [9401] = {.lex_state = 32},
  [9402] = {.lex_state = 85, .external_lex_state = 39},
  [9403] = {.lex_state = 32},
  [9404] = {.lex_state = 87, .external_lex_state = 57},
  [9405] = {.lex_state = 87, .external_lex_state = 24},
  [9406] = {.lex_state = 32},
  [9407] = {.lex_state = 32},
  [9408] = {.lex_state = 79, .external_lex_state = 39},
  [9409] = {.lex_state = 79, .external_lex_state = 39},
  [9410] = {.lex_state = 35, .external_lex_state = 52},
  [9411] = {.lex_state = 32},
  [9412] = {.lex_state = 32},
  [9413] = {.lex_state = 32},
  [9414] = {.lex_state = 87, .external_lex_state = 56},
  [9415] = {.lex_state = 32},
  [9416] = {.lex_state = 87, .external_lex_state = 57},
  [9417] = {.lex_state = 87, .external_lex_state = 58},
  [9418] = {.lex_state = 32},
  [9419] = {.lex_state = 36, .external_lex_state = 52},
  [9420] = {.lex_state = 87, .external_lex_state = 29},
  [9421] = {.lex_state = 87, .external_lex_state = 58},
  [9422] = {.lex_state = 87, .external_lex_state = 58},
  [9423] = {.lex_state = 99, .external_lex_state = 39},
  [9424] = {.lex_state = 87, .external_lex_state = 53},
  [9425] = {.lex_state = 87},
  [9426] = {.lex_state = 32},
  [9427] = {.lex_state = 80, .external_lex_state = 59},
  [9428] = {.lex_state = 82, .external_lex_state = 52},
  [9429] = {.lex_state = 80, .external_lex_state = 59},
  [9430] = {.lex_state = 81, .external_lex_state = 52},
  [9431] = {.lex_state = 90, .external_lex_state = 32},
  [9432] = {.lex_state = 80, .external_lex_state = 59},
  [9433] = {.lex_state = 87, .external_lex_state = 29},
  [9434] = {.lex_state = 87, .external_lex_state = 33},
  [9435] = {.lex_state = 87, .external_lex_state = 29},
  [9436] = {.lex_state = 87, .external_lex_state = 57},
  [9437] = {.lex_state = 32},
  [9438] = {.lex_state = 87, .external_lex_state = 58},
  [9439] = {.lex_state = 85, .external_lex_state = 39},
  [9440] = {.lex_state = 87, .external_lex_state = 24},
  [9441] = {.lex_state = 88, .external_lex_state = 39},
  [9442] = {.lex_state = 96, .external_lex_state = 59},
  [9443] = {.lex_state = 87, .external_lex_state = 24},
  [9444] = {.lex_state = 32},
  [9445] = {.lex_state = 87, .external_lex_state = 33},
  [9446] = {.lex_state = 32},
  [9447] = {.lex_state = 89, .external_lex_state = 39},
  [9448] = {.lex_state = 32},
  [9449] = {.lex_state = 81, .external_lex_state = 52},
  [9450] = {.lex_state = 87, .external_lex_state = 24},
  [9451] = {.lex_state = 87, .external_lex_state = 56},
  [9452] = {.lex_state = 87, .external_lex_state = 55},
  [9453] = {.lex_state = 32},
  [9454] = {.lex_state = 87, .external_lex_state = 27},
  [9455] = {.lex_state = 87, .external_lex_state = 51},
  [9456] = {.lex_state = 32},
  [9457] = {.lex_state = 87, .external_lex_state = 57},
  [9458] = {.lex_state = 32},
  [9459] = {.lex_state = 87, .external_lex_state = 56},
  [9460] = {.lex_state = 90, .external_lex_state = 33},
  [9461] = {.lex_state = 90, .external_lex_state = 32},
  [9462] = {.lex_state = 87, .external_lex_state = 29},
  [9463] = {.lex_state = 90, .external_lex_state = 40},
  [9464] = {.lex_state = 95, .external_lex_state = 43},
  [9465] = {.lex_state = 87, .external_lex_state = 52},
  [9466] = {.lex_state = 93, .external_lex_state = 39},
  [9467] = {.lex_state = 81, .external_lex_state = 52},
  [9468] = {.lex_state = 90, .external_lex_state = 32},
  [9469] = {.lex_state = 32},
  [9470] = {.lex_state = 87, .external_lex_state = 29},
  [9471] = {.lex_state = 35, .external_lex_state = 52},
  [9472] = {.lex_state = 97, .external_lex_state = 35},
  [9473] = {.lex_state = 87, .external_lex_state = 53},
  [9474] = {.lex_state = 87, .external_lex_state = 56},
  [9475] = {.lex_state = 79, .external_lex_state = 39},
  [9476] = {.lex_state = 14, .external_lex_state = 52},
  [9477] = {.lex_state = 87},
  [9478] = {.lex_state = 87, .external_lex_state = 58},
  [9479] = {.lex_state = 87, .external_lex_state = 58},
  [9480] = {.lex_state = 97, .external_lex_state = 35},
  [9481] = {.lex_state = 82, .external_lex_state = 52},
  [9482] = {.lex_state = 97, .external_lex_state = 40},
  [9483] = {.lex_state = 32},
  [9484] = {.lex_state = 87, .external_lex_state = 27},
  [9485] = {.lex_state = 29, .external_lex_state = 52},
  [9486] = {.lex_state = 87, .external_lex_state = 24},
  [9487] = {.lex_state = 32},
  [9488] = {.lex_state = 32},
  [9489] = {.lex_state = 87, .external_lex_state = 56},
  [9490] = {.lex_state = 95, .external_lex_state = 43},
  [9491] = {.lex_state = 87, .external_lex_state = 57},
  [9492] = {.lex_state = 96, .external_lex_state = 28},
  [9493] = {.lex_state = 32},
  [9494] = {.lex_state = 87, .external_lex_state = 57},
  [9495] = {.lex_state = 95, .external_lex_state = 43},
  [9496] = {.lex_state = 87, .external_lex_state = 57},
  [9497] = {.lex_state = 87, .external_lex_state = 24},
  [9498] = {.lex_state = 87, .external_lex_state = 56},
  [9499] = {.lex_state = 87, .external_lex_state = 58},
  [9500] = {.lex_state = 80, .external_lex_state = 39},
  [9501] = {.lex_state = 95, .external_lex_state = 43},
  [9502] = {.lex_state = 87, .external_lex_state = 48},
  [9503] = {.lex_state = 87, .external_lex_state = 24},
  [9504] = {.lex_state = 32},
  [9505] = {.lex_state = 97, .external_lex_state = 35},
  [9506] = {.lex_state = 90, .external_lex_state = 33},
  [9507] = {.lex_state = 87, .external_lex_state = 51},
  [9508] = {.lex_state = 87, .external_lex_state = 56},
  [9509] = {.lex_state = 87, .external_lex_state = 57},
  [9510] = {.lex_state = 95, .external_lex_state = 43},
  [9511] = {.lex_state = 86, .external_lex_state = 34},
  [9512] = {.lex_state = 96, .external_lex_state = 26},
  [9513] = {.lex_state = 90, .external_lex_state = 33},
  [9514] = {.lex_state = 95, .external_lex_state = 43},
  [9515] = {.lex_state = 32},
  [9516] = {.lex_state = 87, .external_lex_state = 58},
  [9517] = {.lex_state = 87, .external_lex_state = 56},
  [9518] = {.lex_state = 81, .external_lex_state = 52},
  [9519] = {.lex_state = 87, .external_lex_state = 57},
  [9520] = {.lex_state = 87, .external_lex_state = 57},
  [9521] = {.lex_state = 97, .external_lex_state = 35},
  [9522] = {.lex_state = 82, .external_lex_state = 52},
  [9523] = {.lex_state = 32},
  [9524] = {.lex_state = 87, .external_lex_state = 57},
  [9525] = {.lex_state = 87, .external_lex_state = 58},
  [9526] = {.lex_state = 75, .external_lex_state = 35},
  [9527] = {.lex_state = 32},
  [9528] = {.lex_state = 32},
  [9529] = {.lex_state = 32},
  [9530] = {.lex_state = 94, .external_lex_state = 31},
  [9531] = {.lex_state = 32},
  [9532] = {.lex_state = 99, .external_lex_state = 39},
  [9533] = {.lex_state = 80, .external_lex_state = 39},
  [9534] = {.lex_state = 87, .external_lex_state = 58},
  [9535] = {.lex_state = 90, .external_lex_state = 33},
  [9536] = {.lex_state = 97, .external_lex_state = 35},
  [9537] = {.lex_state = 81, .external_lex_state = 52},
  [9538] = {.lex_state = 32},
  [9539] = {.lex_state = 87, .external_lex_state = 24},
  [9540] = {.lex_state = 32},
  [9541] = {.lex_state = 87, .external_lex_state = 56},
  [9542] = {.lex_state = 90, .external_lex_state = 33},
  [9543] = {.lex_state = 32},
  [9544] = {.lex_state = 32},
  [9545] = {.lex_state = 87, .external_lex_state = 57},
  [9546] = {.lex_state = 96, .external_lex_state = 26},
  [9547] = {.lex_state = 32},
  [9548] = {.lex_state = 94, .external_lex_state = 55},
  [9549] = {.lex_state = 87, .external_lex_state = 57},
  [9550] = {.lex_state = 87, .external_lex_state = 58},
  [9551] = {.lex_state = 78, .external_lex_state = 39},
  [9552] = {.lex_state = 87, .external_lex_state = 56},
  [9553] = {.lex_state = 87, .external_lex_state = 56},
  [9554] = {.lex_state = 100, .external_lex_state = 39},
  [9555] = {.lex_state = 87, .external_lex_state = 57},
  [9556] = {.lex_state = 81, .external_lex_state = 39},
  [9557] = {.lex_state = 87, .external_lex_state = 57},
  [9558] = {.lex_state = 32},
  [9559] = {.lex_state = 32},
  [9560] = {.lex_state = 87, .external_lex_state = 29},
  [9561] = {.lex_state = 93, .external_lex_state = 39},
  [9562] = {.lex_state = 87, .external_lex_state = 56},
  [9563] = {.lex_state = 32},
  [9564] = {.lex_state = 78, .external_lex_state = 39},
  [9565] = {.lex_state = 95, .external_lex_state = 43},
  [9566] = {.lex_state = 81, .external_lex_state = 39},
  [9567] = {.lex_state = 87, .external_lex_state = 24},
  [9568] = {.lex_state = 97, .external_lex_state = 35},
  [9569] = {.lex_state = 87, .external_lex_state = 57},
  [9570] = {.lex_state = 89, .external_lex_state = 55},
  [9571] = {.lex_state = 32},
  [9572] = {.lex_state = 87, .external_lex_state = 56},
  [9573] = {.lex_state = 93, .external_lex_state = 55},
  [9574] = {.lex_state = 90, .external_lex_state = 33},
  [9575] = {.lex_state = 87, .external_lex_state = 57},
  [9576] = {.lex_state = 32},
  [9577] = {.lex_state = 87, .external_lex_state = 57},
  [9578] = {.lex_state = 87, .external_lex_state = 52},
  [9579] = {.lex_state = 32},
  [9580] = {.lex_state = 86, .external_lex_state = 39},
  [9581] = {.lex_state = 80, .external_lex_state = 59},
  [9582] = {.lex_state = 87, .external_lex_state = 32},
  [9583] = {.lex_state = 97, .external_lex_state = 46},
  [9584] = {.lex_state = 80, .external_lex_state = 59},
  [9585] = {.lex_state = 87, .external_lex_state = 32},
  [9586] = {.lex_state = 87},
  [9587] = {.lex_state = 80, .external_lex_state = 59},
  [9588] = {.lex_state = 87, .external_lex_state = 24},
  [9589] = {.lex_state = 97, .external_lex_state = 46},
  [9590] = {.lex_state = 87, .external_lex_state = 31},
  [9591] = {.lex_state = 87},
  [9592] = {.lex_state = 75, .external_lex_state = 23},
  [9593] = {.lex_state = 80, .external_lex_state = 59},
  [9594] = {.lex_state = 96, .external_lex_state = 31},
  [9595] = {.lex_state = 89, .external_lex_state = 39},
  [9596] = {.lex_state = 80, .external_lex_state = 59},
  [9597] = {.lex_state = 87, .external_lex_state = 32},
  [9598] = {.lex_state = 97, .external_lex_state = 46},
  [9599] = {.lex_state = 87, .external_lex_state = 32},
  [9600] = {.lex_state = 87},
  [9601] = {.lex_state = 80, .external_lex_state = 59},
  [9602] = {.lex_state = 87},
  [9603] = {.lex_state = 87, .external_lex_state = 32},
  [9604] = {.lex_state = 87, .external_lex_state = 32},
  [9605] = {.lex_state = 80, .external_lex_state = 59},
  [9606] = {.lex_state = 87, .external_lex_state = 24},
  [9607] = {.lex_state = 97, .external_lex_state = 46},
  [9608] = {.lex_state = 87, .external_lex_state = 34},
  [9609] = {.lex_state = 97, .external_lex_state = 46},
  [9610] = {.lex_state = 97, .external_lex_state = 46},
  [9611] = {.lex_state = 89, .external_lex_state = 39},
  [9612] = {.lex_state = 87},
  [9613] = {.lex_state = 87, .external_lex_state = 24},
  [9614] = {.lex_state = 100, .external_lex_state = 39},
  [9615] = {.lex_state = 90, .external_lex_state = 35},
  [9616] = {.lex_state = 90, .external_lex_state = 53},
  [9617] = {.lex_state = 87, .external_lex_state = 32},
  [9618] = {.lex_state = 87, .external_lex_state = 24},
  [9619] = {.lex_state = 96, .external_lex_state = 34},
  [9620] = {.lex_state = 87, .external_lex_state = 56},
  [9621] = {.lex_state = 87, .external_lex_state = 32},
  [9622] = {.lex_state = 87, .external_lex_state = 32},
  [9623] = {.lex_state = 87, .external_lex_state = 57},
  [9624] = {.lex_state = 90, .external_lex_state = 37},
  [9625] = {.lex_state = 90, .external_lex_state = 40},
  [9626] = {.lex_state = 80, .external_lex_state = 59},
  [9627] = {.lex_state = 87, .external_lex_state = 35},
  [9628] = {.lex_state = 87, .external_lex_state = 33},
  [9629] = {.lex_state = 90, .external_lex_state = 37},
  [9630] = {.lex_state = 87},
  [9631] = {.lex_state = 87, .external_lex_state = 32},
  [9632] = {.lex_state = 90, .external_lex_state = 40},
  [9633] = {.lex_state = 87},
  [9634] = {.lex_state = 94, .external_lex_state = 31},
  [9635] = {.lex_state = 99, .external_lex_state = 39},
  [9636] = {.lex_state = 90, .external_lex_state = 37},
  [9637] = {.lex_state = 87, .external_lex_state = 32},
  [9638] = {.lex_state = 87, .external_lex_state = 24},
  [9639] = {.lex_state = 87, .external_lex_state = 32},
  [9640] = {.lex_state = 87, .external_lex_state = 33},
  [9641] = {.lex_state = 87, .external_lex_state = 33},
  [9642] = {.lex_state = 90, .external_lex_state = 37},
  [9643] = {.lex_state = 87, .external_lex_state = 24},
  [9644] = {.lex_state = 87, .external_lex_state = 33},
  [9645] = {.lex_state = 87, .external_lex_state = 32},
  [9646] = {.lex_state = 87, .external_lex_state = 40},
  [9647] = {.lex_state = 32},
  [9648] = {.lex_state = 32},
  [9649] = {.lex_state = 87},
  [9650] = {.lex_state = 87, .external_lex_state = 32},
  [9651] = {.lex_state = 89, .external_lex_state = 55},
  [9652] = {.lex_state = 90, .external_lex_state = 35},
  [9653] = {.lex_state = 95, .external_lex_state = 53},
  [9654] = {.lex_state = 31},
  [9655] = {.lex_state = 92, .external_lex_state = 52},
  [9656] = {.lex_state = 87, .external_lex_state = 33},
  [9657] = {.lex_state = 96, .external_lex_state = 28},
  [9658] = {.lex_state = 87, .external_lex_state = 32},
  [9659] = {.lex_state = 90, .external_lex_state = 35},
  [9660] = {.lex_state = 89, .external_lex_state = 52},
  [9661] = {.lex_state = 87, .external_lex_state = 32},
  [9662] = {.lex_state = 87, .external_lex_state = 33},
  [9663] = {.lex_state = 87},
  [9664] = {.lex_state = 87, .external_lex_state = 24},
  [9665] = {.lex_state = 32},
  [9666] = {.lex_state = 87, .external_lex_state = 32},
  [9667] = {.lex_state = 87, .external_lex_state = 24},
  [9668] = {.lex_state = 87, .external_lex_state = 32},
  [9669] = {.lex_state = 97, .external_lex_state = 43},
  [9670] = {.lex_state = 87, .external_lex_state = 32},
  [9671] = {.lex_state = 87, .external_lex_state = 32},
  [9672] = {.lex_state = 95, .external_lex_state = 54},
  [9673] = {.lex_state = 90, .external_lex_state = 40},
  [9674] = {.lex_state = 97, .external_lex_state = 43},
  [9675] = {.lex_state = 87},
  [9676] = {.lex_state = 95, .external_lex_state = 54},
  [9677] = {.lex_state = 96, .external_lex_state = 28},
  [9678] = {.lex_state = 87},
  [9679] = {.lex_state = 97, .external_lex_state = 43},
  [9680] = {.lex_state = 90, .external_lex_state = 37},
  [9681] = {.lex_state = 90, .external_lex_state = 37},
  [9682] = {.lex_state = 87, .external_lex_state = 32},
  [9683] = {.lex_state = 87, .external_lex_state = 32},
  [9684] = {.lex_state = 87, .external_lex_state = 24},
  [9685] = {.lex_state = 90, .external_lex_state = 23},
  [9686] = {.lex_state = 90, .external_lex_state = 51},
  [9687] = {.lex_state = 87, .external_lex_state = 43},
  [9688] = {.lex_state = 97, .external_lex_state = 43},
  [9689] = {.lex_state = 15, .external_lex_state = 52},
  [9690] = {.lex_state = 95, .external_lex_state = 54},
  [9691] = {.lex_state = 95, .external_lex_state = 48},
  [9692] = {.lex_state = 97, .external_lex_state = 43},
  [9693] = {.lex_state = 87, .external_lex_state = 33},
  [9694] = {.lex_state = 97, .external_lex_state = 57},
  [9695] = {.lex_state = 82, .external_lex_state = 52},
  [9696] = {.lex_state = 87, .external_lex_state = 32},
  [9697] = {.lex_state = 87},
  [9698] = {.lex_state = 95, .external_lex_state = 48},
  [9699] = {.lex_state = 89, .external_lex_state = 39},
  [9700] = {.lex_state = 87, .external_lex_state = 32},
  [9701] = {.lex_state = 87},
  [9702] = {.lex_state = 82, .external_lex_state = 52},
  [9703] = {.lex_state = 95, .external_lex_state = 48},
  [9704] = {.lex_state = 95, .external_lex_state = 48},
  [9705] = {.lex_state = 95, .external_lex_state = 48},
  [9706] = {.lex_state = 88, .external_lex_state = 59},
  [9707] = {.lex_state = 87, .external_lex_state = 24},
  [9708] = {.lex_state = 95, .external_lex_state = 48},
  [9709] = {.lex_state = 32},
  [9710] = {.lex_state = 87, .external_lex_state = 32},
  [9711] = {.lex_state = 87},
  [9712] = {.lex_state = 87, .external_lex_state = 24},
  [9713] = {.lex_state = 87, .external_lex_state = 32},
  [9714] = {.lex_state = 88, .external_lex_state = 59},
  [9715] = {.lex_state = 40, .external_lex_state = 52},
  [9716] = {.lex_state = 90, .external_lex_state = 53},
  [9717] = {.lex_state = 95, .external_lex_state = 48},
  [9718] = {.lex_state = 87},
  [9719] = {.lex_state = 90, .external_lex_state = 37},
  [9720] = {.lex_state = 87},
  [9721] = {.lex_state = 95, .external_lex_state = 48},
  [9722] = {.lex_state = 87},
  [9723] = {.lex_state = 97, .external_lex_state = 56},
  [9724] = {.lex_state = 97, .external_lex_state = 43},
  [9725] = {.lex_state = 94, .external_lex_state = 31},
  [9726] = {.lex_state = 87},
  [9727] = {.lex_state = 95, .external_lex_state = 54},
  [9728] = {.lex_state = 87, .external_lex_state = 32},
  [9729] = {.lex_state = 87},
  [9730] = {.lex_state = 87},
  [9731] = {.lex_state = 87},
  [9732] = {.lex_state = 32},
  [9733] = {.lex_state = 87},
  [9734] = {.lex_state = 87, .external_lex_state = 32},
  [9735] = {.lex_state = 90, .external_lex_state = 35},
  [9736] = {.lex_state = 97, .external_lex_state = 46},
  [9737] = {.lex_state = 80, .external_lex_state = 52},
  [9738] = {.lex_state = 80, .external_lex_state = 59},
  [9739] = {.lex_state = 97, .external_lex_state = 43},
  [9740] = {.lex_state = 90, .external_lex_state = 54},
  [9741] = {.lex_state = 97, .external_lex_state = 43},
  [9742] = {.lex_state = 94, .external_lex_state = 34},
  [9743] = {.lex_state = 4},
  [9744] = {.lex_state = 87, .external_lex_state = 24},
  [9745] = {.lex_state = 15, .external_lex_state = 52},
  [9746] = {.lex_state = 87, .external_lex_state = 29},
  [9747] = {.lex_state = 87},
  [9748] = {.lex_state = 87},
  [9749] = {.lex_state = 39, .external_lex_state = 52},
  [9750] = {.lex_state = 95, .external_lex_state = 54},
  [9751] = {.lex_state = 87, .external_lex_state = 33},
  [9752] = {.lex_state = 90, .external_lex_state = 46},
  [9753] = {.lex_state = 97, .external_lex_state = 23},
  [9754] = {.lex_state = 87},
  [9755] = {.lex_state = 87, .external_lex_state = 33},
  [9756] = {.lex_state = 32},
  [9757] = {.lex_state = 87},
  [9758] = {.lex_state = 87},
  [9759] = {.lex_state = 87, .external_lex_state = 24},
  [9760] = {.lex_state = 87, .external_lex_state = 24},
  [9761] = {.lex_state = 87},
  [9762] = {.lex_state = 87},
  [9763] = {.lex_state = 87},
  [9764] = {.lex_state = 32},
  [9765] = {.lex_state = 87},
  [9766] = {.lex_state = 87},
  [9767] = {.lex_state = 80, .external_lex_state = 39},
  [9768] = {.lex_state = 87},
  [9769] = {.lex_state = 89, .external_lex_state = 39},
  [9770] = {.lex_state = 87},
  [9771] = {.lex_state = 36, .external_lex_state = 52},
  [9772] = {.lex_state = 87},
  [9773] = {.lex_state = 85, .external_lex_state = 39},
  [9774] = {.lex_state = 90, .external_lex_state = 51},
  [9775] = {.lex_state = 87, .external_lex_state = 51},
  [9776] = {.lex_state = 87},
  [9777] = {.lex_state = 87, .external_lex_state = 33},
  [9778] = {.lex_state = 88, .external_lex_state = 31},
  [9779] = {.lex_state = 95, .external_lex_state = 54},
  [9780] = {.lex_state = 80, .external_lex_state = 39},
  [9781] = {.lex_state = 87, .external_lex_state = 33},
  [9782] = {.lex_state = 37, .external_lex_state = 52},
  [9783] = {.lex_state = 90, .external_lex_state = 35},
  [9784] = {.lex_state = 87, .external_lex_state = 40},
  [9785] = {.lex_state = 37, .external_lex_state = 52},
  [9786] = {.lex_state = 90, .external_lex_state = 54},
  [9787] = {.lex_state = 87, .external_lex_state = 24},
  [9788] = {.lex_state = 32},
  [9789] = {.lex_state = 88, .external_lex_state = 39},
  [9790] = {.lex_state = 32},
  [9791] = {.lex_state = 39},
  [9792] = {.lex_state = 97, .external_lex_state = 29},
  [9793] = {.lex_state = 90, .external_lex_state = 37},
  [9794] = {.lex_state = 95, .external_lex_state = 51},
  [9795] = {.lex_state = 90, .external_lex_state = 35},
  [9796] = {.lex_state = 94, .external_lex_state = 39},
  [9797] = {.lex_state = 100, .external_lex_state = 55},
  [9798] = {.lex_state = 95, .external_lex_state = 51},
  [9799] = {.lex_state = 87, .external_lex_state = 33},
  [9800] = {.lex_state = 88, .external_lex_state = 39},
  [9801] = {.lex_state = 90, .external_lex_state = 35},
  [9802] = {.lex_state = 99, .external_lex_state = 39},
  [9803] = {.lex_state = 89, .external_lex_state = 52},
  [9804] = {.lex_state = 87, .external_lex_state = 39},
  [9805] = {.lex_state = 95, .external_lex_state = 53},
  [9806] = {.lex_state = 86, .external_lex_state = 39},
  [9807] = {.lex_state = 87, .external_lex_state = 23},
  [9808] = {.lex_state = 87, .external_lex_state = 33},
  [9809] = {.lex_state = 87},
  [9810] = {.lex_state = 75, .external_lex_state = 54},
  [9811] = {.lex_state = 95, .external_lex_state = 53},
  [9812] = {.lex_state = 95, .external_lex_state = 53},
  [9813] = {.lex_state = 87, .external_lex_state = 33},
  [9814] = {.lex_state = 32},
  [9815] = {.lex_state = 95, .external_lex_state = 54},
  [9816] = {.lex_state = 87, .external_lex_state = 24},
  [9817] = {.lex_state = 97, .external_lex_state = 46},
  [9818] = {.lex_state = 87, .external_lex_state = 29},
  [9819] = {.lex_state = 37, .external_lex_state = 52},
  [9820] = {.lex_state = 97, .external_lex_state = 46},
  [9821] = {.lex_state = 97, .external_lex_state = 46},
  [9822] = {.lex_state = 75, .external_lex_state = 39},
  [9823] = {.lex_state = 95, .external_lex_state = 51},
  [9824] = {.lex_state = 87, .external_lex_state = 23},
  [9825] = {.lex_state = 87, .external_lex_state = 23},
  [9826] = {.lex_state = 87, .external_lex_state = 58},
  [9827] = {.lex_state = 35, .external_lex_state = 52},
  [9828] = {.lex_state = 97, .external_lex_state = 23},
  [9829] = {.lex_state = 95, .external_lex_state = 51},
  [9830] = {.lex_state = 87, .external_lex_state = 23},
  [9831] = {.lex_state = 95, .external_lex_state = 53},
  [9832] = {.lex_state = 39, .external_lex_state = 52},
  [9833] = {.lex_state = 87, .external_lex_state = 58},
  [9834] = {.lex_state = 87, .external_lex_state = 35},
  [9835] = {.lex_state = 87, .external_lex_state = 33},
  [9836] = {.lex_state = 87, .external_lex_state = 33},
  [9837] = {.lex_state = 95, .external_lex_state = 51},
  [9838] = {.lex_state = 90, .external_lex_state = 48},
  [9839] = {.lex_state = 95, .external_lex_state = 51},
  [9840] = {.lex_state = 75, .external_lex_state = 53},
  [9841] = {.lex_state = 87, .external_lex_state = 24},
  [9842] = {.lex_state = 32},
  [9843] = {.lex_state = 87, .external_lex_state = 51},
  [9844] = {.lex_state = 95, .external_lex_state = 53},
  [9845] = {.lex_state = 95, .external_lex_state = 53},
  [9846] = {.lex_state = 37, .external_lex_state = 52},
  [9847] = {.lex_state = 99, .external_lex_state = 23},
  [9848] = {.lex_state = 95, .external_lex_state = 53},
  [9849] = {.lex_state = 88, .external_lex_state = 34},
  [9850] = {.lex_state = 90, .external_lex_state = 23},
  [9851] = {.lex_state = 87, .external_lex_state = 31},
  [9852] = {.lex_state = 95},
  [9853] = {.lex_state = 95, .external_lex_state = 54},
  [9854] = {.lex_state = 87, .external_lex_state = 24},
  [9855] = {.lex_state = 87, .external_lex_state = 24},
  [9856] = {.lex_state = 75, .external_lex_state = 23},
  [9857] = {.lex_state = 87, .external_lex_state = 23},
  [9858] = {.lex_state = 95, .external_lex_state = 53},
  [9859] = {.lex_state = 96, .external_lex_state = 27},
  [9860] = {.lex_state = 87, .external_lex_state = 40},
  [9861] = {.lex_state = 87, .external_lex_state = 24},
  [9862] = {.lex_state = 90, .external_lex_state = 37},
  [9863] = {.lex_state = 87, .external_lex_state = 29},
  [9864] = {.lex_state = 95, .external_lex_state = 33},
  [9865] = {.lex_state = 76, .external_lex_state = 23},
  [9866] = {.lex_state = 96, .external_lex_state = 27},
  [9867] = {.lex_state = 87, .external_lex_state = 33},
  [9868] = {.lex_state = 87, .external_lex_state = 48},
  [9869] = {.lex_state = 90, .external_lex_state = 23},
  [9870] = {.lex_state = 90, .external_lex_state = 23},
  [9871] = {.lex_state = 95, .external_lex_state = 51},
  [9872] = {.lex_state = 100, .external_lex_state = 55},
  [9873] = {.lex_state = 87, .external_lex_state = 57},
  [9874] = {.lex_state = 87},
  [9875] = {.lex_state = 32},
  [9876] = {.lex_state = 89, .external_lex_state = 39},
  [9877] = {.lex_state = 95, .external_lex_state = 54},
  [9878] = {.lex_state = 88, .external_lex_state = 39},
  [9879] = {.lex_state = 95, .external_lex_state = 54},
  [9880] = {.lex_state = 95, .external_lex_state = 51},
  [9881] = {.lex_state = 95, .external_lex_state = 51},
  [9882] = {.lex_state = 4},
  [9883] = {.lex_state = 31},
  [9884] = {.lex_state = 87, .external_lex_state = 56},
  [9885] = {.lex_state = 100, .external_lex_state = 39},
  [9886] = {.lex_state = 75, .external_lex_state = 24},
  [9887] = {.lex_state = 87, .external_lex_state = 24},
  [9888] = {.lex_state = 90, .external_lex_state = 35},
  [9889] = {.lex_state = 86, .external_lex_state = 39},
  [9890] = {.lex_state = 90, .external_lex_state = 48},
  [9891] = {.lex_state = 80, .external_lex_state = 59},
  [9892] = {.lex_state = 20, .external_lex_state = 2},
  [9893] = {.lex_state = 87},
  [9894] = {.lex_state = 87, .external_lex_state = 33},
  [9895] = {.lex_state = 32},
  [9896] = {.lex_state = 87, .external_lex_state = 33},
  [9897] = {.lex_state = 87, .external_lex_state = 33},
  [9898] = {.lex_state = 95, .external_lex_state = 24},
  [9899] = {.lex_state = 87, .external_lex_state = 34},
  [9900] = {.lex_state = 95, .external_lex_state = 32},
  [9901] = {.lex_state = 80, .external_lex_state = 59},
  [9902] = {.lex_state = 80, .external_lex_state = 59},
  [9903] = {.lex_state = 80, .external_lex_state = 59},
  [9904] = {.lex_state = 87, .external_lex_state = 33},
  [9905] = {.lex_state = 36, .external_lex_state = 52},
  [9906] = {.lex_state = 87, .external_lex_state = 24},
  [9907] = {.lex_state = 30, .external_lex_state = 52},
  [9908] = {.lex_state = 93, .external_lex_state = 39},
  [9909] = {.lex_state = 78, .external_lex_state = 52},
  [9910] = {.lex_state = 90, .external_lex_state = 40},
  [9911] = {.lex_state = 30, .external_lex_state = 52},
  [9912] = {.lex_state = 30, .external_lex_state = 52},
  [9913] = {.lex_state = 97, .external_lex_state = 43},
  [9914] = {.lex_state = 87, .external_lex_state = 33},
  [9915] = {.lex_state = 96, .external_lex_state = 55},
  [9916] = {.lex_state = 32},
  [9917] = {.lex_state = 4},
  [9918] = {.lex_state = 35, .external_lex_state = 52},
  [9919] = {.lex_state = 35, .external_lex_state = 52},
  [9920] = {.lex_state = 4},
  [9921] = {.lex_state = 35, .external_lex_state = 52},
  [9922] = {.lex_state = 87, .external_lex_state = 33},
  [9923] = {.lex_state = 31},
  [9924] = {.lex_state = 90, .external_lex_state = 40},
  [9925] = {.lex_state = 4},
  [9926] = {.lex_state = 20, .external_lex_state = 2},
  [9927] = {.lex_state = 87, .external_lex_state = 24},
  [9928] = {.lex_state = 100, .external_lex_state = 39},
  [9929] = {.lex_state = 20, .external_lex_state = 2},
  [9930] = {.lex_state = 20, .external_lex_state = 2},
  [9931] = {.lex_state = 87, .external_lex_state = 24},
  [9932] = {.lex_state = 87, .external_lex_state = 24},
  [9933] = {.lex_state = 87, .external_lex_state = 24},
  [9934] = {.lex_state = 20, .external_lex_state = 2},
  [9935] = {.lex_state = 90, .external_lex_state = 40},
  [9936] = {.lex_state = 30, .external_lex_state = 52},
  [9937] = {.lex_state = 32},
  [9938] = {.lex_state = 87, .external_lex_state = 24},
  [9939] = {.lex_state = 75, .external_lex_state = 55},
  [9940] = {.lex_state = 92, .external_lex_state = 52},
  [9941] = {.lex_state = 86, .external_lex_state = 39},
  [9942] = {.lex_state = 87, .external_lex_state = 24},
  [9943] = {.lex_state = 80, .external_lex_state = 52},
  [9944] = {.lex_state = 97, .external_lex_state = 23},
  [9945] = {.lex_state = 95, .external_lex_state = 53},
  [9946] = {.lex_state = 87, .external_lex_state = 32},
  [9947] = {.lex_state = 87, .external_lex_state = 32},
  [9948] = {.lex_state = 90, .external_lex_state = 40},
  [9949] = {.lex_state = 86, .external_lex_state = 39},
  [9950] = {.lex_state = 97, .external_lex_state = 23},
  [9951] = {.lex_state = 90, .external_lex_state = 35},
  [9952] = {.lex_state = 87, .external_lex_state = 23},
  [9953] = {.lex_state = 87, .external_lex_state = 24},
  [9954] = {.lex_state = 97, .external_lex_state = 23},
  [9955] = {.lex_state = 87, .external_lex_state = 24},
  [9956] = {.lex_state = 95, .external_lex_state = 48},
  [9957] = {.lex_state = 32},
  [9958] = {.lex_state = 20, .external_lex_state = 2},
  [9959] = {.lex_state = 81, .external_lex_state = 52},
  [9960] = {.lex_state = 97, .external_lex_state = 23},
  [9961] = {.lex_state = 20, .external_lex_state = 2},
  [9962] = {.lex_state = 87, .external_lex_state = 33},
  [9963] = {.lex_state = 75, .external_lex_state = 23},
  [9964] = {.lex_state = 95, .external_lex_state = 48},
  [9965] = {.lex_state = 87, .external_lex_state = 48},
  [9966] = {.lex_state = 95, .external_lex_state = 51},
  [9967] = {.lex_state = 97, .external_lex_state = 23},
  [9968] = {.lex_state = 87, .external_lex_state = 33},
  [9969] = {.lex_state = 87, .external_lex_state = 24},
  [9970] = {.lex_state = 81, .external_lex_state = 52},
  [9971] = {.lex_state = 75, .external_lex_state = 54},
  [9972] = {.lex_state = 32},
  [9973] = {.lex_state = 87, .external_lex_state = 33},
  [9974] = {.lex_state = 87, .external_lex_state = 33},
  [9975] = {.lex_state = 97, .external_lex_state = 23},
  [9976] = {.lex_state = 90, .external_lex_state = 40},
  [9977] = {.lex_state = 87, .external_lex_state = 32},
  [9978] = {.lex_state = 90, .external_lex_state = 40},
  [9979] = {.lex_state = 87, .external_lex_state = 35},
  [9980] = {.lex_state = 88, .external_lex_state = 39},
  [9981] = {.lex_state = 97, .external_lex_state = 43},
  [9982] = {.lex_state = 87, .external_lex_state = 33},
  [9983] = {.lex_state = 97, .external_lex_state = 58},
  [9984] = {.lex_state = 75, .external_lex_state = 53},
  [9985] = {.lex_state = 29, .external_lex_state = 52},
  [9986] = {.lex_state = 87, .external_lex_state = 24},
  [9987] = {.lex_state = 87, .external_lex_state = 33},
  [9988] = {.lex_state = 87, .external_lex_state = 40},
  [9989] = {.lex_state = 87, .external_lex_state = 24},
  [9990] = {.lex_state = 87, .external_lex_state = 33},
  [9991] = {.lex_state = 87, .external_lex_state = 33},
  [9992] = {.lex_state = 87, .external_lex_state = 35},
  [9993] = {.lex_state = 96, .external_lex_state = 55},
  [9994] = {.lex_state = 97, .external_lex_state = 23},
  [9995] = {.lex_state = 94, .external_lex_state = 34},
  [9996] = {.lex_state = 31},
  [9997] = {.lex_state = 90, .external_lex_state = 43},
  [9998] = {.lex_state = 87, .external_lex_state = 24},
  [9999] = {.lex_state = 97, .external_lex_state = 23},
  [10000] = {.lex_state = 75, .external_lex_state = 23},
  [10001] = {.lex_state = 20, .external_lex_state = 2},
  [10002] = {.lex_state = 92, .external_lex_state = 52},
  [10003] = {.lex_state = 90, .external_lex_state = 23},
  [10004] = {.lex_state = 87, .external_lex_state = 35},
  [10005] = {.lex_state = 6},
  [10006] = {.lex_state = 90, .external_lex_state = 29},
  [10007] = {.lex_state = 87},
  [10008] = {.lex_state = 97, .external_lex_state = 51},
  [10009] = {.lex_state = 16, .external_lex_state = 52},
  [10010] = {.lex_state = 38},
  [10011] = {.lex_state = 90, .external_lex_state = 23},
  [10012] = {.lex_state = 95, .external_lex_state = 56},
  [10013] = {.lex_state = 16, .external_lex_state = 52},
  [10014] = {.lex_state = 95, .external_lex_state = 29},
  [10015] = {.lex_state = 35, .external_lex_state = 52},
  [10016] = {.lex_state = 95, .external_lex_state = 57},
  [10017] = {.lex_state = 87, .external_lex_state = 35},
  [10018] = {.lex_state = 95, .external_lex_state = 57},
  [10019] = {.lex_state = 97, .external_lex_state = 54},
  [10020] = {.lex_state = 90, .external_lex_state = 46},
  [10021] = {.lex_state = 78, .external_lex_state = 52},
  [10022] = {.lex_state = 96, .external_lex_state = 52},
  [10023] = {.lex_state = 16, .external_lex_state = 52},
  [10024] = {.lex_state = 78, .external_lex_state = 52},
  [10025] = {.lex_state = 90, .external_lex_state = 46},
  [10026] = {.lex_state = 75, .external_lex_state = 56},
  [10027] = {.lex_state = 31},
  [10028] = {.lex_state = 16, .external_lex_state = 52},
  [10029] = {.lex_state = 87},
  [10030] = {.lex_state = 78, .external_lex_state = 52},
  [10031] = {.lex_state = 95, .external_lex_state = 57},
  [10032] = {.lex_state = 89, .external_lex_state = 39},
  [10033] = {.lex_state = 87, .external_lex_state = 37},
  [10034] = {.lex_state = 16, .external_lex_state = 52},
  [10035] = {.lex_state = 87, .external_lex_state = 35},
  [10036] = {.lex_state = 97, .external_lex_state = 51},
  [10037] = {.lex_state = 78, .external_lex_state = 52},
  [10038] = {.lex_state = 95, .external_lex_state = 57},
  [10039] = {.lex_state = 97, .external_lex_state = 54},
  [10040] = {.lex_state = 87, .external_lex_state = 35},
  [10041] = {.lex_state = 97, .external_lex_state = 51},
  [10042] = {.lex_state = 97, .external_lex_state = 54},
  [10043] = {.lex_state = 99, .external_lex_state = 23},
  [10044] = {.lex_state = 99, .external_lex_state = 24},
  [10045] = {.lex_state = 97, .external_lex_state = 53},
  [10046] = {.lex_state = 87, .external_lex_state = 35},
  [10047] = {.lex_state = 78, .external_lex_state = 52},
  [10048] = {.lex_state = 6},
  [10049] = {.lex_state = 92, .external_lex_state = 52},
  [10050] = {.lex_state = 88, .external_lex_state = 59},
  [10051] = {.lex_state = 87, .external_lex_state = 33},
  [10052] = {.lex_state = 78, .external_lex_state = 52},
  [10053] = {.lex_state = 90, .external_lex_state = 46},
  [10054] = {.lex_state = 87, .external_lex_state = 40},
  [10055] = {.lex_state = 5},
  [10056] = {.lex_state = 92, .external_lex_state = 52},
  [10057] = {.lex_state = 95, .external_lex_state = 57},
  [10058] = {.lex_state = 78, .external_lex_state = 52},
  [10059] = {.lex_state = 36, .external_lex_state = 52},
  [10060] = {.lex_state = 100, .external_lex_state = 39},
  [10061] = {.lex_state = 16, .external_lex_state = 52},
  [10062] = {.lex_state = 97, .external_lex_state = 51},
  [10063] = {.lex_state = 90, .external_lex_state = 23},
  [10064] = {.lex_state = 78, .external_lex_state = 52},
  [10065] = {.lex_state = 97, .external_lex_state = 54},
  [10066] = {.lex_state = 87, .external_lex_state = 24},
  [10067] = {.lex_state = 97, .external_lex_state = 48},
  [10068] = {.lex_state = 99, .external_lex_state = 24},
  [10069] = {.lex_state = 78, .external_lex_state = 52},
  [10070] = {.lex_state = 87, .external_lex_state = 35},
  [10071] = {.lex_state = 96, .external_lex_state = 39},
  [10072] = {.lex_state = 40, .external_lex_state = 52},
  [10073] = {.lex_state = 92, .external_lex_state = 52},
  [10074] = {.lex_state = 78, .external_lex_state = 52},
  [10075] = {.lex_state = 90, .external_lex_state = 43},
  [10076] = {.lex_state = 78, .external_lex_state = 52},
  [10077] = {.lex_state = 96, .external_lex_state = 34},
  [10078] = {.lex_state = 87, .external_lex_state = 35},
  [10079] = {.lex_state = 16, .external_lex_state = 52},
  [10080] = {.lex_state = 78, .external_lex_state = 52},
  [10081] = {.lex_state = 76, .external_lex_state = 23},
  [10082] = {.lex_state = 87, .external_lex_state = 35},
  [10083] = {.lex_state = 87, .external_lex_state = 32},
  [10084] = {.lex_state = 97, .external_lex_state = 54},
  [10085] = {.lex_state = 87, .external_lex_state = 58},
  [10086] = {.lex_state = 78, .external_lex_state = 52},
  [10087] = {.lex_state = 5},
  [10088] = {.lex_state = 97, .external_lex_state = 48},
  [10089] = {.lex_state = 87, .external_lex_state = 35},
  [10090] = {.lex_state = 45, .external_lex_state = 52},
  [10091] = {.lex_state = 5},
  [10092] = {.lex_state = 95, .external_lex_state = 58},
  [10093] = {.lex_state = 87, .external_lex_state = 35},
  [10094] = {.lex_state = 97, .external_lex_state = 48},
  [10095] = {.lex_state = 97, .external_lex_state = 51},
  [10096] = {.lex_state = 97, .external_lex_state = 53},
  [10097] = {.lex_state = 87, .external_lex_state = 40},
  [10098] = {.lex_state = 95, .external_lex_state = 57},
  [10099] = {.lex_state = 87, .external_lex_state = 35},
  [10100] = {.lex_state = 95, .external_lex_state = 57},
  [10101] = {.lex_state = 87, .external_lex_state = 35},
  [10102] = {.lex_state = 99, .external_lex_state = 24},
  [10103] = {.lex_state = 97, .external_lex_state = 48},
  [10104] = {.lex_state = 87, .external_lex_state = 35},
  [10105] = {.lex_state = 87, .external_lex_state = 23},
  [10106] = {.lex_state = 87, .external_lex_state = 35},
  [10107] = {.lex_state = 89, .external_lex_state = 52},
  [10108] = {.lex_state = 90, .external_lex_state = 43},
  [10109] = {.lex_state = 87, .external_lex_state = 35},
  [10110] = {.lex_state = 89, .external_lex_state = 52},
  [10111] = {.lex_state = 99, .external_lex_state = 24},
  [10112] = {.lex_state = 78, .external_lex_state = 52},
  [10113] = {.lex_state = 89, .external_lex_state = 52},
  [10114] = {.lex_state = 87, .external_lex_state = 32},
  [10115] = {.lex_state = 99, .external_lex_state = 24},
  [10116] = {.lex_state = 87, .external_lex_state = 35},
  [10117] = {.lex_state = 97, .external_lex_state = 51},
  [10118] = {.lex_state = 75},
  [10119] = {.lex_state = 75},
  [10120] = {.lex_state = 78, .external_lex_state = 52},
  [10121] = {.lex_state = 36, .external_lex_state = 52},
  [10122] = {.lex_state = 78, .external_lex_state = 52},
  [10123] = {.lex_state = 99, .external_lex_state = 24},
  [10124] = {.lex_state = 36, .external_lex_state = 52},
  [10125] = {.lex_state = 87, .external_lex_state = 35},
  [10126] = {.lex_state = 97, .external_lex_state = 24},
  [10127] = {.lex_state = 36, .external_lex_state = 52},
  [10128] = {.lex_state = 97, .external_lex_state = 53},
  [10129] = {.lex_state = 99, .external_lex_state = 24},
  [10130] = {.lex_state = 6},
  [10131] = {.lex_state = 90, .external_lex_state = 23},
  [10132] = {.lex_state = 99, .external_lex_state = 23},
  [10133] = {.lex_state = 97},
  [10134] = {.lex_state = 6},
  [10135] = {.lex_state = 97},
  [10136] = {.lex_state = 95, .external_lex_state = 57},
  [10137] = {.lex_state = 87, .external_lex_state = 40},
  [10138] = {.lex_state = 97, .external_lex_state = 54},
  [10139] = {.lex_state = 97, .external_lex_state = 54},
  [10140] = {.lex_state = 16, .external_lex_state = 52},
  [10141] = {.lex_state = 87, .external_lex_state = 35},
  [10142] = {.lex_state = 87, .external_lex_state = 35},
  [10143] = {.lex_state = 78, .external_lex_state = 52},
  [10144] = {.lex_state = 87, .external_lex_state = 35},
  [10145] = {.lex_state = 87, .external_lex_state = 40},
  [10146] = {.lex_state = 80, .external_lex_state = 59},
  [10147] = {.lex_state = 87, .external_lex_state = 35},
  [10148] = {.lex_state = 95, .external_lex_state = 40},
  [10149] = {.lex_state = 5},
  [10150] = {.lex_state = 16, .external_lex_state = 52},
  [10151] = {.lex_state = 87, .external_lex_state = 32},
  [10152] = {.lex_state = 97, .external_lex_state = 48},
  [10153] = {.lex_state = 99, .external_lex_state = 24},
  [10154] = {.lex_state = 87, .external_lex_state = 35},
  [10155] = {.lex_state = 99, .external_lex_state = 24},
  [10156] = {.lex_state = 78, .external_lex_state = 52},
  [10157] = {.lex_state = 16, .external_lex_state = 52},
  [10158] = {.lex_state = 95, .external_lex_state = 35},
  [10159] = {.lex_state = 97, .external_lex_state = 53},
  [10160] = {.lex_state = 7},
  [10161] = {.lex_state = 87, .external_lex_state = 39},
  [10162] = {.lex_state = 87, .external_lex_state = 35},
  [10163] = {.lex_state = 75, .external_lex_state = 55},
  [10164] = {.lex_state = 16, .external_lex_state = 52},
  [10165] = {.lex_state = 97},
  [10166] = {.lex_state = 7},
  [10167] = {.lex_state = 99, .external_lex_state = 23},
  [10168] = {.lex_state = 97},
  [10169] = {.lex_state = 97},
  [10170] = {.lex_state = 97},
  [10171] = {.lex_state = 87, .external_lex_state = 40},
  [10172] = {.lex_state = 90, .external_lex_state = 48},
  [10173] = {.lex_state = 97},
  [10174] = {.lex_state = 90, .external_lex_state = 51},
  [10175] = {.lex_state = 87, .external_lex_state = 40},
  [10176] = {.lex_state = 97},
  [10177] = {.lex_state = 87, .external_lex_state = 40},
  [10178] = {.lex_state = 97, .external_lex_state = 53},
  [10179] = {.lex_state = 98, .external_lex_state = 23},
  [10180] = {.lex_state = 98, .external_lex_state = 24},
  [10181] = {.lex_state = 99, .external_lex_state = 24},
  [10182] = {.lex_state = 87, .external_lex_state = 35},
  [10183] = {.lex_state = 80, .external_lex_state = 59},
  [10184] = {.lex_state = 95, .external_lex_state = 29},
  [10185] = {.lex_state = 87, .external_lex_state = 35},
  [10186] = {.lex_state = 97, .external_lex_state = 53},
  [10187] = {.lex_state = 97},
  [10188] = {.lex_state = 96, .external_lex_state = 31},
  [10189] = {.lex_state = 40, .external_lex_state = 52},
  [10190] = {.lex_state = 26},
  [10191] = {.lex_state = 94, .external_lex_state = 39},
  [10192] = {.lex_state = 87, .external_lex_state = 53},
  [10193] = {.lex_state = 95, .external_lex_state = 29},
  [10194] = {.lex_state = 6},
  [10195] = {.lex_state = 97, .external_lex_state = 53},
  [10196] = {.lex_state = 5},
  [10197] = {.lex_state = 97, .external_lex_state = 53},
  [10198] = {.lex_state = 4},
  [10199] = {.lex_state = 99, .external_lex_state = 23},
  [10200] = {.lex_state = 77, .external_lex_state = 25},
  [10201] = {.lex_state = 78, .external_lex_state = 52},
  [10202] = {.lex_state = 87, .external_lex_state = 40},
  [10203] = {.lex_state = 5},
  [10204] = {.lex_state = 95, .external_lex_state = 57},
  [10205] = {.lex_state = 78, .external_lex_state = 52},
  [10206] = {.lex_state = 90, .external_lex_state = 57},
  [10207] = {.lex_state = 95, .external_lex_state = 29},
  [10208] = {.lex_state = 90, .external_lex_state = 53},
  [10209] = {.lex_state = 95, .external_lex_state = 58},
  [10210] = {.lex_state = 6},
  [10211] = {.lex_state = 95, .external_lex_state = 56},
  [10212] = {.lex_state = 95, .external_lex_state = 58},
  [10213] = {.lex_state = 99, .external_lex_state = 23},
  [10214] = {.lex_state = 90, .external_lex_state = 54},
  [10215] = {.lex_state = 75, .external_lex_state = 39},
  [10216] = {.lex_state = 78, .external_lex_state = 52},
  [10217] = {.lex_state = 87, .external_lex_state = 57},
  [10218] = {.lex_state = 87, .external_lex_state = 23},
  [10219] = {.lex_state = 97, .external_lex_state = 51},
  [10220] = {.lex_state = 97, .external_lex_state = 53},
  [10221] = {.lex_state = 90, .external_lex_state = 57},
  [10222] = {.lex_state = 16, .external_lex_state = 52},
  [10223] = {.lex_state = 87, .external_lex_state = 23},
  [10224] = {.lex_state = 100, .external_lex_state = 39},
  [10225] = {.lex_state = 95, .external_lex_state = 56},
  [10226] = {.lex_state = 95, .external_lex_state = 56},
  [10227] = {.lex_state = 87, .external_lex_state = 35},
  [10228] = {.lex_state = 90, .external_lex_state = 46},
  [10229] = {.lex_state = 95, .external_lex_state = 29},
  [10230] = {.lex_state = 90, .external_lex_state = 58},
  [10231] = {.lex_state = 90, .external_lex_state = 43},
  [10232] = {.lex_state = 96, .external_lex_state = 34},
  [10233] = {.lex_state = 90, .external_lex_state = 23},
  [10234] = {.lex_state = 90, .external_lex_state = 43},
  [10235] = {.lex_state = 95, .external_lex_state = 58},
  [10236] = {.lex_state = 95, .external_lex_state = 57},
  [10237] = {.lex_state = 97, .external_lex_state = 51},
  [10238] = {.lex_state = 88, .external_lex_state = 39},
  [10239] = {.lex_state = 87, .external_lex_state = 35},
  [10240] = {.lex_state = 16, .external_lex_state = 52},
  [10241] = {.lex_state = 97, .external_lex_state = 53},
  [10242] = {.lex_state = 95, .external_lex_state = 58},
  [10243] = {.lex_state = 90, .external_lex_state = 46},
  [10244] = {.lex_state = 95, .external_lex_state = 29},
  [10245] = {.lex_state = 5},
  [10246] = {.lex_state = 87, .external_lex_state = 40},
  [10247] = {.lex_state = 78, .external_lex_state = 52},
  [10248] = {.lex_state = 95, .external_lex_state = 56},
  [10249] = {.lex_state = 95, .external_lex_state = 56},
  [10250] = {.lex_state = 95, .external_lex_state = 29},
  [10251] = {.lex_state = 97, .external_lex_state = 51},
  [10252] = {.lex_state = 97, .external_lex_state = 54},
  [10253] = {.lex_state = 95, .external_lex_state = 56},
  [10254] = {.lex_state = 87, .external_lex_state = 33},
  [10255] = {.lex_state = 6},
  [10256] = {.lex_state = 94, .external_lex_state = 39},
  [10257] = {.lex_state = 87, .external_lex_state = 33},
  [10258] = {.lex_state = 95, .external_lex_state = 56},
  [10259] = {.lex_state = 6},
  [10260] = {.lex_state = 90, .external_lex_state = 58},
  [10261] = {.lex_state = 75, .external_lex_state = 55},
  [10262] = {.lex_state = 90, .external_lex_state = 56},
  [10263] = {.lex_state = 87, .external_lex_state = 35},
  [10264] = {.lex_state = 97, .external_lex_state = 54},
  [10265] = {.lex_state = 87, .external_lex_state = 35},
  [10266] = {.lex_state = 95, .external_lex_state = 56},
  [10267] = {.lex_state = 95, .external_lex_state = 29},
  [10268] = {.lex_state = 90, .external_lex_state = 23},
  [10269] = {.lex_state = 97, .external_lex_state = 32},
  [10270] = {.lex_state = 99, .external_lex_state = 23},
  [10271] = {.lex_state = 88, .external_lex_state = 59},
  [10272] = {.lex_state = 87, .external_lex_state = 40},
  [10273] = {.lex_state = 87, .external_lex_state = 40},
  [10274] = {.lex_state = 97, .external_lex_state = 33},
  [10275] = {.lex_state = 90, .external_lex_state = 43},
  [10276] = {.lex_state = 95, .external_lex_state = 29},
  [10277] = {.lex_state = 97, .external_lex_state = 54},
  [10278] = {.lex_state = 95, .external_lex_state = 58},
  [10279] = {.lex_state = 5},
  [10280] = {.lex_state = 95, .external_lex_state = 29},
  [10281] = {.lex_state = 96, .external_lex_state = 31},
  [10282] = {.lex_state = 95, .external_lex_state = 58},
  [10283] = {.lex_state = 87, .external_lex_state = 40},
  [10284] = {.lex_state = 97, .external_lex_state = 48},
  [10285] = {.lex_state = 87, .external_lex_state = 39},
  [10286] = {.lex_state = 90, .external_lex_state = 43},
  [10287] = {.lex_state = 87, .external_lex_state = 40},
  [10288] = {.lex_state = 90, .external_lex_state = 46},
  [10289] = {.lex_state = 87, .external_lex_state = 37},
  [10290] = {.lex_state = 97, .external_lex_state = 48},
  [10291] = {.lex_state = 101, .external_lex_state = 24},
  [10292] = {.lex_state = 87, .external_lex_state = 54},
  [10293] = {.lex_state = 99, .external_lex_state = 23},
  [10294] = {.lex_state = 87, .external_lex_state = 35},
  [10295] = {.lex_state = 78, .external_lex_state = 52},
  [10296] = {.lex_state = 90, .external_lex_state = 46},
  [10297] = {.lex_state = 41, .external_lex_state = 52},
  [10298] = {.lex_state = 87, .external_lex_state = 40},
  [10299] = {.lex_state = 87, .external_lex_state = 58},
  [10300] = {.lex_state = 75, .external_lex_state = 39},
  [10301] = {.lex_state = 7},
  [10302] = {.lex_state = 95, .external_lex_state = 58},
  [10303] = {.lex_state = 97, .external_lex_state = 51},
  [10304] = {.lex_state = 97, .external_lex_state = 48},
  [10305] = {.lex_state = 90, .external_lex_state = 43},
  [10306] = {.lex_state = 95, .external_lex_state = 56},
  [10307] = {.lex_state = 90, .external_lex_state = 43},
  [10308] = {.lex_state = 97},
  [10309] = {.lex_state = 87, .external_lex_state = 40},
  [10310] = {.lex_state = 90, .external_lex_state = 46},
  [10311] = {.lex_state = 30, .external_lex_state = 52},
  [10312] = {.lex_state = 101, .external_lex_state = 23},
  [10313] = {.lex_state = 75, .external_lex_state = 39},
  [10314] = {.lex_state = 16, .external_lex_state = 52},
  [10315] = {.lex_state = 6},
  [10316] = {.lex_state = 87, .external_lex_state = 40},
  [10317] = {.lex_state = 97, .external_lex_state = 48},
  [10318] = {.lex_state = 87, .external_lex_state = 40},
  [10319] = {.lex_state = 97, .external_lex_state = 48},
  [10320] = {.lex_state = 6},
  [10321] = {.lex_state = 87, .external_lex_state = 35},
  [10322] = {.lex_state = 87, .external_lex_state = 57},
  [10323] = {.lex_state = 40},
  [10324] = {.lex_state = 90, .external_lex_state = 29},
  [10325] = {.lex_state = 75, .external_lex_state = 56},
  [10326] = {.lex_state = 87, .external_lex_state = 40},
  [10327] = {.lex_state = 87, .external_lex_state = 40},
  [10328] = {.lex_state = 89, .external_lex_state = 52},
  [10329] = {.lex_state = 87, .external_lex_state = 40},
  [10330] = {.lex_state = 99, .external_lex_state = 23},
  [10331] = {.lex_state = 87, .external_lex_state = 40},
  [10332] = {.lex_state = 16, .external_lex_state = 52},
  [10333] = {.lex_state = 90, .external_lex_state = 43},
  [10334] = {.lex_state = 90, .external_lex_state = 23},
  [10335] = {.lex_state = 90, .external_lex_state = 56},
  [10336] = {.lex_state = 87, .external_lex_state = 40},
  [10337] = {.lex_state = 87, .external_lex_state = 40},
  [10338] = {.lex_state = 99, .external_lex_state = 23},
  [10339] = {.lex_state = 87, .external_lex_state = 40},
  [10340] = {.lex_state = 87, .external_lex_state = 40},
  [10341] = {.lex_state = 99, .external_lex_state = 23},
  [10342] = {.lex_state = 90, .external_lex_state = 23},
  [10343] = {.lex_state = 95, .external_lex_state = 58},
  [10344] = {.lex_state = 16, .external_lex_state = 52},
  [10345] = {.lex_state = 87, .external_lex_state = 40},
  [10346] = {.lex_state = 87, .external_lex_state = 40},
  [10347] = {.lex_state = 78, .external_lex_state = 52},
  [10348] = {.lex_state = 90, .external_lex_state = 46},
  [10349] = {.lex_state = 16, .external_lex_state = 52},
  [10350] = {.lex_state = 90, .external_lex_state = 23},
  [10351] = {.lex_state = 95, .external_lex_state = 58},
  [10352] = {.lex_state = 87, .external_lex_state = 40},
  [10353] = {.lex_state = 87, .external_lex_state = 40},
  [10354] = {.lex_state = 87, .external_lex_state = 40},
  [10355] = {.lex_state = 87, .external_lex_state = 40},
  [10356] = {.lex_state = 78, .external_lex_state = 52},
  [10357] = {.lex_state = 97, .external_lex_state = 29},
  [10358] = {.lex_state = 32, .external_lex_state = 25},
  [10359] = {.lex_state = 90, .external_lex_state = 51},
  [10360] = {.lex_state = 99, .external_lex_state = 23},
  [10361] = {.lex_state = 32, .external_lex_state = 25},
  [10362] = {.lex_state = 97, .external_lex_state = 57},
  [10363] = {.lex_state = 78, .external_lex_state = 52},
  [10364] = {.lex_state = 98, .external_lex_state = 24},
  [10365] = {.lex_state = 87, .external_lex_state = 40},
  [10366] = {.lex_state = 37, .external_lex_state = 52},
  [10367] = {.lex_state = 90, .external_lex_state = 54},
  [10368] = {.lex_state = 87, .external_lex_state = 43},
  [10369] = {.lex_state = 95, .external_lex_state = 33},
  [10370] = {.lex_state = 90, .external_lex_state = 54},
  [10371] = {.lex_state = 99, .external_lex_state = 23},
  [10372] = {.lex_state = 44},
  [10373] = {.lex_state = 87, .external_lex_state = 23},
  [10374] = {.lex_state = 44},
  [10375] = {.lex_state = 90, .external_lex_state = 53},
  [10376] = {.lex_state = 88, .external_lex_state = 59},
  [10377] = {.lex_state = 97, .external_lex_state = 29},
  [10378] = {.lex_state = 90},
  [10379] = {.lex_state = 99, .external_lex_state = 23},
  [10380] = {.lex_state = 90, .external_lex_state = 53},
  [10381] = {.lex_state = 90, .external_lex_state = 51},
  [10382] = {.lex_state = 87, .external_lex_state = 23},
  [10383] = {.lex_state = 31},
  [10384] = {.lex_state = 7},
  [10385] = {.lex_state = 97, .external_lex_state = 58},
  [10386] = {.lex_state = 90, .external_lex_state = 51},
  [10387] = {.lex_state = 87, .external_lex_state = 23},
  [10388] = {.lex_state = 5},
  [10389] = {.lex_state = 87, .external_lex_state = 40},
  [10390] = {.lex_state = 77, .external_lex_state = 60},
  [10391] = {.lex_state = 99, .external_lex_state = 23},
  [10392] = {.lex_state = 4},
  [10393] = {.lex_state = 95, .external_lex_state = 24},
  [10394] = {.lex_state = 87, .external_lex_state = 23},
  [10395] = {.lex_state = 87, .external_lex_state = 23},
  [10396] = {.lex_state = 78, .external_lex_state = 52},
  [10397] = {.lex_state = 87, .external_lex_state = 23},
  [10398] = {.lex_state = 87, .external_lex_state = 23},
  [10399] = {.lex_state = 87, .external_lex_state = 23},
  [10400] = {.lex_state = 88, .external_lex_state = 59},
  [10401] = {.lex_state = 95},
  [10402] = {.lex_state = 87, .external_lex_state = 23},
  [10403] = {.lex_state = 95},
  [10404] = {.lex_state = 87, .external_lex_state = 23},
  [10405] = {.lex_state = 32, .external_lex_state = 25},
  [10406] = {.lex_state = 95, .external_lex_state = 32},
  [10407] = {.lex_state = 88, .external_lex_state = 59},
  [10408] = {.lex_state = 32, .external_lex_state = 25},
  [10409] = {.lex_state = 90, .external_lex_state = 48},
  [10410] = {.lex_state = 99, .external_lex_state = 23},
  [10411] = {.lex_state = 4},
  [10412] = {.lex_state = 26},
  [10413] = {.lex_state = 32, .external_lex_state = 25},
  [10414] = {.lex_state = 90, .external_lex_state = 48},
  [10415] = {.lex_state = 4},
  [10416] = {.lex_state = 78, .external_lex_state = 52},
  [10417] = {.lex_state = 26},
  [10418] = {.lex_state = 95, .external_lex_state = 32},
  [10419] = {.lex_state = 87, .external_lex_state = 40},
  [10420] = {.lex_state = 87, .external_lex_state = 56},
  [10421] = {.lex_state = 99, .external_lex_state = 23},
  [10422] = {.lex_state = 90, .external_lex_state = 33},
  [10423] = {.lex_state = 97, .external_lex_state = 57},
  [10424] = {.lex_state = 26},
  [10425] = {.lex_state = 97, .external_lex_state = 57},
  [10426] = {.lex_state = 4},
  [10427] = {.lex_state = 90, .external_lex_state = 33},
  [10428] = {.lex_state = 95},
  [10429] = {.lex_state = 39},
  [10430] = {.lex_state = 90, .external_lex_state = 48},
  [10431] = {.lex_state = 39},
  [10432] = {.lex_state = 95, .external_lex_state = 24},
  [10433] = {.lex_state = 97, .external_lex_state = 57},
  [10434] = {.lex_state = 95, .external_lex_state = 24},
  [10435] = {.lex_state = 36, .external_lex_state = 52},
  [10436] = {.lex_state = 87, .external_lex_state = 23},
  [10437] = {.lex_state = 95, .external_lex_state = 33},
  [10438] = {.lex_state = 97, .external_lex_state = 57},
  [10439] = {.lex_state = 97, .external_lex_state = 57},
  [10440] = {.lex_state = 95, .external_lex_state = 24},
  [10441] = {.lex_state = 32, .external_lex_state = 25},
  [10442] = {.lex_state = 78, .external_lex_state = 52},
  [10443] = {.lex_state = 32, .external_lex_state = 25},
  [10444] = {.lex_state = 45, .external_lex_state = 52},
  [10445] = {.lex_state = 97, .external_lex_state = 57},
  [10446] = {.lex_state = 87, .external_lex_state = 23},
  [10447] = {.lex_state = 90, .external_lex_state = 53},
  [10448] = {.lex_state = 87, .external_lex_state = 23},
  [10449] = {.lex_state = 90, .external_lex_state = 51},
  [10450] = {.lex_state = 4},
  [10451] = {.lex_state = 87, .external_lex_state = 23},
  [10452] = {.lex_state = 97, .external_lex_state = 56},
  [10453] = {.lex_state = 39},
  [10454] = {.lex_state = 32, .external_lex_state = 25},
  [10455] = {.lex_state = 39},
  [10456] = {.lex_state = 90, .external_lex_state = 57},
  [10457] = {.lex_state = 95, .external_lex_state = 32},
  [10458] = {.lex_state = 78, .external_lex_state = 52},
  [10459] = {.lex_state = 45},
  [10460] = {.lex_state = 97, .external_lex_state = 56},
  [10461] = {.lex_state = 95, .external_lex_state = 32},
  [10462] = {.lex_state = 31},
  [10463] = {.lex_state = 97, .external_lex_state = 40},
  [10464] = {.lex_state = 87, .external_lex_state = 23},
  [10465] = {.lex_state = 32, .external_lex_state = 25},
  [10466] = {.lex_state = 95, .external_lex_state = 23},
  [10467] = {.lex_state = 99, .external_lex_state = 23},
  [10468] = {.lex_state = 97, .external_lex_state = 56},
  [10469] = {.lex_state = 87, .external_lex_state = 24},
  [10470] = {.lex_state = 92, .external_lex_state = 52},
  [10471] = {.lex_state = 32, .external_lex_state = 25},
  [10472] = {.lex_state = 90, .external_lex_state = 54},
  [10473] = {.lex_state = 87, .external_lex_state = 24},
  [10474] = {.lex_state = 78, .external_lex_state = 52},
  [10475] = {.lex_state = 87, .external_lex_state = 23},
  [10476] = {.lex_state = 32, .external_lex_state = 25},
  [10477] = {.lex_state = 95, .external_lex_state = 33},
  [10478] = {.lex_state = 95, .external_lex_state = 33},
  [10479] = {.lex_state = 6},
  [10480] = {.lex_state = 32, .external_lex_state = 25},
  [10481] = {.lex_state = 90, .external_lex_state = 48},
  [10482] = {.lex_state = 90, .external_lex_state = 48},
  [10483] = {.lex_state = 95, .external_lex_state = 24},
  [10484] = {.lex_state = 99, .external_lex_state = 23},
  [10485] = {.lex_state = 90, .external_lex_state = 58},
  [10486] = {.lex_state = 5},
  [10487] = {.lex_state = 75, .external_lex_state = 39},
  [10488] = {.lex_state = 26},
  [10489] = {.lex_state = 97, .external_lex_state = 56},
  [10490] = {.lex_state = 5},
  [10491] = {.lex_state = 32, .external_lex_state = 25},
  [10492] = {.lex_state = 32, .external_lex_state = 25},
  [10493] = {.lex_state = 90, .external_lex_state = 53},
  [10494] = {.lex_state = 98, .external_lex_state = 23},
  [10495] = {.lex_state = 5},
  [10496] = {.lex_state = 97, .external_lex_state = 56},
  [10497] = {.lex_state = 95, .external_lex_state = 32},
  [10498] = {.lex_state = 4},
  [10499] = {.lex_state = 97, .external_lex_state = 56},
  [10500] = {.lex_state = 97, .external_lex_state = 56},
  [10501] = {.lex_state = 97, .external_lex_state = 56},
  [10502] = {.lex_state = 39},
  [10503] = {.lex_state = 4},
  [10504] = {.lex_state = 41, .external_lex_state = 52},
  [10505] = {.lex_state = 38, .external_lex_state = 52},
  [10506] = {.lex_state = 95, .external_lex_state = 32},
  [10507] = {.lex_state = 95, .external_lex_state = 32},
  [10508] = {.lex_state = 87, .external_lex_state = 24},
  [10509] = {.lex_state = 97, .external_lex_state = 35},
  [10510] = {.lex_state = 88, .external_lex_state = 59},
  [10511] = {.lex_state = 97, .external_lex_state = 57},
  [10512] = {.lex_state = 97, .external_lex_state = 57},
  [10513] = {.lex_state = 90, .external_lex_state = 53},
  [10514] = {.lex_state = 37, .external_lex_state = 52},
  [10515] = {.lex_state = 37, .external_lex_state = 52},
  [10516] = {.lex_state = 90, .external_lex_state = 54},
  [10517] = {.lex_state = 87, .external_lex_state = 23},
  [10518] = {.lex_state = 39},
  [10519] = {.lex_state = 90, .external_lex_state = 54},
  [10520] = {.lex_state = 90, .external_lex_state = 53},
  [10521] = {.lex_state = 5},
  [10522] = {.lex_state = 99, .external_lex_state = 52},
  [10523] = {.lex_state = 87, .external_lex_state = 23},
  [10524] = {.lex_state = 87, .external_lex_state = 23},
  [10525] = {.lex_state = 39},
  [10526] = {.lex_state = 39},
  [10527] = {.lex_state = 95, .external_lex_state = 24},
  [10528] = {.lex_state = 87, .external_lex_state = 23},
  [10529] = {.lex_state = 87, .external_lex_state = 23},
  [10530] = {.lex_state = 97, .external_lex_state = 29},
  [10531] = {.lex_state = 78, .external_lex_state = 52},
  [10532] = {.lex_state = 90, .external_lex_state = 51},
  [10533] = {.lex_state = 32, .external_lex_state = 25},
  [10534] = {.lex_state = 87, .external_lex_state = 35},
  [10535] = {.lex_state = 78, .external_lex_state = 52},
  [10536] = {.lex_state = 78, .external_lex_state = 52},
  [10537] = {.lex_state = 75, .external_lex_state = 39},
  [10538] = {.lex_state = 90, .external_lex_state = 32},
  [10539] = {.lex_state = 90, .external_lex_state = 54},
  [10540] = {.lex_state = 90, .external_lex_state = 51},
  [10541] = {.lex_state = 95, .external_lex_state = 32},
  [10542] = {.lex_state = 97, .external_lex_state = 57},
  [10543] = {.lex_state = 95},
  [10544] = {.lex_state = 98, .external_lex_state = 23},
  [10545] = {.lex_state = 46, .external_lex_state = 52},
  [10546] = {.lex_state = 90, .external_lex_state = 29},
  [10547] = {.lex_state = 32, .external_lex_state = 25},
  [10548] = {.lex_state = 78, .external_lex_state = 52},
  [10549] = {.lex_state = 32, .external_lex_state = 25},
  [10550] = {.lex_state = 75},
  [10551] = {.lex_state = 90, .external_lex_state = 48},
  [10552] = {.lex_state = 45, .external_lex_state = 52},
  [10553] = {.lex_state = 78, .external_lex_state = 52},
  [10554] = {.lex_state = 95, .external_lex_state = 24},
  [10555] = {.lex_state = 31},
  [10556] = {.lex_state = 75},
  [10557] = {.lex_state = 97, .external_lex_state = 29},
  [10558] = {.lex_state = 32, .external_lex_state = 25},
  [10559] = {.lex_state = 90, .external_lex_state = 54},
  [10560] = {.lex_state = 90, .external_lex_state = 32},
  [10561] = {.lex_state = 39},
  [10562] = {.lex_state = 97, .external_lex_state = 29},
  [10563] = {.lex_state = 97, .external_lex_state = 29},
  [10564] = {.lex_state = 95, .external_lex_state = 33},
  [10565] = {.lex_state = 4},
  [10566] = {.lex_state = 95, .external_lex_state = 24},
  [10567] = {.lex_state = 95, .external_lex_state = 33},
  [10568] = {.lex_state = 97, .external_lex_state = 29},
  [10569] = {.lex_state = 95, .external_lex_state = 32},
  [10570] = {.lex_state = 32, .external_lex_state = 25},
  [10571] = {.lex_state = 78, .external_lex_state = 52},
  [10572] = {.lex_state = 32, .external_lex_state = 25},
  [10573] = {.lex_state = 95, .external_lex_state = 32},
  [10574] = {.lex_state = 87, .external_lex_state = 35},
  [10575] = {.lex_state = 39},
  [10576] = {.lex_state = 78, .external_lex_state = 52},
  [10577] = {.lex_state = 96, .external_lex_state = 39},
  [10578] = {.lex_state = 78, .external_lex_state = 52},
  [10579] = {.lex_state = 95, .external_lex_state = 33},
  [10580] = {.lex_state = 97, .external_lex_state = 56},
  [10581] = {.lex_state = 90, .external_lex_state = 53},
  [10582] = {.lex_state = 96, .external_lex_state = 39},
  [10583] = {.lex_state = 90, .external_lex_state = 53},
  [10584] = {.lex_state = 95, .external_lex_state = 33},
  [10585] = {.lex_state = 87, .external_lex_state = 23},
  [10586] = {.lex_state = 37, .external_lex_state = 52},
  [10587] = {.lex_state = 78, .external_lex_state = 52},
  [10588] = {.lex_state = 90, .external_lex_state = 48},
  [10589] = {.lex_state = 95, .external_lex_state = 33},
  [10590] = {.lex_state = 32, .external_lex_state = 25},
  [10591] = {.lex_state = 90, .external_lex_state = 51},
  [10592] = {.lex_state = 87, .external_lex_state = 23},
  [10593] = {.lex_state = 89, .external_lex_state = 52},
  [10594] = {.lex_state = 32, .external_lex_state = 25},
  [10595] = {.lex_state = 77, .external_lex_state = 29},
  [10596] = {.lex_state = 95, .external_lex_state = 33},
  [10597] = {.lex_state = 78, .external_lex_state = 52},
  [10598] = {.lex_state = 32, .external_lex_state = 25},
  [10599] = {.lex_state = 97, .external_lex_state = 58},
  [10600] = {.lex_state = 90, .external_lex_state = 54},
  [10601] = {.lex_state = 87, .external_lex_state = 24},
  [10602] = {.lex_state = 32, .external_lex_state = 25},
  [10603] = {.lex_state = 87, .external_lex_state = 23},
  [10604] = {.lex_state = 7},
  [10605] = {.lex_state = 37, .external_lex_state = 52},
  [10606] = {.lex_state = 90, .external_lex_state = 48},
  [10607] = {.lex_state = 97, .external_lex_state = 29},
  [10608] = {.lex_state = 78, .external_lex_state = 52},
  [10609] = {.lex_state = 7},
  [10610] = {.lex_state = 78, .external_lex_state = 52},
  [10611] = {.lex_state = 44},
  [10612] = {.lex_state = 97, .external_lex_state = 58},
  [10613] = {.lex_state = 7},
  [10614] = {.lex_state = 97, .external_lex_state = 58},
  [10615] = {.lex_state = 78, .external_lex_state = 52},
  [10616] = {.lex_state = 97, .external_lex_state = 58},
  [10617] = {.lex_state = 97, .external_lex_state = 58},
  [10618] = {.lex_state = 7},
  [10619] = {.lex_state = 99, .external_lex_state = 23},
  [10620] = {.lex_state = 87, .external_lex_state = 23},
  [10621] = {.lex_state = 90, .external_lex_state = 51},
  [10622] = {.lex_state = 97, .external_lex_state = 29},
  [10623] = {.lex_state = 95, .external_lex_state = 24},
  [10624] = {.lex_state = 90, .external_lex_state = 51},
  [10625] = {.lex_state = 99, .external_lex_state = 23},
  [10626] = {.lex_state = 87, .external_lex_state = 35},
  [10627] = {.lex_state = 78, .external_lex_state = 52},
  [10628] = {.lex_state = 97, .external_lex_state = 56},
  [10629] = {.lex_state = 78, .external_lex_state = 52},
  [10630] = {.lex_state = 4},
  [10631] = {.lex_state = 87, .external_lex_state = 24},
  [10632] = {.lex_state = 97, .external_lex_state = 29},
  [10633] = {.lex_state = 90, .external_lex_state = 56},
  [10634] = {.lex_state = 97, .external_lex_state = 58},
  [10635] = {.lex_state = 90, .external_lex_state = 54},
  [10636] = {.lex_state = 95},
  [10637] = {.lex_state = 95, .external_lex_state = 24},
  [10638] = {.lex_state = 95},
  [10639] = {.lex_state = 95},
  [10640] = {.lex_state = 78, .external_lex_state = 52},
  [10641] = {.lex_state = 87, .external_lex_state = 43},
  [10642] = {.lex_state = 101, .external_lex_state = 23},
  [10643] = {.lex_state = 95},
  [10644] = {.lex_state = 95},
  [10645] = {.lex_state = 90},
  [10646] = {.lex_state = 44},
  [10647] = {.lex_state = 97, .external_lex_state = 58},
  [10648] = {.lex_state = 75, .external_lex_state = 52},
  [10649] = {.lex_state = 95},
  [10650] = {.lex_state = 87, .external_lex_state = 23},
  [10651] = {.lex_state = 90, .external_lex_state = 53},
  [10652] = {.lex_state = 90, .external_lex_state = 48},
  [10653] = {.lex_state = 97, .external_lex_state = 58},
  [10654] = {.lex_state = 6},
  [10655] = {.lex_state = 78, .external_lex_state = 52},
  [10656] = {.lex_state = 13},
  [10657] = {.lex_state = 32, .external_lex_state = 25},
  [10658] = {.lex_state = 97, .external_lex_state = 58},
  [10659] = {.lex_state = 41, .external_lex_state = 52},
  [10660] = {.lex_state = 5},
  [10661] = {.lex_state = 90},
  [10662] = {.lex_state = 42},
  [10663] = {.lex_state = 101, .external_lex_state = 23},
  [10664] = {.lex_state = 40},
  [10665] = {.lex_state = 90, .external_lex_state = 58},
  [10666] = {.lex_state = 101, .external_lex_state = 24},
  [10667] = {.lex_state = 40},
  [10668] = {.lex_state = 75, .external_lex_state = 52},
  [10669] = {.lex_state = 40},
  [10670] = {.lex_state = 98, .external_lex_state = 24},
  [10671] = {.lex_state = 46},
  [10672] = {.lex_state = 46, .external_lex_state = 52},
  [10673] = {.lex_state = 95, .external_lex_state = 35},
  [10674] = {.lex_state = 90, .external_lex_state = 35},
  [10675] = {.lex_state = 90, .external_lex_state = 35},
  [10676] = {.lex_state = 26},
  [10677] = {.lex_state = 75},
  [10678] = {.lex_state = 77, .external_lex_state = 61},
  [10679] = {.lex_state = 87},
  [10680] = {.lex_state = 40},
  [10681] = {.lex_state = 97, .external_lex_state = 32},
  [10682] = {.lex_state = 101, .external_lex_state = 23},
  [10683] = {.lex_state = 87, .external_lex_state = 23},
  [10684] = {.lex_state = 75, .external_lex_state = 52},
  [10685] = {.lex_state = 90, .external_lex_state = 24},
  [10686] = {.lex_state = 101, .external_lex_state = 24},
  [10687] = {.lex_state = 101, .external_lex_state = 24},
  [10688] = {.lex_state = 101, .external_lex_state = 24},
  [10689] = {.lex_state = 90, .external_lex_state = 56},
  [10690] = {.lex_state = 98, .external_lex_state = 24},
  [10691] = {.lex_state = 87, .external_lex_state = 53},
  [10692] = {.lex_state = 101, .external_lex_state = 24},
  [10693] = {.lex_state = 97, .external_lex_state = 33},
  [10694] = {.lex_state = 76, .external_lex_state = 39},
  [10695] = {.lex_state = 90, .external_lex_state = 29},
  [10696] = {.lex_state = 99, .external_lex_state = 52},
  [10697] = {.lex_state = 90, .external_lex_state = 57},
  [10698] = {.lex_state = 101, .external_lex_state = 24},
  [10699] = {.lex_state = 90, .external_lex_state = 56},
  [10700] = {.lex_state = 5},
  [10701] = {.lex_state = 77, .external_lex_state = 62},
  [10702] = {.lex_state = 101, .external_lex_state = 24},
  [10703] = {.lex_state = 96, .external_lex_state = 59},
  [10704] = {.lex_state = 27},
  [10705] = {.lex_state = 87, .external_lex_state = 54},
  [10706] = {.lex_state = 97, .external_lex_state = 33},
  [10707] = {.lex_state = 98, .external_lex_state = 24},
  [10708] = {.lex_state = 90, .external_lex_state = 23},
  [10709] = {.lex_state = 95, .external_lex_state = 35},
  [10710] = {.lex_state = 90, .external_lex_state = 58},
  [10711] = {.lex_state = 97, .external_lex_state = 33},
  [10712] = {.lex_state = 95, .external_lex_state = 35},
  [10713] = {.lex_state = 98, .external_lex_state = 24},
  [10714] = {.lex_state = 75},
  [10715] = {.lex_state = 27},
  [10716] = {.lex_state = 90, .external_lex_state = 23},
  [10717] = {.lex_state = 5},
  [10718] = {.lex_state = 98, .external_lex_state = 24},
  [10719] = {.lex_state = 98, .external_lex_state = 24},
  [10720] = {.lex_state = 90, .external_lex_state = 29},
  [10721] = {.lex_state = 98, .external_lex_state = 24},
  [10722] = {.lex_state = 90, .external_lex_state = 24},
  [10723] = {.lex_state = 40},
  [10724] = {.lex_state = 98, .external_lex_state = 24},
  [10725] = {.lex_state = 90, .external_lex_state = 56},
  [10726] = {.lex_state = 99},
  [10727] = {.lex_state = 97, .external_lex_state = 24},
  [10728] = {.lex_state = 87, .external_lex_state = 23},
  [10729] = {.lex_state = 98, .external_lex_state = 24},
  [10730] = {.lex_state = 101, .external_lex_state = 24},
  [10731] = {.lex_state = 98, .external_lex_state = 23},
  [10732] = {.lex_state = 97, .external_lex_state = 24},
  [10733] = {.lex_state = 40},
  [10734] = {.lex_state = 97, .external_lex_state = 32},
  [10735] = {.lex_state = 5},
  [10736] = {.lex_state = 27},
  [10737] = {.lex_state = 90, .external_lex_state = 57},
  [10738] = {.lex_state = 97, .external_lex_state = 24},
  [10739] = {.lex_state = 99, .external_lex_state = 52},
  [10740] = {.lex_state = 95, .external_lex_state = 40},
  [10741] = {.lex_state = 95, .external_lex_state = 40},
  [10742] = {.lex_state = 44},
  [10743] = {.lex_state = 98, .external_lex_state = 23},
  [10744] = {.lex_state = 101, .external_lex_state = 23},
  [10745] = {.lex_state = 40},
  [10746] = {.lex_state = 40},
  [10747] = {.lex_state = 95, .external_lex_state = 35},
  [10748] = {.lex_state = 97, .external_lex_state = 33},
  [10749] = {.lex_state = 87, .external_lex_state = 24},
  [10750] = {.lex_state = 33},
  [10751] = {.lex_state = 27},
  [10752] = {.lex_state = 38, .external_lex_state = 52},
  [10753] = {.lex_state = 5},
  [10754] = {.lex_state = 97, .external_lex_state = 24},
  [10755] = {.lex_state = 44},
  [10756] = {.lex_state = 90, .external_lex_state = 56},
  [10757] = {.lex_state = 90, .external_lex_state = 57},
  [10758] = {.lex_state = 101, .external_lex_state = 23},
  [10759] = {.lex_state = 95, .external_lex_state = 35},
  [10760] = {.lex_state = 6},
  [10761] = {.lex_state = 95, .external_lex_state = 35},
  [10762] = {.lex_state = 90, .external_lex_state = 56},
  [10763] = {.lex_state = 6},
  [10764] = {.lex_state = 90, .external_lex_state = 33},
  [10765] = {.lex_state = 95, .external_lex_state = 35},
  [10766] = {.lex_state = 6},
  [10767] = {.lex_state = 38},
  [10768] = {.lex_state = 97, .external_lex_state = 32},
  [10769] = {.lex_state = 7},
  [10770] = {.lex_state = 90, .external_lex_state = 57},
  [10771] = {.lex_state = 33},
  [10772] = {.lex_state = 26},
  [10773] = {.lex_state = 97, .external_lex_state = 24},
  [10774] = {.lex_state = 97, .external_lex_state = 32},
  [10775] = {.lex_state = 38, .external_lex_state = 52},
  [10776] = {.lex_state = 87, .external_lex_state = 54},
  [10777] = {.lex_state = 46, .external_lex_state = 52},
  [10778] = {.lex_state = 101, .external_lex_state = 23},
  [10779] = {.lex_state = 5},
  [10780] = {.lex_state = 97, .external_lex_state = 24},
  [10781] = {.lex_state = 27},
  [10782] = {.lex_state = 44},
  [10783] = {.lex_state = 95, .external_lex_state = 35},
  [10784] = {.lex_state = 97, .external_lex_state = 24},
  [10785] = {.lex_state = 7},
  [10786] = {.lex_state = 95, .external_lex_state = 35},
  [10787] = {.lex_state = 95, .external_lex_state = 35},
  [10788] = {.lex_state = 27},
  [10789] = {.lex_state = 5},
  [10790] = {.lex_state = 90, .external_lex_state = 24},
  [10791] = {.lex_state = 90, .external_lex_state = 29},
  [10792] = {.lex_state = 98, .external_lex_state = 23},
  [10793] = {.lex_state = 97, .external_lex_state = 33},
  [10794] = {.lex_state = 90, .external_lex_state = 24},
  [10795] = {.lex_state = 87, .external_lex_state = 23},
  [10796] = {.lex_state = 95, .external_lex_state = 40},
  [10797] = {.lex_state = 97, .external_lex_state = 24},
  [10798] = {.lex_state = 77, .external_lex_state = 62},
  [10799] = {.lex_state = 44},
  [10800] = {.lex_state = 90, .external_lex_state = 29},
  [10801] = {.lex_state = 95, .external_lex_state = 40},
  [10802] = {.lex_state = 5},
  [10803] = {.lex_state = 95, .external_lex_state = 40},
  [10804] = {.lex_state = 98, .external_lex_state = 23},
  [10805] = {.lex_state = 27},
  [10806] = {.lex_state = 101, .external_lex_state = 23},
  [10807] = {.lex_state = 98, .external_lex_state = 23},
  [10808] = {.lex_state = 26},
  [10809] = {.lex_state = 97, .external_lex_state = 32},
  [10810] = {.lex_state = 97, .external_lex_state = 32},
  [10811] = {.lex_state = 88, .external_lex_state = 59},
  [10812] = {.lex_state = 90, .external_lex_state = 24},
  [10813] = {.lex_state = 38},
  [10814] = {.lex_state = 44},
  [10815] = {.lex_state = 26},
  [10816] = {.lex_state = 98, .external_lex_state = 23},
  [10817] = {.lex_state = 97, .external_lex_state = 23},
  [10818] = {.lex_state = 97, .external_lex_state = 33},
  [10819] = {.lex_state = 26},
  [10820] = {.lex_state = 44},
  [10821] = {.lex_state = 97, .external_lex_state = 24},
  [10822] = {.lex_state = 97, .external_lex_state = 24},
  [10823] = {.lex_state = 98, .external_lex_state = 23},
  [10824] = {.lex_state = 87, .external_lex_state = 53},
  [10825] = {.lex_state = 90, .external_lex_state = 57},
  [10826] = {.lex_state = 95, .external_lex_state = 40},
  [10827] = {.lex_state = 95, .external_lex_state = 40},
  [10828] = {.lex_state = 97, .external_lex_state = 32},
  [10829] = {.lex_state = 90, .external_lex_state = 56},
  [10830] = {.lex_state = 90, .external_lex_state = 29},
  [10831] = {.lex_state = 101, .external_lex_state = 23},
  [10832] = {.lex_state = 27},
  [10833] = {.lex_state = 5},
  [10834] = {.lex_state = 90, .external_lex_state = 58},
  [10835] = {.lex_state = 7},
  [10836] = {.lex_state = 97, .external_lex_state = 32},
  [10837] = {.lex_state = 33},
  [10838] = {.lex_state = 90, .external_lex_state = 29},
  [10839] = {.lex_state = 90, .external_lex_state = 40},
  [10840] = {.lex_state = 97, .external_lex_state = 33},
  [10841] = {.lex_state = 97, .external_lex_state = 33},
  [10842] = {.lex_state = 77, .external_lex_state = 33},
  [10843] = {.lex_state = 90, .external_lex_state = 58},
  [10844] = {.lex_state = 90, .external_lex_state = 58},
  [10845] = {.lex_state = 97, .external_lex_state = 33},
  [10846] = {.lex_state = 101, .external_lex_state = 23},
  [10847] = {.lex_state = 90, .external_lex_state = 58},
  [10848] = {.lex_state = 90, .external_lex_state = 24},
  [10849] = {.lex_state = 90, .external_lex_state = 29},
  [10850] = {.lex_state = 95, .external_lex_state = 40},
  [10851] = {.lex_state = 90, .external_lex_state = 57},
  [10852] = {.lex_state = 97, .external_lex_state = 32},
  [10853] = {.lex_state = 101, .external_lex_state = 24},
  [10854] = {.lex_state = 90, .external_lex_state = 57},
  [10855] = {.lex_state = 98, .external_lex_state = 23},
  [10856] = {.lex_state = 90, .external_lex_state = 32},
  [10857] = {.lex_state = 98, .external_lex_state = 23},
  [10858] = {.lex_state = 97, .external_lex_state = 32},
  [10859] = {.lex_state = 90, .external_lex_state = 58},
  [10860] = {.lex_state = 98, .external_lex_state = 24},
  [10861] = {.lex_state = 90, .external_lex_state = 57},
  [10862] = {.lex_state = 90, .external_lex_state = 57},
  [10863] = {.lex_state = 90, .external_lex_state = 56},
  [10864] = {.lex_state = 90, .external_lex_state = 58},
  [10865] = {.lex_state = 101, .external_lex_state = 23},
  [10866] = {.lex_state = 95, .external_lex_state = 40},
  [10867] = {.lex_state = 90, .external_lex_state = 56},
  [10868] = {.lex_state = 97, .external_lex_state = 33},
  [10869] = {.lex_state = 26},
  [10870] = {.lex_state = 90, .external_lex_state = 29},
  [10871] = {.lex_state = 101, .external_lex_state = 23},
  [10872] = {.lex_state = 40},
  [10873] = {.lex_state = 98, .external_lex_state = 23},
  [10874] = {.lex_state = 44},
  [10875] = {.lex_state = 90, .external_lex_state = 29},
  [10876] = {.lex_state = 77, .external_lex_state = 32},
  [10877] = {.lex_state = 101, .external_lex_state = 24},
  [10878] = {.lex_state = 95, .external_lex_state = 40},
  [10879] = {.lex_state = 90, .external_lex_state = 56},
  [10880] = {.lex_state = 90, .external_lex_state = 40},
  [10881] = {.lex_state = 90, .external_lex_state = 58},
  [10882] = {.lex_state = 87, .external_lex_state = 23},
  [10883] = {.lex_state = 98, .external_lex_state = 23},
  [10884] = {.lex_state = 40},
  [10885] = {.lex_state = 33},
  [10886] = {.lex_state = 38},
  [10887] = {.lex_state = 90, .external_lex_state = 33},
  [10888] = {.lex_state = 87, .external_lex_state = 56},
  [10889] = {.lex_state = 91, .external_lex_state = 24},
  [10890] = {.lex_state = 98, .external_lex_state = 23},
  [10891] = {.lex_state = 91, .external_lex_state = 23},
  [10892] = {.lex_state = 77, .external_lex_state = 63},
  [10893] = {.lex_state = 91, .external_lex_state = 23},
  [10894] = {.lex_state = 77, .external_lex_state = 35},
  [10895] = {.lex_state = 38},
  [10896] = {.lex_state = 90, .external_lex_state = 24},
  [10897] = {.lex_state = 98, .external_lex_state = 23},
  [10898] = {.lex_state = 90, .external_lex_state = 32},
  [10899] = {.lex_state = 38},
  [10900] = {.lex_state = 98, .external_lex_state = 23},
  [10901] = {.lex_state = 91, .external_lex_state = 23},
  [10902] = {.lex_state = 91, .external_lex_state = 23},
  [10903] = {.lex_state = 77, .external_lex_state = 29},
  [10904] = {.lex_state = 13},
  [10905] = {.lex_state = 90, .external_lex_state = 32},
  [10906] = {.lex_state = 13},
  [10907] = {.lex_state = 98, .external_lex_state = 23},
  [10908] = {.lex_state = 90, .external_lex_state = 32},
  [10909] = {.lex_state = 97, .external_lex_state = 35},
  [10910] = {.lex_state = 90, .external_lex_state = 33},
  [10911] = {.lex_state = 77, .external_lex_state = 23},
  [10912] = {.lex_state = 90},
  [10913] = {.lex_state = 31},
  [10914] = {.lex_state = 31},
  [10915] = {.lex_state = 90, .external_lex_state = 33},
  [10916] = {.lex_state = 90, .external_lex_state = 40},
  [10917] = {.lex_state = 90},
  [10918] = {.lex_state = 91, .external_lex_state = 23},
  [10919] = {.lex_state = 5},
  [10920] = {.lex_state = 38},
  [10921] = {.lex_state = 97, .external_lex_state = 35},
  [10922] = {.lex_state = 27},
  [10923] = {.lex_state = 91, .external_lex_state = 23},
  [10924] = {.lex_state = 98, .external_lex_state = 23},
  [10925] = {.lex_state = 90, .external_lex_state = 32},
  [10926] = {.lex_state = 95, .external_lex_state = 23},
  [10927] = {.lex_state = 96},
  [10928] = {.lex_state = 90, .external_lex_state = 33},
  [10929] = {.lex_state = 91, .external_lex_state = 23},
  [10930] = {.lex_state = 98, .external_lex_state = 23},
  [10931] = {.lex_state = 91, .external_lex_state = 23},
  [10932] = {.lex_state = 91, .external_lex_state = 23},
  [10933] = {.lex_state = 90, .external_lex_state = 32},
  [10934] = {.lex_state = 31},
  [10935] = {.lex_state = 90, .external_lex_state = 24},
  [10936] = {.lex_state = 31},
  [10937] = {.lex_state = 91, .external_lex_state = 23},
  [10938] = {.lex_state = 38},
  [10939] = {.lex_state = 91, .external_lex_state = 23},
  [10940] = {.lex_state = 91, .external_lex_state = 23},
  [10941] = {.lex_state = 98, .external_lex_state = 23},
  [10942] = {.lex_state = 97, .external_lex_state = 35},
  [10943] = {.lex_state = 77, .external_lex_state = 60},
  [10944] = {.lex_state = 33},
  [10945] = {.lex_state = 90, .external_lex_state = 35},
  [10946] = {.lex_state = 77, .external_lex_state = 40},
  [10947] = {.lex_state = 84, .external_lex_state = 29},
  [10948] = {.lex_state = 97, .external_lex_state = 35},
  [10949] = {.lex_state = 91, .external_lex_state = 23},
  [10950] = {.lex_state = 31},
  [10951] = {.lex_state = 45},
  [10952] = {.lex_state = 101, .external_lex_state = 23},
  [10953] = {.lex_state = 90, .external_lex_state = 32},
  [10954] = {.lex_state = 91, .external_lex_state = 24},
  [10955] = {.lex_state = 90, .external_lex_state = 32},
  [10956] = {.lex_state = 77, .external_lex_state = 29},
  [10957] = {.lex_state = 97, .external_lex_state = 35},
  [10958] = {.lex_state = 77, .external_lex_state = 29},
  [10959] = {.lex_state = 95, .external_lex_state = 23},
  [10960] = {.lex_state = 38},
  [10961] = {.lex_state = 27},
  [10962] = {.lex_state = 91, .external_lex_state = 23},
  [10963] = {.lex_state = 76, .external_lex_state = 39},
  [10964] = {.lex_state = 98, .external_lex_state = 23},
  [10965] = {.lex_state = 90},
  [10966] = {.lex_state = 77, .external_lex_state = 60},
  [10967] = {.lex_state = 101, .external_lex_state = 23},
  [10968] = {.lex_state = 91, .external_lex_state = 23},
  [10969] = {.lex_state = 91, .external_lex_state = 24},
  [10970] = {.lex_state = 97, .external_lex_state = 35},
  [10971] = {.lex_state = 77, .external_lex_state = 62},
  [10972] = {.lex_state = 97, .external_lex_state = 35},
  [10973] = {.lex_state = 77, .external_lex_state = 25},
  [10974] = {.lex_state = 4},
  [10975] = {.lex_state = 95, .external_lex_state = 23},
  [10976] = {.lex_state = 95, .external_lex_state = 23},
  [10977] = {.lex_state = 91, .external_lex_state = 24},
  [10978] = {.lex_state = 4},
  [10979] = {.lex_state = 38},
  [10980] = {.lex_state = 77, .external_lex_state = 62},
  [10981] = {.lex_state = 26},
  [10982] = {.lex_state = 97, .external_lex_state = 35},
  [10983] = {.lex_state = 27},
  [10984] = {.lex_state = 90, .external_lex_state = 33},
  [10985] = {.lex_state = 84, .external_lex_state = 29},
  [10986] = {.lex_state = 90, .external_lex_state = 32},
  [10987] = {.lex_state = 90},
  [10988] = {.lex_state = 95, .external_lex_state = 23},
  [10989] = {.lex_state = 97, .external_lex_state = 35},
  [10990] = {.lex_state = 31},
  [10991] = {.lex_state = 38},
  [10992] = {.lex_state = 38},
  [10993] = {.lex_state = 45},
  [10994] = {.lex_state = 45},
  [10995] = {.lex_state = 4},
  [10996] = {.lex_state = 38},
  [10997] = {.lex_state = 97, .external_lex_state = 40},
  [10998] = {.lex_state = 95, .external_lex_state = 23},
  [10999] = {.lex_state = 95, .external_lex_state = 23},
  [11000] = {.lex_state = 26},
  [11001] = {.lex_state = 45},
  [11002] = {.lex_state = 90},
  [11003] = {.lex_state = 91, .external_lex_state = 24},
  [11004] = {.lex_state = 91, .external_lex_state = 24},
  [11005] = {.lex_state = 76, .external_lex_state = 55},
  [11006] = {.lex_state = 97, .external_lex_state = 40},
  [11007] = {.lex_state = 38},
  [11008] = {.lex_state = 91, .external_lex_state = 23},
  [11009] = {.lex_state = 95, .external_lex_state = 23},
  [11010] = {.lex_state = 91, .external_lex_state = 23},
  [11011] = {.lex_state = 31},
  [11012] = {.lex_state = 5},
  [11013] = {.lex_state = 38},
  [11014] = {.lex_state = 91, .external_lex_state = 24},
  [11015] = {.lex_state = 27},
  [11016] = {.lex_state = 27},
  [11017] = {.lex_state = 91, .external_lex_state = 24},
  [11018] = {.lex_state = 5},
  [11019] = {.lex_state = 27},
  [11020] = {.lex_state = 77, .external_lex_state = 63},
  [11021] = {.lex_state = 5},
  [11022] = {.lex_state = 27},
  [11023] = {.lex_state = 95, .external_lex_state = 23},
  [11024] = {.lex_state = 27},
  [11025] = {.lex_state = 77, .external_lex_state = 25},
  [11026] = {.lex_state = 90},
  [11027] = {.lex_state = 77, .external_lex_state = 25},
  [11028] = {.lex_state = 91, .external_lex_state = 24},
  [11029] = {.lex_state = 38},
  [11030] = {.lex_state = 4},
  [11031] = {.lex_state = 77, .external_lex_state = 25},
  [11032] = {.lex_state = 38},
  [11033] = {.lex_state = 26},
  [11034] = {.lex_state = 91, .external_lex_state = 24},
  [11035] = {.lex_state = 91, .external_lex_state = 24},
  [11036] = {.lex_state = 101, .external_lex_state = 23},
  [11037] = {.lex_state = 90, .external_lex_state = 33},
  [11038] = {.lex_state = 90, .external_lex_state = 24},
  [11039] = {.lex_state = 98, .external_lex_state = 23},
  [11040] = {.lex_state = 38},
  [11041] = {.lex_state = 31},
  [11042] = {.lex_state = 90, .external_lex_state = 32},
  [11043] = {.lex_state = 31},
  [11044] = {.lex_state = 101, .external_lex_state = 23},
  [11045] = {.lex_state = 91, .external_lex_state = 23},
  [11046] = {.lex_state = 38},
  [11047] = {.lex_state = 97, .external_lex_state = 40},
  [11048] = {.lex_state = 101, .external_lex_state = 23},
  [11049] = {.lex_state = 31},
  [11050] = {.lex_state = 91, .external_lex_state = 24},
  [11051] = {.lex_state = 38},
  [11052] = {.lex_state = 31},
  [11053] = {.lex_state = 97, .external_lex_state = 40},
  [11054] = {.lex_state = 38},
  [11055] = {.lex_state = 91, .external_lex_state = 24},
  [11056] = {.lex_state = 38},
  [11057] = {.lex_state = 38},
  [11058] = {.lex_state = 33},
  [11059] = {.lex_state = 27},
  [11060] = {.lex_state = 90, .external_lex_state = 33},
  [11061] = {.lex_state = 13},
  [11062] = {.lex_state = 101, .external_lex_state = 23},
  [11063] = {.lex_state = 91, .external_lex_state = 24},
  [11064] = {.lex_state = 77, .external_lex_state = 29},
  [11065] = {.lex_state = 77, .external_lex_state = 25},
  [11066] = {.lex_state = 38},
  [11067] = {.lex_state = 77, .external_lex_state = 25},
  [11068] = {.lex_state = 90, .external_lex_state = 24},
  [11069] = {.lex_state = 77, .external_lex_state = 25},
  [11070] = {.lex_state = 38},
  [11071] = {.lex_state = 97, .external_lex_state = 40},
  [11072] = {.lex_state = 31},
  [11073] = {.lex_state = 31},
  [11074] = {.lex_state = 27},
  [11075] = {.lex_state = 38},
  [11076] = {.lex_state = 77, .external_lex_state = 25},
  [11077] = {.lex_state = 91, .external_lex_state = 24},
  [11078] = {.lex_state = 90, .external_lex_state = 23},
  [11079] = {.lex_state = 38},
  [11080] = {.lex_state = 91, .external_lex_state = 24},
  [11081] = {.lex_state = 95, .external_lex_state = 23},
  [11082] = {.lex_state = 98},
  [11083] = {.lex_state = 77, .external_lex_state = 62},
  [11084] = {.lex_state = 91, .external_lex_state = 23},
  [11085] = {.lex_state = 38},
  [11086] = {.lex_state = 38},
  [11087] = {.lex_state = 91, .external_lex_state = 23},
  [11088] = {.lex_state = 90},
  [11089] = {.lex_state = 45},
  [11090] = {.lex_state = 97, .external_lex_state = 40},
  [11091] = {.lex_state = 101, .external_lex_state = 23},
  [11092] = {.lex_state = 91, .external_lex_state = 24},
  [11093] = {.lex_state = 45},
  [11094] = {.lex_state = 38},
  [11095] = {.lex_state = 45},
  [11096] = {.lex_state = 31},
  [11097] = {.lex_state = 97, .external_lex_state = 40},
  [11098] = {.lex_state = 27},
  [11099] = {.lex_state = 45},
  [11100] = {.lex_state = 45},
  [11101] = {.lex_state = 4},
  [11102] = {.lex_state = 77, .external_lex_state = 25},
  [11103] = {.lex_state = 34},
  [11104] = {.lex_state = 38},
  [11105] = {.lex_state = 90},
  [11106] = {.lex_state = 38},
  [11107] = {.lex_state = 90, .external_lex_state = 24},
  [11108] = {.lex_state = 26},
  [11109] = {.lex_state = 38},
  [11110] = {.lex_state = 7},
  [11111] = {.lex_state = 33},
  [11112] = {.lex_state = 38},
  [11113] = {.lex_state = 77, .external_lex_state = 25},
  [11114] = {.lex_state = 4},
  [11115] = {.lex_state = 7},
  [11116] = {.lex_state = 90},
  [11117] = {.lex_state = 27},
  [11118] = {.lex_state = 13},
  [11119] = {.lex_state = 38},
  [11120] = {.lex_state = 26},
  [11121] = {.lex_state = 77, .external_lex_state = 25},
  [11122] = {.lex_state = 77, .external_lex_state = 25},
  [11123] = {.lex_state = 96, .external_lex_state = 59},
  [11124] = {.lex_state = 98, .external_lex_state = 23},
  [11125] = {.lex_state = 38},
  [11126] = {.lex_state = 33},
  [11127] = {.lex_state = 38},
  [11128] = {.lex_state = 38},
  [11129] = {.lex_state = 38},
  [11130] = {.lex_state = 7},
  [11131] = {.lex_state = 76, .external_lex_state = 39},
  [11132] = {.lex_state = 91, .external_lex_state = 23},
  [11133] = {.lex_state = 77, .external_lex_state = 25},
  [11134] = {.lex_state = 38},
  [11135] = {.lex_state = 38},
  [11136] = {.lex_state = 38},
  [11137] = {.lex_state = 38},
  [11138] = {.lex_state = 77, .external_lex_state = 25},
  [11139] = {.lex_state = 38},
  [11140] = {.lex_state = 33},
  [11141] = {.lex_state = 91, .external_lex_state = 24},
  [11142] = {.lex_state = 97, .external_lex_state = 35},
  [11143] = {.lex_state = 97, .external_lex_state = 40},
  [11144] = {.lex_state = 31},
  [11145] = {.lex_state = 4},
  [11146] = {.lex_state = 31},
  [11147] = {.lex_state = 26},
  [11148] = {.lex_state = 87, .external_lex_state = 56},
  [11149] = {.lex_state = 96, .external_lex_state = 59},
  [11150] = {.lex_state = 34},
  [11151] = {.lex_state = 101, .external_lex_state = 23},
  [11152] = {.lex_state = 90, .external_lex_state = 23},
  [11153] = {.lex_state = 97, .external_lex_state = 40},
  [11154] = {.lex_state = 90, .external_lex_state = 33},
  [11155] = {.lex_state = 76, .external_lex_state = 23},
  [11156] = {.lex_state = 97, .external_lex_state = 40},
  [11157] = {.lex_state = 38},
  [11158] = {.lex_state = 38},
  [11159] = {.lex_state = 31},
  [11160] = {.lex_state = 90, .external_lex_state = 24},
  [11161] = {.lex_state = 90, .external_lex_state = 33},
  [11162] = {.lex_state = 90, .external_lex_state = 24},
  [11163] = {.lex_state = 38},
  [11164] = {.lex_state = 77, .external_lex_state = 62},
  [11165] = {.lex_state = 31},
  [11166] = {.lex_state = 90, .external_lex_state = 24},
  [11167] = {.lex_state = 90, .external_lex_state = 24},
  [11168] = {.lex_state = 38},
  [11169] = {.lex_state = 38},
  [11170] = {.lex_state = 101, .external_lex_state = 23},
  [11171] = {.lex_state = 91, .external_lex_state = 24},
  [11172] = {.lex_state = 38},
  [11173] = {.lex_state = 91, .external_lex_state = 24},
  [11174] = {.lex_state = 101, .external_lex_state = 23},
  [11175] = {.lex_state = 45},
  [11176] = {.lex_state = 91, .external_lex_state = 24},
  [11177] = {.lex_state = 90, .external_lex_state = 35},
  [11178] = {.lex_state = 91, .external_lex_state = 23},
  [11179] = {.lex_state = 26},
  [11180] = {.lex_state = 97, .external_lex_state = 23},
  [11181] = {.lex_state = 77, .external_lex_state = 29},
  [11182] = {.lex_state = 77, .external_lex_state = 29},
  [11183] = {.lex_state = 77, .external_lex_state = 29},
  [11184] = {.lex_state = 26},
  [11185] = {.lex_state = 91},
  [11186] = {.lex_state = 6},
  [11187] = {.lex_state = 91},
  [11188] = {.lex_state = 6},
  [11189] = {.lex_state = 26},
  [11190] = {.lex_state = 26},
  [11191] = {.lex_state = 26},
  [11192] = {.lex_state = 91},
  [11193] = {.lex_state = 6},
  [11194] = {.lex_state = 91, .external_lex_state = 23},
  [11195] = {.lex_state = 42},
  [11196] = {.lex_state = 77, .external_lex_state = 29},
  [11197] = {.lex_state = 91},
  [11198] = {.lex_state = 77, .external_lex_state = 33},
  [11199] = {.lex_state = 76, .external_lex_state = 55},
  [11200] = {.lex_state = 6},
  [11201] = {.lex_state = 77, .external_lex_state = 32},
  [11202] = {.lex_state = 99},
  [11203] = {.lex_state = 91},
  [11204] = {.lex_state = 99},
  [11205] = {.lex_state = 99},
  [11206] = {.lex_state = 6},
  [11207] = {.lex_state = 77, .external_lex_state = 33},
  [11208] = {.lex_state = 99},
  [11209] = {.lex_state = 99},
  [11210] = {.lex_state = 13},
  [11211] = {.lex_state = 77, .external_lex_state = 32},
  [11212] = {.lex_state = 91, .external_lex_state = 23},
  [11213] = {.lex_state = 91, .external_lex_state = 23},
  [11214] = {.lex_state = 90, .external_lex_state = 23},
  [11215] = {.lex_state = 34},
  [11216] = {.lex_state = 76, .external_lex_state = 55},
  [11217] = {.lex_state = 77, .external_lex_state = 63},
  [11218] = {.lex_state = 46},
  [11219] = {.lex_state = 46},
  [11220] = {.lex_state = 46},
  [11221] = {.lex_state = 46},
  [11222] = {.lex_state = 46},
  [11223] = {.lex_state = 77, .external_lex_state = 61},
  [11224] = {.lex_state = 42},
  [11225] = {.lex_state = 77, .external_lex_state = 60},
  [11226] = {.lex_state = 13},
  [11227] = {.lex_state = 97, .external_lex_state = 23},
  [11228] = {.lex_state = 42},
  [11229] = {.lex_state = 84, .external_lex_state = 33},
  [11230] = {.lex_state = 38},
  [11231] = {.lex_state = 40},
  [11232] = {.lex_state = 91, .external_lex_state = 23},
  [11233] = {.lex_state = 13},
  [11234] = {.lex_state = 42},
  [11235] = {.lex_state = 42},
  [11236] = {.lex_state = 42},
  [11237] = {.lex_state = 91, .external_lex_state = 23},
  [11238] = {.lex_state = 84, .external_lex_state = 29},
  [11239] = {.lex_state = 13},
  [11240] = {.lex_state = 46},
  [11241] = {.lex_state = 26},
  [11242] = {.lex_state = 84, .external_lex_state = 33},
  [11243] = {.lex_state = 97, .external_lex_state = 23},
  [11244] = {.lex_state = 97, .external_lex_state = 23},
  [11245] = {.lex_state = 97, .external_lex_state = 23},
  [11246] = {.lex_state = 97, .external_lex_state = 23},
  [11247] = {.lex_state = 87},
  [11248] = {.lex_state = 97, .external_lex_state = 23},
  [11249] = {.lex_state = 90, .external_lex_state = 35},
  [11250] = {.lex_state = 77, .external_lex_state = 62},
  [11251] = {.lex_state = 99},
  [11252] = {.lex_state = 42},
  [11253] = {.lex_state = 99},
  [11254] = {.lex_state = 26},
  [11255] = {.lex_state = 99},
  [11256] = {.lex_state = 31},
  [11257] = {.lex_state = 77, .external_lex_state = 29},
  [11258] = {.lex_state = 77, .external_lex_state = 33},
  [11259] = {.lex_state = 77, .external_lex_state = 33},
  [11260] = {.lex_state = 13},
  [11261] = {.lex_state = 77, .external_lex_state = 29},
  [11262] = {.lex_state = 77, .external_lex_state = 29},
  [11263] = {.lex_state = 91, .external_lex_state = 23},
  [11264] = {.lex_state = 90, .external_lex_state = 35},
  [11265] = {.lex_state = 91, .external_lex_state = 23},
  [11266] = {.lex_state = 77, .external_lex_state = 29},
  [11267] = {.lex_state = 77, .external_lex_state = 61},
  [11268] = {.lex_state = 90, .external_lex_state = 40},
  [11269] = {.lex_state = 90, .external_lex_state = 40},
  [11270] = {.lex_state = 91, .external_lex_state = 23},
  [11271] = {.lex_state = 76, .external_lex_state = 24},
  [11272] = {.lex_state = 77, .external_lex_state = 29},
  [11273] = {.lex_state = 99},
  [11274] = {.lex_state = 77, .external_lex_state = 29},
  [11275] = {.lex_state = 77, .external_lex_state = 29},
  [11276] = {.lex_state = 46},
  [11277] = {.lex_state = 77, .external_lex_state = 29},
  [11278] = {.lex_state = 97, .external_lex_state = 23},
  [11279] = {.lex_state = 26},
  [11280] = {.lex_state = 26},
  [11281] = {.lex_state = 27},
  [11282] = {.lex_state = 33},
  [11283] = {.lex_state = 33},
  [11284] = {.lex_state = 33},
  [11285] = {.lex_state = 90, .external_lex_state = 35},
  [11286] = {.lex_state = 90, .external_lex_state = 35},
  [11287] = {.lex_state = 91},
  [11288] = {.lex_state = 6},
  [11289] = {.lex_state = 91},
  [11290] = {.lex_state = 97, .external_lex_state = 23},
  [11291] = {.lex_state = 6},
  [11292] = {.lex_state = 97, .external_lex_state = 23},
  [11293] = {.lex_state = 91, .external_lex_state = 24},
  [11294] = {.lex_state = 91, .external_lex_state = 24},
  [11295] = {.lex_state = 26},
  [11296] = {.lex_state = 77, .external_lex_state = 63},
  [11297] = {.lex_state = 46},
  [11298] = {.lex_state = 46},
  [11299] = {.lex_state = 90, .external_lex_state = 40},
  [11300] = {.lex_state = 46},
  [11301] = {.lex_state = 90, .external_lex_state = 40},
  [11302] = {.lex_state = 99},
  [11303] = {.lex_state = 13},
  [11304] = {.lex_state = 77, .external_lex_state = 63},
  [11305] = {.lex_state = 91, .external_lex_state = 23},
  [11306] = {.lex_state = 91, .external_lex_state = 23},
  [11307] = {.lex_state = 26},
  [11308] = {.lex_state = 42},
  [11309] = {.lex_state = 26},
  [11310] = {.lex_state = 26},
  [11311] = {.lex_state = 26},
  [11312] = {.lex_state = 42},
  [11313] = {.lex_state = 13},
  [11314] = {.lex_state = 27},
  [11315] = {.lex_state = 26},
  [11316] = {.lex_state = 26},
  [11317] = {.lex_state = 26},
  [11318] = {.lex_state = 77, .external_lex_state = 63},
  [11319] = {.lex_state = 77, .external_lex_state = 23},
  [11320] = {.lex_state = 13},
  [11321] = {.lex_state = 42},
  [11322] = {.lex_state = 26},
  [11323] = {.lex_state = 90, .external_lex_state = 35},
  [11324] = {.lex_state = 90, .external_lex_state = 35},
  [11325] = {.lex_state = 26},
  [11326] = {.lex_state = 91, .external_lex_state = 23},
  [11327] = {.lex_state = 33},
  [11328] = {.lex_state = 91, .external_lex_state = 23},
  [11329] = {.lex_state = 13},
  [11330] = {.lex_state = 27},
  [11331] = {.lex_state = 91, .external_lex_state = 23},
  [11332] = {.lex_state = 13},
  [11333] = {.lex_state = 77, .external_lex_state = 23},
  [11334] = {.lex_state = 77, .external_lex_state = 62},
  [11335] = {.lex_state = 13},
  [11336] = {.lex_state = 26},
  [11337] = {.lex_state = 91, .external_lex_state = 23},
  [11338] = {.lex_state = 33},
  [11339] = {.lex_state = 26},
  [11340] = {.lex_state = 26},
  [11341] = {.lex_state = 90, .external_lex_state = 35},
  [11342] = {.lex_state = 90, .external_lex_state = 35},
  [11343] = {.lex_state = 26},
  [11344] = {.lex_state = 13},
  [11345] = {.lex_state = 91, .external_lex_state = 23},
  [11346] = {.lex_state = 77, .external_lex_state = 29},
  [11347] = {.lex_state = 27},
  [11348] = {.lex_state = 77, .external_lex_state = 37},
  [11349] = {.lex_state = 13},
  [11350] = {.lex_state = 27},
  [11351] = {.lex_state = 91},
  [11352] = {.lex_state = 27},
  [11353] = {.lex_state = 87},
  [11354] = {.lex_state = 6},
  [11355] = {.lex_state = 91},
  [11356] = {.lex_state = 6},
  [11357] = {.lex_state = 76, .external_lex_state = 23},
  [11358] = {.lex_state = 26},
  [11359] = {.lex_state = 26},
  [11360] = {.lex_state = 91, .external_lex_state = 23},
  [11361] = {.lex_state = 91, .external_lex_state = 23},
  [11362] = {.lex_state = 84, .external_lex_state = 32},
  [11363] = {.lex_state = 91},
  [11364] = {.lex_state = 26},
  [11365] = {.lex_state = 90, .external_lex_state = 40},
  [11366] = {.lex_state = 6},
  [11367] = {.lex_state = 90, .external_lex_state = 40},
  [11368] = {.lex_state = 97, .external_lex_state = 64},
  [11369] = {.lex_state = 91},
  [11370] = {.lex_state = 90, .external_lex_state = 40},
  [11371] = {.lex_state = 90, .external_lex_state = 40},
  [11372] = {.lex_state = 6},
  [11373] = {.lex_state = 27},
  [11374] = {.lex_state = 84, .external_lex_state = 32},
  [11375] = {.lex_state = 77, .external_lex_state = 32},
  [11376] = {.lex_state = 76, .external_lex_state = 24},
  [11377] = {.lex_state = 91, .external_lex_state = 23},
  [11378] = {.lex_state = 91, .external_lex_state = 23},
  [11379] = {.lex_state = 38},
  [11380] = {.lex_state = 90, .external_lex_state = 40},
  [11381] = {.lex_state = 91, .external_lex_state = 23},
  [11382] = {.lex_state = 91, .external_lex_state = 23},
  [11383] = {.lex_state = 91, .external_lex_state = 23},
  [11384] = {.lex_state = 26},
  [11385] = {.lex_state = 33},
  [11386] = {.lex_state = 77, .external_lex_state = 60},
  [11387] = {.lex_state = 91},
  [11388] = {.lex_state = 6},
  [11389] = {.lex_state = 26},
  [11390] = {.lex_state = 91},
  [11391] = {.lex_state = 6},
  [11392] = {.lex_state = 77, .external_lex_state = 32},
  [11393] = {.lex_state = 76, .external_lex_state = 23},
  [11394] = {.lex_state = 32},
  [11395] = {.lex_state = 76, .external_lex_state = 23},
  [11396] = {.lex_state = 77, .external_lex_state = 61},
  [11397] = {.lex_state = 32},
  [11398] = {.lex_state = 32},
  [11399] = {.lex_state = 77, .external_lex_state = 32},
  [11400] = {.lex_state = 32},
  [11401] = {.lex_state = 32},
  [11402] = {.lex_state = 32},
  [11403] = {.lex_state = 32},
  [11404] = {.lex_state = 32},
  [11405] = {.lex_state = 32},
  [11406] = {.lex_state = 32},
  [11407] = {.lex_state = 32},
  [11408] = {.lex_state = 98},
  [11409] = {.lex_state = 32},
  [11410] = {.lex_state = 32},
  [11411] = {.lex_state = 77, .external_lex_state = 33},
  [11412] = {.lex_state = 32},
  [11413] = {.lex_state = 84, .external_lex_state = 29},
  [11414] = {.lex_state = 76, .external_lex_state = 39},
  [11415] = {.lex_state = 32},
  [11416] = {.lex_state = 77, .external_lex_state = 33},
  [11417] = {.lex_state = 84, .external_lex_state = 32},
  [11418] = {.lex_state = 32},
  [11419] = {.lex_state = 32},
  [11420] = {.lex_state = 32},
  [11421] = {.lex_state = 77, .external_lex_state = 33},
  [11422] = {.lex_state = 32},
  [11423] = {.lex_state = 32},
  [11424] = {.lex_state = 77, .external_lex_state = 33},
  [11425] = {.lex_state = 32},
  [11426] = {.lex_state = 32},
  [11427] = {.lex_state = 32},
  [11428] = {.lex_state = 32},
  [11429] = {.lex_state = 32},
  [11430] = {.lex_state = 77, .external_lex_state = 33},
  [11431] = {.lex_state = 32},
  [11432] = {.lex_state = 32},
  [11433] = {.lex_state = 32},
  [11434] = {.lex_state = 77, .external_lex_state = 61},
  [11435] = {.lex_state = 32},
  [11436] = {.lex_state = 32},
  [11437] = {.lex_state = 77, .external_lex_state = 33},
  [11438] = {.lex_state = 32},
  [11439] = {.lex_state = 32},
  [11440] = {.lex_state = 32},
  [11441] = {.lex_state = 91},
  [11442] = {.lex_state = 32},
  [11443] = {.lex_state = 32},
  [11444] = {.lex_state = 90, .external_lex_state = 23},
  [11445] = {.lex_state = 91},
  [11446] = {.lex_state = 91},
  [11447] = {.lex_state = 32},
  [11448] = {.lex_state = 77, .external_lex_state = 29},
  [11449] = {.lex_state = 77, .external_lex_state = 60},
  [11450] = {.lex_state = 77, .external_lex_state = 33},
  [11451] = {.lex_state = 91},
  [11452] = {.lex_state = 32},
  [11453] = {.lex_state = 98},
  [11454] = {.lex_state = 98},
  [11455] = {.lex_state = 32},
  [11456] = {.lex_state = 32},
  [11457] = {.lex_state = 32},
  [11458] = {.lex_state = 77, .external_lex_state = 39},
  [11459] = {.lex_state = 76, .external_lex_state = 39},
  [11460] = {.lex_state = 77, .external_lex_state = 33},
  [11461] = {.lex_state = 77, .external_lex_state = 62},
  [11462] = {.lex_state = 32},
  [11463] = {.lex_state = 32},
  [11464] = {.lex_state = 32},
  [11465] = {.lex_state = 77, .external_lex_state = 60},
  [11466] = {.lex_state = 32},
  [11467] = {.lex_state = 32},
  [11468] = {.lex_state = 77, .external_lex_state = 32},
  [11469] = {.lex_state = 32},
  [11470] = {.lex_state = 76, .external_lex_state = 23},
  [11471] = {.lex_state = 32},
  [11472] = {.lex_state = 91},
  [11473] = {.lex_state = 32},
  [11474] = {.lex_state = 77, .external_lex_state = 29},
  [11475] = {.lex_state = 32},
  [11476] = {.lex_state = 77, .external_lex_state = 60},
  [11477] = {.lex_state = 32},
  [11478] = {.lex_state = 32},
  [11479] = {.lex_state = 32},
  [11480] = {.lex_state = 91},
  [11481] = {.lex_state = 32},
  [11482] = {.lex_state = 32},
  [11483] = {.lex_state = 32},
  [11484] = {.lex_state = 76, .external_lex_state = 23},
  [11485] = {.lex_state = 90, .external_lex_state = 23},
  [11486] = {.lex_state = 91},
  [11487] = {.lex_state = 32},
  [11488] = {.lex_state = 32},
  [11489] = {.lex_state = 32},
  [11490] = {.lex_state = 7},
  [11491] = {.lex_state = 77, .external_lex_state = 32},
  [11492] = {.lex_state = 77, .external_lex_state = 29},
  [11493] = {.lex_state = 32},
  [11494] = {.lex_state = 32},
  [11495] = {.lex_state = 77, .external_lex_state = 55},
  [11496] = {.lex_state = 32},
  [11497] = {.lex_state = 32},
  [11498] = {.lex_state = 77, .external_lex_state = 29},
  [11499] = {.lex_state = 77, .external_lex_state = 32},
  [11500] = {.lex_state = 76, .external_lex_state = 23},
  [11501] = {.lex_state = 32},
  [11502] = {.lex_state = 32},
  [11503] = {.lex_state = 77, .external_lex_state = 60},
  [11504] = {.lex_state = 77, .external_lex_state = 29},
  [11505] = {.lex_state = 77, .external_lex_state = 60},
  [11506] = {.lex_state = 32},
  [11507] = {.lex_state = 32},
  [11508] = {.lex_state = 76, .external_lex_state = 39},
  [11509] = {.lex_state = 98},
  [11510] = {.lex_state = 98},
  [11511] = {.lex_state = 98},
  [11512] = {.lex_state = 77, .external_lex_state = 62},
  [11513] = {.lex_state = 32},
  [11514] = {.lex_state = 98},
  [11515] = {.lex_state = 98},
  [11516] = {.lex_state = 32},
  [11517] = {.lex_state = 98},
  [11518] = {.lex_state = 96},
  [11519] = {.lex_state = 96},
  [11520] = {.lex_state = 96},
  [11521] = {.lex_state = 32},
  [11522] = {.lex_state = 32},
  [11523] = {.lex_state = 32},
  [11524] = {.lex_state = 77, .external_lex_state = 60},
  [11525] = {.lex_state = 96},
  [11526] = {.lex_state = 96},
  [11527] = {.lex_state = 77, .external_lex_state = 43},
  [11528] = {.lex_state = 32},
  [11529] = {.lex_state = 77, .external_lex_state = 32},
  [11530] = {.lex_state = 32},
  [11531] = {.lex_state = 47},
  [11532] = {.lex_state = 32},
  [11533] = {.lex_state = 77, .external_lex_state = 32},
  [11534] = {.lex_state = 76, .external_lex_state = 23},
  [11535] = {.lex_state = 77, .external_lex_state = 62},
  [11536] = {.lex_state = 77, .external_lex_state = 63},
  [11537] = {.lex_state = 76, .external_lex_state = 23},
  [11538] = {.lex_state = 32},
  [11539] = {.lex_state = 77, .external_lex_state = 32},
  [11540] = {.lex_state = 77, .external_lex_state = 33},
  [11541] = {.lex_state = 77, .external_lex_state = 33},
  [11542] = {.lex_state = 77, .external_lex_state = 33},
  [11543] = {.lex_state = 84, .external_lex_state = 40},
  [11544] = {.lex_state = 84, .external_lex_state = 40},
  [11545] = {.lex_state = 77, .external_lex_state = 40},
  [11546] = {.lex_state = 32},
  [11547] = {.lex_state = 32},
  [11548] = {.lex_state = 77, .external_lex_state = 33},
  [11549] = {.lex_state = 77, .external_lex_state = 33},
  [11550] = {.lex_state = 77, .external_lex_state = 35},
  [11551] = {.lex_state = 77, .external_lex_state = 32},
  [11552] = {.lex_state = 76, .external_lex_state = 23},
  [11553] = {.lex_state = 32},
  [11554] = {.lex_state = 32},
  [11555] = {.lex_state = 32},
  [11556] = {.lex_state = 77, .external_lex_state = 55},
  [11557] = {.lex_state = 32},
  [11558] = {.lex_state = 77, .external_lex_state = 35},
  [11559] = {.lex_state = 32},
  [11560] = {.lex_state = 32},
  [11561] = {.lex_state = 77, .external_lex_state = 40},
  [11562] = {.lex_state = 91},
  [11563] = {.lex_state = 32},
  [11564] = {.lex_state = 32},
  [11565] = {.lex_state = 77, .external_lex_state = 40},
  [11566] = {.lex_state = 76, .external_lex_state = 23},
  [11567] = {.lex_state = 90, .external_lex_state = 23},
  [11568] = {.lex_state = 32},
  [11569] = {.lex_state = 90, .external_lex_state = 23},
  [11570] = {.lex_state = 96},
  [11571] = {.lex_state = 76, .external_lex_state = 23},
  [11572] = {.lex_state = 32},
  [11573] = {.lex_state = 32},
  [11574] = {.lex_state = 76, .external_lex_state = 23},
  [11575] = {.lex_state = 76, .external_lex_state = 23},
  [11576] = {.lex_state = 32},
  [11577] = {.lex_state = 77, .external_lex_state = 63},
  [11578] = {.lex_state = 32},
  [11579] = {.lex_state = 32},
  [11580] = {.lex_state = 76, .external_lex_state = 39},
  [11581] = {.lex_state = 32},
  [11582] = {.lex_state = 84, .external_lex_state = 35},
  [11583] = {.lex_state = 32},
  [11584] = {.lex_state = 32},
  [11585] = {.lex_state = 5},
  [11586] = {.lex_state = 32},
  [11587] = {.lex_state = 32},
  [11588] = {.lex_state = 76, .external_lex_state = 39},
  [11589] = {.lex_state = 84, .external_lex_state = 35},
  [11590] = {.lex_state = 77, .external_lex_state = 60},
  [11591] = {.lex_state = 32},
  [11592] = {.lex_state = 32},
  [11593] = {.lex_state = 91},
  [11594] = {.lex_state = 77, .external_lex_state = 46},
  [11595] = {.lex_state = 32},
  [11596] = {.lex_state = 32},
  [11597] = {.lex_state = 32},
  [11598] = {.lex_state = 34},
  [11599] = {.lex_state = 90, .external_lex_state = 23},
  [11600] = {.lex_state = 90, .external_lex_state = 23},
  [11601] = {.lex_state = 77, .external_lex_state = 62},
  [11602] = {.lex_state = 77, .external_lex_state = 39},
  [11603] = {.lex_state = 96},
  [11604] = {.lex_state = 32},
  [11605] = {.lex_state = 96},
  [11606] = {.lex_state = 32},
  [11607] = {.lex_state = 96},
  [11608] = {.lex_state = 32},
  [11609] = {.lex_state = 91},
  [11610] = {.lex_state = 32},
  [11611] = {.lex_state = 32},
  [11612] = {.lex_state = 91},
  [11613] = {.lex_state = 76, .external_lex_state = 23},
  [11614] = {.lex_state = 77, .external_lex_state = 40},
  [11615] = {.lex_state = 76, .external_lex_state = 23},
  [11616] = {.lex_state = 76, .external_lex_state = 39},
  [11617] = {.lex_state = 32},
  [11618] = {.lex_state = 32},
  [11619] = {.lex_state = 90, .external_lex_state = 23},
  [11620] = {.lex_state = 32},
  [11621] = {.lex_state = 91},
  [11622] = {.lex_state = 32},
  [11623] = {.lex_state = 77, .external_lex_state = 35},
  [11624] = {.lex_state = 32},
  [11625] = {.lex_state = 91},
  [11626] = {.lex_state = 32},
  [11627] = {.lex_state = 32},
  [11628] = {.lex_state = 76, .external_lex_state = 39},
  [11629] = {.lex_state = 96},
  [11630] = {.lex_state = 32},
  [11631] = {.lex_state = 91},
  [11632] = {.lex_state = 32},
  [11633] = {.lex_state = 32},
  [11634] = {.lex_state = 32},
  [11635] = {.lex_state = 76, .external_lex_state = 23},
  [11636] = {.lex_state = 32},
  [11637] = {.lex_state = 32},
  [11638] = {.lex_state = 32},
  [11639] = {.lex_state = 32},
  [11640] = {.lex_state = 84, .external_lex_state = 33},
  [11641] = {.lex_state = 77, .external_lex_state = 32},
  [11642] = {.lex_state = 76, .external_lex_state = 39},
  [11643] = {.lex_state = 32},
  [11644] = {.lex_state = 77, .external_lex_state = 29},
  [11645] = {.lex_state = 32},
  [11646] = {.lex_state = 32},
  [11647] = {.lex_state = 77, .external_lex_state = 29},
  [11648] = {.lex_state = 77, .external_lex_state = 29},
  [11649] = {.lex_state = 32},
  [11650] = {.lex_state = 32},
  [11651] = {.lex_state = 32},
  [11652] = {.lex_state = 32},
  [11653] = {.lex_state = 32},
  [11654] = {.lex_state = 90, .external_lex_state = 23},
  [11655] = {.lex_state = 77, .external_lex_state = 32},
  [11656] = {.lex_state = 32},
  [11657] = {.lex_state = 76, .external_lex_state = 39},
  [11658] = {.lex_state = 32},
  [11659] = {.lex_state = 34},
  [11660] = {.lex_state = 77, .external_lex_state = 32},
  [11661] = {.lex_state = 32},
  [11662] = {.lex_state = 32},
  [11663] = {.lex_state = 76, .external_lex_state = 55},
  [11664] = {.lex_state = 98},
  [11665] = {.lex_state = 76, .external_lex_state = 55},
  [11666] = {.lex_state = 77, .external_lex_state = 32},
  [11667] = {.lex_state = 77, .external_lex_state = 29},
  [11668] = {.lex_state = 77, .external_lex_state = 29},
  [11669] = {.lex_state = 32},
  [11670] = {.lex_state = 34},
  [11671] = {.lex_state = 32},
  [11672] = {.lex_state = 32},
  [11673] = {.lex_state = 90, .external_lex_state = 23},
  [11674] = {.lex_state = 91},
  [11675] = {.lex_state = 77, .external_lex_state = 29},
  [11676] = {.lex_state = 32},
  [11677] = {.lex_state = 91},
  [11678] = {.lex_state = 77, .external_lex_state = 29},
  [11679] = {.lex_state = 32},
  [11680] = {.lex_state = 77, .external_lex_state = 29},
  [11681] = {.lex_state = 77, .external_lex_state = 29},
  [11682] = {.lex_state = 77, .external_lex_state = 29},
  [11683] = {.lex_state = 77, .external_lex_state = 29},
  [11684] = {.lex_state = 34},
  [11685] = {.lex_state = 77, .external_lex_state = 29},
  [11686] = {.lex_state = 32},
  [11687] = {.lex_state = 32},
  [11688] = {.lex_state = 76, .external_lex_state = 55},
  [11689] = {.lex_state = 32},
  [11690] = {.lex_state = 32},
  [11691] = {.lex_state = 77, .external_lex_state = 29},
  [11692] = {.lex_state = 77, .external_lex_state = 29},
  [11693] = {.lex_state = 31},
  [11694] = {.lex_state = 32},
  [11695] = {.lex_state = 76, .external_lex_state = 55},
  [11696] = {.lex_state = 32},
  [11697] = {.lex_state = 32},
  [11698] = {.lex_state = 77, .external_lex_state = 29},
  [11699] = {.lex_state = 76, .external_lex_state = 23},
  [11700] = {.lex_state = 77, .external_lex_state = 29},
  [11701] = {.lex_state = 77, .external_lex_state = 35},
  [11702] = {.lex_state = 76, .external_lex_state = 23},
  [11703] = {.lex_state = 32},
  [11704] = {.lex_state = 32},
  [11705] = {.lex_state = 32},
  [11706] = {.lex_state = 32},
  [11707] = {.lex_state = 76, .external_lex_state = 23},
  [11708] = {.lex_state = 76, .external_lex_state = 55},
  [11709] = {.lex_state = 76, .external_lex_state = 39},
  [11710] = {.lex_state = 77, .external_lex_state = 32},
  [11711] = {.lex_state = 76, .external_lex_state = 55},
  [11712] = {.lex_state = 84, .external_lex_state = 29},
  [11713] = {.lex_state = 32},
  [11714] = {.lex_state = 77, .external_lex_state = 62},
  [11715] = {.lex_state = 27},
  [11716] = {.lex_state = 33},
  [11717] = {.lex_state = 84, .external_lex_state = 37},
  [11718] = {.lex_state = 76, .external_lex_state = 39},
  [11719] = {.lex_state = 32},
  [11720] = {.lex_state = 84, .external_lex_state = 35},
  [11721] = {.lex_state = 33},
  [11722] = {.lex_state = 33},
  [11723] = {.lex_state = 84, .external_lex_state = 29},
  [11724] = {.lex_state = 77, .external_lex_state = 53},
  [11725] = {.lex_state = 77, .external_lex_state = 32},
  [11726] = {.lex_state = 84, .external_lex_state = 29},
  [11727] = {.lex_state = 33},
  [11728] = {.lex_state = 77, .external_lex_state = 48},
  [11729] = {.lex_state = 32},
  [11730] = {.lex_state = 33},
  [11731] = {.lex_state = 32},
  [11732] = {.lex_state = 84, .external_lex_state = 29},
  [11733] = {.lex_state = 32},
  [11734] = {.lex_state = 77, .external_lex_state = 63},
  [11735] = {.lex_state = 76, .external_lex_state = 39},
  [11736] = {.lex_state = 77},
  [11737] = {.lex_state = 77, .external_lex_state = 60},
  [11738] = {.lex_state = 32},
  [11739] = {.lex_state = 32},
  [11740] = {.lex_state = 33},
  [11741] = {.lex_state = 77, .external_lex_state = 63},
  [11742] = {.lex_state = 33},
  [11743] = {.lex_state = 33},
  [11744] = {.lex_state = 33},
  [11745] = {.lex_state = 33},
  [11746] = {.lex_state = 32},
  [11747] = {.lex_state = 33},
  [11748] = {.lex_state = 33},
  [11749] = {.lex_state = 32},
  [11750] = {.lex_state = 76, .external_lex_state = 39},
  [11751] = {.lex_state = 33},
  [11752] = {.lex_state = 77, .external_lex_state = 61},
  [11753] = {.lex_state = 76, .external_lex_state = 39},
  [11754] = {.lex_state = 76, .external_lex_state = 39},
  [11755] = {.lex_state = 32},
  [11756] = {.lex_state = 33},
  [11757] = {.lex_state = 84, .external_lex_state = 37},
  [11758] = {.lex_state = 84, .external_lex_state = 29},
  [11759] = {.lex_state = 84, .external_lex_state = 29},
  [11760] = {.lex_state = 84, .external_lex_state = 29},
  [11761] = {.lex_state = 33},
  [11762] = {.lex_state = 33},
  [11763] = {.lex_state = 76, .external_lex_state = 55},
  [11764] = {.lex_state = 32},
  [11765] = {.lex_state = 33},
  [11766] = {.lex_state = 77, .external_lex_state = 62},
  [11767] = {.lex_state = 84, .external_lex_state = 29},
  [11768] = {.lex_state = 32},
  [11769] = {.lex_state = 77, .external_lex_state = 33},
  [11770] = {.lex_state = 33},
  [11771] = {.lex_state = 32},
  [11772] = {.lex_state = 27},
  [11773] = {.lex_state = 77, .external_lex_state = 40},
  [11774] = {.lex_state = 76, .external_lex_state = 39},
  [11775] = {.lex_state = 77, .external_lex_state = 60},
  [11776] = {.lex_state = 27},
  [11777] = {.lex_state = 77, .external_lex_state = 40},
  [11778] = {.lex_state = 84, .external_lex_state = 29},
  [11779] = {.lex_state = 77, .external_lex_state = 39},
  [11780] = {.lex_state = 77, .external_lex_state = 40},
  [11781] = {.lex_state = 77, .external_lex_state = 61},
  [11782] = {.lex_state = 32},
  [11783] = {.lex_state = 77, .external_lex_state = 32},
  [11784] = {.lex_state = 84, .external_lex_state = 29},
  [11785] = {.lex_state = 32},
  [11786] = {.lex_state = 76, .external_lex_state = 39},
  [11787] = {.lex_state = 76, .external_lex_state = 55},
  [11788] = {.lex_state = 77, .external_lex_state = 60},
  [11789] = {.lex_state = 84, .external_lex_state = 29},
  [11790] = {.lex_state = 77, .external_lex_state = 40},
  [11791] = {.lex_state = 76, .external_lex_state = 55},
  [11792] = {.lex_state = 27},
  [11793] = {.lex_state = 76, .external_lex_state = 55},
  [11794] = {.lex_state = 32},
  [11795] = {.lex_state = 32},
  [11796] = {.lex_state = 77, .external_lex_state = 40},
  [11797] = {.lex_state = 77, .external_lex_state = 54},
  [11798] = {.lex_state = 76, .external_lex_state = 39},
  [11799] = {.lex_state = 76, .external_lex_state = 23},
  [11800] = {.lex_state = 27},
  [11801] = {.lex_state = 76, .external_lex_state = 39},
  [11802] = {.lex_state = 47},
  [11803] = {.lex_state = 77, .external_lex_state = 62},
  [11804] = {.lex_state = 27},
  [11805] = {.lex_state = 27},
  [11806] = {.lex_state = 84, .external_lex_state = 29},
  [11807] = {.lex_state = 77, .external_lex_state = 62},
  [11808] = {.lex_state = 84, .external_lex_state = 29},
  [11809] = {.lex_state = 76, .external_lex_state = 55},
  [11810] = {.lex_state = 27},
  [11811] = {.lex_state = 27},
  [11812] = {.lex_state = 77, .external_lex_state = 33},
  [11813] = {.lex_state = 84, .external_lex_state = 29},
  [11814] = {.lex_state = 84, .external_lex_state = 29},
  [11815] = {.lex_state = 32},
  [11816] = {.lex_state = 27},
  [11817] = {.lex_state = 32},
  [11818] = {.lex_state = 76, .external_lex_state = 55},
  [11819] = {.lex_state = 84, .external_lex_state = 29},
  [11820] = {.lex_state = 84, .external_lex_state = 29},
  [11821] = {.lex_state = 33},
  [11822] = {.lex_state = 33},
  [11823] = {.lex_state = 77, .external_lex_state = 62},
  [11824] = {.lex_state = 77, .external_lex_state = 62},
  [11825] = {.lex_state = 84, .external_lex_state = 29},
  [11826] = {.lex_state = 77, .external_lex_state = 55},
  [11827] = {.lex_state = 32},
  [11828] = {.lex_state = 76, .external_lex_state = 55},
  [11829] = {.lex_state = 77, .external_lex_state = 32},
  [11830] = {.lex_state = 32},
  [11831] = {.lex_state = 84, .external_lex_state = 29},
  [11832] = {.lex_state = 32},
  [11833] = {.lex_state = 32},
  [11834] = {.lex_state = 76, .external_lex_state = 39},
  [11835] = {.lex_state = 77, .external_lex_state = 33},
  [11836] = {.lex_state = 32},
  [11837] = {.lex_state = 27},
  [11838] = {.lex_state = 77, .external_lex_state = 32},
  [11839] = {.lex_state = 77, .external_lex_state = 62},
  [11840] = {.lex_state = 77, .external_lex_state = 37},
  [11841] = {.lex_state = 90, .external_lex_state = 25},
  [11842] = {.lex_state = 77, .external_lex_state = 32},
  [11843] = {.lex_state = 77, .external_lex_state = 32},
  [11844] = {.lex_state = 77, .external_lex_state = 32},
  [11845] = {.lex_state = 77, .external_lex_state = 61},
  [11846] = {.lex_state = 84, .external_lex_state = 40},
  [11847] = {.lex_state = 76, .external_lex_state = 55},
  [11848] = {.lex_state = 84, .external_lex_state = 29},
  [11849] = {.lex_state = 32},
  [11850] = {.lex_state = 84, .external_lex_state = 29},
  [11851] = {.lex_state = 27},
  [11852] = {.lex_state = 77, .external_lex_state = 61},
  [11853] = {.lex_state = 77, .external_lex_state = 35},
  [11854] = {.lex_state = 32},
  [11855] = {.lex_state = 77, .external_lex_state = 60},
  [11856] = {.lex_state = 27},
  [11857] = {.lex_state = 27},
  [11858] = {.lex_state = 34},
  [11859] = {.lex_state = 33},
  [11860] = {.lex_state = 77, .external_lex_state = 32},
  [11861] = {.lex_state = 76, .external_lex_state = 39},
  [11862] = {.lex_state = 32},
  [11863] = {.lex_state = 27},
  [11864] = {.lex_state = 76, .external_lex_state = 39},
  [11865] = {.lex_state = 32},
  [11866] = {.lex_state = 76, .external_lex_state = 39},
  [11867] = {.lex_state = 32},
  [11868] = {.lex_state = 27},
  [11869] = {.lex_state = 27},
  [11870] = {.lex_state = 77, .external_lex_state = 32},
  [11871] = {.lex_state = 27},
  [11872] = {.lex_state = 32},
  [11873] = {.lex_state = 77, .external_lex_state = 62},
  [11874] = {.lex_state = 84, .external_lex_state = 32},
  [11875] = {.lex_state = 27},
  [11876] = {.lex_state = 27},
  [11877] = {.lex_state = 76, .external_lex_state = 39},
  [11878] = {.lex_state = 76, .external_lex_state = 39},
  [11879] = {.lex_state = 77, .external_lex_state = 63},
  [11880] = {.lex_state = 77, .external_lex_state = 62},
  [11881] = {.lex_state = 77, .external_lex_state = 35},
  [11882] = {.lex_state = 76, .external_lex_state = 39},
  [11883] = {.lex_state = 32},
  [11884] = {.lex_state = 77, .external_lex_state = 35},
  [11885] = {.lex_state = 77, .external_lex_state = 35},
  [11886] = {.lex_state = 77, .external_lex_state = 62},
  [11887] = {.lex_state = 27},
  [11888] = {.lex_state = 77, .external_lex_state = 35},
  [11889] = {.lex_state = 77, .external_lex_state = 63},
  [11890] = {.lex_state = 77, .external_lex_state = 32},
  [11891] = {.lex_state = 76, .external_lex_state = 55},
  [11892] = {.lex_state = 84, .external_lex_state = 29},
  [11893] = {.lex_state = 77, .external_lex_state = 35},
  [11894] = {.lex_state = 6},
  [11895] = {.lex_state = 77, .external_lex_state = 35},
  [11896] = {.lex_state = 77, .external_lex_state = 33},
  [11897] = {.lex_state = 77, .external_lex_state = 35},
  [11898] = {.lex_state = 76, .external_lex_state = 39},
  [11899] = {.lex_state = 77, .external_lex_state = 33},
  [11900] = {.lex_state = 27},
  [11901] = {.lex_state = 32},
  [11902] = {.lex_state = 33},
  [11903] = {.lex_state = 77, .external_lex_state = 35},
  [11904] = {.lex_state = 32},
  [11905] = {.lex_state = 27},
  [11906] = {.lex_state = 77, .external_lex_state = 35},
  [11907] = {.lex_state = 97},
  [11908] = {.lex_state = 77, .external_lex_state = 33},
  [11909] = {.lex_state = 77, .external_lex_state = 35},
  [11910] = {.lex_state = 77, .external_lex_state = 60},
  [11911] = {.lex_state = 77, .external_lex_state = 35},
  [11912] = {.lex_state = 27},
  [11913] = {.lex_state = 32},
  [11914] = {.lex_state = 84, .external_lex_state = 33},
  [11915] = {.lex_state = 27},
  [11916] = {.lex_state = 27},
  [11917] = {.lex_state = 27},
  [11918] = {.lex_state = 32},
  [11919] = {.lex_state = 84, .external_lex_state = 23},
  [11920] = {.lex_state = 27},
  [11921] = {.lex_state = 27},
  [11922] = {.lex_state = 77, .external_lex_state = 23},
  [11923] = {.lex_state = 77, .external_lex_state = 62},
  [11924] = {.lex_state = 77, .external_lex_state = 35},
  [11925] = {.lex_state = 33},
  [11926] = {.lex_state = 77, .external_lex_state = 51},
  [11927] = {.lex_state = 76, .external_lex_state = 55},
  [11928] = {.lex_state = 32},
  [11929] = {.lex_state = 77, .external_lex_state = 60},
  [11930] = {.lex_state = 76, .external_lex_state = 39},
  [11931] = {.lex_state = 97, .external_lex_state = 64},
  [11932] = {.lex_state = 27},
  [11933] = {.lex_state = 97, .external_lex_state = 64},
  [11934] = {.lex_state = 33},
  [11935] = {.lex_state = 33},
  [11936] = {.lex_state = 77, .external_lex_state = 39},
  [11937] = {.lex_state = 97, .external_lex_state = 64},
  [11938] = {.lex_state = 84, .external_lex_state = 29},
  [11939] = {.lex_state = 32},
  [11940] = {.lex_state = 33},
  [11941] = {.lex_state = 97, .external_lex_state = 64},
  [11942] = {.lex_state = 77, .external_lex_state = 60},
  [11943] = {.lex_state = 77, .external_lex_state = 32},
  [11944] = {.lex_state = 77, .external_lex_state = 33},
  [11945] = {.lex_state = 76, .external_lex_state = 39},
  [11946] = {.lex_state = 32},
  [11947] = {.lex_state = 97, .external_lex_state = 64},
  [11948] = {.lex_state = 97, .external_lex_state = 64},
  [11949] = {.lex_state = 77, .external_lex_state = 32},
  [11950] = {.lex_state = 77, .external_lex_state = 60},
  [11951] = {.lex_state = 77, .external_lex_state = 62},
  [11952] = {.lex_state = 97, .external_lex_state = 64},
  [11953] = {.lex_state = 77, .external_lex_state = 62},
  [11954] = {.lex_state = 84, .external_lex_state = 29},
  [11955] = {.lex_state = 77, .external_lex_state = 37},
  [11956] = {.lex_state = 77, .external_lex_state = 37},
  [11957] = {.lex_state = 76, .external_lex_state = 39},
  [11958] = {.lex_state = 97, .external_lex_state = 64},
  [11959] = {.lex_state = 32},
  [11960] = {.lex_state = 77, .external_lex_state = 55},
  [11961] = {.lex_state = 77, .external_lex_state = 33},
  [11962] = {.lex_state = 32},
  [11963] = {.lex_state = 32},
  [11964] = {.lex_state = 77, .external_lex_state = 40},
  [11965] = {.lex_state = 77, .external_lex_state = 33},
  [11966] = {.lex_state = 77, .external_lex_state = 33},
  [11967] = {.lex_state = 97, .external_lex_state = 64},
  [11968] = {.lex_state = 77, .external_lex_state = 40},
  [11969] = {.lex_state = 77, .external_lex_state = 33},
  [11970] = {.lex_state = 77, .external_lex_state = 33},
  [11971] = {.lex_state = 76, .external_lex_state = 39},
  [11972] = {.lex_state = 32},
  [11973] = {.lex_state = 33},
  [11974] = {.lex_state = 77, .external_lex_state = 32},
  [11975] = {.lex_state = 77, .external_lex_state = 60},
  [11976] = {.lex_state = 77, .external_lex_state = 32},
  [11977] = {.lex_state = 77, .external_lex_state = 40},
  [11978] = {.lex_state = 32},
  [11979] = {.lex_state = 77, .external_lex_state = 32},
  [11980] = {.lex_state = 77, .external_lex_state = 40},
  [11981] = {.lex_state = 32},
  [11982] = {.lex_state = 84, .external_lex_state = 29},
  [11983] = {.lex_state = 77, .external_lex_state = 40},
  [11984] = {.lex_state = 76, .external_lex_state = 39},
  [11985] = {.lex_state = 32},
  [11986] = {.lex_state = 77, .external_lex_state = 55},
  [11987] = {.lex_state = 76, .external_lex_state = 39},
  [11988] = {.lex_state = 77, .external_lex_state = 62},
  [11989] = {.lex_state = 77, .external_lex_state = 40},
  [11990] = {.lex_state = 77, .external_lex_state = 60},
  [11991] = {.lex_state = 32},
  [11992] = {.lex_state = 76, .external_lex_state = 39},
  [11993] = {.lex_state = 32},
  [11994] = {.lex_state = 32},
  [11995] = {.lex_state = 32},
  [11996] = {.lex_state = 77, .external_lex_state = 40},
  [11997] = {.lex_state = 77, .external_lex_state = 39},
  [11998] = {.lex_state = 84, .external_lex_state = 29},
  [11999] = {.lex_state = 32},
  [12000] = {.lex_state = 84, .external_lex_state = 29},
  [12001] = {.lex_state = 32},
  [12002] = {.lex_state = 84, .external_lex_state = 23},
  [12003] = {.lex_state = 32},
  [12004] = {.lex_state = 97, .external_lex_state = 64},
  [12005] = {.lex_state = 32},
  [12006] = {.lex_state = 32},
  [12007] = {.lex_state = 76, .external_lex_state = 39},
  [12008] = {.lex_state = 77, .external_lex_state = 32},
  [12009] = {.lex_state = 33},
  [12010] = {.lex_state = 32},
  [12011] = {.lex_state = 76, .external_lex_state = 39},
  [12012] = {.lex_state = 32},
  [12013] = {.lex_state = 77, .external_lex_state = 33},
  [12014] = {.lex_state = 32},
  [12015] = {.lex_state = 32},
  [12016] = {.lex_state = 32},
  [12017] = {.lex_state = 77, .external_lex_state = 40},
  [12018] = {.lex_state = 32},
  [12019] = {.lex_state = 77, .external_lex_state = 61},
  [12020] = {.lex_state = 32},
  [12021] = {.lex_state = 32},
  [12022] = {.lex_state = 32},
  [12023] = {.lex_state = 32},
  [12024] = {.lex_state = 32},
  [12025] = {.lex_state = 77, .external_lex_state = 60},
  [12026] = {.lex_state = 32},
  [12027] = {.lex_state = 32},
  [12028] = {.lex_state = 27},
  [12029] = {.lex_state = 32},
  [12030] = {.lex_state = 84, .external_lex_state = 29},
  [12031] = {.lex_state = 32},
  [12032] = {.lex_state = 32},
  [12033] = {.lex_state = 77, .external_lex_state = 62},
  [12034] = {.lex_state = 33},
  [12035] = {.lex_state = 32},
  [12036] = {.lex_state = 77, .external_lex_state = 32},
  [12037] = {.lex_state = 32},
  [12038] = {.lex_state = 32},
  [12039] = {.lex_state = 27},
  [12040] = {.lex_state = 32},
  [12041] = {.lex_state = 27},
  [12042] = {.lex_state = 76, .external_lex_state = 39},
  [12043] = {.lex_state = 33},
  [12044] = {.lex_state = 32},
  [12045] = {.lex_state = 77, .external_lex_state = 32},
  [12046] = {.lex_state = 84, .external_lex_state = 29},
  [12047] = {.lex_state = 77, .external_lex_state = 32},
  [12048] = {.lex_state = 32},
  [12049] = {.lex_state = 77, .external_lex_state = 33},
  [12050] = {.lex_state = 77, .external_lex_state = 33},
  [12051] = {.lex_state = 77, .external_lex_state = 60},
  [12052] = {.lex_state = 77, .external_lex_state = 33},
  [12053] = {.lex_state = 33},
  [12054] = {.lex_state = 84, .external_lex_state = 29},
  [12055] = {.lex_state = 77, .external_lex_state = 60},
  [12056] = {.lex_state = 76, .external_lex_state = 39},
  [12057] = {.lex_state = 33},
  [12058] = {.lex_state = 77, .external_lex_state = 62},
  [12059] = {.lex_state = 76, .external_lex_state = 39},
  [12060] = {.lex_state = 77, .external_lex_state = 33},
  [12061] = {.lex_state = 77, .external_lex_state = 33},
  [12062] = {.lex_state = 77, .external_lex_state = 33},
  [12063] = {.lex_state = 32},
  [12064] = {.lex_state = 77, .external_lex_state = 32},
  [12065] = {.lex_state = 32},
  [12066] = {.lex_state = 77, .external_lex_state = 60},
  [12067] = {.lex_state = 77, .external_lex_state = 37},
  [12068] = {.lex_state = 77, .external_lex_state = 33},
  [12069] = {.lex_state = 32},
  [12070] = {.lex_state = 77, .external_lex_state = 61},
  [12071] = {.lex_state = 32},
  [12072] = {.lex_state = 77, .external_lex_state = 60},
  [12073] = {.lex_state = 77, .external_lex_state = 32},
  [12074] = {.lex_state = 77, .external_lex_state = 62},
  [12075] = {.lex_state = 32},
  [12076] = {.lex_state = 33},
  [12077] = {.lex_state = 77, .external_lex_state = 33},
  [12078] = {.lex_state = 90},
  [12079] = {.lex_state = 76},
  [12080] = {.lex_state = 32},
  [12081] = {.lex_state = 84, .external_lex_state = 33},
  [12082] = {.lex_state = 77, .external_lex_state = 23},
  [12083] = {.lex_state = 84, .external_lex_state = 32},
  [12084] = {.lex_state = 32},
  [12085] = {.lex_state = 77, .external_lex_state = 35},
  [12086] = {.lex_state = 91},
  [12087] = {.lex_state = 84, .external_lex_state = 32},
  [12088] = {.lex_state = 77, .external_lex_state = 35},
  [12089] = {.lex_state = 91},
  [12090] = {.lex_state = 32},
  [12091] = {.lex_state = 32},
  [12092] = {.lex_state = 91},
  [12093] = {.lex_state = 32},
  [12094] = {.lex_state = 77, .external_lex_state = 60},
  [12095] = {.lex_state = 32},
  [12096] = {.lex_state = 32},
  [12097] = {.lex_state = 77, .external_lex_state = 23},
  [12098] = {.lex_state = 32},
  [12099] = {.lex_state = 90},
  [12100] = {.lex_state = 77, .external_lex_state = 35},
  [12101] = {.lex_state = 90},
  [12102] = {.lex_state = 77, .external_lex_state = 61},
  [12103] = {.lex_state = 90},
  [12104] = {.lex_state = 32},
  [12105] = {.lex_state = 77, .external_lex_state = 61},
  [12106] = {.lex_state = 32},
  [12107] = {.lex_state = 32},
  [12108] = {.lex_state = 84, .external_lex_state = 32},
  [12109] = {.lex_state = 77, .external_lex_state = 61},
  [12110] = {.lex_state = 84, .external_lex_state = 46},
  [12111] = {.lex_state = 77, .external_lex_state = 63},
  [12112] = {.lex_state = 77, .external_lex_state = 23},
  [12113] = {.lex_state = 77, .external_lex_state = 23},
  [12114] = {.lex_state = 84, .external_lex_state = 33},
  [12115] = {.lex_state = 77, .external_lex_state = 55},
  [12116] = {.lex_state = 77, .external_lex_state = 23},
  [12117] = {.lex_state = 47},
  [12118] = {.lex_state = 77, .external_lex_state = 23},
  [12119] = {.lex_state = 32},
  [12120] = {.lex_state = 91},
  [12121] = {.lex_state = 77, .external_lex_state = 61},
  [12122] = {.lex_state = 84, .external_lex_state = 32},
  [12123] = {.lex_state = 32},
  [12124] = {.lex_state = 84, .external_lex_state = 33},
  [12125] = {.lex_state = 84, .external_lex_state = 33},
  [12126] = {.lex_state = 77, .external_lex_state = 35},
  [12127] = {.lex_state = 77, .external_lex_state = 61},
  [12128] = {.lex_state = 84, .external_lex_state = 32},
  [12129] = {.lex_state = 77, .external_lex_state = 63},
  [12130] = {.lex_state = 32},
  [12131] = {.lex_state = 84, .external_lex_state = 35},
  [12132] = {.lex_state = 91},
  [12133] = {.lex_state = 77, .external_lex_state = 63},
  [12134] = {.lex_state = 84, .external_lex_state = 46},
  [12135] = {.lex_state = 84, .external_lex_state = 32},
  [12136] = {.lex_state = 84, .external_lex_state = 32},
  [12137] = {.lex_state = 77, .external_lex_state = 43},
  [12138] = {.lex_state = 32},
  [12139] = {.lex_state = 77, .external_lex_state = 63},
  [12140] = {.lex_state = 84, .external_lex_state = 32},
  [12141] = {.lex_state = 32},
  [12142] = {.lex_state = 32},
  [12143] = {.lex_state = 32},
  [12144] = {.lex_state = 77, .external_lex_state = 43},
  [12145] = {.lex_state = 32},
  [12146] = {.lex_state = 32},
  [12147] = {.lex_state = 32},
  [12148] = {.lex_state = 77, .external_lex_state = 63},
  [12149] = {.lex_state = 84, .external_lex_state = 32},
  [12150] = {.lex_state = 84, .external_lex_state = 32},
  [12151] = {.lex_state = 84, .external_lex_state = 32},
  [12152] = {.lex_state = 32},
  [12153] = {.lex_state = 32},
  [12154] = {.lex_state = 32},
  [12155] = {.lex_state = 32},
  [12156] = {.lex_state = 84, .external_lex_state = 23},
  [12157] = {.lex_state = 32},
  [12158] = {.lex_state = 84, .external_lex_state = 33},
  [12159] = {.lex_state = 76, .external_lex_state = 55},
  [12160] = {.lex_state = 91},
  [12161] = {.lex_state = 84, .external_lex_state = 32},
  [12162] = {.lex_state = 84, .external_lex_state = 32},
  [12163] = {.lex_state = 32},
  [12164] = {.lex_state = 32},
  [12165] = {.lex_state = 84, .external_lex_state = 32},
  [12166] = {.lex_state = 84, .external_lex_state = 32},
  [12167] = {.lex_state = 32},
  [12168] = {.lex_state = 90},
  [12169] = {.lex_state = 32},
  [12170] = {.lex_state = 77, .external_lex_state = 46},
  [12171] = {.lex_state = 77, .external_lex_state = 46},
  [12172] = {.lex_state = 77, .external_lex_state = 35},
  [12173] = {.lex_state = 77, .external_lex_state = 40},
  [12174] = {.lex_state = 32},
  [12175] = {.lex_state = 32},
  [12176] = {.lex_state = 77, .external_lex_state = 35},
  [12177] = {.lex_state = 32},
  [12178] = {.lex_state = 77, .external_lex_state = 60},
  [12179] = {.lex_state = 77, .external_lex_state = 60},
  [12180] = {.lex_state = 77, .external_lex_state = 57},
  [12181] = {.lex_state = 32},
  [12182] = {.lex_state = 77, .external_lex_state = 63},
  [12183] = {.lex_state = 32},
  [12184] = {.lex_state = 76, .external_lex_state = 55},
  [12185] = {.lex_state = 76, .external_lex_state = 55},
  [12186] = {.lex_state = 91},
  [12187] = {.lex_state = 91},
  [12188] = {.lex_state = 77, .external_lex_state = 63},
  [12189] = {.lex_state = 32},
  [12190] = {.lex_state = 77, .external_lex_state = 63},
  [12191] = {.lex_state = 77, .external_lex_state = 61},
  [12192] = {.lex_state = 77, .external_lex_state = 65},
  [12193] = {.lex_state = 32},
  [12194] = {.lex_state = 84, .external_lex_state = 33},
  [12195] = {.lex_state = 91},
  [12196] = {.lex_state = 84, .external_lex_state = 32},
  [12197] = {.lex_state = 77, .external_lex_state = 35},
  [12198] = {.lex_state = 91},
  [12199] = {.lex_state = 32},
  [12200] = {.lex_state = 32},
  [12201] = {.lex_state = 84, .external_lex_state = 33},
  [12202] = {.lex_state = 76, .external_lex_state = 55},
  [12203] = {.lex_state = 32},
  [12204] = {.lex_state = 91},
  [12205] = {.lex_state = 32},
  [12206] = {.lex_state = 77, .external_lex_state = 35},
  [12207] = {.lex_state = 77, .external_lex_state = 35},
  [12208] = {.lex_state = 91},
  [12209] = {.lex_state = 77, .external_lex_state = 63},
  [12210] = {.lex_state = 32},
  [12211] = {.lex_state = 77, .external_lex_state = 63},
  [12212] = {.lex_state = 84, .external_lex_state = 33},
  [12213] = {.lex_state = 32},
  [12214] = {.lex_state = 77, .external_lex_state = 35},
  [12215] = {.lex_state = 76, .external_lex_state = 55},
  [12216] = {.lex_state = 32},
  [12217] = {.lex_state = 77, .external_lex_state = 35},
  [12218] = {.lex_state = 32},
  [12219] = {.lex_state = 47},
  [12220] = {.lex_state = 32},
  [12221] = {.lex_state = 32},
  [12222] = {.lex_state = 32},
  [12223] = {.lex_state = 76},
  [12224] = {.lex_state = 76, .external_lex_state = 24},
  [12225] = {.lex_state = 77, .external_lex_state = 37},
  [12226] = {.lex_state = 47},
  [12227] = {.lex_state = 77, .external_lex_state = 35},
  [12228] = {.lex_state = 77, .external_lex_state = 35},
  [12229] = {.lex_state = 77, .external_lex_state = 35},
  [12230] = {.lex_state = 32},
  [12231] = {.lex_state = 77, .external_lex_state = 39},
  [12232] = {.lex_state = 47},
  [12233] = {.lex_state = 47},
  [12234] = {.lex_state = 77, .external_lex_state = 60},
  [12235] = {.lex_state = 91},
  [12236] = {.lex_state = 32},
  [12237] = {.lex_state = 84, .external_lex_state = 33},
  [12238] = {.lex_state = 77, .external_lex_state = 37},
  [12239] = {.lex_state = 32},
  [12240] = {.lex_state = 84, .external_lex_state = 33},
  [12241] = {.lex_state = 77, .external_lex_state = 40},
  [12242] = {.lex_state = 84, .external_lex_state = 32},
  [12243] = {.lex_state = 76},
  [12244] = {.lex_state = 32},
  [12245] = {.lex_state = 84, .external_lex_state = 40},
  [12246] = {.lex_state = 77, .external_lex_state = 37},
  [12247] = {.lex_state = 84, .external_lex_state = 32},
  [12248] = {.lex_state = 77, .external_lex_state = 37},
  [12249] = {.lex_state = 76, .external_lex_state = 55},
  [12250] = {.lex_state = 77, .external_lex_state = 37},
  [12251] = {.lex_state = 77, .external_lex_state = 37},
  [12252] = {.lex_state = 77, .external_lex_state = 63},
  [12253] = {.lex_state = 84, .external_lex_state = 32},
  [12254] = {.lex_state = 84, .external_lex_state = 33},
  [12255] = {.lex_state = 76, .external_lex_state = 55},
  [12256] = {.lex_state = 84, .external_lex_state = 33},
  [12257] = {.lex_state = 77, .external_lex_state = 40},
  [12258] = {.lex_state = 32},
  [12259] = {.lex_state = 77, .external_lex_state = 37},
  [12260] = {.lex_state = 77, .external_lex_state = 61},
  [12261] = {.lex_state = 77, .external_lex_state = 37},
  [12262] = {.lex_state = 77, .external_lex_state = 37},
  [12263] = {.lex_state = 77, .external_lex_state = 63},
  [12264] = {.lex_state = 32},
  [12265] = {.lex_state = 77, .external_lex_state = 40},
  [12266] = {.lex_state = 77, .external_lex_state = 58},
  [12267] = {.lex_state = 91},
  [12268] = {.lex_state = 47},
  [12269] = {.lex_state = 32},
  [12270] = {.lex_state = 76, .external_lex_state = 55},
  [12271] = {.lex_state = 90},
  [12272] = {.lex_state = 32},
  [12273] = {.lex_state = 32},
  [12274] = {.lex_state = 91},
  [12275] = {.lex_state = 76, .external_lex_state = 55},
  [12276] = {.lex_state = 76, .external_lex_state = 55},
  [12277] = {.lex_state = 90},
  [12278] = {.lex_state = 32},
  [12279] = {.lex_state = 77, .external_lex_state = 35},
  [12280] = {.lex_state = 32},
  [12281] = {.lex_state = 90},
  [12282] = {.lex_state = 32},
  [12283] = {.lex_state = 32},
  [12284] = {.lex_state = 32},
  [12285] = {.lex_state = 77, .external_lex_state = 40},
  [12286] = {.lex_state = 32},
  [12287] = {.lex_state = 32},
  [12288] = {.lex_state = 47},
  [12289] = {.lex_state = 32},
  [12290] = {.lex_state = 90},
  [12291] = {.lex_state = 32},
  [12292] = {.lex_state = 77, .external_lex_state = 61},
  [12293] = {.lex_state = 32},
  [12294] = {.lex_state = 84, .external_lex_state = 33},
  [12295] = {.lex_state = 90},
  [12296] = {.lex_state = 32},
  [12297] = {.lex_state = 47},
  [12298] = {.lex_state = 84, .external_lex_state = 33},
  [12299] = {.lex_state = 77, .external_lex_state = 63},
  [12300] = {.lex_state = 77, .external_lex_state = 23},
  [12301] = {.lex_state = 84, .external_lex_state = 32},
  [12302] = {.lex_state = 84, .external_lex_state = 32},
  [12303] = {.lex_state = 32},
  [12304] = {.lex_state = 84, .external_lex_state = 32},
  [12305] = {.lex_state = 32},
  [12306] = {.lex_state = 77, .external_lex_state = 63},
  [12307] = {.lex_state = 32},
  [12308] = {.lex_state = 32},
  [12309] = {.lex_state = 32},
  [12310] = {.lex_state = 84, .external_lex_state = 32},
  [12311] = {.lex_state = 76, .external_lex_state = 55},
  [12312] = {.lex_state = 47},
  [12313] = {.lex_state = 91},
  [12314] = {.lex_state = 84, .external_lex_state = 33},
  [12315] = {.lex_state = 32},
  [12316] = {.lex_state = 32},
  [12317] = {.lex_state = 77, .external_lex_state = 23},
  [12318] = {.lex_state = 32},
  [12319] = {.lex_state = 32},
  [12320] = {.lex_state = 84, .external_lex_state = 32},
  [12321] = {.lex_state = 76, .external_lex_state = 55},
  [12322] = {.lex_state = 91},
  [12323] = {.lex_state = 77, .external_lex_state = 40},
  [12324] = {.lex_state = 91},
  [12325] = {.lex_state = 91},
  [12326] = {.lex_state = 32},
  [12327] = {.lex_state = 32},
  [12328] = {.lex_state = 32},
  [12329] = {.lex_state = 32},
  [12330] = {.lex_state = 77, .external_lex_state = 40},
  [12331] = {.lex_state = 84, .external_lex_state = 33},
  [12332] = {.lex_state = 76},
  [12333] = {.lex_state = 84, .external_lex_state = 32},
  [12334] = {.lex_state = 84, .external_lex_state = 43},
  [12335] = {.lex_state = 32},
  [12336] = {.lex_state = 76, .external_lex_state = 24},
  [12337] = {.lex_state = 32},
  [12338] = {.lex_state = 84, .external_lex_state = 33},
  [12339] = {.lex_state = 32},
  [12340] = {.lex_state = 77, .external_lex_state = 37},
  [12341] = {.lex_state = 84, .external_lex_state = 43},
  [12342] = {.lex_state = 32},
  [12343] = {.lex_state = 91},
  [12344] = {.lex_state = 77, .external_lex_state = 63},
  [12345] = {.lex_state = 32},
  [12346] = {.lex_state = 84, .external_lex_state = 33},
  [12347] = {.lex_state = 84, .external_lex_state = 33},
  [12348] = {.lex_state = 84, .external_lex_state = 33},
  [12349] = {.lex_state = 91},
  [12350] = {.lex_state = 77, .external_lex_state = 40},
  [12351] = {.lex_state = 32},
  [12352] = {.lex_state = 77, .external_lex_state = 37},
  [12353] = {.lex_state = 77, .external_lex_state = 37},
  [12354] = {.lex_state = 77, .external_lex_state = 37},
  [12355] = {.lex_state = 77, .external_lex_state = 43},
  [12356] = {.lex_state = 76},
  [12357] = {.lex_state = 77, .external_lex_state = 55},
  [12358] = {.lex_state = 32},
  [12359] = {.lex_state = 77, .external_lex_state = 46},
  [12360] = {.lex_state = 91},
  [12361] = {.lex_state = 32},
  [12362] = {.lex_state = 32},
  [12363] = {.lex_state = 77, .external_lex_state = 61},
  [12364] = {.lex_state = 32},
  [12365] = {.lex_state = 32},
  [12366] = {.lex_state = 76},
  [12367] = {.lex_state = 84, .external_lex_state = 33},
  [12368] = {.lex_state = 32},
  [12369] = {.lex_state = 91},
  [12370] = {.lex_state = 32},
  [12371] = {.lex_state = 76, .external_lex_state = 55},
  [12372] = {.lex_state = 32},
  [12373] = {.lex_state = 76},
  [12374] = {.lex_state = 91},
  [12375] = {.lex_state = 32},
  [12376] = {.lex_state = 32},
  [12377] = {.lex_state = 32},
  [12378] = {.lex_state = 84, .external_lex_state = 32},
  [12379] = {.lex_state = 32},
  [12380] = {.lex_state = 77, .external_lex_state = 40},
  [12381] = {.lex_state = 32},
  [12382] = {.lex_state = 32},
  [12383] = {.lex_state = 91},
  [12384] = {.lex_state = 91},
  [12385] = {.lex_state = 77, .external_lex_state = 40},
  [12386] = {.lex_state = 77, .external_lex_state = 40},
  [12387] = {.lex_state = 77, .external_lex_state = 40},
  [12388] = {.lex_state = 32},
  [12389] = {.lex_state = 77, .external_lex_state = 35},
  [12390] = {.lex_state = 32},
  [12391] = {.lex_state = 32},
  [12392] = {.lex_state = 84, .external_lex_state = 32},
  [12393] = {.lex_state = 32},
  [12394] = {.lex_state = 76},
  [12395] = {.lex_state = 32},
  [12396] = {.lex_state = 32},
  [12397] = {.lex_state = 76},
  [12398] = {.lex_state = 84, .external_lex_state = 33},
  [12399] = {.lex_state = 32},
  [12400] = {.lex_state = 77, .external_lex_state = 61},
  [12401] = {.lex_state = 91},
  [12402] = {.lex_state = 32},
  [12403] = {.lex_state = 77, .external_lex_state = 40},
  [12404] = {.lex_state = 76, .external_lex_state = 55},
  [12405] = {.lex_state = 84, .external_lex_state = 33},
  [12406] = {.lex_state = 32},
  [12407] = {.lex_state = 90},
  [12408] = {.lex_state = 76, .external_lex_state = 55},
  [12409] = {.lex_state = 91},
  [12410] = {.lex_state = 32},
  [12411] = {.lex_state = 91},
  [12412] = {.lex_state = 91},
  [12413] = {.lex_state = 32},
  [12414] = {.lex_state = 91},
  [12415] = {.lex_state = 76},
  [12416] = {.lex_state = 32},
  [12417] = {.lex_state = 77, .external_lex_state = 23},
  [12418] = {.lex_state = 77, .external_lex_state = 40},
  [12419] = {.lex_state = 76, .external_lex_state = 55},
  [12420] = {.lex_state = 77, .external_lex_state = 24},
  [12421] = {.lex_state = 32},
  [12422] = {.lex_state = 77, .external_lex_state = 35},
  [12423] = {.lex_state = 77, .external_lex_state = 40},
  [12424] = {.lex_state = 77, .external_lex_state = 40},
  [12425] = {.lex_state = 76},
  [12426] = {.lex_state = 32},
  [12427] = {.lex_state = 77, .external_lex_state = 40},
  [12428] = {.lex_state = 32},
  [12429] = {.lex_state = 77, .external_lex_state = 39},
  [12430] = {.lex_state = 77, .external_lex_state = 56},
  [12431] = {.lex_state = 84, .external_lex_state = 33},
  [12432] = {.lex_state = 32},
  [12433] = {.lex_state = 84, .external_lex_state = 33},
  [12434] = {.lex_state = 84, .external_lex_state = 32},
  [12435] = {.lex_state = 76},
  [12436] = {.lex_state = 84, .external_lex_state = 37},
  [12437] = {.lex_state = 77, .external_lex_state = 61},
  [12438] = {.lex_state = 32},
  [12439] = {.lex_state = 32},
  [12440] = {.lex_state = 84, .external_lex_state = 32},
  [12441] = {.lex_state = 32},
  [12442] = {.lex_state = 77, .external_lex_state = 43},
  [12443] = {.lex_state = 76},
  [12444] = {.lex_state = 32},
  [12445] = {.lex_state = 32},
  [12446] = {.lex_state = 76},
  [12447] = {.lex_state = 91},
  [12448] = {.lex_state = 76},
  [12449] = {.lex_state = 32},
  [12450] = {.lex_state = 32},
  [12451] = {.lex_state = 32},
  [12452] = {.lex_state = 76, .external_lex_state = 55},
  [12453] = {.lex_state = 77, .external_lex_state = 40},
  [12454] = {.lex_state = 32},
  [12455] = {.lex_state = 84, .external_lex_state = 33},
  [12456] = {.lex_state = 32},
  [12457] = {.lex_state = 32},
  [12458] = {.lex_state = 76},
  [12459] = {.lex_state = 76},
  [12460] = {.lex_state = 77, .external_lex_state = 40},
  [12461] = {.lex_state = 32},
  [12462] = {.lex_state = 77, .external_lex_state = 65},
  [12463] = {.lex_state = 77, .external_lex_state = 23},
  [12464] = {.lex_state = 76},
  [12465] = {.lex_state = 84, .external_lex_state = 33},
  [12466] = {.lex_state = 32},
  [12467] = {.lex_state = 77, .external_lex_state = 40},
  [12468] = {.lex_state = 32},
  [12469] = {.lex_state = 32},
  [12470] = {.lex_state = 77, .external_lex_state = 66},
  [12471] = {.lex_state = 76},
  [12472] = {.lex_state = 91},
  [12473] = {.lex_state = 32},
  [12474] = {.lex_state = 77, .external_lex_state = 40},
  [12475] = {.lex_state = 32},
  [12476] = {.lex_state = 32},
  [12477] = {.lex_state = 90},
  [12478] = {.lex_state = 77, .external_lex_state = 35},
  [12479] = {.lex_state = 32},
  [12480] = {.lex_state = 77, .external_lex_state = 35},
  [12481] = {.lex_state = 32},
  [12482] = {.lex_state = 32},
  [12483] = {.lex_state = 84, .external_lex_state = 33},
  [12484] = {.lex_state = 32},
  [12485] = {.lex_state = 84, .external_lex_state = 33},
  [12486] = {.lex_state = 90},
  [12487] = {.lex_state = 77, .external_lex_state = 61},
  [12488] = {.lex_state = 77, .external_lex_state = 46},
  [12489] = {.lex_state = 77, .external_lex_state = 23},
  [12490] = {.lex_state = 91},
  [12491] = {.lex_state = 32},
  [12492] = {.lex_state = 91},
  [12493] = {.lex_state = 32},
  [12494] = {.lex_state = 32},
  [12495] = {.lex_state = 91},
  [12496] = {.lex_state = 32},
  [12497] = {.lex_state = 32},
  [12498] = {.lex_state = 77, .external_lex_state = 63},
  [12499] = {.lex_state = 90},
  [12500] = {.lex_state = 77, .external_lex_state = 62},
  [12501] = {.lex_state = 77, .external_lex_state = 61},
  [12502] = {.lex_state = 91},
  [12503] = {.lex_state = 91},
  [12504] = {.lex_state = 77, .external_lex_state = 60},
  [12505] = {.lex_state = 91},
  [12506] = {.lex_state = 32},
  [12507] = {.lex_state = 91},
  [12508] = {.lex_state = 32},
  [12509] = {.lex_state = 91},
  [12510] = {.lex_state = 77, .external_lex_state = 35},
  [12511] = {.lex_state = 84, .external_lex_state = 32},
  [12512] = {.lex_state = 77, .external_lex_state = 61},
  [12513] = {.lex_state = 91},
  [12514] = {.lex_state = 91},
  [12515] = {.lex_state = 90},
  [12516] = {.lex_state = 32},
  [12517] = {.lex_state = 77, .external_lex_state = 61},
  [12518] = {.lex_state = 77, .external_lex_state = 35},
  [12519] = {.lex_state = 32},
  [12520] = {.lex_state = 84, .external_lex_state = 33},
  [12521] = {.lex_state = 77, .external_lex_state = 66},
  [12522] = {.lex_state = 32},
  [12523] = {.lex_state = 32},
  [12524] = {.lex_state = 77, .external_lex_state = 63},
  [12525] = {.lex_state = 32},
  [12526] = {.lex_state = 32},
  [12527] = {.lex_state = 32},
  [12528] = {.lex_state = 84, .external_lex_state = 48},
  [12529] = {.lex_state = 32},
  [12530] = {.lex_state = 84},
  [12531] = {.lex_state = 84},
  [12532] = {.lex_state = 77, .external_lex_state = 61},
  [12533] = {.lex_state = 84, .external_lex_state = 54},
  [12534] = {.lex_state = 84, .external_lex_state = 48},
  [12535] = {.lex_state = 32},
  [12536] = {.lex_state = 84},
  [12537] = {.lex_state = 32},
  [12538] = {.lex_state = 77, .external_lex_state = 37},
  [12539] = {.lex_state = 77, .external_lex_state = 62},
  [12540] = {.lex_state = 32},
  [12541] = {.lex_state = 32},
  [12542] = {.lex_state = 32},
  [12543] = {.lex_state = 32},
  [12544] = {.lex_state = 32},
  [12545] = {.lex_state = 32},
  [12546] = {.lex_state = 77, .external_lex_state = 60},
  [12547] = {.lex_state = 77, .external_lex_state = 60},
  [12548] = {.lex_state = 77, .external_lex_state = 60},
  [12549] = {.lex_state = 32},
  [12550] = {.lex_state = 77, .external_lex_state = 60},
  [12551] = {.lex_state = 84, .external_lex_state = 54},
  [12552] = {.lex_state = 32},
  [12553] = {.lex_state = 32},
  [12554] = {.lex_state = 32},
  [12555] = {.lex_state = 32},
  [12556] = {.lex_state = 32},
  [12557] = {.lex_state = 77, .external_lex_state = 61},
  [12558] = {.lex_state = 77, .external_lex_state = 61},
  [12559] = {.lex_state = 32},
  [12560] = {.lex_state = 32},
  [12561] = {.lex_state = 32},
  [12562] = {.lex_state = 77, .external_lex_state = 43},
  [12563] = {.lex_state = 32},
  [12564] = {.lex_state = 32},
  [12565] = {.lex_state = 77, .external_lex_state = 37},
  [12566] = {.lex_state = 32},
  [12567] = {.lex_state = 32},
  [12568] = {.lex_state = 32},
  [12569] = {.lex_state = 32},
  [12570] = {.lex_state = 77, .external_lex_state = 60},
  [12571] = {.lex_state = 77, .external_lex_state = 37},
  [12572] = {.lex_state = 77, .external_lex_state = 46},
  [12573] = {.lex_state = 84},
  [12574] = {.lex_state = 77, .external_lex_state = 37},
  [12575] = {.lex_state = 77, .external_lex_state = 46},
  [12576] = {.lex_state = 77, .external_lex_state = 37},
  [12577] = {.lex_state = 77, .external_lex_state = 46},
  [12578] = {.lex_state = 84},
  [12579] = {.lex_state = 77, .external_lex_state = 46},
  [12580] = {.lex_state = 77, .external_lex_state = 46},
  [12581] = {.lex_state = 77, .external_lex_state = 46},
  [12582] = {.lex_state = 77, .external_lex_state = 46},
  [12583] = {.lex_state = 84},
  [12584] = {.lex_state = 32},
  [12585] = {.lex_state = 77, .external_lex_state = 46},
  [12586] = {.lex_state = 84},
  [12587] = {.lex_state = 84},
  [12588] = {.lex_state = 77, .external_lex_state = 43},
  [12589] = {.lex_state = 32},
  [12590] = {.lex_state = 77, .external_lex_state = 43},
  [12591] = {.lex_state = 77, .external_lex_state = 43},
  [12592] = {.lex_state = 77, .external_lex_state = 43},
  [12593] = {.lex_state = 77, .external_lex_state = 37},
  [12594] = {.lex_state = 77, .external_lex_state = 43},
  [12595] = {.lex_state = 77, .external_lex_state = 43},
  [12596] = {.lex_state = 77, .external_lex_state = 43},
  [12597] = {.lex_state = 77, .external_lex_state = 37},
  [12598] = {.lex_state = 84, .external_lex_state = 51},
  [12599] = {.lex_state = 32},
  [12600] = {.lex_state = 84, .external_lex_state = 40},
  [12601] = {.lex_state = 77, .external_lex_state = 48},
  [12602] = {.lex_state = 77, .external_lex_state = 37},
  [12603] = {.lex_state = 84, .external_lex_state = 51},
  [12604] = {.lex_state = 84, .external_lex_state = 35},
  [12605] = {.lex_state = 32},
  [12606] = {.lex_state = 77, .external_lex_state = 67},
  [12607] = {.lex_state = 77, .external_lex_state = 37},
  [12608] = {.lex_state = 32},
  [12609] = {.lex_state = 32},
  [12610] = {.lex_state = 32},
  [12611] = {.lex_state = 32},
  [12612] = {.lex_state = 32},
  [12613] = {.lex_state = 84},
  [12614] = {.lex_state = 84, .external_lex_state = 53},
  [12615] = {.lex_state = 32},
  [12616] = {.lex_state = 32},
  [12617] = {.lex_state = 77, .external_lex_state = 67},
  [12618] = {.lex_state = 32},
  [12619] = {.lex_state = 84},
  [12620] = {.lex_state = 32},
  [12621] = {.lex_state = 84, .external_lex_state = 53},
  [12622] = {.lex_state = 32},
  [12623] = {.lex_state = 77, .external_lex_state = 60},
  [12624] = {.lex_state = 32},
  [12625] = {.lex_state = 32},
  [12626] = {.lex_state = 32},
  [12627] = {.lex_state = 32},
  [12628] = {.lex_state = 32},
  [12629] = {.lex_state = 32},
  [12630] = {.lex_state = 77, .external_lex_state = 61},
  [12631] = {.lex_state = 32},
  [12632] = {.lex_state = 77, .external_lex_state = 48},
  [12633] = {.lex_state = 32},
  [12634] = {.lex_state = 77, .external_lex_state = 60},
  [12635] = {.lex_state = 32},
  [12636] = {.lex_state = 32},
  [12637] = {.lex_state = 32},
  [12638] = {.lex_state = 84},
  [12639] = {.lex_state = 32},
  [12640] = {.lex_state = 84},
  [12641] = {.lex_state = 32},
  [12642] = {.lex_state = 77, .external_lex_state = 43},
  [12643] = {.lex_state = 32},
  [12644] = {.lex_state = 84},
  [12645] = {.lex_state = 32},
  [12646] = {.lex_state = 77, .external_lex_state = 54},
  [12647] = {.lex_state = 84},
  [12648] = {.lex_state = 32},
  [12649] = {.lex_state = 84, .external_lex_state = 37},
  [12650] = {.lex_state = 32},
  [12651] = {.lex_state = 32},
  [12652] = {.lex_state = 84},
  [12653] = {.lex_state = 32},
  [12654] = {.lex_state = 76, .external_lex_state = 39},
  [12655] = {.lex_state = 77, .external_lex_state = 43},
  [12656] = {.lex_state = 32},
  [12657] = {.lex_state = 32},
  [12658] = {.lex_state = 32},
  [12659] = {.lex_state = 84},
  [12660] = {.lex_state = 84},
  [12661] = {.lex_state = 84, .external_lex_state = 35},
  [12662] = {.lex_state = 77, .external_lex_state = 60},
  [12663] = {.lex_state = 77, .external_lex_state = 60},
  [12664] = {.lex_state = 32},
  [12665] = {.lex_state = 77, .external_lex_state = 60},
  [12666] = {.lex_state = 32},
  [12667] = {.lex_state = 84, .external_lex_state = 68},
  [12668] = {.lex_state = 32},
  [12669] = {.lex_state = 84, .external_lex_state = 40},
  [12670] = {.lex_state = 84, .external_lex_state = 35},
  [12671] = {.lex_state = 84, .external_lex_state = 35},
  [12672] = {.lex_state = 84, .external_lex_state = 35},
  [12673] = {.lex_state = 32},
  [12674] = {.lex_state = 32},
  [12675] = {.lex_state = 32},
  [12676] = {.lex_state = 84},
  [12677] = {.lex_state = 84},
  [12678] = {.lex_state = 77, .external_lex_state = 60},
  [12679] = {.lex_state = 84},
  [12680] = {.lex_state = 32},
  [12681] = {.lex_state = 32},
  [12682] = {.lex_state = 77, .external_lex_state = 65},
  [12683] = {.lex_state = 84, .external_lex_state = 40},
  [12684] = {.lex_state = 84, .external_lex_state = 35},
  [12685] = {.lex_state = 84, .external_lex_state = 40},
  [12686] = {.lex_state = 84, .external_lex_state = 40},
  [12687] = {.lex_state = 32},
  [12688] = {.lex_state = 32},
  [12689] = {.lex_state = 77, .external_lex_state = 54},
  [12690] = {.lex_state = 32},
  [12691] = {.lex_state = 84, .external_lex_state = 40},
  [12692] = {.lex_state = 32},
  [12693] = {.lex_state = 84},
  [12694] = {.lex_state = 84},
  [12695] = {.lex_state = 32},
  [12696] = {.lex_state = 84, .external_lex_state = 40},
  [12697] = {.lex_state = 32},
  [12698] = {.lex_state = 32},
  [12699] = {.lex_state = 32},
  [12700] = {.lex_state = 32},
  [12701] = {.lex_state = 32},
  [12702] = {.lex_state = 32},
  [12703] = {.lex_state = 77, .external_lex_state = 54},
  [12704] = {.lex_state = 84, .external_lex_state = 40},
  [12705] = {.lex_state = 32},
  [12706] = {.lex_state = 84, .external_lex_state = 35},
  [12707] = {.lex_state = 77, .external_lex_state = 46},
  [12708] = {.lex_state = 77, .external_lex_state = 46},
  [12709] = {.lex_state = 32},
  [12710] = {.lex_state = 32},
  [12711] = {.lex_state = 84, .external_lex_state = 40},
  [12712] = {.lex_state = 77, .external_lex_state = 46},
  [12713] = {.lex_state = 32},
  [12714] = {.lex_state = 77, .external_lex_state = 37},
  [12715] = {.lex_state = 32},
  [12716] = {.lex_state = 77, .external_lex_state = 46},
  [12717] = {.lex_state = 32},
  [12718] = {.lex_state = 77, .external_lex_state = 60},
  [12719] = {.lex_state = 84, .external_lex_state = 40},
  [12720] = {.lex_state = 32},
  [12721] = {.lex_state = 77, .external_lex_state = 23},
  [12722] = {.lex_state = 77, .external_lex_state = 37},
  [12723] = {.lex_state = 84, .external_lex_state = 40},
  [12724] = {.lex_state = 32},
  [12725] = {.lex_state = 84, .external_lex_state = 40},
  [12726] = {.lex_state = 32},
  [12727] = {.lex_state = 32},
  [12728] = {.lex_state = 77, .external_lex_state = 37},
  [12729] = {.lex_state = 84, .external_lex_state = 29},
  [12730] = {.lex_state = 84},
  [12731] = {.lex_state = 84},
  [12732] = {.lex_state = 32},
  [12733] = {.lex_state = 84, .external_lex_state = 35},
  [12734] = {.lex_state = 84, .external_lex_state = 40},
  [12735] = {.lex_state = 77, .external_lex_state = 46},
  [12736] = {.lex_state = 32},
  [12737] = {.lex_state = 77, .external_lex_state = 37},
  [12738] = {.lex_state = 32},
  [12739] = {.lex_state = 84, .external_lex_state = 40},
  [12740] = {.lex_state = 84, .external_lex_state = 40},
  [12741] = {.lex_state = 32},
  [12742] = {.lex_state = 77, .external_lex_state = 65},
  [12743] = {.lex_state = 77, .external_lex_state = 37},
  [12744] = {.lex_state = 84, .external_lex_state = 35},
  [12745] = {.lex_state = 77, .external_lex_state = 37},
  [12746] = {.lex_state = 84, .external_lex_state = 35},
  [12747] = {.lex_state = 84, .external_lex_state = 40},
  [12748] = {.lex_state = 32},
  [12749] = {.lex_state = 84, .external_lex_state = 40},
  [12750] = {.lex_state = 84, .external_lex_state = 40},
  [12751] = {.lex_state = 77, .external_lex_state = 65},
  [12752] = {.lex_state = 32},
  [12753] = {.lex_state = 77, .external_lex_state = 43},
  [12754] = {.lex_state = 84, .external_lex_state = 40},
  [12755] = {.lex_state = 84, .external_lex_state = 40},
  [12756] = {.lex_state = 32},
  [12757] = {.lex_state = 84, .external_lex_state = 43},
  [12758] = {.lex_state = 84, .external_lex_state = 40},
  [12759] = {.lex_state = 84, .external_lex_state = 40},
  [12760] = {.lex_state = 32},
  [12761] = {.lex_state = 84, .external_lex_state = 40},
  [12762] = {.lex_state = 84, .external_lex_state = 35},
  [12763] = {.lex_state = 77, .external_lex_state = 43},
  [12764] = {.lex_state = 32},
  [12765] = {.lex_state = 32},
  [12766] = {.lex_state = 77, .external_lex_state = 37},
  [12767] = {.lex_state = 84},
  [12768] = {.lex_state = 84},
  [12769] = {.lex_state = 84},
  [12770] = {.lex_state = 77, .external_lex_state = 43},
  [12771] = {.lex_state = 32},
  [12772] = {.lex_state = 84, .external_lex_state = 35},
  [12773] = {.lex_state = 84, .external_lex_state = 35},
  [12774] = {.lex_state = 84, .external_lex_state = 35},
  [12775] = {.lex_state = 77, .external_lex_state = 53},
  [12776] = {.lex_state = 77, .external_lex_state = 24},
  [12777] = {.lex_state = 77, .external_lex_state = 53},
  [12778] = {.lex_state = 84},
  [12779] = {.lex_state = 32},
  [12780] = {.lex_state = 77, .external_lex_state = 51},
  [12781] = {.lex_state = 77, .external_lex_state = 51},
  [12782] = {.lex_state = 32},
  [12783] = {.lex_state = 32},
  [12784] = {.lex_state = 84, .external_lex_state = 35},
  [12785] = {.lex_state = 32},
  [12786] = {.lex_state = 84, .external_lex_state = 37},
  [12787] = {.lex_state = 77, .external_lex_state = 37},
  [12788] = {.lex_state = 77, .external_lex_state = 37},
  [12789] = {.lex_state = 32},
  [12790] = {.lex_state = 32},
  [12791] = {.lex_state = 77, .external_lex_state = 37},
  [12792] = {.lex_state = 77, .external_lex_state = 62},
  [12793] = {.lex_state = 84, .external_lex_state = 40},
  [12794] = {.lex_state = 32},
  [12795] = {.lex_state = 32},
  [12796] = {.lex_state = 32},
  [12797] = {.lex_state = 77, .external_lex_state = 24},
  [12798] = {.lex_state = 84, .external_lex_state = 35},
  [12799] = {.lex_state = 84, .external_lex_state = 35},
  [12800] = {.lex_state = 84, .external_lex_state = 40},
  [12801] = {.lex_state = 84},
  [12802] = {.lex_state = 84},
  [12803] = {.lex_state = 32},
  [12804] = {.lex_state = 84, .external_lex_state = 35},
  [12805] = {.lex_state = 32},
  [12806] = {.lex_state = 84, .external_lex_state = 35},
  [12807] = {.lex_state = 84, .external_lex_state = 35},
  [12808] = {.lex_state = 77, .external_lex_state = 51},
  [12809] = {.lex_state = 84, .external_lex_state = 40},
  [12810] = {.lex_state = 32},
  [12811] = {.lex_state = 32},
  [12812] = {.lex_state = 77, .external_lex_state = 37},
  [12813] = {.lex_state = 84, .external_lex_state = 35},
  [12814] = {.lex_state = 32},
  [12815] = {.lex_state = 84, .external_lex_state = 35},
  [12816] = {.lex_state = 32},
  [12817] = {.lex_state = 84, .external_lex_state = 40},
  [12818] = {.lex_state = 84, .external_lex_state = 35},
  [12819] = {.lex_state = 32},
  [12820] = {.lex_state = 84, .external_lex_state = 35},
  [12821] = {.lex_state = 32},
  [12822] = {.lex_state = 32},
  [12823] = {.lex_state = 32},
  [12824] = {.lex_state = 84},
  [12825] = {.lex_state = 84},
  [12826] = {.lex_state = 84, .external_lex_state = 35},
  [12827] = {.lex_state = 77, .external_lex_state = 62},
  [12828] = {.lex_state = 84, .external_lex_state = 35},
  [12829] = {.lex_state = 32},
  [12830] = {.lex_state = 77, .external_lex_state = 62},
  [12831] = {.lex_state = 32},
  [12832] = {.lex_state = 32},
  [12833] = {.lex_state = 32},
  [12834] = {.lex_state = 32},
  [12835] = {.lex_state = 77, .external_lex_state = 48},
  [12836] = {.lex_state = 32},
  [12837] = {.lex_state = 84},
  [12838] = {.lex_state = 84},
  [12839] = {.lex_state = 32},
  [12840] = {.lex_state = 32},
  [12841] = {.lex_state = 84, .external_lex_state = 46},
  [12842] = {.lex_state = 77, .external_lex_state = 48},
  [12843] = {.lex_state = 32},
  [12844] = {.lex_state = 32},
  [12845] = {.lex_state = 32},
  [12846] = {.lex_state = 77, .external_lex_state = 62},
  [12847] = {.lex_state = 32},
  [12848] = {.lex_state = 32},
  [12849] = {.lex_state = 32},
  [12850] = {.lex_state = 84},
  [12851] = {.lex_state = 84, .external_lex_state = 37},
  [12852] = {.lex_state = 32},
  [12853] = {.lex_state = 32},
  [12854] = {.lex_state = 32},
  [12855] = {.lex_state = 32},
  [12856] = {.lex_state = 84},
  [12857] = {.lex_state = 84, .external_lex_state = 37},
  [12858] = {.lex_state = 32},
  [12859] = {.lex_state = 32},
  [12860] = {.lex_state = 32},
  [12861] = {.lex_state = 84},
  [12862] = {.lex_state = 77, .external_lex_state = 62},
  [12863] = {.lex_state = 84, .external_lex_state = 37},
  [12864] = {.lex_state = 84, .external_lex_state = 40},
  [12865] = {.lex_state = 84, .external_lex_state = 29},
  [12866] = {.lex_state = 77, .external_lex_state = 37},
  [12867] = {.lex_state = 32},
  [12868] = {.lex_state = 32},
  [12869] = {.lex_state = 32},
  [12870] = {.lex_state = 84, .external_lex_state = 37},
  [12871] = {.lex_state = 84},
  [12872] = {.lex_state = 84},
  [12873] = {.lex_state = 84},
  [12874] = {.lex_state = 32},
  [12875] = {.lex_state = 32},
  [12876] = {.lex_state = 84},
  [12877] = {.lex_state = 32},
  [12878] = {.lex_state = 32},
  [12879] = {.lex_state = 32},
  [12880] = {.lex_state = 32},
  [12881] = {.lex_state = 84, .external_lex_state = 37},
  [12882] = {.lex_state = 77, .external_lex_state = 60},
  [12883] = {.lex_state = 32},
  [12884] = {.lex_state = 32},
  [12885] = {.lex_state = 32},
  [12886] = {.lex_state = 32},
  [12887] = {.lex_state = 32},
  [12888] = {.lex_state = 76, .external_lex_state = 23},
  [12889] = {.lex_state = 32},
  [12890] = {.lex_state = 32},
  [12891] = {.lex_state = 32},
  [12892] = {.lex_state = 32},
  [12893] = {.lex_state = 32},
  [12894] = {.lex_state = 77, .external_lex_state = 54},
  [12895] = {.lex_state = 32},
  [12896] = {.lex_state = 32},
  [12897] = {.lex_state = 76, .external_lex_state = 23},
  [12898] = {.lex_state = 32},
  [12899] = {.lex_state = 76, .external_lex_state = 23},
  [12900] = {.lex_state = 77, .external_lex_state = 63},
  [12901] = {.lex_state = 32},
  [12902] = {.lex_state = 32},
  [12903] = {.lex_state = 77, .external_lex_state = 53},
  [12904] = {.lex_state = 84},
  [12905] = {.lex_state = 84, .external_lex_state = 29},
  [12906] = {.lex_state = 32},
  [12907] = {.lex_state = 32},
  [12908] = {.lex_state = 32},
  [12909] = {.lex_state = 84, .external_lex_state = 35},
  [12910] = {.lex_state = 84},
  [12911] = {.lex_state = 32},
  [12912] = {.lex_state = 84},
  [12913] = {.lex_state = 32},
  [12914] = {.lex_state = 77, .external_lex_state = 23},
  [12915] = {.lex_state = 32},
  [12916] = {.lex_state = 32},
  [12917] = {.lex_state = 32},
  [12918] = {.lex_state = 76, .external_lex_state = 39},
  [12919] = {.lex_state = 77, .external_lex_state = 60},
  [12920] = {.lex_state = 84},
  [12921] = {.lex_state = 84},
  [12922] = {.lex_state = 32},
  [12923] = {.lex_state = 32},
  [12924] = {.lex_state = 77, .external_lex_state = 53},
  [12925] = {.lex_state = 32},
  [12926] = {.lex_state = 32},
  [12927] = {.lex_state = 32},
  [12928] = {.lex_state = 32},
  [12929] = {.lex_state = 32},
  [12930] = {.lex_state = 84, .external_lex_state = 29},
  [12931] = {.lex_state = 32},
  [12932] = {.lex_state = 77},
  [12933] = {.lex_state = 32},
  [12934] = {.lex_state = 77, .external_lex_state = 62},
  [12935] = {.lex_state = 32},
  [12936] = {.lex_state = 32},
  [12937] = {.lex_state = 32},
  [12938] = {.lex_state = 32},
  [12939] = {.lex_state = 84, .external_lex_state = 29},
  [12940] = {.lex_state = 84},
  [12941] = {.lex_state = 84},
  [12942] = {.lex_state = 76, .external_lex_state = 24},
  [12943] = {.lex_state = 84},
  [12944] = {.lex_state = 32},
  [12945] = {.lex_state = 84},
  [12946] = {.lex_state = 84},
  [12947] = {.lex_state = 97},
  [12948] = {.lex_state = 32},
  [12949] = {.lex_state = 32},
  [12950] = {.lex_state = 32},
  [12951] = {.lex_state = 32},
  [12952] = {.lex_state = 84, .external_lex_state = 40},
  [12953] = {.lex_state = 84, .external_lex_state = 40},
  [12954] = {.lex_state = 32},
  [12955] = {.lex_state = 32},
  [12956] = {.lex_state = 76, .external_lex_state = 39},
  [12957] = {.lex_state = 32},
  [12958] = {.lex_state = 32},
  [12959] = {.lex_state = 32},
  [12960] = {.lex_state = 77, .external_lex_state = 60},
  [12961] = {.lex_state = 77, .external_lex_state = 51},
  [12962] = {.lex_state = 32},
  [12963] = {.lex_state = 76, .external_lex_state = 39},
  [12964] = {.lex_state = 32},
  [12965] = {.lex_state = 32},
  [12966] = {.lex_state = 84, .external_lex_state = 69},
  [12967] = {.lex_state = 32},
  [12968] = {.lex_state = 84, .external_lex_state = 23},
  [12969] = {.lex_state = 32},
  [12970] = {.lex_state = 84, .external_lex_state = 37},
  [12971] = {.lex_state = 32},
  [12972] = {.lex_state = 32},
  [12973] = {.lex_state = 32},
  [12974] = {.lex_state = 32},
  [12975] = {.lex_state = 76, .external_lex_state = 23},
  [12976] = {.lex_state = 32},
  [12977] = {.lex_state = 32},
  [12978] = {.lex_state = 32},
  [12979] = {.lex_state = 32},
  [12980] = {.lex_state = 77, .external_lex_state = 60},
  [12981] = {.lex_state = 32},
  [12982] = {.lex_state = 32},
  [12983] = {.lex_state = 32},
  [12984] = {.lex_state = 32},
  [12985] = {.lex_state = 32},
  [12986] = {.lex_state = 32},
  [12987] = {.lex_state = 32},
  [12988] = {.lex_state = 32},
  [12989] = {.lex_state = 32},
  [12990] = {.lex_state = 84},
  [12991] = {.lex_state = 84},
  [12992] = {.lex_state = 32},
  [12993] = {.lex_state = 32},
  [12994] = {.lex_state = 76, .external_lex_state = 39},
  [12995] = {.lex_state = 77},
  [12996] = {.lex_state = 32},
  [12997] = {.lex_state = 32},
  [12998] = {.lex_state = 32},
  [12999] = {.lex_state = 84},
  [13000] = {.lex_state = 32},
  [13001] = {.lex_state = 32},
  [13002] = {.lex_state = 77, .external_lex_state = 65},
  [13003] = {.lex_state = 84, .external_lex_state = 29},
  [13004] = {.lex_state = 84, .external_lex_state = 23},
  [13005] = {.lex_state = 77, .external_lex_state = 53},
  [13006] = {.lex_state = 84, .external_lex_state = 23},
  [13007] = {.lex_state = 84, .external_lex_state = 23},
  [13008] = {.lex_state = 84, .external_lex_state = 23},
  [13009] = {.lex_state = 77, .external_lex_state = 53},
  [13010] = {.lex_state = 84, .external_lex_state = 37},
  [13011] = {.lex_state = 76, .external_lex_state = 23},
  [13012] = {.lex_state = 77, .external_lex_state = 53},
  [13013] = {.lex_state = 77, .external_lex_state = 53},
  [13014] = {.lex_state = 32},
  [13015] = {.lex_state = 77, .external_lex_state = 53},
  [13016] = {.lex_state = 76, .external_lex_state = 24},
  [13017] = {.lex_state = 84, .external_lex_state = 32},
  [13018] = {.lex_state = 84, .external_lex_state = 37},
  [13019] = {.lex_state = 77, .external_lex_state = 54},
  [13020] = {.lex_state = 84, .external_lex_state = 23},
  [13021] = {.lex_state = 77, .external_lex_state = 61},
  [13022] = {.lex_state = 77, .external_lex_state = 53},
  [13023] = {.lex_state = 32},
  [13024] = {.lex_state = 32},
  [13025] = {.lex_state = 32},
  [13026] = {.lex_state = 77, .external_lex_state = 54},
  [13027] = {.lex_state = 84, .external_lex_state = 23},
  [13028] = {.lex_state = 84, .external_lex_state = 23},
  [13029] = {.lex_state = 84, .external_lex_state = 37},
  [13030] = {.lex_state = 77, .external_lex_state = 61},
  [13031] = {.lex_state = 32},
  [13032] = {.lex_state = 76, .external_lex_state = 23},
  [13033] = {.lex_state = 77, .external_lex_state = 53},
  [13034] = {.lex_state = 77, .external_lex_state = 61},
  [13035] = {.lex_state = 76, .external_lex_state = 23},
  [13036] = {.lex_state = 77, .external_lex_state = 61},
  [13037] = {.lex_state = 77, .external_lex_state = 54},
  [13038] = {.lex_state = 32},
  [13039] = {.lex_state = 84, .external_lex_state = 37},
  [13040] = {.lex_state = 84, .external_lex_state = 37},
  [13041] = {.lex_state = 32},
  [13042] = {.lex_state = 84, .external_lex_state = 37},
  [13043] = {.lex_state = 84, .external_lex_state = 37},
  [13044] = {.lex_state = 84, .external_lex_state = 37},
  [13045] = {.lex_state = 84, .external_lex_state = 37},
  [13046] = {.lex_state = 84, .external_lex_state = 23},
  [13047] = {.lex_state = 84, .external_lex_state = 23},
  [13048] = {.lex_state = 84},
  [13049] = {.lex_state = 32},
  [13050] = {.lex_state = 32},
  [13051] = {.lex_state = 84, .external_lex_state = 58},
  [13052] = {.lex_state = 32},
  [13053] = {.lex_state = 77, .external_lex_state = 46},
  [13054] = {.lex_state = 84, .external_lex_state = 23},
  [13055] = {.lex_state = 84, .external_lex_state = 58},
  [13056] = {.lex_state = 84, .external_lex_state = 32},
  [13057] = {.lex_state = 32},
  [13058] = {.lex_state = 84, .external_lex_state = 23},
  [13059] = {.lex_state = 84, .external_lex_state = 37},
  [13060] = {.lex_state = 32},
  [13061] = {.lex_state = 32},
  [13062] = {.lex_state = 77, .external_lex_state = 23},
  [13063] = {.lex_state = 32},
  [13064] = {.lex_state = 77, .external_lex_state = 43},
  [13065] = {.lex_state = 84, .external_lex_state = 23},
  [13066] = {.lex_state = 84, .external_lex_state = 37},
  [13067] = {.lex_state = 77, .external_lex_state = 53},
  [13068] = {.lex_state = 32},
  [13069] = {.lex_state = 32},
  [13070] = {.lex_state = 77, .external_lex_state = 54},
  [13071] = {.lex_state = 84, .external_lex_state = 37},
  [13072] = {.lex_state = 76, .external_lex_state = 23},
  [13073] = {.lex_state = 84, .external_lex_state = 37},
  [13074] = {.lex_state = 76, .external_lex_state = 23},
  [13075] = {.lex_state = 76, .external_lex_state = 23},
  [13076] = {.lex_state = 84, .external_lex_state = 23},
  [13077] = {.lex_state = 84, .external_lex_state = 23},
  [13078] = {.lex_state = 77, .external_lex_state = 23},
  [13079] = {.lex_state = 32},
  [13080] = {.lex_state = 84, .external_lex_state = 37},
  [13081] = {.lex_state = 77, .external_lex_state = 46},
  [13082] = {.lex_state = 76, .external_lex_state = 24},
  [13083] = {.lex_state = 77, .external_lex_state = 46},
  [13084] = {.lex_state = 84, .external_lex_state = 37},
  [13085] = {.lex_state = 77, .external_lex_state = 51},
  [13086] = {.lex_state = 77, .external_lex_state = 63},
  [13087] = {.lex_state = 77, .external_lex_state = 46},
  [13088] = {.lex_state = 77, .external_lex_state = 46},
  [13089] = {.lex_state = 77, .external_lex_state = 46},
  [13090] = {.lex_state = 76, .external_lex_state = 24},
  [13091] = {.lex_state = 77, .external_lex_state = 46},
  [13092] = {.lex_state = 32},
  [13093] = {.lex_state = 77, .external_lex_state = 60},
  [13094] = {.lex_state = 77, .external_lex_state = 46},
  [13095] = {.lex_state = 32},
  [13096] = {.lex_state = 77, .external_lex_state = 46},
  [13097] = {.lex_state = 77, .external_lex_state = 46},
  [13098] = {.lex_state = 32},
  [13099] = {.lex_state = 32},
  [13100] = {.lex_state = 84, .external_lex_state = 54},
  [13101] = {.lex_state = 84, .external_lex_state = 23},
  [13102] = {.lex_state = 84, .external_lex_state = 32},
  [13103] = {.lex_state = 32},
  [13104] = {.lex_state = 84, .external_lex_state = 43},
  [13105] = {.lex_state = 84, .external_lex_state = 23},
  [13106] = {.lex_state = 84, .external_lex_state = 43},
  [13107] = {.lex_state = 84, .external_lex_state = 32},
  [13108] = {.lex_state = 84, .external_lex_state = 23},
  [13109] = {.lex_state = 32},
  [13110] = {.lex_state = 32},
  [13111] = {.lex_state = 77, .external_lex_state = 46},
  [13112] = {.lex_state = 84, .external_lex_state = 23},
  [13113] = {.lex_state = 76, .external_lex_state = 24},
  [13114] = {.lex_state = 77, .external_lex_state = 46},
  [13115] = {.lex_state = 84, .external_lex_state = 56},
  [13116] = {.lex_state = 84, .external_lex_state = 56},
  [13117] = {.lex_state = 77, .external_lex_state = 54},
  [13118] = {.lex_state = 32},
  [13119] = {.lex_state = 32},
  [13120] = {.lex_state = 77, .external_lex_state = 51},
  [13121] = {.lex_state = 84, .external_lex_state = 23},
  [13122] = {.lex_state = 76, .external_lex_state = 24},
  [13123] = {.lex_state = 77, .external_lex_state = 61},
  [13124] = {.lex_state = 77, .external_lex_state = 61},
  [13125] = {.lex_state = 76, .external_lex_state = 23},
  [13126] = {.lex_state = 32},
  [13127] = {.lex_state = 77, .external_lex_state = 61},
  [13128] = {.lex_state = 77, .external_lex_state = 61},
  [13129] = {.lex_state = 84, .external_lex_state = 46},
  [13130] = {.lex_state = 77, .external_lex_state = 51},
  [13131] = {.lex_state = 84, .external_lex_state = 23},
  [13132] = {.lex_state = 76, .external_lex_state = 23},
  [13133] = {.lex_state = 77, .external_lex_state = 46},
  [13134] = {.lex_state = 77, .external_lex_state = 43},
  [13135] = {.lex_state = 77, .external_lex_state = 23},
  [13136] = {.lex_state = 32},
  [13137] = {.lex_state = 84, .external_lex_state = 23},
  [13138] = {.lex_state = 84, .external_lex_state = 23},
  [13139] = {.lex_state = 84, .external_lex_state = 37},
  [13140] = {.lex_state = 84, .external_lex_state = 43},
  [13141] = {.lex_state = 84, .external_lex_state = 43},
  [13142] = {.lex_state = 84, .external_lex_state = 43},
  [13143] = {.lex_state = 77, .external_lex_state = 51},
  [13144] = {.lex_state = 32},
  [13145] = {.lex_state = 32},
  [13146] = {.lex_state = 32},
  [13147] = {.lex_state = 77, .external_lex_state = 63},
  [13148] = {.lex_state = 84, .external_lex_state = 32},
  [13149] = {.lex_state = 32},
  [13150] = {.lex_state = 77, .external_lex_state = 51},
  [13151] = {.lex_state = 77, .external_lex_state = 23},
  [13152] = {.lex_state = 76, .external_lex_state = 24},
  [13153] = {.lex_state = 84, .external_lex_state = 37},
  [13154] = {.lex_state = 77, .external_lex_state = 51},
  [13155] = {.lex_state = 76, .external_lex_state = 24},
  [13156] = {.lex_state = 77, .external_lex_state = 51},
  [13157] = {.lex_state = 77, .external_lex_state = 46},
  [13158] = {.lex_state = 77, .external_lex_state = 46},
  [13159] = {.lex_state = 76, .external_lex_state = 24},
  [13160] = {.lex_state = 32},
  [13161] = {.lex_state = 76, .external_lex_state = 24},
  [13162] = {.lex_state = 84, .external_lex_state = 37},
  [13163] = {.lex_state = 84, .external_lex_state = 43},
  [13164] = {.lex_state = 84, .external_lex_state = 37},
  [13165] = {.lex_state = 84, .external_lex_state = 43},
  [13166] = {.lex_state = 84},
  [13167] = {.lex_state = 32},
  [13168] = {.lex_state = 32},
  [13169] = {.lex_state = 77, .external_lex_state = 60},
  [13170] = {.lex_state = 77, .external_lex_state = 63},
  [13171] = {.lex_state = 84},
  [13172] = {.lex_state = 77, .external_lex_state = 63},
  [13173] = {.lex_state = 76, .external_lex_state = 24},
  [13174] = {.lex_state = 32},
  [13175] = {.lex_state = 32},
  [13176] = {.lex_state = 77, .external_lex_state = 51},
  [13177] = {.lex_state = 77, .external_lex_state = 51},
  [13178] = {.lex_state = 84, .external_lex_state = 46},
  [13179] = {.lex_state = 32},
  [13180] = {.lex_state = 32},
  [13181] = {.lex_state = 77, .external_lex_state = 48},
  [13182] = {.lex_state = 84},
  [13183] = {.lex_state = 77, .external_lex_state = 61},
  [13184] = {.lex_state = 77, .external_lex_state = 61},
  [13185] = {.lex_state = 32},
  [13186] = {.lex_state = 84},
  [13187] = {.lex_state = 32},
  [13188] = {.lex_state = 77, .external_lex_state = 43},
  [13189] = {.lex_state = 76, .external_lex_state = 55},
  [13190] = {.lex_state = 84, .external_lex_state = 37},
  [13191] = {.lex_state = 76, .external_lex_state = 24},
  [13192] = {.lex_state = 32},
  [13193] = {.lex_state = 76, .external_lex_state = 55},
  [13194] = {.lex_state = 32},
  [13195] = {.lex_state = 84},
  [13196] = {.lex_state = 77, .external_lex_state = 62},
  [13197] = {.lex_state = 76, .external_lex_state = 55},
  [13198] = {.lex_state = 76, .external_lex_state = 24},
  [13199] = {.lex_state = 77, .external_lex_state = 61},
  [13200] = {.lex_state = 77, .external_lex_state = 57},
  [13201] = {.lex_state = 76, .external_lex_state = 55},
  [13202] = {.lex_state = 77, .external_lex_state = 61},
  [13203] = {.lex_state = 32},
  [13204] = {.lex_state = 77, .external_lex_state = 61},
  [13205] = {.lex_state = 32},
  [13206] = {.lex_state = 32},
  [13207] = {.lex_state = 84, .external_lex_state = 29},
  [13208] = {.lex_state = 84, .external_lex_state = 23},
  [13209] = {.lex_state = 77, .external_lex_state = 66},
  [13210] = {.lex_state = 84, .external_lex_state = 37},
  [13211] = {.lex_state = 84, .external_lex_state = 29},
  [13212] = {.lex_state = 84},
  [13213] = {.lex_state = 84, .external_lex_state = 46},
  [13214] = {.lex_state = 77, .external_lex_state = 61},
  [13215] = {.lex_state = 32},
  [13216] = {.lex_state = 76, .external_lex_state = 23},
  [13217] = {.lex_state = 84},
  [13218] = {.lex_state = 76, .external_lex_state = 24},
  [13219] = {.lex_state = 77, .external_lex_state = 48},
  [13220] = {.lex_state = 77, .external_lex_state = 54},
  [13221] = {.lex_state = 77, .external_lex_state = 53},
  [13222] = {.lex_state = 32},
  [13223] = {.lex_state = 77, .external_lex_state = 54},
  [13224] = {.lex_state = 77, .external_lex_state = 54},
  [13225] = {.lex_state = 77, .external_lex_state = 54},
  [13226] = {.lex_state = 77, .external_lex_state = 57},
  [13227] = {.lex_state = 77, .external_lex_state = 54},
  [13228] = {.lex_state = 84},
  [13229] = {.lex_state = 77, .external_lex_state = 54},
  [13230] = {.lex_state = 77, .external_lex_state = 54},
  [13231] = {.lex_state = 77, .external_lex_state = 43},
  [13232] = {.lex_state = 77, .external_lex_state = 58},
  [13233] = {.lex_state = 84, .external_lex_state = 23},
  [13234] = {.lex_state = 32},
  [13235] = {.lex_state = 84, .external_lex_state = 23},
  [13236] = {.lex_state = 32},
  [13237] = {.lex_state = 77, .external_lex_state = 43},
  [13238] = {.lex_state = 77, .external_lex_state = 58},
  [13239] = {.lex_state = 76, .external_lex_state = 39},
  [13240] = {.lex_state = 77, .external_lex_state = 62},
  [13241] = {.lex_state = 77, .external_lex_state = 56},
  [13242] = {.lex_state = 77, .external_lex_state = 56},
  [13243] = {.lex_state = 84, .external_lex_state = 57},
  [13244] = {.lex_state = 77, .external_lex_state = 56},
  [13245] = {.lex_state = 32},
  [13246] = {.lex_state = 77, .external_lex_state = 43},
  [13247] = {.lex_state = 32},
  [13248] = {.lex_state = 77, .external_lex_state = 58},
  [13249] = {.lex_state = 77, .external_lex_state = 48},
  [13250] = {.lex_state = 77, .external_lex_state = 48},
  [13251] = {.lex_state = 32},
  [13252] = {.lex_state = 77, .external_lex_state = 48},
  [13253] = {.lex_state = 84, .external_lex_state = 53},
  [13254] = {.lex_state = 84, .external_lex_state = 23},
  [13255] = {.lex_state = 77, .external_lex_state = 43},
  [13256] = {.lex_state = 32},
  [13257] = {.lex_state = 32},
  [13258] = {.lex_state = 32},
  [13259] = {.lex_state = 77, .external_lex_state = 43},
  [13260] = {.lex_state = 77, .external_lex_state = 62},
  [13261] = {.lex_state = 77, .external_lex_state = 54},
  [13262] = {.lex_state = 77, .external_lex_state = 66},
  [13263] = {.lex_state = 77, .external_lex_state = 43},
  [13264] = {.lex_state = 77, .external_lex_state = 43},
  [13265] = {.lex_state = 77, .external_lex_state = 43},
  [13266] = {.lex_state = 32},
  [13267] = {.lex_state = 77, .external_lex_state = 43},
  [13268] = {.lex_state = 84, .external_lex_state = 46},
  [13269] = {.lex_state = 77, .external_lex_state = 43},
  [13270] = {.lex_state = 32},
  [13271] = {.lex_state = 77, .external_lex_state = 43},
  [13272] = {.lex_state = 77, .external_lex_state = 43},
  [13273] = {.lex_state = 77, .external_lex_state = 43},
  [13274] = {.lex_state = 32},
  [13275] = {.lex_state = 84, .external_lex_state = 57},
  [13276] = {.lex_state = 77, .external_lex_state = 46},
  [13277] = {.lex_state = 77, .external_lex_state = 43},
  [13278] = {.lex_state = 76, .external_lex_state = 24},
  [13279] = {.lex_state = 77, .external_lex_state = 63},
  [13280] = {.lex_state = 84, .external_lex_state = 48},
  [13281] = {.lex_state = 32},
  [13282] = {.lex_state = 32},
  [13283] = {.lex_state = 84, .external_lex_state = 23},
  [13284] = {.lex_state = 76, .external_lex_state = 24},
  [13285] = {.lex_state = 32},
  [13286] = {.lex_state = 32},
  [13287] = {.lex_state = 84, .external_lex_state = 37},
  [13288] = {.lex_state = 84, .external_lex_state = 37},
  [13289] = {.lex_state = 77, .external_lex_state = 62},
  [13290] = {.lex_state = 32},
  [13291] = {.lex_state = 77, .external_lex_state = 62},
  [13292] = {.lex_state = 84, .external_lex_state = 23},
  [13293] = {.lex_state = 76, .external_lex_state = 24},
  [13294] = {.lex_state = 84, .external_lex_state = 37},
  [13295] = {.lex_state = 32},
  [13296] = {.lex_state = 76, .external_lex_state = 24},
  [13297] = {.lex_state = 32},
  [13298] = {.lex_state = 77, .external_lex_state = 48},
  [13299] = {.lex_state = 77, .external_lex_state = 43},
  [13300] = {.lex_state = 32},
  [13301] = {.lex_state = 84, .external_lex_state = 32},
  [13302] = {.lex_state = 32},
  [13303] = {.lex_state = 76, .external_lex_state = 24},
  [13304] = {.lex_state = 77, .external_lex_state = 62},
  [13305] = {.lex_state = 84, .external_lex_state = 46},
  [13306] = {.lex_state = 32},
  [13307] = {.lex_state = 77, .external_lex_state = 66},
  [13308] = {.lex_state = 32},
  [13309] = {.lex_state = 32},
  [13310] = {.lex_state = 77, .external_lex_state = 65},
  [13311] = {.lex_state = 84, .external_lex_state = 23},
  [13312] = {.lex_state = 77, .external_lex_state = 62},
  [13313] = {.lex_state = 84},
  [13314] = {.lex_state = 32},
  [13315] = {.lex_state = 77, .external_lex_state = 46},
  [13316] = {.lex_state = 77, .external_lex_state = 61},
  [13317] = {.lex_state = 84, .external_lex_state = 46},
  [13318] = {.lex_state = 77, .external_lex_state = 65},
  [13319] = {.lex_state = 32},
  [13320] = {.lex_state = 77, .external_lex_state = 46},
  [13321] = {.lex_state = 77, .external_lex_state = 46},
  [13322] = {.lex_state = 77, .external_lex_state = 46},
  [13323] = {.lex_state = 76, .external_lex_state = 24},
  [13324] = {.lex_state = 84, .external_lex_state = 43},
  [13325] = {.lex_state = 84, .external_lex_state = 29},
  [13326] = {.lex_state = 32},
  [13327] = {.lex_state = 84, .external_lex_state = 37},
  [13328] = {.lex_state = 77, .external_lex_state = 48},
  [13329] = {.lex_state = 77, .external_lex_state = 48},
  [13330] = {.lex_state = 77, .external_lex_state = 56},
  [13331] = {.lex_state = 77, .external_lex_state = 48},
  [13332] = {.lex_state = 77, .external_lex_state = 48},
  [13333] = {.lex_state = 77, .external_lex_state = 62},
  [13334] = {.lex_state = 84, .external_lex_state = 51},
  [13335] = {.lex_state = 84, .external_lex_state = 29},
  [13336] = {.lex_state = 77, .external_lex_state = 53},
  [13337] = {.lex_state = 77, .external_lex_state = 48},
  [13338] = {.lex_state = 32},
  [13339] = {.lex_state = 32},
  [13340] = {.lex_state = 32},
  [13341] = {.lex_state = 77, .external_lex_state = 53},
  [13342] = {.lex_state = 32},
  [13343] = {.lex_state = 77, .external_lex_state = 48},
  [13344] = {.lex_state = 32},
  [13345] = {.lex_state = 84, .external_lex_state = 46},
  [13346] = {.lex_state = 77, .external_lex_state = 63},
  [13347] = {.lex_state = 32},
  [13348] = {.lex_state = 77, .external_lex_state = 48},
  [13349] = {.lex_state = 77, .external_lex_state = 53},
  [13350] = {.lex_state = 84, .external_lex_state = 46},
  [13351] = {.lex_state = 32},
  [13352] = {.lex_state = 77, .external_lex_state = 63},
  [13353] = {.lex_state = 76, .external_lex_state = 24},
  [13354] = {.lex_state = 84, .external_lex_state = 46},
  [13355] = {.lex_state = 77, .external_lex_state = 58},
  [13356] = {.lex_state = 84, .external_lex_state = 46},
  [13357] = {.lex_state = 84, .external_lex_state = 37},
  [13358] = {.lex_state = 76, .external_lex_state = 24},
  [13359] = {.lex_state = 84, .external_lex_state = 29},
  [13360] = {.lex_state = 32},
  [13361] = {.lex_state = 32},
  [13362] = {.lex_state = 32},
  [13363] = {.lex_state = 32},
  [13364] = {.lex_state = 76, .external_lex_state = 55},
  [13365] = {.lex_state = 77, .external_lex_state = 57},
  [13366] = {.lex_state = 77, .external_lex_state = 57},
  [13367] = {.lex_state = 77, .external_lex_state = 51},
  [13368] = {.lex_state = 77, .external_lex_state = 62},
  [13369] = {.lex_state = 77, .external_lex_state = 62},
  [13370] = {.lex_state = 77, .external_lex_state = 51},
  [13371] = {.lex_state = 77, .external_lex_state = 51},
  [13372] = {.lex_state = 77, .external_lex_state = 53},
  [13373] = {.lex_state = 84, .external_lex_state = 46},
  [13374] = {.lex_state = 32},
  [13375] = {.lex_state = 77, .external_lex_state = 43},
  [13376] = {.lex_state = 77, .external_lex_state = 62},
  [13377] = {.lex_state = 32},
  [13378] = {.lex_state = 32},
  [13379] = {.lex_state = 76, .external_lex_state = 24},
  [13380] = {.lex_state = 84, .external_lex_state = 46},
  [13381] = {.lex_state = 77, .external_lex_state = 43},
  [13382] = {.lex_state = 77, .external_lex_state = 43},
  [13383] = {.lex_state = 76, .external_lex_state = 24},
  [13384] = {.lex_state = 32},
  [13385] = {.lex_state = 32},
  [13386] = {.lex_state = 77, .external_lex_state = 62},
  [13387] = {.lex_state = 32},
  [13388] = {.lex_state = 77, .external_lex_state = 61},
  [13389] = {.lex_state = 32},
  [13390] = {.lex_state = 77, .external_lex_state = 51},
  [13391] = {.lex_state = 77, .external_lex_state = 62},
  [13392] = {.lex_state = 77, .external_lex_state = 62},
  [13393] = {.lex_state = 32},
  [13394] = {.lex_state = 77, .external_lex_state = 46},
  [13395] = {.lex_state = 32},
  [13396] = {.lex_state = 84, .external_lex_state = 46},
  [13397] = {.lex_state = 84, .external_lex_state = 46},
  [13398] = {.lex_state = 32},
  [13399] = {.lex_state = 77, .external_lex_state = 62},
  [13400] = {.lex_state = 32},
  [13401] = {.lex_state = 77, .external_lex_state = 58},
  [13402] = {.lex_state = 77, .external_lex_state = 48},
  [13403] = {.lex_state = 84, .external_lex_state = 46},
  [13404] = {.lex_state = 84, .external_lex_state = 46},
  [13405] = {.lex_state = 84, .external_lex_state = 46},
  [13406] = {.lex_state = 84, .external_lex_state = 32},
  [13407] = {.lex_state = 84, .external_lex_state = 46},
  [13408] = {.lex_state = 84, .external_lex_state = 29},
  [13409] = {.lex_state = 84, .external_lex_state = 29},
  [13410] = {.lex_state = 77, .external_lex_state = 66},
  [13411] = {.lex_state = 84, .external_lex_state = 46},
  [13412] = {.lex_state = 77, .external_lex_state = 66},
  [13413] = {.lex_state = 77, .external_lex_state = 66},
  [13414] = {.lex_state = 84, .external_lex_state = 46},
  [13415] = {.lex_state = 84, .external_lex_state = 46},
  [13416] = {.lex_state = 84, .external_lex_state = 46},
  [13417] = {.lex_state = 84, .external_lex_state = 46},
  [13418] = {.lex_state = 84, .external_lex_state = 46},
  [13419] = {.lex_state = 84, .external_lex_state = 46},
  [13420] = {.lex_state = 84, .external_lex_state = 46},
  [13421] = {.lex_state = 77, .external_lex_state = 48},
  [13422] = {.lex_state = 84, .external_lex_state = 46},
  [13423] = {.lex_state = 84, .external_lex_state = 46},
  [13424] = {.lex_state = 84, .external_lex_state = 29},
  [13425] = {.lex_state = 84, .external_lex_state = 29},
  [13426] = {.lex_state = 84, .external_lex_state = 46},
  [13427] = {.lex_state = 84, .external_lex_state = 46},
  [13428] = {.lex_state = 84, .external_lex_state = 46},
  [13429] = {.lex_state = 84, .external_lex_state = 29},
  [13430] = {.lex_state = 84, .external_lex_state = 46},
  [13431] = {.lex_state = 84, .external_lex_state = 51},
  [13432] = {.lex_state = 84, .external_lex_state = 51},
  [13433] = {.lex_state = 84, .external_lex_state = 46},
  [13434] = {.lex_state = 84, .external_lex_state = 51},
  [13435] = {.lex_state = 84, .external_lex_state = 29},
  [13436] = {.lex_state = 77, .external_lex_state = 48},
  [13437] = {.lex_state = 77, .external_lex_state = 48},
  [13438] = {.lex_state = 84, .external_lex_state = 29},
  [13439] = {.lex_state = 84, .external_lex_state = 53},
  [13440] = {.lex_state = 77, .external_lex_state = 63},
  [13441] = {.lex_state = 84, .external_lex_state = 29},
  [13442] = {.lex_state = 77, .external_lex_state = 51},
  [13443] = {.lex_state = 84, .external_lex_state = 29},
  [13444] = {.lex_state = 84, .external_lex_state = 32},
  [13445] = {.lex_state = 84, .external_lex_state = 46},
  [13446] = {.lex_state = 84, .external_lex_state = 53},
  [13447] = {.lex_state = 77, .external_lex_state = 63},
  [13448] = {.lex_state = 84, .external_lex_state = 51},
  [13449] = {.lex_state = 77, .external_lex_state = 53},
  [13450] = {.lex_state = 84, .external_lex_state = 46},
  [13451] = {.lex_state = 84, .external_lex_state = 29},
  [13452] = {.lex_state = 77, .external_lex_state = 66},
  [13453] = {.lex_state = 77, .external_lex_state = 51},
  [13454] = {.lex_state = 84, .external_lex_state = 46},
  [13455] = {.lex_state = 77, .external_lex_state = 51},
  [13456] = {.lex_state = 77, .external_lex_state = 51},
  [13457] = {.lex_state = 77, .external_lex_state = 66},
  [13458] = {.lex_state = 77, .external_lex_state = 66},
  [13459] = {.lex_state = 77, .external_lex_state = 54},
  [13460] = {.lex_state = 84, .external_lex_state = 51},
  [13461] = {.lex_state = 77, .external_lex_state = 51},
  [13462] = {.lex_state = 77, .external_lex_state = 54},
  [13463] = {.lex_state = 77, .external_lex_state = 65},
  [13464] = {.lex_state = 84, .external_lex_state = 51},
  [13465] = {.lex_state = 77, .external_lex_state = 51},
  [13466] = {.lex_state = 84, .external_lex_state = 32},
  [13467] = {.lex_state = 76, .external_lex_state = 23},
  [13468] = {.lex_state = 84, .external_lex_state = 51},
  [13469] = {.lex_state = 77, .external_lex_state = 60},
  [13470] = {.lex_state = 77, .external_lex_state = 66},
  [13471] = {.lex_state = 84, .external_lex_state = 43},
  [13472] = {.lex_state = 84, .external_lex_state = 43},
  [13473] = {.lex_state = 84, .external_lex_state = 43},
  [13474] = {.lex_state = 84, .external_lex_state = 43},
  [13475] = {.lex_state = 77, .external_lex_state = 63},
  [13476] = {.lex_state = 84, .external_lex_state = 43},
  [13477] = {.lex_state = 84, .external_lex_state = 43},
  [13478] = {.lex_state = 84, .external_lex_state = 43},
  [13479] = {.lex_state = 84, .external_lex_state = 33},
  [13480] = {.lex_state = 84, .external_lex_state = 43},
  [13481] = {.lex_state = 84, .external_lex_state = 43},
  [13482] = {.lex_state = 84, .external_lex_state = 43},
  [13483] = {.lex_state = 84, .external_lex_state = 43},
  [13484] = {.lex_state = 84, .external_lex_state = 43},
  [13485] = {.lex_state = 84, .external_lex_state = 43},
  [13486] = {.lex_state = 84, .external_lex_state = 43},
  [13487] = {.lex_state = 77, .external_lex_state = 63},
  [13488] = {.lex_state = 84, .external_lex_state = 43},
  [13489] = {.lex_state = 77, .external_lex_state = 63},
  [13490] = {.lex_state = 84, .external_lex_state = 43},
  [13491] = {.lex_state = 84, .external_lex_state = 43},
  [13492] = {.lex_state = 77, .external_lex_state = 63},
  [13493] = {.lex_state = 77, .external_lex_state = 60},
  [13494] = {.lex_state = 77, .external_lex_state = 63},
  [13495] = {.lex_state = 77, .external_lex_state = 63},
  [13496] = {.lex_state = 84, .external_lex_state = 43},
  [13497] = {.lex_state = 84, .external_lex_state = 43},
  [13498] = {.lex_state = 84, .external_lex_state = 43},
  [13499] = {.lex_state = 77, .external_lex_state = 63},
  [13500] = {.lex_state = 77, .external_lex_state = 60},
  [13501] = {.lex_state = 84, .external_lex_state = 43},
  [13502] = {.lex_state = 76, .external_lex_state = 24},
  [13503] = {.lex_state = 77, .external_lex_state = 54},
  [13504] = {.lex_state = 76, .external_lex_state = 55},
  [13505] = {.lex_state = 84, .external_lex_state = 48},
  [13506] = {.lex_state = 84, .external_lex_state = 48},
  [13507] = {.lex_state = 77, .external_lex_state = 63},
  [13508] = {.lex_state = 84, .external_lex_state = 33},
  [13509] = {.lex_state = 77, .external_lex_state = 63},
  [13510] = {.lex_state = 84, .external_lex_state = 48},
  [13511] = {.lex_state = 84, .external_lex_state = 48},
  [13512] = {.lex_state = 84, .external_lex_state = 46},
  [13513] = {.lex_state = 84, .external_lex_state = 46},
  [13514] = {.lex_state = 84, .external_lex_state = 48},
  [13515] = {.lex_state = 77, .external_lex_state = 48},
  [13516] = {.lex_state = 84, .external_lex_state = 56},
  [13517] = {.lex_state = 0},
  [13518] = {.lex_state = 84, .external_lex_state = 48},
  [13519] = {.lex_state = 84, .external_lex_state = 33},
  [13520] = {.lex_state = 84, .external_lex_state = 48},
  [13521] = {.lex_state = 77, .external_lex_state = 60},
  [13522] = {.lex_state = 77, .external_lex_state = 48},
  [13523] = {.lex_state = 77, .external_lex_state = 54},
  [13524] = {.lex_state = 77, .external_lex_state = 53},
  [13525] = {.lex_state = 77, .external_lex_state = 60},
  [13526] = {.lex_state = 77, .external_lex_state = 54},
  [13527] = {.lex_state = 0},
  [13528] = {.lex_state = 77, .external_lex_state = 54},
  [13529] = {.lex_state = 84},
  [13530] = {.lex_state = 77, .external_lex_state = 51},
  [13531] = {.lex_state = 77, .external_lex_state = 60},
  [13532] = {.lex_state = 77, .external_lex_state = 54},
  [13533] = {.lex_state = 84, .external_lex_state = 54},
  [13534] = {.lex_state = 77, .external_lex_state = 60},
  [13535] = {.lex_state = 77, .external_lex_state = 65},
  [13536] = {.lex_state = 77, .external_lex_state = 54},
  [13537] = {.lex_state = 77, .external_lex_state = 51},
  [13538] = {.lex_state = 77, .external_lex_state = 51},
  [13539] = {.lex_state = 77, .external_lex_state = 51},
  [13540] = {.lex_state = 77, .external_lex_state = 53},
  [13541] = {.lex_state = 77, .external_lex_state = 51},
  [13542] = {.lex_state = 77, .external_lex_state = 53},
  [13543] = {.lex_state = 77, .external_lex_state = 66},
  [13544] = {.lex_state = 77, .external_lex_state = 66},
  [13545] = {.lex_state = 84, .external_lex_state = 58},
  [13546] = {.lex_state = 77, .external_lex_state = 53},
  [13547] = {.lex_state = 77, .external_lex_state = 60},
  [13548] = {.lex_state = 84, .external_lex_state = 54},
  [13549] = {.lex_state = 76, .external_lex_state = 24},
  [13550] = {.lex_state = 77, .external_lex_state = 60},
  [13551] = {.lex_state = 84, .external_lex_state = 54},
  [13552] = {.lex_state = 76, .external_lex_state = 24},
  [13553] = {.lex_state = 77, .external_lex_state = 54},
  [13554] = {.lex_state = 77, .external_lex_state = 51},
  [13555] = {.lex_state = 77, .external_lex_state = 53},
  [13556] = {.lex_state = 77, .external_lex_state = 51},
  [13557] = {.lex_state = 77, .external_lex_state = 57},
  [13558] = {.lex_state = 77, .external_lex_state = 57},
  [13559] = {.lex_state = 77, .external_lex_state = 57},
  [13560] = {.lex_state = 77, .external_lex_state = 52},
  [13561] = {.lex_state = 77, .external_lex_state = 57},
  [13562] = {.lex_state = 76, .external_lex_state = 24},
  [13563] = {.lex_state = 77, .external_lex_state = 48},
  [13564] = {.lex_state = 77, .external_lex_state = 48},
  [13565] = {.lex_state = 77, .external_lex_state = 60},
  [13566] = {.lex_state = 84, .external_lex_state = 29},
  [13567] = {.lex_state = 77, .external_lex_state = 58},
  [13568] = {.lex_state = 77, .external_lex_state = 60},
  [13569] = {.lex_state = 84, .external_lex_state = 33},
  [13570] = {.lex_state = 77, .external_lex_state = 48},
  [13571] = {.lex_state = 77, .external_lex_state = 66},
  [13572] = {.lex_state = 77, .external_lex_state = 54},
  [13573] = {.lex_state = 77, .external_lex_state = 54},
  [13574] = {.lex_state = 77, .external_lex_state = 60},
  [13575] = {.lex_state = 77, .external_lex_state = 54},
  [13576] = {.lex_state = 77, .external_lex_state = 58},
  [13577] = {.lex_state = 77, .external_lex_state = 66},
  [13578] = {.lex_state = 77, .external_lex_state = 54},
  [13579] = {.lex_state = 77, .external_lex_state = 51},
  [13580] = {.lex_state = 77, .external_lex_state = 24},
  [13581] = {.lex_state = 77, .external_lex_state = 66},
  [13582] = {.lex_state = 77, .external_lex_state = 58},
  [13583] = {.lex_state = 84, .external_lex_state = 32},
  [13584] = {.lex_state = 77, .external_lex_state = 66},
  [13585] = {.lex_state = 77, .external_lex_state = 66},
  [13586] = {.lex_state = 77, .external_lex_state = 58},
  [13587] = {.lex_state = 77, .external_lex_state = 54},
  [13588] = {.lex_state = 77, .external_lex_state = 60},
  [13589] = {.lex_state = 77, .external_lex_state = 48},
  [13590] = {.lex_state = 77, .external_lex_state = 48},
  [13591] = {.lex_state = 77, .external_lex_state = 48},
  [13592] = {.lex_state = 77, .external_lex_state = 48},
  [13593] = {.lex_state = 77, .external_lex_state = 48},
  [13594] = {.lex_state = 77, .external_lex_state = 48},
  [13595] = {.lex_state = 77, .external_lex_state = 56},
  [13596] = {.lex_state = 77, .external_lex_state = 48},
  [13597] = {.lex_state = 77, .external_lex_state = 51},
  [13598] = {.lex_state = 77, .external_lex_state = 51},
  [13599] = {.lex_state = 77, .external_lex_state = 56},
  [13600] = {.lex_state = 77, .external_lex_state = 56},
  [13601] = {.lex_state = 77, .external_lex_state = 60},
  [13602] = {.lex_state = 77, .external_lex_state = 56},
  [13603] = {.lex_state = 77, .external_lex_state = 24},
  [13604] = {.lex_state = 77, .external_lex_state = 24},
  [13605] = {.lex_state = 77, .external_lex_state = 63},
  [13606] = {.lex_state = 90},
  [13607] = {.lex_state = 77, .external_lex_state = 53},
  [13608] = {.lex_state = 77, .external_lex_state = 53},
  [13609] = {.lex_state = 77, .external_lex_state = 53},
  [13610] = {.lex_state = 76, .external_lex_state = 24},
  [13611] = {.lex_state = 77, .external_lex_state = 53},
  [13612] = {.lex_state = 77, .external_lex_state = 54},
  [13613] = {.lex_state = 77, .external_lex_state = 53},
  [13614] = {.lex_state = 77, .external_lex_state = 63},
  [13615] = {.lex_state = 84, .external_lex_state = 54},
  [13616] = {.lex_state = 84, .external_lex_state = 37},
  [13617] = {.lex_state = 84},
  [13618] = {.lex_state = 84, .external_lex_state = 54},
  [13619] = {.lex_state = 84, .external_lex_state = 48},
  [13620] = {.lex_state = 77, .external_lex_state = 66},
  [13621] = {.lex_state = 77, .external_lex_state = 57},
  [13622] = {.lex_state = 77, .external_lex_state = 24},
  [13623] = {.lex_state = 77, .external_lex_state = 53},
  [13624] = {.lex_state = 77, .external_lex_state = 24},
  [13625] = {.lex_state = 77, .external_lex_state = 57},
  [13626] = {.lex_state = 84, .external_lex_state = 54},
  [13627] = {.lex_state = 77, .external_lex_state = 53},
  [13628] = {.lex_state = 77, .external_lex_state = 57},
  [13629] = {.lex_state = 77, .external_lex_state = 57},
  [13630] = {.lex_state = 77, .external_lex_state = 57},
  [13631] = {.lex_state = 77, .external_lex_state = 57},
  [13632] = {.lex_state = 77, .external_lex_state = 57},
  [13633] = {.lex_state = 77, .external_lex_state = 23},
  [13634] = {.lex_state = 77, .external_lex_state = 57},
  [13635] = {.lex_state = 77, .external_lex_state = 58},
  [13636] = {.lex_state = 76, .external_lex_state = 24},
  [13637] = {.lex_state = 84, .external_lex_state = 54},
  [13638] = {.lex_state = 76, .external_lex_state = 24},
  [13639] = {.lex_state = 77, .external_lex_state = 60},
  [13640] = {.lex_state = 77, .external_lex_state = 48},
  [13641] = {.lex_state = 77, .external_lex_state = 48},
  [13642] = {.lex_state = 77, .external_lex_state = 48},
  [13643] = {.lex_state = 84, .external_lex_state = 51},
  [13644] = {.lex_state = 84, .external_lex_state = 29},
  [13645] = {.lex_state = 77, .external_lex_state = 54},
  [13646] = {.lex_state = 77, .external_lex_state = 48},
  [13647] = {.lex_state = 77, .external_lex_state = 53},
  [13648] = {.lex_state = 84, .external_lex_state = 53},
  [13649] = {.lex_state = 77, .external_lex_state = 48},
  [13650] = {.lex_state = 84, .external_lex_state = 53},
  [13651] = {.lex_state = 77, .external_lex_state = 58},
  [13652] = {.lex_state = 77, .external_lex_state = 65},
  [13653] = {.lex_state = 77, .external_lex_state = 58},
  [13654] = {.lex_state = 77, .external_lex_state = 56},
  [13655] = {.lex_state = 84, .external_lex_state = 46},
  [13656] = {.lex_state = 77, .external_lex_state = 58},
  [13657] = {.lex_state = 77, .external_lex_state = 58},
  [13658] = {.lex_state = 77, .external_lex_state = 54},
  [13659] = {.lex_state = 84},
  [13660] = {.lex_state = 77, .external_lex_state = 58},
  [13661] = {.lex_state = 77, .external_lex_state = 58},
  [13662] = {.lex_state = 77, .external_lex_state = 58},
  [13663] = {.lex_state = 77, .external_lex_state = 56},
  [13664] = {.lex_state = 77, .external_lex_state = 56},
  [13665] = {.lex_state = 77, .external_lex_state = 56},
  [13666] = {.lex_state = 77, .external_lex_state = 65},
  [13667] = {.lex_state = 77, .external_lex_state = 51},
  [13668] = {.lex_state = 77, .external_lex_state = 51},
  [13669] = {.lex_state = 77, .external_lex_state = 51},
  [13670] = {.lex_state = 77, .external_lex_state = 56},
  [13671] = {.lex_state = 77, .external_lex_state = 53},
  [13672] = {.lex_state = 77, .external_lex_state = 53},
  [13673] = {.lex_state = 84, .external_lex_state = 53},
  [13674] = {.lex_state = 77, .external_lex_state = 56},
  [13675] = {.lex_state = 76, .external_lex_state = 24},
  [13676] = {.lex_state = 84, .external_lex_state = 51},
  [13677] = {.lex_state = 77, .external_lex_state = 54},
  [13678] = {.lex_state = 77, .external_lex_state = 67},
  [13679] = {.lex_state = 77, .external_lex_state = 51},
  [13680] = {.lex_state = 77, .external_lex_state = 56},
  [13681] = {.lex_state = 77, .external_lex_state = 57},
  [13682] = {.lex_state = 77, .external_lex_state = 56},
  [13683] = {.lex_state = 77, .external_lex_state = 66},
  [13684] = {.lex_state = 77, .external_lex_state = 62},
  [13685] = {.lex_state = 84, .external_lex_state = 51},
  [13686] = {.lex_state = 84, .external_lex_state = 51},
  [13687] = {.lex_state = 77, .external_lex_state = 51},
  [13688] = {.lex_state = 77, .external_lex_state = 54},
  [13689] = {.lex_state = 77, .external_lex_state = 54},
  [13690] = {.lex_state = 77, .external_lex_state = 54},
  [13691] = {.lex_state = 84, .external_lex_state = 53},
  [13692] = {.lex_state = 84, .external_lex_state = 24},
  [13693] = {.lex_state = 77, .external_lex_state = 53},
  [13694] = {.lex_state = 84, .external_lex_state = 24},
  [13695] = {.lex_state = 77, .external_lex_state = 63},
  [13696] = {.lex_state = 77, .external_lex_state = 67},
  [13697] = {.lex_state = 84, .external_lex_state = 51},
  [13698] = {.lex_state = 77, .external_lex_state = 52},
  [13699] = {.lex_state = 84, .external_lex_state = 51},
  [13700] = {.lex_state = 84, .external_lex_state = 51},
  [13701] = {.lex_state = 84, .external_lex_state = 54},
  [13702] = {.lex_state = 77, .external_lex_state = 53},
  [13703] = {.lex_state = 77, .external_lex_state = 53},
  [13704] = {.lex_state = 77, .external_lex_state = 56},
  [13705] = {.lex_state = 77, .external_lex_state = 53},
  [13706] = {.lex_state = 77, .external_lex_state = 63},
  [13707] = {.lex_state = 77, .external_lex_state = 67},
  [13708] = {.lex_state = 84, .external_lex_state = 32},
  [13709] = {.lex_state = 84, .external_lex_state = 53},
  [13710] = {.lex_state = 84, .external_lex_state = 43},
  [13711] = {.lex_state = 84, .external_lex_state = 43},
  [13712] = {.lex_state = 84, .external_lex_state = 57},
  [13713] = {.lex_state = 77, .external_lex_state = 53},
  [13714] = {.lex_state = 77, .external_lex_state = 67},
  [13715] = {.lex_state = 77, .external_lex_state = 58},
  [13716] = {.lex_state = 84, .external_lex_state = 33},
  [13717] = {.lex_state = 84, .external_lex_state = 33},
  [13718] = {.lex_state = 77, .external_lex_state = 67},
  [13719] = {.lex_state = 84, .external_lex_state = 33},
  [13720] = {.lex_state = 84, .external_lex_state = 33},
  [13721] = {.lex_state = 84, .external_lex_state = 48},
  [13722] = {.lex_state = 84, .external_lex_state = 57},
  [13723] = {.lex_state = 84, .external_lex_state = 58},
  [13724] = {.lex_state = 84, .external_lex_state = 46},
  [13725] = {.lex_state = 77, .external_lex_state = 55},
  [13726] = {.lex_state = 84, .external_lex_state = 46},
  [13727] = {.lex_state = 84, .external_lex_state = 37},
  [13728] = {.lex_state = 84, .external_lex_state = 54},
  [13729] = {.lex_state = 84, .external_lex_state = 53},
  [13730] = {.lex_state = 84, .external_lex_state = 33},
  [13731] = {.lex_state = 84, .external_lex_state = 33},
  [13732] = {.lex_state = 84, .external_lex_state = 33},
  [13733] = {.lex_state = 84, .external_lex_state = 33},
  [13734] = {.lex_state = 77, .external_lex_state = 65},
  [13735] = {.lex_state = 84, .external_lex_state = 53},
  [13736] = {.lex_state = 77, .external_lex_state = 58},
  [13737] = {.lex_state = 84, .external_lex_state = 40},
  [13738] = {.lex_state = 84, .external_lex_state = 53},
  [13739] = {.lex_state = 84, .external_lex_state = 57},
  [13740] = {.lex_state = 84, .external_lex_state = 57},
  [13741] = {.lex_state = 84, .external_lex_state = 53},
  [13742] = {.lex_state = 84, .external_lex_state = 57},
  [13743] = {.lex_state = 84, .external_lex_state = 53},
  [13744] = {.lex_state = 77, .external_lex_state = 56},
  [13745] = {.lex_state = 77, .external_lex_state = 61},
  [13746] = {.lex_state = 77, .external_lex_state = 57},
  [13747] = {.lex_state = 77, .external_lex_state = 56},
  [13748] = {.lex_state = 84, .external_lex_state = 53},
  [13749] = {.lex_state = 77, .external_lex_state = 56},
  [13750] = {.lex_state = 84, .external_lex_state = 53},
  [13751] = {.lex_state = 84, .external_lex_state = 53},
  [13752] = {.lex_state = 77, .external_lex_state = 57},
  [13753] = {.lex_state = 77, .external_lex_state = 67},
  [13754] = {.lex_state = 84, .external_lex_state = 53},
  [13755] = {.lex_state = 77, .external_lex_state = 57},
  [13756] = {.lex_state = 77, .external_lex_state = 67},
  [13757] = {.lex_state = 77, .external_lex_state = 67},
  [13758] = {.lex_state = 77, .external_lex_state = 67},
  [13759] = {.lex_state = 84, .external_lex_state = 37},
  [13760] = {.lex_state = 84, .external_lex_state = 40},
  [13761] = {.lex_state = 84, .external_lex_state = 32},
  [13762] = {.lex_state = 84, .external_lex_state = 53},
  [13763] = {.lex_state = 77, .external_lex_state = 57},
  [13764] = {.lex_state = 84, .external_lex_state = 57},
  [13765] = {.lex_state = 84, .external_lex_state = 43},
  [13766] = {.lex_state = 84, .external_lex_state = 57},
  [13767] = {.lex_state = 77, .external_lex_state = 57},
  [13768] = {.lex_state = 84, .external_lex_state = 58},
  [13769] = {.lex_state = 77, .external_lex_state = 56},
  [13770] = {.lex_state = 84, .external_lex_state = 57},
  [13771] = {.lex_state = 84, .external_lex_state = 46},
  [13772] = {.lex_state = 77, .external_lex_state = 56},
  [13773] = {.lex_state = 77, .external_lex_state = 56},
  [13774] = {.lex_state = 77, .external_lex_state = 67},
  [13775] = {.lex_state = 77, .external_lex_state = 57},
  [13776] = {.lex_state = 84, .external_lex_state = 53},
  [13777] = {.lex_state = 77, .external_lex_state = 56},
  [13778] = {.lex_state = 77, .external_lex_state = 56},
  [13779] = {.lex_state = 84, .external_lex_state = 53},
  [13780] = {.lex_state = 84, .external_lex_state = 53},
  [13781] = {.lex_state = 84, .external_lex_state = 46},
  [13782] = {.lex_state = 77, .external_lex_state = 56},
  [13783] = {.lex_state = 77, .external_lex_state = 57},
  [13784] = {.lex_state = 84, .external_lex_state = 53},
  [13785] = {.lex_state = 84, .external_lex_state = 37},
  [13786] = {.lex_state = 77, .external_lex_state = 58},
  [13787] = {.lex_state = 77, .external_lex_state = 57},
  [13788] = {.lex_state = 77, .external_lex_state = 58},
  [13789] = {.lex_state = 84, .external_lex_state = 53},
  [13790] = {.lex_state = 77, .external_lex_state = 57},
  [13791] = {.lex_state = 77, .external_lex_state = 67},
  [13792] = {.lex_state = 77, .external_lex_state = 67},
  [13793] = {.lex_state = 77, .external_lex_state = 67},
  [13794] = {.lex_state = 77, .external_lex_state = 56},
  [13795] = {.lex_state = 77, .external_lex_state = 61},
  [13796] = {.lex_state = 84, .external_lex_state = 32},
  [13797] = {.lex_state = 76, .external_lex_state = 23},
  [13798] = {.lex_state = 84, .external_lex_state = 29},
  [13799] = {.lex_state = 84, .external_lex_state = 29},
  [13800] = {.lex_state = 84, .external_lex_state = 51},
  [13801] = {.lex_state = 77, .external_lex_state = 65},
  [13802] = {.lex_state = 77, .external_lex_state = 58},
  [13803] = {.lex_state = 84, .external_lex_state = 51},
  [13804] = {.lex_state = 84, .external_lex_state = 46},
  [13805] = {.lex_state = 77, .external_lex_state = 58},
  [13806] = {.lex_state = 84, .external_lex_state = 46},
  [13807] = {.lex_state = 84, .external_lex_state = 51},
  [13808] = {.lex_state = 84, .external_lex_state = 58},
  [13809] = {.lex_state = 84, .external_lex_state = 54},
  [13810] = {.lex_state = 84, .external_lex_state = 54},
  [13811] = {.lex_state = 84, .external_lex_state = 37},
  [13812] = {.lex_state = 84, .external_lex_state = 29},
  [13813] = {.lex_state = 77, .external_lex_state = 65},
  [13814] = {.lex_state = 77, .external_lex_state = 61},
  [13815] = {.lex_state = 84, .external_lex_state = 23},
  [13816] = {.lex_state = 84, .external_lex_state = 29},
  [13817] = {.lex_state = 77, .external_lex_state = 67},
  [13818] = {.lex_state = 77, .external_lex_state = 67},
  [13819] = {.lex_state = 77, .external_lex_state = 61},
  [13820] = {.lex_state = 84, .external_lex_state = 32},
  [13821] = {.lex_state = 77, .external_lex_state = 24},
  [13822] = {.lex_state = 77, .external_lex_state = 24},
  [13823] = {.lex_state = 84, .external_lex_state = 53},
  [13824] = {.lex_state = 84, .external_lex_state = 58},
  [13825] = {.lex_state = 84, .external_lex_state = 29},
  [13826] = {.lex_state = 77, .external_lex_state = 24},
  [13827] = {.lex_state = 76, .external_lex_state = 23},
  [13828] = {.lex_state = 77, .external_lex_state = 58},
  [13829] = {.lex_state = 84, .external_lex_state = 46},
  [13830] = {.lex_state = 77, .external_lex_state = 61},
  [13831] = {.lex_state = 84, .external_lex_state = 57},
  [13832] = {.lex_state = 77, .external_lex_state = 56},
  [13833] = {.lex_state = 84, .external_lex_state = 51},
  [13834] = {.lex_state = 84, .external_lex_state = 51},
  [13835] = {.lex_state = 84, .external_lex_state = 51},
  [13836] = {.lex_state = 77, .external_lex_state = 58},
  [13837] = {.lex_state = 77, .external_lex_state = 65},
  [13838] = {.lex_state = 77, .external_lex_state = 63},
  [13839] = {.lex_state = 84, .external_lex_state = 58},
  [13840] = {.lex_state = 84, .external_lex_state = 58},
  [13841] = {.lex_state = 77, .external_lex_state = 57},
  [13842] = {.lex_state = 77, .external_lex_state = 58},
  [13843] = {.lex_state = 77, .external_lex_state = 58},
  [13844] = {.lex_state = 84, .external_lex_state = 53},
  [13845] = {.lex_state = 77, .external_lex_state = 58},
  [13846] = {.lex_state = 84, .external_lex_state = 51},
  [13847] = {.lex_state = 77, .external_lex_state = 58},
  [13848] = {.lex_state = 84, .external_lex_state = 53},
  [13849] = {.lex_state = 77, .external_lex_state = 65},
  [13850] = {.lex_state = 77, .external_lex_state = 57},
  [13851] = {.lex_state = 84, .external_lex_state = 37},
  [13852] = {.lex_state = 76, .external_lex_state = 23},
  [13853] = {.lex_state = 84, .external_lex_state = 51},
  [13854] = {.lex_state = 84, .external_lex_state = 51},
  [13855] = {.lex_state = 84, .external_lex_state = 51},
  [13856] = {.lex_state = 76, .external_lex_state = 23},
  [13857] = {.lex_state = 84, .external_lex_state = 51},
  [13858] = {.lex_state = 77, .external_lex_state = 52},
  [13859] = {.lex_state = 84, .external_lex_state = 51},
  [13860] = {.lex_state = 84, .external_lex_state = 51},
  [13861] = {.lex_state = 84, .external_lex_state = 51},
  [13862] = {.lex_state = 84, .external_lex_state = 51},
  [13863] = {.lex_state = 84, .external_lex_state = 46},
  [13864] = {.lex_state = 84, .external_lex_state = 51},
  [13865] = {.lex_state = 84, .external_lex_state = 51},
  [13866] = {.lex_state = 77, .external_lex_state = 61},
  [13867] = {.lex_state = 84, .external_lex_state = 29},
  [13868] = {.lex_state = 77, .external_lex_state = 61},
  [13869] = {.lex_state = 84, .external_lex_state = 51},
  [13870] = {.lex_state = 84, .external_lex_state = 51},
  [13871] = {.lex_state = 84, .external_lex_state = 23},
  [13872] = {.lex_state = 84, .external_lex_state = 40},
  [13873] = {.lex_state = 84, .external_lex_state = 56},
  [13874] = {.lex_state = 84, .external_lex_state = 51},
  [13875] = {.lex_state = 84, .external_lex_state = 53},
  [13876] = {.lex_state = 84, .external_lex_state = 51},
  [13877] = {.lex_state = 84, .external_lex_state = 51},
  [13878] = {.lex_state = 77, .external_lex_state = 65},
  [13879] = {.lex_state = 84, .external_lex_state = 56},
  [13880] = {.lex_state = 84, .external_lex_state = 51},
  [13881] = {.lex_state = 77, .external_lex_state = 56},
  [13882] = {.lex_state = 84, .external_lex_state = 48},
  [13883] = {.lex_state = 84, .external_lex_state = 37},
  [13884] = {.lex_state = 77, .external_lex_state = 24},
  [13885] = {.lex_state = 77, .external_lex_state = 23},
  [13886] = {.lex_state = 77, .external_lex_state = 65},
  [13887] = {.lex_state = 84, .external_lex_state = 48},
  [13888] = {.lex_state = 77, .external_lex_state = 58},
  [13889] = {.lex_state = 84, .external_lex_state = 51},
  [13890] = {.lex_state = 77, .external_lex_state = 58},
  [13891] = {.lex_state = 77, .external_lex_state = 58},
  [13892] = {.lex_state = 77, .external_lex_state = 58},
  [13893] = {.lex_state = 77, .external_lex_state = 23},
  [13894] = {.lex_state = 84, .external_lex_state = 48},
  [13895] = {.lex_state = 77, .external_lex_state = 57},
  [13896] = {.lex_state = 77, .external_lex_state = 57},
  [13897] = {.lex_state = 77, .external_lex_state = 61},
  [13898] = {.lex_state = 77, .external_lex_state = 61},
  [13899] = {.lex_state = 84, .external_lex_state = 54},
  [13900] = {.lex_state = 84, .external_lex_state = 48},
  [13901] = {.lex_state = 84, .external_lex_state = 48},
  [13902] = {.lex_state = 84, .external_lex_state = 48},
  [13903] = {.lex_state = 84, .external_lex_state = 48},
  [13904] = {.lex_state = 77, .external_lex_state = 57},
  [13905] = {.lex_state = 84, .external_lex_state = 53},
  [13906] = {.lex_state = 84, .external_lex_state = 32},
  [13907] = {.lex_state = 77, .external_lex_state = 56},
  [13908] = {.lex_state = 84, .external_lex_state = 29},
  [13909] = {.lex_state = 84, .external_lex_state = 29},
  [13910] = {.lex_state = 84, .external_lex_state = 48},
  [13911] = {.lex_state = 84, .external_lex_state = 48},
  [13912] = {.lex_state = 77, .external_lex_state = 65},
  [13913] = {.lex_state = 77, .external_lex_state = 65},
  [13914] = {.lex_state = 77, .external_lex_state = 65},
  [13915] = {.lex_state = 77, .external_lex_state = 24},
  [13916] = {.lex_state = 84, .external_lex_state = 48},
  [13917] = {.lex_state = 84, .external_lex_state = 48},
  [13918] = {.lex_state = 84, .external_lex_state = 48},
  [13919] = {.lex_state = 84, .external_lex_state = 48},
  [13920] = {.lex_state = 77, .external_lex_state = 56},
  [13921] = {.lex_state = 77, .external_lex_state = 23},
  [13922] = {.lex_state = 84, .external_lex_state = 48},
  [13923] = {.lex_state = 84, .external_lex_state = 29},
  [13924] = {.lex_state = 84, .external_lex_state = 48},
  [13925] = {.lex_state = 84, .external_lex_state = 48},
  [13926] = {.lex_state = 84, .external_lex_state = 48},
  [13927] = {.lex_state = 77, .external_lex_state = 57},
  [13928] = {.lex_state = 84, .external_lex_state = 48},
  [13929] = {.lex_state = 84, .external_lex_state = 48},
  [13930] = {.lex_state = 84, .external_lex_state = 56},
  [13931] = {.lex_state = 84, .external_lex_state = 48},
  [13932] = {.lex_state = 84, .external_lex_state = 48},
  [13933] = {.lex_state = 84, .external_lex_state = 48},
  [13934] = {.lex_state = 77, .external_lex_state = 57},
  [13935] = {.lex_state = 77, .external_lex_state = 57},
  [13936] = {.lex_state = 77, .external_lex_state = 61},
  [13937] = {.lex_state = 84, .external_lex_state = 48},
  [13938] = {.lex_state = 77, .external_lex_state = 61},
  [13939] = {.lex_state = 84, .external_lex_state = 54},
  [13940] = {.lex_state = 84, .external_lex_state = 56},
  [13941] = {.lex_state = 77, .external_lex_state = 65},
  [13942] = {.lex_state = 76, .external_lex_state = 23},
  [13943] = {.lex_state = 77, .external_lex_state = 57},
  [13944] = {.lex_state = 77, .external_lex_state = 61},
  [13945] = {.lex_state = 84, .external_lex_state = 29},
  [13946] = {.lex_state = 77, .external_lex_state = 57},
  [13947] = {.lex_state = 84, .external_lex_state = 56},
  [13948] = {.lex_state = 84, .external_lex_state = 56},
  [13949] = {.lex_state = 84, .external_lex_state = 33},
  [13950] = {.lex_state = 77, .external_lex_state = 57},
  [13951] = {.lex_state = 84},
  [13952] = {.lex_state = 84, .external_lex_state = 58},
  [13953] = {.lex_state = 84, .external_lex_state = 40},
  [13954] = {.lex_state = 77, .external_lex_state = 24},
  [13955] = {.lex_state = 77, .external_lex_state = 65},
  [13956] = {.lex_state = 76, .external_lex_state = 23},
  [13957] = {.lex_state = 77, .external_lex_state = 57},
  [13958] = {.lex_state = 77, .external_lex_state = 56},
  [13959] = {.lex_state = 77, .external_lex_state = 24},
  [13960] = {.lex_state = 84, .external_lex_state = 48},
  [13961] = {.lex_state = 84, .external_lex_state = 54},
  [13962] = {.lex_state = 84, .external_lex_state = 37},
  [13963] = {.lex_state = 77, .external_lex_state = 56},
  [13964] = {.lex_state = 84, .external_lex_state = 48},
  [13965] = {.lex_state = 84, .external_lex_state = 48},
  [13966] = {.lex_state = 76, .external_lex_state = 23},
  [13967] = {.lex_state = 84, .external_lex_state = 51},
  [13968] = {.lex_state = 76, .external_lex_state = 23},
  [13969] = {.lex_state = 84, .external_lex_state = 32},
  [13970] = {.lex_state = 77, .external_lex_state = 56},
  [13971] = {.lex_state = 77, .external_lex_state = 24},
  [13972] = {.lex_state = 77, .external_lex_state = 56},
  [13973] = {.lex_state = 84, .external_lex_state = 54},
  [13974] = {.lex_state = 77, .external_lex_state = 65},
  [13975] = {.lex_state = 84, .external_lex_state = 37},
  [13976] = {.lex_state = 84, .external_lex_state = 43},
  [13977] = {.lex_state = 77, .external_lex_state = 65},
  [13978] = {.lex_state = 84, .external_lex_state = 54},
  [13979] = {.lex_state = 77, .external_lex_state = 65},
  [13980] = {.lex_state = 77, .external_lex_state = 56},
  [13981] = {.lex_state = 84, .external_lex_state = 54},
  [13982] = {.lex_state = 77, .external_lex_state = 67},
  [13983] = {.lex_state = 84, .external_lex_state = 56},
  [13984] = {.lex_state = 76, .external_lex_state = 23},
  [13985] = {.lex_state = 76, .external_lex_state = 23},
  [13986] = {.lex_state = 77, .external_lex_state = 24},
  [13987] = {.lex_state = 77, .external_lex_state = 24},
  [13988] = {.lex_state = 84, .external_lex_state = 56},
  [13989] = {.lex_state = 84, .external_lex_state = 53},
  [13990] = {.lex_state = 77, .external_lex_state = 24},
  [13991] = {.lex_state = 84, .external_lex_state = 33},
  [13992] = {.lex_state = 84, .external_lex_state = 54},
  [13993] = {.lex_state = 77, .external_lex_state = 67},
  [13994] = {.lex_state = 76, .external_lex_state = 23},
  [13995] = {.lex_state = 84, .external_lex_state = 37},
  [13996] = {.lex_state = 76, .external_lex_state = 23},
  [13997] = {.lex_state = 77, .external_lex_state = 67},
  [13998] = {.lex_state = 77, .external_lex_state = 56},
  [13999] = {.lex_state = 77, .external_lex_state = 58},
  [14000] = {.lex_state = 84, .external_lex_state = 54},
  [14001] = {.lex_state = 84, .external_lex_state = 54},
  [14002] = {.lex_state = 84, .external_lex_state = 54},
  [14003] = {.lex_state = 77, .external_lex_state = 67},
  [14004] = {.lex_state = 84, .external_lex_state = 29},
  [14005] = {.lex_state = 84, .external_lex_state = 54},
  [14006] = {.lex_state = 84, .external_lex_state = 37},
  [14007] = {.lex_state = 84, .external_lex_state = 54},
  [14008] = {.lex_state = 84, .external_lex_state = 54},
  [14009] = {.lex_state = 84, .external_lex_state = 54},
  [14010] = {.lex_state = 77, .external_lex_state = 23},
  [14011] = {.lex_state = 77, .external_lex_state = 23},
  [14012] = {.lex_state = 84, .external_lex_state = 54},
  [14013] = {.lex_state = 84, .external_lex_state = 54},
  [14014] = {.lex_state = 84, .external_lex_state = 24},
  [14015] = {.lex_state = 77, .external_lex_state = 58},
  [14016] = {.lex_state = 84, .external_lex_state = 54},
  [14017] = {.lex_state = 84, .external_lex_state = 54},
  [14018] = {.lex_state = 77, .external_lex_state = 61},
  [14019] = {.lex_state = 76, .external_lex_state = 24},
  [14020] = {.lex_state = 77, .external_lex_state = 61},
  [14021] = {.lex_state = 84, .external_lex_state = 54},
  [14022] = {.lex_state = 84, .external_lex_state = 29},
  [14023] = {.lex_state = 77, .external_lex_state = 65},
  [14024] = {.lex_state = 84, .external_lex_state = 54},
  [14025] = {.lex_state = 77, .external_lex_state = 58},
  [14026] = {.lex_state = 84, .external_lex_state = 54},
  [14027] = {.lex_state = 77, .external_lex_state = 39},
  [14028] = {.lex_state = 77, .external_lex_state = 61},
  [14029] = {.lex_state = 84, .external_lex_state = 54},
  [14030] = {.lex_state = 77, .external_lex_state = 58},
  [14031] = {.lex_state = 77},
  [14032] = {.lex_state = 77, .external_lex_state = 56},
  [14033] = {.lex_state = 84, .external_lex_state = 51},
  [14034] = {.lex_state = 77, .external_lex_state = 65},
  [14035] = {.lex_state = 84, .external_lex_state = 54},
  [14036] = {.lex_state = 77, .external_lex_state = 58},
  [14037] = {.lex_state = 77, .external_lex_state = 60},
  [14038] = {.lex_state = 84, .external_lex_state = 57},
  [14039] = {.lex_state = 77},
  [14040] = {.lex_state = 76, .external_lex_state = 24},
  [14041] = {.lex_state = 84},
  [14042] = {.lex_state = 84, .external_lex_state = 56},
  [14043] = {.lex_state = 84, .external_lex_state = 56},
  [14044] = {.lex_state = 84},
  [14045] = {.lex_state = 84, .external_lex_state = 56},
  [14046] = {.lex_state = 84, .external_lex_state = 23},
  [14047] = {.lex_state = 84, .external_lex_state = 24},
  [14048] = {.lex_state = 84, .external_lex_state = 56},
  [14049] = {.lex_state = 84, .external_lex_state = 32},
  [14050] = {.lex_state = 84, .external_lex_state = 56},
  [14051] = {.lex_state = 84, .external_lex_state = 32},
  [14052] = {.lex_state = 77, .external_lex_state = 24},
  [14053] = {.lex_state = 77, .external_lex_state = 52},
  [14054] = {.lex_state = 84, .external_lex_state = 68},
  [14055] = {.lex_state = 84, .external_lex_state = 39},
  [14056] = {.lex_state = 84, .external_lex_state = 24},
  [14057] = {.lex_state = 84},
  [14058] = {.lex_state = 77, .external_lex_state = 55},
  [14059] = {.lex_state = 84, .external_lex_state = 56},
  [14060] = {.lex_state = 84},
  [14061] = {.lex_state = 84, .external_lex_state = 56},
  [14062] = {.lex_state = 84, .external_lex_state = 43},
  [14063] = {.lex_state = 77, .external_lex_state = 52},
  [14064] = {.lex_state = 84, .external_lex_state = 56},
  [14065] = {.lex_state = 76, .external_lex_state = 24},
  [14066] = {.lex_state = 84, .external_lex_state = 35},
  [14067] = {.lex_state = 84, .external_lex_state = 29},
  [14068] = {.lex_state = 84, .external_lex_state = 35},
  [14069] = {.lex_state = 77, .external_lex_state = 65},
  [14070] = {.lex_state = 84, .external_lex_state = 35},
  [14071] = {.lex_state = 77, .external_lex_state = 60},
  [14072] = {.lex_state = 84},
  [14073] = {.lex_state = 0},
  [14074] = {.lex_state = 76, .external_lex_state = 24},
  [14075] = {.lex_state = 84, .external_lex_state = 56},
  [14076] = {.lex_state = 84, .external_lex_state = 48},
  [14077] = {.lex_state = 84, .external_lex_state = 40},
  [14078] = {.lex_state = 84, .external_lex_state = 56},
  [14079] = {.lex_state = 77, .external_lex_state = 60},
  [14080] = {.lex_state = 76, .external_lex_state = 24},
  [14081] = {.lex_state = 77, .external_lex_state = 66},
  [14082] = {.lex_state = 76, .external_lex_state = 24},
  [14083] = {.lex_state = 77, .external_lex_state = 60},
  [14084] = {.lex_state = 84, .external_lex_state = 32},
  [14085] = {.lex_state = 76, .external_lex_state = 24},
  [14086] = {.lex_state = 84, .external_lex_state = 57},
  [14087] = {.lex_state = 77, .external_lex_state = 52},
  [14088] = {.lex_state = 77, .external_lex_state = 60},
  [14089] = {.lex_state = 84, .external_lex_state = 56},
  [14090] = {.lex_state = 84, .external_lex_state = 56},
  [14091] = {.lex_state = 84, .external_lex_state = 24},
  [14092] = {.lex_state = 84, .external_lex_state = 24},
  [14093] = {.lex_state = 84, .external_lex_state = 56},
  [14094] = {.lex_state = 84, .external_lex_state = 56},
  [14095] = {.lex_state = 84, .external_lex_state = 33},
  [14096] = {.lex_state = 84, .external_lex_state = 35},
  [14097] = {.lex_state = 0},
  [14098] = {.lex_state = 77, .external_lex_state = 39},
  [14099] = {.lex_state = 84, .external_lex_state = 56},
  [14100] = {.lex_state = 76, .external_lex_state = 24},
  [14101] = {.lex_state = 84, .external_lex_state = 56},
  [14102] = {.lex_state = 84, .external_lex_state = 56},
  [14103] = {.lex_state = 77, .external_lex_state = 23},
  [14104] = {.lex_state = 84, .external_lex_state = 43},
  [14105] = {.lex_state = 77, .external_lex_state = 24},
  [14106] = {.lex_state = 84, .external_lex_state = 35},
  [14107] = {.lex_state = 84, .external_lex_state = 39},
  [14108] = {.lex_state = 84, .external_lex_state = 35},
  [14109] = {.lex_state = 84, .external_lex_state = 43},
  [14110] = {.lex_state = 84, .external_lex_state = 24},
  [14111] = {.lex_state = 84, .external_lex_state = 57},
  [14112] = {.lex_state = 76, .external_lex_state = 24},
  [14113] = {.lex_state = 77, .external_lex_state = 24},
  [14114] = {.lex_state = 84, .external_lex_state = 32},
  [14115] = {.lex_state = 84, .external_lex_state = 56},
  [14116] = {.lex_state = 84, .external_lex_state = 57},
  [14117] = {.lex_state = 84, .external_lex_state = 56},
  [14118] = {.lex_state = 84, .external_lex_state = 35},
  [14119] = {.lex_state = 84, .external_lex_state = 23},
  [14120] = {.lex_state = 84, .external_lex_state = 29},
  [14121] = {.lex_state = 84, .external_lex_state = 56},
  [14122] = {.lex_state = 84, .external_lex_state = 57},
  [14123] = {.lex_state = 84, .external_lex_state = 57},
  [14124] = {.lex_state = 84, .external_lex_state = 29},
  [14125] = {.lex_state = 84, .external_lex_state = 35},
  [14126] = {.lex_state = 76, .external_lex_state = 23},
  [14127] = {.lex_state = 77, .external_lex_state = 23},
  [14128] = {.lex_state = 84, .external_lex_state = 56},
  [14129] = {.lex_state = 84, .external_lex_state = 57},
  [14130] = {.lex_state = 84, .external_lex_state = 48},
  [14131] = {.lex_state = 84, .external_lex_state = 43},
  [14132] = {.lex_state = 84, .external_lex_state = 68},
  [14133] = {.lex_state = 84, .external_lex_state = 57},
  [14134] = {.lex_state = 84, .external_lex_state = 33},
  [14135] = {.lex_state = 84, .external_lex_state = 58},
  [14136] = {.lex_state = 76, .external_lex_state = 24},
  [14137] = {.lex_state = 84, .external_lex_state = 57},
  [14138] = {.lex_state = 84, .external_lex_state = 58},
  [14139] = {.lex_state = 84, .external_lex_state = 57},
  [14140] = {.lex_state = 84, .external_lex_state = 23},
  [14141] = {.lex_state = 84, .external_lex_state = 58},
  [14142] = {.lex_state = 84, .external_lex_state = 57},
  [14143] = {.lex_state = 84, .external_lex_state = 56},
  [14144] = {.lex_state = 84, .external_lex_state = 24},
  [14145] = {.lex_state = 84, .external_lex_state = 58},
  [14146] = {.lex_state = 84, .external_lex_state = 58},
  [14147] = {.lex_state = 77, .external_lex_state = 60},
  [14148] = {.lex_state = 76},
  [14149] = {.lex_state = 84, .external_lex_state = 24},
  [14150] = {.lex_state = 84, .external_lex_state = 48},
  [14151] = {.lex_state = 84, .external_lex_state = 57},
  [14152] = {.lex_state = 0},
  [14153] = {.lex_state = 84, .external_lex_state = 24},
  [14154] = {.lex_state = 84, .external_lex_state = 48},
  [14155] = {.lex_state = 84, .external_lex_state = 37},
  [14156] = {.lex_state = 84, .external_lex_state = 58},
  [14157] = {.lex_state = 0, .external_lex_state = 23},
  [14158] = {.lex_state = 84, .external_lex_state = 57},
  [14159] = {.lex_state = 84, .external_lex_state = 33},
  [14160] = {.lex_state = 84, .external_lex_state = 54},
  [14161] = {.lex_state = 84, .external_lex_state = 69},
  [14162] = {.lex_state = 84, .external_lex_state = 58},
  [14163] = {.lex_state = 84, .external_lex_state = 58},
  [14164] = {.lex_state = 84, .external_lex_state = 57},
  [14165] = {.lex_state = 84, .external_lex_state = 37},
  [14166] = {.lex_state = 84, .external_lex_state = 57},
  [14167] = {.lex_state = 84, .external_lex_state = 33},
  [14168] = {.lex_state = 84, .external_lex_state = 57},
  [14169] = {.lex_state = 84, .external_lex_state = 40},
  [14170] = {.lex_state = 84, .external_lex_state = 57},
  [14171] = {.lex_state = 84, .external_lex_state = 58},
  [14172] = {.lex_state = 84, .external_lex_state = 48},
  [14173] = {.lex_state = 84, .external_lex_state = 57},
  [14174] = {.lex_state = 84, .external_lex_state = 57},
  [14175] = {.lex_state = 84, .external_lex_state = 55},
  [14176] = {.lex_state = 84, .external_lex_state = 57},
  [14177] = {.lex_state = 77, .external_lex_state = 60},
  [14178] = {.lex_state = 84, .external_lex_state = 24},
  [14179] = {.lex_state = 77, .external_lex_state = 60},
  [14180] = {.lex_state = 77, .external_lex_state = 60},
  [14181] = {.lex_state = 84, .external_lex_state = 57},
  [14182] = {.lex_state = 84, .external_lex_state = 58},
  [14183] = {.lex_state = 84, .external_lex_state = 57},
  [14184] = {.lex_state = 84, .external_lex_state = 24},
  [14185] = {.lex_state = 84, .external_lex_state = 23},
  [14186] = {.lex_state = 0},
  [14187] = {.lex_state = 84, .external_lex_state = 33},
  [14188] = {.lex_state = 0},
  [14189] = {.lex_state = 84, .external_lex_state = 33},
  [14190] = {.lex_state = 84, .external_lex_state = 32},
  [14191] = {.lex_state = 0},
  [14192] = {.lex_state = 76, .external_lex_state = 24},
  [14193] = {.lex_state = 84, .external_lex_state = 48},
  [14194] = {.lex_state = 84, .external_lex_state = 48},
  [14195] = {.lex_state = 77, .external_lex_state = 24},
  [14196] = {.lex_state = 84, .external_lex_state = 57},
  [14197] = {.lex_state = 84},
  [14198] = {.lex_state = 84, .external_lex_state = 57},
  [14199] = {.lex_state = 84, .external_lex_state = 57},
  [14200] = {.lex_state = 76, .external_lex_state = 24},
  [14201] = {.lex_state = 77, .external_lex_state = 24},
  [14202] = {.lex_state = 84, .external_lex_state = 57},
  [14203] = {.lex_state = 84, .external_lex_state = 32},
  [14204] = {.lex_state = 84, .external_lex_state = 58},
  [14205] = {.lex_state = 84, .external_lex_state = 58},
  [14206] = {.lex_state = 0},
  [14207] = {.lex_state = 84, .external_lex_state = 69},
  [14208] = {.lex_state = 84, .external_lex_state = 23},
  [14209] = {.lex_state = 84, .external_lex_state = 58},
  [14210] = {.lex_state = 84, .external_lex_state = 56},
  [14211] = {.lex_state = 84, .external_lex_state = 32},
  [14212] = {.lex_state = 84, .external_lex_state = 29},
  [14213] = {.lex_state = 84, .external_lex_state = 58},
  [14214] = {.lex_state = 77, .external_lex_state = 60},
  [14215] = {.lex_state = 84, .external_lex_state = 58},
  [14216] = {.lex_state = 84, .external_lex_state = 58},
  [14217] = {.lex_state = 84, .external_lex_state = 57},
  [14218] = {.lex_state = 84, .external_lex_state = 32},
  [14219] = {.lex_state = 0},
  [14220] = {.lex_state = 84, .external_lex_state = 58},
  [14221] = {.lex_state = 76},
  [14222] = {.lex_state = 84, .external_lex_state = 33},
  [14223] = {.lex_state = 84, .external_lex_state = 55},
  [14224] = {.lex_state = 77, .external_lex_state = 52},
  [14225] = {.lex_state = 84, .external_lex_state = 48},
  [14226] = {.lex_state = 0},
  [14227] = {.lex_state = 77, .external_lex_state = 24},
  [14228] = {.lex_state = 84, .external_lex_state = 58},
  [14229] = {.lex_state = 0},
  [14230] = {.lex_state = 84, .external_lex_state = 58},
  [14231] = {.lex_state = 84, .external_lex_state = 33},
  [14232] = {.lex_state = 84, .external_lex_state = 33},
  [14233] = {.lex_state = 84, .external_lex_state = 33},
  [14234] = {.lex_state = 84, .external_lex_state = 58},
  [14235] = {.lex_state = 84, .external_lex_state = 33},
  [14236] = {.lex_state = 84, .external_lex_state = 33},
  [14237] = {.lex_state = 84, .external_lex_state = 58},
  [14238] = {.lex_state = 84, .external_lex_state = 33},
  [14239] = {.lex_state = 84, .external_lex_state = 58},
  [14240] = {.lex_state = 84},
  [14241] = {.lex_state = 84, .external_lex_state = 23},
  [14242] = {.lex_state = 84, .external_lex_state = 24},
  [14243] = {.lex_state = 84, .external_lex_state = 39},
  [14244] = {.lex_state = 77, .external_lex_state = 24},
  [14245] = {.lex_state = 84, .external_lex_state = 58},
  [14246] = {.lex_state = 84, .external_lex_state = 58},
  [14247] = {.lex_state = 77, .external_lex_state = 65},
  [14248] = {.lex_state = 84, .external_lex_state = 68},
  [14249] = {.lex_state = 84, .external_lex_state = 54},
  [14250] = {.lex_state = 84, .external_lex_state = 37},
  [14251] = {.lex_state = 84, .external_lex_state = 68},
  [14252] = {.lex_state = 77, .external_lex_state = 52},
  [14253] = {.lex_state = 84},
  [14254] = {.lex_state = 84},
  [14255] = {.lex_state = 76, .external_lex_state = 24},
  [14256] = {.lex_state = 84, .external_lex_state = 37},
  [14257] = {.lex_state = 84, .external_lex_state = 24},
  [14258] = {.lex_state = 77, .external_lex_state = 70},
  [14259] = {.lex_state = 77, .external_lex_state = 52},
  [14260] = {.lex_state = 76, .external_lex_state = 23},
  [14261] = {.lex_state = 76, .external_lex_state = 24},
  [14262] = {.lex_state = 84, .external_lex_state = 56},
  [14263] = {.lex_state = 84, .external_lex_state = 56},
  [14264] = {.lex_state = 77, .external_lex_state = 52},
  [14265] = {.lex_state = 77, .external_lex_state = 52},
  [14266] = {.lex_state = 84, .external_lex_state = 33},
  [14267] = {.lex_state = 77, .external_lex_state = 52},
  [14268] = {.lex_state = 77, .external_lex_state = 52},
  [14269] = {.lex_state = 77, .external_lex_state = 65},
  [14270] = {.lex_state = 84, .external_lex_state = 55},
  [14271] = {.lex_state = 84, .external_lex_state = 40},
  [14272] = {.lex_state = 77, .external_lex_state = 52},
  [14273] = {.lex_state = 84, .external_lex_state = 23},
  [14274] = {.lex_state = 84},
  [14275] = {.lex_state = 84, .external_lex_state = 53},
  [14276] = {.lex_state = 84, .external_lex_state = 24},
  [14277] = {.lex_state = 77, .external_lex_state = 65},
  [14278] = {.lex_state = 84},
  [14279] = {.lex_state = 84, .external_lex_state = 35},
  [14280] = {.lex_state = 84, .external_lex_state = 23},
  [14281] = {.lex_state = 84, .external_lex_state = 35},
  [14282] = {.lex_state = 84, .external_lex_state = 58},
  [14283] = {.lex_state = 77, .external_lex_state = 52},
  [14284] = {.lex_state = 84, .external_lex_state = 58},
  [14285] = {.lex_state = 84, .external_lex_state = 37},
  [14286] = {.lex_state = 84, .external_lex_state = 37},
  [14287] = {.lex_state = 84, .external_lex_state = 33},
  [14288] = {.lex_state = 84, .external_lex_state = 53},
  [14289] = {.lex_state = 76, .external_lex_state = 23},
  [14290] = {.lex_state = 77, .external_lex_state = 65},
  [14291] = {.lex_state = 84, .external_lex_state = 40},
  [14292] = {.lex_state = 84},
  [14293] = {.lex_state = 84, .external_lex_state = 43},
  [14294] = {.lex_state = 77, .external_lex_state = 52},
  [14295] = {.lex_state = 84, .external_lex_state = 24},
  [14296] = {.lex_state = 84, .external_lex_state = 40},
  [14297] = {.lex_state = 84},
  [14298] = {.lex_state = 84, .external_lex_state = 58},
  [14299] = {.lex_state = 77, .external_lex_state = 52},
  [14300] = {.lex_state = 84},
  [14301] = {.lex_state = 77, .external_lex_state = 52},
  [14302] = {.lex_state = 84},
  [14303] = {.lex_state = 84, .external_lex_state = 69},
  [14304] = {.lex_state = 84, .external_lex_state = 54},
  [14305] = {.lex_state = 0, .external_lex_state = 23},
  [14306] = {.lex_state = 84},
  [14307] = {.lex_state = 84, .external_lex_state = 54},
  [14308] = {.lex_state = 84},
  [14309] = {.lex_state = 84, .external_lex_state = 33},
  [14310] = {.lex_state = 84, .external_lex_state = 23},
  [14311] = {.lex_state = 76, .external_lex_state = 23},
  [14312] = {.lex_state = 76, .external_lex_state = 23},
  [14313] = {.lex_state = 84, .external_lex_state = 24},
  [14314] = {.lex_state = 84, .external_lex_state = 35},
  [14315] = {.lex_state = 76, .external_lex_state = 23},
  [14316] = {.lex_state = 84, .external_lex_state = 24},
  [14317] = {.lex_state = 77, .external_lex_state = 52},
  [14318] = {.lex_state = 84, .external_lex_state = 23},
  [14319] = {.lex_state = 84, .external_lex_state = 24},
  [14320] = {.lex_state = 84, .external_lex_state = 35},
  [14321] = {.lex_state = 84, .external_lex_state = 54},
  [14322] = {.lex_state = 76, .external_lex_state = 23},
  [14323] = {.lex_state = 0, .external_lex_state = 23},
  [14324] = {.lex_state = 84, .external_lex_state = 39},
  [14325] = {.lex_state = 77, .external_lex_state = 52},
  [14326] = {.lex_state = 77, .external_lex_state = 65},
  [14327] = {.lex_state = 77, .external_lex_state = 52},
  [14328] = {.lex_state = 84, .external_lex_state = 23},
  [14329] = {.lex_state = 84, .external_lex_state = 23},
  [14330] = {.lex_state = 84, .external_lex_state = 35},
  [14331] = {.lex_state = 84, .external_lex_state = 68},
  [14332] = {.lex_state = 77, .external_lex_state = 70},
  [14333] = {.lex_state = 84, .external_lex_state = 24},
  [14334] = {.lex_state = 84, .external_lex_state = 55},
  [14335] = {.lex_state = 84, .external_lex_state = 53},
  [14336] = {.lex_state = 84, .external_lex_state = 24},
  [14337] = {.lex_state = 84},
  [14338] = {.lex_state = 84, .external_lex_state = 40},
  [14339] = {.lex_state = 77, .external_lex_state = 52},
  [14340] = {.lex_state = 84, .external_lex_state = 35},
  [14341] = {.lex_state = 84, .external_lex_state = 54},
  [14342] = {.lex_state = 76, .external_lex_state = 23},
  [14343] = {.lex_state = 77, .external_lex_state = 65},
  [14344] = {.lex_state = 77, .external_lex_state = 67},
  [14345] = {.lex_state = 76, .external_lex_state = 24},
  [14346] = {.lex_state = 84},
  [14347] = {.lex_state = 84, .external_lex_state = 35},
  [14348] = {.lex_state = 84, .external_lex_state = 24},
  [14349] = {.lex_state = 77, .external_lex_state = 70},
  [14350] = {.lex_state = 84, .external_lex_state = 35},
  [14351] = {.lex_state = 84, .external_lex_state = 35},
  [14352] = {.lex_state = 84, .external_lex_state = 24},
  [14353] = {.lex_state = 84, .external_lex_state = 24},
  [14354] = {.lex_state = 84, .external_lex_state = 40},
  [14355] = {.lex_state = 77, .external_lex_state = 52},
  [14356] = {.lex_state = 84},
  [14357] = {.lex_state = 84, .external_lex_state = 24},
  [14358] = {.lex_state = 84, .external_lex_state = 24},
  [14359] = {.lex_state = 84, .external_lex_state = 24},
  [14360] = {.lex_state = 76, .external_lex_state = 23},
  [14361] = {.lex_state = 77, .external_lex_state = 70},
  [14362] = {.lex_state = 84, .external_lex_state = 37},
  [14363] = {.lex_state = 84},
  [14364] = {.lex_state = 84, .external_lex_state = 39},
  [14365] = {.lex_state = 84, .external_lex_state = 35},
  [14366] = {.lex_state = 84, .external_lex_state = 24},
  [14367] = {.lex_state = 84, .external_lex_state = 54},
  [14368] = {.lex_state = 84, .external_lex_state = 40},
  [14369] = {.lex_state = 84, .external_lex_state = 57},
  [14370] = {.lex_state = 84, .external_lex_state = 24},
  [14371] = {.lex_state = 84, .external_lex_state = 33},
  [14372] = {.lex_state = 84, .external_lex_state = 24},
  [14373] = {.lex_state = 77, .external_lex_state = 65},
  [14374] = {.lex_state = 84, .external_lex_state = 24},
  [14375] = {.lex_state = 84, .external_lex_state = 24},
  [14376] = {.lex_state = 84, .external_lex_state = 24},
  [14377] = {.lex_state = 84, .external_lex_state = 37},
  [14378] = {.lex_state = 84, .external_lex_state = 24},
  [14379] = {.lex_state = 84, .external_lex_state = 37},
  [14380] = {.lex_state = 84, .external_lex_state = 40},
  [14381] = {.lex_state = 77, .external_lex_state = 24},
  [14382] = {.lex_state = 84, .external_lex_state = 40},
  [14383] = {.lex_state = 84, .external_lex_state = 58},
  [14384] = {.lex_state = 84, .external_lex_state = 24},
  [14385] = {.lex_state = 76, .external_lex_state = 24},
  [14386] = {.lex_state = 76, .external_lex_state = 24},
  [14387] = {.lex_state = 84, .external_lex_state = 23},
  [14388] = {.lex_state = 84, .external_lex_state = 58},
  [14389] = {.lex_state = 84, .external_lex_state = 24},
  [14390] = {.lex_state = 84, .external_lex_state = 43},
  [14391] = {.lex_state = 76, .external_lex_state = 23},
  [14392] = {.lex_state = 84, .external_lex_state = 24},
  [14393] = {.lex_state = 84, .external_lex_state = 69},
  [14394] = {.lex_state = 84, .external_lex_state = 53},
  [14395] = {.lex_state = 84},
  [14396] = {.lex_state = 84, .external_lex_state = 24},
  [14397] = {.lex_state = 84, .external_lex_state = 24},
  [14398] = {.lex_state = 84, .external_lex_state = 23},
  [14399] = {.lex_state = 84, .external_lex_state = 40},
  [14400] = {.lex_state = 84, .external_lex_state = 40},
  [14401] = {.lex_state = 84, .external_lex_state = 43},
  [14402] = {.lex_state = 84},
  [14403] = {.lex_state = 0, .external_lex_state = 23},
  [14404] = {.lex_state = 84, .external_lex_state = 24},
  [14405] = {.lex_state = 77, .external_lex_state = 52},
  [14406] = {.lex_state = 84, .external_lex_state = 55},
  [14407] = {.lex_state = 84, .external_lex_state = 43},
  [14408] = {.lex_state = 76, .external_lex_state = 24},
  [14409] = {.lex_state = 84, .external_lex_state = 69},
  [14410] = {.lex_state = 84},
  [14411] = {.lex_state = 84, .external_lex_state = 37},
  [14412] = {.lex_state = 76, .external_lex_state = 23},
  [14413] = {.lex_state = 84},
  [14414] = {.lex_state = 0, .external_lex_state = 23},
  [14415] = {.lex_state = 84, .external_lex_state = 35},
  [14416] = {.lex_state = 84, .external_lex_state = 55},
  [14417] = {.lex_state = 84, .external_lex_state = 39},
  [14418] = {.lex_state = 76, .external_lex_state = 24},
  [14419] = {.lex_state = 84, .external_lex_state = 23},
  [14420] = {.lex_state = 84, .external_lex_state = 55},
  [14421] = {.lex_state = 84, .external_lex_state = 43},
  [14422] = {.lex_state = 84, .external_lex_state = 55},
  [14423] = {.lex_state = 84, .external_lex_state = 23},
  [14424] = {.lex_state = 84, .external_lex_state = 43},
  [14425] = {.lex_state = 84, .external_lex_state = 43},
  [14426] = {.lex_state = 84, .external_lex_state = 55},
  [14427] = {.lex_state = 0, .external_lex_state = 24},
  [14428] = {.lex_state = 84},
  [14429] = {.lex_state = 84, .external_lex_state = 43},
  [14430] = {.lex_state = 84},
  [14431] = {.lex_state = 84},
  [14432] = {.lex_state = 84, .external_lex_state = 24},
  [14433] = {.lex_state = 0, .external_lex_state = 23},
  [14434] = {.lex_state = 84, .external_lex_state = 23},
  [14435] = {.lex_state = 77, .external_lex_state = 65},
  [14436] = {.lex_state = 84, .external_lex_state = 24},
  [14437] = {.lex_state = 84, .external_lex_state = 55},
  [14438] = {.lex_state = 84, .external_lex_state = 24},
  [14439] = {.lex_state = 77},
  [14440] = {.lex_state = 0, .external_lex_state = 24},
  [14441] = {.lex_state = 84},
  [14442] = {.lex_state = 84, .external_lex_state = 23},
  [14443] = {.lex_state = 84, .external_lex_state = 39},
  [14444] = {.lex_state = 84, .external_lex_state = 24},
  [14445] = {.lex_state = 84, .external_lex_state = 35},
  [14446] = {.lex_state = 84, .external_lex_state = 39},
  [14447] = {.lex_state = 77, .external_lex_state = 65},
  [14448] = {.lex_state = 77, .external_lex_state = 65},
  [14449] = {.lex_state = 84},
  [14450] = {.lex_state = 84, .external_lex_state = 24},
  [14451] = {.lex_state = 84, .external_lex_state = 39},
  [14452] = {.lex_state = 84},
  [14453] = {.lex_state = 84, .external_lex_state = 58},
  [14454] = {.lex_state = 84, .external_lex_state = 24},
  [14455] = {.lex_state = 84, .external_lex_state = 23},
  [14456] = {.lex_state = 84, .external_lex_state = 24},
  [14457] = {.lex_state = 76, .external_lex_state = 24},
  [14458] = {.lex_state = 84, .external_lex_state = 55},
  [14459] = {.lex_state = 84, .external_lex_state = 39},
  [14460] = {.lex_state = 84},
  [14461] = {.lex_state = 84},
  [14462] = {.lex_state = 84},
  [14463] = {.lex_state = 84},
  [14464] = {.lex_state = 84, .external_lex_state = 55},
  [14465] = {.lex_state = 84, .external_lex_state = 23},
  [14466] = {.lex_state = 84, .external_lex_state = 55},
  [14467] = {.lex_state = 76, .external_lex_state = 23},
  [14468] = {.lex_state = 84, .external_lex_state = 24},
  [14469] = {.lex_state = 84},
  [14470] = {.lex_state = 84, .external_lex_state = 35},
  [14471] = {.lex_state = 77, .external_lex_state = 65},
  [14472] = {.lex_state = 77, .external_lex_state = 65},
  [14473] = {.lex_state = 76, .external_lex_state = 23},
  [14474] = {.lex_state = 84, .external_lex_state = 23},
  [14475] = {.lex_state = 84},
  [14476] = {.lex_state = 84},
  [14477] = {.lex_state = 84},
  [14478] = {.lex_state = 84, .external_lex_state = 54},
  [14479] = {.lex_state = 0, .external_lex_state = 24},
  [14480] = {.lex_state = 77, .external_lex_state = 65},
  [14481] = {.lex_state = 9},
  [14482] = {.lex_state = 84, .external_lex_state = 58},
  [14483] = {.lex_state = 77, .external_lex_state = 65},
  [14484] = {.lex_state = 76, .external_lex_state = 24},
  [14485] = {.lex_state = 0, .external_lex_state = 23},
  [14486] = {.lex_state = 84, .external_lex_state = 39},
  [14487] = {.lex_state = 0, .external_lex_state = 23},
  [14488] = {.lex_state = 84, .external_lex_state = 39},
  [14489] = {.lex_state = 77, .external_lex_state = 65},
  [14490] = {.lex_state = 84},
  [14491] = {.lex_state = 84, .external_lex_state = 24},
  [14492] = {.lex_state = 84, .external_lex_state = 23},
  [14493] = {.lex_state = 77},
  [14494] = {.lex_state = 84, .external_lex_state = 69},
  [14495] = {.lex_state = 76, .external_lex_state = 23},
  [14496] = {.lex_state = 76, .external_lex_state = 23},
  [14497] = {.lex_state = 77, .external_lex_state = 65},
  [14498] = {.lex_state = 77},
  [14499] = {.lex_state = 84},
  [14500] = {.lex_state = 0, .external_lex_state = 23},
  [14501] = {.lex_state = 84, .external_lex_state = 23},
  [14502] = {.lex_state = 84, .external_lex_state = 43},
  [14503] = {.lex_state = 84, .external_lex_state = 39},
  [14504] = {.lex_state = 84, .external_lex_state = 23},
  [14505] = {.lex_state = 84, .external_lex_state = 23},
  [14506] = {.lex_state = 84},
  [14507] = {.lex_state = 84, .external_lex_state = 23},
  [14508] = {.lex_state = 77, .external_lex_state = 65},
  [14509] = {.lex_state = 84, .external_lex_state = 23},
  [14510] = {.lex_state = 0, .external_lex_state = 23},
  [14511] = {.lex_state = 84, .external_lex_state = 35},
  [14512] = {.lex_state = 0, .external_lex_state = 24},
  [14513] = {.lex_state = 84, .external_lex_state = 39},
  [14514] = {.lex_state = 77, .external_lex_state = 71},
  [14515] = {.lex_state = 84, .external_lex_state = 39},
  [14516] = {.lex_state = 76, .external_lex_state = 24},
  [14517] = {.lex_state = 84},
  [14518] = {.lex_state = 77, .external_lex_state = 65},
  [14519] = {.lex_state = 84, .external_lex_state = 23},
  [14520] = {.lex_state = 0, .external_lex_state = 23},
  [14521] = {.lex_state = 0, .external_lex_state = 23},
  [14522] = {.lex_state = 0, .external_lex_state = 23},
  [14523] = {.lex_state = 77},
  [14524] = {.lex_state = 84},
  [14525] = {.lex_state = 84, .external_lex_state = 43},
  [14526] = {.lex_state = 84, .external_lex_state = 43},
  [14527] = {.lex_state = 77, .external_lex_state = 65},
  [14528] = {.lex_state = 76, .external_lex_state = 23},
  [14529] = {.lex_state = 84, .external_lex_state = 54},
  [14530] = {.lex_state = 84},
  [14531] = {.lex_state = 0, .external_lex_state = 23},
  [14532] = {.lex_state = 9},
  [14533] = {.lex_state = 84},
  [14534] = {.lex_state = 76, .external_lex_state = 23},
  [14535] = {.lex_state = 84, .external_lex_state = 23},
  [14536] = {.lex_state = 84, .external_lex_state = 23},
  [14537] = {.lex_state = 84, .external_lex_state = 68},
  [14538] = {.lex_state = 84},
  [14539] = {.lex_state = 84},
  [14540] = {.lex_state = 84, .external_lex_state = 43},
  [14541] = {.lex_state = 76, .external_lex_state = 23},
  [14542] = {.lex_state = 84, .external_lex_state = 55},
  [14543] = {.lex_state = 77, .external_lex_state = 71},
  [14544] = {.lex_state = 84},
  [14545] = {.lex_state = 84, .external_lex_state = 55},
  [14546] = {.lex_state = 0},
  [14547] = {.lex_state = 76, .external_lex_state = 23},
  [14548] = {.lex_state = 76, .external_lex_state = 24},
  [14549] = {.lex_state = 84, .external_lex_state = 55},
  [14550] = {.lex_state = 84, .external_lex_state = 39},
  [14551] = {.lex_state = 76, .external_lex_state = 23},
  [14552] = {.lex_state = 84, .external_lex_state = 35},
  [14553] = {.lex_state = 77, .external_lex_state = 65},
  [14554] = {.lex_state = 84, .external_lex_state = 23},
  [14555] = {.lex_state = 77, .external_lex_state = 65},
  [14556] = {.lex_state = 77, .external_lex_state = 71},
  [14557] = {.lex_state = 84, .external_lex_state = 55},
  [14558] = {.lex_state = 84},
  [14559] = {.lex_state = 84, .external_lex_state = 39},
  [14560] = {.lex_state = 84, .external_lex_state = 23},
  [14561] = {.lex_state = 76, .external_lex_state = 23},
  [14562] = {.lex_state = 84},
  [14563] = {.lex_state = 77, .external_lex_state = 65},
  [14564] = {.lex_state = 84},
  [14565] = {.lex_state = 76, .external_lex_state = 23},
  [14566] = {.lex_state = 84},
  [14567] = {.lex_state = 84, .external_lex_state = 23},
  [14568] = {.lex_state = 84, .external_lex_state = 35},
  [14569] = {.lex_state = 76, .external_lex_state = 23},
  [14570] = {.lex_state = 0},
  [14571] = {.lex_state = 84, .external_lex_state = 23},
  [14572] = {.lex_state = 84, .external_lex_state = 23},
  [14573] = {.lex_state = 0},
  [14574] = {.lex_state = 84, .external_lex_state = 23},
  [14575] = {.lex_state = 84, .external_lex_state = 56},
  [14576] = {.lex_state = 0},
  [14577] = {.lex_state = 84, .external_lex_state = 53},
  [14578] = {.lex_state = 84, .external_lex_state = 53},
  [14579] = {.lex_state = 84, .external_lex_state = 23},
  [14580] = {.lex_state = 0},
  [14581] = {.lex_state = 77, .external_lex_state = 71},
  [14582] = {.lex_state = 84, .external_lex_state = 23},
  [14583] = {.lex_state = 84, .external_lex_state = 23},
  [14584] = {.lex_state = 0},
  [14585] = {.lex_state = 0, .external_lex_state = 23},
  [14586] = {.lex_state = 77},
  [14587] = {.lex_state = 84, .external_lex_state = 23},
  [14588] = {.lex_state = 0},
  [14589] = {.lex_state = 0},
  [14590] = {.lex_state = 0},
  [14591] = {.lex_state = 84, .external_lex_state = 23},
  [14592] = {.lex_state = 84, .external_lex_state = 23},
  [14593] = {.lex_state = 84, .external_lex_state = 24},
  [14594] = {.lex_state = 84, .external_lex_state = 23},
  [14595] = {.lex_state = 84, .external_lex_state = 23},
  [14596] = {.lex_state = 0, .external_lex_state = 23},
  [14597] = {.lex_state = 84, .external_lex_state = 24},
  [14598] = {.lex_state = 0, .external_lex_state = 24},
  [14599] = {.lex_state = 84, .external_lex_state = 69},
  [14600] = {.lex_state = 84, .external_lex_state = 68},
  [14601] = {.lex_state = 76, .external_lex_state = 24},
  [14602] = {.lex_state = 0},
  [14603] = {.lex_state = 84, .external_lex_state = 23},
  [14604] = {.lex_state = 84, .external_lex_state = 23},
  [14605] = {.lex_state = 0},
  [14606] = {.lex_state = 0},
  [14607] = {.lex_state = 84, .external_lex_state = 23},
  [14608] = {.lex_state = 84, .external_lex_state = 23},
  [14609] = {.lex_state = 77},
  [14610] = {.lex_state = 84, .external_lex_state = 53},
  [14611] = {.lex_state = 84, .external_lex_state = 23},
  [14612] = {.lex_state = 0},
  [14613] = {.lex_state = 84, .external_lex_state = 69},
  [14614] = {.lex_state = 84, .external_lex_state = 53},
  [14615] = {.lex_state = 0},
  [14616] = {.lex_state = 0},
  [14617] = {.lex_state = 84, .external_lex_state = 68},
  [14618] = {.lex_state = 84},
  [14619] = {.lex_state = 0},
  [14620] = {.lex_state = 84, .external_lex_state = 24},
  [14621] = {.lex_state = 0, .external_lex_state = 24},
  [14622] = {.lex_state = 0},
  [14623] = {.lex_state = 84, .external_lex_state = 23},
  [14624] = {.lex_state = 84, .external_lex_state = 23},
  [14625] = {.lex_state = 84, .external_lex_state = 23},
  [14626] = {.lex_state = 0},
  [14627] = {.lex_state = 84, .external_lex_state = 23},
  [14628] = {.lex_state = 76, .external_lex_state = 23},
  [14629] = {.lex_state = 77, .external_lex_state = 71},
  [14630] = {.lex_state = 84, .external_lex_state = 23},
  [14631] = {.lex_state = 76, .external_lex_state = 24},
  [14632] = {.lex_state = 0},
  [14633] = {.lex_state = 77, .external_lex_state = 71},
  [14634] = {.lex_state = 84, .external_lex_state = 23},
  [14635] = {.lex_state = 84, .external_lex_state = 23},
  [14636] = {.lex_state = 84, .external_lex_state = 56},
  [14637] = {.lex_state = 84, .external_lex_state = 23},
  [14638] = {.lex_state = 84, .external_lex_state = 23},
  [14639] = {.lex_state = 84, .external_lex_state = 23},
  [14640] = {.lex_state = 84, .external_lex_state = 23},
  [14641] = {.lex_state = 0},
  [14642] = {.lex_state = 84, .external_lex_state = 23},
  [14643] = {.lex_state = 0},
  [14644] = {.lex_state = 84, .external_lex_state = 23},
  [14645] = {.lex_state = 84, .external_lex_state = 23},
  [14646] = {.lex_state = 84, .external_lex_state = 23},
  [14647] = {.lex_state = 84, .external_lex_state = 23},
  [14648] = {.lex_state = 84, .external_lex_state = 23},
  [14649] = {.lex_state = 0},
  [14650] = {.lex_state = 84, .external_lex_state = 23},
  [14651] = {.lex_state = 84, .external_lex_state = 23},
  [14652] = {.lex_state = 84, .external_lex_state = 23},
  [14653] = {.lex_state = 84, .external_lex_state = 23},
  [14654] = {.lex_state = 84, .external_lex_state = 23},
  [14655] = {.lex_state = 84, .external_lex_state = 23},
  [14656] = {.lex_state = 0},
  [14657] = {.lex_state = 84, .external_lex_state = 23},
  [14658] = {.lex_state = 77, .external_lex_state = 71},
  [14659] = {.lex_state = 84, .external_lex_state = 23},
  [14660] = {.lex_state = 84, .external_lex_state = 23},
  [14661] = {.lex_state = 76, .external_lex_state = 24},
  [14662] = {.lex_state = 77, .external_lex_state = 71},
  [14663] = {.lex_state = 0},
  [14664] = {.lex_state = 84},
  [14665] = {.lex_state = 0, .external_lex_state = 24},
  [14666] = {.lex_state = 84, .external_lex_state = 23},
  [14667] = {.lex_state = 84, .external_lex_state = 23},
  [14668] = {.lex_state = 0},
  [14669] = {.lex_state = 84, .external_lex_state = 69},
  [14670] = {.lex_state = 77, .external_lex_state = 71},
  [14671] = {.lex_state = 0},
  [14672] = {.lex_state = 0, .external_lex_state = 23},
  [14673] = {.lex_state = 0},
  [14674] = {.lex_state = 0, .external_lex_state = 23},
  [14675] = {.lex_state = 84, .external_lex_state = 69},
  [14676] = {.lex_state = 0},
  [14677] = {.lex_state = 84, .external_lex_state = 23},
  [14678] = {.lex_state = 77, .external_lex_state = 71},
  [14679] = {.lex_state = 77, .external_lex_state = 71},
  [14680] = {.lex_state = 77, .external_lex_state = 65},
  [14681] = {.lex_state = 0},
  [14682] = {.lex_state = 0},
  [14683] = {.lex_state = 84, .external_lex_state = 23},
  [14684] = {.lex_state = 84, .external_lex_state = 23},
  [14685] = {.lex_state = 0},
  [14686] = {.lex_state = 84, .external_lex_state = 23},
  [14687] = {.lex_state = 0},
  [14688] = {.lex_state = 84, .external_lex_state = 23},
  [14689] = {.lex_state = 0},
  [14690] = {.lex_state = 0},
  [14691] = {.lex_state = 0},
  [14692] = {.lex_state = 0, .external_lex_state = 23},
  [14693] = {.lex_state = 0},
  [14694] = {.lex_state = 84, .external_lex_state = 23},
  [14695] = {.lex_state = 84, .external_lex_state = 24},
  [14696] = {.lex_state = 0},
  [14697] = {.lex_state = 77, .external_lex_state = 71},
  [14698] = {.lex_state = 84, .external_lex_state = 23},
  [14699] = {.lex_state = 84, .external_lex_state = 23},
  [14700] = {.lex_state = 84, .external_lex_state = 23},
  [14701] = {.lex_state = 0},
  [14702] = {.lex_state = 84, .external_lex_state = 23},
  [14703] = {.lex_state = 84, .external_lex_state = 23},
  [14704] = {.lex_state = 76, .external_lex_state = 24},
  [14705] = {.lex_state = 84, .external_lex_state = 23},
  [14706] = {.lex_state = 0},
  [14707] = {.lex_state = 0},
  [14708] = {.lex_state = 84},
  [14709] = {.lex_state = 0},
  [14710] = {.lex_state = 84, .external_lex_state = 23},
  [14711] = {.lex_state = 77, .external_lex_state = 52},
  [14712] = {.lex_state = 84, .external_lex_state = 23},
  [14713] = {.lex_state = 0, .external_lex_state = 23},
  [14714] = {.lex_state = 0, .external_lex_state = 23},
  [14715] = {.lex_state = 77, .external_lex_state = 71},
  [14716] = {.lex_state = 76, .external_lex_state = 23},
  [14717] = {.lex_state = 0},
  [14718] = {.lex_state = 0},
  [14719] = {.lex_state = 0},
  [14720] = {.lex_state = 77, .external_lex_state = 52},
  [14721] = {.lex_state = 84},
  [14722] = {.lex_state = 0},
  [14723] = {.lex_state = 84, .external_lex_state = 24},
  [14724] = {.lex_state = 0},
  [14725] = {.lex_state = 84, .external_lex_state = 69},
  [14726] = {.lex_state = 84, .external_lex_state = 23},
  [14727] = {.lex_state = 84, .external_lex_state = 24},
  [14728] = {.lex_state = 84, .external_lex_state = 23},
  [14729] = {.lex_state = 0},
  [14730] = {.lex_state = 84, .external_lex_state = 23},
  [14731] = {.lex_state = 84, .external_lex_state = 23},
  [14732] = {.lex_state = 0},
  [14733] = {.lex_state = 0},
  [14734] = {.lex_state = 84, .external_lex_state = 23},
  [14735] = {.lex_state = 0},
  [14736] = {.lex_state = 84, .external_lex_state = 68},
  [14737] = {.lex_state = 84},
  [14738] = {.lex_state = 77, .external_lex_state = 71},
  [14739] = {.lex_state = 77, .external_lex_state = 71},
  [14740] = {.lex_state = 77, .external_lex_state = 71},
  [14741] = {.lex_state = 77, .external_lex_state = 71},
  [14742] = {.lex_state = 84},
  [14743] = {.lex_state = 76, .external_lex_state = 24},
  [14744] = {.lex_state = 0},
  [14745] = {.lex_state = 77, .external_lex_state = 52},
  [14746] = {.lex_state = 84, .external_lex_state = 23},
  [14747] = {.lex_state = 0},
  [14748] = {.lex_state = 0},
  [14749] = {.lex_state = 84},
  [14750] = {.lex_state = 84, .external_lex_state = 69},
  [14751] = {.lex_state = 84, .external_lex_state = 56},
  [14752] = {.lex_state = 0},
  [14753] = {.lex_state = 84, .external_lex_state = 24},
  [14754] = {.lex_state = 84, .external_lex_state = 23},
  [14755] = {.lex_state = 0},
  [14756] = {.lex_state = 0},
  [14757] = {.lex_state = 84, .external_lex_state = 23},
  [14758] = {.lex_state = 0},
  [14759] = {.lex_state = 0},
  [14760] = {.lex_state = 0},
  [14761] = {.lex_state = 84, .external_lex_state = 23},
  [14762] = {.lex_state = 77, .external_lex_state = 52},
  [14763] = {.lex_state = 84, .external_lex_state = 23},
  [14764] = {.lex_state = 0, .external_lex_state = 23},
  [14765] = {.lex_state = 84, .external_lex_state = 69},
  [14766] = {.lex_state = 84},
  [14767] = {.lex_state = 84},
  [14768] = {.lex_state = 84},
  [14769] = {.lex_state = 0},
  [14770] = {.lex_state = 84},
  [14771] = {.lex_state = 84, .external_lex_state = 24},
  [14772] = {.lex_state = 76, .external_lex_state = 23},
  [14773] = {.lex_state = 84, .external_lex_state = 68},
  [14774] = {.lex_state = 0},
  [14775] = {.lex_state = 84},
  [14776] = {.lex_state = 0},
  [14777] = {.lex_state = 77, .external_lex_state = 52},
  [14778] = {.lex_state = 0, .external_lex_state = 24},
  [14779] = {.lex_state = 77, .external_lex_state = 52},
  [14780] = {.lex_state = 0},
  [14781] = {.lex_state = 84, .external_lex_state = 24},
  [14782] = {.lex_state = 84, .external_lex_state = 53},
  [14783] = {.lex_state = 84, .external_lex_state = 53},
  [14784] = {.lex_state = 0, .external_lex_state = 23},
  [14785] = {.lex_state = 0},
  [14786] = {.lex_state = 77, .external_lex_state = 71},
  [14787] = {.lex_state = 84, .external_lex_state = 24},
  [14788] = {.lex_state = 0},
  [14789] = {.lex_state = 0, .external_lex_state = 24},
  [14790] = {.lex_state = 77, .external_lex_state = 71},
  [14791] = {.lex_state = 77, .external_lex_state = 71},
  [14792] = {.lex_state = 0},
  [14793] = {.lex_state = 84, .external_lex_state = 23},
  [14794] = {.lex_state = 84, .external_lex_state = 68},
  [14795] = {.lex_state = 76, .external_lex_state = 24},
  [14796] = {.lex_state = 84, .external_lex_state = 23},
  [14797] = {.lex_state = 0},
  [14798] = {.lex_state = 0},
  [14799] = {.lex_state = 84, .external_lex_state = 56},
  [14800] = {.lex_state = 84, .external_lex_state = 24},
  [14801] = {.lex_state = 77, .external_lex_state = 71},
  [14802] = {.lex_state = 84, .external_lex_state = 23},
  [14803] = {.lex_state = 84, .external_lex_state = 23},
  [14804] = {.lex_state = 76, .external_lex_state = 23},
  [14805] = {.lex_state = 0},
  [14806] = {.lex_state = 76, .external_lex_state = 24},
  [14807] = {.lex_state = 0},
  [14808] = {.lex_state = 77, .external_lex_state = 24},
  [14809] = {.lex_state = 84, .external_lex_state = 68},
  [14810] = {.lex_state = 84, .external_lex_state = 53},
  [14811] = {.lex_state = 84, .external_lex_state = 53},
  [14812] = {.lex_state = 0},
  [14813] = {.lex_state = 0},
  [14814] = {.lex_state = 76, .external_lex_state = 24},
  [14815] = {.lex_state = 0},
  [14816] = {.lex_state = 77, .external_lex_state = 71},
  [14817] = {.lex_state = 0},
  [14818] = {.lex_state = 0},
  [14819] = {.lex_state = 77, .external_lex_state = 71},
  [14820] = {.lex_state = 0},
  [14821] = {.lex_state = 76, .external_lex_state = 24},
  [14822] = {.lex_state = 84, .external_lex_state = 23},
  [14823] = {.lex_state = 84, .external_lex_state = 23},
  [14824] = {.lex_state = 0, .external_lex_state = 24},
  [14825] = {.lex_state = 84, .external_lex_state = 68},
  [14826] = {.lex_state = 0},
  [14827] = {.lex_state = 0},
  [14828] = {.lex_state = 84, .external_lex_state = 23},
  [14829] = {.lex_state = 84, .external_lex_state = 24},
  [14830] = {.lex_state = 84, .external_lex_state = 64},
  [14831] = {.lex_state = 0, .external_lex_state = 25},
  [14832] = {.lex_state = 84, .external_lex_state = 64},
  [14833] = {.lex_state = 84},
  [14834] = {.lex_state = 0, .external_lex_state = 25},
  [14835] = {.lex_state = 84, .external_lex_state = 64},
  [14836] = {.lex_state = 84},
  [14837] = {.lex_state = 84, .external_lex_state = 64},
  [14838] = {.lex_state = 84},
  [14839] = {.lex_state = 84, .external_lex_state = 64},
  [14840] = {.lex_state = 84, .external_lex_state = 64},
  [14841] = {.lex_state = 84},
  [14842] = {.lex_state = 84, .external_lex_state = 64},
  [14843] = {.lex_state = 84},
  [14844] = {.lex_state = 84},
  [14845] = {.lex_state = 84, .external_lex_state = 64},
  [14846] = {.lex_state = 84, .external_lex_state = 64},
  [14847] = {.lex_state = 84},
  [14848] = {.lex_state = 84, .external_lex_state = 64},
  [14849] = {.lex_state = 84},
  [14850] = {.lex_state = 84},
  [14851] = {.lex_state = 84},
  [14852] = {.lex_state = 84, .external_lex_state = 64},
  [14853] = {.lex_state = 84, .external_lex_state = 64},
  [14854] = {.lex_state = 84},
  [14855] = {.lex_state = 84},
  [14856] = {.lex_state = 84},
  [14857] = {.lex_state = 84},
  [14858] = {.lex_state = 84, .external_lex_state = 24},
  [14859] = {.lex_state = 84, .external_lex_state = 24},
  [14860] = {.lex_state = 84, .external_lex_state = 64},
  [14861] = {.lex_state = 84, .external_lex_state = 64},
  [14862] = {.lex_state = 84, .external_lex_state = 24},
  [14863] = {.lex_state = 84, .external_lex_state = 24},
  [14864] = {.lex_state = 0, .external_lex_state = 24},
  [14865] = {.lex_state = 84, .external_lex_state = 64},
  [14866] = {.lex_state = 84, .external_lex_state = 24},
  [14867] = {.lex_state = 84},
  [14868] = {.lex_state = 84, .external_lex_state = 24},
  [14869] = {.lex_state = 84, .external_lex_state = 24},
  [14870] = {.lex_state = 84, .external_lex_state = 24},
  [14871] = {.lex_state = 84, .external_lex_state = 24},
  [14872] = {.lex_state = 84},
  [14873] = {.lex_state = 84, .external_lex_state = 24},
  [14874] = {.lex_state = 84, .external_lex_state = 64},
  [14875] = {.lex_state = 84, .external_lex_state = 24},
  [14876] = {.lex_state = 84, .external_lex_state = 64},
  [14877] = {.lex_state = 0, .external_lex_state = 24},
  [14878] = {.lex_state = 84},
  [14879] = {.lex_state = 0, .external_lex_state = 24},
  [14880] = {.lex_state = 0, .external_lex_state = 23},
  [14881] = {.lex_state = 84},
  [14882] = {.lex_state = 84, .external_lex_state = 24},
  [14883] = {.lex_state = 84, .external_lex_state = 64},
  [14884] = {.lex_state = 84, .external_lex_state = 24},
  [14885] = {.lex_state = 84, .external_lex_state = 24},
  [14886] = {.lex_state = 84, .external_lex_state = 24},
  [14887] = {.lex_state = 84, .external_lex_state = 24},
  [14888] = {.lex_state = 84, .external_lex_state = 24},
  [14889] = {.lex_state = 84, .external_lex_state = 64},
  [14890] = {.lex_state = 84, .external_lex_state = 24},
  [14891] = {.lex_state = 84, .external_lex_state = 24},
  [14892] = {.lex_state = 84, .external_lex_state = 24},
  [14893] = {.lex_state = 84, .external_lex_state = 24},
  [14894] = {.lex_state = 84, .external_lex_state = 24},
  [14895] = {.lex_state = 84, .external_lex_state = 24},
  [14896] = {.lex_state = 84},
  [14897] = {.lex_state = 84},
  [14898] = {.lex_state = 84, .external_lex_state = 24},
  [14899] = {.lex_state = 84, .external_lex_state = 24},
  [14900] = {.lex_state = 84, .external_lex_state = 24},
  [14901] = {.lex_state = 84, .external_lex_state = 64},
  [14902] = {.lex_state = 84, .external_lex_state = 64},
  [14903] = {.lex_state = 84, .external_lex_state = 24},
  [14904] = {.lex_state = 0, .external_lex_state = 24},
  [14905] = {.lex_state = 84},
  [14906] = {.lex_state = 84, .external_lex_state = 64},
  [14907] = {.lex_state = 84, .external_lex_state = 24},
  [14908] = {.lex_state = 84, .external_lex_state = 24},
  [14909] = {.lex_state = 84},
  [14910] = {.lex_state = 84, .external_lex_state = 24},
  [14911] = {.lex_state = 84, .external_lex_state = 64},
  [14912] = {.lex_state = 84, .external_lex_state = 24},
  [14913] = {.lex_state = 84, .external_lex_state = 24},
  [14914] = {.lex_state = 84, .external_lex_state = 24},
  [14915] = {.lex_state = 84, .external_lex_state = 24},
  [14916] = {.lex_state = 84, .external_lex_state = 64},
  [14917] = {.lex_state = 84, .external_lex_state = 64},
  [14918] = {.lex_state = 0},
  [14919] = {.lex_state = 84, .external_lex_state = 24},
  [14920] = {.lex_state = 84, .external_lex_state = 24},
  [14921] = {.lex_state = 84, .external_lex_state = 24},
  [14922] = {.lex_state = 84, .external_lex_state = 24},
  [14923] = {.lex_state = 84},
  [14924] = {.lex_state = 84, .external_lex_state = 24},
  [14925] = {.lex_state = 0, .external_lex_state = 24},
  [14926] = {.lex_state = 84, .external_lex_state = 64},
  [14927] = {.lex_state = 84, .external_lex_state = 64},
  [14928] = {.lex_state = 0, .external_lex_state = 24},
  [14929] = {.lex_state = 84},
  [14930] = {.lex_state = 84, .external_lex_state = 24},
  [14931] = {.lex_state = 0},
  [14932] = {.lex_state = 84, .external_lex_state = 24},
  [14933] = {.lex_state = 84, .external_lex_state = 24},
  [14934] = {.lex_state = 84, .external_lex_state = 24},
  [14935] = {.lex_state = 84, .external_lex_state = 64},
  [14936] = {.lex_state = 84, .external_lex_state = 24},
  [14937] = {.lex_state = 84, .external_lex_state = 24},
  [14938] = {.lex_state = 84, .external_lex_state = 24},
  [14939] = {.lex_state = 0, .external_lex_state = 24},
  [14940] = {.lex_state = 84, .external_lex_state = 24},
  [14941] = {.lex_state = 84, .external_lex_state = 64},
  [14942] = {.lex_state = 84, .external_lex_state = 24},
  [14943] = {.lex_state = 84, .external_lex_state = 24},
  [14944] = {.lex_state = 84},
  [14945] = {.lex_state = 84, .external_lex_state = 64},
  [14946] = {.lex_state = 0, .external_lex_state = 24},
  [14947] = {.lex_state = 84, .external_lex_state = 24},
  [14948] = {.lex_state = 84},
  [14949] = {.lex_state = 0, .external_lex_state = 25},
  [14950] = {.lex_state = 84, .external_lex_state = 64},
  [14951] = {.lex_state = 84, .external_lex_state = 24},
  [14952] = {.lex_state = 84, .external_lex_state = 24},
  [14953] = {.lex_state = 84, .external_lex_state = 64},
  [14954] = {.lex_state = 84, .external_lex_state = 24},
  [14955] = {.lex_state = 84},
  [14956] = {.lex_state = 84, .external_lex_state = 24},
  [14957] = {.lex_state = 84},
  [14958] = {.lex_state = 0, .external_lex_state = 25},
  [14959] = {.lex_state = 84},
  [14960] = {.lex_state = 84, .external_lex_state = 24},
  [14961] = {.lex_state = 84, .external_lex_state = 24},
  [14962] = {.lex_state = 84},
  [14963] = {.lex_state = 84, .external_lex_state = 64},
  [14964] = {.lex_state = 84, .external_lex_state = 64},
  [14965] = {.lex_state = 84, .external_lex_state = 24},
  [14966] = {.lex_state = 84, .external_lex_state = 24},
  [14967] = {.lex_state = 84},
  [14968] = {.lex_state = 0, .external_lex_state = 25},
  [14969] = {.lex_state = 84},
  [14970] = {.lex_state = 84, .external_lex_state = 64},
  [14971] = {.lex_state = 84, .external_lex_state = 24},
  [14972] = {.lex_state = 84, .external_lex_state = 24},
  [14973] = {.lex_state = 84, .external_lex_state = 24},
  [14974] = {.lex_state = 84, .external_lex_state = 24},
  [14975] = {.lex_state = 84, .external_lex_state = 64},
  [14976] = {.lex_state = 84, .external_lex_state = 64},
  [14977] = {.lex_state = 0, .external_lex_state = 25},
  [14978] = {.lex_state = 77, .external_lex_state = 52},
  [14979] = {.lex_state = 0, .external_lex_state = 24},
  [14980] = {.lex_state = 84, .external_lex_state = 24},
  [14981] = {.lex_state = 84},
  [14982] = {.lex_state = 0, .external_lex_state = 25},
  [14983] = {.lex_state = 84, .external_lex_state = 24},
  [14984] = {.lex_state = 84},
  [14985] = {.lex_state = 84},
  [14986] = {.lex_state = 84, .external_lex_state = 64},
  [14987] = {.lex_state = 84, .external_lex_state = 24},
  [14988] = {.lex_state = 84, .external_lex_state = 64},
  [14989] = {.lex_state = 84, .external_lex_state = 24},
  [14990] = {.lex_state = 84, .external_lex_state = 24},
  [14991] = {.lex_state = 84, .external_lex_state = 24},
  [14992] = {.lex_state = 84},
  [14993] = {.lex_state = 84, .external_lex_state = 24},
  [14994] = {.lex_state = 0, .external_lex_state = 25},
  [14995] = {.lex_state = 84, .external_lex_state = 24},
  [14996] = {.lex_state = 0, .external_lex_state = 24},
  [14997] = {.lex_state = 84, .external_lex_state = 64},
  [14998] = {.lex_state = 0, .external_lex_state = 25},
  [14999] = {.lex_state = 84, .external_lex_state = 64},
  [15000] = {.lex_state = 76},
  [15001] = {.lex_state = 84},
  [15002] = {.lex_state = 84},
  [15003] = {.lex_state = 76},
  [15004] = {.lex_state = 0, .external_lex_state = 25},
  [15005] = {.lex_state = 84, .external_lex_state = 64},
  [15006] = {.lex_state = 76},
  [15007] = {.lex_state = 84, .external_lex_state = 64},
  [15008] = {.lex_state = 84, .external_lex_state = 64},
  [15009] = {.lex_state = 84},
  [15010] = {.lex_state = 0, .external_lex_state = 25},
  [15011] = {.lex_state = 77},
  [15012] = {.lex_state = 84},
  [15013] = {.lex_state = 0, .external_lex_state = 23},
  [15014] = {.lex_state = 84, .external_lex_state = 64},
  [15015] = {.lex_state = 76},
  [15016] = {.lex_state = 84, .external_lex_state = 64},
  [15017] = {.lex_state = 76},
  [15018] = {.lex_state = 0, .external_lex_state = 25},
  [15019] = {.lex_state = 76},
  [15020] = {.lex_state = 84},
  [15021] = {.lex_state = 76},
  [15022] = {.lex_state = 84},
  [15023] = {.lex_state = 84, .external_lex_state = 64},
  [15024] = {.lex_state = 84},
  [15025] = {.lex_state = 84, .external_lex_state = 64},
  [15026] = {.lex_state = 84, .external_lex_state = 64},
  [15027] = {.lex_state = 84, .external_lex_state = 64},
  [15028] = {.lex_state = 76},
  [15029] = {.lex_state = 76},
  [15030] = {.lex_state = 84},
  [15031] = {.lex_state = 0, .external_lex_state = 25},
  [15032] = {.lex_state = 84, .external_lex_state = 64},
  [15033] = {.lex_state = 84, .external_lex_state = 64},
  [15034] = {.lex_state = 0},
  [15035] = {.lex_state = 0, .external_lex_state = 25},
  [15036] = {.lex_state = 0, .external_lex_state = 23},
  [15037] = {.lex_state = 84, .external_lex_state = 64},
  [15038] = {.lex_state = 84},
  [15039] = {.lex_state = 76},
  [15040] = {.lex_state = 0, .external_lex_state = 23},
  [15041] = {.lex_state = 0, .external_lex_state = 23},
  [15042] = {.lex_state = 0, .external_lex_state = 25},
  [15043] = {.lex_state = 84},
  [15044] = {.lex_state = 84, .external_lex_state = 64},
  [15045] = {.lex_state = 76},
  [15046] = {.lex_state = 76},
  [15047] = {.lex_state = 76, .external_lex_state = 23},
  [15048] = {.lex_state = 84},
  [15049] = {.lex_state = 0, .external_lex_state = 25},
  [15050] = {.lex_state = 0, .external_lex_state = 23},
  [15051] = {.lex_state = 84},
  [15052] = {.lex_state = 84, .external_lex_state = 64},
  [15053] = {.lex_state = 0, .external_lex_state = 23},
  [15054] = {.lex_state = 84},
  [15055] = {.lex_state = 84, .external_lex_state = 64},
  [15056] = {.lex_state = 84},
  [15057] = {.lex_state = 84},
  [15058] = {.lex_state = 0, .external_lex_state = 25},
  [15059] = {.lex_state = 0},
  [15060] = {.lex_state = 84},
  [15061] = {.lex_state = 0},
  [15062] = {.lex_state = 76},
  [15063] = {.lex_state = 84},
  [15064] = {.lex_state = 84, .external_lex_state = 64},
  [15065] = {.lex_state = 0, .external_lex_state = 25},
  [15066] = {.lex_state = 0},
  [15067] = {.lex_state = 0},
  [15068] = {.lex_state = 84},
  [15069] = {.lex_state = 0, .external_lex_state = 25},
  [15070] = {.lex_state = 84, .external_lex_state = 64},
  [15071] = {.lex_state = 84, .external_lex_state = 64},
  [15072] = {.lex_state = 76},
  [15073] = {.lex_state = 0, .external_lex_state = 25},
  [15074] = {.lex_state = 84},
  [15075] = {.lex_state = 84},
  [15076] = {.lex_state = 84, .external_lex_state = 64},
  [15077] = {.lex_state = 84, .external_lex_state = 64},
  [15078] = {.lex_state = 76, .external_lex_state = 23},
  [15079] = {.lex_state = 84},
  [15080] = {.lex_state = 84, .external_lex_state = 64},
  [15081] = {.lex_state = 76},
  [15082] = {.lex_state = 84},
  [15083] = {.lex_state = 0, .external_lex_state = 25},
  [15084] = {.lex_state = 84, .external_lex_state = 64},
  [15085] = {.lex_state = 84, .external_lex_state = 64},
  [15086] = {.lex_state = 0, .external_lex_state = 25},
  [15087] = {.lex_state = 0, .external_lex_state = 24},
  [15088] = {.lex_state = 84},
  [15089] = {.lex_state = 84},
  [15090] = {.lex_state = 0, .external_lex_state = 25},
  [15091] = {.lex_state = 84},
  [15092] = {.lex_state = 77, .external_lex_state = 52},
  [15093] = {.lex_state = 84},
  [15094] = {.lex_state = 0},
  [15095] = {.lex_state = 0},
  [15096] = {.lex_state = 84, .external_lex_state = 64},
  [15097] = {.lex_state = 0},
  [15098] = {.lex_state = 84, .external_lex_state = 64},
  [15099] = {.lex_state = 0},
  [15100] = {.lex_state = 0},
  [15101] = {.lex_state = 0},
  [15102] = {.lex_state = 84},
  [15103] = {.lex_state = 0, .external_lex_state = 23},
  [15104] = {.lex_state = 0, .external_lex_state = 25},
  [15105] = {.lex_state = 84, .external_lex_state = 23},
  [15106] = {.lex_state = 84, .external_lex_state = 64},
  [15107] = {.lex_state = 0},
  [15108] = {.lex_state = 0},
  [15109] = {.lex_state = 0, .external_lex_state = 25},
  [15110] = {.lex_state = 0, .external_lex_state = 23},
  [15111] = {.lex_state = 84, .external_lex_state = 64},
  [15112] = {.lex_state = 76},
  [15113] = {.lex_state = 0, .external_lex_state = 23},
  [15114] = {.lex_state = 0, .external_lex_state = 25},
  [15115] = {.lex_state = 84},
  [15116] = {.lex_state = 0, .external_lex_state = 25},
  [15117] = {.lex_state = 84},
  [15118] = {.lex_state = 84, .external_lex_state = 64},
  [15119] = {.lex_state = 84, .external_lex_state = 64},
  [15120] = {.lex_state = 76, .external_lex_state = 23},
  [15121] = {.lex_state = 84},
  [15122] = {.lex_state = 84},
  [15123] = {.lex_state = 0, .external_lex_state = 23},
  [15124] = {.lex_state = 84, .external_lex_state = 64},
  [15125] = {.lex_state = 0, .external_lex_state = 24},
  [15126] = {.lex_state = 84, .external_lex_state = 64},
  [15127] = {.lex_state = 84},
  [15128] = {.lex_state = 0, .external_lex_state = 25},
  [15129] = {.lex_state = 0},
  [15130] = {.lex_state = 0},
  [15131] = {.lex_state = 84, .external_lex_state = 64},
  [15132] = {.lex_state = 0},
  [15133] = {.lex_state = 0, .external_lex_state = 25},
  [15134] = {.lex_state = 84},
  [15135] = {.lex_state = 0, .external_lex_state = 23},
  [15136] = {.lex_state = 84, .external_lex_state = 64},
  [15137] = {.lex_state = 84},
  [15138] = {.lex_state = 0, .external_lex_state = 23},
  [15139] = {.lex_state = 84},
  [15140] = {.lex_state = 84},
  [15141] = {.lex_state = 84},
  [15142] = {.lex_state = 84, .external_lex_state = 64},
  [15143] = {.lex_state = 0, .external_lex_state = 23},
  [15144] = {.lex_state = 0, .external_lex_state = 25},
  [15145] = {.lex_state = 84},
  [15146] = {.lex_state = 84},
  [15147] = {.lex_state = 0, .external_lex_state = 23},
  [15148] = {.lex_state = 84},
  [15149] = {.lex_state = 0, .external_lex_state = 25},
  [15150] = {.lex_state = 76, .external_lex_state = 23},
  [15151] = {.lex_state = 84, .external_lex_state = 64},
  [15152] = {.lex_state = 0, .external_lex_state = 23},
  [15153] = {.lex_state = 0, .external_lex_state = 25},
  [15154] = {.lex_state = 84},
  [15155] = {.lex_state = 84},
  [15156] = {.lex_state = 84, .external_lex_state = 64},
  [15157] = {.lex_state = 84},
  [15158] = {.lex_state = 0, .external_lex_state = 25},
  [15159] = {.lex_state = 84, .external_lex_state = 64},
  [15160] = {.lex_state = 0, .external_lex_state = 25},
  [15161] = {.lex_state = 0, .external_lex_state = 25},
  [15162] = {.lex_state = 84},
  [15163] = {.lex_state = 84},
  [15164] = {.lex_state = 0},
  [15165] = {.lex_state = 0, .external_lex_state = 25},
  [15166] = {.lex_state = 84},
  [15167] = {.lex_state = 84},
  [15168] = {.lex_state = 84, .external_lex_state = 64},
  [15169] = {.lex_state = 0},
  [15170] = {.lex_state = 0},
  [15171] = {.lex_state = 0},
  [15172] = {.lex_state = 0},
  [15173] = {.lex_state = 0},
  [15174] = {.lex_state = 0},
  [15175] = {.lex_state = 0},
  [15176] = {.lex_state = 0},
  [15177] = {.lex_state = 0},
  [15178] = {.lex_state = 0},
  [15179] = {.lex_state = 0},
  [15180] = {.lex_state = 0},
  [15181] = {.lex_state = 0},
  [15182] = {.lex_state = 0},
  [15183] = {.lex_state = 0},
  [15184] = {.lex_state = 0},
  [15185] = {.lex_state = 0},
  [15186] = {.lex_state = 0},
  [15187] = {.lex_state = 0},
  [15188] = {.lex_state = 0},
  [15189] = {.lex_state = 0},
  [15190] = {.lex_state = 0},
  [15191] = {.lex_state = 0},
  [15192] = {.lex_state = 0},
  [15193] = {.lex_state = 0},
  [15194] = {.lex_state = 0},
  [15195] = {.lex_state = 0},
  [15196] = {.lex_state = 0},
  [15197] = {.lex_state = 0},
  [15198] = {.lex_state = 0},
  [15199] = {.lex_state = 0},
  [15200] = {.lex_state = 0, .external_lex_state = 72},
  [15201] = {.lex_state = 0},
  [15202] = {.lex_state = 0, .external_lex_state = 73},
  [15203] = {.lex_state = 0},
  [15204] = {.lex_state = 0},
  [15205] = {.lex_state = 0},
  [15206] = {.lex_state = 0},
  [15207] = {.lex_state = 0},
  [15208] = {.lex_state = 0},
  [15209] = {.lex_state = 0},
  [15210] = {.lex_state = 0},
  [15211] = {.lex_state = 0},
  [15212] = {.lex_state = 0},
  [15213] = {.lex_state = 0, .external_lex_state = 25},
  [15214] = {.lex_state = 0},
  [15215] = {.lex_state = 0},
  [15216] = {.lex_state = 0},
  [15217] = {.lex_state = 0},
  [15218] = {.lex_state = 0},
  [15219] = {.lex_state = 0},
  [15220] = {.lex_state = 0},
  [15221] = {.lex_state = 0},
  [15222] = {.lex_state = 0},
  [15223] = {.lex_state = 0},
  [15224] = {.lex_state = 0},
  [15225] = {.lex_state = 0},
  [15226] = {.lex_state = 0},
  [15227] = {.lex_state = 84},
  [15228] = {.lex_state = 0},
  [15229] = {.lex_state = 0},
  [15230] = {.lex_state = 0},
  [15231] = {.lex_state = 0},
  [15232] = {.lex_state = 0},
  [15233] = {.lex_state = 0},
  [15234] = {.lex_state = 0},
  [15235] = {.lex_state = 0},
  [15236] = {.lex_state = 0},
  [15237] = {.lex_state = 0, .external_lex_state = 73},
  [15238] = {.lex_state = 0},
  [15239] = {.lex_state = 0},
  [15240] = {.lex_state = 0},
  [15241] = {.lex_state = 0},
  [15242] = {.lex_state = 0},
  [15243] = {.lex_state = 0},
  [15244] = {.lex_state = 0},
  [15245] = {.lex_state = 0, .external_lex_state = 73},
  [15246] = {.lex_state = 84, .external_lex_state = 52},
  [15247] = {.lex_state = 0},
  [15248] = {.lex_state = 0},
  [15249] = {.lex_state = 0},
  [15250] = {.lex_state = 0},
  [15251] = {.lex_state = 0},
  [15252] = {.lex_state = 0},
  [15253] = {.lex_state = 0},
  [15254] = {.lex_state = 0},
  [15255] = {.lex_state = 0},
  [15256] = {.lex_state = 0},
  [15257] = {.lex_state = 0},
  [15258] = {.lex_state = 0},
  [15259] = {.lex_state = 0},
  [15260] = {.lex_state = 0},
  [15261] = {.lex_state = 0, .external_lex_state = 72},
  [15262] = {.lex_state = 0, .external_lex_state = 72},
  [15263] = {.lex_state = 0},
  [15264] = {.lex_state = 0},
  [15265] = {.lex_state = 0},
  [15266] = {.lex_state = 0},
  [15267] = {.lex_state = 0, .external_lex_state = 72},
  [15268] = {.lex_state = 0},
  [15269] = {.lex_state = 0, .external_lex_state = 73},
  [15270] = {.lex_state = 84},
  [15271] = {.lex_state = 0},
  [15272] = {.lex_state = 0},
  [15273] = {.lex_state = 0},
  [15274] = {.lex_state = 0},
  [15275] = {.lex_state = 0},
  [15276] = {.lex_state = 0},
  [15277] = {.lex_state = 0},
  [15278] = {.lex_state = 0},
  [15279] = {.lex_state = 0, .external_lex_state = 25},
  [15280] = {.lex_state = 0},
  [15281] = {.lex_state = 0},
  [15282] = {.lex_state = 0},
  [15283] = {.lex_state = 0},
  [15284] = {.lex_state = 84},
  [15285] = {.lex_state = 0},
  [15286] = {.lex_state = 0},
  [15287] = {.lex_state = 0},
  [15288] = {.lex_state = 0},
  [15289] = {.lex_state = 0},
  [15290] = {.lex_state = 0},
  [15291] = {.lex_state = 0, .external_lex_state = 72},
  [15292] = {.lex_state = 0},
  [15293] = {.lex_state = 0, .external_lex_state = 73},
  [15294] = {.lex_state = 0},
  [15295] = {.lex_state = 0},
  [15296] = {.lex_state = 0},
  [15297] = {.lex_state = 0},
  [15298] = {.lex_state = 0},
  [15299] = {.lex_state = 0},
  [15300] = {.lex_state = 0},
  [15301] = {.lex_state = 0},
  [15302] = {.lex_state = 0},
  [15303] = {.lex_state = 0},
  [15304] = {.lex_state = 0},
  [15305] = {.lex_state = 0},
  [15306] = {.lex_state = 0},
  [15307] = {.lex_state = 0},
  [15308] = {.lex_state = 0},
  [15309] = {.lex_state = 0},
  [15310] = {.lex_state = 0},
  [15311] = {.lex_state = 0},
  [15312] = {.lex_state = 0},
  [15313] = {.lex_state = 0, .external_lex_state = 72},
  [15314] = {.lex_state = 0, .external_lex_state = 73},
  [15315] = {.lex_state = 0},
  [15316] = {.lex_state = 84},
  [15317] = {.lex_state = 84},
  [15318] = {.lex_state = 0},
  [15319] = {.lex_state = 0},
  [15320] = {.lex_state = 0},
  [15321] = {.lex_state = 0, .external_lex_state = 72},
  [15322] = {.lex_state = 0},
  [15323] = {.lex_state = 0, .external_lex_state = 73},
  [15324] = {.lex_state = 0},
  [15325] = {.lex_state = 0},
  [15326] = {.lex_state = 0},
  [15327] = {.lex_state = 0, .external_lex_state = 25},
  [15328] = {.lex_state = 0},
  [15329] = {.lex_state = 1},
  [15330] = {.lex_state = 0, .external_lex_state = 23},
  [15331] = {.lex_state = 0},
  [15332] = {.lex_state = 0},
  [15333] = {.lex_state = 0},
  [15334] = {.lex_state = 0},
  [15335] = {.lex_state = 0},
  [15336] = {.lex_state = 0},
  [15337] = {.lex_state = 0},
  [15338] = {.lex_state = 0},
  [15339] = {.lex_state = 0},
  [15340] = {.lex_state = 0},
  [15341] = {.lex_state = 0},
  [15342] = {.lex_state = 0},
  [15343] = {.lex_state = 0},
  [15344] = {.lex_state = 0},
  [15345] = {.lex_state = 0},
  [15346] = {.lex_state = 0},
  [15347] = {.lex_state = 0, .external_lex_state = 23},
  [15348] = {.lex_state = 0, .external_lex_state = 23},
  [15349] = {.lex_state = 0},
  [15350] = {.lex_state = 0},
  [15351] = {.lex_state = 0},
  [15352] = {.lex_state = 0},
  [15353] = {.lex_state = 0},
  [15354] = {.lex_state = 0},
  [15355] = {.lex_state = 0},
  [15356] = {.lex_state = 84},
  [15357] = {.lex_state = 0},
  [15358] = {.lex_state = 0},
  [15359] = {.lex_state = 0},
  [15360] = {.lex_state = 0},
  [15361] = {.lex_state = 0, .external_lex_state = 72},
  [15362] = {.lex_state = 0},
  [15363] = {.lex_state = 0},
  [15364] = {.lex_state = 0},
  [15365] = {.lex_state = 0, .external_lex_state = 73},
  [15366] = {.lex_state = 0},
  [15367] = {.lex_state = 0},
  [15368] = {.lex_state = 0},
  [15369] = {.lex_state = 0},
  [15370] = {.lex_state = 0},
  [15371] = {.lex_state = 0},
  [15372] = {.lex_state = 0},
  [15373] = {.lex_state = 0},
  [15374] = {.lex_state = 84},
  [15375] = {.lex_state = 1},
  [15376] = {.lex_state = 0},
  [15377] = {.lex_state = 0},
  [15378] = {.lex_state = 0},
  [15379] = {.lex_state = 0},
  [15380] = {.lex_state = 0},
  [15381] = {.lex_state = 0},
  [15382] = {.lex_state = 0},
  [15383] = {.lex_state = 0},
  [15384] = {.lex_state = 0},
  [15385] = {.lex_state = 0},
  [15386] = {.lex_state = 0},
  [15387] = {.lex_state = 0},
  [15388] = {.lex_state = 0, .external_lex_state = 72},
  [15389] = {.lex_state = 0, .external_lex_state = 73},
  [15390] = {.lex_state = 0},
  [15391] = {.lex_state = 0},
  [15392] = {.lex_state = 0},
  [15393] = {.lex_state = 0},
  [15394] = {.lex_state = 0},
  [15395] = {.lex_state = 0},
  [15396] = {.lex_state = 0},
  [15397] = {.lex_state = 0},
  [15398] = {.lex_state = 0},
  [15399] = {.lex_state = 0},
  [15400] = {.lex_state = 0},
  [15401] = {.lex_state = 0},
  [15402] = {.lex_state = 0, .external_lex_state = 25},
  [15403] = {.lex_state = 0},
  [15404] = {.lex_state = 0},
  [15405] = {.lex_state = 0},
  [15406] = {.lex_state = 0},
  [15407] = {.lex_state = 0, .external_lex_state = 25},
  [15408] = {.lex_state = 0},
  [15409] = {.lex_state = 0},
  [15410] = {.lex_state = 0},
  [15411] = {.lex_state = 0},
  [15412] = {.lex_state = 0},
  [15413] = {.lex_state = 0},
  [15414] = {.lex_state = 0, .external_lex_state = 23},
  [15415] = {.lex_state = 0},
  [15416] = {.lex_state = 0},
  [15417] = {.lex_state = 0},
  [15418] = {.lex_state = 0},
  [15419] = {.lex_state = 0},
  [15420] = {.lex_state = 0},
  [15421] = {.lex_state = 0},
  [15422] = {.lex_state = 0},
  [15423] = {.lex_state = 0},
  [15424] = {.lex_state = 0},
  [15425] = {.lex_state = 0, .external_lex_state = 25},
  [15426] = {.lex_state = 0},
  [15427] = {.lex_state = 0},
  [15428] = {.lex_state = 0},
  [15429] = {.lex_state = 0},
  [15430] = {.lex_state = 0},
  [15431] = {.lex_state = 0},
  [15432] = {.lex_state = 84},
  [15433] = {.lex_state = 0},
  [15434] = {.lex_state = 0},
  [15435] = {.lex_state = 0},
  [15436] = {.lex_state = 0},
  [15437] = {.lex_state = 0},
  [15438] = {.lex_state = 84},
  [15439] = {.lex_state = 0},
  [15440] = {.lex_state = 0},
  [15441] = {.lex_state = 9},
  [15442] = {.lex_state = 0, .external_lex_state = 72},
  [15443] = {.lex_state = 9},
  [15444] = {.lex_state = 0, .external_lex_state = 73},
  [15445] = {.lex_state = 0},
  [15446] = {.lex_state = 0},
  [15447] = {.lex_state = 0, .external_lex_state = 25},
  [15448] = {.lex_state = 0},
  [15449] = {.lex_state = 0, .external_lex_state = 72},
  [15450] = {.lex_state = 0, .external_lex_state = 73},
  [15451] = {.lex_state = 0},
  [15452] = {.lex_state = 0},
  [15453] = {.lex_state = 0},
  [15454] = {.lex_state = 0},
  [15455] = {.lex_state = 0},
  [15456] = {.lex_state = 0},
  [15457] = {.lex_state = 0},
  [15458] = {.lex_state = 0},
  [15459] = {.lex_state = 0},
  [15460] = {.lex_state = 0},
  [15461] = {.lex_state = 0},
  [15462] = {.lex_state = 0},
  [15463] = {.lex_state = 0},
  [15464] = {.lex_state = 0},
  [15465] = {.lex_state = 0},
  [15466] = {.lex_state = 0},
  [15467] = {.lex_state = 0},
  [15468] = {.lex_state = 0},
  [15469] = {.lex_state = 0, .external_lex_state = 72},
  [15470] = {.lex_state = 0},
  [15471] = {.lex_state = 0},
  [15472] = {.lex_state = 0},
  [15473] = {.lex_state = 0},
  [15474] = {.lex_state = 0},
  [15475] = {.lex_state = 0},
  [15476] = {.lex_state = 0},
  [15477] = {.lex_state = 0},
  [15478] = {.lex_state = 0},
  [15479] = {.lex_state = 0},
  [15480] = {.lex_state = 0},
  [15481] = {.lex_state = 0},
  [15482] = {.lex_state = 0, .external_lex_state = 72},
  [15483] = {.lex_state = 0, .external_lex_state = 73},
  [15484] = {.lex_state = 0},
  [15485] = {.lex_state = 0},
  [15486] = {.lex_state = 0},
  [15487] = {.lex_state = 0, .external_lex_state = 73},
  [15488] = {.lex_state = 0},
  [15489] = {.lex_state = 0, .external_lex_state = 25},
  [15490] = {.lex_state = 0},
  [15491] = {.lex_state = 0},
  [15492] = {.lex_state = 0},
  [15493] = {.lex_state = 0},
  [15494] = {.lex_state = 0},
  [15495] = {.lex_state = 0},
  [15496] = {.lex_state = 0},
  [15497] = {.lex_state = 0},
  [15498] = {.lex_state = 0},
  [15499] = {.lex_state = 0},
  [15500] = {.lex_state = 0},
  [15501] = {.lex_state = 0},
  [15502] = {.lex_state = 0},
  [15503] = {.lex_state = 0, .external_lex_state = 25},
  [15504] = {.lex_state = 0},
  [15505] = {.lex_state = 0},
  [15506] = {.lex_state = 0},
  [15507] = {.lex_state = 0},
  [15508] = {.lex_state = 0},
  [15509] = {.lex_state = 0},
  [15510] = {.lex_state = 0},
  [15511] = {.lex_state = 1},
  [15512] = {.lex_state = 0},
  [15513] = {.lex_state = 0},
  [15514] = {.lex_state = 0},
  [15515] = {.lex_state = 0},
  [15516] = {.lex_state = 0},
  [15517] = {.lex_state = 0},
  [15518] = {.lex_state = 0},
  [15519] = {.lex_state = 0},
  [15520] = {.lex_state = 0},
  [15521] = {.lex_state = 0},
  [15522] = {.lex_state = 0},
  [15523] = {.lex_state = 0, .external_lex_state = 73},
  [15524] = {.lex_state = 0},
  [15525] = {.lex_state = 0},
  [15526] = {.lex_state = 0},
  [15527] = {.lex_state = 0},
  [15528] = {.lex_state = 0, .external_lex_state = 72},
  [15529] = {.lex_state = 0, .external_lex_state = 25},
  [15530] = {.lex_state = 0, .external_lex_state = 25},
  [15531] = {.lex_state = 0},
  [15532] = {.lex_state = 0},
  [15533] = {.lex_state = 0},
  [15534] = {.lex_state = 0},
  [15535] = {.lex_state = 0},
  [15536] = {.lex_state = 0},
  [15537] = {.lex_state = 0},
  [15538] = {.lex_state = 0},
  [15539] = {.lex_state = 0},
  [15540] = {.lex_state = 84},
  [15541] = {.lex_state = 0},
  [15542] = {.lex_state = 0},
  [15543] = {.lex_state = 0},
  [15544] = {.lex_state = 0},
  [15545] = {.lex_state = 0},
  [15546] = {.lex_state = 0},
  [15547] = {.lex_state = 0},
  [15548] = {.lex_state = 0},
  [15549] = {.lex_state = 0},
  [15550] = {.lex_state = 0},
  [15551] = {.lex_state = 0},
  [15552] = {.lex_state = 0},
  [15553] = {.lex_state = 0},
  [15554] = {.lex_state = 0, .external_lex_state = 72},
  [15555] = {.lex_state = 0, .external_lex_state = 73},
  [15556] = {.lex_state = 0},
  [15557] = {.lex_state = 0},
  [15558] = {.lex_state = 0},
  [15559] = {.lex_state = 0},
  [15560] = {.lex_state = 0},
  [15561] = {.lex_state = 0},
  [15562] = {.lex_state = 0},
  [15563] = {.lex_state = 0},
  [15564] = {.lex_state = 0},
  [15565] = {.lex_state = 0},
  [15566] = {.lex_state = 0},
  [15567] = {.lex_state = 0},
  [15568] = {.lex_state = 0, .external_lex_state = 25},
  [15569] = {.lex_state = 0, .external_lex_state = 72},
  [15570] = {.lex_state = 0, .external_lex_state = 73},
  [15571] = {.lex_state = 0},
  [15572] = {.lex_state = 0},
  [15573] = {.lex_state = 0},
  [15574] = {.lex_state = 0},
  [15575] = {.lex_state = 0},
  [15576] = {.lex_state = 0},
  [15577] = {.lex_state = 0},
  [15578] = {.lex_state = 0},
  [15579] = {.lex_state = 0},
  [15580] = {.lex_state = 0},
  [15581] = {.lex_state = 0},
  [15582] = {.lex_state = 0},
  [15583] = {.lex_state = 0},
  [15584] = {.lex_state = 0},
  [15585] = {.lex_state = 0},
  [15586] = {.lex_state = 0},
  [15587] = {.lex_state = 0},
  [15588] = {.lex_state = 0},
  [15589] = {.lex_state = 0},
  [15590] = {.lex_state = 0, .external_lex_state = 25},
  [15591] = {.lex_state = 0},
  [15592] = {.lex_state = 0},
  [15593] = {.lex_state = 0},
  [15594] = {.lex_state = 0},
  [15595] = {.lex_state = 0},
  [15596] = {.lex_state = 0},
  [15597] = {.lex_state = 84},
  [15598] = {.lex_state = 0},
  [15599] = {.lex_state = 0},
  [15600] = {.lex_state = 0},
  [15601] = {.lex_state = 0},
  [15602] = {.lex_state = 0},
  [15603] = {.lex_state = 0},
  [15604] = {.lex_state = 0, .external_lex_state = 25},
  [15605] = {.lex_state = 0},
  [15606] = {.lex_state = 0},
  [15607] = {.lex_state = 0},
  [15608] = {.lex_state = 0, .external_lex_state = 25},
  [15609] = {.lex_state = 0},
  [15610] = {.lex_state = 0, .external_lex_state = 72},
  [15611] = {.lex_state = 0, .external_lex_state = 73},
  [15612] = {.lex_state = 0},
  [15613] = {.lex_state = 0},
  [15614] = {.lex_state = 0},
  [15615] = {.lex_state = 0},
  [15616] = {.lex_state = 0},
  [15617] = {.lex_state = 84},
  [15618] = {.lex_state = 0},
  [15619] = {.lex_state = 0},
  [15620] = {.lex_state = 0, .external_lex_state = 72},
  [15621] = {.lex_state = 0, .external_lex_state = 73},
  [15622] = {.lex_state = 0},
  [15623] = {.lex_state = 0},
  [15624] = {.lex_state = 0},
  [15625] = {.lex_state = 0},
  [15626] = {.lex_state = 0},
  [15627] = {.lex_state = 0},
  [15628] = {.lex_state = 0},
  [15629] = {.lex_state = 0},
  [15630] = {.lex_state = 0},
  [15631] = {.lex_state = 0},
  [15632] = {.lex_state = 0},
  [15633] = {.lex_state = 0},
  [15634] = {.lex_state = 0},
  [15635] = {.lex_state = 0},
  [15636] = {.lex_state = 0},
  [15637] = {.lex_state = 0},
  [15638] = {.lex_state = 0, .external_lex_state = 23},
  [15639] = {.lex_state = 0},
  [15640] = {.lex_state = 0},
  [15641] = {.lex_state = 0},
  [15642] = {.lex_state = 77, .external_lex_state = 71},
  [15643] = {.lex_state = 0},
  [15644] = {.lex_state = 0},
  [15645] = {.lex_state = 0},
  [15646] = {.lex_state = 0, .external_lex_state = 23},
  [15647] = {.lex_state = 0, .external_lex_state = 72},
  [15648] = {.lex_state = 0, .external_lex_state = 73},
  [15649] = {.lex_state = 0},
  [15650] = {.lex_state = 0},
  [15651] = {.lex_state = 0},
  [15652] = {.lex_state = 0, .external_lex_state = 73},
  [15653] = {.lex_state = 0, .external_lex_state = 72},
  [15654] = {.lex_state = 0},
  [15655] = {.lex_state = 0},
  [15656] = {.lex_state = 0},
  [15657] = {.lex_state = 0},
  [15658] = {.lex_state = 0},
  [15659] = {.lex_state = 0},
  [15660] = {.lex_state = 0, .external_lex_state = 25},
  [15661] = {.lex_state = 0},
  [15662] = {.lex_state = 0},
  [15663] = {.lex_state = 0},
  [15664] = {.lex_state = 0},
  [15665] = {.lex_state = 0},
  [15666] = {.lex_state = 0},
  [15667] = {.lex_state = 0},
  [15668] = {.lex_state = 0, .external_lex_state = 25},
  [15669] = {.lex_state = 0},
  [15670] = {.lex_state = 0},
  [15671] = {.lex_state = 0},
  [15672] = {.lex_state = 0},
  [15673] = {.lex_state = 0, .external_lex_state = 73},
  [15674] = {.lex_state = 76},
  [15675] = {.lex_state = 0},
  [15676] = {.lex_state = 0},
  [15677] = {.lex_state = 0},
  [15678] = {.lex_state = 0},
  [15679] = {.lex_state = 84},
  [15680] = {.lex_state = 0},
  [15681] = {.lex_state = 0},
  [15682] = {.lex_state = 84},
  [15683] = {.lex_state = 0},
  [15684] = {.lex_state = 84},
  [15685] = {.lex_state = 0},
  [15686] = {.lex_state = 0},
  [15687] = {.lex_state = 0},
  [15688] = {.lex_state = 0, .external_lex_state = 72},
  [15689] = {.lex_state = 0, .external_lex_state = 73},
  [15690] = {.lex_state = 0},
  [15691] = {.lex_state = 0},
  [15692] = {.lex_state = 0},
  [15693] = {.lex_state = 0, .external_lex_state = 72},
  [15694] = {.lex_state = 0},
  [15695] = {.lex_state = 0},
  [15696] = {.lex_state = 0},
  [15697] = {.lex_state = 0},
  [15698] = {.lex_state = 0},
  [15699] = {.lex_state = 0},
  [15700] = {.lex_state = 0, .external_lex_state = 23},
  [15701] = {.lex_state = 0},
  [15702] = {.lex_state = 0},
  [15703] = {.lex_state = 0},
  [15704] = {.lex_state = 0},
  [15705] = {.lex_state = 0},
  [15706] = {.lex_state = 0},
  [15707] = {.lex_state = 0, .external_lex_state = 72},
  [15708] = {.lex_state = 0, .external_lex_state = 73},
  [15709] = {.lex_state = 0},
  [15710] = {.lex_state = 0},
  [15711] = {.lex_state = 0},
  [15712] = {.lex_state = 0},
  [15713] = {.lex_state = 0},
  [15714] = {.lex_state = 0},
  [15715] = {.lex_state = 0},
  [15716] = {.lex_state = 0},
  [15717] = {.lex_state = 0},
  [15718] = {.lex_state = 0, .external_lex_state = 25},
  [15719] = {.lex_state = 0},
  [15720] = {.lex_state = 0},
  [15721] = {.lex_state = 0},
  [15722] = {.lex_state = 76},
  [15723] = {.lex_state = 0},
  [15724] = {.lex_state = 0},
  [15725] = {.lex_state = 0},
  [15726] = {.lex_state = 0},
  [15727] = {.lex_state = 0},
  [15728] = {.lex_state = 0},
  [15729] = {.lex_state = 0, .external_lex_state = 23},
  [15730] = {.lex_state = 0},
  [15731] = {.lex_state = 0},
  [15732] = {.lex_state = 0},
  [15733] = {.lex_state = 0},
  [15734] = {.lex_state = 0},
  [15735] = {.lex_state = 0},
  [15736] = {.lex_state = 84},
  [15737] = {.lex_state = 0, .external_lex_state = 23},
  [15738] = {.lex_state = 0},
  [15739] = {.lex_state = 0},
  [15740] = {.lex_state = 0, .external_lex_state = 23},
  [15741] = {.lex_state = 0, .external_lex_state = 25},
  [15742] = {.lex_state = 0},
  [15743] = {.lex_state = 0},
  [15744] = {.lex_state = 0, .external_lex_state = 72},
  [15745] = {.lex_state = 0},
  [15746] = {.lex_state = 0},
  [15747] = {.lex_state = 0},
  [15748] = {.lex_state = 0, .external_lex_state = 73},
  [15749] = {.lex_state = 0},
  [15750] = {.lex_state = 0},
  [15751] = {.lex_state = 0},
  [15752] = {.lex_state = 0},
  [15753] = {.lex_state = 0},
  [15754] = {.lex_state = 0},
  [15755] = {.lex_state = 0},
  [15756] = {.lex_state = 0},
  [15757] = {.lex_state = 0},
  [15758] = {.lex_state = 0},
  [15759] = {.lex_state = 0},
  [15760] = {.lex_state = 0},
  [15761] = {.lex_state = 0},
  [15762] = {.lex_state = 0},
  [15763] = {.lex_state = 0},
  [15764] = {.lex_state = 0},
  [15765] = {.lex_state = 0},
  [15766] = {.lex_state = 0},
  [15767] = {.lex_state = 0},
  [15768] = {.lex_state = 0},
  [15769] = {.lex_state = 0},
  [15770] = {.lex_state = 0},
  [15771] = {.lex_state = 0},
  [15772] = {.lex_state = 0},
  [15773] = {.lex_state = 0},
  [15774] = {.lex_state = 0},
  [15775] = {.lex_state = 0},
  [15776] = {.lex_state = 0},
  [15777] = {.lex_state = 0},
  [15778] = {.lex_state = 0},
  [15779] = {.lex_state = 0},
  [15780] = {.lex_state = 0},
  [15781] = {.lex_state = 0},
  [15782] = {.lex_state = 0, .external_lex_state = 25},
  [15783] = {.lex_state = 0},
  [15784] = {.lex_state = 0},
  [15785] = {.lex_state = 0},
  [15786] = {.lex_state = 0},
  [15787] = {.lex_state = 0},
  [15788] = {.lex_state = 0},
  [15789] = {.lex_state = 0},
  [15790] = {.lex_state = 0},
  [15791] = {.lex_state = 0},
  [15792] = {.lex_state = 0, .external_lex_state = 72},
  [15793] = {.lex_state = 0},
  [15794] = {.lex_state = 0},
  [15795] = {.lex_state = 0},
  [15796] = {.lex_state = 0},
  [15797] = {.lex_state = 0},
  [15798] = {.lex_state = 76},
  [15799] = {.lex_state = 0},
  [15800] = {.lex_state = 0, .external_lex_state = 73},
  [15801] = {.lex_state = 0},
  [15802] = {.lex_state = 0},
  [15803] = {.lex_state = 0},
  [15804] = {.lex_state = 0},
  [15805] = {.lex_state = 0},
  [15806] = {.lex_state = 0},
  [15807] = {.lex_state = 0, .external_lex_state = 25},
  [15808] = {.lex_state = 0},
  [15809] = {.lex_state = 0},
  [15810] = {.lex_state = 76},
  [15811] = {.lex_state = 0},
  [15812] = {.lex_state = 0, .external_lex_state = 25},
  [15813] = {.lex_state = 0},
  [15814] = {.lex_state = 0},
  [15815] = {.lex_state = 0},
  [15816] = {.lex_state = 0},
  [15817] = {.lex_state = 0},
  [15818] = {.lex_state = 0},
  [15819] = {.lex_state = 0},
  [15820] = {.lex_state = 0, .external_lex_state = 72},
  [15821] = {.lex_state = 0},
  [15822] = {.lex_state = 0},
  [15823] = {.lex_state = 0, .external_lex_state = 73},
  [15824] = {.lex_state = 0},
  [15825] = {.lex_state = 0},
  [15826] = {.lex_state = 76},
  [15827] = {.lex_state = 0},
  [15828] = {.lex_state = 84},
  [15829] = {.lex_state = 0},
  [15830] = {.lex_state = 0},
  [15831] = {.lex_state = 0},
  [15832] = {.lex_state = 0, .external_lex_state = 23},
  [15833] = {.lex_state = 0},
  [15834] = {.lex_state = 0},
  [15835] = {.lex_state = 0, .external_lex_state = 25},
  [15836] = {.lex_state = 0},
  [15837] = {.lex_state = 0},
  [15838] = {.lex_state = 0},
  [15839] = {.lex_state = 0, .external_lex_state = 73},
  [15840] = {.lex_state = 0},
  [15841] = {.lex_state = 0},
  [15842] = {.lex_state = 84},
  [15843] = {.lex_state = 0},
  [15844] = {.lex_state = 0},
  [15845] = {.lex_state = 0},
  [15846] = {.lex_state = 0},
  [15847] = {.lex_state = 0},
  [15848] = {.lex_state = 0, .external_lex_state = 72},
  [15849] = {.lex_state = 0},
  [15850] = {.lex_state = 0},
  [15851] = {.lex_state = 0, .external_lex_state = 73},
  [15852] = {.lex_state = 0},
  [15853] = {.lex_state = 0},
  [15854] = {.lex_state = 0, .external_lex_state = 72},
  [15855] = {.lex_state = 76},
  [15856] = {.lex_state = 0},
  [15857] = {.lex_state = 0, .external_lex_state = 25},
  [15858] = {.lex_state = 0, .external_lex_state = 25},
  [15859] = {.lex_state = 0},
  [15860] = {.lex_state = 0},
  [15861] = {.lex_state = 0},
  [15862] = {.lex_state = 0},
  [15863] = {.lex_state = 0},
  [15864] = {.lex_state = 0},
  [15865] = {.lex_state = 0},
  [15866] = {.lex_state = 0},
  [15867] = {.lex_state = 0},
  [15868] = {.lex_state = 76},
  [15869] = {.lex_state = 0},
  [15870] = {.lex_state = 0, .external_lex_state = 23},
  [15871] = {.lex_state = 84},
  [15872] = {.lex_state = 0},
  [15873] = {.lex_state = 0},
  [15874] = {.lex_state = 0},
  [15875] = {.lex_state = 0},
  [15876] = {.lex_state = 76},
  [15877] = {.lex_state = 84},
  [15878] = {.lex_state = 0},
  [15879] = {.lex_state = 0},
  [15880] = {.lex_state = 0, .external_lex_state = 72},
  [15881] = {.lex_state = 0, .external_lex_state = 73},
  [15882] = {.lex_state = 0},
  [15883] = {.lex_state = 0},
  [15884] = {.lex_state = 0},
  [15885] = {.lex_state = 0},
  [15886] = {.lex_state = 0},
  [15887] = {.lex_state = 0},
  [15888] = {.lex_state = 0, .external_lex_state = 25},
  [15889] = {.lex_state = 0},
  [15890] = {.lex_state = 0},
  [15891] = {.lex_state = 0},
  [15892] = {.lex_state = 0},
  [15893] = {.lex_state = 0},
  [15894] = {.lex_state = 0},
  [15895] = {.lex_state = 84},
  [15896] = {.lex_state = 0},
  [15897] = {.lex_state = 0},
  [15898] = {.lex_state = 0},
  [15899] = {.lex_state = 0},
  [15900] = {.lex_state = 0},
  [15901] = {.lex_state = 0, .external_lex_state = 73},
  [15902] = {.lex_state = 0},
  [15903] = {.lex_state = 0},
  [15904] = {.lex_state = 0},
  [15905] = {.lex_state = 84},
  [15906] = {.lex_state = 0},
  [15907] = {.lex_state = 0, .external_lex_state = 72},
  [15908] = {.lex_state = 0, .external_lex_state = 25},
  [15909] = {.lex_state = 0},
  [15910] = {.lex_state = 0},
  [15911] = {.lex_state = 0},
  [15912] = {.lex_state = 0},
  [15913] = {.lex_state = 84},
  [15914] = {.lex_state = 0, .external_lex_state = 25},
  [15915] = {.lex_state = 0},
  [15916] = {.lex_state = 0},
  [15917] = {.lex_state = 0, .external_lex_state = 72},
  [15918] = {.lex_state = 0},
  [15919] = {.lex_state = 0, .external_lex_state = 73},
  [15920] = {.lex_state = 0},
  [15921] = {.lex_state = 0},
  [15922] = {.lex_state = 0},
  [15923] = {.lex_state = 0},
  [15924] = {.lex_state = 0},
  [15925] = {.lex_state = 0},
  [15926] = {.lex_state = 0},
  [15927] = {.lex_state = 0},
  [15928] = {.lex_state = 0},
  [15929] = {.lex_state = 0},
  [15930] = {.lex_state = 0},
  [15931] = {.lex_state = 0},
  [15932] = {.lex_state = 0},
  [15933] = {.lex_state = 0},
  [15934] = {.lex_state = 0},
  [15935] = {.lex_state = 0},
  [15936] = {.lex_state = 0},
  [15937] = {.lex_state = 0},
  [15938] = {.lex_state = 0},
  [15939] = {.lex_state = 0},
  [15940] = {.lex_state = 0},
  [15941] = {.lex_state = 0},
  [15942] = {.lex_state = 0},
  [15943] = {.lex_state = 0},
  [15944] = {.lex_state = 0},
  [15945] = {.lex_state = 0},
  [15946] = {.lex_state = 0},
  [15947] = {.lex_state = 0},
  [15948] = {.lex_state = 0},
  [15949] = {.lex_state = 0, .external_lex_state = 25},
  [15950] = {.lex_state = 0},
  [15951] = {.lex_state = 0},
  [15952] = {.lex_state = 0, .external_lex_state = 25},
  [15953] = {.lex_state = 0},
  [15954] = {.lex_state = 0},
  [15955] = {.lex_state = 0},
  [15956] = {.lex_state = 0},
  [15957] = {.lex_state = 0},
  [15958] = {.lex_state = 0},
  [15959] = {.lex_state = 0},
  [15960] = {.lex_state = 0, .external_lex_state = 72},
  [15961] = {.lex_state = 0},
  [15962] = {.lex_state = 0, .external_lex_state = 73},
  [15963] = {.lex_state = 0},
  [15964] = {.lex_state = 0, .external_lex_state = 72},
  [15965] = {.lex_state = 0},
  [15966] = {.lex_state = 0},
  [15967] = {.lex_state = 0},
  [15968] = {.lex_state = 0, .external_lex_state = 25},
  [15969] = {.lex_state = 0},
  [15970] = {.lex_state = 0},
  [15971] = {.lex_state = 0},
  [15972] = {.lex_state = 0},
  [15973] = {.lex_state = 0, .external_lex_state = 73},
  [15974] = {.lex_state = 84},
  [15975] = {.lex_state = 0},
  [15976] = {.lex_state = 0, .external_lex_state = 72},
  [15977] = {.lex_state = 0},
  [15978] = {.lex_state = 0},
  [15979] = {.lex_state = 0, .external_lex_state = 73},
  [15980] = {.lex_state = 0},
  [15981] = {.lex_state = 84},
  [15982] = {.lex_state = 0},
  [15983] = {.lex_state = 0},
  [15984] = {.lex_state = 0},
  [15985] = {.lex_state = 0},
  [15986] = {.lex_state = 0},
  [15987] = {.lex_state = 0},
  [15988] = {.lex_state = 0},
  [15989] = {.lex_state = 0},
  [15990] = {.lex_state = 0},
  [15991] = {.lex_state = 0},
  [15992] = {.lex_state = 0},
  [15993] = {.lex_state = 0},
  [15994] = {.lex_state = 0},
  [15995] = {.lex_state = 0},
  [15996] = {.lex_state = 0},
  [15997] = {.lex_state = 84},
  [15998] = {.lex_state = 0, .external_lex_state = 25},
  [15999] = {.lex_state = 0, .external_lex_state = 72},
  [16000] = {.lex_state = 0, .external_lex_state = 73},
  [16001] = {.lex_state = 0},
  [16002] = {.lex_state = 0},
  [16003] = {.lex_state = 0},
  [16004] = {.lex_state = 0, .external_lex_state = 25},
  [16005] = {.lex_state = 0},
  [16006] = {.lex_state = 0},
  [16007] = {.lex_state = 0},
  [16008] = {.lex_state = 84},
  [16009] = {.lex_state = 0},
  [16010] = {.lex_state = 0},
  [16011] = {.lex_state = 84},
  [16012] = {.lex_state = 0},
  [16013] = {.lex_state = 0},
  [16014] = {.lex_state = 0},
  [16015] = {.lex_state = 84},
  [16016] = {.lex_state = 0},
  [16017] = {.lex_state = 0},
  [16018] = {.lex_state = 0},
  [16019] = {.lex_state = 0},
  [16020] = {.lex_state = 0},
  [16021] = {.lex_state = 0},
  [16022] = {.lex_state = 0},
  [16023] = {.lex_state = 0},
  [16024] = {.lex_state = 0},
  [16025] = {.lex_state = 0},
  [16026] = {.lex_state = 0},
  [16027] = {.lex_state = 0},
  [16028] = {.lex_state = 0},
  [16029] = {.lex_state = 0},
  [16030] = {.lex_state = 0, .external_lex_state = 72},
  [16031] = {.lex_state = 84},
  [16032] = {.lex_state = 0},
  [16033] = {.lex_state = 0},
  [16034] = {.lex_state = 0, .external_lex_state = 73},
  [16035] = {.lex_state = 0},
  [16036] = {.lex_state = 0},
  [16037] = {.lex_state = 0},
  [16038] = {.lex_state = 0},
  [16039] = {.lex_state = 0},
  [16040] = {.lex_state = 0},
  [16041] = {.lex_state = 0},
  [16042] = {.lex_state = 0, .external_lex_state = 25},
  [16043] = {.lex_state = 0},
  [16044] = {.lex_state = 0},
  [16045] = {.lex_state = 0},
  [16046] = {.lex_state = 0},
  [16047] = {.lex_state = 0},
  [16048] = {.lex_state = 84},
  [16049] = {.lex_state = 84},
  [16050] = {.lex_state = 0},
  [16051] = {.lex_state = 0},
  [16052] = {.lex_state = 0},
  [16053] = {.lex_state = 0, .external_lex_state = 72},
  [16054] = {.lex_state = 0, .external_lex_state = 73},
  [16055] = {.lex_state = 0},
  [16056] = {.lex_state = 0},
  [16057] = {.lex_state = 0},
  [16058] = {.lex_state = 84},
  [16059] = {.lex_state = 0},
  [16060] = {.lex_state = 0, .external_lex_state = 25},
  [16061] = {.lex_state = 0},
  [16062] = {.lex_state = 0, .external_lex_state = 24},
  [16063] = {.lex_state = 84},
  [16064] = {.lex_state = 0},
  [16065] = {.lex_state = 0},
  [16066] = {.lex_state = 84},
  [16067] = {.lex_state = 0},
  [16068] = {.lex_state = 84},
  [16069] = {.lex_state = 0},
  [16070] = {.lex_state = 0},
  [16071] = {.lex_state = 0},
  [16072] = {.lex_state = 0},
  [16073] = {.lex_state = 0},
  [16074] = {.lex_state = 0},
  [16075] = {.lex_state = 0},
  [16076] = {.lex_state = 0},
  [16077] = {.lex_state = 0},
  [16078] = {.lex_state = 0},
  [16079] = {.lex_state = 0},
  [16080] = {.lex_state = 0},
  [16081] = {.lex_state = 0, .external_lex_state = 25},
  [16082] = {.lex_state = 0},
  [16083] = {.lex_state = 0},
  [16084] = {.lex_state = 0, .external_lex_state = 72},
  [16085] = {.lex_state = 0},
  [16086] = {.lex_state = 0, .external_lex_state = 73},
  [16087] = {.lex_state = 0},
  [16088] = {.lex_state = 0},
  [16089] = {.lex_state = 84},
  [16090] = {.lex_state = 0},
  [16091] = {.lex_state = 0},
  [16092] = {.lex_state = 0},
  [16093] = {.lex_state = 0},
  [16094] = {.lex_state = 0},
  [16095] = {.lex_state = 0},
  [16096] = {.lex_state = 0},
  [16097] = {.lex_state = 0},
  [16098] = {.lex_state = 0},
  [16099] = {.lex_state = 0},
  [16100] = {.lex_state = 84},
  [16101] = {.lex_state = 0},
  [16102] = {.lex_state = 0, .external_lex_state = 72},
  [16103] = {.lex_state = 0, .external_lex_state = 73},
  [16104] = {.lex_state = 0},
  [16105] = {.lex_state = 0},
  [16106] = {.lex_state = 0},
  [16107] = {.lex_state = 0},
  [16108] = {.lex_state = 0, .external_lex_state = 25},
  [16109] = {.lex_state = 84},
  [16110] = {.lex_state = 84},
  [16111] = {.lex_state = 0},
  [16112] = {.lex_state = 0, .external_lex_state = 25},
  [16113] = {.lex_state = 0},
  [16114] = {.lex_state = 0},
  [16115] = {.lex_state = 0},
  [16116] = {.lex_state = 84},
  [16117] = {.lex_state = 0},
  [16118] = {.lex_state = 84},
  [16119] = {.lex_state = 0, .external_lex_state = 24},
  [16120] = {.lex_state = 0},
  [16121] = {.lex_state = 0},
  [16122] = {.lex_state = 0},
  [16123] = {.lex_state = 0},
  [16124] = {.lex_state = 0},
  [16125] = {.lex_state = 0},
  [16126] = {.lex_state = 0, .external_lex_state = 72},
  [16127] = {.lex_state = 0, .external_lex_state = 73},
  [16128] = {.lex_state = 0},
  [16129] = {.lex_state = 0},
  [16130] = {.lex_state = 0},
  [16131] = {.lex_state = 0},
  [16132] = {.lex_state = 0},
  [16133] = {.lex_state = 84},
  [16134] = {.lex_state = 0},
  [16135] = {.lex_state = 0},
  [16136] = {.lex_state = 0},
  [16137] = {.lex_state = 0},
  [16138] = {.lex_state = 0},
  [16139] = {.lex_state = 186},
  [16140] = {.lex_state = 0, .external_lex_state = 72},
  [16141] = {.lex_state = 84},
  [16142] = {.lex_state = 0, .external_lex_state = 25},
  [16143] = {.lex_state = 0, .external_lex_state = 24},
  [16144] = {.lex_state = 0},
  [16145] = {.lex_state = 0, .external_lex_state = 73},
  [16146] = {.lex_state = 84},
  [16147] = {.lex_state = 0},
  [16148] = {.lex_state = 0},
  [16149] = {.lex_state = 0},
  [16150] = {.lex_state = 0},
  [16151] = {.lex_state = 0},
  [16152] = {.lex_state = 0},
  [16153] = {.lex_state = 84},
  [16154] = {.lex_state = 0},
  [16155] = {.lex_state = 84},
  [16156] = {.lex_state = 0, .external_lex_state = 25},
  [16157] = {.lex_state = 0},
  [16158] = {.lex_state = 0},
  [16159] = {.lex_state = 0},
  [16160] = {.lex_state = 0},
  [16161] = {.lex_state = 0},
  [16162] = {.lex_state = 0},
  [16163] = {.lex_state = 0},
  [16164] = {.lex_state = 0},
  [16165] = {.lex_state = 0},
  [16166] = {.lex_state = 0},
  [16167] = {.lex_state = 0},
  [16168] = {.lex_state = 0},
  [16169] = {.lex_state = 0, .external_lex_state = 25},
  [16170] = {.lex_state = 0},
  [16171] = {.lex_state = 0},
  [16172] = {.lex_state = 0},
  [16173] = {.lex_state = 0, .external_lex_state = 25},
  [16174] = {.lex_state = 0, .external_lex_state = 25},
  [16175] = {.lex_state = 0, .external_lex_state = 24},
  [16176] = {.lex_state = 84},
  [16177] = {.lex_state = 0},
  [16178] = {.lex_state = 0},
  [16179] = {.lex_state = 0},
  [16180] = {.lex_state = 0},
  [16181] = {.lex_state = 84},
  [16182] = {.lex_state = 84},
  [16183] = {.lex_state = 0, .external_lex_state = 73},
  [16184] = {.lex_state = 0},
  [16185] = {.lex_state = 0, .external_lex_state = 72},
  [16186] = {.lex_state = 84},
  [16187] = {.lex_state = 0, .external_lex_state = 24},
  [16188] = {.lex_state = 84},
  [16189] = {.lex_state = 0},
  [16190] = {.lex_state = 0, .external_lex_state = 24},
  [16191] = {.lex_state = 0, .external_lex_state = 72},
  [16192] = {.lex_state = 0},
  [16193] = {.lex_state = 0, .external_lex_state = 73},
  [16194] = {.lex_state = 0},
  [16195] = {.lex_state = 0},
  [16196] = {.lex_state = 0},
  [16197] = {.lex_state = 0},
  [16198] = {.lex_state = 0},
  [16199] = {.lex_state = 0},
  [16200] = {.lex_state = 0},
  [16201] = {.lex_state = 0, .external_lex_state = 24},
  [16202] = {.lex_state = 0},
  [16203] = {.lex_state = 0},
  [16204] = {.lex_state = 84},
  [16205] = {.lex_state = 0, .external_lex_state = 73},
  [16206] = {.lex_state = 0, .external_lex_state = 72},
  [16207] = {.lex_state = 0},
  [16208] = {.lex_state = 0},
  [16209] = {.lex_state = 0},
  [16210] = {.lex_state = 84},
  [16211] = {.lex_state = 0},
  [16212] = {.lex_state = 0},
  [16213] = {.lex_state = 84},
  [16214] = {.lex_state = 0},
  [16215] = {.lex_state = 84},
  [16216] = {.lex_state = 0, .external_lex_state = 25},
  [16217] = {.lex_state = 0},
  [16218] = {.lex_state = 0},
  [16219] = {.lex_state = 0},
  [16220] = {.lex_state = 0},
  [16221] = {.lex_state = 0, .external_lex_state = 72},
  [16222] = {.lex_state = 84},
  [16223] = {.lex_state = 0, .external_lex_state = 73},
  [16224] = {.lex_state = 0, .external_lex_state = 24},
  [16225] = {.lex_state = 0},
  [16226] = {.lex_state = 0},
  [16227] = {.lex_state = 84},
  [16228] = {.lex_state = 0},
  [16229] = {.lex_state = 0, .external_lex_state = 73},
  [16230] = {.lex_state = 0, .external_lex_state = 72},
  [16231] = {.lex_state = 0},
  [16232] = {.lex_state = 84},
  [16233] = {.lex_state = 0, .external_lex_state = 25},
  [16234] = {.lex_state = 0},
  [16235] = {.lex_state = 0},
  [16236] = {.lex_state = 0},
  [16237] = {.lex_state = 84},
  [16238] = {.lex_state = 0},
  [16239] = {.lex_state = 0, .external_lex_state = 73},
  [16240] = {.lex_state = 0, .external_lex_state = 72},
  [16241] = {.lex_state = 0},
  [16242] = {.lex_state = 0},
  [16243] = {.lex_state = 0},
  [16244] = {.lex_state = 84},
  [16245] = {.lex_state = 0},
  [16246] = {.lex_state = 84},
  [16247] = {.lex_state = 0, .external_lex_state = 73},
  [16248] = {.lex_state = 0, .external_lex_state = 72},
  [16249] = {.lex_state = 84},
  [16250] = {.lex_state = 0},
  [16251] = {.lex_state = 0, .external_lex_state = 24},
  [16252] = {.lex_state = 0},
  [16253] = {.lex_state = 84},
  [16254] = {.lex_state = 0, .external_lex_state = 72},
  [16255] = {.lex_state = 0, .external_lex_state = 73},
  [16256] = {.lex_state = 84},
  [16257] = {.lex_state = 0},
  [16258] = {.lex_state = 0},
  [16259] = {.lex_state = 84},
  [16260] = {.lex_state = 0},
  [16261] = {.lex_state = 0},
  [16262] = {.lex_state = 0},
  [16263] = {.lex_state = 0, .external_lex_state = 25},
  [16264] = {.lex_state = 84},
  [16265] = {.lex_state = 84},
  [16266] = {.lex_state = 0},
  [16267] = {.lex_state = 0},
  [16268] = {.lex_state = 0},
  [16269] = {.lex_state = 0, .external_lex_state = 72},
  [16270] = {.lex_state = 0},
  [16271] = {.lex_state = 0, .external_lex_state = 73},
  [16272] = {.lex_state = 0, .external_lex_state = 73},
  [16273] = {.lex_state = 0, .external_lex_state = 72},
  [16274] = {.lex_state = 0},
  [16275] = {.lex_state = 0},
  [16276] = {.lex_state = 0},
  [16277] = {.lex_state = 84},
  [16278] = {.lex_state = 0},
  [16279] = {.lex_state = 0, .external_lex_state = 25},
  [16280] = {.lex_state = 84},
  [16281] = {.lex_state = 0},
  [16282] = {.lex_state = 84},
  [16283] = {.lex_state = 0},
  [16284] = {.lex_state = 84},
  [16285] = {.lex_state = 84},
  [16286] = {.lex_state = 0},
  [16287] = {.lex_state = 0},
  [16288] = {.lex_state = 84},
  [16289] = {.lex_state = 84},
  [16290] = {.lex_state = 0},
  [16291] = {.lex_state = 0, .external_lex_state = 72},
  [16292] = {.lex_state = 0, .external_lex_state = 73},
  [16293] = {.lex_state = 0},
  [16294] = {.lex_state = 0, .external_lex_state = 73},
  [16295] = {.lex_state = 0, .external_lex_state = 72},
  [16296] = {.lex_state = 0},
  [16297] = {.lex_state = 0},
  [16298] = {.lex_state = 0},
  [16299] = {.lex_state = 84},
  [16300] = {.lex_state = 0},
  [16301] = {.lex_state = 0, .external_lex_state = 72},
  [16302] = {.lex_state = 84},
  [16303] = {.lex_state = 0},
  [16304] = {.lex_state = 0, .external_lex_state = 73},
  [16305] = {.lex_state = 0},
  [16306] = {.lex_state = 0, .external_lex_state = 25},
  [16307] = {.lex_state = 84},
  [16308] = {.lex_state = 0, .external_lex_state = 73},
  [16309] = {.lex_state = 0},
  [16310] = {.lex_state = 84},
  [16311] = {.lex_state = 0, .external_lex_state = 72},
  [16312] = {.lex_state = 0},
  [16313] = {.lex_state = 0},
  [16314] = {.lex_state = 0, .external_lex_state = 25},
  [16315] = {.lex_state = 84},
  [16316] = {.lex_state = 0, .external_lex_state = 73},
  [16317] = {.lex_state = 0, .external_lex_state = 72},
  [16318] = {.lex_state = 0},
  [16319] = {.lex_state = 0},
  [16320] = {.lex_state = 0},
  [16321] = {.lex_state = 84},
  [16322] = {.lex_state = 84},
  [16323] = {.lex_state = 84},
  [16324] = {.lex_state = 0, .external_lex_state = 72},
  [16325] = {.lex_state = 0, .external_lex_state = 73},
  [16326] = {.lex_state = 0},
  [16327] = {.lex_state = 0},
  [16328] = {.lex_state = 84},
  [16329] = {.lex_state = 0},
  [16330] = {.lex_state = 0},
  [16331] = {.lex_state = 84},
  [16332] = {.lex_state = 0},
  [16333] = {.lex_state = 84},
  [16334] = {.lex_state = 0},
  [16335] = {.lex_state = 0},
  [16336] = {.lex_state = 0},
  [16337] = {.lex_state = 0, .external_lex_state = 73},
  [16338] = {.lex_state = 0, .external_lex_state = 72},
  [16339] = {.lex_state = 0},
  [16340] = {.lex_state = 0, .external_lex_state = 25},
  [16341] = {.lex_state = 0},
  [16342] = {.lex_state = 0, .external_lex_state = 72},
  [16343] = {.lex_state = 84},
  [16344] = {.lex_state = 0, .external_lex_state = 73},
  [16345] = {.lex_state = 0},
  [16346] = {.lex_state = 0},
  [16347] = {.lex_state = 0},
  [16348] = {.lex_state = 84},
  [16349] = {.lex_state = 0},
  [16350] = {.lex_state = 0},
  [16351] = {.lex_state = 84},
  [16352] = {.lex_state = 0},
  [16353] = {.lex_state = 0},
  [16354] = {.lex_state = 76},
  [16355] = {.lex_state = 76},
  [16356] = {.lex_state = 0},
  [16357] = {.lex_state = 84, .external_lex_state = 64},
  [16358] = {.lex_state = 0, .external_lex_state = 25},
  [16359] = {.lex_state = 0},
  [16360] = {.lex_state = 0},
  [16361] = {.lex_state = 0},
  [16362] = {.lex_state = 84},
  [16363] = {.lex_state = 0, .external_lex_state = 25},
  [16364] = {.lex_state = 84},
  [16365] = {.lex_state = 0},
  [16366] = {.lex_state = 76},
  [16367] = {.lex_state = 76},
  [16368] = {.lex_state = 0, .external_lex_state = 25},
  [16369] = {.lex_state = 0},
  [16370] = {.lex_state = 0, .external_lex_state = 25},
  [16371] = {.lex_state = 0},
  [16372] = {.lex_state = 76},
  [16373] = {.lex_state = 0},
  [16374] = {.lex_state = 1},
  [16375] = {.lex_state = 0},
  [16376] = {.lex_state = 84},
  [16377] = {.lex_state = 0},
  [16378] = {.lex_state = 84},
  [16379] = {.lex_state = 0},
  [16380] = {.lex_state = 76},
  [16381] = {.lex_state = 0},
  [16382] = {.lex_state = 84, .external_lex_state = 64},
  [16383] = {.lex_state = 84},
  [16384] = {.lex_state = 0},
  [16385] = {.lex_state = 0},
  [16386] = {.lex_state = 84},
  [16387] = {.lex_state = 0},
  [16388] = {.lex_state = 0, .external_lex_state = 25},
  [16389] = {.lex_state = 0},
  [16390] = {.lex_state = 0},
  [16391] = {.lex_state = 84, .external_lex_state = 52},
  [16392] = {.lex_state = 0},
  [16393] = {.lex_state = 84},
  [16394] = {.lex_state = 84},
  [16395] = {.lex_state = 84},
  [16396] = {.lex_state = 0},
  [16397] = {.lex_state = 0},
  [16398] = {.lex_state = 0, .external_lex_state = 72},
  [16399] = {.lex_state = 0},
  [16400] = {.lex_state = 0},
  [16401] = {.lex_state = 0},
  [16402] = {.lex_state = 84},
  [16403] = {.lex_state = 0, .external_lex_state = 25},
  [16404] = {.lex_state = 84, .external_lex_state = 64},
  [16405] = {.lex_state = 84, .external_lex_state = 64},
  [16406] = {.lex_state = 0},
  [16407] = {.lex_state = 0, .external_lex_state = 25},
  [16408] = {.lex_state = 84},
  [16409] = {.lex_state = 0},
  [16410] = {.lex_state = 0, .external_lex_state = 25},
  [16411] = {.lex_state = 84},
  [16412] = {.lex_state = 0},
  [16413] = {.lex_state = 0},
  [16414] = {.lex_state = 0},
  [16415] = {.lex_state = 0},
  [16416] = {.lex_state = 0},
  [16417] = {.lex_state = 76},
  [16418] = {.lex_state = 84},
  [16419] = {.lex_state = 76},
  [16420] = {.lex_state = 84, .external_lex_state = 64},
  [16421] = {.lex_state = 0, .external_lex_state = 25},
  [16422] = {.lex_state = 84},
  [16423] = {.lex_state = 0},
  [16424] = {.lex_state = 84, .external_lex_state = 64},
  [16425] = {.lex_state = 84, .external_lex_state = 64},
  [16426] = {.lex_state = 0, .external_lex_state = 73},
  [16427] = {.lex_state = 84, .external_lex_state = 64},
  [16428] = {.lex_state = 84},
  [16429] = {.lex_state = 84, .external_lex_state = 64},
  [16430] = {.lex_state = 0},
  [16431] = {.lex_state = 0},
  [16432] = {.lex_state = 84},
  [16433] = {.lex_state = 84, .external_lex_state = 52},
  [16434] = {.lex_state = 0},
  [16435] = {.lex_state = 0},
  [16436] = {.lex_state = 0},
  [16437] = {.lex_state = 0},
  [16438] = {.lex_state = 0},
  [16439] = {.lex_state = 0, .external_lex_state = 73},
  [16440] = {.lex_state = 84, .external_lex_state = 64},
  [16441] = {.lex_state = 0, .external_lex_state = 72},
  [16442] = {.lex_state = 0, .external_lex_state = 25},
  [16443] = {.lex_state = 0},
  [16444] = {.lex_state = 84},
  [16445] = {.lex_state = 84, .external_lex_state = 52},
  [16446] = {.lex_state = 84, .external_lex_state = 52},
  [16447] = {.lex_state = 0},
  [16448] = {.lex_state = 0, .external_lex_state = 25},
  [16449] = {.lex_state = 0},
  [16450] = {.lex_state = 84},
  [16451] = {.lex_state = 0},
  [16452] = {.lex_state = 0},
  [16453] = {.lex_state = 0},
  [16454] = {.lex_state = 0, .external_lex_state = 73},
  [16455] = {.lex_state = 0},
  [16456] = {.lex_state = 0},
  [16457] = {.lex_state = 0},
  [16458] = {.lex_state = 0},
  [16459] = {.lex_state = 0},
  [16460] = {.lex_state = 84},
  [16461] = {.lex_state = 84},
  [16462] = {.lex_state = 0},
  [16463] = {.lex_state = 84},
  [16464] = {.lex_state = 0},
  [16465] = {.lex_state = 84},
  [16466] = {.lex_state = 0},
  [16467] = {.lex_state = 0, .external_lex_state = 25},
  [16468] = {.lex_state = 0, .external_lex_state = 25},
  [16469] = {.lex_state = 0},
  [16470] = {.lex_state = 84},
  [16471] = {.lex_state = 0},
  [16472] = {.lex_state = 84},
  [16473] = {.lex_state = 0, .external_lex_state = 25},
  [16474] = {.lex_state = 0},
  [16475] = {.lex_state = 0, .external_lex_state = 25},
  [16476] = {.lex_state = 84, .external_lex_state = 52},
  [16477] = {.lex_state = 0},
  [16478] = {.lex_state = 0},
  [16479] = {.lex_state = 0},
  [16480] = {.lex_state = 0},
  [16481] = {.lex_state = 0},
  [16482] = {.lex_state = 0},
  [16483] = {.lex_state = 0, .external_lex_state = 25},
  [16484] = {.lex_state = 84},
  [16485] = {.lex_state = 0},
  [16486] = {.lex_state = 84},
  [16487] = {.lex_state = 84, .external_lex_state = 52},
  [16488] = {.lex_state = 84},
  [16489] = {.lex_state = 0},
  [16490] = {.lex_state = 84},
  [16491] = {.lex_state = 0},
  [16492] = {.lex_state = 0},
  [16493] = {.lex_state = 0},
  [16494] = {.lex_state = 0},
  [16495] = {.lex_state = 0},
  [16496] = {.lex_state = 0},
  [16497] = {.lex_state = 0},
  [16498] = {.lex_state = 0, .external_lex_state = 25},
  [16499] = {.lex_state = 0},
  [16500] = {.lex_state = 84},
  [16501] = {.lex_state = 0},
  [16502] = {.lex_state = 0},
  [16503] = {.lex_state = 0},
  [16504] = {.lex_state = 0, .external_lex_state = 25},
  [16505] = {.lex_state = 0},
  [16506] = {.lex_state = 84},
  [16507] = {.lex_state = 0},
  [16508] = {.lex_state = 0},
  [16509] = {.lex_state = 0},
  [16510] = {.lex_state = 0, .external_lex_state = 72},
  [16511] = {.lex_state = 0, .external_lex_state = 73},
  [16512] = {.lex_state = 0},
  [16513] = {.lex_state = 84},
  [16514] = {.lex_state = 0},
  [16515] = {.lex_state = 0},
  [16516] = {.lex_state = 84},
  [16517] = {.lex_state = 0},
  [16518] = {.lex_state = 0},
  [16519] = {.lex_state = 84},
  [16520] = {.lex_state = 0},
  [16521] = {.lex_state = 0, .external_lex_state = 25},
  [16522] = {.lex_state = 84, .external_lex_state = 52},
  [16523] = {.lex_state = 84},
  [16524] = {.lex_state = 76},
  [16525] = {.lex_state = 76},
  [16526] = {.lex_state = 0},
  [16527] = {.lex_state = 84},
  [16528] = {.lex_state = 0},
  [16529] = {.lex_state = 84},
  [16530] = {.lex_state = 0, .external_lex_state = 25},
  [16531] = {.lex_state = 0},
  [16532] = {.lex_state = 0},
  [16533] = {.lex_state = 84},
  [16534] = {.lex_state = 0},
  [16535] = {.lex_state = 0},
  [16536] = {.lex_state = 0},
  [16537] = {.lex_state = 0},
  [16538] = {.lex_state = 0, .external_lex_state = 72},
  [16539] = {.lex_state = 0, .external_lex_state = 72},
  [16540] = {.lex_state = 0, .external_lex_state = 72},
  [16541] = {.lex_state = 0, .external_lex_state = 25},
  [16542] = {.lex_state = 0},
  [16543] = {.lex_state = 0},
  [16544] = {.lex_state = 0},
  [16545] = {.lex_state = 84},
  [16546] = {.lex_state = 0},
  [16547] = {.lex_state = 84},
  [16548] = {.lex_state = 84},
  [16549] = {.lex_state = 0},
  [16550] = {.lex_state = 84, .external_lex_state = 64},
  [16551] = {.lex_state = 84},
  [16552] = {.lex_state = 0},
  [16553] = {.lex_state = 0},
  [16554] = {.lex_state = 0},
  [16555] = {.lex_state = 0},
  [16556] = {.lex_state = 84, .external_lex_state = 52},
  [16557] = {.lex_state = 0},
  [16558] = {.lex_state = 84},
  [16559] = {.lex_state = 0},
  [16560] = {.lex_state = 0},
  [16561] = {.lex_state = 0},
  [16562] = {.lex_state = 0},
  [16563] = {.lex_state = 0},
  [16564] = {.lex_state = 84, .external_lex_state = 64},
  [16565] = {.lex_state = 0},
  [16566] = {.lex_state = 0, .external_lex_state = 25},
  [16567] = {.lex_state = 84},
  [16568] = {.lex_state = 0},
  [16569] = {.lex_state = 0},
  [16570] = {.lex_state = 84},
  [16571] = {.lex_state = 0},
  [16572] = {.lex_state = 0},
  [16573] = {.lex_state = 0},
  [16574] = {.lex_state = 84},
  [16575] = {.lex_state = 0},
  [16576] = {.lex_state = 0},
  [16577] = {.lex_state = 0},
  [16578] = {.lex_state = 0},
  [16579] = {.lex_state = 0},
  [16580] = {.lex_state = 0},
  [16581] = {.lex_state = 0},
  [16582] = {.lex_state = 84},
  [16583] = {.lex_state = 84},
  [16584] = {.lex_state = 0, .external_lex_state = 25},
  [16585] = {.lex_state = 84, .external_lex_state = 64},
  [16586] = {.lex_state = 0},
  [16587] = {.lex_state = 84},
  [16588] = {.lex_state = 0},
  [16589] = {.lex_state = 0},
  [16590] = {.lex_state = 84},
  [16591] = {.lex_state = 0},
  [16592] = {.lex_state = 84, .external_lex_state = 64},
  [16593] = {.lex_state = 0},
  [16594] = {.lex_state = 0},
  [16595] = {.lex_state = 0},
  [16596] = {.lex_state = 0},
  [16597] = {.lex_state = 0, .external_lex_state = 25},
  [16598] = {.lex_state = 84},
  [16599] = {.lex_state = 0},
  [16600] = {.lex_state = 0},
  [16601] = {.lex_state = 84},
  [16602] = {.lex_state = 0, .external_lex_state = 73},
  [16603] = {.lex_state = 0, .external_lex_state = 73},
  [16604] = {.lex_state = 0, .external_lex_state = 73},
  [16605] = {.lex_state = 0},
  [16606] = {.lex_state = 0},
  [16607] = {.lex_state = 84},
  [16608] = {.lex_state = 0},
  [16609] = {.lex_state = 0},
  [16610] = {.lex_state = 84},
  [16611] = {.lex_state = 0},
  [16612] = {.lex_state = 0, .external_lex_state = 25},
  [16613] = {.lex_state = 0},
  [16614] = {.lex_state = 84},
  [16615] = {.lex_state = 0},
  [16616] = {.lex_state = 0},
  [16617] = {.lex_state = 0},
  [16618] = {.lex_state = 84},
  [16619] = {.lex_state = 0},
  [16620] = {.lex_state = 0},
  [16621] = {.lex_state = 84},
  [16622] = {.lex_state = 0, .external_lex_state = 25},
  [16623] = {.lex_state = 0},
  [16624] = {.lex_state = 0, .external_lex_state = 25},
  [16625] = {.lex_state = 0},
  [16626] = {.lex_state = 84, .external_lex_state = 64},
  [16627] = {.lex_state = 84, .external_lex_state = 64},
  [16628] = {.lex_state = 84},
  [16629] = {.lex_state = 0},
  [16630] = {.lex_state = 0},
  [16631] = {.lex_state = 84},
  [16632] = {.lex_state = 0},
  [16633] = {.lex_state = 84, .external_lex_state = 64},
  [16634] = {.lex_state = 0},
  [16635] = {.lex_state = 84, .external_lex_state = 64},
  [16636] = {.lex_state = 0},
  [16637] = {.lex_state = 0, .external_lex_state = 25},
  [16638] = {.lex_state = 0},
  [16639] = {.lex_state = 84},
  [16640] = {.lex_state = 84},
  [16641] = {.lex_state = 84},
  [16642] = {.lex_state = 0},
  [16643] = {.lex_state = 0},
  [16644] = {.lex_state = 0},
  [16645] = {.lex_state = 0},
  [16646] = {.lex_state = 0, .external_lex_state = 25},
  [16647] = {.lex_state = 0},
  [16648] = {.lex_state = 0},
  [16649] = {.lex_state = 84},
  [16650] = {.lex_state = 84},
  [16651] = {.lex_state = 0},
  [16652] = {.lex_state = 0},
  [16653] = {.lex_state = 9},
  [16654] = {.lex_state = 9},
  [16655] = {.lex_state = 9},
  [16656] = {.lex_state = 0},
  [16657] = {.lex_state = 0, .external_lex_state = 64},
  [16658] = {.lex_state = 0, .external_lex_state = 64},
  [16659] = {.lex_state = 0},
  [16660] = {.lex_state = 0},
  [16661] = {.lex_state = 0},
  [16662] = {.lex_state = 0},
  [16663] = {.lex_state = 0},
  [16664] = {.lex_state = 0},
  [16665] = {.lex_state = 0},
  [16666] = {.lex_state = 0},
  [16667] = {.lex_state = 0, .external_lex_state = 64},
  [16668] = {.lex_state = 84},
  [16669] = {.lex_state = 9},
  [16670] = {.lex_state = 9},
  [16671] = {.lex_state = 0},
  [16672] = {.lex_state = 9},
  [16673] = {.lex_state = 9},
  [16674] = {.lex_state = 84, .external_lex_state = 53},
  [16675] = {.lex_state = 0, .external_lex_state = 64},
  [16676] = {.lex_state = 0},
  [16677] = {.lex_state = 84, .external_lex_state = 53},
  [16678] = {.lex_state = 0},
  [16679] = {.lex_state = 9},
  [16680] = {.lex_state = 0},
  [16681] = {.lex_state = 9},
  [16682] = {.lex_state = 9},
  [16683] = {.lex_state = 9},
  [16684] = {.lex_state = 0},
  [16685] = {.lex_state = 0, .external_lex_state = 64},
  [16686] = {.lex_state = 84, .external_lex_state = 53},
  [16687] = {.lex_state = 84, .external_lex_state = 53},
  [16688] = {.lex_state = 0},
  [16689] = {.lex_state = 0},
  [16690] = {.lex_state = 0, .external_lex_state = 64},
  [16691] = {.lex_state = 84},
  [16692] = {.lex_state = 0},
  [16693] = {.lex_state = 0},
  [16694] = {.lex_state = 0},
  [16695] = {.lex_state = 0, .external_lex_state = 64},
  [16696] = {.lex_state = 0},
  [16697] = {.lex_state = 0},
  [16698] = {.lex_state = 0},
  [16699] = {.lex_state = 0},
  [16700] = {.lex_state = 0},
  [16701] = {.lex_state = 0},
  [16702] = {.lex_state = 0},
  [16703] = {.lex_state = 0},
  [16704] = {.lex_state = 0},
  [16705] = {.lex_state = 9},
  [16706] = {.lex_state = 0},
  [16707] = {.lex_state = 9},
  [16708] = {.lex_state = 9},
  [16709] = {.lex_state = 9},
  [16710] = {.lex_state = 0},
  [16711] = {.lex_state = 0, .external_lex_state = 64},
  [16712] = {.lex_state = 0, .external_lex_state = 64},
  [16713] = {.lex_state = 0},
  [16714] = {.lex_state = 0},
  [16715] = {.lex_state = 0},
  [16716] = {.lex_state = 0},
  [16717] = {.lex_state = 0},
  [16718] = {.lex_state = 0},
  [16719] = {.lex_state = 84, .external_lex_state = 53},
  [16720] = {.lex_state = 0},
  [16721] = {.lex_state = 84},
  [16722] = {.lex_state = 0, .external_lex_state = 64},
  [16723] = {.lex_state = 84, .external_lex_state = 53},
  [16724] = {.lex_state = 84},
  [16725] = {.lex_state = 9},
  [16726] = {.lex_state = 9},
  [16727] = {.lex_state = 0},
  [16728] = {.lex_state = 9},
  [16729] = {.lex_state = 0},
  [16730] = {.lex_state = 9},
  [16731] = {.lex_state = 9},
  [16732] = {.lex_state = 84},
  [16733] = {.lex_state = 9},
  [16734] = {.lex_state = 9},
  [16735] = {.lex_state = 9},
  [16736] = {.lex_state = 0},
  [16737] = {.lex_state = 0},
  [16738] = {.lex_state = 0},
  [16739] = {.lex_state = 0},
  [16740] = {.lex_state = 84, .external_lex_state = 53},
  [16741] = {.lex_state = 0, .external_lex_state = 64},
  [16742] = {.lex_state = 0},
  [16743] = {.lex_state = 0},
  [16744] = {.lex_state = 0},
  [16745] = {.lex_state = 84, .external_lex_state = 53},
  [16746] = {.lex_state = 0},
  [16747] = {.lex_state = 0},
  [16748] = {.lex_state = 0, .external_lex_state = 64},
  [16749] = {.lex_state = 0, .external_lex_state = 64},
  [16750] = {.lex_state = 0},
  [16751] = {.lex_state = 0},
  [16752] = {.lex_state = 0},
  [16753] = {.lex_state = 0},
  [16754] = {.lex_state = 0},
  [16755] = {.lex_state = 0},
  [16756] = {.lex_state = 0},
  [16757] = {.lex_state = 0},
  [16758] = {.lex_state = 9},
  [16759] = {.lex_state = 0},
  [16760] = {.lex_state = 9},
  [16761] = {.lex_state = 9},
  [16762] = {.lex_state = 9},
  [16763] = {.lex_state = 0, .external_lex_state = 64},
  [16764] = {.lex_state = 84, .external_lex_state = 53},
  [16765] = {.lex_state = 0},
  [16766] = {.lex_state = 0},
  [16767] = {.lex_state = 0},
  [16768] = {.lex_state = 0},
  [16769] = {.lex_state = 0, .external_lex_state = 64},
  [16770] = {.lex_state = 0},
  [16771] = {.lex_state = 0},
  [16772] = {.lex_state = 84, .external_lex_state = 53},
  [16773] = {.lex_state = 0, .external_lex_state = 64},
  [16774] = {.lex_state = 0},
  [16775] = {.lex_state = 84},
  [16776] = {.lex_state = 0},
  [16777] = {.lex_state = 0},
  [16778] = {.lex_state = 0},
  [16779] = {.lex_state = 0},
  [16780] = {.lex_state = 0},
  [16781] = {.lex_state = 84},
  [16782] = {.lex_state = 0},
  [16783] = {.lex_state = 9},
  [16784] = {.lex_state = 0},
  [16785] = {.lex_state = 9},
  [16786] = {.lex_state = 9},
  [16787] = {.lex_state = 9},
  [16788] = {.lex_state = 84, .external_lex_state = 53},
  [16789] = {.lex_state = 0},
  [16790] = {.lex_state = 0},
  [16791] = {.lex_state = 0},
  [16792] = {.lex_state = 0, .external_lex_state = 64},
  [16793] = {.lex_state = 0},
  [16794] = {.lex_state = 84},
  [16795] = {.lex_state = 0},
  [16796] = {.lex_state = 0},
  [16797] = {.lex_state = 0, .external_lex_state = 64},
  [16798] = {.lex_state = 0},
  [16799] = {.lex_state = 0},
  [16800] = {.lex_state = 9},
  [16801] = {.lex_state = 0},
  [16802] = {.lex_state = 84, .external_lex_state = 53},
  [16803] = {.lex_state = 9},
  [16804] = {.lex_state = 84, .external_lex_state = 53},
  [16805] = {.lex_state = 0},
  [16806] = {.lex_state = 9},
  [16807] = {.lex_state = 0, .external_lex_state = 64},
  [16808] = {.lex_state = 9},
  [16809] = {.lex_state = 9},
  [16810] = {.lex_state = 9},
  [16811] = {.lex_state = 9},
  [16812] = {.lex_state = 9},
  [16813] = {.lex_state = 0},
  [16814] = {.lex_state = 0, .external_lex_state = 64},
  [16815] = {.lex_state = 0},
  [16816] = {.lex_state = 0},
  [16817] = {.lex_state = 0},
  [16818] = {.lex_state = 84, .external_lex_state = 53},
  [16819] = {.lex_state = 84, .external_lex_state = 53},
  [16820] = {.lex_state = 0, .external_lex_state = 64},
  [16821] = {.lex_state = 0},
  [16822] = {.lex_state = 0, .external_lex_state = 64},
  [16823] = {.lex_state = 0},
  [16824] = {.lex_state = 0},
  [16825] = {.lex_state = 0},
  [16826] = {.lex_state = 0},
  [16827] = {.lex_state = 0, .external_lex_state = 64},
  [16828] = {.lex_state = 84, .external_lex_state = 53},
  [16829] = {.lex_state = 0, .external_lex_state = 64},
  [16830] = {.lex_state = 0},
  [16831] = {.lex_state = 0},
  [16832] = {.lex_state = 0},
  [16833] = {.lex_state = 9},
  [16834] = {.lex_state = 9},
  [16835] = {.lex_state = 9},
  [16836] = {.lex_state = 9},
  [16837] = {.lex_state = 0},
  [16838] = {.lex_state = 0},
  [16839] = {.lex_state = 0},
  [16840] = {.lex_state = 0},
  [16841] = {.lex_state = 84},
  [16842] = {.lex_state = 0, .external_lex_state = 64},
  [16843] = {.lex_state = 0},
  [16844] = {.lex_state = 0},
  [16845] = {.lex_state = 0},
  [16846] = {.lex_state = 0},
  [16847] = {.lex_state = 0, .external_lex_state = 64},
  [16848] = {.lex_state = 0, .external_lex_state = 64},
  [16849] = {.lex_state = 0},
  [16850] = {.lex_state = 0},
  [16851] = {.lex_state = 9},
  [16852] = {.lex_state = 0},
  [16853] = {.lex_state = 0, .external_lex_state = 64},
  [16854] = {.lex_state = 0},
  [16855] = {.lex_state = 84, .external_lex_state = 53},
  [16856] = {.lex_state = 0},
  [16857] = {.lex_state = 9},
  [16858] = {.lex_state = 9},
  [16859] = {.lex_state = 9},
  [16860] = {.lex_state = 9},
  [16861] = {.lex_state = 0},
  [16862] = {.lex_state = 0},
  [16863] = {.lex_state = 0},
  [16864] = {.lex_state = 0},
  [16865] = {.lex_state = 84},
  [16866] = {.lex_state = 9},
  [16867] = {.lex_state = 0, .external_lex_state = 64},
  [16868] = {.lex_state = 84, .external_lex_state = 53},
  [16869] = {.lex_state = 0},
  [16870] = {.lex_state = 9},
  [16871] = {.lex_state = 9},
  [16872] = {.lex_state = 84},
  [16873] = {.lex_state = 9},
  [16874] = {.lex_state = 84, .external_lex_state = 53},
  [16875] = {.lex_state = 0, .external_lex_state = 64},
  [16876] = {.lex_state = 0},
  [16877] = {.lex_state = 9},
  [16878] = {.lex_state = 0},
  [16879] = {.lex_state = 9},
  [16880] = {.lex_state = 9},
  [16881] = {.lex_state = 9},
  [16882] = {.lex_state = 9},
  [16883] = {.lex_state = 0},
  [16884] = {.lex_state = 84, .external_lex_state = 53},
  [16885] = {.lex_state = 0},
  [16886] = {.lex_state = 0},
  [16887] = {.lex_state = 9},
  [16888] = {.lex_state = 0},
  [16889] = {.lex_state = 0, .external_lex_state = 64},
  [16890] = {.lex_state = 0, .external_lex_state = 64},
  [16891] = {.lex_state = 0},
  [16892] = {.lex_state = 0},
  [16893] = {.lex_state = 0},
  [16894] = {.lex_state = 0},
  [16895] = {.lex_state = 0},
  [16896] = {.lex_state = 0, .external_lex_state = 64},
  [16897] = {.lex_state = 0},
  [16898] = {.lex_state = 0},
  [16899] = {.lex_state = 9},
  [16900] = {.lex_state = 0},
  [16901] = {.lex_state = 9},
  [16902] = {.lex_state = 9},
  [16903] = {.lex_state = 9},
  [16904] = {.lex_state = 9},
  [16905] = {.lex_state = 0},
  [16906] = {.lex_state = 0},
  [16907] = {.lex_state = 0},
  [16908] = {.lex_state = 0},
  [16909] = {.lex_state = 0},
  [16910] = {.lex_state = 84, .external_lex_state = 53},
  [16911] = {.lex_state = 0},
  [16912] = {.lex_state = 0},
  [16913] = {.lex_state = 0},
  [16914] = {.lex_state = 0, .external_lex_state = 64},
  [16915] = {.lex_state = 84, .external_lex_state = 53},
  [16916] = {.lex_state = 0, .external_lex_state = 64},
  [16917] = {.lex_state = 84},
  [16918] = {.lex_state = 9},
  [16919] = {.lex_state = 0},
  [16920] = {.lex_state = 0},
  [16921] = {.lex_state = 0},
  [16922] = {.lex_state = 0, .external_lex_state = 64},
  [16923] = {.lex_state = 9},
  [16924] = {.lex_state = 9},
  [16925] = {.lex_state = 9},
  [16926] = {.lex_state = 9},
  [16927] = {.lex_state = 0},
  [16928] = {.lex_state = 0},
  [16929] = {.lex_state = 0},
  [16930] = {.lex_state = 0},
  [16931] = {.lex_state = 0},
  [16932] = {.lex_state = 0},
  [16933] = {.lex_state = 0, .external_lex_state = 64},
  [16934] = {.lex_state = 84, .external_lex_state = 53},
  [16935] = {.lex_state = 0},
  [16936] = {.lex_state = 0},
  [16937] = {.lex_state = 84},
  [16938] = {.lex_state = 0},
  [16939] = {.lex_state = 0, .external_lex_state = 64},
  [16940] = {.lex_state = 84, .external_lex_state = 53},
  [16941] = {.lex_state = 0},
  [16942] = {.lex_state = 0},
  [16943] = {.lex_state = 0},
  [16944] = {.lex_state = 84, .external_lex_state = 53},
  [16945] = {.lex_state = 9},
  [16946] = {.lex_state = 9},
  [16947] = {.lex_state = 9},
  [16948] = {.lex_state = 9},
  [16949] = {.lex_state = 84},
  [16950] = {.lex_state = 84, .external_lex_state = 53},
  [16951] = {.lex_state = 0},
  [16952] = {.lex_state = 0},
  [16953] = {.lex_state = 0, .external_lex_state = 64},
  [16954] = {.lex_state = 0},
  [16955] = {.lex_state = 0},
  [16956] = {.lex_state = 0},
  [16957] = {.lex_state = 0},
  [16958] = {.lex_state = 84, .external_lex_state = 53},
  [16959] = {.lex_state = 0},
  [16960] = {.lex_state = 0, .external_lex_state = 64},
  [16961] = {.lex_state = 0},
  [16962] = {.lex_state = 0, .external_lex_state = 64},
  [16963] = {.lex_state = 0},
  [16964] = {.lex_state = 0},
  [16965] = {.lex_state = 9},
  [16966] = {.lex_state = 0},
  [16967] = {.lex_state = 9},
  [16968] = {.lex_state = 9},
  [16969] = {.lex_state = 9},
  [16970] = {.lex_state = 9},
  [16971] = {.lex_state = 9},
  [16972] = {.lex_state = 0},
  [16973] = {.lex_state = 0},
  [16974] = {.lex_state = 0},
  [16975] = {.lex_state = 9},
  [16976] = {.lex_state = 0},
  [16977] = {.lex_state = 0, .external_lex_state = 64},
  [16978] = {.lex_state = 9},
  [16979] = {.lex_state = 0},
  [16980] = {.lex_state = 0},
  [16981] = {.lex_state = 0, .external_lex_state = 64},
  [16982] = {.lex_state = 0},
  [16983] = {.lex_state = 0},
  [16984] = {.lex_state = 0},
  [16985] = {.lex_state = 0},
  [16986] = {.lex_state = 0},
  [16987] = {.lex_state = 84, .external_lex_state = 53},
  [16988] = {.lex_state = 0},
  [16989] = {.lex_state = 9},
  [16990] = {.lex_state = 9},
  [16991] = {.lex_state = 9},
  [16992] = {.lex_state = 9},
  [16993] = {.lex_state = 0, .external_lex_state = 64},
  [16994] = {.lex_state = 0},
  [16995] = {.lex_state = 0},
  [16996] = {.lex_state = 0},
  [16997] = {.lex_state = 84, .external_lex_state = 53},
  [16998] = {.lex_state = 0, .external_lex_state = 64},
  [16999] = {.lex_state = 84, .external_lex_state = 53},
  [17000] = {.lex_state = 84},
  [17001] = {.lex_state = 0},
  [17002] = {.lex_state = 0},
  [17003] = {.lex_state = 0},
  [17004] = {.lex_state = 0},
  [17005] = {.lex_state = 0, .external_lex_state = 64},
  [17006] = {.lex_state = 0},
  [17007] = {.lex_state = 84},
  [17008] = {.lex_state = 0},
  [17009] = {.lex_state = 0},
  [17010] = {.lex_state = 0, .external_lex_state = 64},
  [17011] = {.lex_state = 9},
  [17012] = {.lex_state = 9},
  [17013] = {.lex_state = 9},
  [17014] = {.lex_state = 9},
  [17015] = {.lex_state = 0},
  [17016] = {.lex_state = 0},
  [17017] = {.lex_state = 0},
  [17018] = {.lex_state = 0},
  [17019] = {.lex_state = 0},
  [17020] = {.lex_state = 84, .external_lex_state = 53},
  [17021] = {.lex_state = 0, .external_lex_state = 64},
  [17022] = {.lex_state = 0},
  [17023] = {.lex_state = 0},
  [17024] = {.lex_state = 0},
  [17025] = {.lex_state = 0},
  [17026] = {.lex_state = 0},
  [17027] = {.lex_state = 0},
  [17028] = {.lex_state = 0},
  [17029] = {.lex_state = 0},
  [17030] = {.lex_state = 0},
  [17031] = {.lex_state = 0, .external_lex_state = 64},
  [17032] = {.lex_state = 9},
  [17033] = {.lex_state = 9},
  [17034] = {.lex_state = 9},
  [17035] = {.lex_state = 9},
  [17036] = {.lex_state = 0},
  [17037] = {.lex_state = 84, .external_lex_state = 53},
  [17038] = {.lex_state = 0},
  [17039] = {.lex_state = 0},
  [17040] = {.lex_state = 0, .external_lex_state = 64},
  [17041] = {.lex_state = 84, .external_lex_state = 53},
  [17042] = {.lex_state = 0},
  [17043] = {.lex_state = 0},
  [17044] = {.lex_state = 0, .external_lex_state = 64},
  [17045] = {.lex_state = 84, .external_lex_state = 53},
  [17046] = {.lex_state = 9},
  [17047] = {.lex_state = 84, .external_lex_state = 53},
  [17048] = {.lex_state = 9},
  [17049] = {.lex_state = 84},
  [17050] = {.lex_state = 9},
  [17051] = {.lex_state = 0},
  [17052] = {.lex_state = 0, .external_lex_state = 64},
  [17053] = {.lex_state = 9},
  [17054] = {.lex_state = 9},
  [17055] = {.lex_state = 9},
  [17056] = {.lex_state = 9},
  [17057] = {.lex_state = 0},
  [17058] = {.lex_state = 0},
  [17059] = {.lex_state = 0},
  [17060] = {.lex_state = 0},
  [17061] = {.lex_state = 0},
  [17062] = {.lex_state = 9},
  [17063] = {.lex_state = 0, .external_lex_state = 64},
  [17064] = {.lex_state = 0},
  [17065] = {.lex_state = 0},
  [17066] = {.lex_state = 0},
  [17067] = {.lex_state = 0},
  [17068] = {.lex_state = 9},
  [17069] = {.lex_state = 0},
  [17070] = {.lex_state = 0},
  [17071] = {.lex_state = 0},
  [17072] = {.lex_state = 0},
  [17073] = {.lex_state = 0},
  [17074] = {.lex_state = 9},
  [17075] = {.lex_state = 9},
  [17076] = {.lex_state = 9},
  [17077] = {.lex_state = 9},
  [17078] = {.lex_state = 0, .external_lex_state = 64},
  [17079] = {.lex_state = 0},
  [17080] = {.lex_state = 0},
  [17081] = {.lex_state = 0},
  [17082] = {.lex_state = 0},
  [17083] = {.lex_state = 84, .external_lex_state = 53},
  [17084] = {.lex_state = 0},
  [17085] = {.lex_state = 0},
  [17086] = {.lex_state = 0},
  [17087] = {.lex_state = 0, .external_lex_state = 64},
  [17088] = {.lex_state = 84, .external_lex_state = 53},
  [17089] = {.lex_state = 0, .external_lex_state = 64},
  [17090] = {.lex_state = 0},
  [17091] = {.lex_state = 84},
  [17092] = {.lex_state = 9},
  [17093] = {.lex_state = 0},
  [17094] = {.lex_state = 84},
  [17095] = {.lex_state = 9},
  [17096] = {.lex_state = 9},
  [17097] = {.lex_state = 9},
  [17098] = {.lex_state = 9},
  [17099] = {.lex_state = 0},
  [17100] = {.lex_state = 0, .external_lex_state = 64},
  [17101] = {.lex_state = 0},
  [17102] = {.lex_state = 0},
  [17103] = {.lex_state = 0},
  [17104] = {.lex_state = 0},
  [17105] = {.lex_state = 0},
  [17106] = {.lex_state = 0},
  [17107] = {.lex_state = 0, .external_lex_state = 64},
  [17108] = {.lex_state = 9},
  [17109] = {.lex_state = 9},
  [17110] = {.lex_state = 84},
  [17111] = {.lex_state = 84, .external_lex_state = 53},
  [17112] = {.lex_state = 0},
  [17113] = {.lex_state = 84, .external_lex_state = 52},
  [17114] = {.lex_state = 0},
  [17115] = {.lex_state = 0},
  [17116] = {.lex_state = 9},
  [17117] = {.lex_state = 9},
  [17118] = {.lex_state = 9},
  [17119] = {.lex_state = 9},
  [17120] = {.lex_state = 84, .external_lex_state = 53},
  [17121] = {.lex_state = 0, .external_lex_state = 64},
  [17122] = {.lex_state = 0},
  [17123] = {.lex_state = 0},
  [17124] = {.lex_state = 0},
  [17125] = {.lex_state = 0},
  [17126] = {.lex_state = 84, .external_lex_state = 53},
  [17127] = {.lex_state = 84, .external_lex_state = 53},
  [17128] = {.lex_state = 0, .external_lex_state = 64},
  [17129] = {.lex_state = 0},
  [17130] = {.lex_state = 84},
  [17131] = {.lex_state = 0},
  [17132] = {.lex_state = 0},
  [17133] = {.lex_state = 84, .external_lex_state = 53},
  [17134] = {.lex_state = 0, .external_lex_state = 64},
  [17135] = {.lex_state = 0},
  [17136] = {.lex_state = 0},
  [17137] = {.lex_state = 9},
  [17138] = {.lex_state = 9},
  [17139] = {.lex_state = 9},
  [17140] = {.lex_state = 9},
  [17141] = {.lex_state = 0},
  [17142] = {.lex_state = 0, .external_lex_state = 64},
  [17143] = {.lex_state = 0},
  [17144] = {.lex_state = 0},
  [17145] = {.lex_state = 0},
  [17146] = {.lex_state = 0, .external_lex_state = 64},
  [17147] = {.lex_state = 0, .external_lex_state = 64},
  [17148] = {.lex_state = 0},
  [17149] = {.lex_state = 0},
  [17150] = {.lex_state = 0},
  [17151] = {.lex_state = 0, .external_lex_state = 64},
  [17152] = {.lex_state = 84, .external_lex_state = 53},
  [17153] = {.lex_state = 0},
  [17154] = {.lex_state = 0},
  [17155] = {.lex_state = 0},
  [17156] = {.lex_state = 0},
  [17157] = {.lex_state = 0},
  [17158] = {.lex_state = 9},
  [17159] = {.lex_state = 9},
  [17160] = {.lex_state = 9},
  [17161] = {.lex_state = 9},
  [17162] = {.lex_state = 0, .external_lex_state = 64},
  [17163] = {.lex_state = 84, .external_lex_state = 53},
  [17164] = {.lex_state = 0},
  [17165] = {.lex_state = 0},
  [17166] = {.lex_state = 0},
  [17167] = {.lex_state = 0},
  [17168] = {.lex_state = 0},
  [17169] = {.lex_state = 0},
  [17170] = {.lex_state = 0},
  [17171] = {.lex_state = 0},
  [17172] = {.lex_state = 84},
  [17173] = {.lex_state = 9},
  [17174] = {.lex_state = 84, .external_lex_state = 53},
  [17175] = {.lex_state = 0},
  [17176] = {.lex_state = 0},
  [17177] = {.lex_state = 0},
  [17178] = {.lex_state = 9},
  [17179] = {.lex_state = 9},
  [17180] = {.lex_state = 9},
  [17181] = {.lex_state = 9},
  [17182] = {.lex_state = 9},
  [17183] = {.lex_state = 0},
  [17184] = {.lex_state = 0, .external_lex_state = 64},
  [17185] = {.lex_state = 0},
  [17186] = {.lex_state = 0},
  [17187] = {.lex_state = 0},
  [17188] = {.lex_state = 0},
  [17189] = {.lex_state = 0},
  [17190] = {.lex_state = 0, .external_lex_state = 64},
  [17191] = {.lex_state = 0, .external_lex_state = 64},
  [17192] = {.lex_state = 9},
  [17193] = {.lex_state = 0},
  [17194] = {.lex_state = 0},
  [17195] = {.lex_state = 0},
  [17196] = {.lex_state = 0},
  [17197] = {.lex_state = 0, .external_lex_state = 64},
  [17198] = {.lex_state = 0},
  [17199] = {.lex_state = 84, .external_lex_state = 53},
  [17200] = {.lex_state = 9},
  [17201] = {.lex_state = 9},
  [17202] = {.lex_state = 9},
  [17203] = {.lex_state = 9},
  [17204] = {.lex_state = 0},
  [17205] = {.lex_state = 0},
  [17206] = {.lex_state = 0},
  [17207] = {.lex_state = 0},
  [17208] = {.lex_state = 9},
  [17209] = {.lex_state = 9},
  [17210] = {.lex_state = 0},
  [17211] = {.lex_state = 84},
  [17212] = {.lex_state = 0, .external_lex_state = 64},
  [17213] = {.lex_state = 9},
  [17214] = {.lex_state = 0},
  [17215] = {.lex_state = 0},
  [17216] = {.lex_state = 0},
  [17217] = {.lex_state = 84, .external_lex_state = 53},
  [17218] = {.lex_state = 0},
  [17219] = {.lex_state = 0},
  [17220] = {.lex_state = 84},
  [17221] = {.lex_state = 9},
  [17222] = {.lex_state = 9},
  [17223] = {.lex_state = 9},
  [17224] = {.lex_state = 9},
  [17225] = {.lex_state = 0},
  [17226] = {.lex_state = 0},
  [17227] = {.lex_state = 0},
  [17228] = {.lex_state = 0},
  [17229] = {.lex_state = 0},
  [17230] = {.lex_state = 0},
  [17231] = {.lex_state = 0, .external_lex_state = 64},
  [17232] = {.lex_state = 0},
  [17233] = {.lex_state = 0},
  [17234] = {.lex_state = 84},
  [17235] = {.lex_state = 84, .external_lex_state = 53},
  [17236] = {.lex_state = 0},
  [17237] = {.lex_state = 0, .external_lex_state = 64},
  [17238] = {.lex_state = 0, .external_lex_state = 64},
  [17239] = {.lex_state = 0},
  [17240] = {.lex_state = 0},
  [17241] = {.lex_state = 0},
  [17242] = {.lex_state = 9},
  [17243] = {.lex_state = 9},
  [17244] = {.lex_state = 9},
  [17245] = {.lex_state = 9},
  [17246] = {.lex_state = 0, .external_lex_state = 64},
  [17247] = {.lex_state = 0},
  [17248] = {.lex_state = 0},
  [17249] = {.lex_state = 0},
  [17250] = {.lex_state = 0},
  [17251] = {.lex_state = 0},
  [17252] = {.lex_state = 0},
  [17253] = {.lex_state = 84},
  [17254] = {.lex_state = 84, .external_lex_state = 53},
  [17255] = {.lex_state = 84, .external_lex_state = 53},
  [17256] = {.lex_state = 0},
  [17257] = {.lex_state = 0},
  [17258] = {.lex_state = 0, .external_lex_state = 64},
  [17259] = {.lex_state = 0, .external_lex_state = 64},
  [17260] = {.lex_state = 0},
  [17261] = {.lex_state = 0},
  [17262] = {.lex_state = 0, .external_lex_state = 64},
  [17263] = {.lex_state = 9},
  [17264] = {.lex_state = 9},
  [17265] = {.lex_state = 9},
  [17266] = {.lex_state = 9},
  [17267] = {.lex_state = 0},
  [17268] = {.lex_state = 0},
  [17269] = {.lex_state = 0},
  [17270] = {.lex_state = 0},
  [17271] = {.lex_state = 0},
  [17272] = {.lex_state = 84, .external_lex_state = 53},
  [17273] = {.lex_state = 0},
  [17274] = {.lex_state = 0, .external_lex_state = 64},
  [17275] = {.lex_state = 0},
  [17276] = {.lex_state = 0},
  [17277] = {.lex_state = 0},
  [17278] = {.lex_state = 84, .external_lex_state = 53},
  [17279] = {.lex_state = 9},
  [17280] = {.lex_state = 0, .external_lex_state = 64},
  [17281] = {.lex_state = 0},
  [17282] = {.lex_state = 0},
  [17283] = {.lex_state = 9},
  [17284] = {.lex_state = 9},
  [17285] = {.lex_state = 9},
  [17286] = {.lex_state = 9},
  [17287] = {.lex_state = 0},
  [17288] = {.lex_state = 0},
  [17289] = {.lex_state = 0},
  [17290] = {.lex_state = 0},
  [17291] = {.lex_state = 0, .external_lex_state = 64},
  [17292] = {.lex_state = 0},
  [17293] = {.lex_state = 0},
  [17294] = {.lex_state = 0},
  [17295] = {.lex_state = 0},
  [17296] = {.lex_state = 0},
  [17297] = {.lex_state = 0, .external_lex_state = 64},
  [17298] = {.lex_state = 0, .external_lex_state = 64},
  [17299] = {.lex_state = 0},
  [17300] = {.lex_state = 0},
  [17301] = {.lex_state = 0},
  [17302] = {.lex_state = 0},
  [17303] = {.lex_state = 9},
  [17304] = {.lex_state = 9},
  [17305] = {.lex_state = 9},
  [17306] = {.lex_state = 9},
  [17307] = {.lex_state = 0},
  [17308] = {.lex_state = 0},
  [17309] = {.lex_state = 0},
  [17310] = {.lex_state = 0, .external_lex_state = 64},
  [17311] = {.lex_state = 0},
  [17312] = {.lex_state = 0},
  [17313] = {.lex_state = 9},
  [17314] = {.lex_state = 0, .external_lex_state = 64},
  [17315] = {.lex_state = 9},
  [17316] = {.lex_state = 84},
  [17317] = {.lex_state = 0},
  [17318] = {.lex_state = 0, .external_lex_state = 64},
  [17319] = {.lex_state = 0},
  [17320] = {.lex_state = 0},
  [17321] = {.lex_state = 0, .external_lex_state = 64},
  [17322] = {.lex_state = 9},
  [17323] = {.lex_state = 9},
  [17324] = {.lex_state = 9},
  [17325] = {.lex_state = 9},
  [17326] = {.lex_state = 0},
  [17327] = {.lex_state = 0},
  [17328] = {.lex_state = 0},
  [17329] = {.lex_state = 0},
  [17330] = {.lex_state = 0},
  [17331] = {.lex_state = 0, .external_lex_state = 64},
  [17332] = {.lex_state = 9},
  [17333] = {.lex_state = 0},
  [17334] = {.lex_state = 0, .external_lex_state = 64},
  [17335] = {.lex_state = 84, .external_lex_state = 53},
  [17336] = {.lex_state = 0, .external_lex_state = 64},
  [17337] = {.lex_state = 0},
  [17338] = {.lex_state = 84},
  [17339] = {.lex_state = 0},
  [17340] = {.lex_state = 0, .external_lex_state = 64},
  [17341] = {.lex_state = 9},
  [17342] = {.lex_state = 9},
  [17343] = {.lex_state = 9},
  [17344] = {.lex_state = 9},
  [17345] = {.lex_state = 0},
  [17346] = {.lex_state = 0},
  [17347] = {.lex_state = 0},
  [17348] = {.lex_state = 84},
  [17349] = {.lex_state = 0},
  [17350] = {.lex_state = 0, .external_lex_state = 64},
  [17351] = {.lex_state = 0},
  [17352] = {.lex_state = 0, .external_lex_state = 64},
  [17353] = {.lex_state = 0},
  [17354] = {.lex_state = 84, .external_lex_state = 53},
  [17355] = {.lex_state = 0, .external_lex_state = 64},
  [17356] = {.lex_state = 84, .external_lex_state = 53},
  [17357] = {.lex_state = 0},
  [17358] = {.lex_state = 0},
  [17359] = {.lex_state = 0, .external_lex_state = 64},
  [17360] = {.lex_state = 9},
  [17361] = {.lex_state = 9},
  [17362] = {.lex_state = 9},
  [17363] = {.lex_state = 9},
  [17364] = {.lex_state = 0},
  [17365] = {.lex_state = 0},
  [17366] = {.lex_state = 0},
  [17367] = {.lex_state = 0},
  [17368] = {.lex_state = 84},
  [17369] = {.lex_state = 0},
  [17370] = {.lex_state = 84, .external_lex_state = 53},
  [17371] = {.lex_state = 84, .external_lex_state = 53},
  [17372] = {.lex_state = 0},
  [17373] = {.lex_state = 0, .external_lex_state = 64},
  [17374] = {.lex_state = 9},
  [17375] = {.lex_state = 0},
  [17376] = {.lex_state = 0},
  [17377] = {.lex_state = 0},
  [17378] = {.lex_state = 0, .external_lex_state = 64},
  [17379] = {.lex_state = 9},
  [17380] = {.lex_state = 9},
  [17381] = {.lex_state = 9},
  [17382] = {.lex_state = 9},
  [17383] = {.lex_state = 0},
  [17384] = {.lex_state = 9},
  [17385] = {.lex_state = 0},
  [17386] = {.lex_state = 9},
  [17387] = {.lex_state = 0, .external_lex_state = 64},
  [17388] = {.lex_state = 0, .external_lex_state = 64},
  [17389] = {.lex_state = 0, .external_lex_state = 64},
  [17390] = {.lex_state = 0},
  [17391] = {.lex_state = 0},
  [17392] = {.lex_state = 9},
  [17393] = {.lex_state = 84},
  [17394] = {.lex_state = 0},
  [17395] = {.lex_state = 0},
  [17396] = {.lex_state = 0, .external_lex_state = 64},
  [17397] = {.lex_state = 0},
  [17398] = {.lex_state = 9},
  [17399] = {.lex_state = 9},
  [17400] = {.lex_state = 9},
  [17401] = {.lex_state = 9},
  [17402] = {.lex_state = 9},
  [17403] = {.lex_state = 0, .external_lex_state = 64},
  [17404] = {.lex_state = 0},
  [17405] = {.lex_state = 0},
  [17406] = {.lex_state = 0},
  [17407] = {.lex_state = 0},
  [17408] = {.lex_state = 0},
  [17409] = {.lex_state = 0},
  [17410] = {.lex_state = 0},
  [17411] = {.lex_state = 0},
  [17412] = {.lex_state = 0, .external_lex_state = 64},
  [17413] = {.lex_state = 0},
  [17414] = {.lex_state = 0},
  [17415] = {.lex_state = 0},
  [17416] = {.lex_state = 0, .external_lex_state = 64},
  [17417] = {.lex_state = 9},
  [17418] = {.lex_state = 9},
  [17419] = {.lex_state = 9},
  [17420] = {.lex_state = 9},
  [17421] = {.lex_state = 0},
  [17422] = {.lex_state = 0, .external_lex_state = 64},
  [17423] = {.lex_state = 0, .external_lex_state = 64},
  [17424] = {.lex_state = 0, .external_lex_state = 64},
  [17425] = {.lex_state = 0},
  [17426] = {.lex_state = 0},
  [17427] = {.lex_state = 0},
  [17428] = {.lex_state = 0, .external_lex_state = 64},
  [17429] = {.lex_state = 0},
  [17430] = {.lex_state = 9},
  [17431] = {.lex_state = 9},
  [17432] = {.lex_state = 9},
  [17433] = {.lex_state = 9},
  [17434] = {.lex_state = 0},
  [17435] = {.lex_state = 0},
  [17436] = {.lex_state = 0},
  [17437] = {.lex_state = 0},
  [17438] = {.lex_state = 0},
  [17439] = {.lex_state = 0, .external_lex_state = 64},
  [17440] = {.lex_state = 0},
  [17441] = {.lex_state = 0},
  [17442] = {.lex_state = 84},
  [17443] = {.lex_state = 9},
  [17444] = {.lex_state = 9},
  [17445] = {.lex_state = 9},
  [17446] = {.lex_state = 9},
  [17447] = {.lex_state = 0},
  [17448] = {.lex_state = 84, .external_lex_state = 53},
  [17449] = {.lex_state = 0},
  [17450] = {.lex_state = 0, .external_lex_state = 64},
  [17451] = {.lex_state = 0},
  [17452] = {.lex_state = 0},
  [17453] = {.lex_state = 0},
  [17454] = {.lex_state = 0},
  [17455] = {.lex_state = 84, .external_lex_state = 53},
  [17456] = {.lex_state = 9},
  [17457] = {.lex_state = 9},
  [17458] = {.lex_state = 9},
  [17459] = {.lex_state = 9},
  [17460] = {.lex_state = 0},
  [17461] = {.lex_state = 0, .external_lex_state = 64},
  [17462] = {.lex_state = 0},
  [17463] = {.lex_state = 0},
  [17464] = {.lex_state = 0},
  [17465] = {.lex_state = 0, .external_lex_state = 64},
  [17466] = {.lex_state = 84, .external_lex_state = 53},
  [17467] = {.lex_state = 0, .external_lex_state = 64},
  [17468] = {.lex_state = 0},
  [17469] = {.lex_state = 9},
  [17470] = {.lex_state = 9},
  [17471] = {.lex_state = 9},
  [17472] = {.lex_state = 9},
  [17473] = {.lex_state = 0},
  [17474] = {.lex_state = 9},
  [17475] = {.lex_state = 84},
  [17476] = {.lex_state = 0},
  [17477] = {.lex_state = 0},
  [17478] = {.lex_state = 0, .external_lex_state = 64},
  [17479] = {.lex_state = 0},
  [17480] = {.lex_state = 0},
  [17481] = {.lex_state = 0},
  [17482] = {.lex_state = 9},
  [17483] = {.lex_state = 9},
  [17484] = {.lex_state = 9},
  [17485] = {.lex_state = 9},
  [17486] = {.lex_state = 0},
  [17487] = {.lex_state = 0},
  [17488] = {.lex_state = 0, .external_lex_state = 64},
  [17489] = {.lex_state = 0},
  [17490] = {.lex_state = 84, .external_lex_state = 53},
  [17491] = {.lex_state = 0, .external_lex_state = 64},
  [17492] = {.lex_state = 0},
  [17493] = {.lex_state = 0, .external_lex_state = 64},
  [17494] = {.lex_state = 76},
  [17495] = {.lex_state = 9},
  [17496] = {.lex_state = 9},
  [17497] = {.lex_state = 9},
  [17498] = {.lex_state = 9},
  [17499] = {.lex_state = 0},
  [17500] = {.lex_state = 0},
  [17501] = {.lex_state = 0},
  [17502] = {.lex_state = 0, .external_lex_state = 64},
  [17503] = {.lex_state = 76},
  [17504] = {.lex_state = 0},
  [17505] = {.lex_state = 84},
  [17506] = {.lex_state = 84, .external_lex_state = 53},
  [17507] = {.lex_state = 0},
  [17508] = {.lex_state = 9},
  [17509] = {.lex_state = 9},
  [17510] = {.lex_state = 9},
  [17511] = {.lex_state = 9},
  [17512] = {.lex_state = 0},
  [17513] = {.lex_state = 0},
  [17514] = {.lex_state = 84},
  [17515] = {.lex_state = 0},
  [17516] = {.lex_state = 84},
  [17517] = {.lex_state = 9},
  [17518] = {.lex_state = 0},
  [17519] = {.lex_state = 0, .external_lex_state = 64},
  [17520] = {.lex_state = 0},
  [17521] = {.lex_state = 9},
  [17522] = {.lex_state = 9},
  [17523] = {.lex_state = 9},
  [17524] = {.lex_state = 9},
  [17525] = {.lex_state = 0},
  [17526] = {.lex_state = 0},
  [17527] = {.lex_state = 0, .external_lex_state = 64},
  [17528] = {.lex_state = 9},
  [17529] = {.lex_state = 0, .external_lex_state = 64},
  [17530] = {.lex_state = 0},
  [17531] = {.lex_state = 0, .external_lex_state = 64},
  [17532] = {.lex_state = 0},
  [17533] = {.lex_state = 84, .external_lex_state = 53},
  [17534] = {.lex_state = 9},
  [17535] = {.lex_state = 9},
  [17536] = {.lex_state = 9},
  [17537] = {.lex_state = 9},
  [17538] = {.lex_state = 0},
  [17539] = {.lex_state = 0},
  [17540] = {.lex_state = 0},
  [17541] = {.lex_state = 0},
  [17542] = {.lex_state = 0},
  [17543] = {.lex_state = 0, .external_lex_state = 64},
  [17544] = {.lex_state = 84, .external_lex_state = 53},
  [17545] = {.lex_state = 0},
  [17546] = {.lex_state = 9},
  [17547] = {.lex_state = 9},
  [17548] = {.lex_state = 9},
  [17549] = {.lex_state = 9},
  [17550] = {.lex_state = 0},
  [17551] = {.lex_state = 0},
  [17552] = {.lex_state = 0},
  [17553] = {.lex_state = 0},
  [17554] = {.lex_state = 0},
  [17555] = {.lex_state = 0},
  [17556] = {.lex_state = 0},
  [17557] = {.lex_state = 0, .external_lex_state = 64},
  [17558] = {.lex_state = 9},
  [17559] = {.lex_state = 9},
  [17560] = {.lex_state = 9},
  [17561] = {.lex_state = 9},
  [17562] = {.lex_state = 0},
  [17563] = {.lex_state = 0},
  [17564] = {.lex_state = 0},
  [17565] = {.lex_state = 0},
  [17566] = {.lex_state = 0},
  [17567] = {.lex_state = 0, .external_lex_state = 64},
  [17568] = {.lex_state = 84},
  [17569] = {.lex_state = 0, .external_lex_state = 64},
  [17570] = {.lex_state = 9},
  [17571] = {.lex_state = 9},
  [17572] = {.lex_state = 9},
  [17573] = {.lex_state = 9},
  [17574] = {.lex_state = 0},
  [17575] = {.lex_state = 0},
  [17576] = {.lex_state = 9},
  [17577] = {.lex_state = 9},
  [17578] = {.lex_state = 0},
  [17579] = {.lex_state = 0},
  [17580] = {.lex_state = 0, .external_lex_state = 64},
  [17581] = {.lex_state = 9},
  [17582] = {.lex_state = 9},
  [17583] = {.lex_state = 9},
  [17584] = {.lex_state = 9},
  [17585] = {.lex_state = 0},
  [17586] = {.lex_state = 9},
  [17587] = {.lex_state = 0, .external_lex_state = 64},
  [17588] = {.lex_state = 0, .external_lex_state = 64},
  [17589] = {.lex_state = 84},
  [17590] = {.lex_state = 0},
  [17591] = {.lex_state = 0},
  [17592] = {.lex_state = 0},
  [17593] = {.lex_state = 0, .external_lex_state = 64},
  [17594] = {.lex_state = 0},
  [17595] = {.lex_state = 0},
  [17596] = {.lex_state = 0, .external_lex_state = 64},
  [17597] = {.lex_state = 84, .external_lex_state = 53},
  [17598] = {.lex_state = 0},
  [17599] = {.lex_state = 0},
  [17600] = {.lex_state = 0},
  [17601] = {.lex_state = 0},
  [17602] = {.lex_state = 0, .external_lex_state = 64},
  [17603] = {.lex_state = 9},
  [17604] = {.lex_state = 0, .external_lex_state = 64},
  [17605] = {.lex_state = 0},
  [17606] = {.lex_state = 0},
  [17607] = {.lex_state = 84, .external_lex_state = 53},
  [17608] = {.lex_state = 9},
  [17609] = {.lex_state = 0},
  [17610] = {.lex_state = 0},
  [17611] = {.lex_state = 0},
  [17612] = {.lex_state = 0, .external_lex_state = 64},
  [17613] = {.lex_state = 0, .external_lex_state = 64},
  [17614] = {.lex_state = 0},
  [17615] = {.lex_state = 84, .external_lex_state = 53},
  [17616] = {.lex_state = 84, .external_lex_state = 53},
  [17617] = {.lex_state = 0},
  [17618] = {.lex_state = 9},
  [17619] = {.lex_state = 84},
  [17620] = {.lex_state = 0, .external_lex_state = 64},
  [17621] = {.lex_state = 0},
  [17622] = {.lex_state = 84},
  [17623] = {.lex_state = 0},
  [17624] = {.lex_state = 0},
  [17625] = {.lex_state = 84, .external_lex_state = 53},
  [17626] = {.lex_state = 0, .external_lex_state = 64},
  [17627] = {.lex_state = 0},
  [17628] = {.lex_state = 0},
  [17629] = {.lex_state = 0},
  [17630] = {.lex_state = 0},
  [17631] = {.lex_state = 0, .external_lex_state = 64},
  [17632] = {.lex_state = 0},
  [17633] = {.lex_state = 0},
  [17634] = {.lex_state = 0},
  [17635] = {.lex_state = 0},
  [17636] = {.lex_state = 0, .external_lex_state = 64},
  [17637] = {.lex_state = 0, .external_lex_state = 64},
  [17638] = {.lex_state = 0},
  [17639] = {.lex_state = 0},
  [17640] = {.lex_state = 0},
  [17641] = {.lex_state = 0},
  [17642] = {.lex_state = 0},
  [17643] = {.lex_state = 0, .external_lex_state = 64},
  [17644] = {.lex_state = 0},
  [17645] = {.lex_state = 0},
  [17646] = {.lex_state = 0},
  [17647] = {.lex_state = 0},
  [17648] = {.lex_state = 0, .external_lex_state = 64},
  [17649] = {.lex_state = 0},
  [17650] = {.lex_state = 0},
  [17651] = {.lex_state = 0},
  [17652] = {.lex_state = 0},
  [17653] = {.lex_state = 0},
  [17654] = {.lex_state = 0, .external_lex_state = 64},
  [17655] = {.lex_state = 84, .external_lex_state = 53},
  [17656] = {.lex_state = 84, .external_lex_state = 53},
  [17657] = {.lex_state = 0},
  [17658] = {.lex_state = 0},
  [17659] = {.lex_state = 0},
  [17660] = {.lex_state = 0},
  [17661] = {.lex_state = 0},
  [17662] = {.lex_state = 0},
  [17663] = {.lex_state = 0},
  [17664] = {.lex_state = 0, .external_lex_state = 64},
  [17665] = {.lex_state = 0},
  [17666] = {.lex_state = 0},
  [17667] = {.lex_state = 0, .external_lex_state = 64},
  [17668] = {.lex_state = 0},
  [17669] = {.lex_state = 0},
  [17670] = {.lex_state = 0, .external_lex_state = 64},
  [17671] = {.lex_state = 0},
  [17672] = {.lex_state = 0, .external_lex_state = 64},
  [17673] = {.lex_state = 0, .external_lex_state = 64},
  [17674] = {.lex_state = 0},
  [17675] = {.lex_state = 84, .external_lex_state = 53},
  [17676] = {.lex_state = 0},
  [17677] = {.lex_state = 0},
  [17678] = {.lex_state = 0},
  [17679] = {.lex_state = 0},
  [17680] = {.lex_state = 84},
  [17681] = {.lex_state = 0},
  [17682] = {.lex_state = 0},
  [17683] = {.lex_state = 0},
  [17684] = {.lex_state = 0},
  [17685] = {.lex_state = 0, .external_lex_state = 64},
  [17686] = {.lex_state = 0},
  [17687] = {.lex_state = 0, .external_lex_state = 64},
  [17688] = {.lex_state = 0},
  [17689] = {.lex_state = 0},
  [17690] = {.lex_state = 0},
  [17691] = {.lex_state = 0},
  [17692] = {.lex_state = 84},
  [17693] = {.lex_state = 0, .external_lex_state = 64},
  [17694] = {.lex_state = 0},
  [17695] = {.lex_state = 0},
  [17696] = {.lex_state = 0},
  [17697] = {.lex_state = 0},
  [17698] = {.lex_state = 0},
  [17699] = {.lex_state = 0},
  [17700] = {.lex_state = 0},
  [17701] = {.lex_state = 0},
  [17702] = {.lex_state = 0},
  [17703] = {.lex_state = 0, .external_lex_state = 64},
  [17704] = {.lex_state = 0},
  [17705] = {.lex_state = 0},
  [17706] = {.lex_state = 0},
  [17707] = {.lex_state = 0},
  [17708] = {.lex_state = 0},
  [17709] = {.lex_state = 0, .external_lex_state = 64},
  [17710] = {.lex_state = 0},
  [17711] = {.lex_state = 0},
  [17712] = {.lex_state = 0, .external_lex_state = 64},
  [17713] = {.lex_state = 0},
  [17714] = {.lex_state = 84, .external_lex_state = 53},
  [17715] = {.lex_state = 0, .external_lex_state = 64},
  [17716] = {.lex_state = 0},
  [17717] = {.lex_state = 0},
  [17718] = {.lex_state = 193},
  [17719] = {.lex_state = 0},
  [17720] = {.lex_state = 84},
  [17721] = {.lex_state = 0},
  [17722] = {.lex_state = 0, .external_lex_state = 64},
  [17723] = {.lex_state = 0},
  [17724] = {.lex_state = 84, .external_lex_state = 53},
  [17725] = {.lex_state = 0},
  [17726] = {.lex_state = 0},
  [17727] = {.lex_state = 0, .external_lex_state = 64},
  [17728] = {.lex_state = 0},
  [17729] = {.lex_state = 84, .external_lex_state = 53},
  [17730] = {.lex_state = 0},
  [17731] = {.lex_state = 0},
  [17732] = {.lex_state = 0},
  [17733] = {.lex_state = 0},
  [17734] = {.lex_state = 0},
  [17735] = {.lex_state = 0},
  [17736] = {.lex_state = 0},
  [17737] = {.lex_state = 0},
  [17738] = {.lex_state = 0},
  [17739] = {.lex_state = 84},
  [17740] = {.lex_state = 0},
  [17741] = {.lex_state = 0, .external_lex_state = 64},
  [17742] = {.lex_state = 0, .external_lex_state = 64},
  [17743] = {.lex_state = 0},
  [17744] = {.lex_state = 0},
  [17745] = {.lex_state = 0},
  [17746] = {.lex_state = 0, .external_lex_state = 64},
  [17747] = {.lex_state = 0},
  [17748] = {.lex_state = 84, .external_lex_state = 53},
  [17749] = {.lex_state = 0},
  [17750] = {.lex_state = 76},
  [17751] = {.lex_state = 76},
  [17752] = {.lex_state = 84, .external_lex_state = 53},
  [17753] = {.lex_state = 0},
  [17754] = {.lex_state = 0},
  [17755] = {.lex_state = 0},
  [17756] = {.lex_state = 0},
  [17757] = {.lex_state = 0},
  [17758] = {.lex_state = 0},
  [17759] = {.lex_state = 0},
  [17760] = {.lex_state = 0, .external_lex_state = 64},
  [17761] = {.lex_state = 0},
  [17762] = {.lex_state = 0, .external_lex_state = 64},
  [17763] = {.lex_state = 0},
  [17764] = {.lex_state = 0, .external_lex_state = 64},
  [17765] = {.lex_state = 84, .external_lex_state = 53},
  [17766] = {.lex_state = 9},
  [17767] = {.lex_state = 0},
  [17768] = {.lex_state = 0, .external_lex_state = 64},
  [17769] = {.lex_state = 0},
  [17770] = {.lex_state = 0},
  [17771] = {.lex_state = 0},
  [17772] = {.lex_state = 0},
  [17773] = {.lex_state = 0},
  [17774] = {.lex_state = 0},
  [17775] = {.lex_state = 9},
  [17776] = {.lex_state = 0},
  [17777] = {.lex_state = 0},
  [17778] = {.lex_state = 0},
  [17779] = {.lex_state = 0},
  [17780] = {.lex_state = 0, .external_lex_state = 64},
  [17781] = {.lex_state = 84, .external_lex_state = 53},
  [17782] = {.lex_state = 84, .external_lex_state = 53},
  [17783] = {.lex_state = 0, .external_lex_state = 64},
  [17784] = {.lex_state = 9},
  [17785] = {.lex_state = 0},
  [17786] = {.lex_state = 0, .external_lex_state = 64},
  [17787] = {.lex_state = 84},
  [17788] = {.lex_state = 84},
  [17789] = {.lex_state = 0},
  [17790] = {.lex_state = 0},
  [17791] = {.lex_state = 0},
  [17792] = {.lex_state = 0, .external_lex_state = 64},
  [17793] = {.lex_state = 0},
  [17794] = {.lex_state = 0, .external_lex_state = 64},
  [17795] = {.lex_state = 0, .external_lex_state = 64},
  [17796] = {.lex_state = 9},
  [17797] = {.lex_state = 0},
  [17798] = {.lex_state = 84, .external_lex_state = 53},
  [17799] = {.lex_state = 9},
  [17800] = {.lex_state = 0},
  [17801] = {.lex_state = 0},
  [17802] = {.lex_state = 0},
  [17803] = {.lex_state = 0},
  [17804] = {.lex_state = 0, .external_lex_state = 64},
  [17805] = {.lex_state = 0},
  [17806] = {.lex_state = 0, .external_lex_state = 64},
  [17807] = {.lex_state = 0},
  [17808] = {.lex_state = 0},
  [17809] = {.lex_state = 0},
  [17810] = {.lex_state = 0},
  [17811] = {.lex_state = 0, .external_lex_state = 64},
  [17812] = {.lex_state = 0},
  [17813] = {.lex_state = 0, .external_lex_state = 64},
  [17814] = {.lex_state = 0, .external_lex_state = 64},
  [17815] = {.lex_state = 0},
  [17816] = {.lex_state = 0},
  [17817] = {.lex_state = 0},
  [17818] = {.lex_state = 0},
  [17819] = {.lex_state = 0, .external_lex_state = 64},
  [17820] = {.lex_state = 0},
  [17821] = {.lex_state = 0},
  [17822] = {.lex_state = 0, .external_lex_state = 64},
  [17823] = {.lex_state = 0},
  [17824] = {.lex_state = 0},
  [17825] = {.lex_state = 0},
  [17826] = {.lex_state = 84, .external_lex_state = 52},
  [17827] = {.lex_state = 0},
  [17828] = {.lex_state = 0},
  [17829] = {.lex_state = 9},
  [17830] = {.lex_state = 84},
  [17831] = {.lex_state = 0},
  [17832] = {.lex_state = 0, .external_lex_state = 64},
  [17833] = {.lex_state = 0},
  [17834] = {.lex_state = 0, .external_lex_state = 64},
  [17835] = {.lex_state = 0},
  [17836] = {.lex_state = 0},
  [17837] = {.lex_state = 0},
  [17838] = {.lex_state = 9},
  [17839] = {.lex_state = 0},
  [17840] = {.lex_state = 0, .external_lex_state = 64},
  [17841] = {.lex_state = 84, .external_lex_state = 53},
  [17842] = {.lex_state = 84, .external_lex_state = 53},
  [17843] = {.lex_state = 0},
  [17844] = {.lex_state = 0},
  [17845] = {.lex_state = 0},
  [17846] = {.lex_state = 0, .external_lex_state = 64},
  [17847] = {.lex_state = 84, .external_lex_state = 53},
  [17848] = {.lex_state = 9},
  [17849] = {.lex_state = 0},
  [17850] = {.lex_state = 0, .external_lex_state = 64},
  [17851] = {.lex_state = 0},
  [17852] = {.lex_state = 9},
  [17853] = {.lex_state = 0},
  [17854] = {.lex_state = 0},
  [17855] = {.lex_state = 0},
  [17856] = {.lex_state = 84},
  [17857] = {.lex_state = 0},
  [17858] = {.lex_state = 0, .external_lex_state = 64},
  [17859] = {.lex_state = 84, .external_lex_state = 53},
  [17860] = {.lex_state = 0},
  [17861] = {.lex_state = 0},
  [17862] = {.lex_state = 0, .external_lex_state = 64},
  [17863] = {.lex_state = 0},
  [17864] = {.lex_state = 0},
  [17865] = {.lex_state = 84},
  [17866] = {.lex_state = 0},
  [17867] = {.lex_state = 0},
  [17868] = {.lex_state = 0},
  [17869] = {.lex_state = 0},
  [17870] = {.lex_state = 0},
  [17871] = {.lex_state = 0},
  [17872] = {.lex_state = 0},
  [17873] = {.lex_state = 0},
  [17874] = {.lex_state = 0, .external_lex_state = 64},
  [17875] = {.lex_state = 0},
  [17876] = {.lex_state = 0},
  [17877] = {.lex_state = 9},
  [17878] = {.lex_state = 9},
  [17879] = {.lex_state = 0, .external_lex_state = 64},
  [17880] = {.lex_state = 0},
  [17881] = {.lex_state = 0, .external_lex_state = 64},
  [17882] = {.lex_state = 0},
  [17883] = {.lex_state = 0, .external_lex_state = 64},
  [17884] = {.lex_state = 0},
  [17885] = {.lex_state = 0, .external_lex_state = 64},
  [17886] = {.lex_state = 0},
  [17887] = {.lex_state = 84, .external_lex_state = 53},
  [17888] = {.lex_state = 0, .external_lex_state = 25},
  [17889] = {.lex_state = 9},
  [17890] = {.lex_state = 0},
  [17891] = {.lex_state = 0, .external_lex_state = 64},
  [17892] = {.lex_state = 84, .external_lex_state = 53},
  [17893] = {.lex_state = 0, .external_lex_state = 64},
  [17894] = {.lex_state = 0},
  [17895] = {.lex_state = 0, .external_lex_state = 64},
  [17896] = {.lex_state = 0},
  [17897] = {.lex_state = 48},
  [17898] = {.lex_state = 0},
  [17899] = {.lex_state = 0},
  [17900] = {.lex_state = 84, .external_lex_state = 53},
  [17901] = {.lex_state = 0, .external_lex_state = 64},
  [17902] = {.lex_state = 0},
  [17903] = {.lex_state = 0},
  [17904] = {.lex_state = 0},
  [17905] = {.lex_state = 0},
  [17906] = {.lex_state = 0},
  [17907] = {.lex_state = 84},
  [17908] = {.lex_state = 84},
  [17909] = {.lex_state = 84, .external_lex_state = 53},
  [17910] = {.lex_state = 9},
  [17911] = {.lex_state = 9},
  [17912] = {.lex_state = 9},
  [17913] = {.lex_state = 84},
  [17914] = {.lex_state = 0, .external_lex_state = 64},
  [17915] = {.lex_state = 9},
  [17916] = {.lex_state = 84},
  [17917] = {.lex_state = 0},
  [17918] = {.lex_state = 0},
  [17919] = {.lex_state = 0},
  [17920] = {.lex_state = 0},
  [17921] = {.lex_state = 0, .external_lex_state = 64},
  [17922] = {.lex_state = 0},
  [17923] = {.lex_state = 0},
  [17924] = {.lex_state = 0, .external_lex_state = 64},
  [17925] = {.lex_state = 0},
  [17926] = {.lex_state = 0},
  [17927] = {.lex_state = 0},
  [17928] = {.lex_state = 0},
  [17929] = {.lex_state = 84, .external_lex_state = 53},
  [17930] = {.lex_state = 0},
  [17931] = {.lex_state = 0},
  [17932] = {.lex_state = 0, .external_lex_state = 64},
  [17933] = {.lex_state = 0},
  [17934] = {.lex_state = 0},
  [17935] = {.lex_state = 0},
  [17936] = {.lex_state = 84},
  [17937] = {.lex_state = 0},
  [17938] = {.lex_state = 0, .external_lex_state = 64},
  [17939] = {.lex_state = 84},
  [17940] = {.lex_state = 0},
  [17941] = {.lex_state = 0, .external_lex_state = 25},
  [17942] = {.lex_state = 0, .external_lex_state = 64},
  [17943] = {.lex_state = 0, .external_lex_state = 25},
  [17944] = {.lex_state = 0},
  [17945] = {.lex_state = 84},
  [17946] = {.lex_state = 0, .external_lex_state = 64},
  [17947] = {.lex_state = 0, .external_lex_state = 25},
  [17948] = {.lex_state = 0},
  [17949] = {.lex_state = 84, .external_lex_state = 53},
  [17950] = {.lex_state = 84},
  [17951] = {.lex_state = 0, .external_lex_state = 64},
  [17952] = {.lex_state = 0, .external_lex_state = 64},
  [17953] = {.lex_state = 0},
  [17954] = {.lex_state = 0, .external_lex_state = 64},
  [17955] = {.lex_state = 84},
  [17956] = {.lex_state = 0},
  [17957] = {.lex_state = 0, .external_lex_state = 64},
  [17958] = {.lex_state = 0},
  [17959] = {.lex_state = 0},
  [17960] = {.lex_state = 84, .external_lex_state = 53},
  [17961] = {.lex_state = 0},
  [17962] = {.lex_state = 0},
  [17963] = {.lex_state = 0},
  [17964] = {.lex_state = 84, .external_lex_state = 53},
  [17965] = {.lex_state = 84},
  [17966] = {.lex_state = 0, .external_lex_state = 25},
  [17967] = {.lex_state = 0, .external_lex_state = 64},
  [17968] = {.lex_state = 84, .external_lex_state = 53},
  [17969] = {.lex_state = 84, .external_lex_state = 53},
  [17970] = {.lex_state = 0},
  [17971] = {.lex_state = 0, .external_lex_state = 64},
  [17972] = {.lex_state = 0},
  [17973] = {.lex_state = 84, .external_lex_state = 53},
  [17974] = {.lex_state = 0},
  [17975] = {.lex_state = 84},
  [17976] = {.lex_state = 0, .external_lex_state = 25},
  [17977] = {.lex_state = 0, .external_lex_state = 64},
  [17978] = {.lex_state = 0},
  [17979] = {.lex_state = 84},
  [17980] = {.lex_state = 0, .external_lex_state = 64},
  [17981] = {.lex_state = 0, .external_lex_state = 64},
  [17982] = {.lex_state = 0, .external_lex_state = 64},
  [17983] = {.lex_state = 0},
  [17984] = {.lex_state = 0, .external_lex_state = 25},
  [17985] = {.lex_state = 0},
  [17986] = {.lex_state = 0},
  [17987] = {.lex_state = 0},
  [17988] = {.lex_state = 0},
  [17989] = {.lex_state = 0, .external_lex_state = 64},
  [17990] = {.lex_state = 0},
  [17991] = {.lex_state = 0, .external_lex_state = 25},
  [17992] = {.lex_state = 0},
  [17993] = {.lex_state = 0},
  [17994] = {.lex_state = 0},
  [17995] = {.lex_state = 0},
  [17996] = {.lex_state = 0},
  [17997] = {.lex_state = 0},
  [17998] = {.lex_state = 0, .external_lex_state = 25},
  [17999] = {.lex_state = 0, .external_lex_state = 64},
  [18000] = {.lex_state = 0},
  [18001] = {.lex_state = 0},
  [18002] = {.lex_state = 0},
  [18003] = {.lex_state = 0},
  [18004] = {.lex_state = 84, .external_lex_state = 52},
  [18005] = {.lex_state = 0, .external_lex_state = 25},
  [18006] = {.lex_state = 0, .external_lex_state = 64},
  [18007] = {.lex_state = 0},
  [18008] = {.lex_state = 0},
  [18009] = {.lex_state = 0},
  [18010] = {.lex_state = 0, .external_lex_state = 64},
  [18011] = {.lex_state = 0},
  [18012] = {.lex_state = 0, .external_lex_state = 25},
  [18013] = {.lex_state = 84, .external_lex_state = 53},
  [18014] = {.lex_state = 0, .external_lex_state = 64},
  [18015] = {.lex_state = 0},
  [18016] = {.lex_state = 0, .external_lex_state = 64},
  [18017] = {.lex_state = 84, .external_lex_state = 53},
  [18018] = {.lex_state = 0},
  [18019] = {.lex_state = 0, .external_lex_state = 25},
  [18020] = {.lex_state = 0, .external_lex_state = 64},
  [18021] = {.lex_state = 0},
  [18022] = {.lex_state = 9},
  [18023] = {.lex_state = 84},
  [18024] = {.lex_state = 0, .external_lex_state = 64},
  [18025] = {.lex_state = 84, .external_lex_state = 52},
  [18026] = {.lex_state = 0, .external_lex_state = 25},
  [18027] = {.lex_state = 0},
  [18028] = {.lex_state = 0},
  [18029] = {.lex_state = 0},
  [18030] = {.lex_state = 9},
  [18031] = {.lex_state = 84},
  [18032] = {.lex_state = 84},
  [18033] = {.lex_state = 0, .external_lex_state = 25},
  [18034] = {.lex_state = 9},
  [18035] = {.lex_state = 0},
  [18036] = {.lex_state = 0},
  [18037] = {.lex_state = 0, .external_lex_state = 64},
  [18038] = {.lex_state = 84, .external_lex_state = 52},
  [18039] = {.lex_state = 0},
  [18040] = {.lex_state = 0, .external_lex_state = 25},
  [18041] = {.lex_state = 0},
  [18042] = {.lex_state = 9},
  [18043] = {.lex_state = 0},
  [18044] = {.lex_state = 0, .external_lex_state = 64},
  [18045] = {.lex_state = 0},
  [18046] = {.lex_state = 0},
  [18047] = {.lex_state = 0, .external_lex_state = 25},
  [18048] = {.lex_state = 0, .external_lex_state = 64},
  [18049] = {.lex_state = 84, .external_lex_state = 53},
  [18050] = {.lex_state = 0, .external_lex_state = 64},
  [18051] = {.lex_state = 0, .external_lex_state = 64},
  [18052] = {.lex_state = 0, .external_lex_state = 64},
  [18053] = {.lex_state = 0},
  [18054] = {.lex_state = 0, .external_lex_state = 25},
  [18055] = {.lex_state = 84, .external_lex_state = 53},
  [18056] = {.lex_state = 0},
  [18057] = {.lex_state = 0},
  [18058] = {.lex_state = 84, .external_lex_state = 53},
  [18059] = {.lex_state = 9},
  [18060] = {.lex_state = 0, .external_lex_state = 64},
  [18061] = {.lex_state = 0, .external_lex_state = 25},
  [18062] = {.lex_state = 84, .external_lex_state = 53},
  [18063] = {.lex_state = 9},
  [18064] = {.lex_state = 0, .external_lex_state = 64},
  [18065] = {.lex_state = 0, .external_lex_state = 64},
  [18066] = {.lex_state = 0},
  [18067] = {.lex_state = 84},
  [18068] = {.lex_state = 0, .external_lex_state = 25},
  [18069] = {.lex_state = 9},
  [18070] = {.lex_state = 0},
  [18071] = {.lex_state = 0, .external_lex_state = 64},
  [18072] = {.lex_state = 0},
  [18073] = {.lex_state = 9},
  [18074] = {.lex_state = 0},
  [18075] = {.lex_state = 0, .external_lex_state = 25},
  [18076] = {.lex_state = 0},
  [18077] = {.lex_state = 0},
  [18078] = {.lex_state = 0, .external_lex_state = 64},
  [18079] = {.lex_state = 0},
  [18080] = {.lex_state = 0},
  [18081] = {.lex_state = 0, .external_lex_state = 25},
  [18082] = {.lex_state = 0},
  [18083] = {.lex_state = 0},
  [18084] = {.lex_state = 0},
  [18085] = {.lex_state = 0},
  [18086] = {.lex_state = 0},
  [18087] = {.lex_state = 0, .external_lex_state = 25},
  [18088] = {.lex_state = 0, .external_lex_state = 64},
  [18089] = {.lex_state = 0},
  [18090] = {.lex_state = 0},
  [18091] = {.lex_state = 0},
  [18092] = {.lex_state = 0, .external_lex_state = 64},
  [18093] = {.lex_state = 0, .external_lex_state = 25},
  [18094] = {.lex_state = 0, .external_lex_state = 64},
  [18095] = {.lex_state = 0},
  [18096] = {.lex_state = 84, .external_lex_state = 53},
  [18097] = {.lex_state = 0, .external_lex_state = 64},
  [18098] = {.lex_state = 0},
  [18099] = {.lex_state = 0, .external_lex_state = 25},
  [18100] = {.lex_state = 0},
  [18101] = {.lex_state = 0},
  [18102] = {.lex_state = 0, .external_lex_state = 64},
  [18103] = {.lex_state = 84, .external_lex_state = 53},
  [18104] = {.lex_state = 0},
  [18105] = {.lex_state = 0, .external_lex_state = 25},
  [18106] = {.lex_state = 0},
  [18107] = {.lex_state = 0},
  [18108] = {.lex_state = 0, .external_lex_state = 64},
  [18109] = {.lex_state = 0},
  [18110] = {.lex_state = 0},
  [18111] = {.lex_state = 0, .external_lex_state = 25},
  [18112] = {.lex_state = 0},
  [18113] = {.lex_state = 0, .external_lex_state = 64},
  [18114] = {.lex_state = 0},
  [18115] = {.lex_state = 0},
  [18116] = {.lex_state = 0},
  [18117] = {.lex_state = 0, .external_lex_state = 25},
  [18118] = {.lex_state = 0},
  [18119] = {.lex_state = 0},
  [18120] = {.lex_state = 0},
  [18121] = {.lex_state = 0},
  [18122] = {.lex_state = 0, .external_lex_state = 64},
  [18123] = {.lex_state = 0, .external_lex_state = 25},
  [18124] = {.lex_state = 0, .external_lex_state = 64},
  [18125] = {.lex_state = 84},
  [18126] = {.lex_state = 0},
  [18127] = {.lex_state = 0},
  [18128] = {.lex_state = 0, .external_lex_state = 64},
  [18129] = {.lex_state = 0, .external_lex_state = 25},
  [18130] = {.lex_state = 0, .external_lex_state = 64},
  [18131] = {.lex_state = 0},
  [18132] = {.lex_state = 0},
  [18133] = {.lex_state = 0, .external_lex_state = 64},
  [18134] = {.lex_state = 0},
  [18135] = {.lex_state = 0, .external_lex_state = 25},
  [18136] = {.lex_state = 0},
  [18137] = {.lex_state = 0},
  [18138] = {.lex_state = 0, .external_lex_state = 64},
  [18139] = {.lex_state = 0},
  [18140] = {.lex_state = 0},
  [18141] = {.lex_state = 0, .external_lex_state = 25},
  [18142] = {.lex_state = 0, .external_lex_state = 64},
  [18143] = {.lex_state = 84},
  [18144] = {.lex_state = 0},
  [18145] = {.lex_state = 0},
  [18146] = {.lex_state = 0, .external_lex_state = 64},
  [18147] = {.lex_state = 0, .external_lex_state = 25},
  [18148] = {.lex_state = 0, .external_lex_state = 64},
  [18149] = {.lex_state = 0, .external_lex_state = 64},
  [18150] = {.lex_state = 0, .external_lex_state = 64},
  [18151] = {.lex_state = 0},
  [18152] = {.lex_state = 0},
  [18153] = {.lex_state = 0, .external_lex_state = 25},
  [18154] = {.lex_state = 0},
  [18155] = {.lex_state = 0},
  [18156] = {.lex_state = 0, .external_lex_state = 64},
  [18157] = {.lex_state = 0},
  [18158] = {.lex_state = 84},
  [18159] = {.lex_state = 0, .external_lex_state = 25},
  [18160] = {.lex_state = 0, .external_lex_state = 64},
  [18161] = {.lex_state = 0},
  [18162] = {.lex_state = 0},
  [18163] = {.lex_state = 84, .external_lex_state = 53},
  [18164] = {.lex_state = 84},
  [18165] = {.lex_state = 0, .external_lex_state = 25},
  [18166] = {.lex_state = 0, .external_lex_state = 64},
  [18167] = {.lex_state = 0},
  [18168] = {.lex_state = 0, .external_lex_state = 64},
  [18169] = {.lex_state = 0, .external_lex_state = 64},
  [18170] = {.lex_state = 0},
  [18171] = {.lex_state = 0, .external_lex_state = 25},
  [18172] = {.lex_state = 0},
  [18173] = {.lex_state = 0},
  [18174] = {.lex_state = 0, .external_lex_state = 64},
  [18175] = {.lex_state = 0, .external_lex_state = 64},
  [18176] = {.lex_state = 0},
  [18177] = {.lex_state = 0, .external_lex_state = 25},
  [18178] = {.lex_state = 0, .external_lex_state = 64},
  [18179] = {.lex_state = 0},
  [18180] = {.lex_state = 0},
  [18181] = {.lex_state = 0},
  [18182] = {.lex_state = 0},
  [18183] = {.lex_state = 0, .external_lex_state = 25},
  [18184] = {.lex_state = 0, .external_lex_state = 64},
  [18185] = {.lex_state = 0},
  [18186] = {.lex_state = 0},
  [18187] = {.lex_state = 0, .external_lex_state = 64},
  [18188] = {.lex_state = 0, .external_lex_state = 64},
  [18189] = {.lex_state = 0, .external_lex_state = 25},
  [18190] = {.lex_state = 0, .external_lex_state = 64},
  [18191] = {.lex_state = 76},
  [18192] = {.lex_state = 0},
  [18193] = {.lex_state = 76},
  [18194] = {.lex_state = 0, .external_lex_state = 64},
  [18195] = {.lex_state = 0, .external_lex_state = 25},
  [18196] = {.lex_state = 0},
  [18197] = {.lex_state = 0, .external_lex_state = 64},
  [18198] = {.lex_state = 0},
  [18199] = {.lex_state = 84, .external_lex_state = 53},
  [18200] = {.lex_state = 0},
  [18201] = {.lex_state = 0, .external_lex_state = 25},
  [18202] = {.lex_state = 0, .external_lex_state = 64},
  [18203] = {.lex_state = 0},
  [18204] = {.lex_state = 0, .external_lex_state = 64},
  [18205] = {.lex_state = 0, .external_lex_state = 64},
  [18206] = {.lex_state = 84},
  [18207] = {.lex_state = 0, .external_lex_state = 25},
  [18208] = {.lex_state = 0, .external_lex_state = 64},
  [18209] = {.lex_state = 0},
  [18210] = {.lex_state = 0},
  [18211] = {.lex_state = 0, .external_lex_state = 64},
  [18212] = {.lex_state = 0, .external_lex_state = 64},
  [18213] = {.lex_state = 0, .external_lex_state = 25},
  [18214] = {.lex_state = 0},
  [18215] = {.lex_state = 0, .external_lex_state = 64},
  [18216] = {.lex_state = 0},
  [18217] = {.lex_state = 0, .external_lex_state = 64},
  [18218] = {.lex_state = 0},
  [18219] = {.lex_state = 0, .external_lex_state = 25},
  [18220] = {.lex_state = 0, .external_lex_state = 64},
  [18221] = {.lex_state = 0},
  [18222] = {.lex_state = 0},
  [18223] = {.lex_state = 0, .external_lex_state = 64},
  [18224] = {.lex_state = 0, .external_lex_state = 64},
  [18225] = {.lex_state = 0, .external_lex_state = 25},
  [18226] = {.lex_state = 0},
  [18227] = {.lex_state = 0},
  [18228] = {.lex_state = 0, .external_lex_state = 64},
  [18229] = {.lex_state = 0},
  [18230] = {.lex_state = 0},
  [18231] = {.lex_state = 0, .external_lex_state = 25},
  [18232] = {.lex_state = 0, .external_lex_state = 64},
  [18233] = {.lex_state = 0},
  [18234] = {.lex_state = 0},
  [18235] = {.lex_state = 0},
  [18236] = {.lex_state = 0},
  [18237] = {.lex_state = 0, .external_lex_state = 25},
  [18238] = {.lex_state = 0, .external_lex_state = 64},
  [18239] = {.lex_state = 0},
  [18240] = {.lex_state = 0},
  [18241] = {.lex_state = 0},
  [18242] = {.lex_state = 0},
  [18243] = {.lex_state = 0, .external_lex_state = 25},
  [18244] = {.lex_state = 0, .external_lex_state = 64},
  [18245] = {.lex_state = 9},
  [18246] = {.lex_state = 0, .external_lex_state = 64},
  [18247] = {.lex_state = 0},
  [18248] = {.lex_state = 0},
  [18249] = {.lex_state = 0, .external_lex_state = 25},
  [18250] = {.lex_state = 0},
  [18251] = {.lex_state = 0},
  [18252] = {.lex_state = 0, .external_lex_state = 64},
  [18253] = {.lex_state = 0, .external_lex_state = 64},
  [18254] = {.lex_state = 0},
  [18255] = {.lex_state = 0, .external_lex_state = 25},
  [18256] = {.lex_state = 0},
  [18257] = {.lex_state = 0, .external_lex_state = 64},
  [18258] = {.lex_state = 0},
  [18259] = {.lex_state = 0},
  [18260] = {.lex_state = 0, .external_lex_state = 64},
  [18261] = {.lex_state = 0, .external_lex_state = 25},
  [18262] = {.lex_state = 0},
  [18263] = {.lex_state = 0},
  [18264] = {.lex_state = 0, .external_lex_state = 64},
  [18265] = {.lex_state = 0},
  [18266] = {.lex_state = 0, .external_lex_state = 64},
  [18267] = {.lex_state = 0, .external_lex_state = 25},
  [18268] = {.lex_state = 0},
  [18269] = {.lex_state = 0},
  [18270] = {.lex_state = 0, .external_lex_state = 64},
  [18271] = {.lex_state = 0},
  [18272] = {.lex_state = 0},
  [18273] = {.lex_state = 0, .external_lex_state = 25},
  [18274] = {.lex_state = 0, .external_lex_state = 64},
  [18275] = {.lex_state = 0},
  [18276] = {.lex_state = 0},
  [18277] = {.lex_state = 0},
  [18278] = {.lex_state = 0},
  [18279] = {.lex_state = 0, .external_lex_state = 25},
  [18280] = {.lex_state = 0, .external_lex_state = 64},
  [18281] = {.lex_state = 0},
  [18282] = {.lex_state = 0},
  [18283] = {.lex_state = 0},
  [18284] = {.lex_state = 0},
  [18285] = {.lex_state = 0, .external_lex_state = 25},
  [18286] = {.lex_state = 0, .external_lex_state = 64},
  [18287] = {.lex_state = 0},
  [18288] = {.lex_state = 0, .external_lex_state = 64},
  [18289] = {.lex_state = 0},
  [18290] = {.lex_state = 84},
  [18291] = {.lex_state = 0, .external_lex_state = 25},
  [18292] = {.lex_state = 0},
  [18293] = {.lex_state = 0},
  [18294] = {.lex_state = 0},
  [18295] = {.lex_state = 0},
  [18296] = {.lex_state = 0, .external_lex_state = 64},
  [18297] = {.lex_state = 0, .external_lex_state = 25},
  [18298] = {.lex_state = 0, .external_lex_state = 64},
  [18299] = {.lex_state = 84, .external_lex_state = 53},
  [18300] = {.lex_state = 0},
  [18301] = {.lex_state = 0, .external_lex_state = 64},
  [18302] = {.lex_state = 0},
  [18303] = {.lex_state = 0, .external_lex_state = 25},
  [18304] = {.lex_state = 0},
  [18305] = {.lex_state = 9},
  [18306] = {.lex_state = 0},
  [18307] = {.lex_state = 0, .external_lex_state = 64},
  [18308] = {.lex_state = 0, .external_lex_state = 25},
  [18309] = {.lex_state = 0},
  [18310] = {.lex_state = 0, .external_lex_state = 64},
  [18311] = {.lex_state = 0},
  [18312] = {.lex_state = 0, .external_lex_state = 64},
  [18313] = {.lex_state = 0, .external_lex_state = 25},
  [18314] = {.lex_state = 0, .external_lex_state = 64},
  [18315] = {.lex_state = 0},
  [18316] = {.lex_state = 0},
  [18317] = {.lex_state = 0},
  [18318] = {.lex_state = 0, .external_lex_state = 25},
  [18319] = {.lex_state = 0, .external_lex_state = 64},
  [18320] = {.lex_state = 0},
  [18321] = {.lex_state = 0},
  [18322] = {.lex_state = 0},
  [18323] = {.lex_state = 0, .external_lex_state = 25},
  [18324] = {.lex_state = 0},
  [18325] = {.lex_state = 0, .external_lex_state = 64},
  [18326] = {.lex_state = 0},
  [18327] = {.lex_state = 0},
  [18328] = {.lex_state = 0, .external_lex_state = 25},
  [18329] = {.lex_state = 0, .external_lex_state = 64},
  [18330] = {.lex_state = 0, .external_lex_state = 64},
  [18331] = {.lex_state = 0, .external_lex_state = 64},
  [18332] = {.lex_state = 0},
  [18333] = {.lex_state = 0, .external_lex_state = 25},
  [18334] = {.lex_state = 0},
  [18335] = {.lex_state = 0},
  [18336] = {.lex_state = 0, .external_lex_state = 64},
  [18337] = {.lex_state = 0},
  [18338] = {.lex_state = 0, .external_lex_state = 25},
  [18339] = {.lex_state = 0},
  [18340] = {.lex_state = 0, .external_lex_state = 64},
  [18341] = {.lex_state = 0},
  [18342] = {.lex_state = 0, .external_lex_state = 64},
  [18343] = {.lex_state = 0, .external_lex_state = 25},
  [18344] = {.lex_state = 0},
  [18345] = {.lex_state = 0},
  [18346] = {.lex_state = 0, .external_lex_state = 64},
  [18347] = {.lex_state = 0},
  [18348] = {.lex_state = 0, .external_lex_state = 25},
  [18349] = {.lex_state = 0, .external_lex_state = 64},
  [18350] = {.lex_state = 0},
  [18351] = {.lex_state = 0},
  [18352] = {.lex_state = 0, .external_lex_state = 64},
  [18353] = {.lex_state = 0, .external_lex_state = 25},
  [18354] = {.lex_state = 0},
  [18355] = {.lex_state = 0, .external_lex_state = 64},
  [18356] = {.lex_state = 0},
  [18357] = {.lex_state = 76},
  [18358] = {.lex_state = 0, .external_lex_state = 25},
  [18359] = {.lex_state = 0},
  [18360] = {.lex_state = 0, .external_lex_state = 64},
  [18361] = {.lex_state = 0, .external_lex_state = 64},
  [18362] = {.lex_state = 84, .external_lex_state = 53},
  [18363] = {.lex_state = 0, .external_lex_state = 25},
  [18364] = {.lex_state = 0},
  [18365] = {.lex_state = 0},
  [18366] = {.lex_state = 0},
  [18367] = {.lex_state = 76},
  [18368] = {.lex_state = 0, .external_lex_state = 25},
  [18369] = {.lex_state = 0, .external_lex_state = 64},
  [18370] = {.lex_state = 84, .external_lex_state = 53},
  [18371] = {.lex_state = 0},
  [18372] = {.lex_state = 0},
  [18373] = {.lex_state = 0, .external_lex_state = 25},
  [18374] = {.lex_state = 0, .external_lex_state = 25},
  [18375] = {.lex_state = 0, .external_lex_state = 25},
  [18376] = {.lex_state = 0, .external_lex_state = 25},
  [18377] = {.lex_state = 0, .external_lex_state = 25},
  [18378] = {.lex_state = 0, .external_lex_state = 25},
  [18379] = {.lex_state = 0, .external_lex_state = 25},
  [18380] = {.lex_state = 0, .external_lex_state = 25},
  [18381] = {.lex_state = 0, .external_lex_state = 25},
  [18382] = {.lex_state = 0, .external_lex_state = 25},
  [18383] = {.lex_state = 0, .external_lex_state = 25},
  [18384] = {.lex_state = 0, .external_lex_state = 25},
  [18385] = {.lex_state = 0, .external_lex_state = 25},
  [18386] = {.lex_state = 0, .external_lex_state = 25},
  [18387] = {.lex_state = 0, .external_lex_state = 25},
  [18388] = {.lex_state = 0, .external_lex_state = 25},
  [18389] = {.lex_state = 0, .external_lex_state = 25},
  [18390] = {.lex_state = 0, .external_lex_state = 25},
  [18391] = {.lex_state = 0, .external_lex_state = 25},
  [18392] = {.lex_state = 0, .external_lex_state = 25},
  [18393] = {.lex_state = 0, .external_lex_state = 25},
  [18394] = {.lex_state = 0, .external_lex_state = 25},
  [18395] = {.lex_state = 0, .external_lex_state = 25},
  [18396] = {.lex_state = 0, .external_lex_state = 25},
  [18397] = {.lex_state = 0, .external_lex_state = 25},
  [18398] = {.lex_state = 0, .external_lex_state = 25},
  [18399] = {.lex_state = 0, .external_lex_state = 25},
  [18400] = {.lex_state = 0, .external_lex_state = 25},
  [18401] = {.lex_state = 0, .external_lex_state = 25},
  [18402] = {.lex_state = 0, .external_lex_state = 25},
  [18403] = {.lex_state = 0, .external_lex_state = 25},
  [18404] = {.lex_state = 0, .external_lex_state = 25},
  [18405] = {.lex_state = 0, .external_lex_state = 25},
  [18406] = {.lex_state = 0, .external_lex_state = 25},
  [18407] = {.lex_state = 0, .external_lex_state = 25},
  [18408] = {.lex_state = 0, .external_lex_state = 25},
  [18409] = {.lex_state = 0, .external_lex_state = 25},
  [18410] = {.lex_state = 0, .external_lex_state = 25},
  [18411] = {.lex_state = 0, .external_lex_state = 25},
  [18412] = {.lex_state = 0, .external_lex_state = 25},
  [18413] = {.lex_state = 0, .external_lex_state = 25},
  [18414] = {.lex_state = 0, .external_lex_state = 25},
  [18415] = {.lex_state = 0, .external_lex_state = 25},
  [18416] = {.lex_state = 0, .external_lex_state = 25},
  [18417] = {.lex_state = 0, .external_lex_state = 25},
  [18418] = {.lex_state = 0, .external_lex_state = 25},
  [18419] = {.lex_state = 0, .external_lex_state = 25},
  [18420] = {.lex_state = 0, .external_lex_state = 25},
  [18421] = {.lex_state = 0, .external_lex_state = 25},
  [18422] = {.lex_state = 0, .external_lex_state = 25},
  [18423] = {.lex_state = 0, .external_lex_state = 25},
  [18424] = {.lex_state = 0, .external_lex_state = 25},
  [18425] = {.lex_state = 0, .external_lex_state = 25},
  [18426] = {.lex_state = 0, .external_lex_state = 25},
  [18427] = {.lex_state = 0, .external_lex_state = 25},
  [18428] = {.lex_state = 0, .external_lex_state = 25},
  [18429] = {.lex_state = 0, .external_lex_state = 25},
  [18430] = {.lex_state = 84},
  [18431] = {.lex_state = 0, .external_lex_state = 64},
  [18432] = {.lex_state = 84},
  [18433] = {.lex_state = 84},
  [18434] = {.lex_state = 0},
  [18435] = {.lex_state = 0},
  [18436] = {.lex_state = 0, .external_lex_state = 64},
  [18437] = {.lex_state = 0, .external_lex_state = 64},
  [18438] = {.lex_state = 0, .external_lex_state = 64},
  [18439] = {.lex_state = 0},
  [18440] = {.lex_state = 0, .external_lex_state = 64},
  [18441] = {.lex_state = 0},
  [18442] = {.lex_state = 0},
  [18443] = {.lex_state = 0},
  [18444] = {.lex_state = 0},
  [18445] = {.lex_state = 0, .external_lex_state = 64},
  [18446] = {.lex_state = 76},
  [18447] = {.lex_state = 76},
  [18448] = {.lex_state = 9},
  [18449] = {.lex_state = 0, .external_lex_state = 64},
  [18450] = {.lex_state = 0, .external_lex_state = 64},
  [18451] = {.lex_state = 0},
  [18452] = {.lex_state = 0, .external_lex_state = 64},
  [18453] = {.lex_state = 84, .external_lex_state = 53},
  [18454] = {.lex_state = 0},
  [18455] = {.lex_state = 84, .external_lex_state = 53},
  [18456] = {.lex_state = 0},
  [18457] = {.lex_state = 9},
  [18458] = {.lex_state = 9},
  [18459] = {.lex_state = 0, .external_lex_state = 64},
  [18460] = {.lex_state = 0},
  [18461] = {.lex_state = 0},
  [18462] = {.lex_state = 0},
  [18463] = {.lex_state = 0, .external_lex_state = 64},
  [18464] = {.lex_state = 9},
  [18465] = {.lex_state = 0, .external_lex_state = 64},
  [18466] = {.lex_state = 9},
  [18467] = {.lex_state = 0},
  [18468] = {.lex_state = 0, .external_lex_state = 64},
  [18469] = {.lex_state = 0},
  [18470] = {.lex_state = 0},
  [18471] = {.lex_state = 0},
  [18472] = {.lex_state = 0, .external_lex_state = 64},
  [18473] = {.lex_state = 0, .external_lex_state = 64},
  [18474] = {.lex_state = 0},
  [18475] = {.lex_state = 0},
  [18476] = {.lex_state = 0},
  [18477] = {.lex_state = 0},
  [18478] = {.lex_state = 0},
  [18479] = {.lex_state = 0},
  [18480] = {.lex_state = 0},
  [18481] = {.lex_state = 0},
  [18482] = {.lex_state = 0},
  [18483] = {.lex_state = 0, .external_lex_state = 64},
  [18484] = {.lex_state = 0, .external_lex_state = 64},
  [18485] = {.lex_state = 0},
  [18486] = {.lex_state = 0},
  [18487] = {.lex_state = 0, .external_lex_state = 64},
  [18488] = {.lex_state = 0},
  [18489] = {.lex_state = 0},
  [18490] = {.lex_state = 0, .external_lex_state = 64},
  [18491] = {.lex_state = 0},
  [18492] = {.lex_state = 0},
  [18493] = {.lex_state = 9},
  [18494] = {.lex_state = 0, .external_lex_state = 64},
  [18495] = {.lex_state = 84, .external_lex_state = 53},
  [18496] = {.lex_state = 0},
  [18497] = {(TSStateId)(-1)},
  [18498] = {(TSStateId)(-1)},
  [18499] = {(TSStateId)(-1)},
  [18500] = {(TSStateId)(-1)},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__indent = 1,
  ts_external_token__interpolated_string_middle = 2,
  ts_external_token__interpolated_string_end = 3,
  ts_external_token__interpolated_multiline_string_middle = 4,
  ts_external_token__interpolated_multiline_string_end = 5,
  ts_external_token__outdent = 6,
  ts_external_token__simple_multiline_string = 7,
  ts_external_token__simple_string = 8,
  ts_external_token_else = 9,
  ts_external_token_catch = 10,
  ts_external_token_finally = 11,
  ts_external_token_extends = 12,
  ts_external_token_derives = 13,
  ts_external_token_with = 14,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__interpolated_string_middle] = sym__interpolated_string_middle,
  [ts_external_token__interpolated_string_end] = sym__interpolated_string_end,
  [ts_external_token__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [ts_external_token__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [ts_external_token__outdent] = sym__outdent,
  [ts_external_token__simple_multiline_string] = sym__simple_multiline_string,
  [ts_external_token__simple_string] = sym__simple_string,
  [ts_external_token_else] = anon_sym_else,
  [ts_external_token_catch] = anon_sym_catch,
  [ts_external_token_finally] = anon_sym_finally,
  [ts_external_token_extends] = anon_sym_extends,
  [ts_external_token_derives] = anon_sym_derives,
  [ts_external_token_with] = anon_sym_with,
};

static const bool ts_external_scanner_states[74][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [2] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [3] = {
    [ts_external_token__indent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [4] = {
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [5] = {
    [ts_external_token__indent] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [7] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [8] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [9] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [10] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [11] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [12] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [13] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [14] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [15] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [16] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [17] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [18] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [19] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [20] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [21] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [22] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [23] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [24] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
  },
  [25] = {
    [ts_external_token__indent] = true,
  },
  [26] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [27] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [28] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [29] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [30] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [31] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [32] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [33] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [34] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [35] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
  },
  [36] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [37] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [38] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [39] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_with] = true,
  },
  [40] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
  },
  [41] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [42] = {
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [43] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [44] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [45] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [46] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [47] = {
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [48] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [49] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [50] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [51] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [52] = {
    [ts_external_token_with] = true,
  },
  [53] = {
    [ts_external_token_else] = true,
  },
  [54] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [55] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_with] = true,
  },
  [56] = {
    [ts_external_token_finally] = true,
  },
  [57] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_finally] = true,
  },
  [58] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
  },
  [59] = {
    [ts_external_token__outdent] = true,
    [ts_external_token_with] = true,
  },
  [60] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [61] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [62] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [63] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [64] = {
    [ts_external_token__outdent] = true,
  },
  [65] = {
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [66] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_derives] = true,
  },
  [67] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_derives] = true,
  },
  [68] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_extends] = true,
  },
  [69] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
  },
  [70] = {
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [71] = {
    [ts_external_token_derives] = true,
  },
  [72] = {
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
  },
  [73] = {
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [sym_block_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__alpha_identifier] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_given] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_trait] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LT_COLON] = ACTIONS(1),
    [anon_sym_GT_COLON] = ACTIONS(1),
    [anon_sym_LT_PERCENT] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_this] = ACTIONS(1),
    [anon_sym_extension] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_implicit] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_infix] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_transparent] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_derives] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_macro] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_symbol_literal] = ACTIONS(1),
    [sym__backquoted_id] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [sym_floating_point_literal] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym__interpolated_multiline_string_start] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__interpolated_string_middle] = ACTIONS(1),
    [sym__interpolated_string_end] = ACTIONS(1),
    [sym__interpolated_multiline_string_middle] = ACTIONS(1),
    [sym__interpolated_multiline_string_end] = ACTIONS(1),
    [sym__outdent] = ACTIONS(1),
    [sym__simple_multiline_string] = ACTIONS(1),
    [sym__simple_string] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(18230),
    [sym__top_level_definition] = STATE(15050),
    [sym_enum_definition] = STATE(15700),
    [sym_package_clause] = STATE(15700),
    [sym_package_object] = STATE(15700),
    [sym_import_declaration] = STATE(15700),
    [sym_export_declaration] = STATE(15700),
    [sym_object_definition] = STATE(15700),
    [sym_class_definition] = STATE(15700),
    [sym_trait_definition] = STATE(15700),
    [sym__end_marker] = STATE(15700),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15700),
    [sym_val_declaration] = STATE(15700),
    [sym__start_val] = STATE(4211),
    [sym_var_declaration] = STATE(15700),
    [sym_var_definition] = STATE(15700),
    [sym__start_var] = STATE(4220),
    [sym_type_definition] = STATE(15700),
    [sym_function_definition] = STATE(15700),
    [sym_function_declaration] = STATE(15700),
    [sym__function_declaration] = STATE(14473),
    [sym_opaque_modifier] = STATE(18206),
    [sym_extension_definition] = STATE(15700),
    [sym_given_definition] = STATE(15700),
    [sym_modifiers] = STATE(13313),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(575),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14474),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym__shebang] = STATE(149),
    [sym_comment] = STATE(1),
    [sym_block_comment] = STATE(1),
    [aux_sym_enum_definition_repeat1] = STATE(4341),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [aux_sym__shebang_token1] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18309),
    [sym__braced_template_body2] = STATE(18309),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2),
    [sym_block_comment] = STATE(2),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [3] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17575),
    [sym__braced_template_body2] = STATE(17575),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(3),
    [sym_block_comment] = STATE(3),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(177),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [4] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17634),
    [sym__braced_template_body2] = STATE(17634),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(4),
    [sym_block_comment] = STATE(4),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [5] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17578),
    [sym__braced_template_body2] = STATE(17578),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(5),
    [sym_block_comment] = STATE(5),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [6] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17906),
    [sym__braced_template_body2] = STATE(17906),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(6),
    [sym_block_comment] = STATE(6),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [7] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18263),
    [sym__braced_template_body2] = STATE(18263),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(7),
    [sym_block_comment] = STATE(7),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [8] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17189),
    [sym__braced_template_body2] = STATE(17189),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(8),
    [sym_block_comment] = STATE(8),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [9] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17684),
    [sym__braced_template_body2] = STATE(17684),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(9),
    [sym_block_comment] = STATE(9),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [10] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18324),
    [sym__braced_template_body2] = STATE(18324),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(10),
    [sym_block_comment] = STATE(10),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [11] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17886),
    [sym__braced_template_body2] = STATE(17886),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(11),
    [sym_block_comment] = STATE(11),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [12] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17961),
    [sym__braced_template_body2] = STATE(17961),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(12),
    [sym_block_comment] = STATE(12),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [13] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18035),
    [sym__braced_template_body2] = STATE(18035),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(13),
    [sym_block_comment] = STATE(13),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [14] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17935),
    [sym__braced_template_body2] = STATE(17935),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(14),
    [sym_block_comment] = STATE(14),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [15] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18056),
    [sym__braced_template_body2] = STATE(18056),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(15),
    [sym_block_comment] = STATE(15),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [16] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17870),
    [sym__braced_template_body2] = STATE(17870),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(16),
    [sym_block_comment] = STATE(16),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [17] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16694),
    [sym__braced_template_body2] = STATE(16694),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(17),
    [sym_block_comment] = STATE(17),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [18] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16795),
    [sym__braced_template_body2] = STATE(16795),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(18),
    [sym_block_comment] = STATE(18),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(207),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [19] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17843),
    [sym__braced_template_body2] = STATE(17843),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(19),
    [sym_block_comment] = STATE(19),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [20] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18011),
    [sym__braced_template_body2] = STATE(18011),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(20),
    [sym_block_comment] = STATE(20),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(211),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [21] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16921),
    [sym__braced_template_body2] = STATE(16921),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(21),
    [sym_block_comment] = STATE(21),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [22] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17810),
    [sym__braced_template_body2] = STATE(17810),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(22),
    [sym_block_comment] = STATE(22),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [23] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17745),
    [sym__braced_template_body2] = STATE(17745),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(23),
    [sym_block_comment] = STATE(23),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [24] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18076),
    [sym__braced_template_body2] = STATE(18076),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(24),
    [sym_block_comment] = STATE(24),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [25] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18488),
    [sym__braced_template_body2] = STATE(18488),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(25),
    [sym_block_comment] = STATE(25),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [26] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16716),
    [sym__braced_template_body2] = STATE(16716),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(26),
    [sym_block_comment] = STATE(26),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [27] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17435),
    [sym__braced_template_body2] = STATE(17435),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(27),
    [sym_block_comment] = STATE(27),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [28] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17777),
    [sym__braced_template_body2] = STATE(17777),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(28),
    [sym_block_comment] = STATE(28),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [29] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17756),
    [sym__braced_template_body2] = STATE(17756),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(29),
    [sym_block_comment] = STATE(29),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [30] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16662),
    [sym__braced_template_body2] = STATE(16662),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(30),
    [sym_block_comment] = STATE(30),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [31] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16957),
    [sym__braced_template_body2] = STATE(16957),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(31),
    [sym_block_comment] = STATE(31),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [32] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17728),
    [sym__braced_template_body2] = STATE(17728),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(32),
    [sym_block_comment] = STATE(32),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(235),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [33] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18101),
    [sym__braced_template_body2] = STATE(18101),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(33),
    [sym_block_comment] = STATE(33),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [34] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17710),
    [sym__braced_template_body2] = STATE(17710),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(34),
    [sym_block_comment] = STATE(34),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [35] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17481),
    [sym__braced_template_body2] = STATE(17481),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(35),
    [sym_block_comment] = STATE(35),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [36] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18118),
    [sym__braced_template_body2] = STATE(18118),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(36),
    [sym_block_comment] = STATE(36),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [37] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18139),
    [sym__braced_template_body2] = STATE(18139),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(37),
    [sym_block_comment] = STATE(37),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [38] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17808),
    [sym__braced_template_body2] = STATE(17808),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(38),
    [sym_block_comment] = STATE(38),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [39] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17679),
    [sym__braced_template_body2] = STATE(17679),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(39),
    [sym_block_comment] = STATE(39),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [40] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18161),
    [sym__braced_template_body2] = STATE(18161),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(40),
    [sym_block_comment] = STATE(40),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [41] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17652),
    [sym__braced_template_body2] = STATE(17652),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(41),
    [sym_block_comment] = STATE(41),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [42] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17944),
    [sym__braced_template_body2] = STATE(17944),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(42),
    [sym_block_comment] = STATE(42),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [43] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17630),
    [sym__braced_template_body2] = STATE(17630),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(43),
    [sym_block_comment] = STATE(43),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [44] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16656),
    [sym__braced_template_body2] = STATE(16656),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(44),
    [sym_block_comment] = STATE(44),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [45] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18180),
    [sym__braced_template_body2] = STATE(18180),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(45),
    [sym_block_comment] = STATE(45),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [46] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17606),
    [sym__braced_template_body2] = STATE(17606),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(46),
    [sym_block_comment] = STATE(46),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [47] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17479),
    [sym__braced_template_body2] = STATE(17479),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(47),
    [sym_block_comment] = STATE(47),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [48] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18198),
    [sym__braced_template_body2] = STATE(18198),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(48),
    [sym_block_comment] = STATE(48),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [49] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17873),
    [sym__braced_template_body2] = STATE(17873),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(49),
    [sym_block_comment] = STATE(49),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [50] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17132),
    [sym__braced_template_body2] = STATE(17132),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(50),
    [sym_block_comment] = STATE(50),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [51] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17579),
    [sym__braced_template_body2] = STATE(17579),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(51),
    [sym_block_comment] = STATE(51),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [52] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17923),
    [sym__braced_template_body2] = STATE(17923),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(52),
    [sym_block_comment] = STATE(52),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [53] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16778),
    [sym__braced_template_body2] = STATE(16778),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(53),
    [sym_block_comment] = STATE(53),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [54] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16959),
    [sym__braced_template_body2] = STATE(16959),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(54),
    [sym_block_comment] = STATE(54),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [55] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17004),
    [sym__braced_template_body2] = STATE(17004),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(55),
    [sym_block_comment] = STATE(55),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [56] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17307),
    [sym__braced_template_body2] = STATE(17307),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(56),
    [sym_block_comment] = STATE(56),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [57] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18018),
    [sym__braced_template_body2] = STATE(18018),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(57),
    [sym_block_comment] = STATE(57),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [58] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17058),
    [sym__braced_template_body2] = STATE(17058),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(58),
    [sym_block_comment] = STATE(58),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [59] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17987),
    [sym__braced_template_body2] = STATE(17987),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(59),
    [sym_block_comment] = STATE(59),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [60] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17539),
    [sym__braced_template_body2] = STATE(17539),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(60),
    [sym_block_comment] = STATE(60),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [61] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17415),
    [sym__braced_template_body2] = STATE(17415),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(61),
    [sym_block_comment] = STATE(61),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [62] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18216),
    [sym__braced_template_body2] = STATE(18216),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(62),
    [sym_block_comment] = STATE(62),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [63] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17188),
    [sym__braced_template_body2] = STATE(17188),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(63),
    [sym_block_comment] = STATE(63),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [64] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18233),
    [sym__braced_template_body2] = STATE(18233),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(64),
    [sym_block_comment] = STATE(64),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [65] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17145),
    [sym__braced_template_body2] = STATE(17145),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(65),
    [sym_block_comment] = STATE(65),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [66] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17504),
    [sym__braced_template_body2] = STATE(17504),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(66),
    [sym_block_comment] = STATE(66),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [67] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18036),
    [sym__braced_template_body2] = STATE(18036),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(67),
    [sym_block_comment] = STATE(67),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [68] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18258),
    [sym__braced_template_body2] = STATE(18258),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(68),
    [sym_block_comment] = STATE(68),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [69] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17464),
    [sym__braced_template_body2] = STATE(17464),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(69),
    [sym_block_comment] = STATE(69),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [70] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17449),
    [sym__braced_template_body2] = STATE(17449),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(70),
    [sym_block_comment] = STATE(70),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [71] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17437),
    [sym__braced_template_body2] = STATE(17437),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(71),
    [sym_block_comment] = STATE(71),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(313),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [72] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18276),
    [sym__braced_template_body2] = STATE(18276),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(72),
    [sym_block_comment] = STATE(72),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(315),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [73] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16846),
    [sym__braced_template_body2] = STATE(16846),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(73),
    [sym_block_comment] = STATE(73),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [74] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16852),
    [sym__braced_template_body2] = STATE(16852),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(74),
    [sym_block_comment] = STATE(74),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [75] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16883),
    [sym__braced_template_body2] = STATE(16883),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(75),
    [sym_block_comment] = STATE(75),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [76] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18074),
    [sym__braced_template_body2] = STATE(18074),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(76),
    [sym_block_comment] = STATE(76),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [77] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18304),
    [sym__braced_template_body2] = STATE(18304),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(77),
    [sym_block_comment] = STATE(77),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [78] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17468),
    [sym__braced_template_body2] = STATE(17468),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(78),
    [sym_block_comment] = STATE(78),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [79] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18320),
    [sym__braced_template_body2] = STATE(18320),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(79),
    [sym_block_comment] = STATE(79),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [80] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18104),
    [sym__braced_template_body2] = STATE(18104),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(80),
    [sym_block_comment] = STATE(80),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [81] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17196),
    [sym__braced_template_body2] = STATE(17196),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(81),
    [sym_block_comment] = STATE(81),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [82] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18126),
    [sym__braced_template_body2] = STATE(18126),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(82),
    [sym_block_comment] = STATE(82),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [83] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17552),
    [sym__braced_template_body2] = STATE(17552),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(83),
    [sym_block_comment] = STATE(83),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [84] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17411),
    [sym__braced_template_body2] = STATE(17411),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(84),
    [sym_block_comment] = STATE(84),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [85] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17391),
    [sym__braced_template_body2] = STATE(17391),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(85),
    [sym_block_comment] = STATE(85),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [86] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17853),
    [sym__braced_template_body2] = STATE(17853),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(86),
    [sym_block_comment] = STATE(86),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [87] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18144),
    [sym__braced_template_body2] = STATE(18144),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(87),
    [sym_block_comment] = STATE(87),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [88] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17367),
    [sym__braced_template_body2] = STATE(17367),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(88),
    [sym_block_comment] = STATE(88),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [89] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18167),
    [sym__braced_template_body2] = STATE(18167),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(89),
    [sym_block_comment] = STATE(89),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [90] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18186),
    [sym__braced_template_body2] = STATE(18186),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(90),
    [sym_block_comment] = STATE(90),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(351),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [91] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18337),
    [sym__braced_template_body2] = STATE(18337),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(91),
    [sym_block_comment] = STATE(91),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(353),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [92] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18179),
    [sym__braced_template_body2] = STATE(18179),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(92),
    [sym_block_comment] = STATE(92),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [93] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17339),
    [sym__braced_template_body2] = STATE(17339),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(93),
    [sym_block_comment] = STATE(93),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [94] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17320),
    [sym__braced_template_body2] = STATE(17320),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(94),
    [sym_block_comment] = STATE(94),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [95] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18227),
    [sym__braced_template_body2] = STATE(18227),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(95),
    [sym_block_comment] = STATE(95),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [96] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18155),
    [sym__braced_template_body2] = STATE(18155),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(96),
    [sym_block_comment] = STATE(96),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [97] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18222),
    [sym__braced_template_body2] = STATE(18222),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(97),
    [sym_block_comment] = STATE(97),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [98] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17300),
    [sym__braced_template_body2] = STATE(17300),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(98),
    [sym_block_comment] = STATE(98),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(367),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [99] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17861),
    [sym__braced_template_body2] = STATE(17861),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(99),
    [sym_block_comment] = STATE(99),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [100] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18350),
    [sym__braced_template_body2] = STATE(18350),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(100),
    [sym_block_comment] = STATE(100),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(371),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [101] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17849),
    [sym__braced_template_body2] = STATE(17849),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(101),
    [sym_block_comment] = STATE(101),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [102] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18240),
    [sym__braced_template_body2] = STATE(18240),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(102),
    [sym_block_comment] = STATE(102),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [103] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18107),
    [sym__braced_template_body2] = STATE(18107),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(103),
    [sym_block_comment] = STATE(103),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [104] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16966),
    [sym__braced_template_body2] = STATE(16966),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(104),
    [sym_block_comment] = STATE(104),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [105] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18366),
    [sym__braced_template_body2] = STATE(18366),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(105),
    [sym_block_comment] = STATE(105),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [106] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17276),
    [sym__braced_template_body2] = STATE(17276),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(106),
    [sym_block_comment] = STATE(106),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [107] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18262),
    [sym__braced_template_body2] = STATE(18262),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(107),
    [sym_block_comment] = STATE(107),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [108] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18441),
    [sym__braced_template_body2] = STATE(18441),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(108),
    [sym_block_comment] = STATE(108),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [109] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17251),
    [sym__braced_template_body2] = STATE(17251),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(109),
    [sym_block_comment] = STATE(109),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [110] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17257),
    [sym__braced_template_body2] = STATE(17257),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(110),
    [sym_block_comment] = STATE(110),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [111] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18282),
    [sym__braced_template_body2] = STATE(18282),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(111),
    [sym_block_comment] = STATE(111),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [112] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18461),
    [sym__braced_template_body2] = STATE(18461),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(112),
    [sym_block_comment] = STATE(112),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(395),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [113] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17882),
    [sym__braced_template_body2] = STATE(17882),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(113),
    [sym_block_comment] = STATE(113),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [114] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17001),
    [sym__braced_template_body2] = STATE(17001),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(114),
    [sym_block_comment] = STATE(114),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(399),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [115] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16747),
    [sym__braced_template_body2] = STATE(16747),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(115),
    [sym_block_comment] = STATE(115),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(401),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [116] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18485),
    [sym__braced_template_body2] = STATE(18485),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(116),
    [sym_block_comment] = STATE(116),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [117] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18462),
    [sym__braced_template_body2] = STATE(18462),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(117),
    [sym_block_comment] = STATE(117),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [118] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18100),
    [sym__braced_template_body2] = STATE(18100),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(118),
    [sym_block_comment] = STATE(118),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [119] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18341),
    [sym__braced_template_body2] = STATE(18341),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(119),
    [sym_block_comment] = STATE(119),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [120] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(16931),
    [sym__braced_template_body2] = STATE(16931),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(120),
    [sym_block_comment] = STATE(120),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [121] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17855),
    [sym__braced_template_body2] = STATE(17855),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(121),
    [sym_block_comment] = STATE(121),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [122] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18354),
    [sym__braced_template_body2] = STATE(18354),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(122),
    [sym_block_comment] = STATE(122),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [123] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18372),
    [sym__braced_template_body2] = STATE(18372),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(123),
    [sym_block_comment] = STATE(123),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [124] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18371),
    [sym__braced_template_body2] = STATE(18371),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(124),
    [sym_block_comment] = STATE(124),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [125] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18442),
    [sym__braced_template_body2] = STATE(18442),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(125),
    [sym_block_comment] = STATE(125),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [126] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(18471),
    [sym__braced_template_body2] = STATE(18471),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(126),
    [sym_block_comment] = STATE(126),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [127] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__braced_template_body1] = STATE(17099),
    [sym__braced_template_body2] = STATE(17099),
    [sym__end_marker] = STATE(15152),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17860),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6134),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(127),
    [sym_block_comment] = STATE(127),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [128] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18134),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(128),
    [sym_block_comment] = STATE(128),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15139),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(427),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [129] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18127),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(129),
    [sym_block_comment] = STATE(129),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15141),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [130] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18110),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(130),
    [sym_block_comment] = STATE(130),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15166),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(435),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [131] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17600),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(131),
    [sym_block_comment] = STATE(131),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15089),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(437),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [132] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16941),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(132),
    [sym_block_comment] = STATE(132),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14984),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(439),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [133] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17919),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(133),
    [sym_block_comment] = STATE(133),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14841),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(441),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [134] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17747),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(134),
    [sym_block_comment] = STATE(134),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15117),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [135] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17958),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(135),
    [sym_block_comment] = STATE(135),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15154),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [136] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17452),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(136),
    [sym_block_comment] = STATE(136),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15074),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [137] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17345),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(137),
    [sym_block_comment] = STATE(137),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14905),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(449),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [138] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18302),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(138),
    [sym_block_comment] = STATE(138),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14981),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(451),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [139] = {
    [sym__top_level_definition] = STATE(15414),
    [sym_enum_definition] = STATE(15700),
    [sym_package_clause] = STATE(15700),
    [sym_package_object] = STATE(15700),
    [sym_import_declaration] = STATE(15700),
    [sym_export_declaration] = STATE(15700),
    [sym_object_definition] = STATE(15700),
    [sym_class_definition] = STATE(15700),
    [sym_trait_definition] = STATE(15700),
    [sym__end_marker] = STATE(15700),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15700),
    [sym_val_declaration] = STATE(15700),
    [sym__start_val] = STATE(4211),
    [sym_var_declaration] = STATE(15700),
    [sym_var_definition] = STATE(15700),
    [sym__start_var] = STATE(4220),
    [sym_type_definition] = STATE(15700),
    [sym_function_definition] = STATE(15700),
    [sym_function_declaration] = STATE(15700),
    [sym__function_declaration] = STATE(14473),
    [sym_opaque_modifier] = STATE(18206),
    [sym_extension_definition] = STATE(15700),
    [sym_given_definition] = STATE(15700),
    [sym_modifiers] = STATE(13313),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(575),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14474),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(139),
    [sym_block_comment] = STATE(139),
    [aux_sym_enum_definition_repeat1] = STATE(4341),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [ts_builtin_sym_end] = ACTIONS(453),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [140] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18496),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(140),
    [sym_block_comment] = STATE(140),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14849),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(455),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [141] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17019),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(141),
    [sym_block_comment] = STATE(141),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15001),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(457),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [142] = {
    [sym__top_level_definition] = STATE(15414),
    [sym_enum_definition] = STATE(15700),
    [sym_package_clause] = STATE(15700),
    [sym_package_object] = STATE(15700),
    [sym_import_declaration] = STATE(15700),
    [sym_export_declaration] = STATE(15700),
    [sym_object_definition] = STATE(15700),
    [sym_class_definition] = STATE(15700),
    [sym_trait_definition] = STATE(15700),
    [sym__end_marker] = STATE(15700),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15700),
    [sym_val_declaration] = STATE(15700),
    [sym__start_val] = STATE(4211),
    [sym_var_declaration] = STATE(15700),
    [sym_var_definition] = STATE(15700),
    [sym__start_var] = STATE(4220),
    [sym_type_definition] = STATE(15700),
    [sym_function_definition] = STATE(15700),
    [sym_function_declaration] = STATE(15700),
    [sym__function_declaration] = STATE(14473),
    [sym_opaque_modifier] = STATE(18206),
    [sym_extension_definition] = STATE(15700),
    [sym_given_definition] = STATE(15700),
    [sym_modifiers] = STATE(13313),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(575),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14474),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(142),
    [sym_block_comment] = STATE(142),
    [aux_sym_enum_definition_repeat1] = STATE(4341),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [ts_builtin_sym_end] = ACTIONS(459),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [143] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17066),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(143),
    [sym_block_comment] = STATE(143),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14923),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(461),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [144] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17801),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(144),
    [sym_block_comment] = STATE(144),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14878),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(463),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [145] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17436),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(145),
    [sym_block_comment] = STATE(145),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15079),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(465),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [146] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17871),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(146),
    [sym_block_comment] = STATE(146),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15134),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(467),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [147] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17329),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(147),
    [sym_block_comment] = STATE(147),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15060),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(469),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [148] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17115),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(148),
    [sym_block_comment] = STATE(148),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15020),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(471),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [149] = {
    [sym__top_level_definition] = STATE(15143),
    [sym_enum_definition] = STATE(15700),
    [sym_package_clause] = STATE(15700),
    [sym_package_object] = STATE(15700),
    [sym_import_declaration] = STATE(15700),
    [sym_export_declaration] = STATE(15700),
    [sym_object_definition] = STATE(15700),
    [sym_class_definition] = STATE(15700),
    [sym_trait_definition] = STATE(15700),
    [sym__end_marker] = STATE(15700),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15700),
    [sym_val_declaration] = STATE(15700),
    [sym__start_val] = STATE(4211),
    [sym_var_declaration] = STATE(15700),
    [sym_var_definition] = STATE(15700),
    [sym__start_var] = STATE(4220),
    [sym_type_definition] = STATE(15700),
    [sym_function_definition] = STATE(15700),
    [sym_function_declaration] = STATE(15700),
    [sym__function_declaration] = STATE(14473),
    [sym_opaque_modifier] = STATE(18206),
    [sym_extension_definition] = STATE(15700),
    [sym_given_definition] = STATE(15700),
    [sym_modifiers] = STATE(13313),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(575),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14474),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(149),
    [sym_block_comment] = STATE(149),
    [aux_sym_enum_definition_repeat1] = STATE(4341),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [ts_builtin_sym_end] = ACTIONS(473),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [150] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16801),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(150),
    [sym_block_comment] = STATE(150),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14944),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(475),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [151] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16869),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(151),
    [sym_block_comment] = STATE(151),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14959),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [152] = {
    [sym__top_level_definition] = STATE(15414),
    [sym_enum_definition] = STATE(15700),
    [sym_package_clause] = STATE(15700),
    [sym_package_object] = STATE(15700),
    [sym_import_declaration] = STATE(15700),
    [sym_export_declaration] = STATE(15700),
    [sym_object_definition] = STATE(15700),
    [sym_class_definition] = STATE(15700),
    [sym_trait_definition] = STATE(15700),
    [sym__end_marker] = STATE(15700),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15700),
    [sym_val_declaration] = STATE(15700),
    [sym__start_val] = STATE(4211),
    [sym_var_declaration] = STATE(15700),
    [sym_var_definition] = STATE(15700),
    [sym__start_var] = STATE(4220),
    [sym_type_definition] = STATE(15700),
    [sym_function_definition] = STATE(15700),
    [sym_function_declaration] = STATE(15700),
    [sym__function_declaration] = STATE(14473),
    [sym_opaque_modifier] = STATE(18206),
    [sym_extension_definition] = STATE(15700),
    [sym_given_definition] = STATE(15700),
    [sym_modifiers] = STATE(13313),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(575),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14474),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(152),
    [sym_block_comment] = STATE(152),
    [aux_sym_enum_definition_repeat1] = STATE(4341),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [ts_builtin_sym_end] = ACTIONS(479),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [153] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17215),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(153),
    [sym_block_comment] = STATE(153),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15038),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [154] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17994),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(154),
    [sym_block_comment] = STATE(154),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14854),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(483),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [155] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17277),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(155),
    [sym_block_comment] = STATE(155),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15056),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(485),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [156] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18039),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_case_clause] = STATE(16383),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(156),
    [sym_block_comment] = STATE(156),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15162),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(487),
    [anon_sym_case] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [157] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16922),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(157),
    [sym_block_comment] = STATE(157),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15111),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [158] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17862),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(158),
    [sym_block_comment] = STATE(158),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14832),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [159] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17100),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(159),
    [sym_block_comment] = STATE(159),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14902),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [160] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18484),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(160),
    [sym_block_comment] = STATE(160),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14832),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [161] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17147),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(161),
    [sym_block_comment] = STATE(161),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14911),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [162] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17191),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(162),
    [sym_block_comment] = STATE(162),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15032),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [163] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16657),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(163),
    [sym_block_comment] = STATE(163),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14970),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [164] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17280),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(164),
    [sym_block_comment] = STATE(164),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14927),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [165] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16998),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(165),
    [sym_block_comment] = STATE(165),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15055),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [166] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18253),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(166),
    [sym_block_comment] = STATE(166),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15026),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [167] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17422),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(167),
    [sym_block_comment] = STATE(167),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15014),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [168] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17502),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(168),
    [sym_block_comment] = STATE(168),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14970),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [169] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17580),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(169),
    [sym_block_comment] = STATE(169),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14941),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [170] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17636),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(170),
    [sym_block_comment] = STATE(170),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14953),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [171] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18097),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(171),
    [sym_block_comment] = STATE(171),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15026),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [172] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16749),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(172),
    [sym_block_comment] = STATE(172),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14840),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [173] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(248),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17587),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6206),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(173),
    [sym_block_comment] = STATE(173),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(575),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(577),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [174] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17142),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(174),
    [sym_block_comment] = STATE(174),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14950),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [175] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17089),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(175),
    [sym_block_comment] = STATE(175),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15070),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [176] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17813),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(176),
    [sym_block_comment] = STATE(176),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15126),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [177] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17190),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(177),
    [sym_block_comment] = STATE(177),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15084),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [178] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17604),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(178),
    [sym_block_comment] = STATE(178),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14964),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [179] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17764),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(179),
    [sym_block_comment] = STATE(179),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14976),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [180] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18014),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(180),
    [sym_block_comment] = STATE(180),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14830),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [181] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17588),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(181),
    [sym_block_comment] = STATE(181),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14950),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [182] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17811),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(182),
    [sym_block_comment] = STATE(182),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14988),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [183] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17567),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(183),
    [sym_block_comment] = STATE(183),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15126),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [184] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16890),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(184),
    [sym_block_comment] = STATE(184),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14848),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [185] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17874),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(185),
    [sym_block_comment] = STATE(185),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14999),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [186] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17932),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(186),
    [sym_block_comment] = STATE(186),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15008),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [187] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17063),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(187),
    [sym_block_comment] = STATE(187),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14889),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [188] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16695),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(188),
    [sym_block_comment] = STATE(188),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15151),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [189] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16658),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(189),
    [sym_block_comment] = STATE(189),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14846),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [190] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18217),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(190),
    [sym_block_comment] = STATE(190),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15037),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [191] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17938),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(191),
    [sym_block_comment] = STATE(191),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15159),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [192] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16797),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(192),
    [sym_block_comment] = STATE(192),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14839),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [193] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17989),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(193),
    [sym_block_comment] = STATE(193),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15016),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [194] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18037),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(194),
    [sym_block_comment] = STATE(194),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15027),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [195] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18078),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(195),
    [sym_block_comment] = STATE(195),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14852),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [196] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18204),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(196),
    [sym_block_comment] = STATE(196),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15033),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [197] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17010),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(197),
    [sym_block_comment] = STATE(197),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14874),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [198] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16842),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(198),
    [sym_block_comment] = STATE(198),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14852),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [199] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18128),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(199),
    [sym_block_comment] = STATE(199),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14846),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [200] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16712),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(200),
    [sym_block_comment] = STATE(200),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14997),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [201] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18148),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(201),
    [sym_block_comment] = STATE(201),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14839),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [202] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18122),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(202),
    [sym_block_comment] = STATE(202),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14935),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [203] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16916),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(203),
    [sym_block_comment] = STATE(203),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15032),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [204] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16848),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(204),
    [sym_block_comment] = STATE(204),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15131),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [205] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17822),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(205),
    [sym_block_comment] = STATE(205),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14901),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [206] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17840),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(206),
    [sym_block_comment] = STATE(206),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15151),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [207] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18168),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(207),
    [sym_block_comment] = STATE(207),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15052),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [208] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17297),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(208),
    [sym_block_comment] = STATE(208),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15076),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [209] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18187),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(209),
    [sym_block_comment] = STATE(209),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14911),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [210] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16960),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(210),
    [sym_block_comment] = STATE(210),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14860),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [211] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18205),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(211),
    [sym_block_comment] = STATE(211),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15071),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [212] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16773),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(212),
    [sym_block_comment] = STATE(212),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15037),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [213] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18149),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(213),
    [sym_block_comment] = STATE(213),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14916),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [214] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18223),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(214),
    [sym_block_comment] = STATE(214),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15080),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [215] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18190),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(215),
    [sym_block_comment] = STATE(215),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15085),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [216] = {
    [sym__top_level_definition] = STATE(15414),
    [sym_enum_definition] = STATE(15700),
    [sym_package_clause] = STATE(15700),
    [sym_package_object] = STATE(15700),
    [sym_import_declaration] = STATE(15700),
    [sym_export_declaration] = STATE(15700),
    [sym_object_definition] = STATE(15700),
    [sym_class_definition] = STATE(15700),
    [sym_trait_definition] = STATE(15700),
    [sym__end_marker] = STATE(15700),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15700),
    [sym_val_declaration] = STATE(15700),
    [sym__start_val] = STATE(4211),
    [sym_var_declaration] = STATE(15700),
    [sym_var_definition] = STATE(15700),
    [sym__start_var] = STATE(4220),
    [sym_type_definition] = STATE(15700),
    [sym_function_definition] = STATE(15700),
    [sym_function_declaration] = STATE(15700),
    [sym__function_declaration] = STATE(14473),
    [sym_opaque_modifier] = STATE(18206),
    [sym_extension_definition] = STATE(15700),
    [sym_given_definition] = STATE(15700),
    [sym_modifiers] = STATE(13313),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(575),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14474),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(216),
    [sym_block_comment] = STATE(216),
    [aux_sym_enum_definition_repeat1] = STATE(4341),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [217] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18264),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(217),
    [sym_block_comment] = STATE(217),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15098),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [218] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17709),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(218),
    [sym_block_comment] = STATE(218),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15131),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [219] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17416),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(219),
    [sym_block_comment] = STATE(219),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15111),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [220] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16847),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(220),
    [sym_block_comment] = STATE(220),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15014),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [221] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18286),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(221),
    [sym_block_comment] = STATE(221),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15106),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [222] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18312),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(222),
    [sym_block_comment] = STATE(222),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15027),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [223] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18329),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(223),
    [sym_block_comment] = STATE(223),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15119),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [224] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17467),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(224),
    [sym_block_comment] = STATE(224),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15159),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [225] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17184),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(225),
    [sym_block_comment] = STATE(225),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(14876),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [226] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17350),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_case_clause] = STATE(16592),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(226),
    [sym_block_comment] = STATE(226),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [aux_sym_indented_cases_repeat1] = STATE(15076),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [227] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(436),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17712),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(227),
    [sym_block_comment] = STATE(227),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [228] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(370),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16962),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(228),
    [sym_block_comment] = STATE(228),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [229] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(392),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18146),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(229),
    [sym_block_comment] = STATE(229),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [230] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(373),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18296),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(230),
    [sym_block_comment] = STATE(230),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [231] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(412),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18452),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(231),
    [sym_block_comment] = STATE(231),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [232] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18110),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(232),
    [sym_block_comment] = STATE(232),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [233] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(401),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18361),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(233),
    [sym_block_comment] = STATE(233),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [234] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(390),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18473),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(234),
    [sym_block_comment] = STATE(234),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [235] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(441),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18346),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(235),
    [sym_block_comment] = STATE(235),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [236] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(381),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17246),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(236),
    [sym_block_comment] = STATE(236),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [237] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(438),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17971),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(237),
    [sym_block_comment] = STATE(237),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [238] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(440),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18487),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(238),
    [sym_block_comment] = STATE(238),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [239] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(445),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17314),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(239),
    [sym_block_comment] = STATE(239),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [240] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(472),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18465),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(240),
    [sym_block_comment] = STATE(240),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [241] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(452),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17274),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(241),
    [sym_block_comment] = STATE(241),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [242] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(484),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18331),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(242),
    [sym_block_comment] = STATE(242),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [243] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(479),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18449),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(243),
    [sym_block_comment] = STATE(243),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [244] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(551),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17685),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(244),
    [sym_block_comment] = STATE(244),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [245] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(554),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18314),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(245),
    [sym_block_comment] = STATE(245),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [246] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(478),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17298),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(246),
    [sym_block_comment] = STATE(246),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [247] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(557),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18437),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(247),
    [sym_block_comment] = STATE(247),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [248] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17378),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(248),
    [sym_block_comment] = STATE(248),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(583),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [249] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(556),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17318),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(249),
    [sym_block_comment] = STATE(249),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [250] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(550),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17340),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(250),
    [sym_block_comment] = STATE(250),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [251] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(547),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18298),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(251),
    [sym_block_comment] = STATE(251),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [252] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(555),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17336),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(252),
    [sym_block_comment] = STATE(252),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [253] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(553),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18360),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(253),
    [sym_block_comment] = STATE(253),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [254] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(534),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17673),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(254),
    [sym_block_comment] = STATE(254),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [255] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(545),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18349),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(255),
    [sym_block_comment] = STATE(255),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [256] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(548),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17355),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(256),
    [sym_block_comment] = STATE(256),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [257] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(541),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18270),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(257),
    [sym_block_comment] = STATE(257),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [258] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(542),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18336),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(258),
    [sym_block_comment] = STATE(258),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [259] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(540),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17021),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(259),
    [sym_block_comment] = STATE(259),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [260] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(532),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17531),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(260),
    [sym_block_comment] = STATE(260),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [261] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(544),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17388),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(261),
    [sym_block_comment] = STATE(261),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [262] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(535),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18252),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(262),
    [sym_block_comment] = STATE(262),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [263] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(536),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18319),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(263),
    [sym_block_comment] = STATE(263),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [264] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(529),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18228),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(264),
    [sym_block_comment] = STATE(264),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [265] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(533),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17954),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(265),
    [sym_block_comment] = STATE(265),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [266] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(530),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18301),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(266),
    [sym_block_comment] = STATE(266),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [267] = {
    [sym_enum_definition] = STATE(14652),
    [sym_import_declaration] = STATE(14652),
    [sym_export_declaration] = STATE(14652),
    [sym_object_definition] = STATE(14652),
    [sym_class_definition] = STATE(14652),
    [sym_trait_definition] = STATE(14652),
    [sym__end_marker] = STATE(14652),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14652),
    [sym_val_declaration] = STATE(14652),
    [sym__start_val] = STATE(4228),
    [sym_var_declaration] = STATE(14652),
    [sym_var_definition] = STATE(14652),
    [sym__start_var] = STATE(4227),
    [sym_type_definition] = STATE(14652),
    [sym_function_definition] = STATE(14652),
    [sym_function_declaration] = STATE(14652),
    [sym__function_declaration] = STATE(14312),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(14652),
    [sym_given_definition] = STATE(14652),
    [sym_modifiers] = STATE(13217),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(576),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16470),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(267),
    [sym_block_comment] = STATE(267),
    [aux_sym_enum_definition_repeat1] = STATE(4331),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(585),
    [anon_sym_case] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(589),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(601),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(603),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(605),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [268] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(520),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16820),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(268),
    [sym_block_comment] = STATE(268),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [269] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(524),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18212),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(269),
    [sym_block_comment] = STATE(269),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [270] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(525),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18274),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(270),
    [sym_block_comment] = STATE(270),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [271] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(518),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18194),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(271),
    [sym_block_comment] = STATE(271),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [272] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(521),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18257),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(272),
    [sym_block_comment] = STATE(272),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [273] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(512),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18174),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(273),
    [sym_block_comment] = STATE(273),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [274] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(516),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17806),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(274),
    [sym_block_comment] = STATE(274),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [275] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(538),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17403),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(275),
    [sym_block_comment] = STATE(275),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [276] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(501),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16667),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(276),
    [sym_block_comment] = STATE(276),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [277] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(499),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17389),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(277),
    [sym_block_comment] = STATE(277),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [278] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(514),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17703),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(278),
    [sym_block_comment] = STATE(278),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [279] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(513),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17428),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(279),
    [sym_block_comment] = STATE(279),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [280] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(510),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18232),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(280),
    [sym_block_comment] = STATE(280),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [281] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(506),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18156),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(281),
    [sym_block_comment] = STATE(281),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [282] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(505),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18215),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(282),
    [sym_block_comment] = STATE(282),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [283] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(502),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18197),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(283),
    [sym_block_comment] = STATE(283),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [284] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(508),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17461),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(284),
    [sym_block_comment] = STATE(284),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [285] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(498),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18133),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(285),
    [sym_block_comment] = STATE(285),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [286] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(504),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17334),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(286),
    [sym_block_comment] = STATE(286),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [287] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(488),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16711),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(287),
    [sym_block_comment] = STATE(287),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [288] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(496),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18178),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(288),
    [sym_block_comment] = STATE(288),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [289] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(490),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18113),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(289),
    [sym_block_comment] = STATE(289),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [290] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(500),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17488),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(290),
    [sym_block_comment] = STATE(290),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [291] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(491),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18160),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(291),
    [sym_block_comment] = STATE(291),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [292] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(482),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18094),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(292),
    [sym_block_comment] = STATE(292),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [293] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(485),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18138),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(293),
    [sym_block_comment] = STATE(293),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [294] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(552),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17667),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(294),
    [sym_block_comment] = STATE(294),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [295] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(366),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17259),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(295),
    [sym_block_comment] = STATE(295),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [296] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(481),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18050),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(296),
    [sym_block_comment] = STATE(296),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [297] = {
    [sym_enum_definition] = STATE(14620),
    [sym_import_declaration] = STATE(14620),
    [sym_export_declaration] = STATE(14620),
    [sym_object_definition] = STATE(14620),
    [sym_class_definition] = STATE(14620),
    [sym_trait_definition] = STATE(14620),
    [sym__end_marker] = STATE(14620),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14620),
    [sym_val_declaration] = STATE(14620),
    [sym__start_val] = STATE(4210),
    [sym_var_declaration] = STATE(14620),
    [sym_var_definition] = STATE(14620),
    [sym__start_var] = STATE(4206),
    [sym_type_definition] = STATE(14620),
    [sym_function_definition] = STATE(14620),
    [sym_function_declaration] = STATE(14620),
    [sym__function_declaration] = STATE(14385),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14620),
    [sym_given_definition] = STATE(14620),
    [sym_modifiers] = STATE(13195),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(574),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16626),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14149),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(297),
    [sym_block_comment] = STATE(297),
    [aux_sym_enum_definition_repeat1] = STATE(4329),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(615),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(627),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(629),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(631),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(585),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [298] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(487),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17529),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(298),
    [sym_block_comment] = STATE(298),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [299] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17661),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(299),
    [sym_block_comment] = STATE(299),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(641),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [300] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(489),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17914),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(300),
    [sym_block_comment] = STATE(300),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [301] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18039),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(301),
    [sym_block_comment] = STATE(301),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(643),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [302] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(477),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18092),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(302),
    [sym_block_comment] = STATE(302),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [303] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(468),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18071),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(303),
    [sym_block_comment] = STATE(303),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [304] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(480),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16829),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(304),
    [sym_block_comment] = STATE(304),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [305] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(476),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17569),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(305),
    [sym_block_comment] = STATE(305),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [306] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(461),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16763),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(306),
    [sym_block_comment] = STATE(306),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [307] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(471),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18052),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(307),
    [sym_block_comment] = STATE(307),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [308] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(466),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18010),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(308),
    [sym_block_comment] = STATE(308),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [309] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(462),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18048),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(309),
    [sym_block_comment] = STATE(309),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [310] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17705),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(310),
    [sym_block_comment] = STATE(310),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(645),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [311] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(463),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17980),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(311),
    [sym_block_comment] = STATE(311),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [312] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(460),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17942),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(312),
    [sym_block_comment] = STATE(312),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [313] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(456),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18024),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(313),
    [sym_block_comment] = STATE(313),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [314] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16713),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(314),
    [sym_block_comment] = STATE(314),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(647),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [315] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(470),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17596),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(315),
    [sym_block_comment] = STATE(315),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [316] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(458),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16690),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(316),
    [sym_block_comment] = STATE(316),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [317] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(383),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16814),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(317),
    [sym_block_comment] = STATE(317),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [318] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(419),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16822),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(318),
    [sym_block_comment] = STATE(318),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [319] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(455),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17885),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(319),
    [sym_block_comment] = STATE(319),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [320] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(450),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18006),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(320),
    [sym_block_comment] = STATE(320),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [321] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(448),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17832),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(321),
    [sym_block_comment] = STATE(321),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [322] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(439),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17982),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(322),
    [sym_block_comment] = STATE(322),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [323] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(431),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17146),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(323),
    [sym_block_comment] = STATE(323),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [324] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(442),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16748),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(324),
    [sym_block_comment] = STATE(324),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [325] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(447),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17620),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(325),
    [sym_block_comment] = STATE(325),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [326] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(443),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17760),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(326),
    [sym_block_comment] = STATE(326),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [327] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(380),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18438),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(327),
    [sym_block_comment] = STATE(327),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [328] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(435),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18065),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(328),
    [sym_block_comment] = STATE(328),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [329] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(432),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16853),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(329),
    [sym_block_comment] = STATE(329),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [330] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(434),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17648),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(330),
    [sym_block_comment] = STATE(330),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [331] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(426),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17951),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(331),
    [sym_block_comment] = STATE(331),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [332] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(427),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17654),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(332),
    [sym_block_comment] = STATE(332),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [333] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(420),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17924),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(333),
    [sym_block_comment] = STATE(333),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [334] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(421),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17602),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(334),
    [sym_block_comment] = STATE(334),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [335] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(425),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17672),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(335),
    [sym_block_comment] = STATE(335),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [336] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(410),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17901),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(336),
    [sym_block_comment] = STATE(336),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [337] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17492),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(337),
    [sym_block_comment] = STATE(337),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(649),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [338] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(416),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17527),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(338),
    [sym_block_comment] = STATE(338),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [339] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(413),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17052),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(339),
    [sym_block_comment] = STATE(339),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [340] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(422),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18211),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(340),
    [sym_block_comment] = STATE(340),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [341] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(405),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17883),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(341),
    [sym_block_comment] = STATE(341),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [342] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(414),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17693),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(342),
    [sym_block_comment] = STATE(342),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [343] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(409),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17439),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(343),
    [sym_block_comment] = STATE(343),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [344] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16671),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(344),
    [sym_block_comment] = STATE(344),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(651),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [345] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(402),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17321),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(345),
    [sym_block_comment] = STATE(345),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [346] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(398),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17197),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(346),
    [sym_block_comment] = STATE(346),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [347] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(404),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17722),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(347),
    [sym_block_comment] = STATE(347),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [348] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(397),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16896),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(348),
    [sym_block_comment] = STATE(348),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [349] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(393),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17858),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(349),
    [sym_block_comment] = STATE(349),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [350] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(396),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18463),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(350),
    [sym_block_comment] = STATE(350),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [351] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(367),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17631),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(351),
    [sym_block_comment] = STATE(351),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [352] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(395),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17746),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(352),
    [sym_block_comment] = STATE(352),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [353] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(391),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17151),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(353),
    [sym_block_comment] = STATE(353),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [354] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(385),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17834),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(354),
    [sym_block_comment] = STATE(354),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [355] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(384),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17107),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(355),
    [sym_block_comment] = STATE(355),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [356] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(368),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16933),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(356),
    [sym_block_comment] = STATE(356),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [357] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(374),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17768),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(357),
    [sym_block_comment] = STATE(357),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [358] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(389),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16889),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(358),
    [sym_block_comment] = STATE(358),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [359] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(378),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16977),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(359),
    [sym_block_comment] = STATE(359),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [360] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(369),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17814),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(360),
    [sym_block_comment] = STATE(360),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [361] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(372),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17031),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(361),
    [sym_block_comment] = STATE(361),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [362] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(474),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17804),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(362),
    [sym_block_comment] = STATE(362),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [363] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(379),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17078),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(363),
    [sym_block_comment] = STATE(363),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [364] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_self_type] = STATE(382),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18330),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6189),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(364),
    [sym_block_comment] = STATE(364),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(579),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [365] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18242),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(365),
    [sym_block_comment] = STATE(365),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [366] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17238),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(366),
    [sym_block_comment] = STATE(366),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [367] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17795),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(367),
    [sym_block_comment] = STATE(367),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [368] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16939),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(368),
    [sym_block_comment] = STATE(368),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [369] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17881),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(369),
    [sym_block_comment] = STATE(369),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [370] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16953),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(370),
    [sym_block_comment] = STATE(370),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [371] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16905),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(371),
    [sym_block_comment] = STATE(371),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [372] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17044),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(372),
    [sym_block_comment] = STATE(372),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [373] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18494),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(373),
    [sym_block_comment] = STATE(373),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [374] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17762),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(374),
    [sym_block_comment] = STATE(374),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [375] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18278),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(375),
    [sym_block_comment] = STATE(375),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [376] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16909),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(376),
    [sym_block_comment] = STATE(376),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [377] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18284),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(377),
    [sym_block_comment] = STATE(377),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [378] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16993),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(378),
    [sym_block_comment] = STATE(378),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [379] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17087),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(379),
    [sym_block_comment] = STATE(379),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [380] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18431),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(380),
    [sym_block_comment] = STATE(380),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [381] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17237),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(381),
    [sym_block_comment] = STATE(381),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [382] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18445),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(382),
    [sym_block_comment] = STATE(382),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [383] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16827),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(383),
    [sym_block_comment] = STATE(383),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [384] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17121),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(384),
    [sym_block_comment] = STATE(384),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [385] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17819),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(385),
    [sym_block_comment] = STATE(385),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [386] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18479),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(386),
    [sym_block_comment] = STATE(386),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [387] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16982),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(387),
    [sym_block_comment] = STATE(387),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [388] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18477),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(388),
    [sym_block_comment] = STATE(388),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [389] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16875),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(389),
    [sym_block_comment] = STATE(389),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [390] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18468),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(390),
    [sym_block_comment] = STATE(390),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [391] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17162),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(391),
    [sym_block_comment] = STATE(391),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [392] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18490),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(392),
    [sym_block_comment] = STATE(392),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [393] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17850),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(393),
    [sym_block_comment] = STATE(393),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [394] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16984),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(394),
    [sym_block_comment] = STATE(394),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [395] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17742),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(395),
    [sym_block_comment] = STATE(395),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [396] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18436),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(396),
    [sym_block_comment] = STATE(396),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [397] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16914),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(397),
    [sym_block_comment] = STATE(397),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [398] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17212),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(398),
    [sym_block_comment] = STATE(398),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [399] = {
    [sym_enum_definition] = STATE(15105),
    [sym_import_declaration] = STATE(15105),
    [sym_export_declaration] = STATE(15105),
    [sym_object_definition] = STATE(15105),
    [sym_class_definition] = STATE(15105),
    [sym_trait_definition] = STATE(15105),
    [sym__end_marker] = STATE(15105),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15105),
    [sym_val_declaration] = STATE(15105),
    [sym__start_val] = STATE(4228),
    [sym_var_declaration] = STATE(15105),
    [sym_var_definition] = STATE(15105),
    [sym__start_var] = STATE(4227),
    [sym_type_definition] = STATE(15105),
    [sym_function_definition] = STATE(15105),
    [sym_function_declaration] = STATE(15105),
    [sym__function_declaration] = STATE(14312),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15105),
    [sym_given_definition] = STATE(15105),
    [sym_modifiers] = STATE(13217),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(576),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14398),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(399),
    [sym_block_comment] = STATE(399),
    [aux_sym_enum_definition_repeat1] = STATE(4331),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_case] = ACTIONS(655),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(589),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(601),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(603),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(657),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [400] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17551),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(400),
    [sym_block_comment] = STATE(400),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [401] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18355),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(401),
    [sym_block_comment] = STATE(401),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [402] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17352),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(402),
    [sym_block_comment] = STATE(402),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [403] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18182),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(403),
    [sym_block_comment] = STATE(403),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [404] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17715),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(404),
    [sym_block_comment] = STATE(404),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [405] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17879),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(405),
    [sym_block_comment] = STATE(405),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [406] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16838),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(406),
    [sym_block_comment] = STATE(406),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [407] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17526),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(407),
    [sym_block_comment] = STATE(407),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [408] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18239),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(408),
    [sym_block_comment] = STATE(408),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [409] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17465),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(409),
    [sym_block_comment] = STATE(409),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [410] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17895),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(410),
    [sym_block_comment] = STATE(410),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [411] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17491),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(411),
    [sym_block_comment] = STATE(411),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [412] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18450),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(412),
    [sym_block_comment] = STATE(412),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [413] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17040),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(413),
    [sym_block_comment] = STATE(413),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [414] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17687),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(414),
    [sym_block_comment] = STATE(414),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [415] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17556),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(415),
    [sym_block_comment] = STATE(415),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [416] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17543),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(416),
    [sym_block_comment] = STATE(416),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [417] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16832),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(417),
    [sym_block_comment] = STATE(417),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [418] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17070),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(418),
    [sym_block_comment] = STATE(418),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [419] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16807),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(419),
    [sym_block_comment] = STATE(419),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [420] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17921),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(420),
    [sym_block_comment] = STATE(420),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [421] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17612),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(421),
    [sym_block_comment] = STATE(421),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [422] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18175),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(422),
    [sym_block_comment] = STATE(422),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [423] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16757),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(423),
    [sym_block_comment] = STATE(423),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [424] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17082),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(424),
    [sym_block_comment] = STATE(424),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [425] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17664),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(425),
    [sym_block_comment] = STATE(425),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [426] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17946),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(426),
    [sym_block_comment] = STATE(426),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [427] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17670),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(427),
    [sym_block_comment] = STATE(427),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [428] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16754),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(428),
    [sym_block_comment] = STATE(428),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [429] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18085),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(429),
    [sym_block_comment] = STATE(429),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [430] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18080),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(430),
    [sym_block_comment] = STATE(430),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [431] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17128),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(431),
    [sym_block_comment] = STATE(431),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [432] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16867),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(432),
    [sym_block_comment] = STATE(432),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [433] = {
    [sym_enum_definition] = STATE(15105),
    [sym_import_declaration] = STATE(15105),
    [sym_export_declaration] = STATE(15105),
    [sym_object_definition] = STATE(15105),
    [sym_class_definition] = STATE(15105),
    [sym_trait_definition] = STATE(15105),
    [sym__end_marker] = STATE(15105),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15105),
    [sym_val_declaration] = STATE(15105),
    [sym__start_val] = STATE(4228),
    [sym_var_declaration] = STATE(15105),
    [sym_var_definition] = STATE(15105),
    [sym__start_var] = STATE(4227),
    [sym_type_definition] = STATE(15105),
    [sym_function_definition] = STATE(15105),
    [sym_function_declaration] = STATE(15105),
    [sym__function_declaration] = STATE(14312),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15105),
    [sym_given_definition] = STATE(15105),
    [sym_modifiers] = STATE(13217),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(576),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14398),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(433),
    [sym_block_comment] = STATE(433),
    [aux_sym_enum_definition_repeat1] = STATE(4331),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(659),
    [anon_sym_case] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(589),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(601),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(603),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(657),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [434] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17637),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(434),
    [sym_block_comment] = STATE(434),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [435] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18051),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(435),
    [sym_block_comment] = STATE(435),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [436] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17727),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(436),
    [sym_block_comment] = STATE(436),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [437] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18077),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(437),
    [sym_block_comment] = STATE(437),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [438] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17952),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(438),
    [sym_block_comment] = STATE(438),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [439] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17977),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(439),
    [sym_block_comment] = STATE(439),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [440] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18472),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(440),
    [sym_block_comment] = STATE(440),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [441] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18342),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(441),
    [sym_block_comment] = STATE(441),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [442] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16741),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(442),
    [sym_block_comment] = STATE(442),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [443] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17780),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(443),
    [sym_block_comment] = STATE(443),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [444] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17169),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(444),
    [sym_block_comment] = STATE(444),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [445] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17134),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(445),
    [sym_block_comment] = STATE(445),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [446] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17696),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(446),
    [sym_block_comment] = STATE(446),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [447] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17613),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(447),
    [sym_block_comment] = STATE(447),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [448] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17846),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(448),
    [sym_block_comment] = STATE(448),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [449] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17171),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(449),
    [sym_block_comment] = STATE(449),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [450] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17999),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(450),
    [sym_block_comment] = STATE(450),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [451] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18002),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(451),
    [sym_block_comment] = STATE(451),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [452] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17258),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(452),
    [sym_block_comment] = STATE(452),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [453] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16701),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(453),
    [sym_block_comment] = STATE(453),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [454] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18235),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(454),
    [sym_block_comment] = STATE(454),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [455] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17891),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(455),
    [sym_block_comment] = STATE(455),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [456] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18020),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(456),
    [sym_block_comment] = STATE(456),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [457] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17996),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(457),
    [sym_block_comment] = STATE(457),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [458] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16675),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(458),
    [sym_block_comment] = STATE(458),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [459] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16776),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(459),
    [sym_block_comment] = STATE(459),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [460] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17957),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(460),
    [sym_block_comment] = STATE(460),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [461] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16769),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(461),
    [sym_block_comment] = STATE(461),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [462] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18044),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(462),
    [sym_block_comment] = STATE(462),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [463] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17967),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(463),
    [sym_block_comment] = STATE(463),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [464] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17794),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(464),
    [sym_block_comment] = STATE(464),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [465] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16784),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(465),
    [sym_block_comment] = STATE(465),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [466] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18016),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(466),
    [sym_block_comment] = STATE(466),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [467] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17931),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(467),
    [sym_block_comment] = STATE(467),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [468] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18064),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(468),
    [sym_block_comment] = STATE(468),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [469] = {
    [sym_enum_definition] = STATE(14940),
    [sym_import_declaration] = STATE(14940),
    [sym_export_declaration] = STATE(14940),
    [sym_object_definition] = STATE(14940),
    [sym_class_definition] = STATE(14940),
    [sym_trait_definition] = STATE(14940),
    [sym__end_marker] = STATE(14940),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14940),
    [sym_val_declaration] = STATE(14940),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14940),
    [sym_var_definition] = STATE(14940),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14940),
    [sym_function_definition] = STATE(14940),
    [sym_function_declaration] = STATE(14940),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14940),
    [sym_given_definition] = STATE(14940),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14348),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(469),
    [sym_block_comment] = STATE(469),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(659),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [470] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17593),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(470),
    [sym_block_comment] = STATE(470),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [471] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18060),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(471),
    [sym_block_comment] = STATE(471),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [472] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18483),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(472),
    [sym_block_comment] = STATE(472),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [473] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17928),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(473),
    [sym_block_comment] = STATE(473),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [474] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17792),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(474),
    [sym_block_comment] = STATE(474),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [475] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17657),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(475),
    [sym_block_comment] = STATE(475),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [476] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17557),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(476),
    [sym_block_comment] = STATE(476),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [477] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18102),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(477),
    [sym_block_comment] = STATE(477),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [478] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17291),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(478),
    [sym_block_comment] = STATE(478),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [479] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18459),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(479),
    [sym_block_comment] = STATE(479),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [480] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16981),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(480),
    [sym_block_comment] = STATE(480),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [481] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18124),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(481),
    [sym_block_comment] = STATE(481),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [482] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18088),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(482),
    [sym_block_comment] = STATE(482),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [483] = {
    [sym_enum_definition] = STATE(14940),
    [sym_import_declaration] = STATE(14940),
    [sym_export_declaration] = STATE(14940),
    [sym_object_definition] = STATE(14940),
    [sym_class_definition] = STATE(14940),
    [sym_trait_definition] = STATE(14940),
    [sym__end_marker] = STATE(14940),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14940),
    [sym_val_declaration] = STATE(14940),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14940),
    [sym_var_definition] = STATE(14940),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14940),
    [sym_function_definition] = STATE(14940),
    [sym_function_declaration] = STATE(14940),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14940),
    [sym_given_definition] = STATE(14940),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14348),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(483),
    [sym_block_comment] = STATE(483),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(653),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [484] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18325),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(484),
    [sym_block_comment] = STATE(484),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [485] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18142),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(485),
    [sym_block_comment] = STATE(485),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [486] = {
    [sym_enum_definition] = STATE(15110),
    [sym__enum_block] = STATE(17624),
    [sym_enum_case_definitions] = STATE(15110),
    [sym_import_declaration] = STATE(15110),
    [sym_export_declaration] = STATE(15110),
    [sym_object_definition] = STATE(15110),
    [sym_class_definition] = STATE(15110),
    [sym_trait_definition] = STATE(15110),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15110),
    [sym_val_declaration] = STATE(15110),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15110),
    [sym_var_definition] = STATE(15110),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15110),
    [sym_function_definition] = STATE(15110),
    [sym_function_declaration] = STATE(15110),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15110),
    [sym_given_definition] = STATE(15110),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14318),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(486),
    [sym_block_comment] = STATE(486),
    [aux_sym_enum_definition_repeat1] = STATE(4327),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(665),
    [anon_sym_case] = ACTIONS(667),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [487] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17519),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(487),
    [sym_block_comment] = STATE(487),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [488] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16722),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(488),
    [sym_block_comment] = STATE(488),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [489] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17893),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(489),
    [sym_block_comment] = STATE(489),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [490] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18108),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(490),
    [sym_block_comment] = STATE(490),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [491] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18166),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(491),
    [sym_block_comment] = STATE(491),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [492] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17216),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(492),
    [sym_block_comment] = STATE(492),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [493] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17282),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(493),
    [sym_block_comment] = STATE(493),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [494] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17236),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(494),
    [sym_block_comment] = STATE(494),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [495] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17290),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(495),
    [sym_block_comment] = STATE(495),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [496] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18184),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(496),
    [sym_block_comment] = STATE(496),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [497] = {
    [sym_enum_definition] = STATE(14940),
    [sym_import_declaration] = STATE(14940),
    [sym_export_declaration] = STATE(14940),
    [sym_object_definition] = STATE(14940),
    [sym_class_definition] = STATE(14940),
    [sym_trait_definition] = STATE(14940),
    [sym__end_marker] = STATE(14940),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14940),
    [sym_val_declaration] = STATE(14940),
    [sym__start_val] = STATE(4210),
    [sym_var_declaration] = STATE(14940),
    [sym_var_definition] = STATE(14940),
    [sym__start_var] = STATE(4206),
    [sym_type_definition] = STATE(14940),
    [sym_function_definition] = STATE(14940),
    [sym_function_declaration] = STATE(14940),
    [sym__function_declaration] = STATE(14385),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14940),
    [sym_given_definition] = STATE(14940),
    [sym_modifiers] = STATE(13195),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(574),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14348),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(497),
    [sym_block_comment] = STATE(497),
    [aux_sym_enum_definition_repeat1] = STATE(4329),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(615),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(627),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(629),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(659),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [498] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18130),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(498),
    [sym_block_comment] = STATE(498),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [499] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17359),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(499),
    [sym_block_comment] = STATE(499),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [500] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17478),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(500),
    [sym_block_comment] = STATE(500),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [501] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16685),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(501),
    [sym_block_comment] = STATE(501),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [502] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18202),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(502),
    [sym_block_comment] = STATE(502),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [503] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17831),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(503),
    [sym_block_comment] = STATE(503),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [504] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17424),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(504),
    [sym_block_comment] = STATE(504),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [505] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18220),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(505),
    [sym_block_comment] = STATE(505),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [506] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18150),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(506),
    [sym_block_comment] = STATE(506),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [507] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17824),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(507),
    [sym_block_comment] = STATE(507),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [508] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17450),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(508),
    [sym_block_comment] = STATE(508),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [509] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17601),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(509),
    [sym_block_comment] = STATE(509),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [510] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18238),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(510),
    [sym_block_comment] = STATE(510),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [511] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17662),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(511),
    [sym_block_comment] = STATE(511),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [512] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18169),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(512),
    [sym_block_comment] = STATE(512),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [513] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17423),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(513),
    [sym_block_comment] = STATE(513),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [514] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17741),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(514),
    [sym_block_comment] = STATE(514),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [515] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17407),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(515),
    [sym_block_comment] = STATE(515),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [516] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17786),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(516),
    [sym_block_comment] = STATE(516),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [517] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17554),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(517),
    [sym_block_comment] = STATE(517),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [518] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18188),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(518),
    [sym_block_comment] = STATE(518),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [519] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17772),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(519),
    [sym_block_comment] = STATE(519),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [520] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16792),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(520),
    [sym_block_comment] = STATE(520),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [521] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18260),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(521),
    [sym_block_comment] = STATE(521),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [522] = {
    [sym_enum_definition] = STATE(14940),
    [sym_import_declaration] = STATE(14940),
    [sym_export_declaration] = STATE(14940),
    [sym_object_definition] = STATE(14940),
    [sym_class_definition] = STATE(14940),
    [sym_trait_definition] = STATE(14940),
    [sym__end_marker] = STATE(14940),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14940),
    [sym_val_declaration] = STATE(14940),
    [sym__start_val] = STATE(4210),
    [sym_var_declaration] = STATE(14940),
    [sym_var_definition] = STATE(14940),
    [sym__start_var] = STATE(4206),
    [sym_type_definition] = STATE(14940),
    [sym_function_definition] = STATE(14940),
    [sym_function_declaration] = STATE(14940),
    [sym__function_declaration] = STATE(14385),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14940),
    [sym_given_definition] = STATE(14940),
    [sym_modifiers] = STATE(13195),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(574),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14348),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(522),
    [sym_block_comment] = STATE(522),
    [aux_sym_enum_definition_repeat1] = STATE(4329),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(655),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(615),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(627),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(629),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(653),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [523] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17770),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(523),
    [sym_block_comment] = STATE(523),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [524] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18208),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(524),
    [sym_block_comment] = STATE(524),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [525] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18280),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(525),
    [sym_block_comment] = STATE(525),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [526] = {
    [sym_enum_definition] = STATE(15105),
    [sym_import_declaration] = STATE(15105),
    [sym_export_declaration] = STATE(15105),
    [sym_object_definition] = STATE(15105),
    [sym_class_definition] = STATE(15105),
    [sym_trait_definition] = STATE(15105),
    [sym__end_marker] = STATE(15105),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15105),
    [sym_val_declaration] = STATE(15105),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15105),
    [sym_var_definition] = STATE(15105),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15105),
    [sym_function_definition] = STATE(15105),
    [sym_function_declaration] = STATE(15105),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15105),
    [sym_given_definition] = STATE(15105),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14398),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(526),
    [sym_block_comment] = STATE(526),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(657),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [527] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17410),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(527),
    [sym_block_comment] = STATE(527),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [528] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17903),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(528),
    [sym_block_comment] = STATE(528),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [529] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18224),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(529),
    [sym_block_comment] = STATE(529),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [530] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18307),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(530),
    [sym_block_comment] = STATE(530),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [531] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17905),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(531),
    [sym_block_comment] = STATE(531),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [532] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17493),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(532),
    [sym_block_comment] = STATE(532),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [533] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17981),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(533),
    [sym_block_comment] = STATE(533),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [534] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17643),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(534),
    [sym_block_comment] = STATE(534),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [535] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18246),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(535),
    [sym_block_comment] = STATE(535),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [536] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18244),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(536),
    [sym_block_comment] = STATE(536),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [537] = {
    [sym_enum_definition] = STATE(15105),
    [sym_import_declaration] = STATE(15105),
    [sym_export_declaration] = STATE(15105),
    [sym_object_definition] = STATE(15105),
    [sym_class_definition] = STATE(15105),
    [sym_trait_definition] = STATE(15105),
    [sym__end_marker] = STATE(15105),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15105),
    [sym_val_declaration] = STATE(15105),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15105),
    [sym_var_definition] = STATE(15105),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15105),
    [sym_function_definition] = STATE(15105),
    [sym_function_declaration] = STATE(15105),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15105),
    [sym_given_definition] = STATE(15105),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14398),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(537),
    [sym_block_comment] = STATE(537),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(659),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(657),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [538] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17396),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(538),
    [sym_block_comment] = STATE(538),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [539] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(16698),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(539),
    [sym_block_comment] = STATE(539),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [540] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17005),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(540),
    [sym_block_comment] = STATE(540),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [541] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18266),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(541),
    [sym_block_comment] = STATE(541),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [542] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18340),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(542),
    [sym_block_comment] = STATE(542),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [543] = {
    [sym_enum_definition] = STATE(15110),
    [sym__enum_block] = STATE(17698),
    [sym_enum_case_definitions] = STATE(15110),
    [sym_import_declaration] = STATE(15110),
    [sym_export_declaration] = STATE(15110),
    [sym_object_definition] = STATE(15110),
    [sym_class_definition] = STATE(15110),
    [sym_trait_definition] = STATE(15110),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15110),
    [sym_val_declaration] = STATE(15110),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15110),
    [sym_var_definition] = STATE(15110),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15110),
    [sym_function_definition] = STATE(15110),
    [sym_function_declaration] = STATE(15110),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15110),
    [sym_given_definition] = STATE(15110),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14318),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(543),
    [sym_block_comment] = STATE(543),
    [aux_sym_enum_definition_repeat1] = STATE(4327),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(671),
    [anon_sym_case] = ACTIONS(667),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [544] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17373),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(544),
    [sym_block_comment] = STATE(544),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [545] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18352),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(545),
    [sym_block_comment] = STATE(545),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [546] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17129),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(546),
    [sym_block_comment] = STATE(546),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [547] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18288),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(547),
    [sym_block_comment] = STATE(547),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [548] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17231),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(548),
    [sym_block_comment] = STATE(548),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [549] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17700),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(549),
    [sym_block_comment] = STATE(549),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [550] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17262),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(550),
    [sym_block_comment] = STATE(550),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [551] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17626),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(551),
    [sym_block_comment] = STATE(551),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [552] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17387),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(552),
    [sym_block_comment] = STATE(552),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [553] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18369),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(553),
    [sym_block_comment] = STATE(553),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [554] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18310),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(554),
    [sym_block_comment] = STATE(554),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [555] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17331),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(555),
    [sym_block_comment] = STATE(555),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [556] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17310),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(556),
    [sym_block_comment] = STATE(556),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [557] = {
    [sym_enum_definition] = STATE(14996),
    [sym_import_declaration] = STATE(14996),
    [sym_export_declaration] = STATE(14996),
    [sym_object_definition] = STATE(14996),
    [sym_class_definition] = STATE(14996),
    [sym_trait_definition] = STATE(14996),
    [sym__end_marker] = STATE(14996),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14996),
    [sym_val_declaration] = STATE(14996),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14996),
    [sym_var_definition] = STATE(14996),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14996),
    [sym_function_definition] = STATE(14996),
    [sym_function_declaration] = STATE(14996),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14996),
    [sym_given_definition] = STATE(14996),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(18440),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14366),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(557),
    [sym_block_comment] = STATE(557),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(545),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [558] = {
    [sym_enum_definition] = STATE(15152),
    [sym_import_declaration] = STATE(15152),
    [sym_export_declaration] = STATE(15152),
    [sym_object_definition] = STATE(15152),
    [sym_class_definition] = STATE(15152),
    [sym_trait_definition] = STATE(15152),
    [sym__end_marker] = STATE(15152),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15152),
    [sym_val_declaration] = STATE(15152),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15152),
    [sym_var_definition] = STATE(15152),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15152),
    [sym_function_definition] = STATE(15152),
    [sym_function_declaration] = STATE(15152),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15152),
    [sym_given_definition] = STATE(15152),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym__block] = STATE(17440),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14310),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(558),
    [sym_block_comment] = STATE(558),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [559] = {
    [sym_enum_definition] = STATE(15737),
    [sym_enum_case_definitions] = STATE(15737),
    [sym_import_declaration] = STATE(15737),
    [sym_export_declaration] = STATE(15737),
    [sym_object_definition] = STATE(15737),
    [sym_class_definition] = STATE(15737),
    [sym_trait_definition] = STATE(15737),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15737),
    [sym_val_declaration] = STATE(15737),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15737),
    [sym_var_definition] = STATE(15737),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15737),
    [sym_function_definition] = STATE(15737),
    [sym_function_declaration] = STATE(15737),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15737),
    [sym_given_definition] = STATE(15737),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14519),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(559),
    [sym_block_comment] = STATE(559),
    [aux_sym_enum_definition_repeat1] = STATE(4327),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(673),
    [anon_sym_case] = ACTIONS(667),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [560] = {
    [sym_enum_definition] = STATE(15105),
    [sym_import_declaration] = STATE(15105),
    [sym_export_declaration] = STATE(15105),
    [sym_object_definition] = STATE(15105),
    [sym_class_definition] = STATE(15105),
    [sym_trait_definition] = STATE(15105),
    [sym__end_marker] = STATE(15105),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15105),
    [sym_val_declaration] = STATE(15105),
    [sym__start_val] = STATE(4228),
    [sym_var_declaration] = STATE(15105),
    [sym_var_definition] = STATE(15105),
    [sym__start_var] = STATE(4227),
    [sym_type_definition] = STATE(15105),
    [sym_function_definition] = STATE(15105),
    [sym_function_declaration] = STATE(15105),
    [sym__function_declaration] = STATE(14312),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15105),
    [sym_given_definition] = STATE(15105),
    [sym_modifiers] = STATE(13217),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(576),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14398),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(560),
    [sym_block_comment] = STATE(560),
    [aux_sym_enum_definition_repeat1] = STATE(4331),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(589),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(601),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(603),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(657),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [561] = {
    [sym_enum_definition] = STATE(14946),
    [sym__enum_block] = STATE(17412),
    [sym_enum_case_definitions] = STATE(14946),
    [sym_import_declaration] = STATE(14946),
    [sym_export_declaration] = STATE(14946),
    [sym_object_definition] = STATE(14946),
    [sym_class_definition] = STATE(14946),
    [sym_trait_definition] = STATE(14946),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14946),
    [sym_val_declaration] = STATE(14946),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14946),
    [sym_var_definition] = STATE(14946),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14946),
    [sym_function_definition] = STATE(14946),
    [sym_function_declaration] = STATE(14946),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14946),
    [sym_given_definition] = STATE(14946),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14352),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(561),
    [sym_block_comment] = STATE(561),
    [aux_sym_enum_definition_repeat1] = STATE(4344),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(675),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [562] = {
    [sym_enum_definition] = STATE(16187),
    [sym_enum_case_definitions] = STATE(16187),
    [sym_import_declaration] = STATE(16187),
    [sym_export_declaration] = STATE(16187),
    [sym_object_definition] = STATE(16187),
    [sym_class_definition] = STATE(16187),
    [sym_trait_definition] = STATE(16187),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(16187),
    [sym_val_declaration] = STATE(16187),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(16187),
    [sym_var_definition] = STATE(16187),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(16187),
    [sym_function_definition] = STATE(16187),
    [sym_function_declaration] = STATE(16187),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(16187),
    [sym_given_definition] = STATE(16187),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14456),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(562),
    [sym_block_comment] = STATE(562),
    [aux_sym_enum_definition_repeat1] = STATE(4344),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(675),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(679),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [563] = {
    [sym_enum_definition] = STATE(14946),
    [sym__enum_block] = STATE(17783),
    [sym_enum_case_definitions] = STATE(14946),
    [sym_import_declaration] = STATE(14946),
    [sym_export_declaration] = STATE(14946),
    [sym_object_definition] = STATE(14946),
    [sym_class_definition] = STATE(14946),
    [sym_trait_definition] = STATE(14946),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14946),
    [sym_val_declaration] = STATE(14946),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14946),
    [sym_var_definition] = STATE(14946),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14946),
    [sym_function_definition] = STATE(14946),
    [sym_function_declaration] = STATE(14946),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14946),
    [sym_given_definition] = STATE(14946),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14352),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(563),
    [sym_block_comment] = STATE(563),
    [aux_sym_enum_definition_repeat1] = STATE(4344),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(675),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [564] = {
    [sym_enum_definition] = STATE(14940),
    [sym_import_declaration] = STATE(14940),
    [sym_export_declaration] = STATE(14940),
    [sym_object_definition] = STATE(14940),
    [sym_class_definition] = STATE(14940),
    [sym_trait_definition] = STATE(14940),
    [sym__end_marker] = STATE(14940),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14940),
    [sym_val_declaration] = STATE(14940),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(14940),
    [sym_var_definition] = STATE(14940),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(14940),
    [sym_function_definition] = STATE(14940),
    [sym_function_declaration] = STATE(14940),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14940),
    [sym_given_definition] = STATE(14940),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14348),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(564),
    [sym_block_comment] = STATE(564),
    [aux_sym_enum_definition_repeat1] = STATE(4335),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [565] = {
    [sym_enum_definition] = STATE(15737),
    [sym_enum_case_definitions] = STATE(15737),
    [sym_import_declaration] = STATE(15737),
    [sym_export_declaration] = STATE(15737),
    [sym_object_definition] = STATE(15737),
    [sym_class_definition] = STATE(15737),
    [sym_trait_definition] = STATE(15737),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15737),
    [sym_val_declaration] = STATE(15737),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15737),
    [sym_var_definition] = STATE(15737),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15737),
    [sym_function_definition] = STATE(15737),
    [sym_function_declaration] = STATE(15737),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15737),
    [sym_given_definition] = STATE(15737),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14519),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(565),
    [sym_block_comment] = STATE(565),
    [aux_sym_enum_definition_repeat1] = STATE(4327),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(679),
    [anon_sym_case] = ACTIONS(667),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [566] = {
    [sym_enum_definition] = STATE(14940),
    [sym_import_declaration] = STATE(14940),
    [sym_export_declaration] = STATE(14940),
    [sym_object_definition] = STATE(14940),
    [sym_class_definition] = STATE(14940),
    [sym_trait_definition] = STATE(14940),
    [sym__end_marker] = STATE(14940),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(14940),
    [sym_val_declaration] = STATE(14940),
    [sym__start_val] = STATE(4210),
    [sym_var_declaration] = STATE(14940),
    [sym_var_definition] = STATE(14940),
    [sym__start_var] = STATE(4206),
    [sym_type_definition] = STATE(14940),
    [sym_function_definition] = STATE(14940),
    [sym_function_declaration] = STATE(14940),
    [sym__function_declaration] = STATE(14385),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(14940),
    [sym_given_definition] = STATE(14940),
    [sym_modifiers] = STATE(13195),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(574),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14348),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(566),
    [sym_block_comment] = STATE(566),
    [aux_sym_enum_definition_repeat1] = STATE(4329),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(573),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(615),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(513),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(627),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(629),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [567] = {
    [sym_enum_definition] = STATE(15105),
    [sym_import_declaration] = STATE(15105),
    [sym_export_declaration] = STATE(15105),
    [sym_object_definition] = STATE(15105),
    [sym_class_definition] = STATE(15105),
    [sym_trait_definition] = STATE(15105),
    [sym__end_marker] = STATE(15105),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15105),
    [sym_val_declaration] = STATE(15105),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15105),
    [sym_var_definition] = STATE(15105),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15105),
    [sym_function_definition] = STATE(15105),
    [sym_function_declaration] = STATE(15105),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15105),
    [sym_given_definition] = STATE(15105),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14398),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(567),
    [sym_block_comment] = STATE(567),
    [aux_sym_enum_definition_repeat1] = STATE(4336),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(657),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [568] = {
    [sym_enum_definition] = STATE(16187),
    [sym_enum_case_definitions] = STATE(16187),
    [sym_import_declaration] = STATE(16187),
    [sym_export_declaration] = STATE(16187),
    [sym_object_definition] = STATE(16187),
    [sym_class_definition] = STATE(16187),
    [sym_trait_definition] = STATE(16187),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(16187),
    [sym_val_declaration] = STATE(16187),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(16187),
    [sym_var_definition] = STATE(16187),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(16187),
    [sym_function_definition] = STATE(16187),
    [sym_function_declaration] = STATE(16187),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(16187),
    [sym_given_definition] = STATE(16187),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14456),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(568),
    [sym_block_comment] = STATE(568),
    [aux_sym_enum_definition_repeat1] = STATE(4344),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(675),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(673),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [569] = {
    [sym_enum_definition] = STATE(15737),
    [sym_enum_case_definitions] = STATE(15737),
    [sym_import_declaration] = STATE(15737),
    [sym_export_declaration] = STATE(15737),
    [sym_object_definition] = STATE(15737),
    [sym_class_definition] = STATE(15737),
    [sym_trait_definition] = STATE(15737),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(15737),
    [sym_val_declaration] = STATE(15737),
    [sym__start_val] = STATE(4222),
    [sym_var_declaration] = STATE(15737),
    [sym_var_definition] = STATE(15737),
    [sym__start_var] = STATE(4223),
    [sym_type_definition] = STATE(15737),
    [sym_function_definition] = STATE(15737),
    [sym_function_declaration] = STATE(15737),
    [sym__function_declaration] = STATE(14528),
    [sym_opaque_modifier] = STATE(17936),
    [sym_extension_definition] = STATE(15737),
    [sym_given_definition] = STATE(15737),
    [sym_modifiers] = STATE(13182),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(578),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(14519),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(569),
    [sym_block_comment] = STATE(569),
    [aux_sym_enum_definition_repeat1] = STATE(4327),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(667),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [570] = {
    [sym_enum_definition] = STATE(16187),
    [sym_enum_case_definitions] = STATE(16187),
    [sym_import_declaration] = STATE(16187),
    [sym_export_declaration] = STATE(16187),
    [sym_object_definition] = STATE(16187),
    [sym_class_definition] = STATE(16187),
    [sym_trait_definition] = STATE(16187),
    [sym_annotation] = STATE(7505),
    [sym_val_definition] = STATE(16187),
    [sym_val_declaration] = STATE(16187),
    [sym__start_val] = STATE(4259),
    [sym_var_declaration] = STATE(16187),
    [sym_var_definition] = STATE(16187),
    [sym__start_var] = STATE(4261),
    [sym_type_definition] = STATE(16187),
    [sym_function_definition] = STATE(16187),
    [sym_function_declaration] = STATE(16187),
    [sym__function_declaration] = STATE(14457),
    [sym_opaque_modifier] = STATE(17253),
    [sym_extension_definition] = STATE(16187),
    [sym_given_definition] = STATE(16187),
    [sym_modifiers] = STATE(13166),
    [sym_access_modifier] = STATE(6099),
    [sym_inline_modifier] = STATE(577),
    [sym_infix_modifier] = STATE(6099),
    [sym_open_modifier] = STATE(6099),
    [sym_transparent_modifier] = STATE(6099),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14456),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(570),
    [sym_block_comment] = STATE(570),
    [aux_sym_enum_definition_repeat1] = STATE(4344),
    [aux_sym_modifiers_repeat1] = STATE(5332),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(675),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(499),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_given] = ACTIONS(505),
    [anon_sym_class] = ACTIONS(507),
    [anon_sym_trait] = ACTIONS(509),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_extension] = ACTIONS(525),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(529),
    [anon_sym_opaque] = ACTIONS(531),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(533),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(537),
    [anon_sym_open] = ACTIONS(539),
    [anon_sym_transparent] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [571] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14316),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(571),
    [sym_block_comment] = STATE(571),
    [sym__alpha_identifier] = ACTIONS(681),
    [anon_sym_enum] = ACTIONS(684),
    [anon_sym_LBRACE] = ACTIONS(686),
    [anon_sym_case] = ACTIONS(684),
    [anon_sym_object] = ACTIONS(684),
    [anon_sym_import] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(684),
    [anon_sym__] = ACTIONS(689),
    [anon_sym_given] = ACTIONS(684),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_trait] = ACTIONS(684),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(698),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_for] = ACTIONS(704),
    [anon_sym_try] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(710),
    [anon_sym_extension] = ACTIONS(684),
    [anon_sym_val] = ACTIONS(684),
    [anon_sym_AT] = ACTIONS(684),
    [anon_sym_var] = ACTIONS(684),
    [anon_sym_type] = ACTIONS(684),
    [anon_sym_def] = ACTIONS(684),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_abstract] = ACTIONS(684),
    [anon_sym_final] = ACTIONS(684),
    [anon_sym_sealed] = ACTIONS(684),
    [anon_sym_implicit] = ACTIONS(713),
    [anon_sym_lazy] = ACTIONS(684),
    [anon_sym_override] = ACTIONS(684),
    [anon_sym_private] = ACTIONS(684),
    [anon_sym_protected] = ACTIONS(684),
    [anon_sym_inline] = ACTIONS(716),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(722),
    [anon_sym_macro] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_DOLLAR] = ACTIONS(727),
    [anon_sym_SQUOTE] = ACTIONS(730),
    [sym__backquoted_id] = ACTIONS(733),
    [sym_operator_identifier] = ACTIONS(736),
    [sym_integer_literal] = ACTIONS(739),
    [sym_floating_point_literal] = ACTIONS(742),
    [anon_sym_true] = ACTIONS(745),
    [anon_sym_false] = ACTIONS(745),
    [sym_character_literal] = ACTIONS(742),
    [sym_null_literal] = ACTIONS(748),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(754),
    [anon_sym_do] = ACTIONS(757),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__outdent] = ACTIONS(722),
    [sym__simple_multiline_string] = ACTIONS(762),
    [sym__simple_string] = ACTIONS(762),
  },
  [572] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13121),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(572),
    [sym_block_comment] = STATE(572),
    [sym__alpha_identifier] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(684),
    [anon_sym_LBRACE] = ACTIONS(768),
    [anon_sym_case] = ACTIONS(684),
    [anon_sym_object] = ACTIONS(684),
    [anon_sym_import] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(684),
    [anon_sym__] = ACTIONS(771),
    [anon_sym_given] = ACTIONS(684),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_trait] = ACTIONS(684),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_end] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_while] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(786),
    [anon_sym_try] = ACTIONS(789),
    [anon_sym_new] = ACTIONS(792),
    [anon_sym_extension] = ACTIONS(684),
    [anon_sym_val] = ACTIONS(684),
    [anon_sym_AT] = ACTIONS(684),
    [anon_sym_var] = ACTIONS(684),
    [anon_sym_type] = ACTIONS(684),
    [anon_sym_def] = ACTIONS(684),
    [anon_sym_opaque] = ACTIONS(777),
    [anon_sym_abstract] = ACTIONS(684),
    [anon_sym_final] = ACTIONS(684),
    [anon_sym_sealed] = ACTIONS(684),
    [anon_sym_implicit] = ACTIONS(795),
    [anon_sym_lazy] = ACTIONS(684),
    [anon_sym_override] = ACTIONS(684),
    [anon_sym_private] = ACTIONS(684),
    [anon_sym_protected] = ACTIONS(684),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_infix] = ACTIONS(777),
    [anon_sym_open] = ACTIONS(777),
    [anon_sym_transparent] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_SEMI] = ACTIONS(722),
    [anon_sym_macro] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(774),
    [anon_sym_TILDE] = ACTIONS(774),
    [anon_sym_DOLLAR] = ACTIONS(807),
    [anon_sym_SQUOTE] = ACTIONS(810),
    [sym__backquoted_id] = ACTIONS(813),
    [sym_operator_identifier] = ACTIONS(816),
    [sym_integer_literal] = ACTIONS(819),
    [sym_floating_point_literal] = ACTIONS(822),
    [anon_sym_true] = ACTIONS(825),
    [anon_sym_false] = ACTIONS(825),
    [sym_character_literal] = ACTIONS(822),
    [sym_null_literal] = ACTIONS(828),
    [anon_sym_return] = ACTIONS(831),
    [anon_sym_throw] = ACTIONS(834),
    [anon_sym_do] = ACTIONS(837),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(840),
    [sym__simple_multiline_string] = ACTIONS(843),
    [sym__simple_string] = ACTIONS(843),
  },
  [573] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14316),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(573),
    [sym_block_comment] = STATE(573),
    [sym__alpha_identifier] = ACTIONS(681),
    [anon_sym_enum] = ACTIONS(684),
    [anon_sym_LBRACE] = ACTIONS(686),
    [anon_sym_case] = ACTIONS(684),
    [anon_sym_object] = ACTIONS(684),
    [anon_sym_import] = ACTIONS(684),
    [anon_sym_export] = ACTIONS(684),
    [anon_sym__] = ACTIONS(689),
    [anon_sym_given] = ACTIONS(684),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_trait] = ACTIONS(684),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(698),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_for] = ACTIONS(704),
    [anon_sym_try] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(710),
    [anon_sym_extension] = ACTIONS(684),
    [anon_sym_val] = ACTIONS(684),
    [anon_sym_AT] = ACTIONS(684),
    [anon_sym_var] = ACTIONS(684),
    [anon_sym_type] = ACTIONS(684),
    [anon_sym_def] = ACTIONS(684),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_abstract] = ACTIONS(684),
    [anon_sym_final] = ACTIONS(684),
    [anon_sym_sealed] = ACTIONS(684),
    [anon_sym_implicit] = ACTIONS(713),
    [anon_sym_lazy] = ACTIONS(684),
    [anon_sym_override] = ACTIONS(684),
    [anon_sym_private] = ACTIONS(684),
    [anon_sym_protected] = ACTIONS(684),
    [anon_sym_inline] = ACTIONS(716),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(722),
    [anon_sym_macro] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_DOLLAR] = ACTIONS(727),
    [anon_sym_SQUOTE] = ACTIONS(730),
    [sym__backquoted_id] = ACTIONS(733),
    [sym_operator_identifier] = ACTIONS(736),
    [sym_integer_literal] = ACTIONS(739),
    [sym_floating_point_literal] = ACTIONS(742),
    [anon_sym_true] = ACTIONS(745),
    [anon_sym_false] = ACTIONS(745),
    [sym_character_literal] = ACTIONS(742),
    [sym_null_literal] = ACTIONS(748),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(754),
    [anon_sym_do] = ACTIONS(757),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(762),
    [sym__simple_string] = ACTIONS(762),
  },
  [574] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16100),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(574),
    [sym_block_comment] = STATE(574),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_given] = ACTIONS(850),
    [anon_sym_class] = ACTIONS(850),
    [anon_sym_trait] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(858),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_val] = ACTIONS(850),
    [anon_sym_var] = ACTIONS(850),
    [anon_sym_type] = ACTIONS(850),
    [anon_sym_def] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(850),
    [anon_sym_final] = ACTIONS(850),
    [anon_sym_sealed] = ACTIONS(850),
    [anon_sym_implicit] = ACTIONS(850),
    [anon_sym_lazy] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_inline] = ACTIONS(850),
    [anon_sym_infix] = ACTIONS(850),
    [anon_sym_open] = ACTIONS(850),
    [anon_sym_transparent] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [575] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15317),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(575),
    [sym_block_comment] = STATE(575),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_given] = ACTIONS(850),
    [anon_sym_class] = ACTIONS(850),
    [anon_sym_trait] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(896),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_val] = ACTIONS(850),
    [anon_sym_var] = ACTIONS(850),
    [anon_sym_type] = ACTIONS(850),
    [anon_sym_def] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(850),
    [anon_sym_final] = ACTIONS(850),
    [anon_sym_sealed] = ACTIONS(850),
    [anon_sym_implicit] = ACTIONS(850),
    [anon_sym_lazy] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_inline] = ACTIONS(850),
    [anon_sym_infix] = ACTIONS(850),
    [anon_sym_open] = ACTIONS(850),
    [anon_sym_transparent] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [576] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15317),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(576),
    [sym_block_comment] = STATE(576),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_given] = ACTIONS(850),
    [anon_sym_class] = ACTIONS(850),
    [anon_sym_trait] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_val] = ACTIONS(850),
    [anon_sym_var] = ACTIONS(850),
    [anon_sym_type] = ACTIONS(850),
    [anon_sym_def] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(850),
    [anon_sym_final] = ACTIONS(850),
    [anon_sym_sealed] = ACTIONS(850),
    [anon_sym_implicit] = ACTIONS(850),
    [anon_sym_lazy] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_inline] = ACTIONS(850),
    [anon_sym_infix] = ACTIONS(850),
    [anon_sym_open] = ACTIONS(850),
    [anon_sym_transparent] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [577] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16100),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(577),
    [sym_block_comment] = STATE(577),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_given] = ACTIONS(850),
    [anon_sym_class] = ACTIONS(850),
    [anon_sym_trait] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(900),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_val] = ACTIONS(850),
    [anon_sym_var] = ACTIONS(850),
    [anon_sym_type] = ACTIONS(850),
    [anon_sym_def] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(850),
    [anon_sym_final] = ACTIONS(850),
    [anon_sym_sealed] = ACTIONS(850),
    [anon_sym_implicit] = ACTIONS(850),
    [anon_sym_lazy] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_inline] = ACTIONS(850),
    [anon_sym_infix] = ACTIONS(850),
    [anon_sym_open] = ACTIONS(850),
    [anon_sym_transparent] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [578] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15317),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(578),
    [sym_block_comment] = STATE(578),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_given] = ACTIONS(850),
    [anon_sym_class] = ACTIONS(850),
    [anon_sym_trait] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_val] = ACTIONS(850),
    [anon_sym_var] = ACTIONS(850),
    [anon_sym_type] = ACTIONS(850),
    [anon_sym_def] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(850),
    [anon_sym_final] = ACTIONS(850),
    [anon_sym_sealed] = ACTIONS(850),
    [anon_sym_implicit] = ACTIONS(850),
    [anon_sym_lazy] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_inline] = ACTIONS(850),
    [anon_sym_infix] = ACTIONS(850),
    [anon_sym_open] = ACTIONS(850),
    [anon_sym_transparent] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [579] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(15828),
    [sym__simple_expression] = STATE(4489),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16907),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(6552),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4372),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(5040),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(579),
    [sym_block_comment] = STATE(579),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_catch] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(936),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [580] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(15905),
    [sym__simple_expression] = STATE(4584),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(18289),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(7297),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4479),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(5441),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(580),
    [sym_block_comment] = STATE(580),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_COLON] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_catch] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(972),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [581] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(16253),
    [sym__simple_expression] = STATE(4595),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17185),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(7376),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4483),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(5259),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(581),
    [sym_block_comment] = STATE(581),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_COLON] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1008),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [582] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(15877),
    [sym__simple_expression] = STATE(4636),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16929),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8012),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(4597),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(5735),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(582),
    [sym_block_comment] = STATE(582),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_COLON] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(1044),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [583] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(15432),
    [sym__simple_expression] = STATE(4660),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16861),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8270),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(4535),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(5960),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(583),
    [sym_block_comment] = STATE(583),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_COLON] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1080),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [584] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(16068),
    [sym__simple_expression] = STATE(5066),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17122),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8727),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4744),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(6442),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(584),
    [sym_block_comment] = STATE(584),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_COLON] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_catch] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1116),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__outdent] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [585] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(15913),
    [sym__simple_expression] = STATE(4701),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16951),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8172),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(5816),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(585),
    [sym_block_comment] = STATE(585),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_COLON] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(910),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_then] = ACTIONS(912),
    [anon_sym_catch] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1152),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [586] = {
    [sym_inline_modifier] = STATE(2362),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13345),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(586),
    [sym_block_comment] = STATE(586),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [587] = {
    [sym_inline_modifier] = STATE(2376),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(12046),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(587),
    [sym_block_comment] = STATE(587),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [588] = {
    [sym_inline_modifier] = STATE(2387),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12851),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(588),
    [sym_block_comment] = STATE(588),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_then] = ACTIONS(1164),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [589] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(16285),
    [sym__simple_expression] = STATE(5076),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17206),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8519),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(4671),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(6746),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(589),
    [sym_block_comment] = STATE(589),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_COLON] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(910),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_then] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1252),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [590] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(15617),
    [sym__simple_expression] = STATE(5447),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16815),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9455),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(4884),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(6971),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(590),
    [sym_block_comment] = STATE(590),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_COLON] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_catch] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1288),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__outdent] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [591] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(16321),
    [sym__simple_expression] = STATE(5214),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17248),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9502),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(6898),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(591),
    [sym_block_comment] = STATE(591),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_COLON] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1324),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__outdent] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [592] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9364),
    [sym_expression] = STATE(15684),
    [sym__simple_expression] = STATE(5756),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16839),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9818),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5477),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(7652),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(592),
    [sym_block_comment] = STATE(592),
    [ts_builtin_sym_end] = ACTIONS(910),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_COLON] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_catch] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1360),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [593] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(12046),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(593),
    [sym_block_comment] = STATE(593),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [594] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13106),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(594),
    [sym_block_comment] = STATE(594),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_then] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [595] = {
    [sym_inline_modifier] = STATE(2138),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13345),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(595),
    [sym_block_comment] = STATE(595),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [596] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(5016),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16664),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8794),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(4714),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(6214),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(596),
    [sym_block_comment] = STATE(596),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [597] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9683),
    [sym_expression] = STATE(16333),
    [sym__simple_expression] = STATE(6240),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17730),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10151),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(5861),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8323),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(597),
    [sym_block_comment] = STATE(597),
    [ts_builtin_sym_end] = ACTIONS(910),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_COLON] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_catch] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(1448),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [598] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(15540),
    [sym__simple_expression] = STATE(5397),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16714),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9473),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(4905),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(7440),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(598),
    [sym_block_comment] = STATE(598),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(910),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_then] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(1484),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [599] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9962),
    [sym_expression] = STATE(16186),
    [sym__simple_expression] = STATE(6101),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17164),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10051),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(5637),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8437),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(599),
    [sym_block_comment] = STATE(599),
    [ts_builtin_sym_end] = ACTIONS(910),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_COLON] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1520),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [600] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12433),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(600),
    [sym_block_comment] = STATE(600),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [601] = {
    [sym_inline_modifier] = STATE(2242),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12433),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(601),
    [sym_block_comment] = STATE(601),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [602] = {
    [sym_inline_modifier] = STATE(2404),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(12046),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(602),
    [sym_block_comment] = STATE(602),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_yield] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [603] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(16015),
    [sym__simple_expression] = STATE(5980),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16995),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9826),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5335),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(7877),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(603),
    [sym_block_comment] = STATE(603),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_COLON] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1604),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__outdent] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [604] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12440),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(604),
    [sym_block_comment] = STATE(604),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [605] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(16118),
    [sym__simple_expression] = STATE(5855),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17143),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9873),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5156),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8237),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(605),
    [sym_block_comment] = STATE(605),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_COLON] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1658),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__outdent] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [606] = {
    [sym_inline_modifier] = STATE(2147),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13506),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(606),
    [sym_block_comment] = STATE(606),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [607] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(15316),
    [sym__simple_expression] = STATE(5112),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17899),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9248),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(4978),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(6804),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(607),
    [sym_block_comment] = STATE(607),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_COLON] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(910),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_then] = ACTIONS(912),
    [anon_sym_catch] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1714),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [608] = {
    [sym_inline_modifier] = STATE(2328),
    [sym_block] = STATE(9364),
    [sym_expression] = STATE(13908),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(608),
    [sym_block_comment] = STATE(608),
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [609] = {
    [sym_inline_modifier] = STATE(2316),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13700),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(609),
    [sym_block_comment] = STATE(609),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [610] = {
    [sym_inline_modifier] = STATE(2218),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12440),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(610),
    [sym_block_comment] = STATE(610),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [611] = {
    [sym_inline_modifier] = STATE(2348),
    [sym_block] = STATE(9962),
    [sym_expression] = STATE(14235),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(611),
    [sym_block_comment] = STATE(611),
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [612] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13551),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(612),
    [sym_block_comment] = STATE(612),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_then] = ACTIONS(1164),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [613] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(5016),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16664),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8794),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(4714),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(6214),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(613),
    [sym_block_comment] = STATE(613),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [614] = {
    [sym_inline_modifier] = STATE(2410),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(13840),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(614),
    [sym_block_comment] = STATE(614),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [615] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10316),
    [sym_expression] = STATE(15736),
    [sym__simple_expression] = STATE(6839),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16863),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6702),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9371),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(615),
    [sym_block_comment] = STATE(615),
    [ts_builtin_sym_end] = ACTIONS(910),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_COLON] = ACTIONS(1842),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(1864),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [616] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(15974),
    [sym__simple_expression] = STATE(6049),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16973),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9884),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(5145),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(8032),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(616),
    [sym_block_comment] = STATE(616),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_COLON] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_COMMA] = ACTIONS(910),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_then] = ACTIONS(912),
    [anon_sym_finally] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(1900),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [617] = {
    [sym_inline_modifier] = STATE(2400),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12440),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(617),
    [sym_block_comment] = STATE(617),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_yield] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [618] = {
    [sym_inline_modifier] = STATE(2353),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13740),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(618),
    [sym_block_comment] = STATE(618),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [619] = {
    [sym_inline_modifier] = STATE(2280),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12807),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(619),
    [sym_block_comment] = STATE(619),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [620] = {
    [sym_inline_modifier] = STATE(2103),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12433),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(620),
    [sym_block_comment] = STATE(620),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_yield] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [621] = {
    [sym_inline_modifier] = STATE(2101),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13506),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(621),
    [sym_block_comment] = STATE(621),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [622] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(9683),
    [sym_expression] = STATE(14218),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(622),
    [sym_block_comment] = STATE(622),
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [623] = {
    [sym_inline_modifier] = STATE(2382),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(623),
    [sym_block_comment] = STATE(623),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [624] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10004),
    [sym_expression] = STATE(15284),
    [sym__simple_expression] = STATE(7129),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17349),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10534),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6511),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(9294),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(624),
    [sym_block_comment] = STATE(624),
    [ts_builtin_sym_end] = ACTIONS(910),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_COLON] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [625] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(15227),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17738),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10066),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(5554),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8893),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(625),
    [sym_block_comment] = STATE(625),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_COLON] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2070),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__outdent] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [626] = {
    [sym_inline_modifier] = STATE(2312),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13648),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(626),
    [sym_block_comment] = STATE(626),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_then] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [627] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(627),
    [sym_block_comment] = STATE(627),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [628] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12807),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(628),
    [sym_block_comment] = STATE(628),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [629] = {
    [sym_inline_modifier] = STATE(2338),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13700),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(629),
    [sym_block_comment] = STATE(629),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [630] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13710),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym__expr_case_clause] = STATE(13711),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(630),
    [sym_block_comment] = STATE(630),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(2136),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [631] = {
    [sym_inline_modifier] = STATE(2411),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12851),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(631),
    [sym_block_comment] = STATE(631),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [632] = {
    [sym_inline_modifier] = STATE(2284),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(13840),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(632),
    [sym_block_comment] = STATE(632),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [633] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14021),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym__expr_case_clause] = STATE(14012),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(633),
    [sym_block_comment] = STATE(633),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(2170),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [634] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14101),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym__expr_case_clause] = STATE(14061),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(634),
    [sym_block_comment] = STATE(634),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [635] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13288),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym__expr_case_clause] = STATE(13287),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(635),
    [sym_block_comment] = STATE(635),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(2214),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [636] = {
    [sym_inline_modifier] = STATE(2364),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14091),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(636),
    [sym_block_comment] = STATE(636),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [637] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15374),
    [sym__simple_expression] = STATE(6225),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10029),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(637),
    [sym_block_comment] = STATE(637),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_COLON] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(910),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_then] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [638] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14122),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym__expr_case_clause] = STATE(14111),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(638),
    [sym_block_comment] = STATE(638),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym_case] = ACTIONS(2224),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [639] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14122),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym__expr_case_clause] = STATE(14111),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(639),
    [sym_block_comment] = STATE(639),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym_case] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [640] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12405),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym__expr_case_clause] = STATE(12398),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(640),
    [sym_block_comment] = STATE(640),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [641] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12405),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym__expr_case_clause] = STATE(12398),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(641),
    [sym_block_comment] = STATE(641),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_case] = ACTIONS(2252),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [642] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13965),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym__expr_case_clause] = STATE(13964),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(642),
    [sym_block_comment] = STATE(642),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [643] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11819),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym__expr_case_clause] = STATE(11814),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(643),
    [sym_block_comment] = STATE(643),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [644] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13740),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(644),
    [sym_block_comment] = STATE(644),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [645] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14101),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym__expr_case_clause] = STATE(14061),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(645),
    [sym_block_comment] = STATE(645),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_case] = ACTIONS(2264),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [646] = {
    [sym_inline_modifier] = STATE(2370),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13077),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(646),
    [sym_block_comment] = STATE(646),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [647] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12952),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym__expr_case_clause] = STATE(12953),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(647),
    [sym_block_comment] = STATE(647),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(2284),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [648] = {
    [sym_inline_modifier] = STATE(2388),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12851),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(648),
    [sym_block_comment] = STATE(648),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [649] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11819),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym__expr_case_clause] = STATE(11814),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(649),
    [sym_block_comment] = STATE(649),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_case] = ACTIONS(2304),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [650] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12122),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym__expr_case_clause] = STATE(12128),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(650),
    [sym_block_comment] = STATE(650),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [651] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13855),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym__expr_case_clause] = STATE(13857),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(651),
    [sym_block_comment] = STATE(651),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(2312),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [652] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12405),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym__expr_case_clause] = STATE(12398),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(652),
    [sym_block_comment] = STATE(652),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_case] = ACTIONS(2316),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [653] = {
    [sym_inline_modifier] = STATE(2282),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13948),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(653),
    [sym_block_comment] = STATE(653),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_then] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [654] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13288),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym__expr_case_clause] = STATE(13287),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(654),
    [sym_block_comment] = STATE(654),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(2320),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [655] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13710),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym__expr_case_clause] = STATE(13711),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(655),
    [sym_block_comment] = STATE(655),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(2322),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [656] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12122),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym__expr_case_clause] = STATE(12128),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(656),
    [sym_block_comment] = STATE(656),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(2340),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [657] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11819),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym__expr_case_clause] = STATE(11814),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(657),
    [sym_block_comment] = STATE(657),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [658] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12122),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym__expr_case_clause] = STATE(12128),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(658),
    [sym_block_comment] = STATE(658),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [659] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(15270),
    [sym__simple_expression] = STATE(7584),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16897),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10795),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7305),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(9592),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(659),
    [sym_block_comment] = STATE(659),
    [ts_builtin_sym_end] = ACTIONS(910),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_COLON] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2352),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [660] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13965),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym__expr_case_clause] = STATE(13964),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(660),
    [sym_block_comment] = STATE(660),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [661] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12405),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym__expr_case_clause] = STATE(12398),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(661),
    [sym_block_comment] = STATE(661),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(2358),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [662] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13513),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym__expr_case_clause] = STATE(13512),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(662),
    [sym_block_comment] = STATE(662),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [663] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(14021),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym__expr_case_clause] = STATE(14012),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(663),
    [sym_block_comment] = STATE(663),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(2366),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [664] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13288),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym__expr_case_clause] = STATE(13287),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(664),
    [sym_block_comment] = STATE(664),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [665] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12952),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym__expr_case_clause] = STATE(12953),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(665),
    [sym_block_comment] = STATE(665),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(2388),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [666] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14021),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym__expr_case_clause] = STATE(14012),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(666),
    [sym_block_comment] = STATE(666),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(2406),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [667] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(15227),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17738),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10066),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(5554),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8893),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(667),
    [sym_block_comment] = STATE(667),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_COLON] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2070),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(910),
    [sym__outdent] = ACTIONS(910),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [668] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12952),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym__expr_case_clause] = STATE(12953),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(668),
    [sym_block_comment] = STATE(668),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [669] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13513),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym__expr_case_clause] = STATE(13512),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(669),
    [sym_block_comment] = STATE(669),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [670] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13710),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym__expr_case_clause] = STATE(13711),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(670),
    [sym_block_comment] = STATE(670),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(2430),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [671] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12952),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym__expr_case_clause] = STATE(12953),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(671),
    [sym_block_comment] = STATE(671),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [672] = {
    [sym_inline_modifier] = STATE(2367),
    [sym_block] = STATE(10316),
    [sym_expression] = STATE(14382),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(672),
    [sym_block_comment] = STATE(672),
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [673] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13855),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym__expr_case_clause] = STATE(13857),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(673),
    [sym_block_comment] = STATE(673),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(2450),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [674] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(674),
    [sym_block_comment] = STATE(674),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_yield] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [675] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(10004),
    [sym_expression] = STATE(14351),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(675),
    [sym_block_comment] = STATE(675),
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [676] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12122),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym__expr_case_clause] = STATE(12128),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(676),
    [sym_block_comment] = STATE(676),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(2472),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [677] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11819),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym__expr_case_clause] = STATE(11814),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(677),
    [sym_block_comment] = STATE(677),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym_case] = ACTIONS(2476),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [678] = {
    [sym_inline_modifier] = STATE(2401),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13077),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(678),
    [sym_block_comment] = STATE(678),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [679] = {
    [sym_inline_modifier] = STATE(2321),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12807),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(679),
    [sym_block_comment] = STATE(679),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_yield] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [680] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14101),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym__expr_case_clause] = STATE(14061),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(680),
    [sym_block_comment] = STATE(680),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [681] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(990),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(681),
    [sym_block_comment] = STATE(681),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [682] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1697),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(682),
    [sym_block_comment] = STATE(682),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [683] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12392),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(683),
    [sym_block_comment] = STATE(683),
    [sym__alpha_identifier] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2538),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(2541),
    [anon_sym_infix] = ACTIONS(2538),
    [anon_sym_open] = ACTIONS(2538),
    [anon_sym_transparent] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(2544),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(2547),
    [sym_operator_identifier] = ACTIONS(2550),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(2553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [684] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1563),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(684),
    [sym_block_comment] = STATE(684),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [685] = {
    [sym_inline_modifier] = STATE(2200),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14509),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(685),
    [sym_block_comment] = STATE(685),
    [sym__alpha_identifier] = ACTIONS(2556),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2559),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2562),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2567),
    [anon_sym_infix] = ACTIONS(2562),
    [anon_sym_open] = ACTIONS(2562),
    [anon_sym_transparent] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2570),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(2573),
    [sym_operator_identifier] = ACTIONS(2576),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [686] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1445),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(686),
    [sym_block_comment] = STATE(686),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [687] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1498),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(687),
    [sym_block_comment] = STATE(687),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [688] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13626),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(688),
    [sym_block_comment] = STATE(688),
    [sym__alpha_identifier] = ACTIONS(2582),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2588),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(2591),
    [anon_sym_infix] = ACTIONS(2588),
    [anon_sym_open] = ACTIONS(2588),
    [anon_sym_transparent] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2594),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(2597),
    [sym_operator_identifier] = ACTIONS(2600),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [689] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1489),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(689),
    [sym_block_comment] = STATE(689),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [690] = {
    [sym_inline_modifier] = STATE(2400),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12392),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(690),
    [sym_block_comment] = STATE(690),
    [sym__alpha_identifier] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2538),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(2541),
    [anon_sym_infix] = ACTIONS(2538),
    [anon_sym_open] = ACTIONS(2538),
    [anon_sym_transparent] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(2544),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(2547),
    [sym_operator_identifier] = ACTIONS(2606),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(2553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [691] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1449),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(691),
    [sym_block_comment] = STATE(691),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [692] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1438),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(692),
    [sym_block_comment] = STATE(692),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [693] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1378),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(693),
    [sym_block_comment] = STATE(693),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [694] = {
    [sym_inline_modifier] = STATE(2325),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14091),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(694),
    [sym_block_comment] = STATE(694),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [695] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(695),
    [sym_block_comment] = STATE(695),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [696] = {
    [sym_inline_modifier] = STATE(2325),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14110),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(696),
    [sym_block_comment] = STATE(696),
    [sym__alpha_identifier] = ACTIONS(2611),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2617),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym_infix] = ACTIONS(2617),
    [anon_sym_open] = ACTIONS(2617),
    [anon_sym_transparent] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(2626),
    [sym_operator_identifier] = ACTIONS(2629),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [697] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1314),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(697),
    [sym_block_comment] = STATE(697),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [698] = {
    [sym_inline_modifier] = STATE(2401),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13008),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(698),
    [sym_block_comment] = STATE(698),
    [sym__alpha_identifier] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2641),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym_infix] = ACTIONS(2641),
    [anon_sym_open] = ACTIONS(2641),
    [anon_sym_transparent] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2652),
    [sym_operator_identifier] = ACTIONS(2655),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [699] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1305),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(699),
    [sym_block_comment] = STATE(699),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [700] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1249),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(700),
    [sym_block_comment] = STATE(700),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [701] = {
    [sym_inline_modifier] = STATE(2147),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13511),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(701),
    [sym_block_comment] = STATE(701),
    [sym__alpha_identifier] = ACTIONS(2658),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2664),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(2667),
    [anon_sym_infix] = ACTIONS(2664),
    [anon_sym_open] = ACTIONS(2664),
    [anon_sym_transparent] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2670),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(2673),
    [sym_operator_identifier] = ACTIONS(2676),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(2679),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [702] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1236),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(702),
    [sym_block_comment] = STATE(702),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [703] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1198),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(703),
    [sym_block_comment] = STATE(703),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [704] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(10004),
    [sym_expression] = STATE(14314),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(704),
    [sym_block_comment] = STATE(704),
    [sym__alpha_identifier] = ACTIONS(2682),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2688),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2691),
    [anon_sym_infix] = ACTIONS(2688),
    [anon_sym_open] = ACTIONS(2688),
    [anon_sym_transparent] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2694),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2697),
    [sym_operator_identifier] = ACTIONS(2700),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [705] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1187),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(705),
    [sym_block_comment] = STATE(705),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [706] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12750),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(706),
    [sym_block_comment] = STATE(706),
    [sym__alpha_identifier] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2712),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym_infix] = ACTIONS(2712),
    [anon_sym_open] = ACTIONS(2712),
    [anon_sym_transparent] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(2721),
    [sym_operator_identifier] = ACTIONS(2724),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [707] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12346),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(707),
    [sym_block_comment] = STATE(707),
    [sym__alpha_identifier] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2736),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym_infix] = ACTIONS(2736),
    [anon_sym_open] = ACTIONS(2736),
    [anon_sym_transparent] = ACTIONS(2736),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(2745),
    [sym_operator_identifier] = ACTIONS(2748),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [708] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1149),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(708),
    [sym_block_comment] = STATE(708),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [709] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1143),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(709),
    [sym_block_comment] = STATE(709),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [710] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1096),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(710),
    [sym_block_comment] = STATE(710),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [711] = {
    [sym_inline_modifier] = STATE(2321),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12804),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(711),
    [sym_block_comment] = STATE(711),
    [sym__alpha_identifier] = ACTIONS(2754),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2760),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym_infix] = ACTIONS(2760),
    [anon_sym_open] = ACTIONS(2760),
    [anon_sym_transparent] = ACTIONS(2760),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(2771),
    [sym_operator_identifier] = ACTIONS(2774),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [712] = {
    [sym_inline_modifier] = STATE(2382),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12750),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(712),
    [sym_block_comment] = STATE(712),
    [sym__alpha_identifier] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2712),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym_infix] = ACTIONS(2712),
    [anon_sym_open] = ACTIONS(2712),
    [anon_sym_transparent] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(2721),
    [sym_operator_identifier] = ACTIONS(2777),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [713] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13626),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(713),
    [sym_block_comment] = STATE(713),
    [sym__alpha_identifier] = ACTIONS(2582),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2588),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(2591),
    [anon_sym_infix] = ACTIONS(2588),
    [anon_sym_open] = ACTIONS(2588),
    [anon_sym_transparent] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2594),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(2597),
    [sym_operator_identifier] = ACTIONS(2780),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [714] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1089),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(714),
    [sym_block_comment] = STATE(714),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [715] = {
    [sym_inline_modifier] = STATE(2402),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14110),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(715),
    [sym_block_comment] = STATE(715),
    [sym__alpha_identifier] = ACTIONS(2611),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2617),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym_infix] = ACTIONS(2617),
    [anon_sym_open] = ACTIONS(2617),
    [anon_sym_transparent] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(2626),
    [sym_operator_identifier] = ACTIONS(2793),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [716] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(997),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(716),
    [sym_block_comment] = STATE(716),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [717] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1032),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(717),
    [sym_block_comment] = STATE(717),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [718] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1021),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(718),
    [sym_block_comment] = STATE(718),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [719] = {
    [sym_inline_modifier] = STATE(2218),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12392),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(719),
    [sym_block_comment] = STATE(719),
    [sym__alpha_identifier] = ACTIONS(2528),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2533),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2538),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(2541),
    [anon_sym_infix] = ACTIONS(2538),
    [anon_sym_open] = ACTIONS(2538),
    [anon_sym_transparent] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(2544),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(2547),
    [sym_operator_identifier] = ACTIONS(2800),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(2553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [720] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(875),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(720),
    [sym_block_comment] = STATE(720),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [721] = {
    [sym_inline_modifier] = STATE(2402),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14091),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(721),
    [sym_block_comment] = STATE(721),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__outdent] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [722] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(999),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(722),
    [sym_block_comment] = STATE(722),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [723] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1568),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(723),
    [sym_block_comment] = STATE(723),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [724] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(992),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(724),
    [sym_block_comment] = STATE(724),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [725] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1601),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(725),
    [sym_block_comment] = STATE(725),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [726] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13141),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(726),
    [sym_block_comment] = STATE(726),
    [sym__alpha_identifier] = ACTIONS(2805),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(2811),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2811),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym_infix] = ACTIONS(2811),
    [anon_sym_open] = ACTIONS(2811),
    [anon_sym_transparent] = ACTIONS(2811),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(2820),
    [sym_operator_identifier] = ACTIONS(2823),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [727] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13626),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(727),
    [sym_block_comment] = STATE(727),
    [sym__alpha_identifier] = ACTIONS(2582),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2588),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(2591),
    [anon_sym_infix] = ACTIONS(2588),
    [anon_sym_open] = ACTIONS(2588),
    [anon_sym_transparent] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2594),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(2597),
    [sym_operator_identifier] = ACTIONS(2829),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [728] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(963),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(728),
    [sym_block_comment] = STATE(728),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [729] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(998),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(729),
    [sym_block_comment] = STATE(729),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [730] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(945),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(730),
    [sym_block_comment] = STATE(730),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [731] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(914),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(731),
    [sym_block_comment] = STATE(731),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [732] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(906),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(732),
    [sym_block_comment] = STATE(732),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [733] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(879),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(733),
    [sym_block_comment] = STATE(733),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [734] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1606),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(734),
    [sym_block_comment] = STATE(734),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [735] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(859),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(735),
    [sym_block_comment] = STATE(735),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [736] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1238),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(736),
    [sym_block_comment] = STATE(736),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [737] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14044),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(737),
    [sym_block_comment] = STATE(737),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_then] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [738] = {
    [sym_inline_modifier] = STATE(2388),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12863),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(738),
    [sym_block_comment] = STATE(738),
    [sym__alpha_identifier] = ACTIONS(2832),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2838),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym_infix] = ACTIONS(2838),
    [anon_sym_open] = ACTIONS(2838),
    [anon_sym_transparent] = ACTIONS(2838),
    [anon_sym_LPAREN] = ACTIONS(2844),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(2847),
    [sym_operator_identifier] = ACTIONS(2850),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [739] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(901),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(739),
    [sym_block_comment] = STATE(739),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [740] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1008),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(740),
    [sym_block_comment] = STATE(740),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [741] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14060),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(741),
    [sym_block_comment] = STATE(741),
    [sym__alpha_identifier] = ACTIONS(2856),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2862),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym_infix] = ACTIONS(2862),
    [anon_sym_open] = ACTIONS(2862),
    [anon_sym_transparent] = ACTIONS(2862),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(2871),
    [sym_operator_identifier] = ACTIONS(2874),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [742] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14060),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(742),
    [sym_block_comment] = STATE(742),
    [sym__alpha_identifier] = ACTIONS(2856),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2862),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym_infix] = ACTIONS(2862),
    [anon_sym_open] = ACTIONS(2862),
    [anon_sym_transparent] = ACTIONS(2862),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(2871),
    [sym_operator_identifier] = ACTIONS(2890),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [743] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13141),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(743),
    [sym_block_comment] = STATE(743),
    [sym__alpha_identifier] = ACTIONS(2805),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(2811),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2811),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym_infix] = ACTIONS(2811),
    [anon_sym_open] = ACTIONS(2811),
    [anon_sym_transparent] = ACTIONS(2811),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(2820),
    [sym_operator_identifier] = ACTIONS(2897),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [744] = {
    [sym_inline_modifier] = STATE(2103),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12346),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(744),
    [sym_block_comment] = STATE(744),
    [sym__alpha_identifier] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2736),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym_infix] = ACTIONS(2736),
    [anon_sym_open] = ACTIONS(2736),
    [anon_sym_transparent] = ACTIONS(2736),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(2745),
    [sym_operator_identifier] = ACTIONS(2900),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [745] = {
    [sym_inline_modifier] = STATE(2370),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13008),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(745),
    [sym_block_comment] = STATE(745),
    [sym__alpha_identifier] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2641),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym_infix] = ACTIONS(2641),
    [anon_sym_open] = ACTIONS(2641),
    [anon_sym_transparent] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2652),
    [sym_operator_identifier] = ACTIONS(2906),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [746] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1167),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(746),
    [sym_block_comment] = STATE(746),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [747] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13940),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(747),
    [sym_block_comment] = STATE(747),
    [sym__alpha_identifier] = ACTIONS(2909),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2915),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2918),
    [anon_sym_infix] = ACTIONS(2915),
    [anon_sym_open] = ACTIONS(2915),
    [anon_sym_transparent] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(2924),
    [sym_operator_identifier] = ACTIONS(2927),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2930),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [748] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1633),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(748),
    [sym_block_comment] = STATE(748),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [749] = {
    [sym_inline_modifier] = STATE(2387),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12863),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(749),
    [sym_block_comment] = STATE(749),
    [sym__alpha_identifier] = ACTIONS(2832),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2838),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym_infix] = ACTIONS(2838),
    [anon_sym_open] = ACTIONS(2838),
    [anon_sym_transparent] = ACTIONS(2838),
    [anon_sym_LPAREN] = ACTIONS(2844),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(2847),
    [sym_operator_identifier] = ACTIONS(2933),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [750] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1424),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(750),
    [sym_block_comment] = STATE(750),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [751] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1173),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(751),
    [sym_block_comment] = STATE(751),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [752] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1624),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(752),
    [sym_block_comment] = STATE(752),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [753] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(976),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(753),
    [sym_block_comment] = STATE(753),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [754] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1454),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(754),
    [sym_block_comment] = STATE(754),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [755] = {
    [sym_inline_modifier] = STATE(2338),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13676),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(755),
    [sym_block_comment] = STATE(755),
    [sym__alpha_identifier] = ACTIONS(2936),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(2942),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2942),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym_infix] = ACTIONS(2942),
    [anon_sym_open] = ACTIONS(2942),
    [anon_sym_transparent] = ACTIONS(2942),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(2951),
    [sym_operator_identifier] = ACTIONS(2954),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [756] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1448),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(756),
    [sym_block_comment] = STATE(756),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [757] = {
    [sym_inline_modifier] = STATE(2229),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13008),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(757),
    [sym_block_comment] = STATE(757),
    [sym__alpha_identifier] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2641),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym_infix] = ACTIONS(2641),
    [anon_sym_open] = ACTIONS(2641),
    [anon_sym_transparent] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2652),
    [sym_operator_identifier] = ACTIONS(2962),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [758] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12804),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(758),
    [sym_block_comment] = STATE(758),
    [sym__alpha_identifier] = ACTIONS(2754),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2760),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym_infix] = ACTIONS(2760),
    [anon_sym_open] = ACTIONS(2760),
    [anon_sym_transparent] = ACTIONS(2760),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(2771),
    [sym_operator_identifier] = ACTIONS(2965),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [759] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1676),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(759),
    [sym_block_comment] = STATE(759),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [760] = {
    [sym_inline_modifier] = STATE(2284),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(13824),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(760),
    [sym_block_comment] = STATE(760),
    [sym__alpha_identifier] = ACTIONS(2968),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(2974),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2974),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(2979),
    [anon_sym_infix] = ACTIONS(2974),
    [anon_sym_open] = ACTIONS(2974),
    [anon_sym_transparent] = ACTIONS(2974),
    [anon_sym_LPAREN] = ACTIONS(2982),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(2985),
    [sym_operator_identifier] = ACTIONS(2988),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [761] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1409),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(761),
    [sym_block_comment] = STATE(761),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [762] = {
    [sym_inline_modifier] = STATE(2282),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13940),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(762),
    [sym_block_comment] = STATE(762),
    [sym__alpha_identifier] = ACTIONS(2909),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2915),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(2918),
    [anon_sym_infix] = ACTIONS(2915),
    [anon_sym_open] = ACTIONS(2915),
    [anon_sym_transparent] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(2924),
    [sym_operator_identifier] = ACTIONS(2994),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2930),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [763] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1645),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(763),
    [sym_block_comment] = STATE(763),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [764] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1099),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(764),
    [sym_block_comment] = STATE(764),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [765] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1612),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(765),
    [sym_block_comment] = STATE(765),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [766] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(965),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(766),
    [sym_block_comment] = STATE(766),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [767] = {
    [sym_inline_modifier] = STATE(2229),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13077),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(767),
    [sym_block_comment] = STATE(767),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [768] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11998),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(768),
    [sym_block_comment] = STATE(768),
    [sym__alpha_identifier] = ACTIONS(2997),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3003),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym_infix] = ACTIONS(3003),
    [anon_sym_open] = ACTIONS(3003),
    [anon_sym_transparent] = ACTIONS(3003),
    [anon_sym_LPAREN] = ACTIONS(3009),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(3012),
    [sym_operator_identifier] = ACTIONS(3015),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [769] = {
    [sym_inline_modifier] = STATE(2312),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13673),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(769),
    [sym_block_comment] = STATE(769),
    [sym__alpha_identifier] = ACTIONS(3021),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3027),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(3030),
    [anon_sym_infix] = ACTIONS(3027),
    [anon_sym_open] = ACTIONS(3027),
    [anon_sym_transparent] = ACTIONS(3027),
    [anon_sym_LPAREN] = ACTIONS(3033),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(3036),
    [sym_operator_identifier] = ACTIONS(3039),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [770] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(9683),
    [sym_expression] = STATE(14190),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(770),
    [sym_block_comment] = STATE(770),
    [sym__alpha_identifier] = ACTIONS(3045),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3048),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3051),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(3054),
    [anon_sym_infix] = ACTIONS(3051),
    [anon_sym_open] = ACTIONS(3051),
    [anon_sym_transparent] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(3057),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(3060),
    [sym_operator_identifier] = ACTIONS(3063),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [771] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1014),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(771),
    [sym_block_comment] = STATE(771),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [772] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13106),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(772),
    [sym_block_comment] = STATE(772),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [773] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1078),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(773),
    [sym_block_comment] = STATE(773),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [774] = {
    [sym_inline_modifier] = STATE(2376),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11998),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(774),
    [sym_block_comment] = STATE(774),
    [sym__alpha_identifier] = ACTIONS(2997),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3003),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym_infix] = ACTIONS(3003),
    [anon_sym_open] = ACTIONS(3003),
    [anon_sym_transparent] = ACTIONS(3003),
    [anon_sym_LPAREN] = ACTIONS(3009),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(3012),
    [sym_operator_identifier] = ACTIONS(3066),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [775] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13764),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(775),
    [sym_block_comment] = STATE(775),
    [sym__alpha_identifier] = ACTIONS(3069),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(3075),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3075),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3075),
    [anon_sym_open] = ACTIONS(3075),
    [anon_sym_transparent] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(3081),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(3084),
    [sym_operator_identifier] = ACTIONS(3087),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [776] = {
    [sym_inline_modifier] = STATE(2187),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13141),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(776),
    [sym_block_comment] = STATE(776),
    [sym__alpha_identifier] = ACTIONS(2805),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(2811),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2811),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym_infix] = ACTIONS(2811),
    [anon_sym_open] = ACTIONS(2811),
    [anon_sym_transparent] = ACTIONS(2811),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(2820),
    [sym_operator_identifier] = ACTIONS(3093),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [777] = {
    [sym_inline_modifier] = STATE(2187),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13106),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(777),
    [sym_block_comment] = STATE(777),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [778] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1215),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(778),
    [sym_block_comment] = STATE(778),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [779] = {
    [sym_inline_modifier] = STATE(2101),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13511),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(779),
    [sym_block_comment] = STATE(779),
    [sym__alpha_identifier] = ACTIONS(2658),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2664),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(2667),
    [anon_sym_infix] = ACTIONS(2664),
    [anon_sym_open] = ACTIONS(2664),
    [anon_sym_transparent] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2670),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(2673),
    [sym_operator_identifier] = ACTIONS(3096),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(2679),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [780] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1671),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(780),
    [sym_block_comment] = STATE(780),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [781] = {
    [sym_inline_modifier] = STATE(2411),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12863),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(781),
    [sym_block_comment] = STATE(781),
    [sym__alpha_identifier] = ACTIONS(2832),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2838),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym_infix] = ACTIONS(2838),
    [anon_sym_open] = ACTIONS(2838),
    [anon_sym_transparent] = ACTIONS(2838),
    [anon_sym_LPAREN] = ACTIONS(2844),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(2847),
    [sym_operator_identifier] = ACTIONS(3099),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [782] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(935),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(782),
    [sym_block_comment] = STATE(782),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [783] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1163),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(783),
    [sym_block_comment] = STATE(783),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [784] = {
    [sym_inline_modifier] = STATE(2374),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13940),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(784),
    [sym_block_comment] = STATE(784),
    [sym__alpha_identifier] = ACTIONS(2909),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2915),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2918),
    [anon_sym_infix] = ACTIONS(2915),
    [anon_sym_open] = ACTIONS(2915),
    [anon_sym_transparent] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(2924),
    [sym_operator_identifier] = ACTIONS(3102),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2930),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [785] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1252),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(785),
    [sym_block_comment] = STATE(785),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [786] = {
    [sym_inline_modifier] = STATE(2280),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12804),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(786),
    [sym_block_comment] = STATE(786),
    [sym__alpha_identifier] = ACTIONS(2754),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2760),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(2765),
    [anon_sym_infix] = ACTIONS(2760),
    [anon_sym_open] = ACTIONS(2760),
    [anon_sym_transparent] = ACTIONS(2760),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(2771),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(2703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [787] = {
    [sym_inline_modifier] = STATE(2364),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14110),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(787),
    [sym_block_comment] = STATE(787),
    [sym__alpha_identifier] = ACTIONS(2611),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2617),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(2617),
    [anon_sym_open] = ACTIONS(2617),
    [anon_sym_transparent] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(2626),
    [sym_operator_identifier] = ACTIONS(3113),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [788] = {
    [sym_inline_modifier] = STATE(2348),
    [sym_block] = STATE(9962),
    [sym_expression] = STATE(14222),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(788),
    [sym_block_comment] = STATE(788),
    [sym__alpha_identifier] = ACTIONS(3116),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3122),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(3125),
    [anon_sym_infix] = ACTIONS(3122),
    [anon_sym_open] = ACTIONS(3122),
    [anon_sym_transparent] = ACTIONS(3122),
    [anon_sym_LPAREN] = ACTIONS(3128),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(3131),
    [sym_operator_identifier] = ACTIONS(3134),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [789] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1529),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(789),
    [sym_block_comment] = STATE(789),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [790] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1379),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(790),
    [sym_block_comment] = STATE(790),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [791] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(931),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(791),
    [sym_block_comment] = STATE(791),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [792] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1250),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(792),
    [sym_block_comment] = STATE(792),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [793] = {
    [sym_inline_modifier] = STATE(2316),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13676),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(793),
    [sym_block_comment] = STATE(793),
    [sym__alpha_identifier] = ACTIONS(2936),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(2942),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2942),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym_infix] = ACTIONS(2942),
    [anon_sym_open] = ACTIONS(2942),
    [anon_sym_transparent] = ACTIONS(2942),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(2951),
    [sym_operator_identifier] = ACTIONS(3137),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [794] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1437),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(794),
    [sym_block_comment] = STATE(794),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [795] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(861),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(795),
    [sym_block_comment] = STATE(795),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [796] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1261),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(796),
    [sym_block_comment] = STATE(796),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [797] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1616),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(797),
    [sym_block_comment] = STATE(797),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [798] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1655),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(798),
    [sym_block_comment] = STATE(798),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [799] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(911),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(799),
    [sym_block_comment] = STATE(799),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [800] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1258),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(800),
    [sym_block_comment] = STATE(800),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [801] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(982),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(801),
    [sym_block_comment] = STATE(801),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [802] = {
    [sym_inline_modifier] = STATE(2200),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14567),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(802),
    [sym_block_comment] = STATE(802),
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [803] = {
    [sym_inline_modifier] = STATE(2328),
    [sym_block] = STATE(9364),
    [sym_expression] = STATE(13923),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(803),
    [sym_block_comment] = STATE(803),
    [sym__alpha_identifier] = ACTIONS(3140),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3146),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(3149),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_transparent] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(3155),
    [sym_operator_identifier] = ACTIONS(3158),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [804] = {
    [sym_inline_modifier] = STATE(2138),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13397),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(804),
    [sym_block_comment] = STATE(804),
    [sym__alpha_identifier] = ACTIONS(3161),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(3167),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3167),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3167),
    [anon_sym_open] = ACTIONS(3167),
    [anon_sym_transparent] = ACTIONS(3167),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(3176),
    [sym_operator_identifier] = ACTIONS(3179),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [805] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1511),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(805),
    [sym_block_comment] = STATE(805),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [806] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(898),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(806),
    [sym_block_comment] = STATE(806),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [807] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1700),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(807),
    [sym_block_comment] = STATE(807),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [808] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1450),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(808),
    [sym_block_comment] = STATE(808),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [809] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1569),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(809),
    [sym_block_comment] = STATE(809),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [810] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1538),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(810),
    [sym_block_comment] = STATE(810),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [811] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1469),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(811),
    [sym_block_comment] = STATE(811),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [812] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1491),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(812),
    [sym_block_comment] = STATE(812),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [813] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(882),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(813),
    [sym_block_comment] = STATE(813),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [814] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1474),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(814),
    [sym_block_comment] = STATE(814),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [815] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1630),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(815),
    [sym_block_comment] = STATE(815),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [816] = {
    [sym_inline_modifier] = STATE(2404),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11998),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(816),
    [sym_block_comment] = STATE(816),
    [sym__alpha_identifier] = ACTIONS(2997),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3003),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym_infix] = ACTIONS(3003),
    [anon_sym_open] = ACTIONS(3003),
    [anon_sym_transparent] = ACTIONS(3003),
    [anon_sym_LPAREN] = ACTIONS(3009),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(3012),
    [sym_operator_identifier] = ACTIONS(3185),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [817] = {
    [sym_inline_modifier] = STATE(2336),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13673),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(817),
    [sym_block_comment] = STATE(817),
    [sym__alpha_identifier] = ACTIONS(3021),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3027),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3030),
    [anon_sym_infix] = ACTIONS(3027),
    [anon_sym_open] = ACTIONS(3027),
    [anon_sym_transparent] = ACTIONS(3027),
    [anon_sym_LPAREN] = ACTIONS(3033),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(3036),
    [sym_operator_identifier] = ACTIONS(3198),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [818] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1465),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(818),
    [sym_block_comment] = STATE(818),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [819] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(878),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(819),
    [sym_block_comment] = STATE(819),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [820] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1659),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(820),
    [sym_block_comment] = STATE(820),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [821] = {
    [sym_inline_modifier] = STATE(2242),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12346),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(821),
    [sym_block_comment] = STATE(821),
    [sym__alpha_identifier] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2736),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym_infix] = ACTIONS(2736),
    [anon_sym_open] = ACTIONS(2736),
    [anon_sym_transparent] = ACTIONS(2736),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(2745),
    [sym_operator_identifier] = ACTIONS(3205),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [822] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1628),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(822),
    [sym_block_comment] = STATE(822),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [823] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1333),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(823),
    [sym_block_comment] = STATE(823),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [824] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1319),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(824),
    [sym_block_comment] = STATE(824),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [825] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(860),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(825),
    [sym_block_comment] = STATE(825),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [826] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1075),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(826),
    [sym_block_comment] = STATE(826),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [827] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1064),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(827),
    [sym_block_comment] = STATE(827),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [828] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1675),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(828),
    [sym_block_comment] = STATE(828),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [829] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(912),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(829),
    [sym_block_comment] = STATE(829),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [830] = {
    [sym_inline_modifier] = STATE(2410),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(13824),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(830),
    [sym_block_comment] = STATE(830),
    [sym__alpha_identifier] = ACTIONS(2968),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(2974),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2974),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(2979),
    [anon_sym_infix] = ACTIONS(2974),
    [anon_sym_open] = ACTIONS(2974),
    [anon_sym_transparent] = ACTIONS(2974),
    [anon_sym_LPAREN] = ACTIONS(2982),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(2985),
    [sym_operator_identifier] = ACTIONS(3208),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [831] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(883),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(831),
    [sym_block_comment] = STATE(831),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [832] = {
    [sym_inline_modifier] = STATE(2354),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13077),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(832),
    [sym_block_comment] = STATE(832),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_yield] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [833] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1247),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(833),
    [sym_block_comment] = STATE(833),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [834] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1128),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(834),
    [sym_block_comment] = STATE(834),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [835] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(886),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(835),
    [sym_block_comment] = STATE(835),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [836] = {
    [sym_inline_modifier] = STATE(2354),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13008),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(836),
    [sym_block_comment] = STATE(836),
    [sym__alpha_identifier] = ACTIONS(2635),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2641),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym_infix] = ACTIONS(2641),
    [anon_sym_open] = ACTIONS(2641),
    [anon_sym_transparent] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2652),
    [sym_operator_identifier] = ACTIONS(3227),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [837] = {
    [sym_inline_modifier] = STATE(2353),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13764),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(837),
    [sym_block_comment] = STATE(837),
    [sym__alpha_identifier] = ACTIONS(3069),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(3075),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3075),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3075),
    [anon_sym_open] = ACTIONS(3075),
    [anon_sym_transparent] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(3081),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(3084),
    [sym_operator_identifier] = ACTIONS(3230),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [838] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1214),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(838),
    [sym_block_comment] = STATE(838),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [839] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1693),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(839),
    [sym_block_comment] = STATE(839),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [840] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1585),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(840),
    [sym_block_comment] = STATE(840),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [841] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1464),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(841),
    [sym_block_comment] = STATE(841),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [842] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1329),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(842),
    [sym_block_comment] = STATE(842),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [843] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1497),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(843),
    [sym_block_comment] = STATE(843),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [844] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1076),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(844),
    [sym_block_comment] = STATE(844),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [845] = {
    [sym_inline_modifier] = STATE(2104),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14060),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(845),
    [sym_block_comment] = STATE(845),
    [sym__alpha_identifier] = ACTIONS(2856),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2862),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym_infix] = ACTIONS(2862),
    [anon_sym_open] = ACTIONS(2862),
    [anon_sym_transparent] = ACTIONS(2862),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(2871),
    [sym_operator_identifier] = ACTIONS(3243),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [846] = {
    [sym_inline_modifier] = STATE(2367),
    [sym_block] = STATE(10316),
    [sym_expression] = STATE(14368),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(846),
    [sym_block_comment] = STATE(846),
    [sym__alpha_identifier] = ACTIONS(3250),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3256),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(3259),
    [anon_sym_infix] = ACTIONS(3256),
    [anon_sym_open] = ACTIONS(3256),
    [anon_sym_transparent] = ACTIONS(3256),
    [anon_sym_LPAREN] = ACTIONS(3262),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(3265),
    [sym_operator_identifier] = ACTIONS(3268),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [847] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1564),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(847),
    [sym_block_comment] = STATE(847),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [848] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1204),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(848),
    [sym_block_comment] = STATE(848),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [849] = {
    [sym_inline_modifier] = STATE(2362),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13397),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(849),
    [sym_block_comment] = STATE(849),
    [sym__alpha_identifier] = ACTIONS(3161),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(3167),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3167),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3167),
    [anon_sym_open] = ACTIONS(3167),
    [anon_sym_transparent] = ACTIONS(3167),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(3176),
    [sym_operator_identifier] = ACTIONS(3271),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [850] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12750),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(850),
    [sym_block_comment] = STATE(850),
    [sym__alpha_identifier] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(2712),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym_infix] = ACTIONS(2712),
    [anon_sym_open] = ACTIONS(2712),
    [anon_sym_transparent] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(2721),
    [sym_operator_identifier] = ACTIONS(3274),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [851] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1374),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(851),
    [sym_block_comment] = STATE(851),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [852] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1086),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(852),
    [sym_block_comment] = STATE(852),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [853] = {
    [sym_inline_modifier] = STATE(2369),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13673),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(853),
    [sym_block_comment] = STATE(853),
    [sym__alpha_identifier] = ACTIONS(3021),
    [anon_sym_COLON] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_match] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(2531),
    [anon_sym_opaque] = ACTIONS(3027),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(3030),
    [anon_sym_infix] = ACTIONS(3027),
    [anon_sym_open] = ACTIONS(3027),
    [anon_sym_transparent] = ACTIONS(3027),
    [anon_sym_LPAREN] = ACTIONS(3033),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(3036),
    [sym_operator_identifier] = ACTIONS(3287),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [854] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1380),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(854),
    [sym_block_comment] = STATE(854),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [855] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1117),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(855),
    [sym_block_comment] = STATE(855),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [856] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(17975),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym__if_condition] = STATE(1265),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(4193),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(856),
    [sym_block_comment] = STATE(856),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [857] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(13121),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(857),
    [sym_block_comment] = STATE(857),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [858] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14634),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(858),
    [sym_block_comment] = STATE(858),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [859] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(14125),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(859),
    [sym_block_comment] = STATE(859),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [860] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(13731),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(860),
    [sym_block_comment] = STATE(860),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [861] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(14286),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(861),
    [sym_block_comment] = STATE(861),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [862] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12817),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(862),
    [sym_block_comment] = STATE(862),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [863] = {
    [sym_inline_modifier] = STATE(2369),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13648),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(863),
    [sym_block_comment] = STATE(863),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [864] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13415),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(864),
    [sym_block_comment] = STATE(864),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [865] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12683),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(865),
    [sym_block_comment] = STATE(865),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [866] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(13735),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(866),
    [sym_block_comment] = STATE(866),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [867] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12800),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(867),
    [sym_block_comment] = STATE(867),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [868] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12761),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(868),
    [sym_block_comment] = STATE(868),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [869] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12759),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(869),
    [sym_block_comment] = STATE(869),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [870] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(13233),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(870),
    [sym_block_comment] = STATE(870),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [871] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14603),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(871),
    [sym_block_comment] = STATE(871),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [872] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17916),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(706),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(872),
    [sym_block_comment] = STATE(872),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [873] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13414),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(873),
    [sym_block_comment] = STATE(873),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [874] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(13235),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(874),
    [sym_block_comment] = STATE(874),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [875] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(14470),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(875),
    [sym_block_comment] = STATE(875),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [876] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14404),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(876),
    [sym_block_comment] = STATE(876),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [877] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14397),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(877),
    [sym_block_comment] = STATE(877),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [878] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(13717),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(878),
    [sym_block_comment] = STATE(878),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [879] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(14118),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(879),
    [sym_block_comment] = STATE(879),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [880] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14859),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(880),
    [sym_block_comment] = STATE(880),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [881] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14396),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(881),
    [sym_block_comment] = STATE(881),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [882] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(13949),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(882),
    [sym_block_comment] = STATE(882),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [883] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(13408),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(883),
    [sym_block_comment] = STATE(883),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [884] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12758),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(884),
    [sym_block_comment] = STATE(884),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [885] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13213),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(885),
    [sym_block_comment] = STATE(885),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [886] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(13730),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(886),
    [sym_block_comment] = STATE(886),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [887] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16724),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(715),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(887),
    [sym_block_comment] = STATE(887),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [888] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12723),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(888),
    [sym_block_comment] = STATE(888),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [889] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12711),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(889),
    [sym_block_comment] = STATE(889),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [890] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12704),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(890),
    [sym_block_comment] = STATE(890),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [891] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12696),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(891),
    [sym_block_comment] = STATE(891),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [892] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14611),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(892),
    [sym_block_comment] = STATE(892),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [893] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17979),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(744),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(893),
    [sym_block_comment] = STATE(893),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [894] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12704),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(894),
    [sym_block_comment] = STATE(894),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [895] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14574),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(895),
    [sym_block_comment] = STATE(895),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [896] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12485),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(896),
    [sym_block_comment] = STATE(896),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [897] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14392),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(897),
    [sym_block_comment] = STATE(897),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [898] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(14154),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(898),
    [sym_block_comment] = STATE(898),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [899] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(13875),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(899),
    [sym_block_comment] = STATE(899),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [900] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14702),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(900),
    [sym_block_comment] = STATE(900),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [901] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(14288),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(901),
    [sym_block_comment] = STATE(901),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [902] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12711),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(902),
    [sym_block_comment] = STATE(902),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [903] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13411),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(903),
    [sym_block_comment] = STATE(903),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [904] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14703),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(904),
    [sym_block_comment] = STATE(904),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [905] = {
    [sym_inline_modifier] = STATE(2367),
    [sym__indentable_expression] = STATE(12683),
    [sym_block] = STATE(10316),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(14400),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(905),
    [sym_block_comment] = STATE(905),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [906] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14388),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(906),
    [sym_block_comment] = STATE(906),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [907] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12483),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(907),
    [sym_block_comment] = STATE(907),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [908] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(14306),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(908),
    [sym_block_comment] = STATE(908),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [909] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(13254),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(909),
    [sym_block_comment] = STATE(909),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [910] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17856),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(768),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(910),
    [sym_block_comment] = STATE(910),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [911] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(14150),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(911),
    [sym_block_comment] = STATE(911),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [912] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(13409),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(912),
    [sym_block_comment] = STATE(912),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [913] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(13207),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(913),
    [sym_block_comment] = STATE(913),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [914] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14383),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(914),
    [sym_block_comment] = STATE(914),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [915] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16841),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(849),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(915),
    [sym_block_comment] = STATE(915),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [916] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12465),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(916),
    [sym_block_comment] = STATE(916),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [917] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11806),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(917),
    [sym_block_comment] = STATE(917),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [918] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12455),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(918),
    [sym_block_comment] = STATE(918),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [919] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(14341),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(919),
    [sym_block_comment] = STATE(919),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [920] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(12729),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(920),
    [sym_block_comment] = STATE(920),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [921] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17234),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(747),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(921),
    [sym_block_comment] = STATE(921),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [922] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12723),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(922),
    [sym_block_comment] = STATE(922),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [923] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(18023),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(779),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(923),
    [sym_block_comment] = STATE(923),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [924] = {
    [sym_inline_modifier] = STATE(2354),
    [sym__indentable_expression] = STATE(13283),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(924),
    [sym_block_comment] = STATE(924),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [925] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(13823),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(925),
    [sym_block_comment] = STATE(925),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [926] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14705),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(926),
    [sym_block_comment] = STATE(926),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [927] = {
    [sym_inline_modifier] = STATE(2354),
    [sym__indentable_expression] = STATE(13254),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(927),
    [sym_block_comment] = STATE(927),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [928] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11760),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(928),
    [sym_block_comment] = STATE(928),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [929] = {
    [sym_inline_modifier] = STATE(2354),
    [sym__indentable_expression] = STATE(13235),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(929),
    [sym_block_comment] = STATE(929),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [930] = {
    [sym_inline_modifier] = STATE(2354),
    [sym__indentable_expression] = STATE(13233),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(930),
    [sym_block_comment] = STATE(930),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [931] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(13732),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(931),
    [sym_block_comment] = STATE(931),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [932] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12124),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(932),
    [sym_block_comment] = STATE(932),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [933] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13426),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(933),
    [sym_block_comment] = STATE(933),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [934] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11732),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(934),
    [sym_block_comment] = STATE(934),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [935] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(13733),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(935),
    [sym_block_comment] = STATE(935),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [936] = {
    [sym_inline_modifier] = STATE(2354),
    [sym__indentable_expression] = STATE(13108),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(936),
    [sym_block_comment] = STATE(936),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [937] = {
    [sym_inline_modifier] = STATE(2354),
    [sym__indentable_expression] = STATE(13028),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(937),
    [sym_block_comment] = STATE(937),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [938] = {
    [sym_inline_modifier] = STATE(2354),
    [sym__indentable_expression] = STATE(13047),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(938),
    [sym_block_comment] = STATE(938),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [939] = {
    [sym_inline_modifier] = STATE(2354),
    [sym__indentable_expression] = STATE(13054),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(939),
    [sym_block_comment] = STATE(939),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [940] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11726),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(940),
    [sym_block_comment] = STATE(940),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [941] = {
    [sym_inline_modifier] = STATE(2354),
    [sym__indentable_expression] = STATE(13058),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(941),
    [sym_block_comment] = STATE(941),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [942] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(13738),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(942),
    [sym_block_comment] = STATE(942),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [943] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12758),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(943),
    [sym_block_comment] = STATE(943),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [944] = {
    [sym_inline_modifier] = STATE(2354),
    [sym__indentable_expression] = STATE(13121),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(944),
    [sym_block_comment] = STATE(944),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [945] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(14525),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(945),
    [sym_block_comment] = STATE(945),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [946] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13305),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(946),
    [sym_block_comment] = STATE(946),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [947] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14359),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(947),
    [sym_block_comment] = STATE(947),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [948] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12431),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(948),
    [sym_block_comment] = STATE(948),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [949] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17393),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(786),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(949),
    [sym_block_comment] = STATE(949),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [950] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(13743),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(950),
    [sym_block_comment] = STATE(950),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [951] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(18067),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(821),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(951),
    [sym_block_comment] = STATE(951),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [952] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11723),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(952),
    [sym_block_comment] = STATE(952),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [953] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12254),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(953),
    [sym_block_comment] = STATE(953),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [954] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12212),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(954),
    [sym_block_comment] = STATE(954),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [955] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13433),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(955),
    [sym_block_comment] = STATE(955),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [956] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14353),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(956),
    [sym_block_comment] = STATE(956),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [957] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13029),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(957),
    [sym_block_comment] = STATE(957),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [958] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14228),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(958),
    [sym_block_comment] = STATE(958),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [959] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(13028),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(959),
    [sym_block_comment] = STATE(959),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [960] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(13789),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(960),
    [sym_block_comment] = STATE(960),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [961] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12201),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(961),
    [sym_block_comment] = STATE(961),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [962] = {
    [sym_inline_modifier] = STATE(2242),
    [sym__indentable_expression] = STATE(12194),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(962),
    [sym_block_comment] = STATE(962),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [963] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(14526),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(963),
    [sym_block_comment] = STATE(963),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [964] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11789),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(964),
    [sym_block_comment] = STATE(964),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [965] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(14130),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(965),
    [sym_block_comment] = STATE(965),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [966] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(13784),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(966),
    [sym_block_comment] = STATE(966),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [967] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16775),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(698),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(967),
    [sym_block_comment] = STATE(967),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [968] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13785),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(968),
    [sym_block_comment] = STATE(968),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [969] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(13780),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(969),
    [sym_block_comment] = STATE(969),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [970] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(13779),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(970),
    [sym_block_comment] = STATE(970),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [971] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17514),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(781),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(971),
    [sym_block_comment] = STATE(971),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [972] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11813),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(972),
    [sym_block_comment] = STATE(972),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [973] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11820),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(973),
    [sym_block_comment] = STATE(973),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [974] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17589),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(713),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(974),
    [sym_block_comment] = STATE(974),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [975] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11825),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(975),
    [sym_block_comment] = STATE(975),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [976] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(14425),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(976),
    [sym_block_comment] = STATE(976),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [977] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(13776),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(977),
    [sym_block_comment] = STATE(977),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [978] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14215),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(978),
    [sym_block_comment] = STATE(978),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [979] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14209),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(979),
    [sym_block_comment] = STATE(979),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [980] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(13743),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(980),
    [sym_block_comment] = STATE(980),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [981] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13448),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(981),
    [sym_block_comment] = STATE(981),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [982] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(14068),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(982),
    [sym_block_comment] = STATE(982),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [983] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(13738),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(983),
    [sym_block_comment] = STATE(983),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [984] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(13735),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(984),
    [sym_block_comment] = STATE(984),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [985] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14138),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(985),
    [sym_block_comment] = STATE(985),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [986] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(13823),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(986),
    [sym_block_comment] = STATE(986),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [987] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17787),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(775),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(987),
    [sym_block_comment] = STATE(987),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [988] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(18125),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(742),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(988),
    [sym_block_comment] = STATE(988),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [989] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14336),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(989),
    [sym_block_comment] = STATE(989),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [990] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(14394),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(990),
    [sym_block_comment] = STATE(990),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [991] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13728),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(991),
    [sym_block_comment] = STATE(991),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [992] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(14250),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(992),
    [sym_block_comment] = STATE(992),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [993] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(13776),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(993),
    [sym_block_comment] = STATE(993),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [994] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13404),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(994),
    [sym_block_comment] = STATE(994),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [995] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13404),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(995),
    [sym_block_comment] = STATE(995),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [996] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(13875),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(996),
    [sym_block_comment] = STATE(996),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [997] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(14415),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(997),
    [sym_block_comment] = STATE(997),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [998] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(14285),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(998),
    [sym_block_comment] = STATE(998),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [999] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(14256),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(999),
    [sym_block_comment] = STATE(999),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1000] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14230),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1000),
    [sym_block_comment] = STATE(1000),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1001] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14313),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1001),
    [sym_block_comment] = STATE(1001),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1002] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(11848),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1002),
    [sym_block_comment] = STATE(1002),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1003] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13428),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1003),
    [sym_block_comment] = STATE(1003),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1004] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17475),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(816),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1004),
    [sym_block_comment] = STATE(1004),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1005] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(13102),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1005),
    [sym_block_comment] = STATE(1005),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1006] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17913),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(830),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1006),
    [sym_block_comment] = STATE(1006),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1007] = {
    [sym_inline_modifier] = STATE(2336),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13648),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1007),
    [sym_block_comment] = STATE(1007),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1008] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(13429),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1008),
    [sym_block_comment] = STATE(1008),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1009] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13937),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1009),
    [sym_block_comment] = STATE(1009),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1010] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11806),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1010),
    [sym_block_comment] = STATE(1010),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1011] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11760),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1011),
    [sym_block_comment] = STATE(1011),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1012] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11732),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1012),
    [sym_block_comment] = STATE(1012),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1013] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13933),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1013),
    [sym_block_comment] = STATE(1013),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1014] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(14172),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1014),
    [sym_block_comment] = STATE(1014),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1015] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12759),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1015),
    [sym_block_comment] = STATE(1015),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1016] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11726),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1016),
    [sym_block_comment] = STATE(1016),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1017] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13018),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1017),
    [sym_block_comment] = STATE(1017),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1018] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(12828),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1018),
    [sym_block_comment] = STATE(1018),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1019] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11723),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1019),
    [sym_block_comment] = STATE(1019),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1020] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(13047),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1020),
    [sym_block_comment] = STATE(1020),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1021] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14239),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1021),
    [sym_block_comment] = STATE(1021),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1022] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13932),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1022),
    [sym_block_comment] = STATE(1022),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1023] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13010),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1023),
    [sym_block_comment] = STATE(1023),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1024] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13427),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1024),
    [sym_block_comment] = STATE(1024),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1025] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13931),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1025),
    [sym_block_comment] = STATE(1025),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1026] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(12826),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1026),
    [sym_block_comment] = STATE(1026),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1027] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(13283),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1027),
    [sym_block_comment] = STATE(1027),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1028] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14866),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1028),
    [sym_block_comment] = STATE(1028),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1029] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14182),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1029),
    [sym_block_comment] = STATE(1029),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1030] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(13779),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1030),
    [sym_block_comment] = STATE(1030),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1031] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14730),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1031),
    [sym_block_comment] = STATE(1031),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1032] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14298),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1032),
    [sym_block_comment] = STATE(1032),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1033] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11789),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1033),
    [sym_block_comment] = STATE(1033),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1034] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11813),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1034),
    [sym_block_comment] = STATE(1034),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1035] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11820),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1035),
    [sym_block_comment] = STATE(1035),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1036] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11825),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1036),
    [sym_block_comment] = STATE(1036),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1037] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(12820),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1037),
    [sym_block_comment] = STATE(1037),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1038] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(13054),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1038),
    [sym_block_comment] = STATE(1038),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1039] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12761),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1039),
    [sym_block_comment] = STATE(1039),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1040] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(12818),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1040),
    [sym_block_comment] = STATE(1040),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1041] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13417),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1041),
    [sym_block_comment] = STATE(1041),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1042] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(12813),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1042),
    [sym_block_comment] = STATE(1042),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1043] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(13780),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1043),
    [sym_block_comment] = STATE(1043),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1044] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(11848),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1044),
    [sym_block_comment] = STATE(1044),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1045] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12800),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1045),
    [sym_block_comment] = STATE(1045),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1046] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(12746),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1046),
    [sym_block_comment] = STATE(1046),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1047] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(13784),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1047),
    [sym_block_comment] = STATE(1047),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1048] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(12733),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1048),
    [sym_block_comment] = STATE(1048),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1049] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(14410),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1049),
    [sym_block_comment] = STATE(1049),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1050] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13929),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1050),
    [sym_block_comment] = STATE(1050),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1051] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13889),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1051),
    [sym_block_comment] = STATE(1051),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1052] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(13148),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1052),
    [sym_block_comment] = STATE(1052),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1053] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13880),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1053),
    [sym_block_comment] = STATE(1053),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1054] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14163),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1054),
    [sym_block_comment] = STATE(1054),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1055] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14162),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1055),
    [sym_block_comment] = STATE(1055),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1056] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(18432),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(787),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1056),
    [sym_block_comment] = STATE(1056),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1057] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13071),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1057),
    [sym_block_comment] = STATE(1057),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1058] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14156),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1058),
    [sym_block_comment] = STATE(1058),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1059] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13877),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1059),
    [sym_block_comment] = STATE(1059),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1060] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13876),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1060),
    [sym_block_comment] = STATE(1060),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1061] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(14337),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1061),
    [sym_block_comment] = STATE(1061),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1062] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(12706),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1062),
    [sym_block_comment] = STATE(1062),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1063] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(12684),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1063),
    [sym_block_comment] = STATE(1063),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1064] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(14108),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1064),
    [sym_block_comment] = STATE(1064),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1065] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14870),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1065),
    [sym_block_comment] = STATE(1065),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1066] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13874),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1066),
    [sym_block_comment] = STATE(1066),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1067] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(13789),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1067),
    [sym_block_comment] = STATE(1067),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1068] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14145),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1068),
    [sym_block_comment] = STATE(1068),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1069] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14871),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1069),
    [sym_block_comment] = STATE(1069),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1070] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13861),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1070),
    [sym_block_comment] = STATE(1070),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1071] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14873),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1071),
    [sym_block_comment] = STATE(1071),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1072] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13859),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1072),
    [sym_block_comment] = STATE(1072),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1073] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13854),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1073),
    [sym_block_comment] = STATE(1073),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1074] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12817),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1074),
    [sym_block_comment] = STATE(1074),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1075] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(14106),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1075),
    [sym_block_comment] = STATE(1075),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1076] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(13443),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1076),
    [sym_block_comment] = STATE(1076),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1077] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13853),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1077),
    [sym_block_comment] = STATE(1077),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1078] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(14782),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1078),
    [sym_block_comment] = STATE(1078),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1079] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13411),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1079),
    [sym_block_comment] = STATE(1079),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1080] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13356),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1080),
    [sym_block_comment] = STATE(1080),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1081] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14757),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1081),
    [sym_block_comment] = STATE(1081),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1082] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13918),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1082),
    [sym_block_comment] = STATE(1082),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1083] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13834),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1083),
    [sym_block_comment] = STATE(1083),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1084] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13414),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1084),
    [sym_block_comment] = STATE(1084),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1085] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17220),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(760),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1085),
    [sym_block_comment] = STATE(1085),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1086] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(13441),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1086),
    [sym_block_comment] = STATE(1086),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1087] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13415),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1087),
    [sym_block_comment] = STATE(1087),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1088] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14316),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1088),
    [sym_block_comment] = STATE(1088),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1089] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14282),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1089),
    [sym_block_comment] = STATE(1089),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1090] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13464),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1090),
    [sym_block_comment] = STATE(1090),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1091] = {
    [sym_inline_modifier] = STATE(2280),
    [sym__indentable_expression] = STATE(12670),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1091),
    [sym_block_comment] = STATE(1091),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1092] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13916),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1092),
    [sym_block_comment] = STATE(1092),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1093] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(13789),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1093),
    [sym_block_comment] = STATE(1093),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1094] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13911),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1094),
    [sym_block_comment] = STATE(1094),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1095] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(14346),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1095),
    [sym_block_comment] = STATE(1095),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1096] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14284),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1096),
    [sym_block_comment] = STATE(1096),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1097] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(13058),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1097),
    [sym_block_comment] = STATE(1097),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1098] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13910),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1098),
    [sym_block_comment] = STATE(1098),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1099] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13724),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1099),
    [sym_block_comment] = STATE(1099),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1100] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13460),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1100),
    [sym_block_comment] = STATE(1100),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1101] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(13784),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1101),
    [sym_block_comment] = STATE(1101),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1102] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(14356),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1102),
    [sym_block_comment] = STATE(1102),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1103] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(13780),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1103),
    [sym_block_comment] = STATE(1103),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1104] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(13779),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1104),
    [sym_block_comment] = STATE(1104),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1105] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(13901),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1105),
    [sym_block_comment] = STATE(1105),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1106] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14145),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1106),
    [sym_block_comment] = STATE(1106),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1107] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17965),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(685),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1107),
    [sym_block_comment] = STATE(1107),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1108] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(13776),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1108),
    [sym_block_comment] = STATE(1108),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1109] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13417),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1109),
    [sym_block_comment] = STATE(1109),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1110] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12930),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1110),
    [sym_block_comment] = STATE(1110),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1111] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13434),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1111),
    [sym_block_comment] = STATE(1111),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1112] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(13743),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1112),
    [sym_block_comment] = STATE(1112),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1113] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13162),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1113),
    [sym_block_comment] = STATE(1113),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1114] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(18032),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(762),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1114),
    [sym_block_comment] = STATE(1114),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1115] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14728),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1115),
    [sym_block_comment] = STATE(1115),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1116] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(13738),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1116),
    [sym_block_comment] = STATE(1116),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1117] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(14194),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1117),
    [sym_block_comment] = STATE(1117),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1118] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(13735),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1118),
    [sym_block_comment] = STATE(1118),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1119] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14156),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1119),
    [sym_block_comment] = STATE(1119),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1120] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12485),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1120),
    [sym_block_comment] = STATE(1120),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1121] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(13823),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1121),
    [sym_block_comment] = STATE(1121),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1122] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14029),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1122),
    [sym_block_comment] = STATE(1122),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1123] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(14300),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1123),
    [sym_block_comment] = STATE(1123),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1124] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14162),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1124),
    [sym_block_comment] = STATE(1124),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1125] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(18143),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(741),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1125),
    [sym_block_comment] = STATE(1125),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1126] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12483),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1126),
    [sym_block_comment] = STATE(1126),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1127] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(13875),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1127),
    [sym_block_comment] = STATE(1127),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1128] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(13720),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1128),
    [sym_block_comment] = STATE(1128),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1129] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14163),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1129),
    [sym_block_comment] = STATE(1129),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1130] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(13820),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1130),
    [sym_block_comment] = STATE(1130),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1131] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12465),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1131),
    [sym_block_comment] = STATE(1131),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1132] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13084),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1132),
    [sym_block_comment] = STATE(1132),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1133] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13080),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1133),
    [sym_block_comment] = STATE(1133),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1134] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13039),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1134),
    [sym_block_comment] = STATE(1134),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1135] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12828),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1135),
    [sym_block_comment] = STATE(1135),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1136] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12826),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1136),
    [sym_block_comment] = STATE(1136),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1137] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12455),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1137),
    [sym_block_comment] = STATE(1137),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1138] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13073),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1138),
    [sym_block_comment] = STATE(1138),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1139] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12820),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1139),
    [sym_block_comment] = STATE(1139),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1140] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13059),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1140),
    [sym_block_comment] = STATE(1140),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1141] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(14240),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1141),
    [sym_block_comment] = STATE(1141),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1142] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12818),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1142),
    [sym_block_comment] = STATE(1142),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1143] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(14062),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1143),
    [sym_block_comment] = STATE(1143),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1144] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13474),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1144),
    [sym_block_comment] = STATE(1144),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1145] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11848),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1145),
    [sym_block_comment] = STATE(1145),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1146] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14728),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1146),
    [sym_block_comment] = STATE(1146),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1147] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(14253),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1147),
    [sym_block_comment] = STATE(1147),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1148] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16732),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(738),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1148),
    [sym_block_comment] = STATE(1148),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1149] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(14104),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1149),
    [sym_block_comment] = STATE(1149),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1150] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14182),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1150),
    [sym_block_comment] = STATE(1150),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1151] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14230),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1151),
    [sym_block_comment] = STATE(1151),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1152] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14138),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1152),
    [sym_block_comment] = STATE(1152),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1153] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12813),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1153),
    [sym_block_comment] = STATE(1153),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1154] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14038),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1154),
    [sym_block_comment] = STATE(1154),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1155] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14209),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1155),
    [sym_block_comment] = STATE(1155),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1156] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(14274),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1156),
    [sym_block_comment] = STATE(1156),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1157] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(11135),
    [sym_expression] = STATE(15356),
    [sym__simple_expression] = STATE(8992),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(11135),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(11135),
    [sym_call_expression] = STATE(11135),
    [sym_field_expression] = STATE(11135),
    [sym_instance_expression] = STATE(11135),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16885),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11230),
    [sym_tuple_expression] = STATE(11135),
    [sym_parenthesized_expression] = STATE(11135),
    [sym_splice_expression] = STATE(11135),
    [sym_quote_expression] = STATE(11135),
    [sym_identifier] = STATE(9055),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10714),
    [sym__non_null_literal] = STATE(11135),
    [sym_boolean_literal] = STATE(11070),
    [sym_interpolated_string_expression] = STATE(11135),
    [sym_string] = STATE(11070),
    [sym_unit] = STATE(11135),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1157),
    [sym_block_comment] = STATE(1157),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_COLON] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_EQ_GT] = ACTIONS(912),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3318),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DOLLAR] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3324),
    [sym_integer_literal] = ACTIONS(3326),
    [sym_floating_point_literal] = ACTIONS(3328),
    [anon_sym_true] = ACTIONS(3330),
    [anon_sym_false] = ACTIONS(3330),
    [sym_character_literal] = ACTIONS(3328),
    [sym_null_literal] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3334),
    [sym__simple_string] = ACTIONS(3334),
  },
  [1158] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14321),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1158),
    [sym_block_comment] = STATE(1158),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1159] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14215),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1159),
    [sym_block_comment] = STATE(1159),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1160] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14611),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1160),
    [sym_block_comment] = STATE(1160),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1161] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12431),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1161),
    [sym_block_comment] = STATE(1161),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1162] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17830),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(749),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1162),
    [sym_block_comment] = STATE(1162),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1163] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(14783),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1163),
    [sym_block_comment] = STATE(1163),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1164] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13039),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1164),
    [sym_block_comment] = STATE(1164),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1165] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14228),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1165),
    [sym_block_comment] = STATE(1165),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1166] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12746),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1166),
    [sym_block_comment] = STATE(1166),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1167] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(13425),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1167),
    [sym_block_comment] = STATE(1167),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1168] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12733),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1168),
    [sym_block_comment] = STATE(1168),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1169] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12706),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1169),
    [sym_block_comment] = STATE(1169),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1170] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12684),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1170),
    [sym_block_comment] = STATE(1170),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1171] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12254),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1171),
    [sym_block_comment] = STATE(1171),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1172] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14603),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1172),
    [sym_block_comment] = STATE(1172),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1173] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(14578),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1173),
    [sym_block_comment] = STATE(1173),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1174] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16872),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(837),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1174),
    [sym_block_comment] = STATE(1174),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1175] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14128),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1175),
    [sym_block_comment] = STATE(1175),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1176] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17442),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(727),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1176),
    [sym_block_comment] = STATE(1176),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1177] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12670),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1177),
    [sym_block_comment] = STATE(1177),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1178] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12212),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1178),
    [sym_block_comment] = STATE(1178),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1179] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(13211),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1179),
    [sym_block_comment] = STATE(1179),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1180] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13071),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1180),
    [sym_block_comment] = STATE(1180),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1181] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12201),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1181),
    [sym_block_comment] = STATE(1181),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1182] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13294),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1182),
    [sym_block_comment] = STATE(1182),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1183] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12194),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1183),
    [sym_block_comment] = STATE(1183),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1184] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13423),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1184),
    [sym_block_comment] = STATE(1184),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1185] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13010),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1185),
    [sym_block_comment] = STATE(1185),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1186] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14151),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1186),
    [sym_block_comment] = STATE(1186),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1187] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13962),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1187),
    [sym_block_comment] = STATE(1187),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1188] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13478),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1188),
    [sym_block_comment] = STATE(1188),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1189] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(13283),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1189),
    [sym_block_comment] = STATE(1189),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1190] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14158),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1190),
    [sym_block_comment] = STATE(1190),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1191] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(13254),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1191),
    [sym_block_comment] = STATE(1191),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1192] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13018),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1192),
    [sym_block_comment] = STATE(1192),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1193] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(13235),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1193),
    [sym_block_comment] = STATE(1193),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1194] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11825),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1194),
    [sym_block_comment] = STATE(1194),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1195] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13501),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1195),
    [sym_block_comment] = STATE(1195),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1196] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13498),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1196),
    [sym_block_comment] = STATE(1196),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1197] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(13233),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1197),
    [sym_block_comment] = STATE(1197),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1198] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13975),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1198),
    [sym_block_comment] = STATE(1198),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1199] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14307),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1199),
    [sym_block_comment] = STATE(1199),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1200] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13497),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1200),
    [sym_block_comment] = STATE(1200),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1201] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13496),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1201),
    [sym_block_comment] = STATE(1201),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1202] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13426),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1202),
    [sym_block_comment] = STATE(1202),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1203] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13121),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1203),
    [sym_block_comment] = STATE(1203),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1204] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(14377),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1204),
    [sym_block_comment] = STATE(1204),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1205] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13029),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1205),
    [sym_block_comment] = STATE(1205),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1206] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14757),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1206),
    [sym_block_comment] = STATE(1206),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1207] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13491),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1207),
    [sym_block_comment] = STATE(1207),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1208] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14121),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1208),
    [sym_block_comment] = STATE(1208),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1209] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(13108),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1209),
    [sym_block_comment] = STATE(1209),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1210] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11820),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1210),
    [sym_block_comment] = STATE(1210),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1211] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13759),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1211),
    [sym_block_comment] = STATE(1211),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1212] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17516),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(712),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1212),
    [sym_block_comment] = STATE(1212),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1213] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13483),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1213),
    [sym_block_comment] = STATE(1213),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1214] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(13719),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1214),
    [sym_block_comment] = STATE(1214),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1215] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(14266),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1215),
    [sym_block_comment] = STATE(1215),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1216] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14634),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1216),
    [sym_block_comment] = STATE(1216),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1217] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(13028),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1217),
    [sym_block_comment] = STATE(1217),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1218] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14117),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1218),
    [sym_block_comment] = STATE(1218),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1219] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(13047),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1219),
    [sym_block_comment] = STATE(1219),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1220] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13481),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1220),
    [sym_block_comment] = STATE(1220),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1221] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(13054),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1221),
    [sym_block_comment] = STATE(1221),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1222] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14128),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1222),
    [sym_block_comment] = STATE(1222),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1223] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13427),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1223),
    [sym_block_comment] = STATE(1223),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1224] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13480),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1224),
    [sym_block_comment] = STATE(1224),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1225] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13478),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1225),
    [sym_block_comment] = STATE(1225),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1226] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14115),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1226),
    [sym_block_comment] = STATE(1226),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1227] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(13058),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1227),
    [sym_block_comment] = STATE(1227),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1228] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11813),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1228),
    [sym_block_comment] = STATE(1228),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1229] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11789),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1229),
    [sym_block_comment] = STATE(1229),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1230] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(13474),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1230),
    [sym_block_comment] = STATE(1230),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1231] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13480),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1231),
    [sym_block_comment] = STATE(1231),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1232] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14164),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1232),
    [sym_block_comment] = STATE(1232),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1233] = {
    [sym_inline_modifier] = STATE(2103),
    [sym__indentable_expression] = STATE(12124),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1233),
    [sym_block_comment] = STATE(1233),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1234] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14890),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1234),
    [sym_block_comment] = STATE(1234),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1235] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13481),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1235),
    [sym_block_comment] = STATE(1235),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1236] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(14231),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1236),
    [sym_block_comment] = STATE(1236),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1237] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(18031),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(719),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1237),
    [sym_block_comment] = STATE(1237),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1238] = {
    [sym_inline_modifier] = STATE(2101),
    [sym__indentable_expression] = STATE(14193),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1238),
    [sym_block_comment] = STATE(1238),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1239] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(18290),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(770),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1239),
    [sym_block_comment] = STATE(1239),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1240] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13428),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1240),
    [sym_block_comment] = STATE(1240),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1241] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14168),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1241),
    [sym_block_comment] = STATE(1241),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1242] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14094),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1242),
    [sym_block_comment] = STATE(1242),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1243] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13807),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1243),
    [sym_block_comment] = STATE(1243),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1244] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16691),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(690),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1244),
    [sym_block_comment] = STATE(1244),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1245] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(14395),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1245),
    [sym_block_comment] = STATE(1245),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1246] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11723),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1246),
    [sym_block_comment] = STATE(1246),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1247] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(14379),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1247),
    [sym_block_comment] = STATE(1247),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1248] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13483),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1248),
    [sym_block_comment] = STATE(1248),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1249] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(14233),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1249),
    [sym_block_comment] = STATE(1249),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1250] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(13825),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1250),
    [sym_block_comment] = STATE(1250),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1251] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14121),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1251),
    [sym_block_comment] = STATE(1251),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1252] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(14287),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1252),
    [sym_block_comment] = STATE(1252),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1253] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13501),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1253),
    [sym_block_comment] = STATE(1253),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1254] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13433),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1254),
    [sym_block_comment] = STATE(1254),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1255] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14295),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1255),
    [sym_block_comment] = STATE(1255),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1256] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14728),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1256),
    [sym_block_comment] = STATE(1256),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1257] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14183),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1257),
    [sym_block_comment] = STATE(1257),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1258] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(14070),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1258),
    [sym_block_comment] = STATE(1258),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1259] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13973),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1259),
    [sym_block_comment] = STATE(1259),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1260] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12817),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1260),
    [sym_block_comment] = STATE(1260),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1261] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(13816),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1261),
    [sym_block_comment] = STATE(1261),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1262] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13961),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1262),
    [sym_block_comment] = STATE(1262),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1263] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13498),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1263),
    [sym_block_comment] = STATE(1263),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1264] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13978),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1264),
    [sym_block_comment] = STATE(1264),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1265] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(14552),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1265),
    [sym_block_comment] = STATE(1265),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1266] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13981),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1266),
    [sym_block_comment] = STATE(1266),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1267] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13497),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1267),
    [sym_block_comment] = STATE(1267),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1268] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13350),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1268),
    [sym_block_comment] = STATE(1268),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1269] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12800),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1269),
    [sym_block_comment] = STATE(1269),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1270] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13058),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1270),
    [sym_block_comment] = STATE(1270),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1271] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17094),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(774),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1271),
    [sym_block_comment] = STATE(1271),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1272] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14048),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1272),
    [sym_block_comment] = STATE(1272),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1273] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14042),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1273),
    [sym_block_comment] = STATE(1273),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1274] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14045),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1274),
    [sym_block_comment] = STATE(1274),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1275] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13054),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1275),
    [sym_block_comment] = STATE(1275),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1276] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13496),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1276),
    [sym_block_comment] = STATE(1276),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1277] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13047),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1277),
    [sym_block_comment] = STATE(1277),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1278] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14102),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1278),
    [sym_block_comment] = STATE(1278),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1279] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12761),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1279),
    [sym_block_comment] = STATE(1279),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1280] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14050),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1280),
    [sym_block_comment] = STATE(1280),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1281] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14196),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1281),
    [sym_block_comment] = STATE(1281),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1282] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(13992),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1282),
    [sym_block_comment] = STATE(1282),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1283] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13491),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1283),
    [sym_block_comment] = STATE(1283),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1284] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13483),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1284),
    [sym_block_comment] = STATE(1284),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1285] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13059),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1285),
    [sym_block_comment] = STATE(1285),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1286] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13481),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1286),
    [sym_block_comment] = STATE(1286),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1287] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14117),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1287),
    [sym_block_comment] = STATE(1287),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1288] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(14007),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1288),
    [sym_block_comment] = STATE(1288),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1289] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13480),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1289),
    [sym_block_comment] = STATE(1289),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1290] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17622),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1290),
    [sym_block_comment] = STATE(1290),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1291] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(14009),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1291),
    [sym_block_comment] = STATE(1291),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1292] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13478),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1292),
    [sym_block_comment] = STATE(1292),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1293] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13028),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1293),
    [sym_block_comment] = STATE(1293),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1294] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(14024),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1294),
    [sym_block_comment] = STATE(1294),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1295] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(14035),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1295),
    [sym_block_comment] = STATE(1295),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1296] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14611),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1296),
    [sym_block_comment] = STATE(1296),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1297] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14603),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1297),
    [sym_block_comment] = STATE(1297),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1298] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12759),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1298),
    [sym_block_comment] = STATE(1298),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1299] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14757),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1299),
    [sym_block_comment] = STATE(1299),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1300] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14102),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1300),
    [sym_block_comment] = STATE(1300),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1301] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13268),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1301),
    [sym_block_comment] = STATE(1301),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1302] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(18164),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(845),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1302),
    [sym_block_comment] = STATE(1302),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1303] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(14016),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1303),
    [sym_block_comment] = STATE(1303),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1304] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13474),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1304),
    [sym_block_comment] = STATE(1304),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1305] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(13798),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1305),
    [sym_block_comment] = STATE(1305),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1306] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17692),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(804),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1306),
    [sym_block_comment] = STATE(1306),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1307] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11726),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1307),
    [sym_block_comment] = STATE(1307),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1308] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14115),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1308),
    [sym_block_comment] = STATE(1308),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1309] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13496),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1309),
    [sym_block_comment] = STATE(1309),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1310] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14115),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1310),
    [sym_block_comment] = STATE(1310),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1311] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14198),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1311),
    [sym_block_comment] = STATE(1311),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1312] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13551),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1312),
    [sym_block_comment] = STATE(1312),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1313] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14651),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1313),
    [sym_block_comment] = STATE(1313),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1314] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(13799),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1314),
    [sym_block_comment] = STATE(1314),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1315] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14117),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1315),
    [sym_block_comment] = STATE(1315),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1316] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13973),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1316),
    [sym_block_comment] = STATE(1316),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1317] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(13107),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1317),
    [sym_block_comment] = STATE(1317),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1318] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14121),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1318),
    [sym_block_comment] = STATE(1318),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1319] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14245),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1319),
    [sym_block_comment] = STATE(1319),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1320] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17049),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(711),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1320),
    [sym_block_comment] = STATE(1320),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1321] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13961),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1321),
    [sym_block_comment] = STATE(1321),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1322] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13978),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1322),
    [sym_block_comment] = STATE(1322),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1323] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13981),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1323),
    [sym_block_comment] = STATE(1323),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1324] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11732),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1324),
    [sym_block_comment] = STATE(1324),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1325] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14651),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1325),
    [sym_block_comment] = STATE(1325),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1326] = {
    [sym_inline_modifier] = STATE(2189),
    [sym__indentable_expression] = STATE(14128),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1326),
    [sym_block_comment] = STATE(1326),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1327] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13073),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1327),
    [sym_block_comment] = STATE(1327),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1328] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(14634),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1328),
    [sym_block_comment] = STATE(1328),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1329] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(14568),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1329),
    [sym_block_comment] = STATE(1329),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1330] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12485),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1330),
    [sym_block_comment] = STATE(1330),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1331] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(13992),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1331),
    [sym_block_comment] = STATE(1331),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1332] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11760),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1332),
    [sym_block_comment] = STATE(1332),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1333] = {
    [sym_inline_modifier] = STATE(2284),
    [sym__indentable_expression] = STATE(14246),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1333),
    [sym_block_comment] = STATE(1333),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1334] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12758),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1334),
    [sym_block_comment] = STATE(1334),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1335] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14199),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1335),
    [sym_block_comment] = STATE(1335),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1336] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13497),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1336),
    [sym_block_comment] = STATE(1336),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1337] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13431),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1337),
    [sym_block_comment] = STATE(1337),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1338] = {
    [sym_inline_modifier] = STATE(2353),
    [sym__indentable_expression] = STATE(14202),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1338),
    [sym_block_comment] = STATE(1338),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1339] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13080),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1339),
    [sym_block_comment] = STATE(1339),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1340] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(11806),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1340),
    [sym_block_comment] = STATE(1340),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1341] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16668),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(853),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1341),
    [sym_block_comment] = STATE(1341),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1342] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12483),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1342),
    [sym_block_comment] = STATE(1342),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1343] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14007),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1343),
    [sym_block_comment] = STATE(1343),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1344] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13883),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1344),
    [sym_block_comment] = STATE(1344),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1345] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14009),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1345),
    [sym_block_comment] = STATE(1345),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1346] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14024),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1346),
    [sym_block_comment] = STATE(1346),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1347] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17172),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(743),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1347),
    [sym_block_comment] = STATE(1347),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1348] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12465),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1348),
    [sym_block_comment] = STATE(1348),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1349] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14035),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1349),
    [sym_block_comment] = STATE(1349),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1350] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12723),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1350),
    [sym_block_comment] = STATE(1350),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1351] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12711),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1351),
    [sym_block_comment] = STATE(1351),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1352] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12455),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1352),
    [sym_block_comment] = STATE(1352),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1353] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17316),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(745),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1353),
    [sym_block_comment] = STATE(1353),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1354] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(14356),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1354),
    [sym_block_comment] = STATE(1354),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1355] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13498),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1355),
    [sym_block_comment] = STATE(1355),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1356] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14016),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1356),
    [sym_block_comment] = STATE(1356),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1357] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12704),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1357),
    [sym_block_comment] = STATE(1357),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1358] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13501),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1358),
    [sym_block_comment] = STATE(1358),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1359] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16917),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(788),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1359),
    [sym_block_comment] = STATE(1359),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1360] = {
    [sym_inline_modifier] = STATE(2402),
    [sym__indentable_expression] = STATE(14316),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1360),
    [sym_block_comment] = STATE(1360),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1361] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14050),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1361),
    [sym_block_comment] = STATE(1361),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1362] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12696),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1362),
    [sym_block_comment] = STATE(1362),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1363] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(14811),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1363),
    [sym_block_comment] = STATE(1363),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1364] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(14346),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1364),
    [sym_block_comment] = STATE(1364),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1365] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13551),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1365),
    [sym_block_comment] = STATE(1365),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_catch] = ACTIONS(1164),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1366] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12431),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1366),
    [sym_block_comment] = STATE(1366),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1367] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12865),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1367),
    [sym_block_comment] = STATE(1367),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1368] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12828),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1368),
    [sym_block_comment] = STATE(1368),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1369] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12826),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1369),
    [sym_block_comment] = STATE(1369),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1370] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12820),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1370),
    [sym_block_comment] = STATE(1370),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1371] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13210),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1371),
    [sym_block_comment] = STATE(1371),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1372] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12696),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1372),
    [sym_block_comment] = STATE(1372),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1373] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12818),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1373),
    [sym_block_comment] = STATE(1373),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1374] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13781),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1374),
    [sym_block_comment] = STATE(1374),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1375] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14045),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1375),
    [sym_block_comment] = STATE(1375),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1376] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12254),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1376),
    [sym_block_comment] = STATE(1376),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1377] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14574),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1377),
    [sym_block_comment] = STATE(1377),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1378] = {
    [sym_inline_modifier] = STATE(2369),
    [sym__indentable_expression] = STATE(14810),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1378),
    [sym_block_comment] = STATE(1378),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1379] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13806),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1379),
    [sym_block_comment] = STATE(1379),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1380] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13771),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1380),
    [sym_block_comment] = STATE(1380),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1381] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14042),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1381),
    [sym_block_comment] = STATE(1381),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1382] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12212),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1382),
    [sym_block_comment] = STATE(1382),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1383] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12201),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1383),
    [sym_block_comment] = STATE(1383),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1384] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13108),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1384),
    [sym_block_comment] = STATE(1384),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1385] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12194),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1385),
    [sym_block_comment] = STATE(1385),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1386] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(14395),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1386),
    [sym_block_comment] = STATE(1386),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1387] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12813),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1387),
    [sym_block_comment] = STATE(1387),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1388] = {
    [sym_inline_modifier] = STATE(2402),
    [sym__indentable_expression] = STATE(14313),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1388),
    [sym_block_comment] = STATE(1388),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1389] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17955),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(688),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1389),
    [sym_block_comment] = STATE(1389),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1390] = {
    [sym_inline_modifier] = STATE(2402),
    [sym__indentable_expression] = STATE(14336),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1390),
    [sym_block_comment] = STATE(1390),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1391] = {
    [sym_inline_modifier] = STATE(2122),
    [sym__indentable_expression] = STATE(12683),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1391),
    [sym_block_comment] = STATE(1391),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1392] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(13644),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1392),
    [sym_block_comment] = STATE(1392),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1393] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14702),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1393),
    [sym_block_comment] = STATE(1393),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1394] = {
    [sym_inline_modifier] = STATE(2402),
    [sym__indentable_expression] = STATE(14353),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1394),
    [sym_block_comment] = STATE(1394),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1395] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14703),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1395),
    [sym_block_comment] = STATE(1395),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1396] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13810),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1396),
    [sym_block_comment] = STATE(1396),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1397] = {
    [sym_inline_modifier] = STATE(2402),
    [sym__indentable_expression] = STATE(14359),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1397),
    [sym_block_comment] = STATE(1397),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1398] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12746),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1398),
    [sym_block_comment] = STATE(1398),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1399] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(14337),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1399),
    [sym_block_comment] = STATE(1399),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1400] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14859),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1400),
    [sym_block_comment] = STATE(1400),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1401] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12733),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1401),
    [sym_block_comment] = STATE(1401),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1402] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12706),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1402),
    [sym_block_comment] = STATE(1402),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1403] = {
    [sym_inline_modifier] = STATE(2316),
    [sym__indentable_expression] = STATE(13468),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1403),
    [sym_block_comment] = STATE(1403),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1404] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14705),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1404),
    [sym_block_comment] = STATE(1404),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1405] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(14249),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1405),
    [sym_block_comment] = STATE(1405),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1406] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(13451),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1406),
    [sym_block_comment] = STATE(1406),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1407] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12684),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1407),
    [sym_block_comment] = STATE(1407),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1408] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(12124),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1408),
    [sym_block_comment] = STATE(1408),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1409] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13726),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1409),
    [sym_block_comment] = STATE(1409),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1410] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14899),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1410),
    [sym_block_comment] = STATE(1410),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1411] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16721),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(846),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1411),
    [sym_block_comment] = STATE(1411),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1412] = {
    [sym_inline_modifier] = STATE(2402),
    [sym__indentable_expression] = STATE(14295),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1412),
    [sym_block_comment] = STATE(1412),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1413] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14102),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1413),
    [sym_block_comment] = STATE(1413),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1414] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(13491),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1414),
    [sym_block_comment] = STATE(1414),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1415] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12683),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1415),
    [sym_block_comment] = STATE(1415),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1416] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(12828),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1416),
    [sym_block_comment] = STATE(1416),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1417] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(12670),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1417),
    [sym_block_comment] = STATE(1417),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1418] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(13121),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1418),
    [sym_block_comment] = STATE(1418),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1419] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(13056),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1419),
    [sym_block_comment] = STATE(1419),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1420] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(12826),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1420),
    [sym_block_comment] = STATE(1420),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1421] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14048),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1421),
    [sym_block_comment] = STATE(1421),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1422] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(12820),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1422),
    [sym_block_comment] = STATE(1422),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1423] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17739),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(704),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1423),
    [sym_block_comment] = STATE(1423),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1424] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(14362),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1424),
    [sym_block_comment] = STATE(1424),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1425] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14866),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1425),
    [sym_block_comment] = STATE(1425),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1426] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14870),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1426),
    [sym_block_comment] = STATE(1426),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1427] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(12818),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1427),
    [sym_block_comment] = STATE(1427),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1428] = {
    [sym_inline_modifier] = STATE(2402),
    [sym__indentable_expression] = STATE(14404),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1428),
    [sym_block_comment] = STATE(1428),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1429] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14871),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1429),
    [sym_block_comment] = STATE(1429),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1430] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14873),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1430),
    [sym_block_comment] = STATE(1430),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1431] = {
    [sym_inline_modifier] = STATE(2402),
    [sym__indentable_expression] = STATE(14397),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1431),
    [sym_block_comment] = STATE(1431),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1432] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13084),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1432),
    [sym_block_comment] = STATE(1432),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1433] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14392),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1433),
    [sym_block_comment] = STATE(1433),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1434] = {
    [sym_inline_modifier] = STATE(2402),
    [sym__indentable_expression] = STATE(14396),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1434),
    [sym_block_comment] = STATE(1434),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1435] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13937),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1435),
    [sym_block_comment] = STATE(1435),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1436] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14396),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1436),
    [sym_block_comment] = STATE(1436),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1437] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13804),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1437),
    [sym_block_comment] = STATE(1437),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1438] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(14309),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1438),
    [sym_block_comment] = STATE(1438),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1439] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14397),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1439),
    [sym_block_comment] = STATE(1439),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1440] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14404),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1440),
    [sym_block_comment] = STATE(1440),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1441] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(12813),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1441),
    [sym_block_comment] = STATE(1441),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1442] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16781),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(784),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1442),
    [sym_block_comment] = STATE(1442),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1443] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11806),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1443),
    [sym_block_comment] = STATE(1443),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1444] = {
    [sym_inline_modifier] = STATE(2402),
    [sym__indentable_expression] = STATE(14392),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1444),
    [sym_block_comment] = STATE(1444),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1445] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(14445),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1445),
    [sym_block_comment] = STATE(1445),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1446] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14651),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1446),
    [sym_block_comment] = STATE(1446),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1447] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(12746),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1447),
    [sym_block_comment] = STATE(1447),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1448] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(14429),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1448),
    [sym_block_comment] = STATE(1448),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1449] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(14371),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1449),
    [sym_block_comment] = STATE(1449),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1450] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13995),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1450),
    [sym_block_comment] = STATE(1450),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1451] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13901),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1451),
    [sym_block_comment] = STATE(1451),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1452] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14890),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1452),
    [sym_block_comment] = STATE(1452),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1453] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14899),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1453),
    [sym_block_comment] = STATE(1453),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1454] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(14577),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1454),
    [sym_block_comment] = STATE(1454),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1455] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12124),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1455),
    [sym_block_comment] = STATE(1455),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1456] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13423),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1456),
    [sym_block_comment] = STATE(1456),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1457] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(14306),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1457),
    [sym_block_comment] = STATE(1457),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1458] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14914),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1458),
    [sym_block_comment] = STATE(1458),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1459] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14915),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1459),
    [sym_block_comment] = STATE(1459),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1460] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(12733),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1460),
    [sym_block_comment] = STATE(1460),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1461] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(12706),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1461),
    [sym_block_comment] = STATE(1461),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1462] = {
    [sym_inline_modifier] = STATE(2374),
    [sym__indentable_expression] = STATE(14094),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1462),
    [sym_block_comment] = STATE(1462),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1463] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(12684),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1463),
    [sym_block_comment] = STATE(1463),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1464] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(14424),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1464),
    [sym_block_comment] = STATE(1464),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1465] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(14540),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1465),
    [sym_block_comment] = STATE(1465),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1466] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14295),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1466),
    [sym_block_comment] = STATE(1466),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1467] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11760),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1467),
    [sym_block_comment] = STATE(1467),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1468] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13357),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1468),
    [sym_block_comment] = STATE(1468),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1469] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(14281),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1469),
    [sym_block_comment] = STATE(1469),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1470] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16794),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(836),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1470),
    [sym_block_comment] = STATE(1470),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1471] = {
    [sym_inline_modifier] = STATE(2401),
    [sym__indentable_expression] = STATE(13121),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1471),
    [sym_block_comment] = STATE(1471),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1472] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11732),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1472),
    [sym_block_comment] = STATE(1472),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1473] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12194),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1473),
    [sym_block_comment] = STATE(1473),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1474] = {
    [sym_inline_modifier] = STATE(2293),
    [sym__indentable_expression] = STATE(14502),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1474),
    [sym_block_comment] = STATE(1474),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1475] = {
    [sym_inline_modifier] = STATE(2370),
    [sym__indentable_expression] = STATE(14730),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1475),
    [sym_block_comment] = STATE(1475),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1476] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11726),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1476),
    [sym_block_comment] = STATE(1476),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1477] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14359),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1477),
    [sym_block_comment] = STATE(1477),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1478] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12696),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1478),
    [sym_block_comment] = STATE(1478),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1479] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14353),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1479),
    [sym_block_comment] = STATE(1479),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1480] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14933),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1480),
    [sym_block_comment] = STATE(1480),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1481] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14336),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1481),
    [sym_block_comment] = STATE(1481),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1482] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(12670),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1482),
    [sym_block_comment] = STATE(1482),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1483] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14313),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1483),
    [sym_block_comment] = STATE(1483),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1484] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(13017),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1484),
    [sym_block_comment] = STATE(1484),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1485] = {
    [sym_inline_modifier] = STATE(2401),
    [sym__indentable_expression] = STATE(13058),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1485),
    [sym_block_comment] = STATE(1485),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1486] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12201),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1486),
    [sym_block_comment] = STATE(1486),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1487] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12704),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1487),
    [sym_block_comment] = STATE(1487),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1488] = {
    [sym_inline_modifier] = STATE(2364),
    [sym__indentable_expression] = STATE(14954),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1488),
    [sym_block_comment] = STATE(1488),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1489] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(14096),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1489),
    [sym_block_comment] = STATE(1489),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1490] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14050),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1490),
    [sym_block_comment] = STATE(1490),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1491] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(14006),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1491),
    [sym_block_comment] = STATE(1491),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1492] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14316),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1492),
    [sym_block_comment] = STATE(1492),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1493] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17568),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(850),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1493),
    [sym_block_comment] = STATE(1493),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1494] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12711),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1494),
    [sym_block_comment] = STATE(1494),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1495] = {
    [sym_inline_modifier] = STATE(2401),
    [sym__indentable_expression] = STATE(13054),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1495),
    [sym_block_comment] = STATE(1495),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1496] = {
    [sym_inline_modifier] = STATE(2401),
    [sym__indentable_expression] = STATE(13047),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1496),
    [sym_block_comment] = STATE(1496),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1497] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(14225),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1497),
    [sym_block_comment] = STATE(1497),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1498] = {
    [sym_inline_modifier] = STATE(2321),
    [sym__indentable_expression] = STATE(14066),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1498),
    [sym_block_comment] = STATE(1498),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1499] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17130),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(726),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1499),
    [sym_block_comment] = STATE(1499),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1500] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12212),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1500),
    [sym_block_comment] = STATE(1500),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1501] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12800),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1501),
    [sym_block_comment] = STATE(1501),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1502] = {
    [sym_inline_modifier] = STATE(2138),
    [sym__indentable_expression] = STATE(13380),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1502),
    [sym_block_comment] = STATE(1502),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1503] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12135),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1503),
    [sym_block_comment] = STATE(1503),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1504] = {
    [sym_inline_modifier] = STATE(2376),
    [sym__indentable_expression] = STATE(13359),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1504),
    [sym_block_comment] = STATE(1504),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1505] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13233),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1505),
    [sym_block_comment] = STATE(1505),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1506] = {
    [sym_inline_modifier] = STATE(2401),
    [sym__indentable_expression] = STATE(13028),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1506),
    [sym_block_comment] = STATE(1506),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1507] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13235),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1507),
    [sym_block_comment] = STATE(1507),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1508] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12723),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1508),
    [sym_block_comment] = STATE(1508),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1509] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14045),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1509),
    [sym_block_comment] = STATE(1509),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1510] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11723),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1510),
    [sym_block_comment] = STATE(1510),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1511] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(14189),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1511),
    [sym_block_comment] = STATE(1511),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1512] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12310),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1512),
    [sym_block_comment] = STATE(1512),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1513] = {
    [sym_inline_modifier] = STATE(2401),
    [sym__indentable_expression] = STATE(13108),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1513),
    [sym_block_comment] = STATE(1513),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1514] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12254),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1514),
    [sym_block_comment] = STATE(1514),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1515] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13973),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1515),
    [sym_block_comment] = STATE(1515),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1516] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14042),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1516),
    [sym_block_comment] = STATE(1516),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1517] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14574),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1517),
    [sym_block_comment] = STATE(1517),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1518] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12253),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1518),
    [sym_block_comment] = STATE(1518),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1519] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13933),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1519),
    [sym_block_comment] = STATE(1519),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1520] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14702),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1520),
    [sym_block_comment] = STATE(1520),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1521] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16865),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(817),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1521),
    [sym_block_comment] = STATE(1521),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1522] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12247),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1522),
    [sym_block_comment] = STATE(1522),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1523] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13961),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1523),
    [sym_block_comment] = STATE(1523),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1524] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14703),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1524),
    [sym_block_comment] = STATE(1524),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1525] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13978),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1525),
    [sym_block_comment] = STATE(1525),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1526] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13981),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1526),
    [sym_block_comment] = STATE(1526),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1527] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12242),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1527),
    [sym_block_comment] = STATE(1527),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1528] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13254),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1528),
    [sym_block_comment] = STATE(1528),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1529] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(14279),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1529),
    [sym_block_comment] = STATE(1529),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1530] = {
    [sym_inline_modifier] = STATE(2401),
    [sym__indentable_expression] = STATE(13233),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1530),
    [sym_block_comment] = STATE(1530),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1531] = {
    [sym_inline_modifier] = STATE(2401),
    [sym__indentable_expression] = STATE(13235),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1531),
    [sym_block_comment] = STATE(1531),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1532] = {
    [sym_inline_modifier] = STATE(2401),
    [sym__indentable_expression] = STATE(13254),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1532),
    [sym_block_comment] = STATE(1532),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1533] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17000),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(683),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1533),
    [sym_block_comment] = STATE(1533),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1534] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14048),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1534),
    [sym_block_comment] = STATE(1534),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1535] = {
    [sym_inline_modifier] = STATE(2401),
    [sym__indentable_expression] = STATE(13283),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1535),
    [sym_block_comment] = STATE(1535),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1536] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12196),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1536),
    [sym_block_comment] = STATE(1536),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1537] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13932),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1537),
    [sym_block_comment] = STATE(1537),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1538] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(14109),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1538),
    [sym_block_comment] = STATE(1538),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1539] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11789),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1539),
    [sym_block_comment] = STATE(1539),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1540] = {
    [sym_inline_modifier] = STATE(2200),
    [sym__indentable_expression] = STATE(13108),
    [sym_block] = STATE(10650),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(14423),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1540),
    [sym_block_comment] = STATE(1540),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1541] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14705),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1541),
    [sym_block_comment] = STATE(1541),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1542] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(13992),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1542),
    [sym_block_comment] = STATE(1542),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1543] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12150),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1543),
    [sym_block_comment] = STATE(1543),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1544] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12135),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1544),
    [sym_block_comment] = STATE(1544),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1545] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(13969),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1545),
    [sym_block_comment] = STATE(1545),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1546] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17338),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(757),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1546),
    [sym_block_comment] = STATE(1546),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1547] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12431),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1547),
    [sym_block_comment] = STATE(1547),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1548] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12301),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1548),
    [sym_block_comment] = STATE(1548),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1549] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12149),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1549),
    [sym_block_comment] = STATE(1549),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1550] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14007),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1550),
    [sym_block_comment] = STATE(1550),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1551] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14914),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1551),
    [sym_block_comment] = STATE(1551),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1552] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14009),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1552),
    [sym_block_comment] = STATE(1552),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1553] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12302),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1553),
    [sym_block_comment] = STATE(1553),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1554] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13910),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1554),
    [sym_block_comment] = STATE(1554),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1555] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14024),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1555),
    [sym_block_comment] = STATE(1555),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1556] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(12939),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1556),
    [sym_block_comment] = STATE(1556),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1557] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14035),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1557),
    [sym_block_comment] = STATE(1557),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1558] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12301),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1558),
    [sym_block_comment] = STATE(1558),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1559] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13911),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1559),
    [sym_block_comment] = STATE(1559),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1560] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14915),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1560),
    [sym_block_comment] = STATE(1560),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1561] = {
    [sym_inline_modifier] = STATE(2237),
    [sym__indentable_expression] = STATE(14016),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1561),
    [sym_block_comment] = STATE(1561),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1562] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11813),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1562),
    [sym_block_comment] = STATE(1562),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1563] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(14614),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1563),
    [sym_block_comment] = STATE(1563),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1564] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(14076),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1564),
    [sym_block_comment] = STATE(1564),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1565] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13916),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1565),
    [sym_block_comment] = STATE(1565),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1566] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11820),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1566),
    [sym_block_comment] = STATE(1566),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1567] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(14274),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1567),
    [sym_block_comment] = STATE(1567),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1568] = {
    [sym_inline_modifier] = STATE(2336),
    [sym__indentable_expression] = STATE(14610),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1568),
    [sym_block_comment] = STATE(1568),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1569] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(14131),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1569),
    [sym_block_comment] = STATE(1569),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1570] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12310),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1570),
    [sym_block_comment] = STATE(1570),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1571] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13029),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1571),
    [sym_block_comment] = STATE(1571),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1572] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12253),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1572),
    [sym_block_comment] = STATE(1572),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1573] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11825),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1573),
    [sym_block_comment] = STATE(1573),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1574] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12247),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1574),
    [sym_block_comment] = STATE(1574),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1575] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12242),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1575),
    [sym_block_comment] = STATE(1575),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1576] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13918),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1576),
    [sym_block_comment] = STATE(1576),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1577] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12455),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1577),
    [sym_block_comment] = STATE(1577),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1578] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(13761),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1578),
    [sym_block_comment] = STATE(1578),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1579] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13727),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1579),
    [sym_block_comment] = STATE(1579),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1580] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16937),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(803),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1580),
    [sym_block_comment] = STATE(1580),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1581] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17211),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(758),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1581),
    [sym_block_comment] = STATE(1581),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1582] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12302),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1582),
    [sym_block_comment] = STATE(1582),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1583] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(13283),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1583),
    [sym_block_comment] = STATE(1583),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1584] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13018),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1584),
    [sym_block_comment] = STATE(1584),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1585] = {
    [sym_inline_modifier] = STATE(2254),
    [sym__indentable_expression] = STATE(14511),
    [sym_block] = STATE(10004),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1585),
    [sym_block_comment] = STATE(1585),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1586] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12196),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1586),
    [sym_block_comment] = STATE(1586),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1587] = {
    [sym_inline_modifier] = STATE(2229),
    [sym__indentable_expression] = STATE(14730),
    [sym_block] = STATE(7634),
    [sym_indented_block] = STATE(13292),
    [sym_indented_cases] = STATE(13292),
    [sym_expression] = STATE(13208),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1587),
    [sym_block_comment] = STATE(1587),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3294),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1588] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12149),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1588),
    [sym_block_comment] = STATE(1588),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1589] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12310),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1589),
    [sym_block_comment] = STATE(1589),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1590] = {
    [sym_inline_modifier] = STATE(2323),
    [sym__indentable_expression] = STATE(12301),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1590),
    [sym_block_comment] = STATE(1590),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1591] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12150),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1591),
    [sym_block_comment] = STATE(1591),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1592] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12758),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1592),
    [sym_block_comment] = STATE(1592),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1593] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(11848),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1593),
    [sym_block_comment] = STATE(1593),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1594] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(16949),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(755),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1594),
    [sym_block_comment] = STATE(1594),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1595] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(12905),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1595),
    [sym_block_comment] = STATE(1595),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1596] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12150),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1596),
    [sym_block_comment] = STATE(1596),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1597] = {
    [sym_inline_modifier] = STATE(2270),
    [sym__indentable_expression] = STATE(14367),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1597),
    [sym_block_comment] = STATE(1597),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1598] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12135),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1598),
    [sym_block_comment] = STATE(1598),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1599] = {
    [sym_inline_modifier] = STATE(2404),
    [sym__indentable_expression] = STATE(13003),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1599),
    [sym_block_comment] = STATE(1599),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1600] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12149),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1600),
    [sym_block_comment] = STATE(1600),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1601] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(14212),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1601),
    [sym_block_comment] = STATE(1601),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1602] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12302),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1602),
    [sym_block_comment] = STATE(1602),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1603] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12196),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1603),
    [sym_block_comment] = STATE(1603),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1604] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12759),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1604),
    [sym_block_comment] = STATE(1604),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1605] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(13424),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1605),
    [sym_block_comment] = STATE(1605),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1606] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(14067),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1606),
    [sym_block_comment] = STATE(1606),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1607] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13851),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1607),
    [sym_block_comment] = STATE(1607),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1608] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(14253),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1608),
    [sym_block_comment] = STATE(1608),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1609] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(14240),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1609),
    [sym_block_comment] = STATE(1609),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1610] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17091),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(707),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1610),
    [sym_block_comment] = STATE(1610),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1611] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(13301),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1611),
    [sym_block_comment] = STATE(1611),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1612] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(14124),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1612),
    [sym_block_comment] = STATE(1612),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1613] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(12301),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1613),
    [sym_block_comment] = STATE(1613),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1614] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13889),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1614),
    [sym_block_comment] = STATE(1614),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1615] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17007),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(793),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1615),
    [sym_block_comment] = STATE(1615),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1616] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(13435),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1616),
    [sym_block_comment] = STATE(1616),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1617] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12302),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1617),
    [sym_block_comment] = STATE(1617),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1618] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12761),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1618),
    [sym_block_comment] = STATE(1618),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1619] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12242),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1619),
    [sym_block_comment] = STATE(1619),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1620] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12247),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1620),
    [sym_block_comment] = STATE(1620),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1621] = {
    [sym_inline_modifier] = STATE(2400),
    [sym__indentable_expression] = STATE(12253),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1621),
    [sym_block_comment] = STATE(1621),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1622] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13880),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1622),
    [sym_block_comment] = STATE(1622),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1623] = {
    [sym_inline_modifier] = STATE(2282),
    [sym__indentable_expression] = STATE(14094),
    [sym_block] = STATE(9377),
    [sym_indented_block] = STATE(14210),
    [sym_indented_cases] = STATE(14210),
    [sym_expression] = STATE(13983),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1623),
    [sym_block_comment] = STATE(1623),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1624] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(14411),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1624),
    [sym_block_comment] = STATE(1624),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1625] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13877),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1625),
    [sym_block_comment] = STATE(1625),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1626] = {
    [sym_inline_modifier] = STATE(2206),
    [sym__indentable_expression] = STATE(14306),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1626),
    [sym_block_comment] = STATE(1626),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1627] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(13406),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1627),
    [sym_block_comment] = STATE(1627),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1628] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(14340),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1628),
    [sym_block_comment] = STATE(1628),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1629] = {
    [sym_inline_modifier] = STATE(2206),
    [sym__indentable_expression] = STATE(14337),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1629),
    [sym_block_comment] = STATE(1629),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1630] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(14365),
    [sym_block] = STATE(7097),
    [sym_indented_block] = STATE(12909),
    [sym_indented_cases] = STATE(12909),
    [sym_expression] = STATE(12815),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(1630),
    [sym_block_comment] = STATE(1630),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3296),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1631] = {
    [sym_inline_modifier] = STATE(2206),
    [sym__indentable_expression] = STATE(14346),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1631),
    [sym_block_comment] = STATE(1631),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1632] = {
    [sym_inline_modifier] = STATE(2206),
    [sym__indentable_expression] = STATE(14356),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1632),
    [sym_block_comment] = STATE(1632),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1633] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13863),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1633),
    [sym_block_comment] = STATE(1633),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1634] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13010),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1634),
    [sym_block_comment] = STATE(1634),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1635] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12149),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1635),
    [sym_block_comment] = STATE(1635),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1636] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(14300),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1636),
    [sym_block_comment] = STATE(1636),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1637] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(13796),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1637),
    [sym_block_comment] = STATE(1637),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1638] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12135),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1638),
    [sym_block_comment] = STATE(1638),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1639] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14202),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1639),
    [sym_block_comment] = STATE(1639),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1640] = {
    [sym_inline_modifier] = STATE(2206),
    [sym__indentable_expression] = STATE(14395),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1640),
    [sym_block_comment] = STATE(1640),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1641] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13071),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1641),
    [sym_block_comment] = STATE(1641),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1642] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13876),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1642),
    [sym_block_comment] = STATE(1642),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1643] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17865),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(696),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1643),
    [sym_block_comment] = STATE(1643),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1644] = {
    [sym_inline_modifier] = STATE(2265),
    [sym__indentable_expression] = STATE(14304),
    [sym_block] = STATE(8633),
    [sym_indented_block] = STATE(13809),
    [sym_indented_cases] = STATE(13809),
    [sym_expression] = STATE(13701),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1644),
    [sym_block_comment] = STATE(1644),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1645] = {
    [sym_inline_modifier] = STATE(2362),
    [sym__indentable_expression] = STATE(13829),
    [sym_block] = STATE(7881),
    [sym_indented_block] = STATE(13445),
    [sym_indented_cases] = STATE(13445),
    [sym_expression] = STATE(13317),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1645),
    [sym_block_comment] = STATE(1645),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2364),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1646] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14038),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1646),
    [sym_block_comment] = STATE(1646),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1647] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12150),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1647),
    [sym_block_comment] = STATE(1647),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1648] = {
    [sym_inline_modifier] = STATE(2382),
    [sym__indentable_expression] = STATE(12817),
    [sym_block] = STATE(7033),
    [sym_indented_block] = STATE(12691),
    [sym_indented_cases] = STATE(12691),
    [sym_expression] = STATE(12793),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1648),
    [sym_block_comment] = STATE(1648),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2288),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1649] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13874),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1649),
    [sym_block_comment] = STATE(1649),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1650] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12465),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1650),
    [sym_block_comment] = STATE(1650),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1651] = {
    [sym_inline_modifier] = STATE(2411),
    [sym__indentable_expression] = STATE(13811),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1651),
    [sym_block_comment] = STATE(1651),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1652] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13861),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1652),
    [sym_block_comment] = STATE(1652),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1653] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17680),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(701),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1653),
    [sym_block_comment] = STATE(1653),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1654] = {
    [sym_inline_modifier] = STATE(2104),
    [sym__indentable_expression] = STATE(17110),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(769),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1654),
    [sym_block_comment] = STATE(1654),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1655] = {
    [sym_inline_modifier] = STATE(2125),
    [sym__indentable_expression] = STATE(13438),
    [sym_block] = STATE(5694),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(12054),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1655),
    [sym_block_comment] = STATE(1655),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1656] = {
    [sym_inline_modifier] = STATE(2206),
    [sym__indentable_expression] = STATE(14274),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1656),
    [sym_block_comment] = STATE(1656),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1657] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14199),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1657),
    [sym_block_comment] = STATE(1657),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1658] = {
    [sym_inline_modifier] = STATE(2206),
    [sym__indentable_expression] = STATE(14253),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1658),
    [sym_block_comment] = STATE(1658),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1659] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14482),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1659),
    [sym_block_comment] = STATE(1659),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1660] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12483),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1660),
    [sym_block_comment] = STATE(1660),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1661] = {
    [sym_inline_modifier] = STATE(2206),
    [sym__indentable_expression] = STATE(14240),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1661),
    [sym_block_comment] = STATE(1661),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1662] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13162),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1662),
    [sym_block_comment] = STATE(1662),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1663] = {
    [sym_inline_modifier] = STATE(2206),
    [sym__indentable_expression] = STATE(14300),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1663),
    [sym_block_comment] = STATE(1663),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1664] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14198),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1664),
    [sym_block_comment] = STATE(1664),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1665] = {
    [sym_inline_modifier] = STATE(2348),
    [sym__indentable_expression] = STATE(12485),
    [sym_block] = STATE(9962),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(14232),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1665),
    [sym_block_comment] = STATE(1665),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1666] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13859),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1666),
    [sym_block_comment] = STATE(1666),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1667] = {
    [sym_inline_modifier] = STATE(2206),
    [sym__indentable_expression] = STATE(14410),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1667),
    [sym_block_comment] = STATE(1667),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1668] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14196),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1668),
    [sym_block_comment] = STATE(1668),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1669] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13854),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1669),
    [sym_block_comment] = STATE(1669),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1670] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(13444),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1670),
    [sym_block_comment] = STATE(1670),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1671] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(14275),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1671),
    [sym_block_comment] = STATE(1671),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1672] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14183),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1672),
    [sym_block_comment] = STATE(1672),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1673] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14933),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1673),
    [sym_block_comment] = STATE(1673),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1674] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14168),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1674),
    [sym_block_comment] = STATE(1674),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1675] = {
    [sym_inline_modifier] = STATE(2410),
    [sym__indentable_expression] = STATE(14453),
    [sym_block] = STATE(9048),
    [sym_indented_block] = STATE(14135),
    [sym_indented_cases] = STATE(14135),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(1675),
    [sym_block_comment] = STATE(1675),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3306),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1676] = {
    [sym_inline_modifier] = STATE(2328),
    [sym__indentable_expression] = STATE(14120),
    [sym_block] = STATE(9364),
    [sym_indented_block] = STATE(12000),
    [sym_indented_cases] = STATE(12000),
    [sym_expression] = STATE(13812),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1676),
    [sym_block_comment] = STATE(1676),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2262),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1677] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12310),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1677),
    [sym_block_comment] = STATE(1677),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1678] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13853),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1678),
    [sym_block_comment] = STATE(1678),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1679] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(14410),
    [sym_block] = STATE(9776),
    [sym_indented_block] = STATE(14302),
    [sym_indented_cases] = STATE(14302),
    [sym_expression] = STATE(14197),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1679),
    [sym_block_comment] = STATE(1679),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2526),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1680] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13931),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1680),
    [sym_block_comment] = STATE(1680),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1681] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13084),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1681),
    [sym_block_comment] = STATE(1681),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1682] = {
    [sym_inline_modifier] = STATE(2325),
    [sym__indentable_expression] = STATE(14954),
    [sym_block] = STATE(9887),
    [sym_indented_block] = STATE(14257),
    [sym_indented_cases] = STATE(14257),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1682),
    [sym_block_comment] = STATE(1682),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(760),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1683] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12253),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1683),
    [sym_block_comment] = STATE(1683),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1684] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13080),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1684),
    [sym_block_comment] = STATE(1684),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1685] = {
    [sym_inline_modifier] = STATE(2147),
    [sym__indentable_expression] = STATE(13929),
    [sym_block] = STATE(8286),
    [sym_indented_block] = STATE(13894),
    [sym_indented_cases] = STATE(13894),
    [sym_expression] = STATE(13505),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1685),
    [sym_block_comment] = STATE(1685),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2256),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1686] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12247),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1686),
    [sym_block_comment] = STATE(1686),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1687] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12242),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1687),
    [sym_block_comment] = STATE(1687),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1688] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14164),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1688),
    [sym_block_comment] = STATE(1688),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1689] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13073),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1689),
    [sym_block_comment] = STATE(1689),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1690] = {
    [sym_inline_modifier] = STATE(2338),
    [sym__indentable_expression] = STATE(13834),
    [sym_block] = STATE(8464),
    [sym_indented_block] = STATE(13967),
    [sym_indented_cases] = STATE(13967),
    [sym_expression] = STATE(13643),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1690),
    [sym_block_comment] = STATE(1690),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2314),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1691] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13059),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1691),
    [sym_block_comment] = STATE(1691),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1692] = {
    [sym_inline_modifier] = STATE(2218),
    [sym__indentable_expression] = STATE(13466),
    [sym_block] = STATE(6246),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(12511),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1692),
    [sym_block_comment] = STATE(1692),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1693] = {
    [sym_inline_modifier] = STATE(2187),
    [sym__indentable_expression] = STATE(14421),
    [sym_block] = STATE(7945),
    [sym_indented_block] = STATE(13472),
    [sym_indented_cases] = STATE(13472),
    [sym_expression] = STATE(13165),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(1693),
    [sym_block_comment] = STATE(1693),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2138),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1694] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14158),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1694),
    [sym_block_comment] = STATE(1694),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1695] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12196),
    [sym_block] = STATE(9683),
    [sym_indented_block] = STATE(12320),
    [sym_indented_cases] = STATE(12320),
    [sym_expression] = STATE(14084),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1695),
    [sym_block_comment] = STATE(1695),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2310),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1696] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(14151),
    [sym_block] = STATE(9323),
    [sym_indented_block] = STATE(14123),
    [sym_indented_cases] = STATE(14123),
    [sym_expression] = STATE(13739),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1696),
    [sym_block_comment] = STATE(1696),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2242),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1697] = {
    [sym_inline_modifier] = STATE(2312),
    [sym__indentable_expression] = STATE(14335),
    [sym_block] = STATE(8319),
    [sym_indented_block] = STATE(13729),
    [sym_indented_cases] = STATE(13729),
    [sym_expression] = STATE(13439),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1697),
    [sym_block_comment] = STATE(1697),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3300),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1698] = {
    [sym_inline_modifier] = STATE(2387),
    [sym__indentable_expression] = STATE(13162),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1698),
    [sym_block_comment] = STATE(1698),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1699] = {
    [sym_inline_modifier] = STATE(2388),
    [sym__indentable_expression] = STATE(13039),
    [sym_block] = STATE(7102),
    [sym_indented_block] = STATE(13327),
    [sym_indented_cases] = STATE(13327),
    [sym_expression] = STATE(12649),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1699),
    [sym_block_comment] = STATE(1699),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1700] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(14187),
    [sym_block] = STATE(6144),
    [sym_indented_block] = STATE(12240),
    [sym_indented_cases] = STATE(12240),
    [sym_expression] = STATE(12331),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1700),
    [sym_block_comment] = STATE(1700),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2250),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1701] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17988),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1701),
    [sym_block_comment] = STATE(1701),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_RPAREN] = ACTIONS(3340),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1702] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18335),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1702),
    [sym_block_comment] = STATE(1702),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_RPAREN] = ACTIONS(3344),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1703] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16837),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1703),
    [sym_block_comment] = STATE(1703),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_RPAREN] = ACTIONS(3348),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1704] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(16118),
    [sym__simple_expression] = STATE(5855),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17143),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9873),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5156),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8237),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1704),
    [sym_block_comment] = STATE(1704),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_COLON] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1658),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1705] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9364),
    [sym_expression] = STATE(15684),
    [sym__simple_expression] = STATE(5756),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16839),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9818),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5477),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(7652),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1705),
    [sym_block_comment] = STATE(1705),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_COLON] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1360),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1706] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17816),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1706),
    [sym_block_comment] = STATE(1706),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3350),
    [anon_sym_RPAREN] = ACTIONS(3352),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1707] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16862),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1707),
    [sym_block_comment] = STATE(1707),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1708] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17866),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1708),
    [sym_block_comment] = STATE(1708),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_RPAREN] = ACTIONS(3360),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1709] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16976),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1709),
    [sym_block_comment] = STATE(1709),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3362),
    [anon_sym_RPAREN] = ACTIONS(3364),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1710] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17061),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1710),
    [sym_block_comment] = STATE(1710),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_RPAREN] = ACTIONS(3368),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1711] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(15913),
    [sym__simple_expression] = STATE(4701),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16951),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8172),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(5816),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1711),
    [sym_block_comment] = STATE(1711),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_COLON] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1152),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1712] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18221),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1712),
    [sym_block_comment] = STATE(1712),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3370),
    [anon_sym_RPAREN] = ACTIONS(3372),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1713] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17940),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1713),
    [sym_block_comment] = STATE(1713),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3374),
    [anon_sym_RPAREN] = ACTIONS(3376),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1714] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17595),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1714),
    [sym_block_comment] = STATE(1714),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3378),
    [anon_sym_RPAREN] = ACTIONS(3380),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1715] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18470),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1715),
    [sym_block_comment] = STATE(1715),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3382),
    [anon_sym_RPAREN] = ACTIONS(3384),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1716] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18003),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1716),
    [sym_block_comment] = STATE(1716),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3386),
    [anon_sym_RPAREN] = ACTIONS(3388),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1717] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(5016),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16664),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8794),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(4714),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(6214),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1717),
    [sym_block_comment] = STATE(1717),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1718] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10004),
    [sym_expression] = STATE(15284),
    [sym__simple_expression] = STATE(7129),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17349),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10534),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6511),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(9294),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1718),
    [sym_block_comment] = STATE(1718),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_COLON] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [1719] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16972),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1719),
    [sym_block_comment] = STATE(1719),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3390),
    [anon_sym_RPAREN] = ACTIONS(3392),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1720] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(15432),
    [sym__simple_expression] = STATE(4660),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16861),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8270),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(4535),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(5960),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1720),
    [sym_block_comment] = STATE(1720),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_COLON] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1080),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [1721] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(15227),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17738),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10066),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(5554),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8893),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1721),
    [sym_block_comment] = STATE(1721),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_COLON] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2070),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1722] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(16321),
    [sym__simple_expression] = STATE(5214),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17248),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9502),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(6898),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1722),
    [sym_block_comment] = STATE(1722),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_COLON] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1324),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1723] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17438),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1723),
    [sym_block_comment] = STATE(1723),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3394),
    [anon_sym_RPAREN] = ACTIONS(3396),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1724] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16893),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1724),
    [sym_block_comment] = STATE(1724),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3398),
    [anon_sym_RPAREN] = ACTIONS(3400),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1725] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(15270),
    [sym__simple_expression] = STATE(7584),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16897),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10795),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7305),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(9592),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1725),
    [sym_block_comment] = STATE(1725),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_COLON] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2352),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1726] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17106),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1726),
    [sym_block_comment] = STATE(1726),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3402),
    [anon_sym_RPAREN] = ACTIONS(3404),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1727] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(15617),
    [sym__simple_expression] = STATE(5447),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16815),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9455),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(4884),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(6971),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1727),
    [sym_block_comment] = STATE(1727),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_COLON] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1288),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1728] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17210),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1728),
    [sym_block_comment] = STATE(1728),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3406),
    [anon_sym_RPAREN] = ACTIONS(3408),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1729] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17218),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1729),
    [sym_block_comment] = STATE(1729),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3410),
    [anon_sym_RPAREN] = ACTIONS(3412),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1730] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17232),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1730),
    [sym_block_comment] = STATE(1730),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3414),
    [anon_sym_RPAREN] = ACTIONS(3416),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1731] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17247),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1731),
    [sym_block_comment] = STATE(1731),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3418),
    [anon_sym_RPAREN] = ACTIONS(3420),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1732] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16706),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1732),
    [sym_block_comment] = STATE(1732),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3422),
    [anon_sym_RPAREN] = ACTIONS(3424),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1733] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17069),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1733),
    [sym_block_comment] = STATE(1733),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3426),
    [anon_sym_RPAREN] = ACTIONS(3428),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1734] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17275),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1734),
    [sym_block_comment] = STATE(1734),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3430),
    [anon_sym_RPAREN] = ACTIONS(3432),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1735] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17071),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1735),
    [sym_block_comment] = STATE(1735),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3434),
    [anon_sym_RPAREN] = ACTIONS(3436),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1736] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17299),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1736),
    [sym_block_comment] = STATE(1736),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3438),
    [anon_sym_RPAREN] = ACTIONS(3440),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1737] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17319),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1737),
    [sym_block_comment] = STATE(1737),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3442),
    [anon_sym_RPAREN] = ACTIONS(3444),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1738] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17337),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1738),
    [sym_block_comment] = STATE(1738),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3446),
    [anon_sym_RPAREN] = ACTIONS(3448),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1739] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18046),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1739),
    [sym_block_comment] = STATE(1739),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_RPAREN] = ACTIONS(3452),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1740] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17364),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1740),
    [sym_block_comment] = STATE(1740),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3454),
    [anon_sym_RPAREN] = ACTIONS(3456),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1741] = {
    [sym_inline_modifier] = STATE(2374),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13948),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1741),
    [sym_block_comment] = STATE(1741),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1742] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17273),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1742),
    [sym_block_comment] = STATE(1742),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_RPAREN] = ACTIONS(3460),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1743] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17390),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1743),
    [sym_block_comment] = STATE(1743),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_RPAREN] = ACTIONS(3464),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1744] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17409),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1744),
    [sym_block_comment] = STATE(1744),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3466),
    [anon_sym_RPAREN] = ACTIONS(3468),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1745] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17394),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1745),
    [sym_block_comment] = STATE(1745),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3470),
    [anon_sym_RPAREN] = ACTIONS(3472),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1746] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17429),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1746),
    [sym_block_comment] = STATE(1746),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_RPAREN] = ACTIONS(3476),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1747] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17651),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1747),
    [sym_block_comment] = STATE(1747),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1748] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16825),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1748),
    [sym_block_comment] = STATE(1748),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3482),
    [anon_sym_RPAREN] = ACTIONS(3484),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1749] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17463),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1749),
    [sym_block_comment] = STATE(1749),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3486),
    [anon_sym_RPAREN] = ACTIONS(3488),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1750] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18095),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1750),
    [sym_block_comment] = STATE(1750),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_RPAREN] = ACTIONS(3492),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1751] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17150),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1751),
    [sym_block_comment] = STATE(1751),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3494),
    [anon_sym_RPAREN] = ACTIONS(3496),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1752] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(16253),
    [sym__simple_expression] = STATE(4595),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17185),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(7376),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4483),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(5259),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1752),
    [sym_block_comment] = STATE(1752),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_COLON] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1008),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1753] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17532),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1753),
    [sym_block_comment] = STATE(1753),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3498),
    [anon_sym_RPAREN] = ACTIONS(3500),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1754] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18086),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1754),
    [sym_block_comment] = STATE(1754),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3502),
    [anon_sym_RPAREN] = ACTIONS(3504),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1755] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17711),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1755),
    [sym_block_comment] = STATE(1755),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3506),
    [anon_sym_RPAREN] = ACTIONS(3508),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1756] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10316),
    [sym_expression] = STATE(15736),
    [sym__simple_expression] = STATE(6839),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16863),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6702),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9371),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1756),
    [sym_block_comment] = STATE(1756),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_COLON] = ACTIONS(1842),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(1864),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [1757] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17918),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1757),
    [sym_block_comment] = STATE(1757),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3510),
    [anon_sym_RPAREN] = ACTIONS(3512),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1758] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16652),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1758),
    [sym_block_comment] = STATE(1758),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3514),
    [anon_sym_RPAREN] = ACTIONS(3516),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1759] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16751),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1759),
    [sym_block_comment] = STATE(1759),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3518),
    [anon_sym_RPAREN] = ACTIONS(3520),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1760] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17542),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1760),
    [sym_block_comment] = STATE(1760),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3522),
    [anon_sym_RPAREN] = ACTIONS(3524),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1761] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17598),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1761),
    [sym_block_comment] = STATE(1761),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3526),
    [anon_sym_RPAREN] = ACTIONS(3528),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1762] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17621),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1762),
    [sym_block_comment] = STATE(1762),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3530),
    [anon_sym_RPAREN] = ACTIONS(3532),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1763] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17650),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1763),
    [sym_block_comment] = STATE(1763),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3534),
    [anon_sym_RPAREN] = ACTIONS(3536),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1764] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(5016),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16664),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8794),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(4714),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(6214),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1764),
    [sym_block_comment] = STATE(1764),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1765] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17674),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1765),
    [sym_block_comment] = STATE(1765),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_RPAREN] = ACTIONS(3540),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1766] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17699),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1766),
    [sym_block_comment] = STATE(1766),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3542),
    [anon_sym_RPAREN] = ACTIONS(3544),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1767] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17726),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1767),
    [sym_block_comment] = STATE(1767),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3546),
    [anon_sym_RPAREN] = ACTIONS(3548),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1768] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(16015),
    [sym__simple_expression] = STATE(5980),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16995),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9826),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5335),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(7877),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1768),
    [sym_block_comment] = STATE(1768),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_COLON] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1604),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [1769] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18315),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1769),
    [sym_block_comment] = STATE(1769),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3550),
    [anon_sym_RPAREN] = ACTIONS(3552),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1770] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16932),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1770),
    [sym_block_comment] = STATE(1770),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3554),
    [anon_sym_RPAREN] = ACTIONS(3556),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1771] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17753),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1771),
    [sym_block_comment] = STATE(1771),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3558),
    [anon_sym_RPAREN] = ACTIONS(3560),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1772] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18112),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1772),
    [sym_block_comment] = STATE(1772),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3562),
    [anon_sym_RPAREN] = ACTIONS(3564),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1773] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17774),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1773),
    [sym_block_comment] = STATE(1773),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3566),
    [anon_sym_RPAREN] = ACTIONS(3568),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1774] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17805),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1774),
    [sym_block_comment] = STATE(1774),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_RPAREN] = ACTIONS(3572),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1775] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16692),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1775),
    [sym_block_comment] = STATE(1775),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3574),
    [anon_sym_RPAREN] = ACTIONS(3576),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1776] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17836),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1776),
    [sym_block_comment] = STATE(1776),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3578),
    [anon_sym_RPAREN] = ACTIONS(3580),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1777] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17734),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1777),
    [sym_block_comment] = STATE(1777),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_RPAREN] = ACTIONS(3584),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1778] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16813),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1778),
    [sym_block_comment] = STATE(1778),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3586),
    [anon_sym_RPAREN] = ACTIONS(3588),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1779] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17884),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1779),
    [sym_block_comment] = STATE(1779),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3590),
    [anon_sym_RPAREN] = ACTIONS(3592),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1780] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18132),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1780),
    [sym_block_comment] = STATE(1780),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_RPAREN] = ACTIONS(3596),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1781] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17902),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1781),
    [sym_block_comment] = STATE(1781),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3598),
    [anon_sym_RPAREN] = ACTIONS(3600),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1782] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9683),
    [sym_expression] = STATE(16333),
    [sym__simple_expression] = STATE(6240),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17730),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10151),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(5861),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8323),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1782),
    [sym_block_comment] = STATE(1782),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_COLON] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(1448),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [1783] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17926),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1783),
    [sym_block_comment] = STATE(1783),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3602),
    [anon_sym_RPAREN] = ACTIONS(3604),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1784] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17735),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1784),
    [sym_block_comment] = STATE(1784),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_RPAREN] = ACTIONS(3608),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1785] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17953),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1785),
    [sym_block_comment] = STATE(1785),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_RPAREN] = ACTIONS(3612),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1786] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17983),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1786),
    [sym_block_comment] = STATE(1786),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3614),
    [anon_sym_RPAREN] = ACTIONS(3616),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1787] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17195),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1787),
    [sym_block_comment] = STATE(1787),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3618),
    [anon_sym_RPAREN] = ACTIONS(3620),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1788] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17678),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1788),
    [sym_block_comment] = STATE(1788),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3622),
    [anon_sym_RPAREN] = ACTIONS(3624),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1789] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18008),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1789),
    [sym_block_comment] = STATE(1789),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_RPAREN] = ACTIONS(3628),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1790] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18027),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1790),
    [sym_block_comment] = STATE(1790),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3630),
    [anon_sym_RPAREN] = ACTIONS(3632),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1791] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(15828),
    [sym__simple_expression] = STATE(4489),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16907),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(6552),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4372),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(5040),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1791),
    [sym_block_comment] = STATE(1791),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(936),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1792] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16793),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1792),
    [sym_block_comment] = STATE(1792),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_RPAREN] = ACTIONS(3636),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1793] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17610),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1793),
    [sym_block_comment] = STATE(1793),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3640),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1794] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(15974),
    [sym__simple_expression] = STATE(6049),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16973),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9884),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(5145),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(8032),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1794),
    [sym_block_comment] = STATE(1794),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_COLON] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(1900),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1795] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17500),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1795),
    [sym_block_comment] = STATE(1795),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3642),
    [anon_sym_RPAREN] = ACTIONS(3644),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1796] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18114),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1796),
    [sym_block_comment] = STATE(1796),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3646),
    [anon_sym_RPAREN] = ACTIONS(3648),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1797] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18136),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1797),
    [sym_block_comment] = STATE(1797),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3650),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1798] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18157),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1798),
    [sym_block_comment] = STATE(1798),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_RPAREN] = ACTIONS(3656),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1799] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18176),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1799),
    [sym_block_comment] = STATE(1799),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3658),
    [anon_sym_RPAREN] = ACTIONS(3660),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1800] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(15227),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17738),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10066),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(5554),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8893),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1800),
    [sym_block_comment] = STATE(1800),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_COLON] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2070),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1801] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17986),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1801),
    [sym_block_comment] = STATE(1801),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_RPAREN] = ACTIONS(3664),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1802] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18196),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1802),
    [sym_block_comment] = STATE(1802),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3666),
    [anon_sym_RPAREN] = ACTIONS(3668),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1803] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17154),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1803),
    [sym_block_comment] = STATE(1803),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3670),
    [anon_sym_RPAREN] = ACTIONS(3672),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1804] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18214),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1804),
    [sym_block_comment] = STATE(1804),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3674),
    [anon_sym_RPAREN] = ACTIONS(3676),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1805] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(16068),
    [sym__simple_expression] = STATE(5066),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17122),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8727),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4744),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(6442),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1805),
    [sym_block_comment] = STATE(1805),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_COLON] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1116),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1806] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(16285),
    [sym__simple_expression] = STATE(5076),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17206),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8519),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(4671),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(6746),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1806),
    [sym_block_comment] = STATE(1806),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_COLON] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1252),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [1807] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17029),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1807),
    [sym_block_comment] = STATE(1807),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3678),
    [anon_sym_RPAREN] = ACTIONS(3680),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1808] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17292),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1808),
    [sym_block_comment] = STATE(1808),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_RPAREN] = ACTIONS(3684),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1809] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17759),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1809),
    [sym_block_comment] = STATE(1809),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3686),
    [anon_sym_RPAREN] = ACTIONS(3688),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1810] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18229),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1810),
    [sym_block_comment] = STATE(1810),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3690),
    [anon_sym_RPAREN] = ACTIONS(3692),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1811] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16759),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1811),
    [sym_block_comment] = STATE(1811),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3694),
    [anon_sym_RPAREN] = ACTIONS(3696),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1812] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16895),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1812),
    [sym_block_comment] = STATE(1812),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3698),
    [anon_sym_RPAREN] = ACTIONS(3700),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1813] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18256),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1813),
    [sym_block_comment] = STATE(1813),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3702),
    [anon_sym_RPAREN] = ACTIONS(3704),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1814] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13948),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1814),
    [sym_block_comment] = STATE(1814),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_finally] = ACTIONS(1164),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1815] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18272),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1815),
    [sym_block_comment] = STATE(1815),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3706),
    [anon_sym_RPAREN] = ACTIONS(3708),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1816] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17395),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1816),
    [sym_block_comment] = STATE(1816),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3710),
    [anon_sym_RPAREN] = ACTIONS(3712),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1817] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18300),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1817),
    [sym_block_comment] = STATE(1817),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3714),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1818] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17690),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1818),
    [sym_block_comment] = STATE(1818),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3718),
    [anon_sym_RPAREN] = ACTIONS(3720),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1819] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18316),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1819),
    [sym_block_comment] = STATE(1819),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3722),
    [anon_sym_RPAREN] = ACTIONS(3724),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1820] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18334),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1820),
    [sym_block_comment] = STATE(1820),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3726),
    [anon_sym_RPAREN] = ACTIONS(3728),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1821] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17682),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1821),
    [sym_block_comment] = STATE(1821),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3730),
    [anon_sym_RPAREN] = ACTIONS(3732),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1822] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18347),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1822),
    [sym_block_comment] = STATE(1822),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3734),
    [anon_sym_RPAREN] = ACTIONS(3736),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1823] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17518),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1823),
    [sym_block_comment] = STATE(1823),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3738),
    [anon_sym_RPAREN] = ACTIONS(3740),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1824] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18154),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1824),
    [sym_block_comment] = STATE(1824),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_RPAREN] = ACTIONS(3744),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1825] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18364),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1825),
    [sym_block_comment] = STATE(1825),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3746),
    [anon_sym_RPAREN] = ACTIONS(3748),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1826] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18439),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1826),
    [sym_block_comment] = STATE(1826),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3750),
    [anon_sym_RPAREN] = ACTIONS(3752),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1827] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(15905),
    [sym__simple_expression] = STATE(4584),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(18289),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(7297),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4479),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(5441),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1827),
    [sym_block_comment] = STATE(1827),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_COLON] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(972),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1828] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18173),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1828),
    [sym_block_comment] = STATE(1828),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3754),
    [anon_sym_RPAREN] = ACTIONS(3756),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1829] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9962),
    [sym_expression] = STATE(16186),
    [sym__simple_expression] = STATE(6101),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17164),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10051),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(5637),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8437),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1829),
    [sym_block_comment] = STATE(1829),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_COLON] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1520),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1830] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18454),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1830),
    [sym_block_comment] = STATE(1830),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3758),
    [anon_sym_RPAREN] = ACTIONS(3760),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1831] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18474),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1831),
    [sym_block_comment] = STATE(1831),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3762),
    [anon_sym_RPAREN] = ACTIONS(3764),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1832] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(15877),
    [sym__simple_expression] = STATE(4636),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16929),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8012),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(4597),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(5735),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1832),
    [sym_block_comment] = STATE(1832),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_COLON] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(1044),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1833] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17896),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1833),
    [sym_block_comment] = STATE(1833),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3766),
    [anon_sym_RPAREN] = ACTIONS(3768),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1834] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(15540),
    [sym__simple_expression] = STATE(5397),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16714),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9473),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(4905),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(7440),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1834),
    [sym_block_comment] = STATE(1834),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(1484),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1835] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17925),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1835),
    [sym_block_comment] = STATE(1835),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1836] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18489),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1836),
    [sym_block_comment] = STATE(1836),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3774),
    [anon_sym_RPAREN] = ACTIONS(3776),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1837] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18467),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1837),
    [sym_block_comment] = STATE(1837),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3778),
    [anon_sym_RPAREN] = ACTIONS(3780),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1838] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18444),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1838),
    [sym_block_comment] = STATE(1838),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3782),
    [anon_sym_RPAREN] = ACTIONS(3784),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1839] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18322),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1839),
    [sym_block_comment] = STATE(1839),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3786),
    [anon_sym_RPAREN] = ACTIONS(3788),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1840] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18359),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1840),
    [sym_block_comment] = STATE(1840),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3790),
    [anon_sym_RPAREN] = ACTIONS(3792),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1841] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18192),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1841),
    [sym_block_comment] = STATE(1841),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3794),
    [anon_sym_RPAREN] = ACTIONS(3796),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1842] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17993),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1842),
    [sym_block_comment] = STATE(1842),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3798),
    [anon_sym_RPAREN] = ACTIONS(3800),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1843] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18345),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1843),
    [sym_block_comment] = STATE(1843),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3802),
    [anon_sym_RPAREN] = ACTIONS(3804),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1844] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18072),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1844),
    [sym_block_comment] = STATE(1844),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3806),
    [anon_sym_RPAREN] = ACTIONS(3808),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1845] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18070),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1845),
    [sym_block_comment] = STATE(1845),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3810),
    [anon_sym_RPAREN] = ACTIONS(3812),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1846] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18281),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1846),
    [sym_block_comment] = STATE(1846),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3814),
    [anon_sym_RPAREN] = ACTIONS(3816),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1847] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18317),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1847),
    [sym_block_comment] = STATE(1847),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3818),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1848] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17818),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1848),
    [sym_block_comment] = STATE(1848),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3822),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1849] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(15316),
    [sym__simple_expression] = STATE(5112),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17899),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9248),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(4978),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(6804),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1849),
    [sym_block_comment] = STATE(1849),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_COLON] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_match] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1714),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1850] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18295),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1850),
    [sym_block_comment] = STATE(1850),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3826),
    [anon_sym_RPAREN] = ACTIONS(3828),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1851] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17308),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1851),
    [sym_block_comment] = STATE(1851),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3830),
    [anon_sym_RPAREN] = ACTIONS(3832),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1852] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18269),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1852),
    [sym_block_comment] = STATE(1852),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3834),
    [anon_sym_RPAREN] = ACTIONS(3836),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1853] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18251),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1853),
    [sym_block_comment] = STATE(1853),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3838),
    [anon_sym_RPAREN] = ACTIONS(3840),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1854] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18210),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1854),
    [sym_block_comment] = STATE(1854),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3842),
    [anon_sym_RPAREN] = ACTIONS(3844),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1855] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16666),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1855),
    [sym_block_comment] = STATE(1855),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3846),
    [anon_sym_RPAREN] = ACTIONS(3848),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1856] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18294),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1856),
    [sym_block_comment] = STATE(1856),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_using] = ACTIONS(3850),
    [anon_sym_RPAREN] = ACTIONS(3852),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1857] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14431),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1857),
    [sym_block_comment] = STATE(1857),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3854),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1858] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14449),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1858),
    [sym_block_comment] = STATE(1858),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3858),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1859] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14461),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1859),
    [sym_block_comment] = STATE(1859),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3860),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1860] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14462),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1860),
    [sym_block_comment] = STATE(1860),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3862),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1861] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14564),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1861),
    [sym_block_comment] = STATE(1861),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3864),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1862] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14538),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1862),
    [sym_block_comment] = STATE(1862),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3866),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1863] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14517),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1863),
    [sym_block_comment] = STATE(1863),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1864] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14476),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1864),
    [sym_block_comment] = STATE(1864),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3870),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1865] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14524),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1865),
    [sym_block_comment] = STATE(1865),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3872),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1866] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14566),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1866),
    [sym_block_comment] = STATE(1866),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3874),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1867] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1867),
    [sym_block_comment] = STATE(1867),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3876),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1868] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14558),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1868),
    [sym_block_comment] = STATE(1868),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3878),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1869] = {
    [sym_inline_modifier] = STATE(2104),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14044),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1869),
    [sym_block_comment] = STATE(1869),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1870] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14477),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1870),
    [sym_block_comment] = STATE(1870),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3880),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1871] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14469),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1871),
    [sym_block_comment] = STATE(1871),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3882),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1872] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14562),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1872),
    [sym_block_comment] = STATE(1872),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3884),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1873] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14499),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1873),
    [sym_block_comment] = STATE(1873),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3886),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1874] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14452),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1874),
    [sym_block_comment] = STATE(1874),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3888),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1875] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14533),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1875),
    [sym_block_comment] = STATE(1875),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3890),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1876] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14539),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1876),
    [sym_block_comment] = STATE(1876),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3892),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1877] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14544),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1877),
    [sym_block_comment] = STATE(1877),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3894),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1878] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14475),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1878),
    [sym_block_comment] = STATE(1878),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3896),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1879] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14430),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1879),
    [sym_block_comment] = STATE(1879),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3898),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1880] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14460),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1880),
    [sym_block_comment] = STATE(1880),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3900),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1881] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14428),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1881),
    [sym_block_comment] = STATE(1881),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3880),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1882] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14441),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1882),
    [sym_block_comment] = STATE(1882),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3902),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1883] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14506),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1883),
    [sym_block_comment] = STATE(1883),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3904),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1884] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14044),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1884),
    [sym_block_comment] = STATE(1884),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_match] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1885] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14490),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_binding] = STATE(15303),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(7553),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10119),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1885),
    [sym_block_comment] = STATE(1885),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3880),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3856),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1886] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16678),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1886),
    [sym_block_comment] = STATE(1886),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1887] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12348),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1887),
    [sym_block_comment] = STATE(1887),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_yield] = ACTIONS(3906),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1888] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17204),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1888),
    [sym_block_comment] = STATE(1888),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1889] = {
    [sym_inline_modifier] = STATE(2336),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13709),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1889),
    [sym_block_comment] = STATE(1889),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_yield] = ACTIONS(3908),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1890] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1890),
    [sym_block_comment] = STATE(1890),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3910),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1891] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17501),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1891),
    [sym_block_comment] = STATE(1891),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1892] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17346),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1892),
    [sym_block_comment] = STATE(1892),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1893] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17454),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1893),
    [sym_block_comment] = STATE(1893),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1894] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17540),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1894),
    [sym_block_comment] = STATE(1894),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1895] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17157),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1895),
    [sym_block_comment] = STATE(1895),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1896] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16743),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1896),
    [sym_block_comment] = STATE(1896),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1897] = {
    [sym_inline_modifier] = STATE(2328),
    [sym_block] = STATE(9364),
    [sym_expression] = STATE(14004),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1897),
    [sym_block_comment] = STATE(1897),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_yield] = ACTIONS(3912),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [1898] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17312),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1898),
    [sym_block_comment] = STATE(1898),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1899] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17676),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1899),
    [sym_block_comment] = STATE(1899),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1900] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17609),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1900),
    [sym_block_comment] = STATE(1900),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1901] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13548),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(1901),
    [sym_block_comment] = STATE(1901),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_yield] = ACTIONS(3914),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [1902] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17085),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1902),
    [sym_block_comment] = STATE(1902),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1903] = {
    [sym_inline_modifier] = STATE(2354),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13138),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1903),
    [sym_block_comment] = STATE(1903),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3916),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1904] = {
    [sym_inline_modifier] = STATE(2362),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13373),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1904),
    [sym_block_comment] = STATE(1904),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_yield] = ACTIONS(3918),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1905] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16817),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1905),
    [sym_block_comment] = STATE(1905),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1906] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17649),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1906),
    [sym_block_comment] = STATE(1906),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1907] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17660),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1907),
    [sym_block_comment] = STATE(1907),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1908] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1908),
    [sym_block_comment] = STATE(1908),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3920),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1909] = {
    [sym_inline_modifier] = STATE(2218),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12304),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(1909),
    [sym_block_comment] = STATE(1909),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_yield] = ACTIONS(3922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [1910] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17721),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1910),
    [sym_block_comment] = STATE(1910),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1911] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17042),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1911),
    [sym_block_comment] = STATE(1911),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1912] = {
    [sym_inline_modifier] = STATE(2367),
    [sym_block] = STATE(10316),
    [sym_expression] = STATE(14296),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1912),
    [sym_block_comment] = STATE(1912),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_yield] = ACTIONS(3924),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [1913] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1913),
    [sym_block_comment] = STATE(1913),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1914] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1914),
    [sym_block_comment] = STATE(1914),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3926),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1915] = {
    [sym_inline_modifier] = STATE(2316),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13686),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(1915),
    [sym_block_comment] = STATE(1915),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_yield] = ACTIONS(3928),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [1916] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1916),
    [sym_block_comment] = STATE(1916),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3930),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1917] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17844),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1917),
    [sym_block_comment] = STATE(1917),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1918] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16985),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1918),
    [sym_block_comment] = STATE(1918),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1919] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1919),
    [sym_block_comment] = STATE(1919),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3932),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1920] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16878),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1920),
    [sym_block_comment] = STATE(1920),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1921] = {
    [sym_inline_modifier] = STATE(2242),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12348),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1921),
    [sym_block_comment] = STATE(1921),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_yield] = ACTIONS(3934),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1922] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17890),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1922),
    [sym_block_comment] = STATE(1922),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1923] = {
    [sym_inline_modifier] = STATE(2369),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13709),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1923),
    [sym_block_comment] = STATE(1923),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_yield] = ACTIONS(3936),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1924] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17956),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1924),
    [sym_block_comment] = STATE(1924),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1925] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17754),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1925),
    [sym_block_comment] = STATE(1925),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1926] = {
    [sym_inline_modifier] = STATE(2353),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13770),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1926),
    [sym_block_comment] = STATE(1926),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_yield] = ACTIONS(3938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1927] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16938),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1927),
    [sym_block_comment] = STATE(1927),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1928] = {
    [sym_inline_modifier] = STATE(2374),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13879),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1928),
    [sym_block_comment] = STATE(1928),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_yield] = ACTIONS(3940),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1929] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18015),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1929),
    [sym_block_comment] = STATE(1929),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1930] = {
    [sym_inline_modifier] = STATE(2101),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13518),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1930),
    [sym_block_comment] = STATE(1930),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1931] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18057),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1931),
    [sym_block_comment] = STATE(1931),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1932] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18106),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1932),
    [sym_block_comment] = STATE(1932),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1933] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18120),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1933),
    [sym_block_comment] = STATE(1933),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1934] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1934),
    [sym_block_comment] = STATE(1934),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3944),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1935] = {
    [sym_inline_modifier] = STATE(2103),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12348),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1935),
    [sym_block_comment] = STATE(1935),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_yield] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [1936] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18259),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1936),
    [sym_block_comment] = STATE(1936),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1937] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18140),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1937),
    [sym_block_comment] = STATE(1937),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1938] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18162),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1938),
    [sym_block_comment] = STATE(1938),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1939] = {
    [sym_inline_modifier] = STATE(2312),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13709),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(1939),
    [sym_block_comment] = STATE(1939),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_yield] = ACTIONS(3948),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [1940] = {
    [sym_inline_modifier] = STATE(2376),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11954),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1940),
    [sym_block_comment] = STATE(1940),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_yield] = ACTIONS(3950),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1941] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17959),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1941),
    [sym_block_comment] = STATE(1941),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1942] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18181),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1942),
    [sym_block_comment] = STATE(1942),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1943] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1943),
    [sym_block_comment] = STATE(1943),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3952),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1944] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1944),
    [sym_block_comment] = STATE(1944),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3954),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1945] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18200),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1945),
    [sym_block_comment] = STATE(1945),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1946] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12734),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1946),
    [sym_block_comment] = STATE(1946),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_yield] = ACTIONS(3956),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1947] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16913),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1947),
    [sym_block_comment] = STATE(1947),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1948] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1948),
    [sym_block_comment] = STATE(1948),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3958),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1949] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18218),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1949),
    [sym_block_comment] = STATE(1949),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1950] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16979),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1950),
    [sym_block_comment] = STATE(1950),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1951] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18234),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1951),
    [sym_block_comment] = STATE(1951),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1952] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1952),
    [sym_block_comment] = STATE(1952),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3960),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1953] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1953),
    [sym_block_comment] = STATE(1953),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3962),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1954] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18277),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1954),
    [sym_block_comment] = STATE(1954),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1955] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11954),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(1955),
    [sym_block_comment] = STATE(1955),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_yield] = ACTIONS(3964),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [1956] = {
    [sym_inline_modifier] = STATE(2348),
    [sym_block] = STATE(9962),
    [sym_expression] = STATE(14159),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(1956),
    [sym_block_comment] = STATE(1956),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_yield] = ACTIONS(3966),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [1957] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18306),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1957),
    [sym_block_comment] = STATE(1957),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1958] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18321),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1958),
    [sym_block_comment] = STATE(1958),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1959] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18339),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1959),
    [sym_block_comment] = STATE(1959),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1960] = {
    [sym_inline_modifier] = STATE(2382),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12734),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(1960),
    [sym_block_comment] = STATE(1960),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_yield] = ACTIONS(3968),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [1961] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14057),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1961),
    [sym_block_comment] = STATE(1961),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(3970),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1962] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18351),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1962),
    [sym_block_comment] = STATE(1962),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1963] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13770),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(1963),
    [sym_block_comment] = STATE(1963),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_yield] = ACTIONS(3972),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [1964] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18460),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1964),
    [sym_block_comment] = STATE(1964),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1965] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18365),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1965),
    [sym_block_comment] = STATE(1965),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1966] = {
    [sym_inline_modifier] = STATE(2200),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14536),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(1966),
    [sym_block_comment] = STATE(1966),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3974),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1967] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18456),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1967),
    [sym_block_comment] = STATE(1967),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1968] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18486),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1968),
    [sym_block_comment] = STATE(1968),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1969] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18480),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1969),
    [sym_block_comment] = STATE(1969),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1970] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17789),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1970),
    [sym_block_comment] = STATE(1970),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1971] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18491),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1971),
    [sym_block_comment] = STATE(1971),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1972] = {
    [sym_inline_modifier] = STATE(2138),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13373),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(1972),
    [sym_block_comment] = STATE(1972),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_yield] = ACTIONS(3976),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [1973] = {
    [sym_inline_modifier] = STATE(2387),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12970),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1973),
    [sym_block_comment] = STATE(1973),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(3978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1974] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18469),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1974),
    [sym_block_comment] = STATE(1974),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1975] = {
    [sym_inline_modifier] = STATE(2388),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12970),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(1975),
    [sym_block_comment] = STATE(1975),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(3980),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [1976] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1976),
    [sym_block_comment] = STATE(1976),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3982),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1977] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16955),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1977),
    [sym_block_comment] = STATE(1977),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1978] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18451),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1978),
    [sym_block_comment] = STATE(1978),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1979] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18434),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1979),
    [sym_block_comment] = STATE(1979),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1980] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18356),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1980),
    [sym_block_comment] = STATE(1980),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1981] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18344),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1981),
    [sym_block_comment] = STATE(1981),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1982] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1982),
    [sym_block_comment] = STATE(1982),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3984),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1983] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18326),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1983),
    [sym_block_comment] = STATE(1983),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1984] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18311),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1984),
    [sym_block_comment] = STATE(1984),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1985] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17365),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1985),
    [sym_block_comment] = STATE(1985),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1986] = {
    [sym_inline_modifier] = STATE(2147),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13518),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(1986),
    [sym_block_comment] = STATE(1986),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_yield] = ACTIONS(3986),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [1987] = {
    [sym_inline_modifier] = STATE(2325),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14047),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(1987),
    [sym_block_comment] = STATE(1987),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_yield] = ACTIONS(3988),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [1988] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18292),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1988),
    [sym_block_comment] = STATE(1988),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1989] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17972),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1989),
    [sym_block_comment] = STATE(1989),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1990] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17358),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1990),
    [sym_block_comment] = STATE(1990),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1991] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18268),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1991),
    [sym_block_comment] = STATE(1991),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1992] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18250),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1992),
    [sym_block_comment] = STATE(1992),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1993] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18226),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1993),
    [sym_block_comment] = STATE(1993),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1994] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18209),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1994),
    [sym_block_comment] = STATE(1994),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1995] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18116),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1995),
    [sym_block_comment] = STATE(1995),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1996] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18435),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1996),
    [sym_block_comment] = STATE(1996),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1997] = {
    [sym_inline_modifier] = STATE(2282),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13879),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(1997),
    [sym_block_comment] = STATE(1997),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_yield] = ACTIONS(3990),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [1998] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18172),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1998),
    [sym_block_comment] = STATE(1998),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [1999] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18151),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(1999),
    [sym_block_comment] = STATE(1999),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2000] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12798),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2000),
    [sym_block_comment] = STATE(2000),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_yield] = ACTIONS(3992),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2001] = {
    [sym_inline_modifier] = STATE(2187),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13104),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2001),
    [sym_block_comment] = STATE(2001),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(3994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2002] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18131),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2002),
    [sym_block_comment] = STATE(2002),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2003] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16856),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2003),
    [sym_block_comment] = STATE(2003),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2004] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18109),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2004),
    [sym_block_comment] = STATE(2004),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2005] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18090),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2005),
    [sym_block_comment] = STATE(2005),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2006] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18066),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2006),
    [sym_block_comment] = STATE(2006),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2007] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17477),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2007),
    [sym_block_comment] = STATE(2007),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2008] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2008),
    [sym_block_comment] = STATE(2008),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(3996),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2009] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12734),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2009),
    [sym_block_comment] = STATE(2009),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_yield] = ACTIONS(3998),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2010] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17267),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2010),
    [sym_block_comment] = STATE(2010),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2011] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18045),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2011),
    [sym_block_comment] = STATE(2011),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2012] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18021),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2012),
    [sym_block_comment] = STATE(2012),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2013] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16826),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2013),
    [sym_block_comment] = STATE(2013),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2014] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2014),
    [sym_block_comment] = STATE(2014),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4000),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2015] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17733),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2015),
    [sym_block_comment] = STATE(2015),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2016] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17820),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2016),
    [sym_block_comment] = STATE(2016),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2017] = {
    [sym_inline_modifier] = STATE(2338),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13686),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(2017),
    [sym_block_comment] = STATE(2017),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_yield] = ACTIONS(4002),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [2018] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18001),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2018),
    [sym_block_comment] = STATE(2018),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2019] = {
    [sym_inline_modifier] = STATE(2364),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14047),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(2019),
    [sym_block_comment] = STATE(2019),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_yield] = ACTIONS(4004),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2020] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2020),
    [sym_block_comment] = STATE(2020),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4006),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2021] = {
    [sym_inline_modifier] = STATE(2104),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14057),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2021),
    [sym_block_comment] = STATE(2021),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(4008),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2022] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17864),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2022),
    [sym_block_comment] = STATE(2022),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2023] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17978),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2023),
    [sym_block_comment] = STATE(2023),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2024] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2024),
    [sym_block_comment] = STATE(2024),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4010),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2025] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17948),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2025),
    [sym_block_comment] = STATE(2025),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2026] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17922),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2026),
    [sym_block_comment] = STATE(2026),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2027] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2027),
    [sym_block_comment] = STATE(2027),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4012),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2028] = {
    [sym_inline_modifier] = STATE(2404),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11954),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2028),
    [sym_block_comment] = STATE(2028),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_yield] = ACTIONS(4014),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2029] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17898),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2029),
    [sym_block_comment] = STATE(2029),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2030] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17880),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2030),
    [sym_block_comment] = STATE(2030),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2031] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2031),
    [sym_block_comment] = STATE(2031),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4016),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2032] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17854),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2032),
    [sym_block_comment] = STATE(2032),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2033] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2033),
    [sym_block_comment] = STATE(2033),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4018),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2034] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18443),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2034),
    [sym_block_comment] = STATE(2034),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2035] = {
    [sym_inline_modifier] = STATE(2410),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(13768),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(2035),
    [sym_block_comment] = STATE(2035),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_yield] = ACTIONS(4020),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [2036] = {
    [sym_inline_modifier] = STATE(2280),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12798),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2036),
    [sym_block_comment] = STATE(2036),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_yield] = ACTIONS(4022),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2037] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17250),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2037),
    [sym_block_comment] = STATE(2037),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2038] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17476),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2038),
    [sym_block_comment] = STATE(2038),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2039] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17793),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2039),
    [sym_block_comment] = STATE(2039),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2040] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(9683),
    [sym_expression] = STATE(14049),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2040),
    [sym_block_comment] = STATE(2040),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_yield] = ACTIONS(4024),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [2041] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2041),
    [sym_block_comment] = STATE(2041),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4026),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2042] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16768),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2042),
    [sym_block_comment] = STATE(2042),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2043] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17763),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2043),
    [sym_block_comment] = STATE(2043),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2044] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17744),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2044),
    [sym_block_comment] = STATE(2044),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2045] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2045),
    [sym_block_comment] = STATE(2045),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4028),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2046] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17716),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2046),
    [sym_block_comment] = STATE(2046),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2047] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13548),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2047),
    [sym_block_comment] = STATE(2047),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_yield] = ACTIONS(4030),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2048] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17688),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2048),
    [sym_block_comment] = STATE(2048),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2049] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2049),
    [sym_block_comment] = STATE(2049),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4032),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2050] = {
    [sym_inline_modifier] = STATE(2400),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12304),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2050),
    [sym_block_comment] = STATE(2050),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_yield] = ACTIONS(4034),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2051] = {
    [sym_inline_modifier] = STATE(2284),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(13768),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(2051),
    [sym_block_comment] = STATE(2051),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_yield] = ACTIONS(4036),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [2052] = {
    [sym_inline_modifier] = STATE(2370),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13138),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2052),
    [sym_block_comment] = STATE(2052),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(4038),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2053] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17668),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2053),
    [sym_block_comment] = STATE(2053),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2054] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17638),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2054),
    [sym_block_comment] = STATE(2054),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2055] = {
    [sym_inline_modifier] = STATE(2411),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12970),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(2055),
    [sym_block_comment] = STATE(2055),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2056] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17614),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2056),
    [sym_block_comment] = STATE(2056),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2057] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17594),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2057),
    [sym_block_comment] = STATE(2057),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2058] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17043),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2058),
    [sym_block_comment] = STATE(2058),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2059] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13104),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2059),
    [sym_block_comment] = STATE(2059),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(4042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2060] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17566),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2060),
    [sym_block_comment] = STATE(2060),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2061] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17970),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2061),
    [sym_block_comment] = STATE(2061),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2062] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17520),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2062),
    [sym_block_comment] = STATE(2062),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2063] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17451),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2063),
    [sym_block_comment] = STATE(2063),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2064] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16720),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2064),
    [sym_block_comment] = STATE(2064),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2065] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16651),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2065),
    [sym_block_comment] = STATE(2065),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2066] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17397),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2066),
    [sym_block_comment] = STATE(2066),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2067] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18185),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2067),
    [sym_block_comment] = STATE(2067),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2068] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2068),
    [sym_block_comment] = STATE(2068),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4044),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2069] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13104),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2069),
    [sym_block_comment] = STATE(2069),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(4046),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2070] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17375),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2070),
    [sym_block_comment] = STATE(2070),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2071] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13879),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(2071),
    [sym_block_comment] = STATE(2071),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_yield] = ACTIONS(4048),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2072] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2072),
    [sym_block_comment] = STATE(2072),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4050),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2073] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2073),
    [sym_block_comment] = STATE(2073),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4052),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2074] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17351),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2074),
    [sym_block_comment] = STATE(2074),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2075] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2075),
    [sym_block_comment] = STATE(2075),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_RPAREN] = ACTIONS(4054),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2076] = {
    [sym_inline_modifier] = STATE(2229),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13138),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2076),
    [sym_block_comment] = STATE(2076),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(4056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2077] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17205),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2077),
    [sym_block_comment] = STATE(2077),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2078] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17214),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2078),
    [sym_block_comment] = STATE(2078),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2079] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12304),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2079),
    [sym_block_comment] = STATE(2079),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_yield] = ACTIONS(4058),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2080] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17006),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2080),
    [sym_block_comment] = STATE(2080),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2081] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18053),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2081),
    [sym_block_comment] = STATE(2081),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2082] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(10004),
    [sym_expression] = STATE(14320),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2082),
    [sym_block_comment] = STATE(2082),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_yield] = ACTIONS(4060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [2083] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17260),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2083),
    [sym_block_comment] = STATE(2083),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2084] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14057),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2084),
    [sym_block_comment] = STATE(2084),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(4062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2085] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17131),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2085),
    [sym_block_comment] = STATE(2085),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2086] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13548),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2086),
    [sym_block_comment] = STATE(2086),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_yield] = ACTIONS(4064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2087] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16796),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2087),
    [sym_block_comment] = STATE(2087),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2088] = {
    [sym_inline_modifier] = STATE(2401),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13138),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2088),
    [sym_block_comment] = STATE(2088),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(4066),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2089] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(16684),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2089),
    [sym_block_comment] = STATE(2089),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2090] = {
    [sym_inline_modifier] = STATE(2321),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12798),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2090),
    [sym_block_comment] = STATE(2090),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_yield] = ACTIONS(4068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2091] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17229),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2091),
    [sym_block_comment] = STATE(2091),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2092] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17311),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2092),
    [sym_block_comment] = STATE(2092),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2093] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(18475),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2093),
    [sym_block_comment] = STATE(2093),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2094] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17239),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2094),
    [sym_block_comment] = STATE(2094),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2095] = {
    [sym_inline_modifier] = STATE(2402),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14047),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(2095),
    [sym_block_comment] = STATE(2095),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_yield] = ACTIONS(4070),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2096] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17333),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2096),
    [sym_block_comment] = STATE(2096),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2097] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14463),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym__exprs_in_parens] = STATE(17295),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2097),
    [sym_block_comment] = STATE(2097),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2098] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14041),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2098),
    [sym_block_comment] = STATE(2098),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2099] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13615),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2099),
    [sym_block_comment] = STATE(2099),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2100] = {
    [sym_inline_modifier] = STATE(2387),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12786),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(2100),
    [sym_block_comment] = STATE(2100),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2101] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16213),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2101),
    [sym_block_comment] = STATE(2101),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4072),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2102] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(15540),
    [sym__simple_expression] = STATE(5368),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16714),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(4905),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(7440),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2102),
    [sym_block_comment] = STATE(2102),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(1484),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [2103] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16265),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2103),
    [sym_block_comment] = STATE(2103),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4074),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2104] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15842),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2104),
    [sym_block_comment] = STATE(2104),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4076),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2105] = {
    [sym_inline_modifier] = STATE(2336),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13691),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(2105),
    [sym_block_comment] = STATE(2105),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [2106] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9364),
    [sym_expression] = STATE(15684),
    [sym__simple_expression] = STATE(5827),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10006),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16839),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9746),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5477),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(7652),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2106),
    [sym_block_comment] = STATE(2106),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1360),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [2107] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(15227),
    [sym__simple_expression] = STATE(6895),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10685),
    [sym_postfix_expression] = STATE(14244),
    [sym__postfix_expression_choice] = STATE(14808),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(5554),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8893),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2107),
    [sym_block_comment] = STATE(2107),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2070),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2108] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(16285),
    [sym__simple_expression] = STATE(5042),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17206),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(4671),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(6746),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2108),
    [sym_block_comment] = STATE(2108),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1252),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2109] = {
    [sym_inline_modifier] = STATE(2321),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12806),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2109),
    [sym_block_comment] = STATE(2109),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2110] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(15316),
    [sym__simple_expression] = STATE(5237),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17899),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(4978),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(6804),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2110),
    [sym_block_comment] = STATE(2110),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1714),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2111] = {
    [sym_inline_modifier] = STATE(2321),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12799),
    [sym__simple_expression] = STATE(5624),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16596),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9834),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5216),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7682),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2111),
    [sym_block_comment] = STATE(2111),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2112] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15012),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2112),
    [sym_block_comment] = STATE(2112),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2113] = {
    [sym_inline_modifier] = STATE(2401),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13065),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2113),
    [sym_block_comment] = STATE(2113),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2114] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13615),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2114),
    [sym_block_comment] = STATE(2114),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2115] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14985),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2115),
    [sym_block_comment] = STATE(2115),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2116] = {
    [sym_inline_modifier] = STATE(2401),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13076),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2116),
    [sym_block_comment] = STATE(2116),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2117] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13637),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2117),
    [sym_block_comment] = STATE(2117),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2118] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10316),
    [sym_expression] = STATE(15736),
    [sym__simple_expression] = STATE(6811),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16863),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6702),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9371),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2118),
    [sym_block_comment] = STATE(2118),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(1864),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [2119] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14721),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2119),
    [sym_block_comment] = STATE(2119),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2120] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(4960),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16664),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(4714),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(6214),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2120),
    [sym_block_comment] = STATE(2120),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2121] = {
    [sym_inline_modifier] = STATE(2354),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13076),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2121),
    [sym_block_comment] = STATE(2121),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2122] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16277),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2122),
    [sym_block_comment] = STATE(2122),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4078),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2123] = {
    [sym_inline_modifier] = STATE(2336),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13650),
    [sym__simple_expression] = STATE(7672),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16615),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10824),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7389),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9840),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(2123),
    [sym_block_comment] = STATE(2123),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [2124] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12338),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2124),
    [sym_block_comment] = STATE(2124),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2125] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16244),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2125),
    [sym_block_comment] = STATE(2125),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4080),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2126] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13142),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2126),
    [sym_block_comment] = STATE(2126),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2127] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16288),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2127),
    [sym_block_comment] = STATE(2127),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2128] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12347),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2128),
    [sym_block_comment] = STATE(2128),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2129] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(11135),
    [sym_expression] = STATE(15356),
    [sym__simple_expression] = STATE(8942),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(11135),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(11135),
    [sym_call_expression] = STATE(11135),
    [sym_field_expression] = STATE(11135),
    [sym_instance_expression] = STATE(11135),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16885),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(11135),
    [sym_parenthesized_expression] = STATE(11135),
    [sym_splice_expression] = STATE(11135),
    [sym_quote_expression] = STATE(11135),
    [sym_identifier] = STATE(9055),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10714),
    [sym__non_null_literal] = STATE(11135),
    [sym_boolean_literal] = STATE(11070),
    [sym_interpolated_string_expression] = STATE(11135),
    [sym_string] = STATE(11070),
    [sym_unit] = STATE(11135),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2129),
    [sym_block_comment] = STATE(2129),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3318),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3324),
    [sym_integer_literal] = ACTIONS(3326),
    [sym_floating_point_literal] = ACTIONS(3328),
    [anon_sym_true] = ACTIONS(3330),
    [anon_sym_false] = ACTIONS(3330),
    [sym_character_literal] = ACTIONS(3328),
    [sym_null_literal] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3334),
    [sym__simple_string] = ACTIONS(3334),
  },
  [2130] = {
    [sym_inline_modifier] = STATE(2400),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12333),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2130),
    [sym_block_comment] = STATE(2130),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2131] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(15905),
    [sym__simple_expression] = STATE(4533),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(7867),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(18289),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(7303),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4479),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(5441),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2131),
    [sym_block_comment] = STATE(2131),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(972),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2132] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(15828),
    [sym__simple_expression] = STATE(4465),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(6909),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16907),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(6658),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4372),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(5040),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2132),
    [sym_block_comment] = STATE(2132),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(936),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2133] = {
    [sym_inline_modifier] = STATE(2402),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14184),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(2133),
    [sym_block_comment] = STATE(2133),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2134] = {
    [sym_inline_modifier] = STATE(2354),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13065),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2134),
    [sym_block_comment] = STATE(2134),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2135] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(9683),
    [sym_expression] = STATE(14211),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2135),
    [sym_block_comment] = STATE(2135),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [2136] = {
    [sym_inline_modifier] = STATE(2200),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14465),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2136),
    [sym_block_comment] = STATE(2136),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2137] = {
    [sym_inline_modifier] = STATE(2402),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14092),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(2137),
    [sym_block_comment] = STATE(2137),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2138] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16307),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2138),
    [sym_block_comment] = STATE(2138),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4084),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2139] = {
    [sym_inline_modifier] = STATE(2353),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13742),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(2139),
    [sym_block_comment] = STATE(2139),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [2140] = {
    [sym_inline_modifier] = STATE(2237),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16409),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10292),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(5591),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(8634),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2140),
    [sym_block_comment] = STATE(2140),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(1806),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1810),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1814),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2141] = {
    [sym_inline_modifier] = STATE(2282),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13873),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(2141),
    [sym_block_comment] = STATE(2141),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2142] = {
    [sym_inline_modifier] = STATE(2370),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13076),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2142),
    [sym_block_comment] = STATE(2142),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2143] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13163),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2143),
    [sym_block_comment] = STATE(2143),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2144] = {
    [sym_inline_modifier] = STATE(2362),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13396),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(2144),
    [sym_block_comment] = STATE(2144),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [2145] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15063),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2145),
    [sym_block_comment] = STATE(2145),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2146] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11938),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2146),
    [sym_block_comment] = STATE(2146),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2147] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16213),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2147),
    [sym_block_comment] = STATE(2147),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2148] = {
    [sym_inline_modifier] = STATE(2370),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13065),
    [sym__simple_expression] = STATE(7359),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16532),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(10708),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10603),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(6126),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9003),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2148),
    [sym_block_comment] = STATE(2148),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(593),
    [anon_sym_while] = ACTIONS(595),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2282),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(607),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(609),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_throw] = ACTIONS(613),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2149] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(15877),
    [sym__simple_expression] = STATE(4673),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(8757),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16929),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(7773),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(4597),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(5735),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2149),
    [sym_block_comment] = STATE(2149),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(1044),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2150] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10004),
    [sym_expression] = STATE(15284),
    [sym__simple_expression] = STATE(7142),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10674),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17349),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10574),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6511),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(9294),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2150),
    [sym_block_comment] = STATE(2150),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [2151] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14708),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2151),
    [sym_block_comment] = STATE(2151),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2152] = {
    [sym_inline_modifier] = STATE(2362),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13129),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(2152),
    [sym_block_comment] = STATE(2152),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [2153] = {
    [sym_inline_modifier] = STATE(2400),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12434),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2153),
    [sym_block_comment] = STATE(2153),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2154] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13140),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2154),
    [sym_block_comment] = STATE(2154),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2155] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14957),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2155),
    [sym_block_comment] = STATE(2155),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2156] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14737),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2156),
    [sym_block_comment] = STATE(2156),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2157] = {
    [sym_inline_modifier] = STATE(2328),
    [sym_block] = STATE(9364),
    [sym_expression] = STATE(13945),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2157),
    [sym_block_comment] = STATE(2157),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [2158] = {
    [sym_inline_modifier] = STATE(2367),
    [sym_block] = STATE(10316),
    [sym_expression] = STATE(14380),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2158),
    [sym_block_comment] = STATE(2158),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [2159] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(15905),
    [sym__simple_expression] = STATE(4596),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(18289),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4479),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(5441),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2159),
    [sym_block_comment] = STATE(2159),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(972),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2160] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9683),
    [sym_expression] = STATE(16333),
    [sym__simple_expression] = STATE(6233),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17730),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(5861),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8323),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2160),
    [sym_block_comment] = STATE(2160),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(1448),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [2161] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(11135),
    [sym_expression] = STATE(15356),
    [sym__simple_expression] = STATE(9302),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(11135),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(11135),
    [sym_call_expression] = STATE(11135),
    [sym_field_expression] = STATE(11135),
    [sym_instance_expression] = STATE(11135),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(11531),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16451),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11379),
    [sym_tuple_expression] = STATE(11135),
    [sym_parenthesized_expression] = STATE(11135),
    [sym_splice_expression] = STATE(11135),
    [sym_quote_expression] = STATE(11135),
    [sym_identifier] = STATE(9055),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10714),
    [sym__non_null_literal] = STATE(11135),
    [sym_boolean_literal] = STATE(11070),
    [sym_interpolated_string_expression] = STATE(11135),
    [sym_string] = STATE(11070),
    [sym_unit] = STATE(11135),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2161),
    [sym_block_comment] = STATE(2161),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3314),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(3318),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DOLLAR] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3324),
    [sym_integer_literal] = ACTIONS(3326),
    [sym_floating_point_literal] = ACTIONS(3328),
    [anon_sym_true] = ACTIONS(3330),
    [anon_sym_false] = ACTIONS(3330),
    [sym_character_literal] = ACTIONS(3328),
    [sym_null_literal] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3334),
    [sym__simple_string] = ACTIONS(3334),
  },
  [2162] = {
    [sym_inline_modifier] = STATE(2402),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14056),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(2162),
    [sym_block_comment] = STATE(2162),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2163] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12158),
    [sym__simple_expression] = STATE(5652),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16576),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9813),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5181),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7903),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2163),
    [sym_block_comment] = STATE(2163),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_while] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1540),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_throw] = ACTIONS(1548),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2164] = {
    [sym_inline_modifier] = STATE(2147),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13520),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(2164),
    [sym_block_comment] = STATE(2164),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [2165] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(9869),
    [sym_postfix_expression] = STATE(13633),
    [sym__postfix_expression_choice] = STATE(14127),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9148),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(4714),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(6214),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2165),
    [sym_block_comment] = STATE(2165),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2166] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(15974),
    [sym__simple_expression] = STATE(6002),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10262),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16973),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9620),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(5145),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(8032),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2166),
    [sym_block_comment] = STATE(2166),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(1900),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2167] = {
    [sym_inline_modifier] = STATE(2400),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12378),
    [sym__simple_expression] = STATE(5180),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16647),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9277),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5048),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7372),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2167),
    [sym_block_comment] = STATE(2167),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1918),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1922),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2168] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14833),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2168),
    [sym_block_comment] = STATE(2168),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2169] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(9683),
    [sym_expression] = STATE(14203),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2169),
    [sym_block_comment] = STATE(2169),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [2170] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14929),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2170),
    [sym_block_comment] = STATE(2170),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2171] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(15877),
    [sym__simple_expression] = STATE(4708),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16929),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(4597),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(5735),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2171),
    [sym_block_comment] = STATE(2171),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(1044),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2172] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15981),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2172),
    [sym_block_comment] = STATE(2172),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4088),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2173] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13930),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(2173),
    [sym_block_comment] = STATE(2173),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2174] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13163),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2174),
    [sym_block_comment] = STATE(2174),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2175] = {
    [sym_inline_modifier] = STATE(2293),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13140),
    [sym__simple_expression] = STATE(7404),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16560),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10368),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(9140),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2175),
    [sym_block_comment] = STATE(2175),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2442),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2176] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(16118),
    [sym__simple_expression] = STATE(5948),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10206),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17143),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9623),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5156),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8237),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2176),
    [sym_block_comment] = STATE(2176),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1658),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [2177] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(16068),
    [sym__simple_expression] = STATE(5003),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17122),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4744),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(6442),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2177),
    [sym_block_comment] = STATE(2177),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1116),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [2178] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(15913),
    [sym__simple_expression] = STATE(4637),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16951),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(5816),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2178),
    [sym_block_comment] = STATE(2178),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1152),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2179] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(15617),
    [sym__simple_expression] = STATE(5184),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(9686),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16815),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9507),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(4884),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(6971),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2179),
    [sym_block_comment] = STATE(2179),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1288),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [2180] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(15227),
    [sym__simple_expression] = STATE(7381),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10794),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17738),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10469),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(5554),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8893),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2180),
    [sym_block_comment] = STATE(2180),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2070),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2181] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(15432),
    [sym__simple_expression] = STATE(4723),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16861),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(4535),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(5960),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2181),
    [sym_block_comment] = STATE(2181),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1080),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2182] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13947),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(2182),
    [sym_block_comment] = STATE(2182),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2183] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(15540),
    [sym__simple_expression] = STATE(5413),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(9716),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16714),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9424),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(4905),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(7440),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2183),
    [sym_block_comment] = STATE(2183),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(1484),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [2184] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(16015),
    [sym__simple_expression] = STATE(6004),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16995),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5335),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(7877),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2184),
    [sym_block_comment] = STATE(2184),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1604),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [2185] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14742),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2185),
    [sym_block_comment] = STATE(2185),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2186] = {
    [sym_inline_modifier] = STATE(2367),
    [sym_block] = STATE(10316),
    [sym_expression] = STATE(14354),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2186),
    [sym_block_comment] = STATE(2186),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [2187] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16246),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2187),
    [sym_block_comment] = STATE(2187),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4090),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2188] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9962),
    [sym_expression] = STATE(16186),
    [sym__simple_expression] = STATE(6143),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10427),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17164),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10254),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(5637),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8437),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2188),
    [sym_block_comment] = STATE(2188),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1520),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [2189] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16343),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2189),
    [sym_block_comment] = STATE(2189),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4092),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2190] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9683),
    [sym_expression] = STATE(16333),
    [sym__simple_expression] = STATE(6235),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10538),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17730),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10114),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(5861),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8323),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2190),
    [sym_block_comment] = STATE(2190),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(1448),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [2191] = {
    [sym_inline_modifier] = STATE(2338),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13685),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(2191),
    [sym_block_comment] = STATE(2191),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [2192] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12378),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2192),
    [sym_block_comment] = STATE(2192),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2193] = {
    [sym_inline_modifier] = STATE(2328),
    [sym_block] = STATE(9364),
    [sym_expression] = STATE(13909),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2193),
    [sym_block_comment] = STATE(2193),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [2194] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15155),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2194),
    [sym_block_comment] = STATE(2194),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2195] = {
    [sym_inline_modifier] = STATE(2367),
    [sym_block] = STATE(10316),
    [sym_expression] = STATE(14291),
    [sym__simple_expression] = STATE(6951),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16350),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(17003),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10389),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6389),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9154),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2195),
    [sym_block_comment] = STATE(2195),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(2420),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(2422),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [2196] = {
    [sym_inline_modifier] = STATE(2284),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(13839),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(2196),
    [sym_block_comment] = STATE(2196),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [2197] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(16321),
    [sym__simple_expression] = STATE(5169),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17248),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(6898),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2197),
    [sym_block_comment] = STATE(2197),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1324),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [2198] = {
    [sym_inline_modifier] = STATE(2284),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6173),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16575),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10299),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5663),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8812),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(2198),
    [sym_block_comment] = STATE(2198),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(2162),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [2199] = {
    [sym_inline_modifier] = STATE(2229),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13065),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2199),
    [sym_block_comment] = STATE(2199),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2200] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15317),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2200),
    [sym_block_comment] = STATE(2200),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(896),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2201] = {
    [sym_inline_modifier] = STATE(2353),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13722),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(2201),
    [sym_block_comment] = STATE(2201),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [2202] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15842),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2202),
    [sym_block_comment] = STATE(2202),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4094),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2203] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12434),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2203),
    [sym_block_comment] = STATE(2203),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2204] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14909),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2204),
    [sym_block_comment] = STATE(2204),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2205] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(15270),
    [sym__simple_expression] = STATE(7522),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16897),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7305),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(9592),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2205),
    [sym_block_comment] = STATE(2205),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2352),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2206] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15842),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2206),
    [sym_block_comment] = STATE(2206),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4096),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2207] = {
    [sym_inline_modifier] = STATE(2138),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13129),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(2207),
    [sym_block_comment] = STATE(2207),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [2208] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(16285),
    [sym__simple_expression] = STATE(4926),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(9295),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17206),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8845),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(4671),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(6746),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2208),
    [sym_block_comment] = STATE(2208),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1252),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2209] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9364),
    [sym_expression] = STATE(15684),
    [sym__simple_expression] = STATE(5866),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16839),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5477),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(7652),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2209),
    [sym_block_comment] = STATE(2209),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1360),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [2210] = {
    [sym_inline_modifier] = STATE(2328),
    [sym_block] = STATE(9364),
    [sym_expression] = STATE(14022),
    [sym__simple_expression] = STATE(5616),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16606),
    [sym_case_block] = STATE(9364),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(9364),
    [sym_call_expression] = STATE(9364),
    [sym_field_expression] = STATE(9364),
    [sym_instance_expression] = STATE(9364),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(10324),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(17167),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9863),
    [sym_tuple_expression] = STATE(9364),
    [sym_parenthesized_expression] = STATE(9364),
    [sym_splice_expression] = STATE(9364),
    [sym_quote_expression] = STATE(9364),
    [sym_identifier] = STATE(5263),
    [sym__soft_identifier] = STATE(4517),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9364),
    [sym_boolean_literal] = STATE(5330),
    [sym_interpolated_string_expression] = STATE(9364),
    [sym_string] = STATE(5330),
    [sym_unit] = STATE(9364),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2210),
    [sym_block_comment] = STATE(2210),
    [sym__alpha_identifier] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym__] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_end] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1726),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1730),
    [anon_sym_try] = ACTIONS(1732),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_opaque] = ACTIONS(1346),
    [anon_sym_implicit] = ACTIONS(1734),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym_infix] = ACTIONS(1346),
    [anon_sym_open] = ACTIONS(1346),
    [anon_sym_transparent] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [anon_sym_macro] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [sym__backquoted_id] = ACTIONS(1358),
    [sym_operator_identifier] = ACTIONS(1738),
    [sym_integer_literal] = ACTIONS(1362),
    [sym_floating_point_literal] = ACTIONS(1364),
    [anon_sym_true] = ACTIONS(1366),
    [anon_sym_false] = ACTIONS(1366),
    [sym_character_literal] = ACTIONS(1364),
    [sym_null_literal] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1370),
    [sym__simple_string] = ACTIONS(1370),
  },
  [2211] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10004),
    [sym_expression] = STATE(15284),
    [sym__simple_expression] = STATE(7146),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17349),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6511),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(9294),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2211),
    [sym_block_comment] = STATE(2211),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [2212] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2212),
    [sym_block_comment] = STATE(2212),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2213] = {
    [sym_inline_modifier] = STATE(2104),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14072),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2213),
    [sym_block_comment] = STATE(2213),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2214] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(10004),
    [sym_expression] = STATE(14347),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2214),
    [sym_block_comment] = STATE(2214),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [2215] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15002),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2215),
    [sym_block_comment] = STATE(2215),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2216] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14897),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2216),
    [sym_block_comment] = STATE(2216),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2217] = {
    [sym_inline_modifier] = STATE(2411),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12881),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(2217),
    [sym_block_comment] = STATE(2217),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2218] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15981),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2218),
    [sym_block_comment] = STATE(2218),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4098),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2219] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(16321),
    [sym__simple_expression] = STATE(5140),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(9838),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17248),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9212),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(4847),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(6898),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2219),
    [sym_block_comment] = STATE(2219),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1324),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [2220] = {
    [sym_inline_modifier] = STATE(2280),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12806),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2220),
    [sym_block_comment] = STATE(2220),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2221] = {
    [sym_inline_modifier] = STATE(2280),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12799),
    [sym__simple_expression] = STATE(5913),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16520),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(9979),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5094),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(7521),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2221),
    [sym_block_comment] = STATE(2221),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(1946),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1958),
    [anon_sym_throw] = ACTIONS(1960),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2222] = {
    [sym_inline_modifier] = STATE(2411),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12857),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(2222),
    [sym_block_comment] = STATE(2222),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2223] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9962),
    [sym_expression] = STATE(16186),
    [sym__simple_expression] = STATE(6109),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17164),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(5637),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8437),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2223),
    [sym_block_comment] = STATE(2223),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1520),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [2224] = {
    [sym_inline_modifier] = STATE(2189),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13873),
    [sym__simple_expression] = STATE(8807),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16544),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10888),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7646),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(2224),
    [sym_block_comment] = STATE(2224),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2518),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2225] = {
    [sym_inline_modifier] = STATE(2362),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13354),
    [sym__simple_expression] = STATE(5419),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16643),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(8988),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4991),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7418),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(2225),
    [sym_block_comment] = STATE(2225),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1176),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1180),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [2226] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14881),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2226),
    [sym_block_comment] = STATE(2226),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2227] = {
    [sym_inline_modifier] = STATE(2374),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13873),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(2227),
    [sym_block_comment] = STATE(2227),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2228] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15145),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2228),
    [sym_block_comment] = STATE(2228),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2229] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15317),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2229),
    [sym_block_comment] = STATE(2229),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2230] = {
    [sym_inline_modifier] = STATE(2353),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13766),
    [sym__simple_expression] = STATE(6146),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16616),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10217),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(6085),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(2230),
    [sym_block_comment] = STATE(2230),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(1926),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(1934),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1938),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_throw] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [2231] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14872),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2231),
    [sym_block_comment] = STATE(2231),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2232] = {
    [sym_inline_modifier] = STATE(2401),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13112),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2232),
    [sym_block_comment] = STATE(2232),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2233] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16277),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2233),
    [sym_block_comment] = STATE(2233),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4100),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2234] = {
    [sym_inline_modifier] = STATE(2369),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13650),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(2234),
    [sym_block_comment] = STATE(2234),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [2235] = {
    [sym_inline_modifier] = STATE(2354),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13027),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2235),
    [sym_block_comment] = STATE(2235),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2236] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15140),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2236),
    [sym_block_comment] = STATE(2236),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2237] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16049),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2237),
    [sym_block_comment] = STATE(2237),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4102),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2238] = {
    [sym_inline_modifier] = STATE(2187),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13142),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2238),
    [sym_block_comment] = STATE(2238),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2239] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12806),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2239),
    [sym_block_comment] = STATE(2239),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2240] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14749),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2240),
    [sym_block_comment] = STATE(2240),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2241] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(15227),
    [sym__simple_expression] = STATE(7218),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10722),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17738),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10508),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(5554),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8893),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2241),
    [sym_block_comment] = STATE(2241),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2070),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2242] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16265),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2242),
    [sym_block_comment] = STATE(2242),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4104),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2243] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(9683),
    [sym_expression] = STATE(14051),
    [sym__simple_expression] = STATE(6232),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16360),
    [sym_case_block] = STATE(9683),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(9683),
    [sym_call_expression] = STATE(9683),
    [sym_field_expression] = STATE(9683),
    [sym_instance_expression] = STATE(9683),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(10560),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16718),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(10083),
    [sym_tuple_expression] = STATE(9683),
    [sym_parenthesized_expression] = STATE(9683),
    [sym_splice_expression] = STATE(9683),
    [sym_quote_expression] = STATE(9683),
    [sym_identifier] = STATE(6057),
    [sym__soft_identifier] = STATE(4594),
    [sym_wildcard] = STATE(8741),
    [sym__non_null_literal] = STATE(9683),
    [sym_boolean_literal] = STATE(5683),
    [sym_interpolated_string_expression] = STATE(9683),
    [sym_string] = STATE(5683),
    [sym_unit] = STATE(9683),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2243),
    [sym_block_comment] = STATE(2243),
    [sym__alpha_identifier] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_end] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1994),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_opaque] = ACTIONS(1434),
    [anon_sym_implicit] = ACTIONS(2000),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym_infix] = ACTIONS(1434),
    [anon_sym_open] = ACTIONS(1434),
    [anon_sym_transparent] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_macro] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [sym__backquoted_id] = ACTIONS(1446),
    [sym_operator_identifier] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(1450),
    [sym_floating_point_literal] = ACTIONS(1452),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [sym_character_literal] = ACTIONS(1452),
    [sym_null_literal] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1458),
    [sym__simple_string] = ACTIONS(1458),
  },
  [2244] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15075),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2244),
    [sym_block_comment] = STATE(2244),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2245] = {
    [sym_inline_modifier] = STATE(2404),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(12030),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2245),
    [sym_block_comment] = STATE(2245),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2246] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14857),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2246),
    [sym_block_comment] = STATE(2246),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2247] = {
    [sym_inline_modifier] = STATE(2369),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13691),
    [sym__simple_expression] = STATE(7518),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16349),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10691),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(7478),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(9984),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(2247),
    [sym_block_comment] = STATE(2247),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(3285),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(3298),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [2248] = {
    [sym_inline_modifier] = STATE(2316),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13697),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(2248),
    [sym_block_comment] = STATE(2248),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [2249] = {
    [sym_inline_modifier] = STATE(2325),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14092),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(2249),
    [sym_block_comment] = STATE(2249),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2250] = {
    [sym_inline_modifier] = STATE(2404),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11982),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2250),
    [sym_block_comment] = STATE(2250),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2251] = {
    [sym_inline_modifier] = STATE(2411),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12786),
    [sym__simple_expression] = STATE(6176),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16502),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5645),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8810),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(2251),
    [sym_block_comment] = STATE(2251),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2148),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2150),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2252] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12864),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2252),
    [sym_block_comment] = STATE(2252),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2253] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13637),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2253),
    [sym_block_comment] = STATE(2253),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2254] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16141),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2254),
    [sym_block_comment] = STATE(2254),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4106),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2255] = {
    [sym_inline_modifier] = STATE(2410),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(2255),
    [sym_block_comment] = STATE(2255),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [2256] = {
    [sym_inline_modifier] = STATE(2323),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12333),
    [sym__simple_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16591),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(8983),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(4861),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7469),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2256),
    [sym_block_comment] = STATE(2256),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(1616),
    [anon_sym_for] = ACTIONS(1618),
    [anon_sym_try] = ACTIONS(1620),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1622),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1626),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1628),
    [anon_sym_throw] = ACTIONS(1630),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2257] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14618),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2257),
    [sym_block_comment] = STATE(2257),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2258] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(16253),
    [sym__simple_expression] = STATE(4574),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17185),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4483),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(5259),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2258),
    [sym_block_comment] = STATE(2258),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1008),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2259] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14850),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2259),
    [sym_block_comment] = STATE(2259),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2260] = {
    [sym_inline_modifier] = STATE(2218),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12378),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2260),
    [sym_block_comment] = STATE(2260),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2261] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15043),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2261),
    [sym_block_comment] = STATE(2261),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2262] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13615),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2262),
    [sym_block_comment] = STATE(2262),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2263] = {
    [sym_inline_modifier] = STATE(2254),
    [sym_block] = STATE(10004),
    [sym_expression] = STATE(14330),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16458),
    [sym_case_block] = STATE(10004),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(10004),
    [sym_call_expression] = STATE(10004),
    [sym_field_expression] = STATE(10004),
    [sym_instance_expression] = STATE(10004),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(10675),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(17644),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10626),
    [sym_tuple_expression] = STATE(10004),
    [sym_parenthesized_expression] = STATE(10004),
    [sym_splice_expression] = STATE(10004),
    [sym_quote_expression] = STATE(10004),
    [sym_identifier] = STATE(6413),
    [sym__soft_identifier] = STATE(4764),
    [sym_wildcard] = STATE(8934),
    [sym__non_null_literal] = STATE(10004),
    [sym_boolean_literal] = STATE(6624),
    [sym_interpolated_string_expression] = STATE(10004),
    [sym_string] = STATE(6624),
    [sym_unit] = STATE(10004),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2263),
    [sym_block_comment] = STATE(2263),
    [sym__alpha_identifier] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym__] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_end] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2042),
    [anon_sym_opaque] = ACTIONS(2040),
    [anon_sym_implicit] = ACTIONS(2462),
    [anon_sym_inline] = ACTIONS(2044),
    [anon_sym_infix] = ACTIONS(2040),
    [anon_sym_open] = ACTIONS(2040),
    [anon_sym_transparent] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_macro] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_SQUOTE] = ACTIONS(2050),
    [sym__backquoted_id] = ACTIONS(2052),
    [sym_operator_identifier] = ACTIONS(2466),
    [sym_integer_literal] = ACTIONS(2056),
    [sym_floating_point_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym_character_literal] = ACTIONS(2058),
    [sym_null_literal] = ACTIONS(2062),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2064),
    [sym__simple_string] = ACTIONS(2064),
  },
  [2264] = {
    [sym_inline_modifier] = STATE(2410),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(13839),
    [sym__simple_expression] = STATE(6163),
    [sym_lambda_expression] = STATE(14141),
    [sym_if_expression] = STATE(14141),
    [sym_match_expression] = STATE(14141),
    [sym_try_expression] = STATE(14141),
    [sym_bindings] = STATE(16415),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14141),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14141),
    [sym_infix_expression] = STATE(10260),
    [sym_postfix_expression] = STATE(13736),
    [sym__postfix_expression_choice] = STATE(16790),
    [sym_macro_body] = STATE(14141),
    [sym_prefix_expression] = STATE(10085),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(8552),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14141),
    [sym_throw_expression] = STATE(14141),
    [sym_while_expression] = STATE(14141),
    [sym_do_while_expression] = STATE(14141),
    [sym_for_expression] = STATE(14141),
    [sym_comment] = STATE(2264),
    [sym_block_comment] = STATE(2264),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(1828),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1836),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [2265] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16049),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2265),
    [sym_block_comment] = STATE(2265),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4108),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2266] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14844),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2266),
    [sym_block_comment] = STATE(2266),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2267] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14766),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2267),
    [sym_block_comment] = STATE(2267),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2268] = {
    [sym_inline_modifier] = STATE(2316),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13699),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(2268),
    [sym_block_comment] = STATE(2268),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [2269] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12754),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2269),
    [sym_block_comment] = STATE(2269),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2270] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16049),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2270),
    [sym_block_comment] = STATE(2270),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4110),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2271] = {
    [sym_inline_modifier] = STATE(2388),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12786),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(2271),
    [sym_block_comment] = STATE(2271),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2272] = {
    [sym_inline_modifier] = STATE(2242),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12347),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2272),
    [sym_block_comment] = STATE(2272),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2273] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(15270),
    [sym__simple_expression] = STATE(7555),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(11078),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16897),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10728),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7305),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(9592),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2273),
    [sym_block_comment] = STATE(2273),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2352),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2274] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12747),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2274),
    [sym_block_comment] = STATE(2274),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2275] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(16068),
    [sym__simple_expression] = STATE(4892),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(9136),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17122),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8550),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(4744),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(6442),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2275),
    [sym_block_comment] = STATE(2275),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1116),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [2276] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15163),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2276),
    [sym_block_comment] = STATE(2276),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2277] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(15227),
    [sym__simple_expression] = STATE(6357),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17738),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(5554),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8893),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2277),
    [sym_block_comment] = STATE(2277),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2070),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2278] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14836),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2278),
    [sym_block_comment] = STATE(2278),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2279] = {
    [sym_inline_modifier] = STATE(2388),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12857),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(2279),
    [sym_block_comment] = STATE(2279),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2280] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16141),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2280),
    [sym_block_comment] = STATE(2280),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4112),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2281] = {
    [sym_inline_modifier] = STATE(2404),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11938),
    [sym__simple_expression] = STATE(4989),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16505),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8802),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4788),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6174),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2281),
    [sym_block_comment] = STATE(2281),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(1566),
    [anon_sym_for] = ACTIONS(1568),
    [anon_sym_try] = ACTIONS(1570),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1572),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2282] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16343),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2282),
    [sym_block_comment] = STATE(2282),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4114),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2283] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13142),
    [sym__simple_expression] = STATE(5587),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16568),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(9687),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(5088),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8056),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2283),
    [sym_block_comment] = STATE(2283),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(1398),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2284] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16331),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2284),
    [sym_block_comment] = STATE(2284),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4116),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2285] = {
    [sym_inline_modifier] = STATE(2242),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12338),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2285),
    [sym_block_comment] = STATE(2285),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2286] = {
    [sym_inline_modifier] = STATE(2200),
    [sym_block] = STATE(10650),
    [sym_expression] = STATE(14560),
    [sym__simple_expression] = STATE(7507),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16371),
    [sym_case_block] = STATE(10650),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(10650),
    [sym_call_expression] = STATE(10650),
    [sym_field_expression] = STATE(10650),
    [sym_instance_expression] = STATE(10650),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(11152),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(18170),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10683),
    [sym_tuple_expression] = STATE(10650),
    [sym_parenthesized_expression] = STATE(10650),
    [sym_splice_expression] = STATE(10650),
    [sym_quote_expression] = STATE(10650),
    [sym_identifier] = STATE(7479),
    [sym__soft_identifier] = STATE(4537),
    [sym_wildcard] = STATE(10000),
    [sym__non_null_literal] = STATE(10650),
    [sym_boolean_literal] = STATE(7491),
    [sym_interpolated_string_expression] = STATE(10650),
    [sym_string] = STATE(7491),
    [sym_unit] = STATE(10650),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2286),
    [sym_block_comment] = STATE(2286),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2350),
    [anon_sym_implicit] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_transparent] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2287] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(12799),
    [sym__simple_expression] = STATE(6520),
    [sym_lambda_expression] = STATE(12604),
    [sym_if_expression] = STATE(12604),
    [sym_match_expression] = STATE(12604),
    [sym_try_expression] = STATE(12604),
    [sym_bindings] = STATE(16549),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(12604),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(12604),
    [sym_infix_expression] = STATE(8321),
    [sym_postfix_expression] = STATE(12279),
    [sym__postfix_expression_choice] = STATE(18121),
    [sym_macro_body] = STATE(12604),
    [sym_prefix_expression] = STATE(10294),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(8316),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(12604),
    [sym_throw_expression] = STATE(12604),
    [sym_while_expression] = STATE(12604),
    [sym_do_while_expression] = STATE(12604),
    [sym_for_expression] = STATE(12604),
    [sym_comment] = STATE(2287),
    [sym_block_comment] = STATE(2287),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(2114),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2120),
    [anon_sym_do] = ACTIONS(1962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2288] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15148),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2288),
    [sym_block_comment] = STATE(2288),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2289] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16141),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2289),
    [sym_block_comment] = STATE(2289),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4118),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2290] = {
    [sym_inline_modifier] = STATE(2316),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13685),
    [sym__simple_expression] = STATE(5888),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16586),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9775),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5117),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7707),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(2290),
    [sym_block_comment] = STATE(2290),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [2291] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15122),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2291),
    [sym_block_comment] = STATE(2291),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2292] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15121),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2292),
    [sym_block_comment] = STATE(2292),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2293] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16246),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2293),
    [sym_block_comment] = STATE(2293),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4120),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2294] = {
    [sym_inline_modifier] = STATE(2376),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(12030),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2294),
    [sym_block_comment] = STATE(2294),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2295] = {
    [sym_inline_modifier] = STATE(2101),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13514),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(2295),
    [sym_block_comment] = STATE(2295),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [2296] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14838),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2296),
    [sym_block_comment] = STATE(2296),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2297] = {
    [sym_inline_modifier] = STATE(2270),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13637),
    [sym__simple_expression] = STATE(7540),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16512),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10705),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7470),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2297),
    [sym_block_comment] = STATE(2297),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2376),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2378),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2298] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(15316),
    [sym__simple_expression] = STATE(5189),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(9786),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17899),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9305),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(4978),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(6804),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2298),
    [sym_block_comment] = STATE(2298),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(1714),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2299] = {
    [sym_inline_modifier] = STATE(2364),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14184),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(2299),
    [sym_block_comment] = STATE(2299),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2300] = {
    [sym_inline_modifier] = STATE(2101),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13510),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(2300),
    [sym_block_comment] = STATE(2300),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [2301] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16246),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2301),
    [sym_block_comment] = STATE(2301),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2302] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14664),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2302),
    [sym_block_comment] = STATE(2302),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2303] = {
    [sym_inline_modifier] = STATE(2187),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13163),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2303),
    [sym_block_comment] = STATE(2303),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2304] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(15227),
    [sym__simple_expression] = STATE(6357),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17738),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(5554),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8893),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2304),
    [sym_block_comment] = STATE(2304),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2070),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2305] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14072),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2305),
    [sym_block_comment] = STATE(2305),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2306] = {
    [sym_inline_modifier] = STATE(2187),
    [sym_block] = STATE(7945),
    [sym_expression] = STATE(13140),
    [sym__simple_expression] = STATE(7482),
    [sym_lambda_expression] = STATE(13471),
    [sym_if_expression] = STATE(13471),
    [sym_match_expression] = STATE(13471),
    [sym_try_expression] = STATE(13471),
    [sym_bindings] = STATE(16485),
    [sym_case_block] = STATE(7945),
    [sym_assignment_expression] = STATE(13471),
    [sym_generic_function] = STATE(7945),
    [sym_call_expression] = STATE(7945),
    [sym_field_expression] = STATE(7945),
    [sym_instance_expression] = STATE(7945),
    [sym_ascription_expression] = STATE(13471),
    [sym_infix_expression] = STATE(9391),
    [sym_postfix_expression] = STATE(13064),
    [sym__postfix_expression_choice] = STATE(17101),
    [sym_macro_body] = STATE(13471),
    [sym_prefix_expression] = STATE(10641),
    [sym_tuple_expression] = STATE(7945),
    [sym_parenthesized_expression] = STATE(7945),
    [sym_splice_expression] = STATE(7945),
    [sym_quote_expression] = STATE(7945),
    [sym_identifier] = STATE(6103),
    [sym__soft_identifier] = STATE(5136),
    [sym_wildcard] = STATE(8945),
    [sym__non_null_literal] = STATE(7945),
    [sym_boolean_literal] = STATE(8155),
    [sym_interpolated_string_expression] = STATE(7945),
    [sym_string] = STATE(8155),
    [sym_unit] = STATE(7945),
    [sym_return_expression] = STATE(13471),
    [sym_throw_expression] = STATE(13471),
    [sym_while_expression] = STATE(13471),
    [sym_do_while_expression] = STATE(13471),
    [sym_for_expression] = STATE(13471),
    [sym_comment] = STATE(2306),
    [sym_block_comment] = STATE(2306),
    [sym__alpha_identifier] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_end] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_implicit] = ACTIONS(2332),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_infix] = ACTIONS(1238),
    [anon_sym_open] = ACTIONS(1238),
    [anon_sym_transparent] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_macro] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym__backquoted_id] = ACTIONS(1250),
    [sym_operator_identifier] = ACTIONS(2334),
    [sym_integer_literal] = ACTIONS(1254),
    [sym_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1258),
    [anon_sym_false] = ACTIONS(1258),
    [sym_character_literal] = ACTIONS(1256),
    [sym_null_literal] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1262),
    [sym__simple_string] = ACTIONS(1262),
  },
  [2307] = {
    [sym_inline_modifier] = STATE(2364),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14092),
    [sym__simple_expression] = STATE(7377),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16353),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10790),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10473),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9258),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(2307),
    [sym_block_comment] = STATE(2307),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(619),
    [anon_sym_while] = ACTIONS(621),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(2068),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(635),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2308] = {
    [sym_inline_modifier] = STATE(2348),
    [sym_block] = STATE(9962),
    [sym_expression] = STATE(14236),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2308),
    [sym_block_comment] = STATE(2308),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [2309] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7097),
    [sym_expression] = STATE(15432),
    [sym__simple_expression] = STATE(4798),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7097),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7097),
    [sym_call_expression] = STATE(7097),
    [sym_field_expression] = STATE(7097),
    [sym_instance_expression] = STATE(7097),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(8300),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16861),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(8247),
    [sym_tuple_expression] = STATE(7097),
    [sym_parenthesized_expression] = STATE(7097),
    [sym_splice_expression] = STATE(7097),
    [sym_quote_expression] = STATE(7097),
    [sym_identifier] = STATE(4535),
    [sym__soft_identifier] = STATE(4994),
    [sym_wildcard] = STATE(5960),
    [sym__non_null_literal] = STATE(7097),
    [sym_boolean_literal] = STATE(6890),
    [sym_interpolated_string_expression] = STATE(7097),
    [sym_string] = STATE(6890),
    [sym_unit] = STATE(7097),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2309),
    [sym_block_comment] = STATE(2309),
    [sym__alpha_identifier] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_end] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_infix] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_transparent] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym__backquoted_id] = ACTIONS(1078),
    [sym_operator_identifier] = ACTIONS(1080),
    [sym_integer_literal] = ACTIONS(1082),
    [sym_floating_point_literal] = ACTIONS(1084),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1090),
    [sym__simple_string] = ACTIONS(1090),
  },
  [2310] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16265),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2310),
    [sym_block_comment] = STATE(2310),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4124),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2311] = {
    [sym_inline_modifier] = STATE(2388),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12881),
    [sym__simple_expression] = STATE(6107),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16617),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(10033),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(6015),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(2311),
    [sym_block_comment] = STATE(2311),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(2296),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(2298),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2312] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16176),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2312),
    [sym_block_comment] = STATE(2312),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4126),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2313] = {
    [sym_inline_modifier] = STATE(2376),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11982),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2313),
    [sym_block_comment] = STATE(2313),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2314] = {
    [sym_inline_modifier] = STATE(2218),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12434),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2314),
    [sym_block_comment] = STATE(2314),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2315] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14843),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2315),
    [sym_block_comment] = STATE(2315),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2316] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16210),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2316),
    [sym_block_comment] = STATE(2316),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4128),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2317] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15374),
    [sym__simple_expression] = STATE(6220),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2317),
    [sym_block_comment] = STATE(2317),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2318] = {
    [sym_inline_modifier] = STATE(2382),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12864),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2318),
    [sym_block_comment] = STATE(2318),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2319] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14847),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2319),
    [sym_block_comment] = STATE(2319),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2320] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14767),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2320),
    [sym_block_comment] = STATE(2320),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2321] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16141),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2321),
    [sym_block_comment] = STATE(2321),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2322] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(7363),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10716),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16664),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(4714),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(6214),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2322),
    [sym_block_comment] = STATE(2322),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1818),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2323] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15981),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2323),
    [sym_block_comment] = STATE(2323),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4132),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2324] = {
    [sym_inline_modifier] = STATE(2103),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12347),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2324),
    [sym_block_comment] = STATE(2324),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2325] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16100),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2325),
    [sym_block_comment] = STATE(2325),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(900),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2326] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14851),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2326),
    [sym_block_comment] = STATE(2326),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2327] = {
    [sym_inline_modifier] = STATE(2147),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13510),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(2327),
    [sym_block_comment] = STATE(2327),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [2328] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16244),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2328),
    [sym_block_comment] = STATE(2328),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4134),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2329] = {
    [sym_inline_modifier] = STATE(2147),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13514),
    [sym__simple_expression] = STATE(5535),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16474),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9965),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5483),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7754),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(2329),
    [sym_block_comment] = STATE(2329),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1682),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_throw] = ACTIONS(1686),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [2330] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14855),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2330),
    [sym_block_comment] = STATE(2330),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2331] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15093),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2331),
    [sym_block_comment] = STATE(2331),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2332] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14768),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2332),
    [sym_block_comment] = STATE(2332),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2333] = {
    [sym_inline_modifier] = STATE(2338),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13697),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(2333),
    [sym_block_comment] = STATE(2333),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [2334] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(15913),
    [sym__simple_expression] = STATE(4690),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(8602),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16951),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(7955),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(4558),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(5816),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2334),
    [sym_block_comment] = STATE(2334),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1152),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2335] = {
    [sym_inline_modifier] = STATE(2242),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12158),
    [sym__simple_expression] = STATE(5486),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16387),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(8948),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4984),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7483),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2335),
    [sym_block_comment] = STATE(2335),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(1552),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1556),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1558),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1560),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1562),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2336] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16176),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2336),
    [sym_block_comment] = STATE(2336),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4136),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2337] = {
    [sym_inline_modifier] = STATE(2282),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13930),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(2337),
    [sym_block_comment] = STATE(2337),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2338] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16210),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2338),
    [sym_block_comment] = STATE(2338),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4138),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2339] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(15828),
    [sym__simple_expression] = STATE(4457),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16907),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4372),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(5040),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2339),
    [sym_block_comment] = STATE(2339),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(936),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2340] = {
    [sym_inline_modifier] = STATE(2348),
    [sym_block] = STATE(9962),
    [sym_expression] = STATE(14134),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2340),
    [sym_block_comment] = STATE(2340),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [2341] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14867),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2341),
    [sym_block_comment] = STATE(2341),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2342] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15022),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2342),
    [sym_block_comment] = STATE(2342),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2343] = {
    [sym_inline_modifier] = STATE(2229),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13076),
    [sym__simple_expression] = STATE(7636),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16542),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10882),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(7405),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(9856),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2343),
    [sym_block_comment] = STATE(2343),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(431),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2344] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14770),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2344),
    [sym_block_comment] = STATE(2344),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2345] = {
    [sym_inline_modifier] = STATE(2206),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14041),
    [sym__simple_expression] = STATE(8993),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16377),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11247),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8894),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10550),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2345),
    [sym_block_comment] = STATE(2345),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3336),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2346] = {
    [sym_inline_modifier] = STATE(2103),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12338),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2346),
    [sym_block_comment] = STATE(2346),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2347] = {
    [sym_inline_modifier] = STATE(2282),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13947),
    [sym__simple_expression] = STATE(7349),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16400),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(10420),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(6382),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(9198),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(2347),
    [sym_block_comment] = STATE(2347),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2274),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2348] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16265),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2348),
    [sym_block_comment] = STATE(2348),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4140),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2349] = {
    [sym_inline_modifier] = STATE(2325),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14184),
    [sym__simple_expression] = STATE(8031),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16430),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10749),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(7194),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(9886),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(2349),
    [sym_block_comment] = STATE(2349),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(521),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2609),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(555),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_throw] = ACTIONS(567),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2350] = {
    [sym_inline_modifier] = STATE(2138),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13354),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(2350),
    [sym_block_comment] = STATE(2350),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [2351] = {
    [sym_inline_modifier] = STATE(2348),
    [sym_block] = STATE(9962),
    [sym_expression] = STATE(14238),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16593),
    [sym_case_block] = STATE(9962),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(9962),
    [sym_call_expression] = STATE(9962),
    [sym_field_expression] = STATE(9962),
    [sym_instance_expression] = STATE(9962),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(10422),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17059),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(10257),
    [sym_tuple_expression] = STATE(9962),
    [sym_parenthesized_expression] = STATE(9962),
    [sym_splice_expression] = STATE(9962),
    [sym_quote_expression] = STATE(9962),
    [sym_identifier] = STATE(6017),
    [sym__soft_identifier] = STATE(4531),
    [sym_wildcard] = STATE(8783),
    [sym__non_null_literal] = STATE(9962),
    [sym_boolean_literal] = STATE(6023),
    [sym_interpolated_string_expression] = STATE(9962),
    [sym_string] = STATE(6023),
    [sym_unit] = STATE(9962),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2351),
    [sym_block_comment] = STATE(2351),
    [sym__alpha_identifier] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_end] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(1508),
    [anon_sym_opaque] = ACTIONS(1506),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(1510),
    [anon_sym_infix] = ACTIONS(1506),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_transparent] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_macro] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [sym__backquoted_id] = ACTIONS(1518),
    [sym_operator_identifier] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1522),
    [sym_floating_point_literal] = ACTIONS(1524),
    [anon_sym_true] = ACTIONS(1526),
    [anon_sym_false] = ACTIONS(1526),
    [sym_character_literal] = ACTIONS(1524),
    [sym_null_literal] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1796),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1530),
    [sym__simple_string] = ACTIONS(1530),
  },
  [2352] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(15974),
    [sym__simple_expression] = STATE(6075),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16973),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(5145),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(8032),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2352),
    [sym_block_comment] = STATE(2352),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(1900),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2353] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16288),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2353),
    [sym_block_comment] = STATE(2353),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4142),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2354] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15317),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2354),
    [sym_block_comment] = STATE(2354),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4144),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2355] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(16253),
    [sym__simple_expression] = STATE(4539),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(7523),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17185),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(7484),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(4483),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(5259),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2355),
    [sym_block_comment] = STATE(2355),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1008),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2356] = {
    [sym_inline_modifier] = STATE(2218),
    [sym_block] = STATE(6246),
    [sym_expression] = STATE(12333),
    [sym__simple_expression] = STATE(5670),
    [sym_lambda_expression] = STATE(12140),
    [sym_if_expression] = STATE(12140),
    [sym_match_expression] = STATE(12140),
    [sym_try_expression] = STATE(12140),
    [sym_bindings] = STATE(16389),
    [sym_case_block] = STATE(6246),
    [sym_assignment_expression] = STATE(12140),
    [sym_generic_function] = STATE(6246),
    [sym_call_expression] = STATE(6246),
    [sym_field_expression] = STATE(6246),
    [sym_instance_expression] = STATE(6246),
    [sym_ascription_expression] = STATE(12140),
    [sym_infix_expression] = STATE(7856),
    [sym_postfix_expression] = STATE(12008),
    [sym__postfix_expression_choice] = STATE(16954),
    [sym_macro_body] = STATE(12140),
    [sym_prefix_expression] = STATE(9582),
    [sym_tuple_expression] = STATE(6246),
    [sym_parenthesized_expression] = STATE(6246),
    [sym_splice_expression] = STATE(6246),
    [sym_quote_expression] = STATE(6246),
    [sym_identifier] = STATE(5154),
    [sym__soft_identifier] = STATE(4686),
    [sym_wildcard] = STATE(7852),
    [sym__non_null_literal] = STATE(6246),
    [sym_boolean_literal] = STATE(6405),
    [sym_interpolated_string_expression] = STATE(6246),
    [sym_string] = STATE(6405),
    [sym_unit] = STATE(6246),
    [sym_return_expression] = STATE(12140),
    [sym_throw_expression] = STATE(12140),
    [sym_while_expression] = STATE(12140),
    [sym_do_while_expression] = STATE(12140),
    [sym_for_expression] = STATE(12140),
    [sym_comment] = STATE(2356),
    [sym_block_comment] = STATE(2356),
    [sym__alpha_identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym__] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_end] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_opaque] = ACTIONS(958),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(962),
    [anon_sym_infix] = ACTIONS(958),
    [anon_sym_open] = ACTIONS(958),
    [anon_sym_transparent] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(964),
    [anon_sym_macro] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(956),
    [anon_sym_DOLLAR] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym__backquoted_id] = ACTIONS(970),
    [sym_operator_identifier] = ACTIONS(1774),
    [sym_integer_literal] = ACTIONS(974),
    [sym_floating_point_literal] = ACTIONS(976),
    [anon_sym_true] = ACTIONS(978),
    [anon_sym_false] = ACTIONS(978),
    [sym_character_literal] = ACTIONS(976),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1778),
    [anon_sym_do] = ACTIONS(1632),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(982),
    [sym__simple_string] = ACTIONS(982),
  },
  [2357] = {
    [sym_inline_modifier] = STATE(2138),
    [sym_block] = STATE(7881),
    [sym_expression] = STATE(13396),
    [sym__simple_expression] = STATE(5174),
    [sym_lambda_expression] = STATE(13450),
    [sym_if_expression] = STATE(13450),
    [sym_match_expression] = STATE(13450),
    [sym_try_expression] = STATE(13450),
    [sym_bindings] = STATE(16464),
    [sym_case_block] = STATE(7881),
    [sym_assignment_expression] = STATE(13450),
    [sym_generic_function] = STATE(7881),
    [sym_call_expression] = STATE(7881),
    [sym_field_expression] = STATE(7881),
    [sym_instance_expression] = STATE(7881),
    [sym_ascription_expression] = STATE(13450),
    [sym_infix_expression] = STATE(9002),
    [sym_postfix_expression] = STATE(13276),
    [sym__postfix_expression_choice] = STATE(17017),
    [sym_macro_body] = STATE(13450),
    [sym_prefix_expression] = STATE(9160),
    [sym_tuple_expression] = STATE(7881),
    [sym_parenthesized_expression] = STATE(7881),
    [sym_splice_expression] = STATE(7881),
    [sym_quote_expression] = STATE(7881),
    [sym_identifier] = STATE(5064),
    [sym__soft_identifier] = STATE(5476),
    [sym_wildcard] = STATE(7408),
    [sym__non_null_literal] = STATE(7881),
    [sym_boolean_literal] = STATE(8019),
    [sym_interpolated_string_expression] = STATE(7881),
    [sym_string] = STATE(8019),
    [sym_unit] = STATE(7881),
    [sym_return_expression] = STATE(13450),
    [sym_throw_expression] = STATE(13450),
    [sym_while_expression] = STATE(13450),
    [sym_do_while_expression] = STATE(13450),
    [sym_for_expression] = STATE(13450),
    [sym_comment] = STATE(2357),
    [sym_block_comment] = STATE(2357),
    [sym__alpha_identifier] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_end] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_opaque] = ACTIONS(1102),
    [anon_sym_implicit] = ACTIONS(1412),
    [anon_sym_inline] = ACTIONS(1106),
    [anon_sym_infix] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_transparent] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_macro] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [sym__backquoted_id] = ACTIONS(1114),
    [sym_operator_identifier] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1118),
    [sym_floating_point_literal] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1126),
    [sym__simple_string] = ACTIONS(1126),
  },
  [2358] = {
    [sym_inline_modifier] = STATE(2338),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(13699),
    [sym__simple_expression] = STATE(5676),
    [sym_lambda_expression] = STATE(13803),
    [sym_if_expression] = STATE(13803),
    [sym_match_expression] = STATE(13803),
    [sym_try_expression] = STATE(13803),
    [sym_bindings] = STATE(16605),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(13803),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(13803),
    [sym_infix_expression] = STATE(9774),
    [sym_postfix_expression] = STATE(13679),
    [sym__postfix_expression_choice] = STATE(17545),
    [sym_macro_body] = STATE(13803),
    [sym_prefix_expression] = STATE(9843),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(5377),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(7664),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(13803),
    [sym_throw_expression] = STATE(13803),
    [sym_while_expression] = STATE(13803),
    [sym_do_while_expression] = STATE(13803),
    [sym_for_expression] = STATE(13803),
    [sym_comment] = STATE(2358),
    [sym_block_comment] = STATE(2358),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(2128),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(2130),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [2359] = {
    [sym_inline_modifier] = STATE(2374),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13930),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(2359),
    [sym_block_comment] = STATE(2359),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2360] = {
    [sym_inline_modifier] = STATE(2103),
    [sym_block] = STATE(6144),
    [sym_expression] = STATE(12158),
    [sym__simple_expression] = STATE(5138),
    [sym_lambda_expression] = STATE(12298),
    [sym_if_expression] = STATE(12298),
    [sym_match_expression] = STATE(12298),
    [sym_try_expression] = STATE(12298),
    [sym_bindings] = STATE(16406),
    [sym_case_block] = STATE(6144),
    [sym_assignment_expression] = STATE(12298),
    [sym_generic_function] = STATE(6144),
    [sym_call_expression] = STATE(6144),
    [sym_field_expression] = STATE(6144),
    [sym_instance_expression] = STATE(6144),
    [sym_ascription_expression] = STATE(12298),
    [sym_infix_expression] = STATE(8268),
    [sym_postfix_expression] = STATE(11835),
    [sym__postfix_expression_choice] = STATE(17080),
    [sym_macro_body] = STATE(12298),
    [sym_prefix_expression] = STATE(9152),
    [sym_tuple_expression] = STATE(6144),
    [sym_parenthesized_expression] = STATE(6144),
    [sym_splice_expression] = STATE(6144),
    [sym_quote_expression] = STATE(6144),
    [sym_identifier] = STATE(5087),
    [sym__soft_identifier] = STATE(4703),
    [sym_wildcard] = STATE(7411),
    [sym__non_null_literal] = STATE(6144),
    [sym_boolean_literal] = STATE(6443),
    [sym_interpolated_string_expression] = STATE(6144),
    [sym_string] = STATE(6443),
    [sym_unit] = STATE(6144),
    [sym_return_expression] = STATE(12298),
    [sym_throw_expression] = STATE(12298),
    [sym_while_expression] = STATE(12298),
    [sym_do_while_expression] = STATE(12298),
    [sym_for_expression] = STATE(12298),
    [sym_comment] = STATE(2360),
    [sym_block_comment] = STATE(2360),
    [sym__alpha_identifier] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym__] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1966),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_implicit] = ACTIONS(1970),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_infix] = ACTIONS(994),
    [anon_sym_open] = ACTIONS(994),
    [anon_sym_transparent] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_macro] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym__backquoted_id] = ACTIONS(1006),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1010),
    [sym_floating_point_literal] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [sym_character_literal] = ACTIONS(1012),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1018),
    [sym__simple_string] = ACTIONS(1018),
  },
  [2361] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(16118),
    [sym__simple_expression] = STATE(5887),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(17143),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5156),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8237),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2361),
    [sym_block_comment] = STATE(2361),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(1658),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [2362] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16307),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2362),
    [sym_block_comment] = STATE(2362),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4146),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2363] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9048),
    [sym_expression] = STATE(16015),
    [sym__simple_expression] = STATE(6071),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9048),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9048),
    [sym_call_expression] = STATE(9048),
    [sym_field_expression] = STATE(9048),
    [sym_instance_expression] = STATE(9048),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10230),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16995),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9833),
    [sym_tuple_expression] = STATE(9048),
    [sym_parenthesized_expression] = STATE(9048),
    [sym_splice_expression] = STATE(9048),
    [sym_quote_expression] = STATE(9048),
    [sym_identifier] = STATE(5335),
    [sym__soft_identifier] = STATE(6742),
    [sym_wildcard] = STATE(7877),
    [sym__non_null_literal] = STATE(9048),
    [sym_boolean_literal] = STATE(9318),
    [sym_interpolated_string_expression] = STATE(9048),
    [sym_string] = STATE(9318),
    [sym_unit] = STATE(9048),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2363),
    [sym_block_comment] = STATE(2363),
    [sym__alpha_identifier] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_end] = ACTIONS(1590),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_opaque] = ACTIONS(1590),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1594),
    [anon_sym_infix] = ACTIONS(1590),
    [anon_sym_open] = ACTIONS(1590),
    [anon_sym_transparent] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1598),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [sym__backquoted_id] = ACTIONS(1602),
    [sym_operator_identifier] = ACTIONS(1604),
    [sym_integer_literal] = ACTIONS(1606),
    [sym_floating_point_literal] = ACTIONS(1608),
    [anon_sym_true] = ACTIONS(1610),
    [anon_sym_false] = ACTIONS(1610),
    [sym_character_literal] = ACTIONS(1608),
    [sym_null_literal] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1614),
    [sym__simple_string] = ACTIONS(1614),
  },
  [2364] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16100),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2364),
    [sym_block_comment] = STATE(2364),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(858),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2365] = {
    [sym_inline_modifier] = STATE(2312),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13650),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(2365),
    [sym_block_comment] = STATE(2365),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [2366] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15374),
    [sym__simple_expression] = STATE(6221),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10378),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10007),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2366),
    [sym_block_comment] = STATE(2366),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2367] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16277),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2367),
    [sym_block_comment] = STATE(2367),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4148),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2368] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(5325),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(9850),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16664),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(9204),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(4714),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(6214),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2368),
    [sym_block_comment] = STATE(2368),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2369] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16176),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2369),
    [sym_block_comment] = STATE(2369),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4150),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2370] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15317),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2370),
    [sym_block_comment] = STATE(2370),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2371] = {
    [sym_inline_modifier] = STATE(2104),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14041),
    [sym__simple_expression] = STATE(9300),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16359),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(11353),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(8787),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(10556),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2371),
    [sym_block_comment] = STATE(2371),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(3304),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(3246),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2372] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14775),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2372),
    [sym_block_comment] = STATE(2372),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2373] = {
    [sym_inline_modifier] = STATE(2382),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12754),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2373),
    [sym_block_comment] = STATE(2373),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2374] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16343),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2374),
    [sym_block_comment] = STATE(2374),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4152),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2375] = {
    [sym_inline_modifier] = STATE(2374),
    [sym_block] = STATE(9377),
    [sym_expression] = STATE(13947),
    [sym__simple_expression] = STATE(8922),
    [sym_lambda_expression] = STATE(14143),
    [sym_if_expression] = STATE(14143),
    [sym_match_expression] = STATE(14143),
    [sym_try_expression] = STATE(14143),
    [sym_bindings] = STATE(16636),
    [sym_case_block] = STATE(9377),
    [sym_assignment_expression] = STATE(14143),
    [sym_generic_function] = STATE(9377),
    [sym_call_expression] = STATE(9377),
    [sym_field_expression] = STATE(9377),
    [sym_instance_expression] = STATE(9377),
    [sym_ascription_expression] = STATE(14143),
    [sym_infix_expression] = STATE(10335),
    [sym_postfix_expression] = STATE(13749),
    [sym__postfix_expression_choice] = STATE(16765),
    [sym_macro_body] = STATE(14143),
    [sym_prefix_expression] = STATE(11148),
    [sym_tuple_expression] = STATE(9377),
    [sym_parenthesized_expression] = STATE(9377),
    [sym_splice_expression] = STATE(9377),
    [sym_quote_expression] = STATE(9377),
    [sym_identifier] = STATE(7504),
    [sym__soft_identifier] = STATE(6715),
    [sym_wildcard] = STATE(10026),
    [sym__non_null_literal] = STATE(9377),
    [sym_boolean_literal] = STATE(9137),
    [sym_interpolated_string_expression] = STATE(9377),
    [sym_string] = STATE(9137),
    [sym_unit] = STATE(9377),
    [sym_return_expression] = STATE(14143),
    [sym_throw_expression] = STATE(14143),
    [sym_while_expression] = STATE(14143),
    [sym_do_while_expression] = STATE(14143),
    [sym_for_expression] = STATE(14143),
    [sym_comment] = STATE(2375),
    [sym_block_comment] = STATE(2375),
    [sym__alpha_identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym__] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_end] = ACTIONS(1886),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1888),
    [anon_sym_opaque] = ACTIONS(1886),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1890),
    [anon_sym_infix] = ACTIONS(1886),
    [anon_sym_open] = ACTIONS(1886),
    [anon_sym_transparent] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1884),
    [anon_sym_TILDE] = ACTIONS(1884),
    [anon_sym_DOLLAR] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [sym__backquoted_id] = ACTIONS(1898),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1902),
    [sym_floating_point_literal] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1906),
    [anon_sym_false] = ACTIONS(1906),
    [sym_character_literal] = ACTIONS(1904),
    [sym_null_literal] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1910),
    [sym__simple_string] = ACTIONS(1910),
  },
  [2376] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16244),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2376),
    [sym_block_comment] = STATE(2376),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4154),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2377] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14896),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2377),
    [sym_block_comment] = STATE(2377),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2378] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13742),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(2378),
    [sym_block_comment] = STATE(2378),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [2379] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(8464),
    [sym_expression] = STATE(15617),
    [sym__simple_expression] = STATE(5096),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(8464),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(8464),
    [sym_call_expression] = STATE(8464),
    [sym_field_expression] = STATE(8464),
    [sym_instance_expression] = STATE(8464),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16815),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(8464),
    [sym_parenthesized_expression] = STATE(8464),
    [sym_splice_expression] = STATE(8464),
    [sym_quote_expression] = STATE(8464),
    [sym_identifier] = STATE(4884),
    [sym__soft_identifier] = STATE(5834),
    [sym_wildcard] = STATE(6971),
    [sym__non_null_literal] = STATE(8464),
    [sym_boolean_literal] = STATE(8470),
    [sym_interpolated_string_expression] = STATE(8464),
    [sym_string] = STATE(8470),
    [sym_unit] = STATE(8464),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2379),
    [sym_block_comment] = STATE(2379),
    [sym__alpha_identifier] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_infix] = ACTIONS(1274),
    [anon_sym_open] = ACTIONS(1274),
    [anon_sym_transparent] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym__backquoted_id] = ACTIONS(1286),
    [sym_operator_identifier] = ACTIONS(1288),
    [sym_integer_literal] = ACTIONS(1290),
    [sym_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [sym_character_literal] = ACTIONS(1292),
    [sym_null_literal] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1298),
    [sym__simple_string] = ACTIONS(1298),
  },
  [2380] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13722),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(2380),
    [sym_block_comment] = STATE(2380),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [2381] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9323),
    [sym_expression] = STATE(13766),
    [sym__simple_expression] = STATE(6172),
    [sym_lambda_expression] = STATE(14116),
    [sym_if_expression] = STATE(14116),
    [sym_match_expression] = STATE(14116),
    [sym_try_expression] = STATE(14116),
    [sym_bindings] = STATE(16453),
    [sym_case_block] = STATE(9323),
    [sym_assignment_expression] = STATE(14116),
    [sym_generic_function] = STATE(9323),
    [sym_call_expression] = STATE(9323),
    [sym_field_expression] = STATE(9323),
    [sym_instance_expression] = STATE(9323),
    [sym_ascription_expression] = STATE(14116),
    [sym_infix_expression] = STATE(10221),
    [sym_postfix_expression] = STATE(13850),
    [sym__postfix_expression_choice] = STATE(17038),
    [sym_macro_body] = STATE(14116),
    [sym_prefix_expression] = STATE(10322),
    [sym_tuple_expression] = STATE(9323),
    [sym_parenthesized_expression] = STATE(9323),
    [sym_splice_expression] = STATE(9323),
    [sym_quote_expression] = STATE(9323),
    [sym_identifier] = STATE(5675),
    [sym__soft_identifier] = STATE(6341),
    [sym_wildcard] = STATE(8819),
    [sym__non_null_literal] = STATE(9323),
    [sym_boolean_literal] = STATE(9555),
    [sym_interpolated_string_expression] = STATE(9323),
    [sym_string] = STATE(9555),
    [sym_unit] = STATE(9323),
    [sym_return_expression] = STATE(14116),
    [sym_throw_expression] = STATE(14116),
    [sym_while_expression] = STATE(14116),
    [sym_do_while_expression] = STATE(14116),
    [sym_for_expression] = STATE(14116),
    [sym_comment] = STATE(2381),
    [sym_block_comment] = STATE(2381),
    [sym__alpha_identifier] = ACTIONS(1634),
    [anon_sym_LBRACE] = ACTIONS(1638),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_end] = ACTIONS(1644),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1646),
    [anon_sym_opaque] = ACTIONS(1644),
    [anon_sym_implicit] = ACTIONS(2234),
    [anon_sym_inline] = ACTIONS(1648),
    [anon_sym_infix] = ACTIONS(1644),
    [anon_sym_open] = ACTIONS(1644),
    [anon_sym_transparent] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_macro] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1654),
    [sym__backquoted_id] = ACTIONS(1656),
    [sym_operator_identifier] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(1660),
    [sym_floating_point_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [sym_character_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2240),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1668),
    [sym__simple_string] = ACTIONS(1668),
  },
  [2382] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16277),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2382),
    [sym_block_comment] = STATE(2382),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4156),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2383] = {
    [sym_inline_modifier] = STATE(2354),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13112),
    [sym__simple_expression] = STATE(6128),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16625),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8863),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2383),
    [sym_block_comment] = STATE(2383),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2384] = {
    [sym_inline_modifier] = STATE(2387),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12881),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(2384),
    [sym_block_comment] = STATE(2384),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2385] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12747),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2385),
    [sym_block_comment] = STATE(2385),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2386] = {
    [sym_inline_modifier] = STATE(2101),
    [sym_block] = STATE(8286),
    [sym_expression] = STATE(13520),
    [sym__simple_expression] = STATE(5665),
    [sym_lambda_expression] = STATE(13928),
    [sym_if_expression] = STATE(13928),
    [sym_match_expression] = STATE(13928),
    [sym_try_expression] = STATE(13928),
    [sym_bindings] = STATE(16397),
    [sym_case_block] = STATE(8286),
    [sym_assignment_expression] = STATE(13928),
    [sym_generic_function] = STATE(8286),
    [sym_call_expression] = STATE(8286),
    [sym_field_expression] = STATE(8286),
    [sym_instance_expression] = STATE(8286),
    [sym_ascription_expression] = STATE(13928),
    [sym_infix_expression] = STATE(9890),
    [sym_postfix_expression] = STATE(13522),
    [sym__postfix_expression_choice] = STATE(17227),
    [sym_macro_body] = STATE(13928),
    [sym_prefix_expression] = STATE(9868),
    [sym_tuple_expression] = STATE(8286),
    [sym_parenthesized_expression] = STATE(8286),
    [sym_splice_expression] = STATE(8286),
    [sym_quote_expression] = STATE(8286),
    [sym_identifier] = STATE(5098),
    [sym__soft_identifier] = STATE(5538),
    [sym_wildcard] = STATE(7631),
    [sym__non_null_literal] = STATE(8286),
    [sym_boolean_literal] = STATE(8771),
    [sym_interpolated_string_expression] = STATE(8286),
    [sym_string] = STATE(8771),
    [sym_unit] = STATE(8286),
    [sym_return_expression] = STATE(13928),
    [sym_throw_expression] = STATE(13928),
    [sym_while_expression] = STATE(13928),
    [sym_do_while_expression] = STATE(13928),
    [sym_for_expression] = STATE(13928),
    [sym_comment] = STATE(2386),
    [sym_block_comment] = STATE(2386),
    [sym__alpha_identifier] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(1978),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1982),
    [anon_sym_new] = ACTIONS(1312),
    [anon_sym_opaque] = ACTIONS(1310),
    [anon_sym_implicit] = ACTIONS(1984),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym_infix] = ACTIONS(1310),
    [anon_sym_open] = ACTIONS(1310),
    [anon_sym_transparent] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_macro] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym__backquoted_id] = ACTIONS(1322),
    [sym_operator_identifier] = ACTIONS(1986),
    [sym_integer_literal] = ACTIONS(1326),
    [sym_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1330),
    [anon_sym_false] = ACTIONS(1330),
    [sym_character_literal] = ACTIONS(1328),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1334),
    [sym__simple_string] = ACTIONS(1334),
  },
  [2387] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16310),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2387),
    [sym_block_comment] = STATE(2387),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4158),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2388] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16310),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2388),
    [sym_block_comment] = STATE(2388),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4160),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2389] = {
    [sym_inline_modifier] = STATE(2312),
    [sym_block] = STATE(8319),
    [sym_expression] = STATE(13691),
    [sym__simple_expression] = STATE(6628),
    [sym_lambda_expression] = STATE(13989),
    [sym_if_expression] = STATE(13989),
    [sym_match_expression] = STATE(13989),
    [sym_try_expression] = STATE(13989),
    [sym_bindings] = STATE(16569),
    [sym_case_block] = STATE(8319),
    [sym_assignment_expression] = STATE(13989),
    [sym_generic_function] = STATE(8319),
    [sym_call_expression] = STATE(8319),
    [sym_field_expression] = STATE(8319),
    [sym_instance_expression] = STATE(8319),
    [sym_ascription_expression] = STATE(13989),
    [sym_infix_expression] = STATE(9616),
    [sym_postfix_expression] = STATE(13702),
    [sym__postfix_expression_choice] = STATE(18029),
    [sym_macro_body] = STATE(13989),
    [sym_prefix_expression] = STATE(10192),
    [sym_tuple_expression] = STATE(8319),
    [sym_parenthesized_expression] = STATE(8319),
    [sym_splice_expression] = STATE(8319),
    [sym_quote_expression] = STATE(8319),
    [sym_identifier] = STATE(5883),
    [sym__soft_identifier] = STATE(5654),
    [sym_wildcard] = STATE(8574),
    [sym__non_null_literal] = STATE(8319),
    [sym_boolean_literal] = STATE(8637),
    [sym_interpolated_string_expression] = STATE(8319),
    [sym_string] = STATE(8637),
    [sym_unit] = STATE(8319),
    [sym_return_expression] = STATE(13989),
    [sym_throw_expression] = STATE(13989),
    [sym_while_expression] = STATE(13989),
    [sym_do_while_expression] = STATE(13989),
    [sym_for_expression] = STATE(13989),
    [sym_comment] = STATE(2389),
    [sym_block_comment] = STATE(2389),
    [sym__alpha_identifier] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_end] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_opaque] = ACTIONS(1470),
    [anon_sym_implicit] = ACTIONS(2080),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym_infix] = ACTIONS(1470),
    [anon_sym_open] = ACTIONS(1470),
    [anon_sym_transparent] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [sym__backquoted_id] = ACTIONS(1482),
    [sym_operator_identifier] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(1486),
    [sym_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1490),
    [anon_sym_false] = ACTIONS(1490),
    [sym_character_literal] = ACTIONS(1488),
    [sym_null_literal] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2088),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1494),
    [sym__simple_string] = ACTIONS(1494),
  },
  [2390] = {
    [sym_inline_modifier] = STATE(2382),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12747),
    [sym__simple_expression] = STATE(6392),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16507),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(10272),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5820),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(8890),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2390),
    [sym_block_comment] = STATE(2390),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2010),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2018),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2022),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_throw] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2391] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15054),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2391),
    [sym_block_comment] = STATE(2391),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2392] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14962),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2392),
    [sym_block_comment] = STATE(2392),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2393] = {
    [sym_inline_modifier] = STATE(2122),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12754),
    [sym__simple_expression] = STATE(5989),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16423),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9988),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5379),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7510),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2393),
    [sym_block_comment] = STATE(2393),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2098),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2104),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2394] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14955),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2394),
    [sym_block_comment] = STATE(2394),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2395] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(10316),
    [sym_expression] = STATE(15736),
    [sym__simple_expression] = STATE(6820),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(10316),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(10316),
    [sym_call_expression] = STATE(10316),
    [sym_field_expression] = STATE(10316),
    [sym_instance_expression] = STATE(10316),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10880),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16863),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10365),
    [sym_tuple_expression] = STATE(10316),
    [sym_parenthesized_expression] = STATE(10316),
    [sym_splice_expression] = STATE(10316),
    [sym_quote_expression] = STATE(10316),
    [sym_identifier] = STATE(6702),
    [sym__soft_identifier] = STATE(4713),
    [sym_wildcard] = STATE(9371),
    [sym__non_null_literal] = STATE(10316),
    [sym_boolean_literal] = STATE(6322),
    [sym_interpolated_string_expression] = STATE(10316),
    [sym_string] = STATE(6322),
    [sym_unit] = STATE(10316),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2395),
    [sym_block_comment] = STATE(2395),
    [sym__alpha_identifier] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_end] = ACTIONS(1850),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(1852),
    [anon_sym_opaque] = ACTIONS(1850),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(1854),
    [anon_sym_infix] = ACTIONS(1850),
    [anon_sym_open] = ACTIONS(1850),
    [anon_sym_transparent] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(1848),
    [anon_sym_TILDE] = ACTIONS(1848),
    [anon_sym_DOLLAR] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [sym__backquoted_id] = ACTIONS(1862),
    [sym_operator_identifier] = ACTIONS(1864),
    [sym_integer_literal] = ACTIONS(1866),
    [sym_floating_point_literal] = ACTIONS(1868),
    [anon_sym_true] = ACTIONS(1870),
    [anon_sym_false] = ACTIONS(1870),
    [sym_character_literal] = ACTIONS(1868),
    [sym_null_literal] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1874),
    [sym__simple_string] = ACTIONS(1874),
  },
  [2396] = {
    [sym_inline_modifier] = STATE(2387),
    [sym_block] = STATE(7102),
    [sym_expression] = STATE(12857),
    [sym__simple_expression] = STATE(5401),
    [sym_lambda_expression] = STATE(13190),
    [sym_if_expression] = STATE(13190),
    [sym_match_expression] = STATE(13190),
    [sym_try_expression] = STATE(13190),
    [sym_bindings] = STATE(16452),
    [sym_case_block] = STATE(7102),
    [sym_assignment_expression] = STATE(13190),
    [sym_generic_function] = STATE(7102),
    [sym_call_expression] = STATE(7102),
    [sym_field_expression] = STATE(7102),
    [sym_instance_expression] = STATE(7102),
    [sym_ascription_expression] = STATE(13190),
    [sym_infix_expression] = STATE(8526),
    [sym_postfix_expression] = STATE(12866),
    [sym__postfix_expression_choice] = STATE(16738),
    [sym_macro_body] = STATE(13190),
    [sym_prefix_expression] = STATE(9051),
    [sym_tuple_expression] = STATE(7102),
    [sym_parenthesized_expression] = STATE(7102),
    [sym_splice_expression] = STATE(7102),
    [sym_quote_expression] = STATE(7102),
    [sym_identifier] = STATE(5032),
    [sym__soft_identifier] = STATE(4900),
    [sym_wildcard] = STATE(7326),
    [sym__non_null_literal] = STATE(7102),
    [sym_boolean_literal] = STATE(7068),
    [sym_interpolated_string_expression] = STATE(7102),
    [sym_string] = STATE(7068),
    [sym_unit] = STATE(7102),
    [sym_return_expression] = STATE(13190),
    [sym_throw_expression] = STATE(13190),
    [sym_while_expression] = STATE(13190),
    [sym_do_while_expression] = STATE(13190),
    [sym_for_expression] = STATE(13190),
    [sym_comment] = STATE(2396),
    [sym_block_comment] = STATE(2396),
    [sym__alpha_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym__] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_end] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_implicit] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_infix] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_transparent] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_macro] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym__backquoted_id] = ACTIONS(1150),
    [sym_operator_identifier] = ACTIONS(1220),
    [sym_integer_literal] = ACTIONS(1154),
    [sym_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [sym_character_literal] = ACTIONS(1156),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1162),
    [sym__simple_string] = ACTIONS(1162),
  },
  [2397] = {
    [sym_inline_modifier] = STATE(2265),
    [sym_block] = STATE(8633),
    [sym_expression] = STATE(13533),
    [sym__simple_expression] = STATE(7700),
    [sym_lambda_expression] = STATE(13939),
    [sym_if_expression] = STATE(13939),
    [sym_match_expression] = STATE(13939),
    [sym_try_expression] = STATE(13939),
    [sym_bindings] = STATE(16489),
    [sym_case_block] = STATE(8633),
    [sym_assignment_expression] = STATE(13939),
    [sym_generic_function] = STATE(8633),
    [sym_call_expression] = STATE(8633),
    [sym_field_expression] = STATE(8633),
    [sym_instance_expression] = STATE(8633),
    [sym_ascription_expression] = STATE(13939),
    [sym_infix_expression] = STATE(9740),
    [sym_postfix_expression] = STATE(13658),
    [sym__postfix_expression_choice] = STATE(17141),
    [sym_macro_body] = STATE(13939),
    [sym_prefix_expression] = STATE(10776),
    [sym_tuple_expression] = STATE(8633),
    [sym_parenthesized_expression] = STATE(8633),
    [sym_splice_expression] = STATE(8633),
    [sym_quote_expression] = STATE(8633),
    [sym_identifier] = STATE(7374),
    [sym__soft_identifier] = STATE(5961),
    [sym_wildcard] = STATE(9810),
    [sym__non_null_literal] = STATE(8633),
    [sym_boolean_literal] = STATE(8318),
    [sym_interpolated_string_expression] = STATE(8633),
    [sym_string] = STATE(8318),
    [sym_unit] = STATE(8633),
    [sym_return_expression] = STATE(13939),
    [sym_throw_expression] = STATE(13939),
    [sym_while_expression] = STATE(13939),
    [sym_do_while_expression] = STATE(13939),
    [sym_for_expression] = STATE(13939),
    [sym_comment] = STATE(2397),
    [sym_block_comment] = STATE(2397),
    [sym__alpha_identifier] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1696),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_end] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_opaque] = ACTIONS(1700),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1704),
    [anon_sym_infix] = ACTIONS(1700),
    [anon_sym_open] = ACTIONS(1700),
    [anon_sym_transparent] = ACTIONS(1700),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_macro] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [sym__backquoted_id] = ACTIONS(1712),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1716),
    [sym_floating_point_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [sym_character_literal] = ACTIONS(1718),
    [sym_null_literal] = ACTIONS(1722),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1724),
    [sym__simple_string] = ACTIONS(1724),
  },
  [2398] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(7033),
    [sym_expression] = STATE(12864),
    [sym__simple_expression] = STATE(5619),
    [sym_lambda_expression] = STATE(12600),
    [sym_if_expression] = STATE(12600),
    [sym_match_expression] = STATE(12600),
    [sym_try_expression] = STATE(12600),
    [sym_bindings] = STATE(16494),
    [sym_case_block] = STATE(7033),
    [sym_assignment_expression] = STATE(12600),
    [sym_generic_function] = STATE(7033),
    [sym_call_expression] = STATE(7033),
    [sym_field_expression] = STATE(7033),
    [sym_instance_expression] = STATE(7033),
    [sym_ascription_expression] = STATE(12600),
    [sym_infix_expression] = STATE(8314),
    [sym_postfix_expression] = STATE(12241),
    [sym__postfix_expression_choice] = STATE(16688),
    [sym_macro_body] = STATE(12600),
    [sym_prefix_expression] = STATE(9860),
    [sym_tuple_expression] = STATE(7033),
    [sym_parenthesized_expression] = STATE(7033),
    [sym_splice_expression] = STATE(7033),
    [sym_quote_expression] = STATE(7033),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(4985),
    [sym_wildcard] = STATE(7649),
    [sym__non_null_literal] = STATE(7033),
    [sym_boolean_literal] = STATE(7325),
    [sym_interpolated_string_expression] = STATE(7033),
    [sym_string] = STATE(7325),
    [sym_unit] = STATE(7033),
    [sym_return_expression] = STATE(12600),
    [sym_throw_expression] = STATE(12600),
    [sym_while_expression] = STATE(12600),
    [sym_do_while_expression] = STATE(12600),
    [sym_for_expression] = STATE(12600),
    [sym_comment] = STATE(2398),
    [sym_block_comment] = STATE(2398),
    [sym__alpha_identifier] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym__] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_end] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_implicit] = ACTIONS(2398),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_infix] = ACTIONS(1030),
    [anon_sym_open] = ACTIONS(1030),
    [anon_sym_transparent] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_macro] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym__backquoted_id] = ACTIONS(1042),
    [sym_operator_identifier] = ACTIONS(2400),
    [sym_integer_literal] = ACTIONS(1046),
    [sym_floating_point_literal] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2404),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1054),
    [sym__simple_string] = ACTIONS(1054),
  },
  [2399] = {
    [sym_inline_modifier] = STATE(2401),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(13027),
    [sym__simple_expression] = STATE(6141),
    [sym_lambda_expression] = STATE(13311),
    [sym_if_expression] = STATE(13311),
    [sym_match_expression] = STATE(13311),
    [sym_try_expression] = STATE(13311),
    [sym_bindings] = STATE(16632),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(13311),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(13311),
    [sym_infix_expression] = STATE(9870),
    [sym_postfix_expression] = STATE(12721),
    [sym__postfix_expression_choice] = STATE(17125),
    [sym_macro_body] = STATE(13311),
    [sym_prefix_expression] = STATE(10223),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(5914),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(8837),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(13311),
    [sym_throw_expression] = STATE(13311),
    [sym_while_expression] = STATE(13311),
    [sym_do_while_expression] = STATE(13311),
    [sym_for_expression] = STATE(13311),
    [sym_comment] = STATE(2399),
    [sym_block_comment] = STATE(2399),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(2484),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2486),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2400] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15981),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2400),
    [sym_block_comment] = STATE(2400),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4162),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2401] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(15317),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2401),
    [sym_block_comment] = STATE(2401),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4164),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2402] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16100),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2402),
    [sym_block_comment] = STATE(2402),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4166),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2403] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(7634),
    [sym_expression] = STATE(15682),
    [sym__simple_expression] = STATE(4960),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(7634),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(7634),
    [sym_call_expression] = STATE(7634),
    [sym_field_expression] = STATE(7634),
    [sym_instance_expression] = STATE(7634),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16664),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(7634),
    [sym_parenthesized_expression] = STATE(7634),
    [sym_splice_expression] = STATE(7634),
    [sym_quote_expression] = STATE(7634),
    [sym_identifier] = STATE(4714),
    [sym__soft_identifier] = STATE(5349),
    [sym_wildcard] = STATE(6214),
    [sym__non_null_literal] = STATE(7634),
    [sym_boolean_literal] = STATE(7626),
    [sym_interpolated_string_expression] = STATE(7634),
    [sym_string] = STATE(7626),
    [sym_unit] = STATE(7634),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2403),
    [sym_block_comment] = STATE(2403),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(669),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_transparent] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2404] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16244),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2404),
    [sym_block_comment] = STATE(2404),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4168),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2405] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(12030),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2405),
    [sym_block_comment] = STATE(2405),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2406] = {
    [sym_inline_modifier] = STATE(2402),
    [sym_block] = STATE(9887),
    [sym_expression] = STATE(14178),
    [sym__simple_expression] = STATE(7471),
    [sym_lambda_expression] = STATE(14357),
    [sym_if_expression] = STATE(14357),
    [sym_match_expression] = STATE(14357),
    [sym_try_expression] = STATE(14357),
    [sym_bindings] = STATE(16595),
    [sym_case_block] = STATE(9887),
    [sym_assignment_expression] = STATE(14357),
    [sym_generic_function] = STATE(9887),
    [sym_call_expression] = STATE(9887),
    [sym_field_expression] = STATE(9887),
    [sym_instance_expression] = STATE(9887),
    [sym_ascription_expression] = STATE(14357),
    [sym_infix_expression] = STATE(10812),
    [sym_postfix_expression] = STATE(14052),
    [sym__postfix_expression_choice] = STATE(17353),
    [sym_macro_body] = STATE(14357),
    [sym_prefix_expression] = STATE(10601),
    [sym_tuple_expression] = STATE(9887),
    [sym_parenthesized_expression] = STATE(9887),
    [sym_splice_expression] = STATE(9887),
    [sym_quote_expression] = STATE(9887),
    [sym_identifier] = STATE(6113),
    [sym__soft_identifier] = STATE(5822),
    [sym_wildcard] = STATE(8975),
    [sym__non_null_literal] = STATE(9887),
    [sym_boolean_literal] = STATE(9760),
    [sym_interpolated_string_expression] = STATE(9887),
    [sym_string] = STATE(9760),
    [sym_unit] = STATE(9887),
    [sym_return_expression] = STATE(14357),
    [sym_throw_expression] = STATE(14357),
    [sym_while_expression] = STATE(14357),
    [sym_do_while_expression] = STATE(14357),
    [sym_for_expression] = STATE(14357),
    [sym_comment] = STATE(2406),
    [sym_block_comment] = STATE(2406),
    [sym__alpha_identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_end] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(523),
    [anon_sym_opaque] = ACTIONS(677),
    [anon_sym_implicit] = ACTIONS(2791),
    [anon_sym_inline] = ACTIONS(535),
    [anon_sym_infix] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_transparent] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_macro] = ACTIONS(547),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(511),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(551),
    [sym__backquoted_id] = ACTIONS(553),
    [sym_operator_identifier] = ACTIONS(2803),
    [sym_integer_literal] = ACTIONS(557),
    [sym_floating_point_literal] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [sym_character_literal] = ACTIONS(559),
    [sym_null_literal] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(571),
    [sym__simple_string] = ACTIONS(571),
  },
  [2407] = {
    [sym_inline_modifier] = STATE(2376),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11938),
    [sym__simple_expression] = STATE(5250),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16466),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(9560),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(5023),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(7406),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2407),
    [sym_block_comment] = STATE(2407),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1200),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2408] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(14072),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2408),
    [sym_block_comment] = STATE(2408),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2409] = {
    [sym_inline_modifier] = STATE(2125),
    [sym_block] = STATE(5694),
    [sym_expression] = STATE(11982),
    [sym__simple_expression] = STATE(4901),
    [sym_lambda_expression] = STATE(11892),
    [sym_if_expression] = STATE(11892),
    [sym_match_expression] = STATE(11892),
    [sym_try_expression] = STATE(11892),
    [sym_bindings] = STATE(16435),
    [sym_case_block] = STATE(5694),
    [sym_assignment_expression] = STATE(11892),
    [sym_generic_function] = STATE(5694),
    [sym_call_expression] = STATE(5694),
    [sym_field_expression] = STATE(5694),
    [sym_instance_expression] = STATE(5694),
    [sym_ascription_expression] = STATE(11892),
    [sym_infix_expression] = STATE(7105),
    [sym_postfix_expression] = STATE(11498),
    [sym__postfix_expression_choice] = STATE(16660),
    [sym_macro_body] = STATE(11892),
    [sym_prefix_expression] = STATE(8919),
    [sym_tuple_expression] = STATE(5694),
    [sym_parenthesized_expression] = STATE(5694),
    [sym_splice_expression] = STATE(5694),
    [sym_quote_expression] = STATE(5694),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(4609),
    [sym_wildcard] = STATE(6106),
    [sym__non_null_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5777),
    [sym_interpolated_string_expression] = STATE(5694),
    [sym_string] = STATE(5777),
    [sym_unit] = STATE(5694),
    [sym_return_expression] = STATE(11892),
    [sym_throw_expression] = STATE(11892),
    [sym_while_expression] = STATE(11892),
    [sym_do_while_expression] = STATE(11892),
    [sym_for_expression] = STATE(11892),
    [sym_comment] = STATE(2409),
    [sym_block_comment] = STATE(2409),
    [sym__alpha_identifier] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(908),
    [anon_sym__] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_end] = ACTIONS(918),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(922),
    [anon_sym_opaque] = ACTIONS(918),
    [anon_sym_implicit] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(926),
    [anon_sym_infix] = ACTIONS(918),
    [anon_sym_open] = ACTIONS(918),
    [anon_sym_transparent] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_macro] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(916),
    [anon_sym_TILDE] = ACTIONS(916),
    [anon_sym_DOLLAR] = ACTIONS(930),
    [anon_sym_SQUOTE] = ACTIONS(932),
    [sym__backquoted_id] = ACTIONS(934),
    [sym_operator_identifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(938),
    [sym_floating_point_literal] = ACTIONS(940),
    [anon_sym_true] = ACTIONS(942),
    [anon_sym_false] = ACTIONS(942),
    [sym_character_literal] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(946),
    [sym__simple_string] = ACTIONS(946),
  },
  [2410] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16331),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2410),
    [sym_block_comment] = STATE(2410),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2411] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(9776),
    [sym_expression] = STATE(16310),
    [sym__simple_expression] = STATE(7741),
    [sym_lambda_expression] = STATE(14363),
    [sym_if_expression] = STATE(14363),
    [sym_match_expression] = STATE(14363),
    [sym_try_expression] = STATE(14363),
    [sym_bindings] = STATE(16381),
    [sym_case_block] = STATE(9776),
    [sym_assignment_expression] = STATE(14363),
    [sym_generic_function] = STATE(9776),
    [sym_call_expression] = STATE(9776),
    [sym_field_expression] = STATE(9776),
    [sym_instance_expression] = STATE(9776),
    [sym_ascription_expression] = STATE(14363),
    [sym_infix_expression] = STATE(10645),
    [sym_postfix_expression] = STATE(14031),
    [sym__postfix_expression_choice] = STATE(16782),
    [sym_macro_body] = STATE(14363),
    [sym_prefix_expression] = STATE(10679),
    [sym_tuple_expression] = STATE(9776),
    [sym_parenthesized_expression] = STATE(9776),
    [sym_splice_expression] = STATE(9776),
    [sym_quote_expression] = STATE(9776),
    [sym_identifier] = STATE(5717),
    [sym__soft_identifier] = STATE(5575),
    [sym_wildcard] = STATE(8779),
    [sym__non_null_literal] = STATE(9776),
    [sym_boolean_literal] = STATE(8776),
    [sym_interpolated_string_expression] = STATE(9776),
    [sym_string] = STATE(8776),
    [sym_unit] = STATE(9776),
    [sym_return_expression] = STATE(14363),
    [sym_throw_expression] = STATE(14363),
    [sym_while_expression] = STATE(14363),
    [sym_do_while_expression] = STATE(14363),
    [sym_for_expression] = STATE(14363),
    [sym_comment] = STATE(2411),
    [sym_block_comment] = STATE(2411),
    [sym__alpha_identifier] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym__] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_end] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(4172),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(866),
    [anon_sym_opaque] = ACTIONS(856),
    [anon_sym_implicit] = ACTIONS(924),
    [anon_sym_inline] = ACTIONS(2222),
    [anon_sym_infix] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_transparent] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_macro] = ACTIONS(870),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_DOLLAR] = ACTIONS(872),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [sym__backquoted_id] = ACTIONS(876),
    [sym_operator_identifier] = ACTIONS(878),
    [sym_integer_literal] = ACTIONS(880),
    [sym_floating_point_literal] = ACTIONS(882),
    [anon_sym_true] = ACTIONS(884),
    [anon_sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(894),
    [sym__simple_string] = ACTIONS(894),
  },
  [2412] = {
    [sym_comment] = STATE(2412),
    [sym_block_comment] = STATE(2412),
    [sym__alpha_identifier] = ACTIONS(4174),
    [anon_sym_COLON] = ACTIONS(4176),
    [anon_sym_LBRACE] = ACTIONS(4178),
    [anon_sym_RBRACE] = ACTIONS(4180),
    [anon_sym_case] = ACTIONS(4174),
    [anon_sym_DOT] = ACTIONS(4176),
    [anon_sym_object] = ACTIONS(4174),
    [anon_sym__] = ACTIONS(4174),
    [anon_sym_given] = ACTIONS(4174),
    [anon_sym_EQ_GT] = ACTIONS(4176),
    [anon_sym_class] = ACTIONS(4174),
    [anon_sym_trait] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_end] = ACTIONS(4174),
    [anon_sym_if] = ACTIONS(4174),
    [anon_sym_while] = ACTIONS(4174),
    [anon_sym_for] = ACTIONS(4174),
    [anon_sym_match] = ACTIONS(4176),
    [anon_sym_try] = ACTIONS(4174),
    [anon_sym_new] = ACTIONS(4174),
    [anon_sym_val] = ACTIONS(4174),
    [anon_sym_EQ] = ACTIONS(4176),
    [anon_sym_var] = ACTIONS(4174),
    [anon_sym_type] = ACTIONS(4174),
    [anon_sym_def] = ACTIONS(4174),
    [anon_sym_opaque] = ACTIONS(4174),
    [anon_sym_abstract] = ACTIONS(4174),
    [anon_sym_final] = ACTIONS(4174),
    [anon_sym_sealed] = ACTIONS(4174),
    [anon_sym_implicit] = ACTIONS(4174),
    [anon_sym_lazy] = ACTIONS(4174),
    [anon_sym_override] = ACTIONS(4174),
    [anon_sym_private] = ACTIONS(4174),
    [anon_sym_protected] = ACTIONS(4174),
    [anon_sym_inline] = ACTIONS(4174),
    [anon_sym_infix] = ACTIONS(4174),
    [anon_sym_open] = ACTIONS(4174),
    [anon_sym_transparent] = ACTIONS(4174),
    [anon_sym_LPAREN] = ACTIONS(4178),
    [anon_sym_RPAREN] = ACTIONS(4180),
    [anon_sym_SEMI] = ACTIONS(4180),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4176),
    [anon_sym_macro] = ACTIONS(4174),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_TILDE] = ACTIONS(4174),
    [anon_sym_DOLLAR] = ACTIONS(4174),
    [anon_sym_SQUOTE] = ACTIONS(4174),
    [sym__backquoted_id] = ACTIONS(4178),
    [sym_operator_identifier] = ACTIONS(4174),
    [sym_integer_literal] = ACTIONS(4174),
    [sym_floating_point_literal] = ACTIONS(4178),
    [anon_sym_true] = ACTIONS(4174),
    [anon_sym_false] = ACTIONS(4174),
    [sym_character_literal] = ACTIONS(4178),
    [anon_sym_DQUOTE] = ACTIONS(4176),
    [sym__interpolated_multiline_string_start] = ACTIONS(4180),
    [sym_null_literal] = ACTIONS(4174),
    [anon_sym_return] = ACTIONS(4174),
    [anon_sym_throw] = ACTIONS(4174),
    [anon_sym_do] = ACTIONS(4174),
    [anon_sym_yield] = ACTIONS(4176),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4180),
    [sym__simple_multiline_string] = ACTIONS(4178),
    [sym__simple_string] = ACTIONS(4178),
  },
  [2413] = {
    [sym_comment] = STATE(2413),
    [sym_block_comment] = STATE(2413),
    [sym__alpha_identifier] = ACTIONS(4174),
    [anon_sym_COLON] = ACTIONS(4176),
    [anon_sym_LBRACE] = ACTIONS(4178),
    [anon_sym_case] = ACTIONS(4174),
    [anon_sym_DOT] = ACTIONS(4176),
    [anon_sym_object] = ACTIONS(4174),
    [anon_sym__] = ACTIONS(4174),
    [anon_sym_given] = ACTIONS(4174),
    [anon_sym_EQ_GT] = ACTIONS(4176),
    [anon_sym_class] = ACTIONS(4174),
    [anon_sym_trait] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_end] = ACTIONS(4174),
    [anon_sym_if] = ACTIONS(4174),
    [anon_sym_while] = ACTIONS(4174),
    [anon_sym_for] = ACTIONS(4174),
    [anon_sym_match] = ACTIONS(4176),
    [anon_sym_try] = ACTIONS(4174),
    [anon_sym_new] = ACTIONS(4174),
    [anon_sym_val] = ACTIONS(4174),
    [anon_sym_EQ] = ACTIONS(4176),
    [anon_sym_var] = ACTIONS(4174),
    [anon_sym_type] = ACTIONS(4174),
    [anon_sym_def] = ACTIONS(4174),
    [anon_sym_opaque] = ACTIONS(4174),
    [anon_sym_abstract] = ACTIONS(4174),
    [anon_sym_final] = ACTIONS(4174),
    [anon_sym_sealed] = ACTIONS(4174),
    [anon_sym_implicit] = ACTIONS(4174),
    [anon_sym_lazy] = ACTIONS(4174),
    [anon_sym_override] = ACTIONS(4174),
    [anon_sym_private] = ACTIONS(4174),
    [anon_sym_protected] = ACTIONS(4174),
    [anon_sym_inline] = ACTIONS(4174),
    [anon_sym_infix] = ACTIONS(4174),
    [anon_sym_open] = ACTIONS(4174),
    [anon_sym_transparent] = ACTIONS(4174),
    [anon_sym_LPAREN] = ACTIONS(4178),
    [anon_sym_SEMI] = ACTIONS(4180),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4176),
    [anon_sym_macro] = ACTIONS(4174),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_TILDE] = ACTIONS(4174),
    [anon_sym_DOLLAR] = ACTIONS(4174),
    [anon_sym_SQUOTE] = ACTIONS(4174),
    [sym__backquoted_id] = ACTIONS(4178),
    [sym_operator_identifier] = ACTIONS(4174),
    [sym_integer_literal] = ACTIONS(4174),
    [sym_floating_point_literal] = ACTIONS(4178),
    [anon_sym_true] = ACTIONS(4174),
    [anon_sym_false] = ACTIONS(4174),
    [sym_character_literal] = ACTIONS(4178),
    [anon_sym_DQUOTE] = ACTIONS(4176),
    [sym__interpolated_multiline_string_start] = ACTIONS(4180),
    [sym_null_literal] = ACTIONS(4174),
    [anon_sym_return] = ACTIONS(4174),
    [anon_sym_throw] = ACTIONS(4174),
    [anon_sym_do] = ACTIONS(4174),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4180),
    [sym__outdent] = ACTIONS(4180),
    [sym__simple_multiline_string] = ACTIONS(4178),
    [sym__simple_string] = ACTIONS(4178),
  },
  [2414] = {
    [sym_comment] = STATE(2414),
    [sym_block_comment] = STATE(2414),
    [ts_builtin_sym_end] = ACTIONS(4180),
    [sym__alpha_identifier] = ACTIONS(4174),
    [anon_sym_COLON] = ACTIONS(4176),
    [anon_sym_LBRACE] = ACTIONS(4178),
    [anon_sym_case] = ACTIONS(4174),
    [anon_sym_DOT] = ACTIONS(4176),
    [anon_sym_object] = ACTIONS(4174),
    [anon_sym__] = ACTIONS(4174),
    [anon_sym_given] = ACTIONS(4174),
    [anon_sym_EQ_GT] = ACTIONS(4176),
    [anon_sym_class] = ACTIONS(4174),
    [anon_sym_trait] = ACTIONS(4174),
    [anon_sym_LBRACK] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_end] = ACTIONS(4174),
    [anon_sym_if] = ACTIONS(4174),
    [anon_sym_while] = ACTIONS(4174),
    [anon_sym_for] = ACTIONS(4174),
    [anon_sym_match] = ACTIONS(4176),
    [anon_sym_try] = ACTIONS(4174),
    [anon_sym_new] = ACTIONS(4174),
    [anon_sym_val] = ACTIONS(4174),
    [anon_sym_EQ] = ACTIONS(4176),
    [anon_sym_var] = ACTIONS(4174),
    [anon_sym_type] = ACTIONS(4174),
    [anon_sym_def] = ACTIONS(4174),
    [anon_sym_opaque] = ACTIONS(4174),
    [anon_sym_abstract] = ACTIONS(4174),
    [anon_sym_final] = ACTIONS(4174),
    [anon_sym_sealed] = ACTIONS(4174),
    [anon_sym_implicit] = ACTIONS(4174),
    [anon_sym_lazy] = ACTIONS(4174),
    [anon_sym_override] = ACTIONS(4174),
    [anon_sym_private] = ACTIONS(4174),
    [anon_sym_protected] = ACTIONS(4174),
    [anon_sym_inline] = ACTIONS(4174),
    [anon_sym_infix] = ACTIONS(4174),
    [anon_sym_open] = ACTIONS(4174),
    [anon_sym_transparent] = ACTIONS(4174),
    [anon_sym_LPAREN] = ACTIONS(4178),
    [anon_sym_SEMI] = ACTIONS(4180),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4176),
    [anon_sym_macro] = ACTIONS(4174),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_TILDE] = ACTIONS(4174),
    [anon_sym_DOLLAR] = ACTIONS(4174),
    [anon_sym_SQUOTE] = ACTIONS(4174),
    [sym__backquoted_id] = ACTIONS(4178),
    [sym_operator_identifier] = ACTIONS(4174),
    [sym_integer_literal] = ACTIONS(4174),
    [sym_floating_point_literal] = ACTIONS(4178),
    [anon_sym_true] = ACTIONS(4174),
    [anon_sym_false] = ACTIONS(4174),
    [sym_character_literal] = ACTIONS(4178),
    [anon_sym_DQUOTE] = ACTIONS(4176),
    [sym__interpolated_multiline_string_start] = ACTIONS(4180),
    [sym_null_literal] = ACTIONS(4174),
    [anon_sym_return] = ACTIONS(4174),
    [anon_sym_throw] = ACTIONS(4174),
    [anon_sym_do] = ACTIONS(4174),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4180),
    [sym__simple_multiline_string] = ACTIONS(4178),
    [sym__simple_string] = ACTIONS(4178),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4202), 1,
      sym_operator_identifier,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4210), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6199), 1,
      sym_colon_argument,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10112), 1,
      sym_identifier,
    STATE(10536), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17135), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2415), 2,
      sym_comment,
      sym_block_comment,
    STATE(6632), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [145] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4214), 1,
      sym_operator_identifier,
    ACTIONS(4216), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(7048), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10156), 1,
      sym_identifier,
    STATE(10356), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(18098), 1,
      sym_bindings,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2416), 2,
      sym_comment,
      sym_block_comment,
    STATE(6841), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [290] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4218), 1,
      sym_operator_identifier,
    ACTIONS(4220), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(8589), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10347), 1,
      sym_identifier,
    STATE(10363), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(17268), 1,
      sym_bindings,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2417), 2,
      sym_comment,
      sym_block_comment,
    STATE(8386), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [435] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4228), 1,
      anon_sym__,
    ACTIONS(4230), 1,
      anon_sym_EQ_GT,
    ACTIONS(4232), 1,
      anon_sym_LBRACK,
    ACTIONS(4236), 1,
      anon_sym_AT,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(4242), 1,
      sym_operator_identifier,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(4250), 1,
      sym__indent,
    STATE(5772), 1,
      sym__simple_type,
    STATE(6073), 1,
      sym__annotated_type,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(7312), 1,
      sym_identifier,
    STATE(7818), 1,
      sym_wildcard,
    STATE(9291), 1,
      sym_annotated_type,
    STATE(9637), 1,
      sym_colon_argument,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12073), 1,
      sym__type,
    STATE(12867), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16715), 1,
      sym_stable_identifier,
    STATE(16742), 1,
      sym_bindings,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2418), 2,
      sym_comment,
      sym_block_comment,
    STATE(9645), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12087), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7183), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [580] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4254), 1,
      sym_operator_identifier,
    ACTIONS(4256), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(7794), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10052), 1,
      sym_identifier,
    STATE(10608), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17051), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2419), 2,
      sym_comment,
      sym_block_comment,
    STATE(7997), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [725] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      anon_sym__,
    ACTIONS(4266), 1,
      anon_sym_EQ_GT,
    ACTIONS(4268), 1,
      anon_sym_LBRACK,
    ACTIONS(4272), 1,
      anon_sym_AT,
    ACTIONS(4274), 1,
      anon_sym_LPAREN,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(4278), 1,
      sym_operator_identifier,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(4286), 1,
      sym__indent,
    STATE(6489), 1,
      sym__simple_type,
    STATE(6692), 1,
      sym__annotated_type,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(7658), 1,
      sym_identifier,
    STATE(8804), 1,
      sym_wildcard,
    STATE(9725), 1,
      sym_annotated_type,
    STATE(10246), 1,
      sym_colon_argument,
    STATE(12265), 1,
      sym_template_body,
    STATE(12285), 1,
      sym__type,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12805), 1,
      sym__infix_type_choice,
    STATE(16170), 1,
      sym_parameter_types,
    STATE(16746), 1,
      sym_bindings,
    STATE(17592), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2420), 2,
      sym_comment,
      sym_block_comment,
    STATE(10353), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10741), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12686), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8203), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [870] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      anon_sym_COLON,
    ACTIONS(4294), 1,
      anon_sym_LBRACE,
    ACTIONS(4296), 1,
      anon_sym__,
    ACTIONS(4298), 1,
      anon_sym_EQ_GT,
    ACTIONS(4300), 1,
      anon_sym_LBRACK,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_LPAREN,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(4310), 1,
      sym_operator_identifier,
    ACTIONS(4312), 1,
      sym_integer_literal,
    ACTIONS(4318), 1,
      sym__indent,
    STATE(4849), 1,
      sym__simple_type,
    STATE(4917), 1,
      sym__annotated_type,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(6087), 1,
      sym_identifier,
    STATE(6712), 1,
      sym_wildcard,
    STATE(7538), 1,
      sym_annotated_type,
    STATE(8525), 1,
      sym_colon_argument,
    STATE(12666), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(13687), 1,
      sym__type,
    STATE(15929), 1,
      sym_parameter_types,
    STATE(17426), 1,
      sym_bindings,
    STATE(17486), 1,
      sym_stable_identifier,
    ACTIONS(4314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2421), 2,
      sym_comment,
      sym_block_comment,
    STATE(8388), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9823), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13668), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13846), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5973), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1015] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4330), 1,
      anon_sym_EQ_GT,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4336), 1,
      anon_sym_AT,
    ACTIONS(4338), 1,
      anon_sym_LPAREN,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4342), 1,
      sym_operator_identifier,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(4350), 1,
      sym__indent,
    STATE(5127), 1,
      sym__annotated_type,
    STATE(5206), 1,
      sym__simple_type,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(6367), 1,
      sym_identifier,
    STATE(7214), 1,
      sym_wildcard,
    STATE(8272), 1,
      sym_annotated_type,
    STATE(9241), 1,
      sym_colon_argument,
    STATE(12902), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13802), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(16258), 1,
      sym_parameter_types,
    STATE(16854), 1,
      sym_bindings,
    STATE(17647), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2422), 2,
      sym_comment,
      sym_block_comment,
    STATE(9516), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10235), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13890), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13999), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14220), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6555), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1160] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4354), 1,
      sym_operator_identifier,
    ACTIONS(4356), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(7153), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10021), 1,
      sym_identifier,
    STATE(10640), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16780), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2423), 2,
      sym_comment,
      sym_block_comment,
    STATE(7022), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1305] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4236), 1,
      anon_sym_AT,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4360), 1,
      anon_sym__,
    ACTIONS(4362), 1,
      anon_sym_EQ_GT,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_LPAREN,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(4372), 1,
      sym_operator_identifier,
    ACTIONS(4374), 1,
      sym__indent,
    STATE(4453), 1,
      sym__simple_type,
    STATE(4455), 1,
      sym__annotated_type,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4728), 1,
      sym_identifier,
    STATE(4856), 1,
      sym_wildcard,
    STATE(5495), 1,
      sym_annotated_type,
    STATE(6266), 1,
      sym_colon_argument,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12073), 1,
      sym__type,
    STATE(12829), 1,
      sym__infix_type_choice,
    STATE(15933), 1,
      sym_parameter_types,
    STATE(16736), 1,
      sym_bindings,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2424), 2,
      sym_comment,
      sym_block_comment,
    STATE(6317), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7800), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12087), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4635), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1450] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4256), 1,
      sym__indent,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4378), 1,
      anon_sym_COLON,
    ACTIONS(4380), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym__,
    ACTIONS(4384), 1,
      anon_sym_EQ_GT,
    ACTIONS(4386), 1,
      anon_sym_LBRACK,
    ACTIONS(4390), 1,
      anon_sym_AT,
    ACTIONS(4392), 1,
      anon_sym_LPAREN,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(4396), 1,
      sym_operator_identifier,
    ACTIONS(4398), 1,
      sym_integer_literal,
    STATE(4650), 1,
      sym__simple_type,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5305), 1,
      sym_identifier,
    STATE(5977), 1,
      sym_wildcard,
    STATE(6972), 1,
      sym_annotated_type,
    STATE(7794), 1,
      sym_colon_argument,
    STATE(12988), 1,
      sym__infix_type_choice,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(13394), 1,
      sym__type,
    STATE(16296), 1,
      sym_parameter_types,
    STATE(17051), 1,
      sym_bindings,
    STATE(17749), 1,
      sym_stable_identifier,
    ACTIONS(4400), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4402), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2425), 2,
      sym_comment,
      sym_block_comment,
    STATE(7997), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8991), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13111), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13320), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13407), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5207), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1595] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4374), 1,
      sym__indent,
    ACTIONS(4406), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6266), 1,
      sym_colon_argument,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10295), 1,
      sym_identifier,
    STATE(10396), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16736), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2426), 2,
      sym_comment,
      sym_block_comment,
    STATE(6317), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1740] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4220), 1,
      sym__indent,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4410), 1,
      anon_sym_COLON,
    ACTIONS(4412), 1,
      anon_sym_LBRACE,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4416), 1,
      anon_sym_EQ_GT,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    ACTIONS(4422), 1,
      anon_sym_AT,
    ACTIONS(4424), 1,
      anon_sym_LPAREN,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(4428), 1,
      sym_operator_identifier,
    ACTIONS(4430), 1,
      sym_integer_literal,
    STATE(4868), 1,
      sym__annotated_type,
    STATE(5010), 1,
      sym__simple_type,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5705), 1,
      sym_identifier,
    STATE(6318), 1,
      sym_wildcard,
    STATE(7751), 1,
      sym_annotated_type,
    STATE(8589), 1,
      sym_colon_argument,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13612), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15692), 1,
      sym_parameter_types,
    STATE(17102), 1,
      sym_stable_identifier,
    STATE(17268), 1,
      sym_bindings,
    ACTIONS(4432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2427), 2,
      sym_comment,
      sym_block_comment,
    STATE(8386), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9672), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13523), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13689), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14026), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5635), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1885] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4446), 1,
      anon_sym_EQ_GT,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4452), 1,
      anon_sym_AT,
    ACTIONS(4454), 1,
      anon_sym_LPAREN,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4458), 1,
      sym_operator_identifier,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(4466), 1,
      sym__indent,
    STATE(7314), 1,
      sym__simple_type,
    STATE(7315), 1,
      sym__annotated_type,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8860), 1,
      sym_identifier,
    STATE(9050), 1,
      sym_wildcard,
    STATE(10191), 1,
      sym_annotated_type,
    STATE(10448), 1,
      sym_colon_argument,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(12914), 1,
      sym__type,
    STATE(15618), 1,
      sym_parameter_types,
    STATE(17645), 1,
      sym_stable_identifier,
    STATE(17732), 1,
      sym_bindings,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2428), 2,
      sym_comment,
      sym_block_comment,
    STATE(10451), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13101), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8342), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2030] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4470), 1,
      sym_operator_identifier,
    ACTIONS(4472), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9249), 1,
      sym_colon_argument,
    STATE(10058), 1,
      sym_identifier,
    STATE(10655), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17093), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2429), 2,
      sym_comment,
      sym_block_comment,
    STATE(9186), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2175] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4474), 1,
      sym_operator_identifier,
    ACTIONS(4476), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(8414), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10143), 1,
      sym_identifier,
    STATE(10597), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(17281), 1,
      sym_bindings,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2430), 2,
      sym_comment,
      sym_block_comment,
    STATE(8384), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2320] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4356), 1,
      sym__indent,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4480), 1,
      anon_sym_COLON,
    ACTIONS(4482), 1,
      anon_sym_LBRACE,
    ACTIONS(4484), 1,
      anon_sym__,
    ACTIONS(4486), 1,
      anon_sym_EQ_GT,
    ACTIONS(4488), 1,
      anon_sym_LBRACK,
    ACTIONS(4492), 1,
      anon_sym_AT,
    ACTIONS(4494), 1,
      anon_sym_LPAREN,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(4498), 1,
      sym_operator_identifier,
    ACTIONS(4500), 1,
      sym_integer_literal,
    STATE(4603), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(5055), 1,
      sym_identifier,
    STATE(5111), 1,
      sym_wildcard,
    STATE(6330), 1,
      sym_annotated_type,
    STATE(7153), 1,
      sym_colon_argument,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12766), 1,
      sym__type,
    STATE(12812), 1,
      sym_template_body,
    STATE(12858), 1,
      sym__infix_type_choice,
    STATE(16129), 1,
      sym_parameter_types,
    STATE(16780), 1,
      sym_bindings,
    STATE(17617), 1,
      sym_stable_identifier,
    ACTIONS(4502), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4504), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4506), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2431), 2,
      sym_comment,
      sym_block_comment,
    STATE(7022), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12722), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12788), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13139), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5062), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2465] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4476), 1,
      sym__indent,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4510), 1,
      anon_sym_COLON,
    ACTIONS(4512), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym__,
    ACTIONS(4516), 1,
      anon_sym_EQ_GT,
    ACTIONS(4518), 1,
      anon_sym_LBRACK,
    ACTIONS(4522), 1,
      anon_sym_AT,
    ACTIONS(4524), 1,
      anon_sym_LPAREN,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(4528), 1,
      sym_operator_identifier,
    ACTIONS(4530), 1,
      sym_integer_literal,
    STATE(4971), 1,
      sym__simple_type,
    STATE(5035), 1,
      sym__annotated_type,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(5679), 1,
      sym_identifier,
    STATE(6325), 1,
      sym_wildcard,
    STATE(7900), 1,
      sym_annotated_type,
    STATE(8414), 1,
      sym_colon_argument,
    STATE(12950), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13515), 1,
      sym__type,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(16202), 1,
      sym_parameter_types,
    STATE(17281), 1,
      sym_bindings,
    STATE(17857), 1,
      sym_stable_identifier,
    ACTIONS(4532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2432), 2,
      sym_comment,
      sym_block_comment,
    STATE(8384), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9964), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13903), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6092), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2610] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4538), 1,
      sym_operator_identifier,
    ACTIONS(4540), 1,
      sym__indent,
    STATE(5784), 1,
      sym_colon_argument,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10064), 1,
      sym_identifier,
    STATE(10548), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16702), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2433), 2,
      sym_comment,
      sym_block_comment,
    STATE(5744), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2755] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym__,
    ACTIONS(4550), 1,
      anon_sym_EQ_GT,
    ACTIONS(4552), 1,
      anon_sym_LBRACK,
    ACTIONS(4556), 1,
      anon_sym_AT,
    ACTIONS(4558), 1,
      anon_sym_LPAREN,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(4562), 1,
      sym_operator_identifier,
    ACTIONS(4564), 1,
      sym_integer_literal,
    ACTIONS(4570), 1,
      sym__indent,
    STATE(4659), 1,
      sym__simple_type,
    STATE(4674), 1,
      sym__annotated_type,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(5273), 1,
      sym_identifier,
    STATE(5741), 1,
      sym_wildcard,
    STATE(6877), 1,
      sym_annotated_type,
    STATE(8073), 1,
      sym_colon_argument,
    STATE(12984), 1,
      sym__infix_type_choice,
    STATE(13134), 1,
      sym__type,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(16243), 1,
      sym_parameter_types,
    STATE(17156), 1,
      sym_bindings,
    STATE(17791), 1,
      sym_stable_identifier,
    ACTIONS(4566), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4568), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4572), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2434), 2,
      sym_comment,
      sym_block_comment,
    STATE(8008), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9565), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13264), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13381), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13477), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5133), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2900] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4574), 1,
      sym_operator_identifier,
    ACTIONS(4576), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10205), 1,
      sym_identifier,
    STATE(10416), 1,
      sym_wildcard,
    STATE(11085), 1,
      sym_colon_argument,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16676), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2435), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11128), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3045] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym__,
    ACTIONS(4586), 1,
      anon_sym_EQ_GT,
    ACTIONS(4588), 1,
      anon_sym_LBRACK,
    ACTIONS(4592), 1,
      anon_sym_AT,
    ACTIONS(4594), 1,
      anon_sym_LPAREN,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(4598), 1,
      sym_operator_identifier,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(4606), 1,
      sym__indent,
    STATE(6671), 1,
      sym__annotated_type,
    STATE(6696), 1,
      sym__simple_type,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(8173), 1,
      sym_identifier,
    STATE(8383), 1,
      sym_wildcard,
    STATE(9742), 1,
      sym_annotated_type,
    STATE(10125), 1,
      sym_colon_argument,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12478), 1,
      sym__type,
    STATE(12559), 1,
      sym__infix_type_choice,
    STATE(15830), 1,
      sym_parameter_types,
    STATE(17186), 1,
      sym_stable_identifier,
    STATE(17974), 1,
      sym_bindings,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2436), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12672), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7524), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3190] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4318), 1,
      sym__indent,
    ACTIONS(4610), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(8525), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10080), 1,
      sym_identifier,
    STATE(10571), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(17426), 1,
      sym_bindings,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2437), 2,
      sym_comment,
      sym_block_comment,
    STATE(8388), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3335] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4350), 1,
      sym__indent,
    ACTIONS(4612), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9241), 1,
      sym_colon_argument,
    STATE(10047), 1,
      sym_identifier,
    STATE(10610), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16854), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2438), 2,
      sym_comment,
      sym_block_comment,
    STATE(9516), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3480] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4606), 1,
      sym__indent,
    ACTIONS(4614), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10125), 1,
      sym_colon_argument,
    STATE(10216), 1,
      sym_identifier,
    STATE(10458), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(17974), 1,
      sym_bindings,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2439), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3625] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4616), 1,
      sym_operator_identifier,
    ACTIONS(4618), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(7369), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_wildcard,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9729), 1,
      sym_colon_argument,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16824), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2440), 2,
      sym_comment,
      sym_block_comment,
    STATE(9730), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3770] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4620), 1,
      sym_operator_identifier,
    ACTIONS(4622), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9974), 1,
      sym_colon_argument,
    STATE(10074), 1,
      sym_identifier,
    STATE(10578), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17114), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2441), 2,
      sym_comment,
      sym_block_comment,
    STATE(9662), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3915] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4624), 1,
      sym_operator_identifier,
    ACTIONS(4626), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9244), 1,
      sym_colon_argument,
    STATE(10076), 1,
      sym_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17073), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2442), 2,
      sym_comment,
      sym_block_comment,
    STATE(9236), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4060] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4272), 1,
      anon_sym_AT,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4632), 1,
      anon_sym_EQ_GT,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4638), 1,
      anon_sym_LPAREN,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(4642), 1,
      sym_operator_identifier,
    ACTIONS(4644), 1,
      sym__indent,
    STATE(4569), 1,
      sym__annotated_type,
    STATE(4601), 1,
      sym__simple_type,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4883), 1,
      sym_identifier,
    STATE(5402), 1,
      sym_wildcard,
    STATE(6309), 1,
      sym_annotated_type,
    STATE(7074), 1,
      sym_colon_argument,
    STATE(12265), 1,
      sym_template_body,
    STATE(12285), 1,
      sym__type,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12843), 1,
      sym__infix_type_choice,
    STATE(15940), 1,
      sym_parameter_types,
    STATE(16755), 1,
      sym_bindings,
    STATE(17611), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2443), 2,
      sym_comment,
      sym_block_comment,
    STATE(7139), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8536), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12686), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5073), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4205] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4648), 1,
      anon_sym_COLON,
    ACTIONS(4650), 1,
      anon_sym_LBRACE,
    ACTIONS(4652), 1,
      anon_sym__,
    ACTIONS(4654), 1,
      anon_sym_EQ_GT,
    ACTIONS(4656), 1,
      anon_sym_LBRACK,
    ACTIONS(4660), 1,
      anon_sym_AT,
    ACTIONS(4662), 1,
      anon_sym_LPAREN,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(4666), 1,
      sym_operator_identifier,
    ACTIONS(4668), 1,
      sym_integer_literal,
    ACTIONS(4674), 1,
      sym__indent,
    STATE(4809), 1,
      sym__annotated_type,
    STATE(4903), 1,
      sym__simple_type,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5532), 1,
      sym_identifier,
    STATE(6597), 1,
      sym_wildcard,
    STATE(8235), 1,
      sym_annotated_type,
    STATE(8392), 1,
      sym_colon_argument,
    STATE(12639), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(13693), 1,
      sym__type,
    STATE(15884), 1,
      sym_parameter_types,
    STATE(17385), 1,
      sym_stable_identifier,
    STATE(17800), 1,
      sym_bindings,
    ACTIONS(4670), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4672), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4676), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2444), 2,
      sym_comment,
      sym_block_comment,
    STATE(8709), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9945), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13555), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13844), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5837), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4350] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__indent,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4592), 1,
      anon_sym_AT,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym__,
    ACTIONS(4682), 1,
      anon_sym_EQ_GT,
    ACTIONS(4684), 1,
      anon_sym_LBRACK,
    ACTIONS(4688), 1,
      anon_sym_LPAREN,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(4692), 1,
      sym_operator_identifier,
    STATE(4581), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym__annotated_type,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(5060), 1,
      sym_identifier,
    STATE(5092), 1,
      sym_wildcard,
    STATE(6659), 1,
      sym_annotated_type,
    STATE(7048), 1,
      sym_colon_argument,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12478), 1,
      sym__type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(15936), 1,
      sym_parameter_types,
    STATE(17309), 1,
      sym_stable_identifier,
    STATE(18098), 1,
      sym_bindings,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2445), 2,
      sym_comment,
      sym_block_comment,
    STATE(6841), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8493), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12672), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4993), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4495] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4696), 1,
      anon_sym_COLON,
    ACTIONS(4698), 1,
      anon_sym_LBRACE,
    ACTIONS(4700), 1,
      anon_sym__,
    ACTIONS(4702), 1,
      anon_sym_EQ_GT,
    ACTIONS(4704), 1,
      anon_sym_LBRACK,
    ACTIONS(4708), 1,
      anon_sym_AT,
    ACTIONS(4710), 1,
      anon_sym_LPAREN,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(4714), 1,
      sym_operator_identifier,
    ACTIONS(4716), 1,
      sym_integer_literal,
    ACTIONS(4722), 1,
      sym__indent,
    STATE(5211), 1,
      sym__annotated_type,
    STATE(5308), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6412), 1,
      sym_identifier,
    STATE(7157), 1,
      sym_wildcard,
    STATE(8375), 1,
      sym_annotated_type,
    STATE(9110), 1,
      sym_colon_argument,
    STATE(12887), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13920), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(16196), 1,
      sym_parameter_types,
    STATE(16830), 1,
      sym_bindings,
    STATE(17635), 1,
      sym_stable_identifier,
    ACTIONS(4718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2446), 2,
      sym_comment,
      sym_block_comment,
    STATE(9170), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10012), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13963), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14078), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6513), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4640] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4674), 1,
      sym__indent,
    ACTIONS(4726), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(8392), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10122), 1,
      sym_identifier,
    STATE(10535), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(17800), 1,
      sym_bindings,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2447), 2,
      sym_comment,
      sym_block_comment,
    STATE(8709), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4785] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__indent,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4730), 1,
      anon_sym_COLON,
    ACTIONS(4732), 1,
      anon_sym_LBRACE,
    ACTIONS(4734), 1,
      anon_sym__,
    ACTIONS(4736), 1,
      anon_sym_EQ_GT,
    ACTIONS(4738), 1,
      anon_sym_LBRACK,
    ACTIONS(4742), 1,
      anon_sym_AT,
    ACTIONS(4744), 1,
      anon_sym_LPAREN,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(4748), 1,
      sym_operator_identifier,
    ACTIONS(4750), 1,
      sym_integer_literal,
    STATE(5141), 1,
      sym__annotated_type,
    STATE(5152), 1,
      sym__simple_type,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(6200), 1,
      sym_identifier,
    STATE(7379), 1,
      sym_wildcard,
    STATE(8834), 1,
      sym_annotated_type,
    STATE(9249), 1,
      sym_colon_argument,
    STATE(13000), 1,
      sym__infix_type_choice,
    STATE(13767), 1,
      sym__type,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(16329), 1,
      sym_parameter_types,
    STATE(17093), 1,
      sym_bindings,
    STATE(17767), 1,
      sym_stable_identifier,
    ACTIONS(4752), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4754), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4756), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2448), 2,
      sym_comment,
      sym_block_comment,
    STATE(9186), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10236), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13752), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13763), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14142), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6670), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4930] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4540), 1,
      sym__indent,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      anon_sym__,
    ACTIONS(4766), 1,
      anon_sym_EQ_GT,
    ACTIONS(4768), 1,
      anon_sym_LBRACK,
    ACTIONS(4772), 1,
      anon_sym_AT,
    ACTIONS(4774), 1,
      anon_sym_LPAREN,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(4778), 1,
      sym_operator_identifier,
    ACTIONS(4780), 1,
      sym_integer_literal,
    STATE(4355), 1,
      sym__simple_type,
    STATE(4411), 1,
      sym__annotated_type,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4534), 1,
      sym_identifier,
    STATE(4807), 1,
      sym_wildcard,
    STATE(5298), 1,
      sym_annotated_type,
    STATE(5784), 1,
      sym_colon_argument,
    STATE(11504), 1,
      sym__type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(12814), 1,
      sym__infix_type_choice,
    STATE(15939), 1,
      sym_parameter_types,
    STATE(16702), 1,
      sym_bindings,
    STATE(17599), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2449), 2,
      sym_comment,
      sym_block_comment,
    STATE(5744), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7003), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11831), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4579), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5075] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4722), 1,
      sym__indent,
    ACTIONS(4788), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9110), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10024), 1,
      sym_identifier,
    STATE(10615), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16830), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2450), 2,
      sym_comment,
      sym_block_comment,
    STATE(9170), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5220] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4644), 1,
      sym__indent,
    ACTIONS(4790), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(7074), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10037), 1,
      sym_identifier,
    STATE(10627), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16755), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2451), 2,
      sym_comment,
      sym_block_comment,
    STATE(7139), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5365] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4286), 1,
      sym__indent,
    ACTIONS(4792), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10069), 1,
      sym_identifier,
    STATE(10246), 1,
      sym_colon_argument,
    STATE(10587), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16746), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2452), 2,
      sym_comment,
      sym_block_comment,
    STATE(10353), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5510] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4794), 1,
      sym_operator_identifier,
    ACTIONS(4796), 1,
      sym__indent,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9969), 1,
      sym_colon_argument,
    STATE(10247), 1,
      sym_identifier,
    STATE(10442), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(17828), 1,
      sym_bindings,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2453), 2,
      sym_comment,
      sym_block_comment,
    STATE(9667), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5655] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__indent,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4804), 1,
      anon_sym__,
    ACTIONS(4806), 1,
      anon_sym_EQ_GT,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(4812), 1,
      anon_sym_AT,
    ACTIONS(4814), 1,
      anon_sym_LPAREN,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(4818), 1,
      sym_operator_identifier,
    ACTIONS(4820), 1,
      sym_integer_literal,
    STATE(5506), 1,
      sym__annotated_type,
    STATE(5573), 1,
      sym__simple_type,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(7196), 1,
      sym_identifier,
    STATE(8088), 1,
      sym_wildcard,
    STATE(9019), 1,
      sym_annotated_type,
    STATE(9969), 1,
      sym_colon_argument,
    STATE(12224), 1,
      sym_template_body,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14227), 1,
      sym__type,
    STATE(15760), 1,
      sym_parameter_types,
    STATE(17144), 1,
      sym_stable_identifier,
    STATE(17828), 1,
      sym_bindings,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2454), 2,
      sym_comment,
      sym_block_comment,
    STATE(9667), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10554), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14276), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6785), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5800] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__indent,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym__,
    ACTIONS(4836), 1,
      anon_sym_EQ_GT,
    ACTIONS(4838), 1,
      anon_sym_LBRACK,
    ACTIONS(4842), 1,
      anon_sym_AT,
    ACTIONS(4844), 1,
      anon_sym_LPAREN,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(4848), 1,
      sym_operator_identifier,
    ACTIONS(4850), 1,
      sym_integer_literal,
    STATE(4486), 1,
      sym__annotated_type,
    STATE(4520), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4782), 1,
      sym_identifier,
    STATE(4842), 1,
      sym_wildcard,
    STATE(5589), 1,
      sym_annotated_type,
    STATE(6199), 1,
      sym_colon_argument,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(12060), 1,
      sym__type,
    STATE(12993), 1,
      sym__infix_type_choice,
    STATE(15946), 1,
      sym_parameter_types,
    STATE(17135), 1,
      sym_bindings,
    STATE(17779), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2455), 2,
      sym_comment,
      sym_block_comment,
    STATE(6632), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7769), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12081), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5945] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4466), 1,
      sym__indent,
    ACTIONS(4858), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10030), 1,
      sym_identifier,
    STATE(10448), 1,
      sym_colon_argument,
    STATE(10629), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(17732), 1,
      sym_bindings,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2456), 2,
      sym_comment,
      sym_block_comment,
    STATE(10451), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6090] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4452), 1,
      anon_sym_AT,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym__,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(4870), 1,
      anon_sym_LPAREN,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(4874), 1,
      sym_operator_identifier,
    ACTIONS(4876), 1,
      sym__indent,
    STATE(4753), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__annotated_type,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(5099), 1,
      sym_identifier,
    STATE(5944), 1,
      sym_wildcard,
    STATE(6805), 1,
      sym_annotated_type,
    STATE(7692), 1,
      sym_colon_argument,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12771), 1,
      sym__infix_type_choice,
    STATE(12914), 1,
      sym__type,
    STATE(15928), 1,
      sym_parameter_types,
    STATE(17016), 1,
      sym_bindings,
    STATE(18028), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2457), 2,
      sym_comment,
      sym_block_comment,
    STATE(7691), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8930), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13101), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5153), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6235] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4876), 1,
      sym__indent,
    ACTIONS(4878), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(7692), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10086), 1,
      sym_identifier,
    STATE(10553), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17016), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2458), 2,
      sym_comment,
      sym_block_comment,
    STATE(7691), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6380] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4626), 1,
      sym__indent,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4772), 1,
      anon_sym_AT,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4882), 1,
      anon_sym__,
    ACTIONS(4884), 1,
      anon_sym_EQ_GT,
    ACTIONS(4886), 1,
      anon_sym_LBRACK,
    ACTIONS(4890), 1,
      anon_sym_LPAREN,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(4894), 1,
      sym_operator_identifier,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5467), 1,
      sym__simple_type,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(6767), 1,
      sym_identifier,
    STATE(6776), 1,
      sym_wildcard,
    STATE(8725), 1,
      sym_annotated_type,
    STATE(9244), 1,
      sym_colon_argument,
    STATE(11504), 1,
      sym__type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(12764), 1,
      sym__infix_type_choice,
    STATE(16037), 1,
      sym_parameter_types,
    STATE(17073), 1,
      sym_bindings,
    STATE(17562), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2459), 2,
      sym_comment,
      sym_block_comment,
    STATE(9236), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10267), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11831), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6371), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6525] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4570), 1,
      sym__indent,
    ACTIONS(4896), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(8073), 1,
      sym_colon_argument,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(10120), 1,
      sym_identifier,
    STATE(10531), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17156), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2460), 2,
      sym_comment,
      sym_block_comment,
    STATE(8008), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6670] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4622), 1,
      sym__indent,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4842), 1,
      anon_sym_AT,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4900), 1,
      anon_sym__,
    ACTIONS(4902), 1,
      anon_sym_EQ_GT,
    ACTIONS(4904), 1,
      anon_sym_LBRACK,
    ACTIONS(4908), 1,
      anon_sym_LPAREN,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(4912), 1,
      sym_operator_identifier,
    STATE(5868), 1,
      sym__simple_type,
    STATE(5954), 1,
      sym__annotated_type,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(7457), 1,
      sym_identifier,
    STATE(7623), 1,
      sym_wildcard,
    STATE(9006), 1,
      sym_annotated_type,
    STATE(9974), 1,
      sym_colon_argument,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(12060), 1,
      sym__type,
    STATE(12998), 1,
      sym__infix_type_choice,
    STATE(16334), 1,
      sym_parameter_types,
    STATE(17114), 1,
      sym_bindings,
    STATE(17773), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2461), 2,
      sym_comment,
      sym_block_comment,
    STATE(9662), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10584), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12081), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6926), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6815] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      anon_sym_AT,
    ACTIONS(4198), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4250), 1,
      sym__indent,
    ACTIONS(4914), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9637), 1,
      sym_colon_argument,
    STATE(10201), 1,
      sym_identifier,
    STATE(10474), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14039), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16742), 1,
      sym_bindings,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2462), 2,
      sym_comment,
      sym_block_comment,
    STATE(9645), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14297), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4918), 9,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4916), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4920), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4922), 51,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4926), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4924), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4926), 9,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4924), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4918), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4916), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4930), 9,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4928), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4930), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4928), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7478] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(4946), 1,
      anon_sym_implicit,
    ACTIONS(4948), 1,
      anon_sym_inline,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4952), 1,
      anon_sym_using,
    ACTIONS(4954), 1,
      anon_sym_RPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(4958), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(9943), 1,
      sym_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(15366), 1,
      sym_parameter,
    STATE(15367), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2470), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4942), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7623] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(4960), 1,
      anon_sym_inline,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4964), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9229), 1,
      sym_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(15101), 1,
      sym__type,
    STATE(15491), 1,
      sym_parameter,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2471), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15485), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    ACTIONS(4194), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7766] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(4960), 1,
      anon_sym_inline,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4964), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9229), 1,
      sym_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(14931), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(16032), 1,
      sym_parameter,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2472), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16218), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    ACTIONS(4194), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7909] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(4960), 1,
      anon_sym_inline,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4964), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9229), 1,
      sym_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(15099), 1,
      sym__type,
    STATE(15509), 1,
      sym_parameter,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2473), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15512), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    ACTIONS(4194), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4926), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4924), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [8125] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(4946), 1,
      anon_sym_implicit,
    ACTIONS(4948), 1,
      anon_sym_inline,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4952), 1,
      anon_sym_using,
    ACTIONS(4954), 1,
      anon_sym_RPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(4958), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(9943), 1,
      sym_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(15366), 1,
      sym_parameter,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15829), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2475), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4942), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8270] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14681), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2476), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8404] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14827), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2477), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8538] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14689), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2478), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8672] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14573), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2479), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8806] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14632), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2480), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8940] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14813), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2481), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9074] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14682), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2482), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9208] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14676), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2483), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9342] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14748), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2484), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9476] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14758), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2485), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9610] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14744), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2486), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9744] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14696), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2487), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9878] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14584), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2488), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10012] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14622), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2489), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10146] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14641), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2490), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10280] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14588), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2491), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10414] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14733), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2492), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10548] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14691), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2493), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10682] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14780), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2494), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10816] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14735), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2495), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10950] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14815), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2496), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11084] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14576), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2497), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11218] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14602), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2498), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11352] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4966), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9088), 1,
      sym_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9909), 1,
      sym_wildcard,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14589), 1,
      sym__type,
    STATE(15303), 1,
      sym_binding,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2499), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11486] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14580), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2500), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11615] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14668), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2501), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11744] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14724), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2502), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11873] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14707), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2503), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12002] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14673), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2504), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12131] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15788), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2505), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12260] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4976), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2506), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12389] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14759), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2507), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12518] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14719), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2508), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12647] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2509), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12776] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4980), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2510), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12905] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14681), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2511), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13034] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14820), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2512), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13163] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4982), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2513), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13292] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4984), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2514), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13421] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14797), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2515), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13550] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4986), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2516), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13679] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2517), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13808] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4990), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2518), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13937] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4992), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2519), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14066] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4994), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2520), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14195] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4996), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2521), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14324] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14641), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2522), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14453] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14792), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2523), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14582] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(4998), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15788), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2524), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14711] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14817), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2525), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14840] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14589), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2526), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14969] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15788), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2527), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15098] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5002), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2528), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15227] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5004), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2529), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15356] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14755), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2530), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15485] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14709), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2531), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15614] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5006), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2532), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15743] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5008), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2533), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15872] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14805), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2534), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16001] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5010), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2535), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16130] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14812), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2536), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16259] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5012), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2537), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16388] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5014), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2538), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16517] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5016), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2539), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16646] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14748), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2540), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16775] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14576), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2541), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16904] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14818), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2542), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17033] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5018), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2543), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17162] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5020), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2544), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17291] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15788), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2545), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17420] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2546), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17549] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14643), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2547), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17678] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14573), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2548), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17807] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2549), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17936] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2550), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18065] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5030), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2551), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18194] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14722), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2552), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18323] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14815), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2553), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18452] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2554), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18581] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14807), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2555), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18710] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5034), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2556), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18839] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14798), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2557), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18968] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5036), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2558), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19097] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5038), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2559), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19226] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14729), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2560), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19355] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5040), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2561), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19484] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14687), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2562), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19613] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14776), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2563), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19742] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5042), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2564), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19871] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5044), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2565), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20000] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14622), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2566), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20129] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14602), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2567), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20258] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14735), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2568), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20387] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5046), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2569), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20516] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14588), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2570), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20645] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5048), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2571), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20774] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5050), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2572), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20903] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14693), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2573), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21032] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14732), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2574), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21161] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5052), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2575), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21290] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5054), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2576), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21419] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14706), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2577), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21548] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14663), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2578), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21677] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5056), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2579), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21806] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5058), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2580), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21935] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5060), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2581), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22064] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5062), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2582), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22193] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5064), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2583), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22322] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5066), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2584), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22451] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5068), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15788), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2585), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22580] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5070), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2586), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22709] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14813), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2587), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22838] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5072), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2588), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22967] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2589), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23096] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14756), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2590), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23225] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14689), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2591), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23354] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14691), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2592), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23483] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14656), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2593), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23612] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14606), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2594), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23741] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14744), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2595), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23870] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2596), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23999] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14632), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2597), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24128] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5078), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2598), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24257] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5080), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2599), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24386] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14788), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2600), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24515] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14605), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2601), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24644] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2602), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24773] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5084), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2603), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24902] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14615), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2604), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25031] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5086), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2605), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25160] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5088), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2606), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25289] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14616), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2607), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25418] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14733), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2608), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25547] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5090), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2609), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25676] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14752), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2610), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25805] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14826), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2611), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25934] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5092), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2612), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26063] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5094), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2613), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26192] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5096), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2614), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26321] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14827), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2615), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26450] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5098), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2616), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26579] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5100), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2617), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26708] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14676), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2618), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26837] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14758), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2619), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26966] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14785), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2620), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27095] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14671), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2621), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27224] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5102), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2622), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27353] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2623), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27482] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2624), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27611] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14584), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2625), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27740] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15788), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2626), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27869] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5108), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2627), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27998] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14612), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2628), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28127] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14682), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2629), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28256] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5110), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2630), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28385] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15788), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2631), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28514] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2632), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28643] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [28716] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14685), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2634), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28845] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5114), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2635), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28974] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5116), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15780), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2636), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29103] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(14696), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2637), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15507), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29232] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(5118), 1,
      anon_sym_RPAREN,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15788), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2638), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29361] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5124), 1,
      anon_sym_EQ_GT,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(15006), 1,
      sym__type,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2639), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15855), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29487] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29559] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5124), 1,
      anon_sym_EQ_GT,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(15017), 1,
      sym__type,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2641), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15826), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29685] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5124), 1,
      anon_sym_EQ_GT,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(15003), 1,
      sym__type,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2642), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15868), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29811] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5124), 1,
      anon_sym_EQ_GT,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(15000), 1,
      sym__type,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2643), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15876), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29937] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5124), 1,
      anon_sym_EQ_GT,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(15062), 1,
      sym__type,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2644), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15674), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30063] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [30135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15788), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2646), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16561), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30261] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5124), 1,
      anon_sym_EQ_GT,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(15028), 1,
      sym__type,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2647), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15798), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30387] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15567), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2648), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16515), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30513] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4190), 1,
      anon_sym_EQ_GT,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15581), 1,
      sym__type,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2649), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16497), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30639] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5124), 1,
      anon_sym_EQ_GT,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(15046), 1,
      sym__type,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2650), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15722), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30765] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [30836] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [30907] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [30978] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [31049] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16554), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(5136), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2655), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31172] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5140), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2656), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31294] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5142), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2657), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31416] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5144), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2658), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31538] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5146), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2659), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31660] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5148), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2660), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31782] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5150), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2661), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31904] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5152), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2662), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32026] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5154), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2663), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32148] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5156), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2664), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32270] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5158), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2665), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32392] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5160), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2666), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32514] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5162), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2667), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32636] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5164), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2668), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32758] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5166), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2669), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32880] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5168), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2670), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33002] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2671), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33124] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5172), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2672), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33246] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5174), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2673), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33368] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5176), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2674), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33490] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5178), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2675), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33612] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5180), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2676), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33734] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5182), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2677), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33856] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5184), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2678), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33978] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5186), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2679), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34100] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5188), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2680), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34222] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5190), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2681), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34344] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5192), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2682), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34466] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5194), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2683), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34588] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5196), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2684), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34710] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5198), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2685), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34832] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5200), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2686), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34954] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5202), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2687), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35076] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5204), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2688), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35198] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5206), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2689), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35320] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5208), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2690), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35442] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5210), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2691), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35564] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5212), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2692), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35686] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5214), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2693), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35808] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5216), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2694), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35930] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5218), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2695), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36052] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5220), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36174] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5222), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2697), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36296] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5224), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2698), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36418] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5226), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2699), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36540] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5228), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2700), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36662] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2701), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36784] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5232), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2702), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36906] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5234), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2703), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37028] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5236), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2704), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37150] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5238), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2705), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37272] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5240), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2706), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37394] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5242), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2707), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37516] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5244), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2708), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37638] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5246), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2709), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37760] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5248), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2710), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37882] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5250), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2711), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38004] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5252), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2712), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38126] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5254), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2713), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38248] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5256), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2714), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38370] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5258), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2715), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38492] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5260), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2716), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38614] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2717), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38736] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5264), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2718), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38858] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5266), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2719), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38980] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5268), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2720), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39102] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5270), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2721), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39224] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5272), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2722), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39346] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5274), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2723), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39468] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5276), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2724), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39590] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5278), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2725), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39712] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5280), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2726), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39834] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5282), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2727), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39956] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5284), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2728), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40078] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5286), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2729), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40200] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5288), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2730), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40322] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5290), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2731), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40444] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5292), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2732), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40566] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5294), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2733), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40688] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5296), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2734), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40810] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5298), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2735), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40932] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5300), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2736), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41054] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5302), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2737), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41176] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5304), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2738), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41298] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5306), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2739), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41420] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5308), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2740), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41542] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5310), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2741), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41664] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5312), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2742), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41786] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5314), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2743), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41908] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5316), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2744), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42030] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5318), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2745), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42152] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5320), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2746), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42274] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5322), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2747), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42396] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5324), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2748), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42518] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5326), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2749), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42640] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5328), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2750), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42762] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5330), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2751), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42884] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5332), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2752), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43006] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5334), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2753), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43128] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5336), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2754), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43250] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5338), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2755), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43372] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5340), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2756), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43494] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5342), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43616] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5344), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2758), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43738] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5346), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2759), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43860] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5348), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2760), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43982] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5350), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2761), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44104] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5352), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2762), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44226] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5354), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2763), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44348] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5356), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2764), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44470] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5358), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2765), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44592] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5360), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2766), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44714] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5362), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2767), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44836] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5364), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2768), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44958] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5366), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2769), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45080] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5368), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2770), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45202] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5370), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2771), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45324] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5372), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2772), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45446] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5374), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2773), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45568] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5376), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2774), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45690] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5378), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2775), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45812] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5380), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2776), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45934] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5382), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2777), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46056] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5384), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2778), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46178] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5386), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2779), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46300] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5388), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2780), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46422] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5390), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2781), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46544] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5392), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2782), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46666] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5394), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2783), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46788] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5396), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2784), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46910] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5398), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2785), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47032] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5400), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2786), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47154] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5402), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2787), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47276] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5404), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2788), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47398] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5406), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2789), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47520] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5408), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2790), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47642] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5410), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2791), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47764] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5412), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2792), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47886] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5414), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2793), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48008] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5416), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2794), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48130] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5418), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2795), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48252] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5420), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2796), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48374] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5422), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2797), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48496] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5424), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2798), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48618] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5426), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2799), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48740] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5428), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2800), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48862] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5430), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2801), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48984] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5432), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2802), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49106] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5434), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2803), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49228] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5436), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2804), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49350] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5438), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2805), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49472] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5440), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2806), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49594] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5442), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2807), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49716] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5444), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2808), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49838] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5446), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2809), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49960] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5448), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2810), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50082] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5450), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2811), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50204] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5452), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2812), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50326] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5454), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2813), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50448] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5456), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2814), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50570] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5458), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2815), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50692] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [50762] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5460), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2817), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50884] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5462), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2818), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51006] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5464), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2819), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51128] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5466), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2820), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51250] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5468), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2821), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51372] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5470), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2822), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51494] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5472), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2823), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51616] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5474), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2824), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51738] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5476), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2825), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51860] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5478), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2826), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51982] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5480), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2827), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52104] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5482), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2828), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52226] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5484), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2829), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52348] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5486), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2830), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52470] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5488), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2831), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52592] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5490), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2832), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52714] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5492), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2833), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52836] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5494), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2834), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52958] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5496), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2835), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53080] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5498), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2836), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53202] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5500), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2837), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53324] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5502), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2838), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53446] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5504), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53568] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5506), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2840), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53690] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5508), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2841), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53812] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5510), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2842), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53934] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5512), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2843), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54056] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5514), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2844), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54178] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5516), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2845), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54300] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5518), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2846), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54422] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5520), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2847), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54544] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5522), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2848), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54666] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5524), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2849), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54788] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5526), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2850), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54910] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5528), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2851), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55032] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5530), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2852), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55154] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5532), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2853), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55276] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5534), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2854), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55398] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5536), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2855), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55520] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5538), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2856), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55642] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5540), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2857), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55764] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5542), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2858), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55886] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5544), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2859), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56008] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5546), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2860), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56130] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5548), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2861), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56252] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5550), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2862), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56374] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5552), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2863), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56496] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5554), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2864), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56618] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5556), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2865), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56740] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5558), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2866), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56862] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5560), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2867), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56984] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5562), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2868), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57106] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5564), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2869), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57228] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5566), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2870), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57350] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5568), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2871), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57472] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5570), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2872), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57594] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5572), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2873), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57716] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5574), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2874), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57838] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5576), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2875), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57960] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5578), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2876), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58082] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5580), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2877), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58204] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5582), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2878), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58326] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5584), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2879), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58448] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5586), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2880), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58570] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5588), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2881), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58692] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5590), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2882), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58814] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [58884] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5592), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2884), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59006] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5594), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2885), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59128] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5596), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2886), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59250] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5598), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2887), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59372] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5600), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2888), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59494] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5602), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2889), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59616] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5604), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2890), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59738] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5606), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2891), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59860] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5608), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2892), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59982] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5610), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2893), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60104] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5612), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2894), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60226] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5614), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2895), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60348] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5616), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2896), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60470] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5618), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2897), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60592] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5620), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2898), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60714] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5622), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2899), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60836] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5624), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2900), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60958] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5626), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2901), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61080] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5628), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2902), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61202] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5630), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2903), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61324] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5632), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2904), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61446] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5634), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2905), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61568] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5636), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2906), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61690] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5638), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2907), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61812] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5640), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2908), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61934] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5642), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2909), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62056] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5644), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2910), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62178] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5646), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2911), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62300] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5648), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2912), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62422] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5650), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2913), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62544] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5652), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2914), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62666] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5654), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2915), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62788] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5656), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2916), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62910] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5658), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2917), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63032] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5660), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2918), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63154] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5662), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2919), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63276] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5664), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2920), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63398] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5666), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2921), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63520] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5668), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2922), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63642] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5670), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2923), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63764] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2924), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63886] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5674), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2925), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64008] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5676), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2926), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64130] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5678), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2927), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64252] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5680), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2928), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64374] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5682), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2929), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64496] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5684), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2930), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64618] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5686), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2931), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64740] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5688), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2932), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64862] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5690), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2933), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64984] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2934), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65106] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5694), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2935), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65228] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5696), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2936), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65350] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5698), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2937), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65472] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5700), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2938), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65594] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5702), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2939), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65716] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5704), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2940), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65838] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5706), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2941), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65960] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5708), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2942), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66082] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5710), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2943), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66204] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5712), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2944), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66326] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5714), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2945), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66448] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5716), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2946), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66570] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5718), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2947), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66692] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2948), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66814] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5722), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2949), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66936] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5724), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2950), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67058] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5726), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2951), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67180] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5728), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2952), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67302] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5730), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2953), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67424] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5732), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2954), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67546] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5734), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2955), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67668] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5736), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2956), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67790] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5738), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2957), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67912] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5740), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2958), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68034] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5742), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2959), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68156] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2960), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68278] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5746), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2961), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68400] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5748), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2962), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68522] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5750), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2963), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68644] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5752), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2964), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68766] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2965), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68888] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5756), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2966), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69010] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5758), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2967), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69132] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5760), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2968), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69254] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5762), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2969), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69376] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5764), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2970), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69498] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5766), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2971), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69620] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5768), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2972), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69742] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5770), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2973), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69864] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5772), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2974), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69986] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5774), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2975), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70108] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5776), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2976), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70230] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5778), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2977), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70352] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5780), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2978), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70474] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5782), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2979), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70596] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5784), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2980), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70718] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5786), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2981), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70840] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5788), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2982), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70962] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5790), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2983), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71084] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5792), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2984), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71206] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5794), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2985), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71328] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5796), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2986), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71450] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5798), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2987), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71572] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5800), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2988), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71694] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5802), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2989), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71816] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5804), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2990), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71938] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5806), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2991), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72060] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5808), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2992), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72182] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5810), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2993), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72304] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5812), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2994), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72426] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5814), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2995), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72548] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5816), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2996), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72670] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5818), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2997), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72792] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5820), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2998), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72914] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5822), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2999), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73036] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5824), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3000), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73158] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5826), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3001), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73280] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5828), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3002), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73402] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5830), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3003), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73524] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5832), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3004), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73646] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5834), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3005), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73768] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5836), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3006), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73890] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5838), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3007), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74012] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5840), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3008), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74134] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5842), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3009), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74256] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5844), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3010), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74378] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5846), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3011), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74500] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5848), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3012), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74622] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5850), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3013), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74744] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5852), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3014), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74866] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5854), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3015), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74988] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5856), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3016), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75110] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5858), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3017), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75232] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5860), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3018), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75354] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5862), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3019), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75476] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [75546] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5864), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3021), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75668] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5866), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3022), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75790] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5868), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3023), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75912] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5870), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3024), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76034] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5872), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3025), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76156] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3026), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76278] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5876), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3027), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76400] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5878), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3028), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76522] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5880), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3029), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76644] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5882), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3030), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76766] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5884), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3031), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76888] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5886), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3032), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77010] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5888), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3033), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77132] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5890), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3034), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77254] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5892), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3035), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77376] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5894), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3036), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77498] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5896), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3037), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77620] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5898), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3038), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77742] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5900), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3039), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77864] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5902), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3040), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77986] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5904), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3041), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78108] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5906), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3042), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78230] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5908), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3043), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78352] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5910), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3044), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78474] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5912), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3045), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78596] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5914), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3046), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78718] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5916), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3047), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78840] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5918), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3048), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78962] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5920), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3049), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79084] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5922), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3050), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79206] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5924), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3051), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79328] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5926), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3052), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79450] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3053), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79572] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5930), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3054), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79694] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5932), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3055), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79816] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5934), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3056), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79938] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [80008] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5936), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3058), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80130] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5938), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3059), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80252] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5940), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3060), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80374] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5942), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3061), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80496] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5944), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3062), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80618] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3063), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80740] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5948), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3064), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80862] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5950), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3065), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80984] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5952), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3066), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81106] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5954), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3067), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81228] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5956), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3068), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81350] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3069), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81472] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5960), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3070), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81594] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5962), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3071), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81716] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5964), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3072), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81838] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5966), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3073), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81960] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5968), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3074), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82082] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5970), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3075), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82204] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5972), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3076), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82326] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5974), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3077), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82448] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5976), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3078), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82570] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5978), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3079), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82692] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5980), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3080), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82814] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5982), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3081), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82936] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5984), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3082), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83058] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5986), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3083), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83180] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5988), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3084), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83302] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5990), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3085), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83424] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5992), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3086), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83546] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5994), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3087), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83668] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5996), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3088), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83790] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(5998), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3089), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83912] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6000), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3090), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84034] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6002), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3091), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84156] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6004), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3092), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84278] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6006), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3093), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84400] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6008), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3094), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84522] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3095), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84644] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6012), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3096), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84766] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6014), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3097), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84888] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6016), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3098), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85010] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6018), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3099), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85132] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6020), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3100), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85254] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6022), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3101), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85376] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6024), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3102), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85498] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6026), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3103), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85620] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6028), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3104), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85742] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6030), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3105), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85864] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6032), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3106), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85986] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6034), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3107), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86108] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6036), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3108), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86230] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6038), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3109), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86352] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6040), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3110), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86474] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6042), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3111), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86596] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6044), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3112), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86718] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6046), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3113), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86840] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6048), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3114), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86962] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6050), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3115), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87084] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6052), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3116), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87206] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6054), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3117), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87328] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6056), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3118), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87450] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6058), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3119), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87572] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6060), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3120), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87694] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6062), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3121), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87816] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6064), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3122), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87938] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6066), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3123), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88060] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6068), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3124), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88182] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6070), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3125), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88304] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6072), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3126), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88426] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6074), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3127), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88548] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6076), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3128), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88670] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6078), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3129), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88792] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6080), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3130), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88914] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6082), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3131), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89036] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6084), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3132), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89158] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6086), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3133), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89280] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6088), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3134), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89402] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6090), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3135), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89524] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6092), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3136), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89646] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6094), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3137), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89768] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6096), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3138), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89890] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6098), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3139), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90012] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6100), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3140), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90134] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6102), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3141), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90256] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6104), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3142), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90378] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6106), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3143), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90500] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6108), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3144), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90622] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6110), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3145), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90744] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6112), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3146), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90866] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3147), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90988] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6116), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3148), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91110] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6118), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3149), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91232] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6120), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3150), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91354] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6122), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3151), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91476] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6124), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3152), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91598] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6126), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3153), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91720] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6128), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3154), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91842] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6130), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3155), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91964] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6132), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3156), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92086] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6134), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3157), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92208] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6136), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3158), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92330] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6138), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3159), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92452] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6140), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3160), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92574] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6142), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3161), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92696] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6144), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3162), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92818] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6146), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3163), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92940] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6148), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3164), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93062] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6150), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3165), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93184] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6152), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3166), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93306] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6154), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3167), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93428] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6156), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3168), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93550] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6158), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3169), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93672] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6160), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3170), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93794] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6162), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3171), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93916] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6164), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3172), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94038] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6166), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3173), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94160] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6168), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3174), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94282] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6170), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3175), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94404] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6172), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3176), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94526] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6174), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3177), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94648] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6176), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3178), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94770] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6178), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3179), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94892] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6180), 1,
      anon_sym_RPAREN,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3180), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95014] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6182), 1,
      anon_sym_RBRACK,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3181), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95136] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14894), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3182), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95255] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15989), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3183), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95374] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(13004), 1,
      sym__type,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3184), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95493] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6220), 1,
      anon_sym_COLON,
    ACTIONS(6222), 1,
      anon_sym_LBRACE,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      sym_integer_literal,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(10022), 1,
      sym__annotated_type,
    STATE(12643), 1,
      sym__infix_type_choice,
    STATE(15630), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17027), 1,
      sym_template_body,
    STATE(17252), 1,
      sym__type,
    STATE(17372), 1,
      sym__non_null_literal,
    ACTIONS(6228), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6230), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6232), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3185), 2,
      sym_comment,
      sym_block_comment,
    STATE(12947), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17023), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17376), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95612] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6220), 1,
      anon_sym_COLON,
    ACTIONS(6222), 1,
      anon_sym_LBRACE,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      sym_integer_literal,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(10022), 1,
      sym__annotated_type,
    STATE(12643), 1,
      sym__infix_type_choice,
    STATE(15630), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17027), 1,
      sym_template_body,
    STATE(17241), 1,
      sym__type,
    STATE(17372), 1,
      sym__non_null_literal,
    ACTIONS(6228), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6230), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6232), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3186), 2,
      sym_comment,
      sym_block_comment,
    STATE(12947), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17023), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17376), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95731] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4804), 1,
      anon_sym__,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6234), 1,
      anon_sym_LPAREN,
    ACTIONS(6236), 1,
      sym_operator_identifier,
    STATE(5506), 1,
      sym__annotated_type,
    STATE(5573), 1,
      sym__simple_type,
    STATE(6424), 1,
      sym_identifier,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(9019), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13152), 1,
      sym__type,
    STATE(15760), 1,
      sym_parameter_types,
    STATE(17144), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3187), 2,
      sym_comment,
      sym_block_comment,
    STATE(10554), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6785), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95850] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6220), 1,
      anon_sym_COLON,
    ACTIONS(6222), 1,
      anon_sym_LBRACE,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      sym_integer_literal,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(10022), 1,
      sym__annotated_type,
    STATE(12643), 1,
      sym__infix_type_choice,
    STATE(15630), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17027), 1,
      sym_template_body,
    STATE(17225), 1,
      sym__type,
    STATE(17372), 1,
      sym__non_null_literal,
    ACTIONS(6228), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6230), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6232), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3188), 2,
      sym_comment,
      sym_block_comment,
    STATE(12947), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17023), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17376), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95969] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16287), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3189), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96088] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15565), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3190), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96207] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17723), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3191), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96326] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16276), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3192), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96445] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17553), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3193), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96564] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15796), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3194), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96683] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17555), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3195), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96802] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15557), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3196), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96921] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15803), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3197), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97040] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4804), 1,
      anon_sym__,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6234), 1,
      anon_sym_LPAREN,
    ACTIONS(6236), 1,
      sym_operator_identifier,
    STATE(5506), 1,
      sym__annotated_type,
    STATE(5573), 1,
      sym__simple_type,
    STATE(6424), 1,
      sym_identifier,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(9019), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13159), 1,
      sym__type,
    STATE(15760), 1,
      sym_parameter_types,
    STATE(17144), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3198), 2,
      sym_comment,
      sym_block_comment,
    STATE(10554), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6785), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97159] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6240), 1,
      anon_sym_COLON,
    ACTIONS(6242), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(7739), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11776), 1,
      sym__type,
    STATE(11857), 1,
      sym__non_null_literal,
    STATE(11875), 1,
      sym_template_body,
    STATE(12958), 1,
      sym__infix_type_choice,
    STATE(15296), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3199), 2,
      sym_comment,
      sym_block_comment,
    STATE(10884), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11856), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97278] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8835), 1,
      sym__type,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3200), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97397] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4882), 1,
      anon_sym__,
    ACTIONS(4886), 1,
      anon_sym_LBRACK,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(6264), 1,
      anon_sym_LPAREN,
    ACTIONS(6266), 1,
      sym_operator_identifier,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5467), 1,
      sym__simple_type,
    STATE(5682), 1,
      sym_identifier,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(8725), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11668), 1,
      sym__type,
    STATE(12764), 1,
      sym__infix_type_choice,
    STATE(16037), 1,
      sym_parameter_types,
    STATE(17562), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3201), 2,
      sym_comment,
      sym_block_comment,
    STATE(10267), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97516] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [97585] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15478), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3203), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97704] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17694), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3204), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97823] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      anon_sym__,
    ACTIONS(6276), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      anon_sym_LPAREN,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(6284), 1,
      sym_operator_identifier,
    STATE(6343), 1,
      sym__annotated_type,
    STATE(6674), 1,
      sym__simple_type,
    STATE(6979), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(9866), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(12314), 1,
      sym__type,
    STATE(12973), 1,
      sym__infix_type_choice,
    STATE(16027), 1,
      sym_parameter_types,
    STATE(17827), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3205), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8245), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97942] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      anon_sym_COLON,
    ACTIONS(6290), 1,
      anon_sym_LBRACE,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(6304), 1,
      sym_integer_literal,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(5869), 1,
      sym__annotated_type,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(10949), 1,
      sym__non_null_literal,
    STATE(11132), 1,
      sym_template_body,
    STATE(11213), 1,
      sym__type,
    STATE(12687), 1,
      sym__infix_type_choice,
    STATE(15558), 1,
      sym_parameter_types,
    STATE(16996), 1,
      sym_stable_identifier,
    ACTIONS(6306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6310), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3206), 2,
      sym_comment,
      sym_block_comment,
    STATE(10213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10929), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98061] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17697), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3207), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98180] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4900), 1,
      anon_sym__,
    ACTIONS(4904), 1,
      anon_sym_LBRACK,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(6312), 1,
      anon_sym_LPAREN,
    ACTIONS(6314), 1,
      sym_operator_identifier,
    STATE(5868), 1,
      sym__simple_type,
    STATE(5954), 1,
      sym__annotated_type,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(6488), 1,
      sym_identifier,
    STATE(9006), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11969), 1,
      sym__type,
    STATE(12998), 1,
      sym__infix_type_choice,
    STATE(16334), 1,
      sym_parameter_types,
    STATE(17773), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3208), 2,
      sym_comment,
      sym_block_comment,
    STATE(10584), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6926), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98299] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6220), 1,
      anon_sym_COLON,
    ACTIONS(6222), 1,
      anon_sym_LBRACE,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      sym_integer_literal,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(10022), 1,
      sym__annotated_type,
    STATE(12643), 1,
      sym__infix_type_choice,
    STATE(15630), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17027), 1,
      sym_template_body,
    STATE(17302), 1,
      sym__type,
    STATE(17372), 1,
      sym__non_null_literal,
    ACTIONS(6228), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6230), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6232), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3209), 2,
      sym_comment,
      sym_block_comment,
    STATE(12947), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17023), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17376), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98418] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4882), 1,
      anon_sym__,
    ACTIONS(4886), 1,
      anon_sym_LBRACK,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(6264), 1,
      anon_sym_LPAREN,
    ACTIONS(6266), 1,
      sym_operator_identifier,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5467), 1,
      sym__simple_type,
    STATE(5682), 1,
      sym_identifier,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(8725), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11678), 1,
      sym__type,
    STATE(12764), 1,
      sym__infix_type_choice,
    STATE(16037), 1,
      sym_parameter_types,
    STATE(17562), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3210), 2,
      sym_comment,
      sym_block_comment,
    STATE(10267), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98537] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4882), 1,
      anon_sym__,
    ACTIONS(4886), 1,
      anon_sym_LBRACK,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(6264), 1,
      anon_sym_LPAREN,
    ACTIONS(6266), 1,
      sym_operator_identifier,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5467), 1,
      sym__simple_type,
    STATE(5682), 1,
      sym_identifier,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(8725), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11683), 1,
      sym__type,
    STATE(12764), 1,
      sym__infix_type_choice,
    STATE(16037), 1,
      sym_parameter_types,
    STATE(17562), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3211), 2,
      sym_comment,
      sym_block_comment,
    STATE(10267), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98656] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4882), 1,
      anon_sym__,
    ACTIONS(4886), 1,
      anon_sym_LBRACK,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(6264), 1,
      anon_sym_LPAREN,
    ACTIONS(6266), 1,
      sym_operator_identifier,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5467), 1,
      sym__simple_type,
    STATE(5682), 1,
      sym_identifier,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(8725), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11691), 1,
      sym__type,
    STATE(12764), 1,
      sym__infix_type_choice,
    STATE(16037), 1,
      sym_parameter_types,
    STATE(17562), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3212), 2,
      sym_comment,
      sym_block_comment,
    STATE(10267), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98775] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4900), 1,
      anon_sym__,
    ACTIONS(4904), 1,
      anon_sym_LBRACK,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(6312), 1,
      anon_sym_LPAREN,
    ACTIONS(6314), 1,
      sym_operator_identifier,
    STATE(5868), 1,
      sym__simple_type,
    STATE(5954), 1,
      sym__annotated_type,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(6488), 1,
      sym_identifier,
    STATE(9006), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11966), 1,
      sym__type,
    STATE(12998), 1,
      sym__infix_type_choice,
    STATE(16334), 1,
      sym_parameter_types,
    STATE(17773), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3213), 2,
      sym_comment,
      sym_block_comment,
    STATE(10584), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6926), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98894] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      anon_sym_COLON,
    ACTIONS(6290), 1,
      anon_sym_LBRACE,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(6304), 1,
      sym_integer_literal,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(5869), 1,
      sym__annotated_type,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(10949), 1,
      sym__non_null_literal,
    STATE(11132), 1,
      sym_template_body,
    STATE(11212), 1,
      sym__type,
    STATE(12687), 1,
      sym__infix_type_choice,
    STATE(15558), 1,
      sym_parameter_types,
    STATE(16996), 1,
      sym_stable_identifier,
    ACTIONS(6306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6310), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3214), 2,
      sym_comment,
      sym_block_comment,
    STATE(10213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10929), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99013] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7366), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12705), 1,
      sym__infix_type_choice,
    STATE(14315), 1,
      sym__type,
    STATE(16228), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3215), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99132] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15455), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3216), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99251] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4900), 1,
      anon_sym__,
    ACTIONS(4904), 1,
      anon_sym_LBRACK,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(6312), 1,
      anon_sym_LPAREN,
    ACTIONS(6314), 1,
      sym_operator_identifier,
    STATE(5868), 1,
      sym__simple_type,
    STATE(5954), 1,
      sym__annotated_type,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(6488), 1,
      sym_identifier,
    STATE(9006), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11961), 1,
      sym__type,
    STATE(12998), 1,
      sym__infix_type_choice,
    STATE(16334), 1,
      sym_parameter_types,
    STATE(17773), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3217), 2,
      sym_comment,
      sym_block_comment,
    STATE(10584), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6926), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99370] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16050), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3218), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99489] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4882), 1,
      anon_sym__,
    ACTIONS(4886), 1,
      anon_sym_LBRACK,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(6264), 1,
      anon_sym_LPAREN,
    ACTIONS(6266), 1,
      sym_operator_identifier,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5467), 1,
      sym__simple_type,
    STATE(5682), 1,
      sym_identifier,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(8725), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11692), 1,
      sym__type,
    STATE(12764), 1,
      sym__infix_type_choice,
    STATE(16037), 1,
      sym_parameter_types,
    STATE(17562), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3219), 2,
      sym_comment,
      sym_block_comment,
    STATE(10267), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99608] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym__,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6338), 1,
      anon_sym_LPAREN,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(6342), 1,
      sym_operator_identifier,
    STATE(5940), 1,
      sym__simple_type,
    STATE(6275), 1,
      sym__annotated_type,
    STATE(6469), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(9885), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12736), 1,
      sym__infix_type_choice,
    STATE(16194), 1,
      sym_parameter_types,
    STATE(16974), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3220), 2,
      sym_comment,
      sym_block_comment,
    STATE(10778), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7426), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99727] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16753), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3221), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99846] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16756), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3222), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99965] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4730), 1,
      anon_sym_COLON,
    ACTIONS(4732), 1,
      anon_sym_LBRACE,
    ACTIONS(4734), 1,
      anon_sym__,
    ACTIONS(4738), 1,
      anon_sym_LBRACK,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(4750), 1,
      sym_integer_literal,
    ACTIONS(6344), 1,
      anon_sym_LPAREN,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5141), 1,
      sym__annotated_type,
    STATE(5152), 1,
      sym__simple_type,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(5745), 1,
      sym_identifier,
    STATE(8834), 1,
      sym_annotated_type,
    STATE(13000), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(13957), 1,
      sym__type,
    STATE(16329), 1,
      sym_parameter_types,
    STATE(17767), 1,
      sym_stable_identifier,
    ACTIONS(4752), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4754), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4756), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3223), 2,
      sym_comment,
      sym_block_comment,
    STATE(10236), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13752), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13763), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100084] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6352), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(7912), 1,
      sym__annotated_type,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11537), 1,
      sym__type,
    STATE(12992), 1,
      sym__infix_type_choice,
    STATE(16122), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3224), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100203] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4900), 1,
      anon_sym__,
    ACTIONS(4904), 1,
      anon_sym_LBRACK,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(6312), 1,
      anon_sym_LPAREN,
    ACTIONS(6314), 1,
      sym_operator_identifier,
    STATE(5868), 1,
      sym__simple_type,
    STATE(5954), 1,
      sym__annotated_type,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(6488), 1,
      sym_identifier,
    STATE(9006), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(12062), 1,
      sym__type,
    STATE(12998), 1,
      sym__infix_type_choice,
    STATE(16334), 1,
      sym_parameter_types,
    STATE(17773), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3225), 2,
      sym_comment,
      sym_block_comment,
    STATE(10584), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6926), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100322] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym__,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6338), 1,
      anon_sym_LPAREN,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(6342), 1,
      sym_operator_identifier,
    STATE(5940), 1,
      sym__simple_type,
    STATE(6275), 1,
      sym__annotated_type,
    STATE(6469), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(9885), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12736), 1,
      sym__infix_type_choice,
    STATE(14322), 1,
      sym__type,
    STATE(16194), 1,
      sym_parameter_types,
    STATE(16974), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3226), 2,
      sym_comment,
      sym_block_comment,
    STATE(10778), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7426), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100441] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7202), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12760), 1,
      sym__infix_type_choice,
    STATE(14541), 1,
      sym__type,
    STATE(16159), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3227), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100560] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(14639), 1,
      sym__type,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3228), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100679] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4804), 1,
      anon_sym__,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6234), 1,
      anon_sym_LPAREN,
    ACTIONS(6236), 1,
      sym_operator_identifier,
    STATE(5506), 1,
      sym__annotated_type,
    STATE(5573), 1,
      sym__simple_type,
    STATE(6424), 1,
      sym_identifier,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(9019), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13122), 1,
      sym__type,
    STATE(15760), 1,
      sym_parameter_types,
    STATE(17144), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3229), 2,
      sym_comment,
      sym_block_comment,
    STATE(10554), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6785), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100798] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6366), 1,
      anon_sym__,
    ACTIONS(6368), 1,
      anon_sym_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LPAREN,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(6376), 1,
      sym_operator_identifier,
    STATE(6713), 1,
      sym__simple_type,
    STATE(6876), 1,
      sym__annotated_type,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7299), 1,
      sym_identifier,
    STATE(10224), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11574), 1,
      sym__type,
    STATE(12974), 1,
      sym__infix_type_choice,
    STATE(16073), 1,
      sym_parameter_types,
    STATE(16791), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3230), 2,
      sym_comment,
      sym_block_comment,
    STATE(11062), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100917] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6366), 1,
      anon_sym__,
    ACTIONS(6368), 1,
      anon_sym_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LPAREN,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(6376), 1,
      sym_operator_identifier,
    STATE(6713), 1,
      sym__simple_type,
    STATE(6876), 1,
      sym__annotated_type,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7299), 1,
      sym_identifier,
    STATE(10224), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11571), 1,
      sym__type,
    STATE(12974), 1,
      sym__infix_type_choice,
    STATE(16073), 1,
      sym_parameter_types,
    STATE(16791), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3231), 2,
      sym_comment,
      sym_block_comment,
    STATE(11062), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101036] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym__,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6338), 1,
      anon_sym_LPAREN,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(6342), 1,
      sym_operator_identifier,
    STATE(5940), 1,
      sym__simple_type,
    STATE(6275), 1,
      sym__annotated_type,
    STATE(6469), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(9885), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11571), 1,
      sym__type,
    STATE(12736), 1,
      sym__infix_type_choice,
    STATE(16194), 1,
      sym_parameter_types,
    STATE(16974), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3232), 2,
      sym_comment,
      sym_block_comment,
    STATE(10778), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7426), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101155] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6366), 1,
      anon_sym__,
    ACTIONS(6368), 1,
      anon_sym_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LPAREN,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(6376), 1,
      sym_operator_identifier,
    STATE(6713), 1,
      sym__simple_type,
    STATE(6876), 1,
      sym__annotated_type,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7299), 1,
      sym_identifier,
    STATE(10224), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12974), 1,
      sym__infix_type_choice,
    STATE(16073), 1,
      sym_parameter_types,
    STATE(16791), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3233), 2,
      sym_comment,
      sym_block_comment,
    STATE(11062), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101274] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16320), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3234), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101393] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4804), 1,
      anon_sym__,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6234), 1,
      anon_sym_LPAREN,
    ACTIONS(6236), 1,
      sym_operator_identifier,
    STATE(5506), 1,
      sym__annotated_type,
    STATE(5573), 1,
      sym__simple_type,
    STATE(6424), 1,
      sym_identifier,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(9019), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13161), 1,
      sym__type,
    STATE(15760), 1,
      sym_parameter_types,
    STATE(17144), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3235), 2,
      sym_comment,
      sym_block_comment,
    STATE(10554), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6785), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101512] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4804), 1,
      anon_sym__,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6234), 1,
      anon_sym_LPAREN,
    ACTIONS(6236), 1,
      sym_operator_identifier,
    STATE(5506), 1,
      sym__annotated_type,
    STATE(5573), 1,
      sym__simple_type,
    STATE(6424), 1,
      sym_identifier,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(9019), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13173), 1,
      sym__type,
    STATE(15760), 1,
      sym_parameter_types,
    STATE(17144), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3236), 2,
      sym_comment,
      sym_block_comment,
    STATE(10554), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6785), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101631] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16245), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3237), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101750] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15677), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3238), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101869] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15627), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3239), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101988] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym_COLON,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6386), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(6396), 1,
      sym_integer_literal,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__annotated_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(10969), 1,
      sym_template_body,
    STATE(10977), 1,
      sym__non_null_literal,
    STATE(11050), 1,
      sym__type,
    STATE(12748), 1,
      sym__infix_type_choice,
    STATE(15983), 1,
      sym_parameter_types,
    STATE(17538), 1,
      sym_stable_identifier,
    ACTIONS(6398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6402), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3240), 2,
      sym_comment,
      sym_block_comment,
    STATE(10123), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10889), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11004), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11063), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102107] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym_COLON,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6386), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(6396), 1,
      sym_integer_literal,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__annotated_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(10969), 1,
      sym_template_body,
    STATE(10977), 1,
      sym__non_null_literal,
    STATE(11077), 1,
      sym__type,
    STATE(12748), 1,
      sym__infix_type_choice,
    STATE(15983), 1,
      sym_parameter_types,
    STATE(17538), 1,
      sym_stable_identifier,
    ACTIONS(6398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6402), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3241), 2,
      sym_comment,
      sym_block_comment,
    STATE(10123), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10889), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11004), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11063), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102226] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym_COLON,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6386), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(6396), 1,
      sym_integer_literal,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__annotated_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(10969), 1,
      sym_template_body,
    STATE(10977), 1,
      sym__non_null_literal,
    STATE(11014), 1,
      sym__type,
    STATE(12748), 1,
      sym__infix_type_choice,
    STATE(15983), 1,
      sym_parameter_types,
    STATE(17538), 1,
      sym_stable_identifier,
    ACTIONS(6398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6402), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3242), 2,
      sym_comment,
      sym_block_comment,
    STATE(10123), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10889), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11004), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11063), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102345] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1290), 1,
      sym_integer_literal,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6406), 1,
      anon_sym_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6410), 1,
      anon_sym__,
    ACTIONS(6412), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LPAREN,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(6420), 1,
      sym_operator_identifier,
    STATE(5134), 1,
      sym__annotated_type,
    STATE(5246), 1,
      sym__simple_type,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6079), 1,
      sym_identifier,
    STATE(8354), 1,
      sym_annotated_type,
    STATE(12915), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(13869), 1,
      sym__type,
    STATE(15938), 1,
      sym_parameter_types,
    STATE(17659), 1,
      sym_stable_identifier,
    ACTIONS(1292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1298), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3243), 2,
      sym_comment,
      sym_block_comment,
    STATE(8470), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102464] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym_COLON,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6386), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(6396), 1,
      sym_integer_literal,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__annotated_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(10969), 1,
      sym_template_body,
    STATE(10977), 1,
      sym__non_null_literal,
    STATE(11171), 1,
      sym__type,
    STATE(12748), 1,
      sym__infix_type_choice,
    STATE(15983), 1,
      sym_parameter_types,
    STATE(17538), 1,
      sym_stable_identifier,
    ACTIONS(6398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6402), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3244), 2,
      sym_comment,
      sym_block_comment,
    STATE(10123), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10889), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11004), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11063), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102583] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17408), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3245), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102702] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6352), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(7912), 1,
      sym__annotated_type,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12992), 1,
      sym__infix_type_choice,
    STATE(16122), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3246), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102821] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    STATE(4486), 1,
      sym__annotated_type,
    STATE(4520), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4620), 1,
      sym_identifier,
    STATE(5589), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11961), 1,
      sym__type,
    STATE(12993), 1,
      sym__infix_type_choice,
    STATE(15946), 1,
      sym_parameter_types,
    STATE(17779), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3247), 2,
      sym_comment,
      sym_block_comment,
    STATE(7769), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102940] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17405), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3248), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103059] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6352), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(7912), 1,
      sym__annotated_type,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11571), 1,
      sym__type,
    STATE(12992), 1,
      sym__infix_type_choice,
    STATE(16122), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3249), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103178] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16234), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3250), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103297] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17406), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3251), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103416] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15384), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3252), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103535] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym_COLON,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6386), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(6396), 1,
      sym_integer_literal,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__annotated_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(10969), 1,
      sym_template_body,
    STATE(10977), 1,
      sym__non_null_literal,
    STATE(11176), 1,
      sym__type,
    STATE(12748), 1,
      sym__infix_type_choice,
    STATE(15983), 1,
      sym_parameter_types,
    STATE(17538), 1,
      sym_stable_identifier,
    ACTIONS(6398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6402), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3253), 2,
      sym_comment,
      sym_block_comment,
    STATE(10123), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10889), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11004), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11063), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103654] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3254), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103773] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17823), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3255), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103892] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    STATE(4486), 1,
      sym__annotated_type,
    STATE(4520), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4620), 1,
      sym_identifier,
    STATE(5589), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11966), 1,
      sym__type,
    STATE(12993), 1,
      sym__infix_type_choice,
    STATE(15946), 1,
      sym_parameter_types,
    STATE(17779), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3256), 2,
      sym_comment,
      sym_block_comment,
    STATE(7769), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104011] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6352), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(7912), 1,
      sym__annotated_type,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11574), 1,
      sym__type,
    STATE(12992), 1,
      sym__infix_type_choice,
    STATE(16122), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3257), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104130] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6352), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(7912), 1,
      sym__annotated_type,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym__type,
    STATE(12992), 1,
      sym__infix_type_choice,
    STATE(16122), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3258), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104249] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    STATE(5712), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6470), 1,
      sym_identifier,
    STATE(9546), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11759), 1,
      sym__type,
    STATE(12922), 1,
      sym__infix_type_choice,
    STATE(16025), 1,
      sym_parameter_types,
    STATE(17677), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3259), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10377), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6918), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104368] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4730), 1,
      anon_sym_COLON,
    ACTIONS(4732), 1,
      anon_sym_LBRACE,
    ACTIONS(4734), 1,
      anon_sym__,
    ACTIONS(4738), 1,
      anon_sym_LBRACK,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(4750), 1,
      sym_integer_literal,
    ACTIONS(6344), 1,
      anon_sym_LPAREN,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5141), 1,
      sym__annotated_type,
    STATE(5152), 1,
      sym__simple_type,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(5745), 1,
      sym_identifier,
    STATE(8834), 1,
      sym_annotated_type,
    STATE(13000), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(13950), 1,
      sym__type,
    STATE(16329), 1,
      sym_parameter_types,
    STATE(17767), 1,
      sym_stable_identifier,
    ACTIONS(4752), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4754), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4756), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3260), 2,
      sym_comment,
      sym_block_comment,
    STATE(10236), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13752), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13763), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104487] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17825), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3261), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104606] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15368), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3262), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104725] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    STATE(4486), 1,
      sym__annotated_type,
    STATE(4520), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4620), 1,
      sym_identifier,
    STATE(5589), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11969), 1,
      sym__type,
    STATE(12993), 1,
      sym__infix_type_choice,
    STATE(15946), 1,
      sym_parameter_types,
    STATE(17779), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3263), 2,
      sym_comment,
      sym_block_comment,
    STATE(7769), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104844] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    STATE(4486), 1,
      sym__annotated_type,
    STATE(4520), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4620), 1,
      sym_identifier,
    STATE(5589), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11970), 1,
      sym__type,
    STATE(12993), 1,
      sym__infix_type_choice,
    STATE(15946), 1,
      sym_parameter_types,
    STATE(17779), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3264), 2,
      sym_comment,
      sym_block_comment,
    STATE(7769), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104963] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4730), 1,
      anon_sym_COLON,
    ACTIONS(4732), 1,
      anon_sym_LBRACE,
    ACTIONS(4734), 1,
      anon_sym__,
    ACTIONS(4738), 1,
      anon_sym_LBRACK,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(4750), 1,
      sym_integer_literal,
    ACTIONS(6344), 1,
      anon_sym_LPAREN,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5141), 1,
      sym__annotated_type,
    STATE(5152), 1,
      sym__simple_type,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(5745), 1,
      sym_identifier,
    STATE(8834), 1,
      sym_annotated_type,
    STATE(13000), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(13946), 1,
      sym__type,
    STATE(16329), 1,
      sym_parameter_types,
    STATE(17767), 1,
      sym_stable_identifier,
    ACTIONS(4752), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4754), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4756), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3265), 2,
      sym_comment,
      sym_block_comment,
    STATE(10236), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13752), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13763), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105082] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12373), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3266), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105201] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym__,
    ACTIONS(6452), 1,
      anon_sym_LBRACK,
    ACTIONS(6456), 1,
      anon_sym_LPAREN,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(6460), 1,
      sym_operator_identifier,
    STATE(6947), 1,
      sym__annotated_type,
    STATE(6995), 1,
      sym__simple_type,
    STATE(7858), 1,
      sym_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(10232), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12207), 1,
      sym__type,
    STATE(12796), 1,
      sym__infix_type_choice,
    STATE(16024), 1,
      sym_parameter_types,
    STATE(17574), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3267), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11142), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105320] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4730), 1,
      anon_sym_COLON,
    ACTIONS(4732), 1,
      anon_sym_LBRACE,
    ACTIONS(4734), 1,
      anon_sym__,
    ACTIONS(4738), 1,
      anon_sym_LBRACK,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(4750), 1,
      sym_integer_literal,
    ACTIONS(6344), 1,
      anon_sym_LPAREN,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5141), 1,
      sym__annotated_type,
    STATE(5152), 1,
      sym__simple_type,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(5745), 1,
      sym_identifier,
    STATE(8834), 1,
      sym_annotated_type,
    STATE(13000), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(13943), 1,
      sym__type,
    STATE(16329), 1,
      sym_parameter_types,
    STATE(17767), 1,
      sym_stable_identifier,
    ACTIONS(4752), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4754), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4756), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3268), 2,
      sym_comment,
      sym_block_comment,
    STATE(10236), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13752), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13763), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105439] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4730), 1,
      anon_sym_COLON,
    ACTIONS(4732), 1,
      anon_sym_LBRACE,
    ACTIONS(4734), 1,
      anon_sym__,
    ACTIONS(4738), 1,
      anon_sym_LBRACK,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(4750), 1,
      sym_integer_literal,
    ACTIONS(6344), 1,
      anon_sym_LPAREN,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5141), 1,
      sym__annotated_type,
    STATE(5152), 1,
      sym__simple_type,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(5745), 1,
      sym_identifier,
    STATE(8834), 1,
      sym_annotated_type,
    STATE(13000), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(13934), 1,
      sym__type,
    STATE(16329), 1,
      sym_parameter_types,
    STATE(17767), 1,
      sym_stable_identifier,
    ACTIONS(4752), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4754), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4756), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3269), 2,
      sym_comment,
      sym_block_comment,
    STATE(10236), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13752), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13763), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105558] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15766), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3270), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105677] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15690), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3271), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105796] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6462), 1,
      anon_sym_COLON,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(8677), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11747), 1,
      sym__type,
    STATE(11762), 1,
      sym__non_null_literal,
    STATE(11940), 1,
      sym_template_body,
    STATE(12664), 1,
      sym__infix_type_choice,
    STATE(16283), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3272), 2,
      sym_comment,
      sym_block_comment,
    STATE(11231), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11740), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105915] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17287), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3273), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106034] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17226), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3274), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106153] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(14148), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3275), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106272] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15704), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3276), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106391] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6220), 1,
      anon_sym_COLON,
    ACTIONS(6222), 1,
      anon_sym_LBRACE,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      sym_integer_literal,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(10022), 1,
      sym__annotated_type,
    STATE(12643), 1,
      sym__infix_type_choice,
    STATE(15630), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17027), 1,
      sym_template_body,
    STATE(17327), 1,
      sym__type,
    STATE(17372), 1,
      sym__non_null_literal,
    ACTIONS(6228), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6230), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6232), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3277), 2,
      sym_comment,
      sym_block_comment,
    STATE(12947), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17023), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17376), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106510] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym__,
    ACTIONS(6452), 1,
      anon_sym_LBRACK,
    ACTIONS(6456), 1,
      anon_sym_LPAREN,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(6460), 1,
      sym_operator_identifier,
    STATE(6947), 1,
      sym__annotated_type,
    STATE(6995), 1,
      sym__simple_type,
    STATE(7858), 1,
      sym_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(10232), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12214), 1,
      sym__type,
    STATE(12796), 1,
      sym__infix_type_choice,
    STATE(16024), 1,
      sym_parameter_types,
    STATE(17574), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3278), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11142), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106629] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6366), 1,
      anon_sym__,
    ACTIONS(6368), 1,
      anon_sym_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LPAREN,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(6376), 1,
      sym_operator_identifier,
    STATE(6713), 1,
      sym__simple_type,
    STATE(6876), 1,
      sym__annotated_type,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7299), 1,
      sym_identifier,
    STATE(10224), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11537), 1,
      sym__type,
    STATE(12974), 1,
      sym__infix_type_choice,
    STATE(16073), 1,
      sym_parameter_types,
    STATE(16791), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3279), 2,
      sym_comment,
      sym_block_comment,
    STATE(11062), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106748] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16087), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3280), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106867] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym__,
    ACTIONS(6452), 1,
      anon_sym_LBRACK,
    ACTIONS(6456), 1,
      anon_sym_LPAREN,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(6460), 1,
      sym_operator_identifier,
    STATE(6947), 1,
      sym__annotated_type,
    STATE(6995), 1,
      sym__simple_type,
    STATE(7858), 1,
      sym_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(10232), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12227), 1,
      sym__type,
    STATE(12796), 1,
      sym__infix_type_choice,
    STATE(16024), 1,
      sym_parameter_types,
    STATE(17574), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3281), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11142), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106986] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym__,
    ACTIONS(6452), 1,
      anon_sym_LBRACK,
    ACTIONS(6456), 1,
      anon_sym_LPAREN,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(6460), 1,
      sym_operator_identifier,
    STATE(6947), 1,
      sym__annotated_type,
    STATE(6995), 1,
      sym__simple_type,
    STATE(7858), 1,
      sym_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(10232), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12228), 1,
      sym__type,
    STATE(12796), 1,
      sym__infix_type_choice,
    STATE(16024), 1,
      sym_parameter_types,
    STATE(17574), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3282), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11142), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107105] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15311), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3283), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107224] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym__,
    ACTIONS(6452), 1,
      anon_sym_LBRACK,
    ACTIONS(6456), 1,
      anon_sym_LPAREN,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(6460), 1,
      sym_operator_identifier,
    STATE(6947), 1,
      sym__annotated_type,
    STATE(6995), 1,
      sym__simple_type,
    STATE(7858), 1,
      sym_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(10232), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12229), 1,
      sym__type,
    STATE(12796), 1,
      sym__infix_type_choice,
    STATE(16024), 1,
      sym_parameter_types,
    STATE(17574), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3284), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11142), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107343] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6240), 1,
      anon_sym_COLON,
    ACTIONS(6242), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(7739), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11857), 1,
      sym__non_null_literal,
    STATE(11869), 1,
      sym__type,
    STATE(11875), 1,
      sym_template_body,
    STATE(12958), 1,
      sym__infix_type_choice,
    STATE(15296), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3285), 2,
      sym_comment,
      sym_block_comment,
    STATE(10884), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11856), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107462] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17927), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3286), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107581] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17930), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3287), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107700] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15294), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3288), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107819] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15756), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3289), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107938] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1606), 1,
      sym_integer_literal,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym_COLON,
    ACTIONS(6480), 1,
      anon_sym_LBRACE,
    ACTIONS(6482), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_LPAREN,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(6492), 1,
      sym_operator_identifier,
    STATE(5919), 1,
      sym__annotated_type,
    STATE(5928), 1,
      sym__simple_type,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6706), 1,
      sym_identifier,
    STATE(9085), 1,
      sym_annotated_type,
    STATE(12997), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13892), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(15943), 1,
      sym_parameter_types,
    STATE(17755), 1,
      sym_stable_identifier,
    ACTIONS(1608), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1610), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1614), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3290), 2,
      sym_comment,
      sym_block_comment,
    STATE(9107), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6851), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108057] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4834), 1,
      anon_sym__,
    ACTIONS(4838), 1,
      anon_sym_LBRACK,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    STATE(4486), 1,
      sym__annotated_type,
    STATE(4520), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4620), 1,
      sym_identifier,
    STATE(5589), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(12062), 1,
      sym__type,
    STATE(12993), 1,
      sym__infix_type_choice,
    STATE(15946), 1,
      sym_parameter_types,
    STATE(17779), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3291), 2,
      sym_comment,
      sym_block_comment,
    STATE(7769), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108176] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15712), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3292), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108295] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6240), 1,
      anon_sym_COLON,
    ACTIONS(6242), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(7739), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11857), 1,
      sym__non_null_literal,
    STATE(11875), 1,
      sym_template_body,
    STATE(11887), 1,
      sym__type,
    STATE(12958), 1,
      sym__infix_type_choice,
    STATE(15296), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3293), 2,
      sym_comment,
      sym_block_comment,
    STATE(10884), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11856), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108414] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6240), 1,
      anon_sym_COLON,
    ACTIONS(6242), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(7739), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11857), 1,
      sym__non_null_literal,
    STATE(11875), 1,
      sym_template_body,
    STATE(11905), 1,
      sym__type,
    STATE(12958), 1,
      sym__infix_type_choice,
    STATE(15296), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3294), 2,
      sym_comment,
      sym_block_comment,
    STATE(10884), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11856), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108533] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6240), 1,
      anon_sym_COLON,
    ACTIONS(6242), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(7739), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11857), 1,
      sym__non_null_literal,
    STATE(11875), 1,
      sym_template_body,
    STATE(11920), 1,
      sym__type,
    STATE(12958), 1,
      sym__infix_type_choice,
    STATE(15296), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3295), 2,
      sym_comment,
      sym_block_comment,
    STATE(10884), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11856), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108652] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6240), 1,
      anon_sym_COLON,
    ACTIONS(6242), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(7739), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11857), 1,
      sym__non_null_literal,
    STATE(11875), 1,
      sym_template_body,
    STATE(11921), 1,
      sym__type,
    STATE(12958), 1,
      sym__infix_type_choice,
    STATE(15296), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3296), 2,
      sym_comment,
      sym_block_comment,
    STATE(10884), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11856), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108771] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16335), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3297), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108890] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      anon_sym__,
    ACTIONS(6502), 1,
      anon_sym_LBRACK,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(6510), 1,
      sym_operator_identifier,
    STATE(7309), 1,
      sym__simple_type,
    STATE(7420), 1,
      sym__annotated_type,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(7957), 1,
      sym_identifier,
    STATE(10188), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12809), 1,
      sym__type,
    STATE(12935), 1,
      sym__infix_type_choice,
    STATE(16026), 1,
      sym_parameter_types,
    STATE(17689), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3298), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10997), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8879), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109009] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6514), 1,
      anon_sym_COLON,
    ACTIONS(6516), 1,
      anon_sym_LBRACE,
    ACTIONS(6518), 1,
      anon_sym__,
    ACTIONS(6520), 1,
      anon_sym_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(6528), 1,
      sym_operator_identifier,
    ACTIONS(6530), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(6190), 1,
      sym__annotated_type,
    STATE(6307), 1,
      sym_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(8803), 1,
      sym_template_body,
    STATE(8838), 1,
      sym__type,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(9749), 1,
      sym_annotated_type,
    STATE(12971), 1,
      sym__infix_type_choice,
    STATE(15849), 1,
      sym_parameter_types,
    STATE(16956), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3299), 2,
      sym_comment,
      sym_block_comment,
    STATE(10455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11184), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109128] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15325), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3300), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109247] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym__,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6338), 1,
      anon_sym_LPAREN,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(6342), 1,
      sym_operator_identifier,
    STATE(5940), 1,
      sym__simple_type,
    STATE(6275), 1,
      sym__annotated_type,
    STATE(6469), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(9885), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym__type,
    STATE(12736), 1,
      sym__infix_type_choice,
    STATE(16194), 1,
      sym_parameter_types,
    STATE(16974), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3301), 2,
      sym_comment,
      sym_block_comment,
    STATE(10778), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7426), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109366] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym__,
    ACTIONS(4588), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6540), 1,
      sym_operator_identifier,
    STATE(6671), 1,
      sym__annotated_type,
    STATE(6696), 1,
      sym__simple_type,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(7070), 1,
      sym_identifier,
    STATE(9742), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12207), 1,
      sym__type,
    STATE(12559), 1,
      sym__infix_type_choice,
    STATE(15830), 1,
      sym_parameter_types,
    STATE(17186), 1,
      sym_stable_identifier,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3302), 2,
      sym_comment,
      sym_block_comment,
    STATE(10761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7524), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109485] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1606), 1,
      sym_integer_literal,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym_COLON,
    ACTIONS(6480), 1,
      anon_sym_LBRACE,
    ACTIONS(6482), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_LPAREN,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(6492), 1,
      sym_operator_identifier,
    STATE(5919), 1,
      sym__annotated_type,
    STATE(5928), 1,
      sym__simple_type,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6706), 1,
      sym_identifier,
    STATE(9085), 1,
      sym_annotated_type,
    STATE(12997), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(14036), 1,
      sym_template_body,
    STATE(14205), 1,
      sym__type,
    STATE(15943), 1,
      sym_parameter_types,
    STATE(17755), 1,
      sym_stable_identifier,
    ACTIONS(1608), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1610), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1614), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3303), 2,
      sym_comment,
      sym_block_comment,
    STATE(9107), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6851), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109604] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15827), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3304), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109723] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      anon_sym_LBRACK,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7184), 1,
      sym__annotated_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12732), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13173), 1,
      sym__type,
    STATE(16124), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3305), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109842] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6514), 1,
      anon_sym_COLON,
    ACTIONS(6516), 1,
      anon_sym_LBRACE,
    ACTIONS(6518), 1,
      anon_sym__,
    ACTIONS(6520), 1,
      anon_sym_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(6528), 1,
      sym_operator_identifier,
    ACTIONS(6530), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(6190), 1,
      sym__annotated_type,
    STATE(6307), 1,
      sym_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(9749), 1,
      sym_annotated_type,
    STATE(11339), 1,
      sym__type,
    STATE(12971), 1,
      sym__infix_type_choice,
    STATE(15849), 1,
      sym_parameter_types,
    STATE(16956), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3306), 2,
      sym_comment,
      sym_block_comment,
    STATE(10455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11184), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109961] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15691), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3307), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110080] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1606), 1,
      sym_integer_literal,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym_COLON,
    ACTIONS(6480), 1,
      anon_sym_LBRACE,
    ACTIONS(6482), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_LPAREN,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(6492), 1,
      sym_operator_identifier,
    STATE(5919), 1,
      sym__annotated_type,
    STATE(5928), 1,
      sym__simple_type,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6706), 1,
      sym_identifier,
    STATE(9085), 1,
      sym_annotated_type,
    STATE(12997), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13847), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(15943), 1,
      sym_parameter_types,
    STATE(17755), 1,
      sym_stable_identifier,
    ACTIONS(1608), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1610), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1614), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3308), 2,
      sym_comment,
      sym_block_comment,
    STATE(9107), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6851), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110199] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12120), 1,
      sym__type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3309), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110318] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      anon_sym_LBRACK,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7184), 1,
      sym__annotated_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12732), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13161), 1,
      sym__type,
    STATE(16124), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3310), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110437] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18000), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3311), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110556] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      anon_sym_LBRACK,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7184), 1,
      sym__annotated_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12732), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13159), 1,
      sym__type,
    STATE(16124), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3312), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110675] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      anon_sym_LBRACK,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7184), 1,
      sym__annotated_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12732), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13152), 1,
      sym__type,
    STATE(16124), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3313), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110794] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(14642), 1,
      sym__type,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3314), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110913] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12366), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3315), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111032] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1606), 1,
      sym_integer_literal,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym_COLON,
    ACTIONS(6480), 1,
      anon_sym_LBRACE,
    ACTIONS(6482), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_LPAREN,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(6492), 1,
      sym_operator_identifier,
    STATE(5919), 1,
      sym__annotated_type,
    STATE(5928), 1,
      sym__simple_type,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6706), 1,
      sym_identifier,
    STATE(9085), 1,
      sym_annotated_type,
    STATE(12997), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13845), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(15943), 1,
      sym_parameter_types,
    STATE(17755), 1,
      sym_stable_identifier,
    ACTIONS(1608), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1610), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1614), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3316), 2,
      sym_comment,
      sym_block_comment,
    STATE(9107), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6851), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111151] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15752), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3317), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111270] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(6600), 1,
      sym_integer_literal,
    STATE(8721), 1,
      sym__simple_type,
    STATE(9283), 1,
      sym__annotated_type,
    STATE(9355), 1,
      sym_identifier,
    STATE(9432), 1,
      sym__soft_identifier,
    STATE(11149), 1,
      sym_annotated_type,
    STATE(12985), 1,
      sym__infix_type_choice,
    STATE(16286), 1,
      sym_parameter_types,
    STATE(16405), 1,
      sym__non_null_literal,
    STATE(16424), 1,
      sym__type,
    STATE(16550), 1,
      sym_template_body,
    STATE(17785), 1,
      sym_stable_identifier,
    ACTIONS(6602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6606), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3318), 2,
      sym_comment,
      sym_block_comment,
    STATE(11958), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16633), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16404), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9581), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111389] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(6600), 1,
      sym_integer_literal,
    STATE(8721), 1,
      sym__simple_type,
    STATE(9283), 1,
      sym__annotated_type,
    STATE(9355), 1,
      sym_identifier,
    STATE(9432), 1,
      sym__soft_identifier,
    STATE(11149), 1,
      sym_annotated_type,
    STATE(12985), 1,
      sym__infix_type_choice,
    STATE(16286), 1,
      sym_parameter_types,
    STATE(16405), 1,
      sym__non_null_literal,
    STATE(16427), 1,
      sym__type,
    STATE(16550), 1,
      sym_template_body,
    STATE(17785), 1,
      sym_stable_identifier,
    ACTIONS(6602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6606), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3319), 2,
      sym_comment,
      sym_block_comment,
    STATE(11958), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16633), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16404), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9581), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111508] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12356), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3320), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111627] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1606), 1,
      sym_integer_literal,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym_COLON,
    ACTIONS(6480), 1,
      anon_sym_LBRACE,
    ACTIONS(6482), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_LPAREN,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(6492), 1,
      sym_operator_identifier,
    STATE(5919), 1,
      sym__annotated_type,
    STATE(5928), 1,
      sym__simple_type,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6706), 1,
      sym_identifier,
    STATE(9085), 1,
      sym_annotated_type,
    STATE(12997), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13843), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(15943), 1,
      sym_parameter_types,
    STATE(17755), 1,
      sym_stable_identifier,
    ACTIONS(1608), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1610), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1614), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3321), 2,
      sym_comment,
      sym_block_comment,
    STATE(9107), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6851), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111746] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12332), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3322), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111865] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16203), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3323), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111984] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15240), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3324), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112103] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(9359), 1,
      sym__annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12394), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3325), 2,
      sym_comment,
      sym_block_comment,
    STATE(11570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112222] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      anon_sym__,
    ACTIONS(4268), 1,
      anon_sym_LBRACK,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym_operator_identifier,
    STATE(6489), 1,
      sym__simple_type,
    STATE(6692), 1,
      sym__annotated_type,
    STATE(6779), 1,
      sym_identifier,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(9725), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12350), 1,
      sym__type,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12805), 1,
      sym__infix_type_choice,
    STATE(16170), 1,
      sym_parameter_types,
    STATE(17592), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3326), 2,
      sym_comment,
      sym_block_comment,
    STATE(10741), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8203), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112341] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(14734), 1,
      sym__type,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3327), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112460] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym__,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6338), 1,
      anon_sym_LPAREN,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(6342), 1,
      sym_operator_identifier,
    STATE(5940), 1,
      sym__simple_type,
    STATE(6275), 1,
      sym__annotated_type,
    STATE(6469), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(9885), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11537), 1,
      sym__type,
    STATE(12736), 1,
      sym__infix_type_choice,
    STATE(16194), 1,
      sym_parameter_types,
    STATE(16974), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3328), 2,
      sym_comment,
      sym_block_comment,
    STATE(10778), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7426), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112579] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(14645), 1,
      sym__type,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3329), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112698] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17170), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3330), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112817] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(14646), 1,
      sym__type,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3331), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112936] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17168), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3332), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113055] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15603), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3333), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113174] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      anon_sym_LBRACK,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7184), 1,
      sym__annotated_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12732), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13122), 1,
      sym__type,
    STATE(16124), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3334), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113293] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(14648), 1,
      sym__type,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3335), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113412] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      anon_sym__,
    ACTIONS(4268), 1,
      anon_sym_LBRACK,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym_operator_identifier,
    STATE(6489), 1,
      sym__simple_type,
    STATE(6692), 1,
      sym__annotated_type,
    STATE(6779), 1,
      sym_identifier,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(9725), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12418), 1,
      sym__type,
    STATE(12805), 1,
      sym__infix_type_choice,
    STATE(16170), 1,
      sym_parameter_types,
    STATE(17592), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3336), 2,
      sym_comment,
      sym_block_comment,
    STATE(10741), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8203), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113531] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      anon_sym__,
    ACTIONS(4268), 1,
      anon_sym_LBRACK,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym_operator_identifier,
    STATE(6489), 1,
      sym__simple_type,
    STATE(6692), 1,
      sym__annotated_type,
    STATE(6779), 1,
      sym_identifier,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(9725), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12460), 1,
      sym__type,
    STATE(12805), 1,
      sym__infix_type_choice,
    STATE(16170), 1,
      sym_parameter_types,
    STATE(17592), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3337), 2,
      sym_comment,
      sym_block_comment,
    STATE(10741), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8203), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113650] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      anon_sym__,
    ACTIONS(4268), 1,
      anon_sym_LBRACK,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym_operator_identifier,
    STATE(6489), 1,
      sym__simple_type,
    STATE(6692), 1,
      sym__annotated_type,
    STATE(6779), 1,
      sym_identifier,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(9725), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12467), 1,
      sym__type,
    STATE(12805), 1,
      sym__infix_type_choice,
    STATE(16170), 1,
      sym_parameter_types,
    STATE(17592), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3338), 2,
      sym_comment,
      sym_block_comment,
    STATE(10741), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8203), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113769] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4264), 1,
      anon_sym__,
    ACTIONS(4268), 1,
      anon_sym_LBRACK,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym_operator_identifier,
    STATE(6489), 1,
      sym__simple_type,
    STATE(6692), 1,
      sym__annotated_type,
    STATE(6779), 1,
      sym_identifier,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(9725), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12474), 1,
      sym__type,
    STATE(12805), 1,
      sym__infix_type_choice,
    STATE(16170), 1,
      sym_parameter_types,
    STATE(17592), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3339), 2,
      sym_comment,
      sym_block_comment,
    STATE(10741), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8203), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113888] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17124), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3340), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114007] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1606), 1,
      sym_integer_literal,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6478), 1,
      anon_sym_COLON,
    ACTIONS(6480), 1,
      anon_sym_LBRACE,
    ACTIONS(6482), 1,
      anon_sym__,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_LPAREN,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(6492), 1,
      sym_operator_identifier,
    STATE(5919), 1,
      sym__annotated_type,
    STATE(5928), 1,
      sym__simple_type,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6706), 1,
      sym_identifier,
    STATE(9085), 1,
      sym_annotated_type,
    STATE(12997), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13836), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(15943), 1,
      sym_parameter_types,
    STATE(17755), 1,
      sym_stable_identifier,
    ACTIONS(1608), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1610), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1614), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3341), 2,
      sym_comment,
      sym_block_comment,
    STATE(9107), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10385), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6851), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114126] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16192), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3342), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114245] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    ACTIONS(6628), 1,
      anon_sym_LBRACK,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7316), 1,
      sym__annotated_type,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12702), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14743), 1,
      sym__type,
    STATE(16023), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3343), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114364] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(14688), 1,
      sym__type,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3344), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114483] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11537), 1,
      sym__type,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3345), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114602] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym__,
    ACTIONS(6634), 1,
      anon_sym_LBRACK,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(6158), 1,
      sym_identifier,
    STATE(6312), 1,
      sym__annotated_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(9797), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12720), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14484), 1,
      sym__type,
    STATE(16076), 1,
      sym_parameter_types,
    STATE(17525), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3346), 2,
      sym_comment,
      sym_block_comment,
    STATE(10877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114721] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6650), 1,
      anon_sym__,
    ACTIONS(6652), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym_LPAREN,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(6660), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__annotated_type,
    STATE(4590), 1,
      sym__simple_type,
    STATE(4665), 1,
      sym_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(6498), 1,
      sym_annotated_type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12165), 1,
      sym__type,
    STATE(12622), 1,
      sym__infix_type_choice,
    STATE(16075), 1,
      sym_parameter_types,
    STATE(17347), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3347), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4848), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114840] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      anon_sym_COLON,
    ACTIONS(6290), 1,
      anon_sym_LBRACE,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(6304), 1,
      sym_integer_literal,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(5869), 1,
      sym__annotated_type,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(10949), 1,
      sym__non_null_literal,
    STATE(11087), 1,
      sym__type,
    STATE(11132), 1,
      sym_template_body,
    STATE(12687), 1,
      sym__infix_type_choice,
    STATE(15558), 1,
      sym_parameter_types,
    STATE(16996), 1,
      sym_stable_identifier,
    ACTIONS(6306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6310), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3348), 2,
      sym_comment,
      sym_block_comment,
    STATE(10213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10929), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114959] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(6600), 1,
      sym_integer_literal,
    STATE(8721), 1,
      sym__simple_type,
    STATE(9283), 1,
      sym__annotated_type,
    STATE(9355), 1,
      sym_identifier,
    STATE(9432), 1,
      sym__soft_identifier,
    STATE(11149), 1,
      sym_annotated_type,
    STATE(12985), 1,
      sym__infix_type_choice,
    STATE(16286), 1,
      sym_parameter_types,
    STATE(16405), 1,
      sym__non_null_literal,
    STATE(16429), 1,
      sym__type,
    STATE(16550), 1,
      sym_template_body,
    STATE(17785), 1,
      sym_stable_identifier,
    ACTIONS(6602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6606), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3349), 2,
      sym_comment,
      sym_block_comment,
    STATE(11958), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16633), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16404), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9581), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115078] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12412), 1,
      sym__type,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3350), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115197] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      anon_sym_COLON,
    ACTIONS(6290), 1,
      anon_sym_LBRACE,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(6304), 1,
      sym_integer_literal,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(5869), 1,
      sym__annotated_type,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(10949), 1,
      sym__non_null_literal,
    STATE(11084), 1,
      sym__type,
    STATE(11132), 1,
      sym_template_body,
    STATE(12687), 1,
      sym__infix_type_choice,
    STATE(15558), 1,
      sym_parameter_types,
    STATE(16996), 1,
      sym_stable_identifier,
    ACTIONS(6306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6310), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3351), 2,
      sym_comment,
      sym_block_comment,
    STATE(10213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10929), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115316] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15797), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3352), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115435] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15793), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3353), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115554] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6450), 1,
      anon_sym__,
    ACTIONS(6452), 1,
      anon_sym_LBRACK,
    ACTIONS(6456), 1,
      anon_sym_LPAREN,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(6460), 1,
      sym_operator_identifier,
    STATE(6947), 1,
      sym__annotated_type,
    STATE(6995), 1,
      sym__simple_type,
    STATE(7858), 1,
      sym_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(10232), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12774), 1,
      sym__type,
    STATE(12796), 1,
      sym__infix_type_choice,
    STATE(16024), 1,
      sym_parameter_types,
    STATE(17574), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3354), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11142), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115673] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15789), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3355), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115792] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15785), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3356), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115911] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15781), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3357), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116030] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12384), 1,
      sym__type,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3358), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116149] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15776), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3359), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116268] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15777), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3360), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116387] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15773), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3361), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116506] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      anon_sym__,
    ACTIONS(4768), 1,
      anon_sym_LBRACK,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(6662), 1,
      anon_sym_LPAREN,
    ACTIONS(6664), 1,
      sym_operator_identifier,
    STATE(4355), 1,
      sym__simple_type,
    STATE(4411), 1,
      sym__annotated_type,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4508), 1,
      sym_identifier,
    STATE(5298), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11668), 1,
      sym__type,
    STATE(12814), 1,
      sym__infix_type_choice,
    STATE(15939), 1,
      sym_parameter_types,
    STATE(17599), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3362), 2,
      sym_comment,
      sym_block_comment,
    STATE(7003), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4579), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116625] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7366), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12705), 1,
      sym__infix_type_choice,
    STATE(14260), 1,
      sym__type,
    STATE(16228), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3363), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116744] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(6600), 1,
      sym_integer_literal,
    STATE(8721), 1,
      sym__simple_type,
    STATE(9283), 1,
      sym__annotated_type,
    STATE(9355), 1,
      sym_identifier,
    STATE(9432), 1,
      sym__soft_identifier,
    STATE(11149), 1,
      sym_annotated_type,
    STATE(12985), 1,
      sym__infix_type_choice,
    STATE(16286), 1,
      sym_parameter_types,
    STATE(16405), 1,
      sym__non_null_literal,
    STATE(16440), 1,
      sym__type,
    STATE(16550), 1,
      sym_template_body,
    STATE(17785), 1,
      sym_stable_identifier,
    ACTIONS(6602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6606), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3364), 2,
      sym_comment,
      sym_block_comment,
    STATE(11958), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16633), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16404), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9581), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116863] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12383), 1,
      sym__type,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3365), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116982] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15551), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3366), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117101] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14919), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3367), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117220] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4378), 1,
      anon_sym_COLON,
    ACTIONS(4380), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym__,
    ACTIONS(4386), 1,
      anon_sym_LBRACK,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(4398), 1,
      sym_integer_literal,
    ACTIONS(6666), 1,
      anon_sym_LPAREN,
    ACTIONS(6668), 1,
      sym_operator_identifier,
    STATE(4650), 1,
      sym__simple_type,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5030), 1,
      sym_identifier,
    STATE(6972), 1,
      sym_annotated_type,
    STATE(12988), 1,
      sym__infix_type_choice,
    STATE(13053), 1,
      sym__type,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(16296), 1,
      sym_parameter_types,
    STATE(17749), 1,
      sym_stable_identifier,
    ACTIONS(4400), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4402), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3368), 2,
      sym_comment,
      sym_block_comment,
    STATE(8991), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13111), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13320), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5207), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117339] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(9359), 1,
      sym__annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12373), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3369), 2,
      sym_comment,
      sym_block_comment,
    STATE(11570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117458] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12374), 1,
      sym__type,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3370), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117577] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15196), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3371), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117696] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(9359), 1,
      sym__annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12366), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3372), 2,
      sym_comment,
      sym_block_comment,
    STATE(11570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117815] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17771), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3373), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117934] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17769), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3374), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118053] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18079), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3375), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118172] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15769), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3376), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118291] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym__,
    ACTIONS(4588), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6540), 1,
      sym_operator_identifier,
    STATE(6671), 1,
      sym__annotated_type,
    STATE(6696), 1,
      sym__simple_type,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(7070), 1,
      sym_identifier,
    STATE(9742), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12214), 1,
      sym__type,
    STATE(12559), 1,
      sym__infix_type_choice,
    STATE(15830), 1,
      sym_parameter_types,
    STATE(17186), 1,
      sym_stable_identifier,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3377), 2,
      sym_comment,
      sym_block_comment,
    STATE(10761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7524), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118410] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15765), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3378), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118529] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4378), 1,
      anon_sym_COLON,
    ACTIONS(4380), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym__,
    ACTIONS(4386), 1,
      anon_sym_LBRACK,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(4398), 1,
      sym_integer_literal,
    ACTIONS(6666), 1,
      anon_sym_LPAREN,
    ACTIONS(6668), 1,
      sym_operator_identifier,
    STATE(4650), 1,
      sym__simple_type,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5030), 1,
      sym_identifier,
    STATE(6972), 1,
      sym_annotated_type,
    STATE(12988), 1,
      sym__infix_type_choice,
    STATE(13087), 1,
      sym__type,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(16296), 1,
      sym_parameter_types,
    STATE(17749), 1,
      sym_stable_identifier,
    ACTIONS(4400), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4402), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3379), 2,
      sym_comment,
      sym_block_comment,
    STATE(8991), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13111), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13320), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5207), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118648] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17995), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3380), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118767] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(9359), 1,
      sym__annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12356), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3381), 2,
      sym_comment,
      sym_block_comment,
    STATE(11570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118886] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4378), 1,
      anon_sym_COLON,
    ACTIONS(4380), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym__,
    ACTIONS(4386), 1,
      anon_sym_LBRACK,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(4398), 1,
      sym_integer_literal,
    ACTIONS(6666), 1,
      anon_sym_LPAREN,
    ACTIONS(6668), 1,
      sym_operator_identifier,
    STATE(4650), 1,
      sym__simple_type,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5030), 1,
      sym_identifier,
    STATE(6972), 1,
      sym_annotated_type,
    STATE(12988), 1,
      sym__infix_type_choice,
    STATE(13089), 1,
      sym__type,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(16296), 1,
      sym_parameter_types,
    STATE(17749), 1,
      sym_stable_identifier,
    ACTIONS(4400), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4402), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3382), 2,
      sym_comment,
      sym_block_comment,
    STATE(8991), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13111), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13320), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5207), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119005] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16165), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3383), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119124] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(9359), 1,
      sym__annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12332), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3384), 2,
      sym_comment,
      sym_block_comment,
    STATE(11570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119243] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym__,
    ACTIONS(4588), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6540), 1,
      sym_operator_identifier,
    STATE(6671), 1,
      sym__annotated_type,
    STATE(6696), 1,
      sym__simple_type,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(7070), 1,
      sym_identifier,
    STATE(9742), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12227), 1,
      sym__type,
    STATE(12559), 1,
      sym__infix_type_choice,
    STATE(15830), 1,
      sym_parameter_types,
    STATE(17186), 1,
      sym_stable_identifier,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3385), 2,
      sym_comment,
      sym_block_comment,
    STATE(10761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7524), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119362] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15174), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3386), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119481] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15757), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3387), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119600] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6672), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(4602), 1,
      sym__annotated_type,
    STATE(4611), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(6748), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(12314), 1,
      sym__type,
    STATE(12954), 1,
      sym__infix_type_choice,
    STATE(16080), 1,
      sym_parameter_types,
    STATE(17839), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3388), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8531), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119719] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym__,
    ACTIONS(4588), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6540), 1,
      sym_operator_identifier,
    STATE(6671), 1,
      sym__annotated_type,
    STATE(6696), 1,
      sym__simple_type,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(7070), 1,
      sym_identifier,
    STATE(9742), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12228), 1,
      sym__type,
    STATE(12559), 1,
      sym__infix_type_choice,
    STATE(15830), 1,
      sym_parameter_types,
    STATE(17186), 1,
      sym_stable_identifier,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3389), 2,
      sym_comment,
      sym_block_comment,
    STATE(10761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7524), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119838] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4378), 1,
      anon_sym_COLON,
    ACTIONS(4380), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym__,
    ACTIONS(4386), 1,
      anon_sym_LBRACK,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(4398), 1,
      sym_integer_literal,
    ACTIONS(6666), 1,
      anon_sym_LPAREN,
    ACTIONS(6668), 1,
      sym_operator_identifier,
    STATE(4650), 1,
      sym__simple_type,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5030), 1,
      sym_identifier,
    STATE(6972), 1,
      sym_annotated_type,
    STATE(12988), 1,
      sym__infix_type_choice,
    STATE(13091), 1,
      sym__type,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(16296), 1,
      sym_parameter_types,
    STATE(17749), 1,
      sym_stable_identifier,
    ACTIONS(4400), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4402), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3390), 2,
      sym_comment,
      sym_block_comment,
    STATE(8991), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13111), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13320), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5207), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119957] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4584), 1,
      anon_sym__,
    ACTIONS(4588), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(6538), 1,
      anon_sym_LPAREN,
    ACTIONS(6540), 1,
      sym_operator_identifier,
    STATE(6671), 1,
      sym__annotated_type,
    STATE(6696), 1,
      sym__simple_type,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(7070), 1,
      sym_identifier,
    STATE(9742), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12229), 1,
      sym__type,
    STATE(12559), 1,
      sym__infix_type_choice,
    STATE(15830), 1,
      sym_parameter_types,
    STATE(17186), 1,
      sym_stable_identifier,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3391), 2,
      sym_comment,
      sym_block_comment,
    STATE(10761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7524), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120076] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4378), 1,
      anon_sym_COLON,
    ACTIONS(4380), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym__,
    ACTIONS(4386), 1,
      anon_sym_LBRACK,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(4398), 1,
      sym_integer_literal,
    ACTIONS(6666), 1,
      anon_sym_LPAREN,
    ACTIONS(6668), 1,
      sym_operator_identifier,
    STATE(4650), 1,
      sym__simple_type,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5030), 1,
      sym_identifier,
    STATE(6972), 1,
      sym_annotated_type,
    STATE(12988), 1,
      sym__infix_type_choice,
    STATE(13096), 1,
      sym__type,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(16296), 1,
      sym_parameter_types,
    STATE(17749), 1,
      sym_stable_identifier,
    ACTIONS(4400), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4402), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3392), 2,
      sym_comment,
      sym_block_comment,
    STATE(8991), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13111), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13320), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5207), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120195] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12360), 1,
      sym__type,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3393), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120314] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4192), 1,
      anon_sym_LBRACK,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5862), 1,
      sym__annotated_type,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12394), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12816), 1,
      sym__infix_type_choice,
    STATE(15817), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3394), 2,
      sym_comment,
      sym_block_comment,
    STATE(10543), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120433] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16151), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3395), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120552] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16128), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3396), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120671] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15753), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3397), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120790] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15749), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3398), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120909] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      anon_sym__,
    ACTIONS(4768), 1,
      anon_sym_LBRACK,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(6662), 1,
      anon_sym_LPAREN,
    ACTIONS(6664), 1,
      sym_operator_identifier,
    STATE(4355), 1,
      sym__simple_type,
    STATE(4411), 1,
      sym__annotated_type,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4508), 1,
      sym_identifier,
    STATE(5298), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11678), 1,
      sym__type,
    STATE(12814), 1,
      sym__infix_type_choice,
    STATE(15939), 1,
      sym_parameter_types,
    STATE(17599), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3399), 2,
      sym_comment,
      sym_block_comment,
    STATE(7003), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4579), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121028] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      anon_sym__,
    ACTIONS(4768), 1,
      anon_sym_LBRACK,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(6662), 1,
      anon_sym_LPAREN,
    ACTIONS(6664), 1,
      sym_operator_identifier,
    STATE(4355), 1,
      sym__simple_type,
    STATE(4411), 1,
      sym__annotated_type,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4508), 1,
      sym_identifier,
    STATE(5298), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11683), 1,
      sym__type,
    STATE(12814), 1,
      sym__infix_type_choice,
    STATE(15939), 1,
      sym_parameter_types,
    STATE(17599), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3400), 2,
      sym_comment,
      sym_block_comment,
    STATE(7003), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4579), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121147] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      anon_sym__,
    ACTIONS(4768), 1,
      anon_sym_LBRACK,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(6662), 1,
      anon_sym_LPAREN,
    ACTIONS(6664), 1,
      sym_operator_identifier,
    STATE(4355), 1,
      sym__simple_type,
    STATE(4411), 1,
      sym__annotated_type,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4508), 1,
      sym_identifier,
    STATE(5298), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11691), 1,
      sym__type,
    STATE(12814), 1,
      sym__infix_type_choice,
    STATE(15939), 1,
      sym_parameter_types,
    STATE(17599), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3401), 2,
      sym_comment,
      sym_block_comment,
    STATE(7003), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4579), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121266] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15745), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3402), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121385] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6462), 1,
      anon_sym_COLON,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(8677), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11762), 1,
      sym__non_null_literal,
    STATE(11940), 1,
      sym_template_body,
    STATE(12053), 1,
      sym__type,
    STATE(12664), 1,
      sym__infix_type_choice,
    STATE(16283), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3403), 2,
      sym_comment,
      sym_block_comment,
    STATE(11231), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11740), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121504] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15739), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3404), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121623] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4760), 1,
      anon_sym_COLON,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    ACTIONS(4764), 1,
      anon_sym__,
    ACTIONS(4768), 1,
      anon_sym_LBRACK,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(4780), 1,
      sym_integer_literal,
    ACTIONS(6662), 1,
      anon_sym_LPAREN,
    ACTIONS(6664), 1,
      sym_operator_identifier,
    STATE(4355), 1,
      sym__simple_type,
    STATE(4411), 1,
      sym__annotated_type,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4508), 1,
      sym_identifier,
    STATE(5298), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11692), 1,
      sym__type,
    STATE(12814), 1,
      sym__infix_type_choice,
    STATE(15939), 1,
      sym_parameter_types,
    STATE(17599), 1,
      sym_stable_identifier,
    ACTIONS(4782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3405), 2,
      sym_comment,
      sym_block_comment,
    STATE(7003), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11448), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11681), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4579), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121742] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15732), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3406), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121861] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15725), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3407), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121980] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16983), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3408), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122099] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1486), 1,
      sym_integer_literal,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym_COLON,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      anon_sym__,
    ACTIONS(6692), 1,
      anon_sym_LBRACK,
    ACTIONS(6696), 1,
      anon_sym_LPAREN,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(6700), 1,
      sym_operator_identifier,
    STATE(5271), 1,
      sym__annotated_type,
    STATE(5421), 1,
      sym__simple_type,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(6012), 1,
      sym_identifier,
    STATE(8429), 1,
      sym_annotated_type,
    STATE(12874), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(13754), 1,
      sym__type,
    STATE(15937), 1,
      sym_parameter_types,
    STATE(17623), 1,
      sym_stable_identifier,
    ACTIONS(1488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3409), 2,
      sym_comment,
      sym_block_comment,
    STATE(8535), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10241), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122218] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15636), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3410), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122337] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym__,
    ACTIONS(4552), 1,
      anon_sym_LBRACK,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(4564), 1,
      sym_integer_literal,
    ACTIONS(6702), 1,
      anon_sym_LPAREN,
    ACTIONS(6704), 1,
      sym_operator_identifier,
    STATE(4659), 1,
      sym__simple_type,
    STATE(4674), 1,
      sym__annotated_type,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(4913), 1,
      sym_identifier,
    STATE(6877), 1,
      sym_annotated_type,
    STATE(12984), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13255), 1,
      sym__type,
    STATE(16243), 1,
      sym_parameter_types,
    STATE(17791), 1,
      sym_stable_identifier,
    ACTIONS(4566), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4568), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4572), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3411), 2,
      sym_comment,
      sym_block_comment,
    STATE(9565), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13264), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13381), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122456] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15716), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3412), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122575] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym__,
    ACTIONS(6634), 1,
      anon_sym_LBRACK,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(6158), 1,
      sym_identifier,
    STATE(6312), 1,
      sym__annotated_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(9797), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12720), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13173), 1,
      sym__type,
    STATE(16076), 1,
      sym_parameter_types,
    STATE(17525), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3413), 2,
      sym_comment,
      sym_block_comment,
    STATE(10877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122694] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15437), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3414), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122813] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15705), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3415), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122932] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      anon_sym_LBRACK,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7184), 1,
      sym__annotated_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12732), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14516), 1,
      sym__type,
    STATE(16124), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3416), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123051] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15622), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3417), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123170] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    STATE(7314), 1,
      sym__simple_type,
    STATE(7315), 1,
      sym__annotated_type,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8057), 1,
      sym_identifier,
    STATE(10191), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11537), 1,
      sym__type,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15618), 1,
      sym_parameter_types,
    STATE(17645), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3418), 2,
      sym_comment,
      sym_block_comment,
    STATE(11009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123289] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym__,
    ACTIONS(6634), 1,
      anon_sym_LBRACK,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(6158), 1,
      sym_identifier,
    STATE(6312), 1,
      sym__annotated_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(9797), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12720), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13161), 1,
      sym__type,
    STATE(16076), 1,
      sym_parameter_types,
    STATE(17525), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3419), 2,
      sym_comment,
      sym_block_comment,
    STATE(10877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123408] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1902), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6712), 1,
      anon_sym_COLON,
    ACTIONS(6714), 1,
      anon_sym_LBRACE,
    ACTIONS(6716), 1,
      anon_sym__,
    ACTIONS(6718), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LPAREN,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(6726), 1,
      sym_operator_identifier,
    STATE(5882), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__simple_type,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6673), 1,
      sym_identifier,
    STATE(9192), 1,
      sym_annotated_type,
    STATE(12972), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13832), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(15942), 1,
      sym_parameter_types,
    STATE(17737), 1,
      sym_stable_identifier,
    ACTIONS(1904), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1906), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1910), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3420), 2,
      sym_comment,
      sym_block_comment,
    STATE(9137), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9562), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10628), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123527] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3421), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123646] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15883), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3422), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123765] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(8199), 1,
      sym__annotated_type,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym__type,
    STATE(12925), 1,
      sym__infix_type_choice,
    STATE(16020), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3423), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123884] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16132), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3424), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124003] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16699), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3425), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124122] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15694), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3426), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124241] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym__,
    ACTIONS(6634), 1,
      anon_sym_LBRACK,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(6158), 1,
      sym_identifier,
    STATE(6312), 1,
      sym__annotated_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(9797), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12720), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13159), 1,
      sym__type,
    STATE(16076), 1,
      sym_parameter_types,
    STATE(17525), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3427), 2,
      sym_comment,
      sym_block_comment,
    STATE(10877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124360] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16125), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3428), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124479] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16693), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3429), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124598] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym__,
    ACTIONS(6634), 1,
      anon_sym_LBRACK,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(6158), 1,
      sym_identifier,
    STATE(6312), 1,
      sym__annotated_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(9797), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12720), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13152), 1,
      sym__type,
    STATE(16076), 1,
      sym_parameter_types,
    STATE(17525), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3430), 2,
      sym_comment,
      sym_block_comment,
    STATE(10877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124717] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6732), 1,
      anon_sym_COLON,
    ACTIONS(6734), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym__,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LPAREN,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(6746), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      sym_integer_literal,
    STATE(5596), 1,
      sym__simple_type,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym_identifier,
    STATE(6645), 1,
      sym__annotated_type,
    STATE(9802), 1,
      sym_annotated_type,
    STATE(11326), 1,
      sym_template_body,
    STATE(11331), 1,
      sym__non_null_literal,
    STATE(11361), 1,
      sym__type,
    STATE(12908), 1,
      sym__infix_type_choice,
    STATE(15370), 1,
      sym_parameter_types,
    STATE(16816), 1,
      sym_stable_identifier,
    ACTIONS(6750), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6752), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6754), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3431), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11178), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11265), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6860), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124836] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16326), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3432), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124955] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15683), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3433), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125074] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18083), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3434), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125193] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15672), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3435), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125312] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16101), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3436), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125431] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(8199), 1,
      sym__annotated_type,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11574), 1,
      sym__type,
    STATE(12925), 1,
      sym__infix_type_choice,
    STATE(16020), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3437), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125550] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(8199), 1,
      sym__annotated_type,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11571), 1,
      sym__type,
    STATE(12925), 1,
      sym__infix_type_choice,
    STATE(16020), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3438), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125669] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15661), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3439), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125788] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15761), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3440), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125907] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15650), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3441), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126026] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(8199), 1,
      sym__annotated_type,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12925), 1,
      sym__infix_type_choice,
    STATE(16020), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3442), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126145] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym__,
    ACTIONS(6634), 1,
      anon_sym_LBRACK,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(6158), 1,
      sym_identifier,
    STATE(6312), 1,
      sym__annotated_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(9797), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12720), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13122), 1,
      sym__type,
    STATE(16076), 1,
      sym_parameter_types,
    STATE(17525), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3443), 2,
      sym_comment,
      sym_block_comment,
    STATE(10877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126264] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17079), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3444), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126383] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(18191), 1,
      sym__type,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3445), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126502] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17067), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3446), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126621] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15639), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3447), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126740] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6732), 1,
      anon_sym_COLON,
    ACTIONS(6734), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym__,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LPAREN,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(6746), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      sym_integer_literal,
    STATE(5596), 1,
      sym__simple_type,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym_identifier,
    STATE(6645), 1,
      sym__annotated_type,
    STATE(9802), 1,
      sym_annotated_type,
    STATE(11326), 1,
      sym_template_body,
    STATE(11331), 1,
      sym__non_null_literal,
    STATE(11377), 1,
      sym__type,
    STATE(12908), 1,
      sym__infix_type_choice,
    STATE(15370), 1,
      sym_parameter_types,
    STATE(16816), 1,
      sym_stable_identifier,
    ACTIONS(6750), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6752), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6754), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3448), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11178), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11265), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6860), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126859] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15625), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3449), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126978] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6732), 1,
      anon_sym_COLON,
    ACTIONS(6734), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym__,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LPAREN,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(6746), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      sym_integer_literal,
    STATE(5596), 1,
      sym__simple_type,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym_identifier,
    STATE(6645), 1,
      sym__annotated_type,
    STATE(9802), 1,
      sym_annotated_type,
    STATE(11326), 1,
      sym_template_body,
    STATE(11331), 1,
      sym__non_null_literal,
    STATE(11381), 1,
      sym__type,
    STATE(12908), 1,
      sym__infix_type_choice,
    STATE(15370), 1,
      sym_parameter_types,
    STATE(16816), 1,
      sym_stable_identifier,
    ACTIONS(6750), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6752), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6754), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3450), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11178), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11265), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6860), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127097] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15624), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3451), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127216] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6732), 1,
      anon_sym_COLON,
    ACTIONS(6734), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym__,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LPAREN,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(6746), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      sym_integer_literal,
    STATE(5596), 1,
      sym__simple_type,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym_identifier,
    STATE(6645), 1,
      sym__annotated_type,
    STATE(9802), 1,
      sym_annotated_type,
    STATE(11326), 1,
      sym_template_body,
    STATE(11331), 1,
      sym__non_null_literal,
    STATE(11382), 1,
      sym__type,
    STATE(12908), 1,
      sym__infix_type_choice,
    STATE(15370), 1,
      sym_parameter_types,
    STATE(16816), 1,
      sym_stable_identifier,
    ACTIONS(6750), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6752), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6754), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3452), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11178), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11265), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6860), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127335] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15609), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3453), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127454] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15607), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3454), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127573] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6732), 1,
      anon_sym_COLON,
    ACTIONS(6734), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym__,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LPAREN,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(6746), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      sym_integer_literal,
    STATE(5596), 1,
      sym__simple_type,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym_identifier,
    STATE(6645), 1,
      sym__annotated_type,
    STATE(9802), 1,
      sym_annotated_type,
    STATE(11326), 1,
      sym_template_body,
    STATE(11331), 1,
      sym__non_null_literal,
    STATE(11383), 1,
      sym__type,
    STATE(12908), 1,
      sym__infix_type_choice,
    STATE(15370), 1,
      sym_parameter_types,
    STATE(16816), 1,
      sym_stable_identifier,
    ACTIONS(6750), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6752), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6754), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3455), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11178), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11265), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6860), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127692] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18115), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3456), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127811] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym__,
    ACTIONS(6774), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_LPAREN,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(6782), 1,
      sym_operator_identifier,
    STATE(4633), 1,
      sym__simple_type,
    STATE(4800), 1,
      sym__annotated_type,
    STATE(4897), 1,
      sym_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(7288), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12207), 1,
      sym__type,
    STATE(12821), 1,
      sym__infix_type_choice,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(17605), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3457), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127930] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15592), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3458), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128049] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15589), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3459), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128168] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6786), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      anon_sym_LBRACK,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(6796), 1,
      sym_operator_identifier,
    STATE(4503), 1,
      sym__simple_type,
    STATE(4529), 1,
      sym__annotated_type,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4548), 1,
      sym_identifier,
    STATE(5909), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11759), 1,
      sym__type,
    STATE(12949), 1,
      sym__infix_type_choice,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17707), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3460), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4705), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128287] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12492), 1,
      sym__type,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3461), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128406] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15845), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3462), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128525] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15591), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3463), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128644] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15584), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3464), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128763] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15574), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3465), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128882] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15571), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3466), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129001] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15556), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3467), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129120] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15553), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3468), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129239] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(18193), 1,
      sym__type,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3469), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129358] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1902), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6712), 1,
      anon_sym_COLON,
    ACTIONS(6714), 1,
      anon_sym_LBRACE,
    ACTIONS(6716), 1,
      anon_sym__,
    ACTIONS(6718), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LPAREN,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(6726), 1,
      sym_operator_identifier,
    STATE(5882), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__simple_type,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6673), 1,
      sym_identifier,
    STATE(9192), 1,
      sym_annotated_type,
    STATE(12972), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13782), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(15942), 1,
      sym_parameter_types,
    STATE(17737), 1,
      sym_stable_identifier,
    ACTIONS(1904), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1906), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1910), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3470), 2,
      sym_comment,
      sym_block_comment,
    STATE(9137), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9562), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10628), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129477] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12495), 1,
      sym__type,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3471), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129596] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15538), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3472), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129715] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15535), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3473), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129834] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    ACTIONS(6628), 1,
      anon_sym_LBRACK,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7316), 1,
      sym__annotated_type,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12702), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13173), 1,
      sym__type,
    STATE(16023), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3474), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129953] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15726), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3475), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130072] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6800), 1,
      anon_sym__,
    ACTIONS(6802), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_LPAREN,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(6810), 1,
      sym_operator_identifier,
    STATE(7502), 1,
      sym__simple_type,
    STATE(8539), 1,
      sym__annotated_type,
    STATE(8583), 1,
      sym_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12394), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(16074), 1,
      sym_parameter_types,
    STATE(17018), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3476), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9382), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130191] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16099), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3477), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130310] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16091), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3478), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130429] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    ACTIONS(6628), 1,
      anon_sym_LBRACK,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7316), 1,
      sym__annotated_type,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12702), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13161), 1,
      sym__type,
    STATE(16023), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3479), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130548] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15520), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3480), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130667] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15517), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3481), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130786] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18236), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3482), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130905] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18241), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3483), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131024] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18203), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3484), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131143] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    ACTIONS(6628), 1,
      anon_sym_LBRACK,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7316), 1,
      sym__annotated_type,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12702), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13159), 1,
      sym__type,
    STATE(16023), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3485), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131262] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15502), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3486), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131381] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15499), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3487), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131500] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    ACTIONS(6628), 1,
      anon_sym_LBRACK,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7316), 1,
      sym__annotated_type,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12702), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13152), 1,
      sym__type,
    STATE(16023), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3488), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131619] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15484), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3489), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131738] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15481), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3490), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131857] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15825), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3491), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131976] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym__,
    ACTIONS(6774), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_LPAREN,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(6782), 1,
      sym_operator_identifier,
    STATE(4633), 1,
      sym__simple_type,
    STATE(4800), 1,
      sym__annotated_type,
    STATE(4897), 1,
      sym_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(7288), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12214), 1,
      sym__type,
    STATE(12821), 1,
      sym__infix_type_choice,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(17605), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3492), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132095] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym__,
    ACTIONS(6774), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_LPAREN,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(6782), 1,
      sym_operator_identifier,
    STATE(4633), 1,
      sym__simple_type,
    STATE(4800), 1,
      sym__annotated_type,
    STATE(4897), 1,
      sym_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(7288), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12227), 1,
      sym__type,
    STATE(12821), 1,
      sym__infix_type_choice,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(17605), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3493), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132214] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1902), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6712), 1,
      anon_sym_COLON,
    ACTIONS(6714), 1,
      anon_sym_LBRACE,
    ACTIONS(6716), 1,
      anon_sym__,
    ACTIONS(6718), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LPAREN,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(6726), 1,
      sym_operator_identifier,
    STATE(5882), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__simple_type,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6673), 1,
      sym_identifier,
    STATE(9192), 1,
      sym_annotated_type,
    STATE(12972), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13778), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(15942), 1,
      sym_parameter_types,
    STATE(17737), 1,
      sym_stable_identifier,
    ACTIONS(1904), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1906), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1910), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3494), 2,
      sym_comment,
      sym_block_comment,
    STATE(9137), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9562), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10628), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132333] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15466), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3495), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132452] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15463), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3496), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132571] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15448), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3497), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132690] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17681), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3498), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132809] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15445), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3499), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132928] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6514), 1,
      anon_sym_COLON,
    ACTIONS(6516), 1,
      anon_sym_LBRACE,
    ACTIONS(6518), 1,
      anon_sym__,
    ACTIONS(6520), 1,
      anon_sym_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(6528), 1,
      sym_operator_identifier,
    ACTIONS(6530), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(6190), 1,
      sym__annotated_type,
    STATE(6307), 1,
      sym_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(8803), 1,
      sym_template_body,
    STATE(8826), 1,
      sym__type,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(9749), 1,
      sym_annotated_type,
    STATE(12971), 1,
      sym__infix_type_choice,
    STATE(15849), 1,
      sym_parameter_types,
    STATE(16956), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3500), 2,
      sym_comment,
      sym_block_comment,
    STATE(10455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11184), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133047] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1902), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6712), 1,
      anon_sym_COLON,
    ACTIONS(6714), 1,
      anon_sym_LBRACE,
    ACTIONS(6716), 1,
      anon_sym__,
    ACTIONS(6718), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LPAREN,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(6726), 1,
      sym_operator_identifier,
    STATE(5882), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__simple_type,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6673), 1,
      sym_identifier,
    STATE(9192), 1,
      sym_annotated_type,
    STATE(12972), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13777), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(15942), 1,
      sym_parameter_types,
    STATE(17737), 1,
      sym_stable_identifier,
    ACTIONS(1904), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1906), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1910), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3501), 2,
      sym_comment,
      sym_block_comment,
    STATE(9137), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9562), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10628), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133166] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15430), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3502), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133285] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    ACTIONS(6628), 1,
      anon_sym_LBRACK,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7316), 1,
      sym__annotated_type,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12702), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13122), 1,
      sym__type,
    STATE(16023), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3503), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133404] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6814), 1,
      anon_sym__,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6820), 1,
      anon_sym_LPAREN,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(6824), 1,
      sym_operator_identifier,
    STATE(6464), 1,
      sym__annotated_type,
    STATE(6567), 1,
      sym__simple_type,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(7010), 1,
      sym_identifier,
    STATE(9677), 1,
      sym_annotated_type,
    STATE(11870), 1,
      sym_template_body,
    STATE(11943), 1,
      sym__type,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12599), 1,
      sym__infix_type_choice,
    STATE(16022), 1,
      sym_parameter_types,
    STATE(17228), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3504), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10858), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7980), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133523] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1902), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6712), 1,
      anon_sym_COLON,
    ACTIONS(6714), 1,
      anon_sym_LBRACE,
    ACTIONS(6716), 1,
      anon_sym__,
    ACTIONS(6718), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LPAREN,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(6726), 1,
      sym_operator_identifier,
    STATE(5882), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__simple_type,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6673), 1,
      sym_identifier,
    STATE(9192), 1,
      sym_annotated_type,
    STATE(12972), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13772), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(15942), 1,
      sym_parameter_types,
    STATE(17737), 1,
      sym_stable_identifier,
    ACTIONS(1904), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1906), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1910), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3505), 2,
      sym_comment,
      sym_block_comment,
    STATE(9137), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9562), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10628), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133642] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym__,
    ACTIONS(6774), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_LPAREN,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(6782), 1,
      sym_operator_identifier,
    STATE(4633), 1,
      sym__simple_type,
    STATE(4800), 1,
      sym__annotated_type,
    STATE(4897), 1,
      sym_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(7288), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12228), 1,
      sym__type,
    STATE(12821), 1,
      sym__infix_type_choice,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(17605), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3506), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133761] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15427), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3507), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133880] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      anon_sym_LBRACK,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7184), 1,
      sym__annotated_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12732), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14418), 1,
      sym__type,
    STATE(16124), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3508), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133999] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16727), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3509), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134118] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15461), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3510), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134237] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym__,
    ACTIONS(6774), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_LPAREN,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(6782), 1,
      sym_operator_identifier,
    STATE(4633), 1,
      sym__simple_type,
    STATE(4800), 1,
      sym__annotated_type,
    STATE(4897), 1,
      sym_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(7288), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12229), 1,
      sym__type,
    STATE(12821), 1,
      sym__infix_type_choice,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(17605), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3511), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134356] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15543), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3512), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134475] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15412), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3513), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134594] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15409), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3514), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134713] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6514), 1,
      anon_sym_COLON,
    ACTIONS(6516), 1,
      anon_sym_LBRACE,
    ACTIONS(6518), 1,
      anon_sym__,
    ACTIONS(6520), 1,
      anon_sym_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(6528), 1,
      sym_operator_identifier,
    ACTIONS(6530), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(6190), 1,
      sym__annotated_type,
    STATE(6307), 1,
      sym_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(8803), 1,
      sym_template_body,
    STATE(8827), 1,
      sym__type,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(9749), 1,
      sym_annotated_type,
    STATE(12971), 1,
      sym__infix_type_choice,
    STATE(15849), 1,
      sym_parameter_types,
    STATE(16956), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3515), 2,
      sym_comment,
      sym_block_comment,
    STATE(10455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11184), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134832] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4228), 1,
      anon_sym__,
    ACTIONS(4232), 1,
      anon_sym_LBRACK,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(6826), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      sym_operator_identifier,
    STATE(5772), 1,
      sym__simple_type,
    STATE(6073), 1,
      sym__annotated_type,
    STATE(6241), 1,
      sym_identifier,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(9291), 1,
      sym_annotated_type,
    STATE(11870), 1,
      sym_template_body,
    STATE(11890), 1,
      sym__type,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12867), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16715), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3516), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134951] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym__,
    ACTIONS(4552), 1,
      anon_sym_LBRACK,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(4564), 1,
      sym_integer_literal,
    ACTIONS(6702), 1,
      anon_sym_LPAREN,
    ACTIONS(6704), 1,
      sym_operator_identifier,
    STATE(4659), 1,
      sym__simple_type,
    STATE(4674), 1,
      sym__annotated_type,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(4913), 1,
      sym_identifier,
    STATE(6877), 1,
      sym_annotated_type,
    STATE(12984), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13259), 1,
      sym__type,
    STATE(16243), 1,
      sym_parameter_types,
    STATE(17791), 1,
      sym_stable_identifier,
    ACTIONS(4566), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4568), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4572), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3517), 2,
      sym_comment,
      sym_block_comment,
    STATE(9565), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13264), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13381), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135070] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym__,
    ACTIONS(4552), 1,
      anon_sym_LBRACK,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(4564), 1,
      sym_integer_literal,
    ACTIONS(6702), 1,
      anon_sym_LPAREN,
    ACTIONS(6704), 1,
      sym_operator_identifier,
    STATE(4659), 1,
      sym__simple_type,
    STATE(4674), 1,
      sym__annotated_type,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(4913), 1,
      sym_identifier,
    STATE(6877), 1,
      sym_annotated_type,
    STATE(12984), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13269), 1,
      sym__type,
    STATE(16243), 1,
      sym_parameter_types,
    STATE(17791), 1,
      sym_stable_identifier,
    ACTIONS(4566), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4568), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4572), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3518), 2,
      sym_comment,
      sym_block_comment,
    STATE(9565), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13264), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13381), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135189] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6514), 1,
      anon_sym_COLON,
    ACTIONS(6516), 1,
      anon_sym_LBRACE,
    ACTIONS(6518), 1,
      anon_sym__,
    ACTIONS(6520), 1,
      anon_sym_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(6528), 1,
      sym_operator_identifier,
    ACTIONS(6530), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(6190), 1,
      sym__annotated_type,
    STATE(6307), 1,
      sym_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(9749), 1,
      sym_annotated_type,
    STATE(11310), 1,
      sym__type,
    STATE(12971), 1,
      sym__infix_type_choice,
    STATE(15849), 1,
      sym_parameter_types,
    STATE(16956), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3519), 2,
      sym_comment,
      sym_block_comment,
    STATE(10455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11184), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135308] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14378), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3520), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135427] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym__,
    ACTIONS(4552), 1,
      anon_sym_LBRACK,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(4564), 1,
      sym_integer_literal,
    ACTIONS(6702), 1,
      anon_sym_LPAREN,
    ACTIONS(6704), 1,
      sym_operator_identifier,
    STATE(4659), 1,
      sym__simple_type,
    STATE(4674), 1,
      sym__annotated_type,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(4913), 1,
      sym_identifier,
    STATE(6877), 1,
      sym_annotated_type,
    STATE(12984), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13273), 1,
      sym__type,
    STATE(16243), 1,
      sym_parameter_types,
    STATE(17791), 1,
      sym_stable_identifier,
    ACTIONS(4566), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4568), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4572), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3521), 2,
      sym_comment,
      sym_block_comment,
    STATE(9565), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13264), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13381), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135546] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6800), 1,
      anon_sym__,
    ACTIONS(6802), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_LPAREN,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(6810), 1,
      sym_operator_identifier,
    STATE(7502), 1,
      sym__simple_type,
    STATE(8539), 1,
      sym__annotated_type,
    STATE(8583), 1,
      sym_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12373), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(16074), 1,
      sym_parameter_types,
    STATE(17018), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3522), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9382), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135665] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6800), 1,
      anon_sym__,
    ACTIONS(6802), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_LPAREN,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(6810), 1,
      sym_operator_identifier,
    STATE(7502), 1,
      sym__simple_type,
    STATE(8539), 1,
      sym__annotated_type,
    STATE(8583), 1,
      sym_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12366), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(16074), 1,
      sym_parameter_types,
    STATE(17018), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3523), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9382), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135784] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6800), 1,
      anon_sym__,
    ACTIONS(6802), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_LPAREN,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(6810), 1,
      sym_operator_identifier,
    STATE(7502), 1,
      sym__simple_type,
    STATE(8539), 1,
      sym__annotated_type,
    STATE(8583), 1,
      sym_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12356), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(16074), 1,
      sym_parameter_types,
    STATE(17018), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3524), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9382), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135903] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6800), 1,
      anon_sym__,
    ACTIONS(6802), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_LPAREN,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(6810), 1,
      sym_operator_identifier,
    STATE(7502), 1,
      sym__simple_type,
    STATE(8539), 1,
      sym__annotated_type,
    STATE(8583), 1,
      sym_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12332), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(16074), 1,
      sym_parameter_types,
    STATE(17018), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3525), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9382), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136022] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15394), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3526), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136141] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1154), 1,
      sym_integer_literal,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6832), 1,
      anon_sym_COLON,
    ACTIONS(6834), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      anon_sym__,
    ACTIONS(6838), 1,
      anon_sym_LBRACK,
    ACTIONS(6842), 1,
      anon_sym_LPAREN,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4722), 1,
      sym__annotated_type,
    STATE(4781), 1,
      sym__simple_type,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4998), 1,
      sym_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12714), 1,
      sym__type,
    STATE(12812), 1,
      sym_template_body,
    STATE(12967), 1,
      sym__infix_type_choice,
    STATE(15941), 1,
      sym_parameter_types,
    STATE(17725), 1,
      sym_stable_identifier,
    ACTIONS(1156), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1158), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1162), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3527), 2,
      sym_comment,
      sym_block_comment,
    STATE(7068), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9285), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136260] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16327), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3528), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136379] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1254), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6850), 1,
      anon_sym_COLON,
    ACTIONS(6852), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym__,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_LPAREN,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(4846), 1,
      sym__annotated_type,
    STATE(5084), 1,
      sym__simple_type,
    STATE(5359), 1,
      sym_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(7872), 1,
      sym_annotated_type,
    STATE(12951), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13488), 1,
      sym__type,
    STATE(15947), 1,
      sym_parameter_types,
    STATE(17845), 1,
      sym_stable_identifier,
    ACTIONS(1256), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1258), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3529), 2,
      sym_comment,
      sym_block_comment,
    STATE(8010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8155), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9981), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5903), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136498] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6352), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(7912), 1,
      sym__annotated_type,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12992), 1,
      sym__infix_type_choice,
    STATE(14289), 1,
      sym__type,
    STATE(16122), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3530), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136617] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__annotated_type,
    STATE(4601), 1,
      sym__simple_type,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4767), 1,
      sym_identifier,
    STATE(6309), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12350), 1,
      sym__type,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12843), 1,
      sym__infix_type_choice,
    STATE(15940), 1,
      sym_parameter_types,
    STATE(17611), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3531), 2,
      sym_comment,
      sym_block_comment,
    STATE(8536), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5073), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136736] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6814), 1,
      anon_sym__,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6820), 1,
      anon_sym_LPAREN,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(6824), 1,
      sym_operator_identifier,
    STATE(6464), 1,
      sym__annotated_type,
    STATE(6567), 1,
      sym__simple_type,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(7010), 1,
      sym_identifier,
    STATE(9677), 1,
      sym_annotated_type,
    STATE(11870), 1,
      sym_template_body,
    STATE(11890), 1,
      sym__type,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12599), 1,
      sym__infix_type_choice,
    STATE(16022), 1,
      sym_parameter_types,
    STATE(17228), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3532), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10858), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7980), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136855] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym__,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(4753), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym_identifier,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(6805), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym__type,
    STATE(12771), 1,
      sym__infix_type_choice,
    STATE(15928), 1,
      sym_parameter_types,
    STATE(18028), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3533), 2,
      sym_comment,
      sym_block_comment,
    STATE(8930), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136974] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6814), 1,
      anon_sym__,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6820), 1,
      anon_sym_LPAREN,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(6824), 1,
      sym_operator_identifier,
    STATE(6464), 1,
      sym__annotated_type,
    STATE(6567), 1,
      sym__simple_type,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(7010), 1,
      sym_identifier,
    STATE(9677), 1,
      sym_annotated_type,
    STATE(11844), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12599), 1,
      sym__infix_type_choice,
    STATE(16022), 1,
      sym_parameter_types,
    STATE(17228), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3534), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10858), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7980), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137093] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(18446), 1,
      sym__type,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3535), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137212] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15391), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3536), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137331] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14892), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3537), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137450] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16057), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3538), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137569] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15376), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3539), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137688] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16300), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3540), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137807] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15373), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3541), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137926] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16052), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3542), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138045] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12092), 1,
      sym__type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3543), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138164] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(18447), 1,
      sym__type,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3544), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138283] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17917), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3545), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138402] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12089), 1,
      sym__type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3546), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138521] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15358), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3547), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138640] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12394), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3548), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138759] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17904), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3549), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138878] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15355), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3550), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138997] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12349), 1,
      sym__type,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3551), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139116] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15920), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3552), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139235] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16293), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3553), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139354] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym__,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(4753), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym_identifier,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(6805), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11574), 1,
      sym__type,
    STATE(12771), 1,
      sym__infix_type_choice,
    STATE(15928), 1,
      sym_parameter_types,
    STATE(18028), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3554), 2,
      sym_comment,
      sym_block_comment,
    STATE(8930), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139473] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(14639), 1,
      sym__type,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3555), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139592] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1660), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6876), 1,
      anon_sym_COLON,
    ACTIONS(6878), 1,
      anon_sym_LBRACE,
    ACTIONS(6880), 1,
      anon_sym__,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(6890), 1,
      sym_operator_identifier,
    STATE(5544), 1,
      sym__simple_type,
    STATE(6014), 1,
      sym__annotated_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(9114), 1,
      sym_annotated_type,
    STATE(12978), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(14176), 1,
      sym__type,
    STATE(15945), 1,
      sym_parameter_types,
    STATE(17815), 1,
      sym_stable_identifier,
    ACTIONS(1662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3556), 2,
      sym_comment,
      sym_block_comment,
    STATE(9404), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9555), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10433), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139711] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      anon_sym_COLON,
    ACTIONS(6290), 1,
      anon_sym_LBRACE,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(6304), 1,
      sym_integer_literal,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(5869), 1,
      sym__annotated_type,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(10940), 1,
      sym__type,
    STATE(10949), 1,
      sym__non_null_literal,
    STATE(11132), 1,
      sym_template_body,
    STATE(12687), 1,
      sym__infix_type_choice,
    STATE(15558), 1,
      sym_parameter_types,
    STATE(16996), 1,
      sym_stable_identifier,
    ACTIONS(6306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6310), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3557), 2,
      sym_comment,
      sym_block_comment,
    STATE(10213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10929), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139830] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(8199), 1,
      sym__annotated_type,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12925), 1,
      sym__infix_type_choice,
    STATE(14541), 1,
      sym__type,
    STATE(16020), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3558), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139949] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      anon_sym_COLON,
    ACTIONS(6290), 1,
      anon_sym_LBRACE,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(6304), 1,
      sym_integer_literal,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(5869), 1,
      sym__annotated_type,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(10939), 1,
      sym__type,
    STATE(10949), 1,
      sym__non_null_literal,
    STATE(11132), 1,
      sym_template_body,
    STATE(12687), 1,
      sym__infix_type_choice,
    STATE(15558), 1,
      sym_parameter_types,
    STATE(16996), 1,
      sym_stable_identifier,
    ACTIONS(6306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6310), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3559), 2,
      sym_comment,
      sym_block_comment,
    STATE(10213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10929), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140068] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym__,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(4753), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym_identifier,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(6805), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11571), 1,
      sym__type,
    STATE(12771), 1,
      sym__infix_type_choice,
    STATE(15928), 1,
      sym_parameter_types,
    STATE(18028), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3560), 2,
      sym_comment,
      sym_block_comment,
    STATE(8930), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140187] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6366), 1,
      anon_sym__,
    ACTIONS(6368), 1,
      anon_sym_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LPAREN,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(6376), 1,
      sym_operator_identifier,
    STATE(6713), 1,
      sym__simple_type,
    STATE(6876), 1,
      sym__annotated_type,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7299), 1,
      sym_identifier,
    STATE(10224), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12974), 1,
      sym__infix_type_choice,
    STATE(14322), 1,
      sym__type,
    STATE(16073), 1,
      sym_parameter_types,
    STATE(16791), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3561), 2,
      sym_comment,
      sym_block_comment,
    STATE(11062), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140306] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16252), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3562), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140425] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__annotated_type,
    STATE(4601), 1,
      sym__simple_type,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4767), 1,
      sym_identifier,
    STATE(6309), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12418), 1,
      sym__type,
    STATE(12843), 1,
      sym__infix_type_choice,
    STATE(15940), 1,
      sym_parameter_types,
    STATE(17611), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3563), 2,
      sym_comment,
      sym_block_comment,
    STATE(8536), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5073), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140544] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__annotated_type,
    STATE(4601), 1,
      sym__simple_type,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4767), 1,
      sym_identifier,
    STATE(6309), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12460), 1,
      sym__type,
    STATE(12843), 1,
      sym__infix_type_choice,
    STATE(15940), 1,
      sym_parameter_types,
    STATE(17611), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3564), 2,
      sym_comment,
      sym_block_comment,
    STATE(8536), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5073), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140663] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15340), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3565), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140782] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym__,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(4753), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym_identifier,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(6805), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12771), 1,
      sym__infix_type_choice,
    STATE(15928), 1,
      sym_parameter_types,
    STATE(18028), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3566), 2,
      sym_comment,
      sym_block_comment,
    STATE(8930), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140901] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__annotated_type,
    STATE(4601), 1,
      sym__simple_type,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4767), 1,
      sym_identifier,
    STATE(6309), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12467), 1,
      sym__type,
    STATE(12843), 1,
      sym__infix_type_choice,
    STATE(15940), 1,
      sym_parameter_types,
    STATE(17611), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3567), 2,
      sym_comment,
      sym_block_comment,
    STATE(8536), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5073), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141020] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15337), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3568), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141139] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      anon_sym_COLON,
    ACTIONS(6290), 1,
      anon_sym_LBRACE,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(6304), 1,
      sym_integer_literal,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(5869), 1,
      sym__annotated_type,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(10937), 1,
      sym__type,
    STATE(10949), 1,
      sym__non_null_literal,
    STATE(11132), 1,
      sym_template_body,
    STATE(12687), 1,
      sym__infix_type_choice,
    STATE(15558), 1,
      sym_parameter_types,
    STATE(16996), 1,
      sym_stable_identifier,
    ACTIONS(6306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6310), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3569), 2,
      sym_comment,
      sym_block_comment,
    STATE(10213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10929), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141258] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6352), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(7912), 1,
      sym__annotated_type,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12992), 1,
      sym__infix_type_choice,
    STATE(14315), 1,
      sym__type,
    STATE(16122), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3570), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141377] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4260), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    ACTIONS(4280), 1,
      sym_integer_literal,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4634), 1,
      anon_sym_LBRACK,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    STATE(4569), 1,
      sym__annotated_type,
    STATE(4601), 1,
      sym__simple_type,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4767), 1,
      sym_identifier,
    STATE(6309), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12474), 1,
      sym__type,
    STATE(12843), 1,
      sym__infix_type_choice,
    STATE(15940), 1,
      sym_parameter_types,
    STATE(17611), 1,
      sym_stable_identifier,
    ACTIONS(4282), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4284), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4288), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3571), 2,
      sym_comment,
      sym_block_comment,
    STATE(8536), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12385), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12423), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5073), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141496] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6814), 1,
      anon_sym__,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6820), 1,
      anon_sym_LPAREN,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(6824), 1,
      sym_operator_identifier,
    STATE(6464), 1,
      sym__annotated_type,
    STATE(6567), 1,
      sym__simple_type,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(7010), 1,
      sym_identifier,
    STATE(9677), 1,
      sym_annotated_type,
    STATE(11843), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12599), 1,
      sym__infix_type_choice,
    STATE(16022), 1,
      sym_parameter_types,
    STATE(17228), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3572), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10858), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7980), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141615] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6814), 1,
      anon_sym__,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6820), 1,
      anon_sym_LPAREN,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(6824), 1,
      sym_operator_identifier,
    STATE(6464), 1,
      sym__annotated_type,
    STATE(6567), 1,
      sym__simple_type,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(7010), 1,
      sym_identifier,
    STATE(9677), 1,
      sym_annotated_type,
    STATE(11842), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12599), 1,
      sym__infix_type_choice,
    STATE(16022), 1,
      sym_parameter_types,
    STATE(17228), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3573), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10858), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7980), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141734] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    ACTIONS(4546), 1,
      anon_sym_LBRACE,
    ACTIONS(4548), 1,
      anon_sym__,
    ACTIONS(4552), 1,
      anon_sym_LBRACK,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(4564), 1,
      sym_integer_literal,
    ACTIONS(6702), 1,
      anon_sym_LPAREN,
    ACTIONS(6704), 1,
      sym_operator_identifier,
    STATE(4659), 1,
      sym__simple_type,
    STATE(4674), 1,
      sym__annotated_type,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(4913), 1,
      sym_identifier,
    STATE(6877), 1,
      sym_annotated_type,
    STATE(12984), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13277), 1,
      sym__type,
    STATE(16243), 1,
      sym_parameter_types,
    STATE(17791), 1,
      sym_stable_identifier,
    ACTIONS(4566), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4568), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4572), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3574), 2,
      sym_comment,
      sym_block_comment,
    STATE(9565), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13264), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13381), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141853] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3575), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141972] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15319), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3576), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142091] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15304), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3577), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142210] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      anon_sym_COLON,
    ACTIONS(6290), 1,
      anon_sym_LBRACE,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(6304), 1,
      sym_integer_literal,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(5869), 1,
      sym__annotated_type,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(10931), 1,
      sym__type,
    STATE(10949), 1,
      sym__non_null_literal,
    STATE(11132), 1,
      sym_template_body,
    STATE(12687), 1,
      sym__infix_type_choice,
    STATE(15558), 1,
      sym_parameter_types,
    STATE(16996), 1,
      sym_stable_identifier,
    ACTIONS(6306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6310), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3578), 2,
      sym_comment,
      sym_block_comment,
    STATE(10213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10929), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142329] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15301), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3579), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142448] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18476), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3580), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142567] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1154), 1,
      sym_integer_literal,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6832), 1,
      anon_sym_COLON,
    ACTIONS(6834), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      anon_sym__,
    ACTIONS(6838), 1,
      anon_sym_LBRACK,
    ACTIONS(6842), 1,
      anon_sym_LPAREN,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4722), 1,
      sym__annotated_type,
    STATE(4781), 1,
      sym__simple_type,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4998), 1,
      sym_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12607), 1,
      sym__type,
    STATE(12812), 1,
      sym_template_body,
    STATE(12967), 1,
      sym__infix_type_choice,
    STATE(15941), 1,
      sym_parameter_types,
    STATE(17725), 1,
      sym_stable_identifier,
    ACTIONS(1156), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1158), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1162), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3581), 2,
      sym_comment,
      sym_block_comment,
    STATE(7068), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9285), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142686] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15286), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3582), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142805] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1154), 1,
      sym_integer_literal,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6832), 1,
      anon_sym_COLON,
    ACTIONS(6834), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      anon_sym__,
    ACTIONS(6838), 1,
      anon_sym_LBRACK,
    ACTIONS(6842), 1,
      anon_sym_LPAREN,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4722), 1,
      sym__annotated_type,
    STATE(4781), 1,
      sym__simple_type,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4998), 1,
      sym_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12602), 1,
      sym__type,
    STATE(12812), 1,
      sym_template_body,
    STATE(12967), 1,
      sym__infix_type_choice,
    STATE(15941), 1,
      sym_parameter_types,
    STATE(17725), 1,
      sym_stable_identifier,
    ACTIONS(1156), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1158), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1162), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3583), 2,
      sym_comment,
      sym_block_comment,
    STATE(7068), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9285), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142924] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    STATE(7314), 1,
      sym__simple_type,
    STATE(7315), 1,
      sym__annotated_type,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8057), 1,
      sym_identifier,
    STATE(10191), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15618), 1,
      sym_parameter_types,
    STATE(17645), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3584), 2,
      sym_comment,
      sym_block_comment,
    STATE(11009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143043] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [143112] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13173), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3586), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143231] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13161), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3587), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143350] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(8199), 1,
      sym__annotated_type,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11537), 1,
      sym__type,
    STATE(12925), 1,
      sym__infix_type_choice,
    STATE(16020), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3588), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143469] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6732), 1,
      anon_sym_COLON,
    ACTIONS(6734), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym__,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LPAREN,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(6746), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      sym_integer_literal,
    STATE(5596), 1,
      sym__simple_type,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym_identifier,
    STATE(6645), 1,
      sym__annotated_type,
    STATE(9802), 1,
      sym_annotated_type,
    STATE(11306), 1,
      sym__type,
    STATE(11326), 1,
      sym_template_body,
    STATE(11331), 1,
      sym__non_null_literal,
    STATE(12908), 1,
      sym__infix_type_choice,
    STATE(15370), 1,
      sym_parameter_types,
    STATE(16816), 1,
      sym_stable_identifier,
    ACTIONS(6750), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6752), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6754), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3589), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11178), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11265), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6860), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143588] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15283), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3590), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143707] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13159), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3591), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143826] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12204), 1,
      sym__type,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3592), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143945] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [144014] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15844), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3594), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144133] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(17503), 1,
      sym__type,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3595), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144252] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6894), 1,
      anon_sym__,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    ACTIONS(6900), 1,
      anon_sym_LPAREN,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(6904), 1,
      sym_operator_identifier,
    STATE(7401), 1,
      sym__simple_type,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(7817), 1,
      sym_identifier,
    STATE(8175), 1,
      sym__annotated_type,
    STATE(10444), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12394), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12544), 1,
      sym__infix_type_choice,
    STATE(16123), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3596), 2,
      sym_comment,
      sym_block_comment,
    STATE(11175), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8512), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144371] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6732), 1,
      anon_sym_COLON,
    ACTIONS(6734), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym__,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6742), 1,
      anon_sym_LPAREN,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(6746), 1,
      sym_operator_identifier,
    ACTIONS(6748), 1,
      sym_integer_literal,
    STATE(5596), 1,
      sym__simple_type,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym_identifier,
    STATE(6645), 1,
      sym__annotated_type,
    STATE(9802), 1,
      sym_annotated_type,
    STATE(11305), 1,
      sym__type,
    STATE(11326), 1,
      sym_template_body,
    STATE(11331), 1,
      sym__non_null_literal,
    STATE(12908), 1,
      sym__infix_type_choice,
    STATE(15370), 1,
      sym_parameter_types,
    STATE(16816), 1,
      sym_stable_identifier,
    ACTIONS(6750), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6752), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6754), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3597), 2,
      sym_comment,
      sym_block_comment,
    STATE(10391), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11178), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11265), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6860), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144490] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15268), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3598), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144609] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18478), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3599), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144728] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1154), 1,
      sym_integer_literal,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6832), 1,
      anon_sym_COLON,
    ACTIONS(6834), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      anon_sym__,
    ACTIONS(6838), 1,
      anon_sym_LBRACK,
    ACTIONS(6842), 1,
      anon_sym_LPAREN,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4722), 1,
      sym__annotated_type,
    STATE(4781), 1,
      sym__simple_type,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4998), 1,
      sym_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12597), 1,
      sym__type,
    STATE(12812), 1,
      sym_template_body,
    STATE(12967), 1,
      sym__infix_type_choice,
    STATE(15941), 1,
      sym_parameter_types,
    STATE(17725), 1,
      sym_stable_identifier,
    ACTIONS(1156), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1158), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1162), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3600), 2,
      sym_comment,
      sym_block_comment,
    STATE(7068), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9285), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144847] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1154), 1,
      sym_integer_literal,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6832), 1,
      anon_sym_COLON,
    ACTIONS(6834), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      anon_sym__,
    ACTIONS(6838), 1,
      anon_sym_LBRACK,
    ACTIONS(6842), 1,
      anon_sym_LPAREN,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4722), 1,
      sym__annotated_type,
    STATE(4781), 1,
      sym__simple_type,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4998), 1,
      sym_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(12571), 1,
      sym__type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12812), 1,
      sym_template_body,
    STATE(12967), 1,
      sym__infix_type_choice,
    STATE(15941), 1,
      sym_parameter_types,
    STATE(17725), 1,
      sym_stable_identifier,
    ACTIONS(1156), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1158), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1162), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3601), 2,
      sym_comment,
      sym_block_comment,
    STATE(7068), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9285), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144966] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13152), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3602), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145085] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12198), 1,
      sym__type,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3603), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145204] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15367), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3604), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145323] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15265), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3605), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145442] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6594), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(6600), 1,
      sym_integer_literal,
    STATE(8721), 1,
      sym__simple_type,
    STATE(9283), 1,
      sym__annotated_type,
    STATE(9355), 1,
      sym_identifier,
    STATE(9432), 1,
      sym__soft_identifier,
    STATE(11149), 1,
      sym_annotated_type,
    STATE(12985), 1,
      sym__infix_type_choice,
    STATE(16286), 1,
      sym_parameter_types,
    STATE(16357), 1,
      sym__type,
    STATE(16405), 1,
      sym__non_null_literal,
    STATE(16550), 1,
      sym_template_body,
    STATE(17785), 1,
      sym_stable_identifier,
    ACTIONS(6602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6606), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3606), 2,
      sym_comment,
      sym_block_comment,
    STATE(11958), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16633), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16404), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9581), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145561] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15513), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3607), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145680] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15995), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3608), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145799] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(17494), 1,
      sym__type,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3609), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145918] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16028), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3610), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146037] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16013), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3611), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146156] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15250), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3612), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146275] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16980), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3613), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146394] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15850), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3614), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146513] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15501), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3615), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146632] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15232), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3616), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146751] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4480), 1,
      anon_sym_COLON,
    ACTIONS(4482), 1,
      anon_sym_LBRACE,
    ACTIONS(4484), 1,
      anon_sym__,
    ACTIONS(4488), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(4500), 1,
      sym_integer_literal,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      sym_operator_identifier,
    STATE(4603), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4680), 1,
      sym_identifier,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(6330), 1,
      sym_annotated_type,
    STATE(12571), 1,
      sym__type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12812), 1,
      sym_template_body,
    STATE(12858), 1,
      sym__infix_type_choice,
    STATE(16129), 1,
      sym_parameter_types,
    STATE(17617), 1,
      sym_stable_identifier,
    ACTIONS(4502), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4504), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4506), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3617), 2,
      sym_comment,
      sym_block_comment,
    STATE(8761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12722), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12788), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5062), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146870] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4480), 1,
      anon_sym_COLON,
    ACTIONS(4482), 1,
      anon_sym_LBRACE,
    ACTIONS(4484), 1,
      anon_sym__,
    ACTIONS(4488), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(4500), 1,
      sym_integer_literal,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      sym_operator_identifier,
    STATE(4603), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4680), 1,
      sym_identifier,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(6330), 1,
      sym_annotated_type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12597), 1,
      sym__type,
    STATE(12812), 1,
      sym_template_body,
    STATE(12858), 1,
      sym__infix_type_choice,
    STATE(16129), 1,
      sym_parameter_types,
    STATE(17617), 1,
      sym_stable_identifier,
    ACTIONS(4502), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4504), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4506), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3618), 2,
      sym_comment,
      sym_block_comment,
    STATE(8761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12722), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12788), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5062), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146989] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15229), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3619), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147108] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6514), 1,
      anon_sym_COLON,
    ACTIONS(6516), 1,
      anon_sym_LBRACE,
    ACTIONS(6518), 1,
      anon_sym__,
    ACTIONS(6520), 1,
      anon_sym_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(6528), 1,
      sym_operator_identifier,
    ACTIONS(6530), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(6190), 1,
      sym__annotated_type,
    STATE(6307), 1,
      sym_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(8803), 1,
      sym_template_body,
    STATE(8829), 1,
      sym__type,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(9749), 1,
      sym_annotated_type,
    STATE(12971), 1,
      sym__infix_type_choice,
    STATE(15849), 1,
      sym_parameter_types,
    STATE(16956), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3620), 2,
      sym_comment,
      sym_block_comment,
    STATE(10455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11184), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147227] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15216), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3621), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147346] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4480), 1,
      anon_sym_COLON,
    ACTIONS(4482), 1,
      anon_sym_LBRACE,
    ACTIONS(4484), 1,
      anon_sym__,
    ACTIONS(4488), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(4500), 1,
      sym_integer_literal,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      sym_operator_identifier,
    STATE(4603), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4680), 1,
      sym_identifier,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(6330), 1,
      sym_annotated_type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12602), 1,
      sym__type,
    STATE(12812), 1,
      sym_template_body,
    STATE(12858), 1,
      sym__infix_type_choice,
    STATE(16129), 1,
      sym_parameter_types,
    STATE(17617), 1,
      sym_stable_identifier,
    ACTIONS(4502), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4504), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4506), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3622), 2,
      sym_comment,
      sym_block_comment,
    STATE(8761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12722), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12788), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5062), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147465] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4480), 1,
      anon_sym_COLON,
    ACTIONS(4482), 1,
      anon_sym_LBRACE,
    ACTIONS(4484), 1,
      anon_sym__,
    ACTIONS(4488), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(4500), 1,
      sym_integer_literal,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      sym_operator_identifier,
    STATE(4603), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4680), 1,
      sym_identifier,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(6330), 1,
      sym_annotated_type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12607), 1,
      sym__type,
    STATE(12812), 1,
      sym_template_body,
    STATE(12858), 1,
      sym__infix_type_choice,
    STATE(16129), 1,
      sym_parameter_types,
    STATE(17617), 1,
      sym_stable_identifier,
    ACTIONS(4502), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4504), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4506), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3623), 2,
      sym_comment,
      sym_block_comment,
    STATE(8761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12722), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12788), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5062), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147584] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15212), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3624), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147703] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    STATE(7314), 1,
      sym__simple_type,
    STATE(7315), 1,
      sym__annotated_type,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8057), 1,
      sym_identifier,
    STATE(10191), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11571), 1,
      sym__type,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15618), 1,
      sym_parameter_types,
    STATE(17645), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3625), 2,
      sym_comment,
      sym_block_comment,
    STATE(11009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147822] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    STATE(7314), 1,
      sym__simple_type,
    STATE(7315), 1,
      sym__annotated_type,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8057), 1,
      sym_identifier,
    STATE(10191), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11574), 1,
      sym__type,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15618), 1,
      sym_parameter_types,
    STATE(17645), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3626), 2,
      sym_comment,
      sym_block_comment,
    STATE(11009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147941] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    STATE(7314), 1,
      sym__simple_type,
    STATE(7315), 1,
      sym__annotated_type,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8057), 1,
      sym_identifier,
    STATE(10191), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym__type,
    STATE(12561), 1,
      sym__infix_type_choice,
    STATE(15618), 1,
      sym_parameter_types,
    STATE(17645), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3627), 2,
      sym_comment,
      sym_block_comment,
    STATE(11009), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148060] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6912), 1,
      anon_sym__,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_LPAREN,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym_operator_identifier,
    STATE(4677), 1,
      sym__simple_type,
    STATE(4777), 1,
      sym__annotated_type,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5075), 1,
      sym_identifier,
    STATE(7043), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12350), 1,
      sym__type,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12959), 1,
      sym__infix_type_choice,
    STATE(16079), 1,
      sym_parameter_types,
    STATE(17713), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3628), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9482), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148179] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(13122), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3629), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148298] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(13004), 1,
      sym__type,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3630), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148417] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1118), 1,
      sym_integer_literal,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6926), 1,
      anon_sym_COLON,
    ACTIONS(6928), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym__,
    ACTIONS(6932), 1,
      anon_sym_LBRACK,
    ACTIONS(6936), 1,
      anon_sym_LPAREN,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(6940), 1,
      sym_operator_identifier,
    STATE(4874), 1,
      sym__annotated_type,
    STATE(5034), 1,
      sym__simple_type,
    STATE(5422), 1,
      sym_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(7657), 1,
      sym_annotated_type,
    STATE(12983), 1,
      sym__infix_type_choice,
    STATE(13053), 1,
      sym__type,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(15944), 1,
      sym_parameter_types,
    STATE(17803), 1,
      sym_stable_identifier,
    ACTIONS(1120), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1122), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1126), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3631), 2,
      sym_comment,
      sym_block_comment,
    STATE(7807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8019), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9736), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5520), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148536] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(14148), 1,
      sym__type,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3632), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148655] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15197), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3633), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148774] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15194), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3634), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148893] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6288), 1,
      anon_sym_COLON,
    ACTIONS(6290), 1,
      anon_sym_LBRACE,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6294), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(6304), 1,
      sym_integer_literal,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(5869), 1,
      sym__annotated_type,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(10891), 1,
      sym__type,
    STATE(10949), 1,
      sym__non_null_literal,
    STATE(11132), 1,
      sym_template_body,
    STATE(12687), 1,
      sym__infix_type_choice,
    STATE(15558), 1,
      sym_parameter_types,
    STATE(16996), 1,
      sym_stable_identifier,
    ACTIONS(6306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6310), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3635), 2,
      sym_comment,
      sym_block_comment,
    STATE(10213), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11010), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10929), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149012] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6894), 1,
      anon_sym__,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    ACTIONS(6900), 1,
      anon_sym_LPAREN,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(6904), 1,
      sym_operator_identifier,
    STATE(7401), 1,
      sym__simple_type,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(7817), 1,
      sym_identifier,
    STATE(8175), 1,
      sym__annotated_type,
    STATE(10444), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12373), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12544), 1,
      sym__infix_type_choice,
    STATE(16123), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3636), 2,
      sym_comment,
      sym_block_comment,
    STATE(11175), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8512), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149131] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16831), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3637), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149250] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12373), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3638), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149369] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15896), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3639), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149488] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [149557] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6894), 1,
      anon_sym__,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    ACTIONS(6900), 1,
      anon_sym_LPAREN,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(6904), 1,
      sym_operator_identifier,
    STATE(7401), 1,
      sym__simple_type,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(7817), 1,
      sym_identifier,
    STATE(8175), 1,
      sym__annotated_type,
    STATE(10444), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12366), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12544), 1,
      sym__infix_type_choice,
    STATE(16123), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3641), 2,
      sym_comment,
      sym_block_comment,
    STATE(11175), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8512), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149676] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15181), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3642), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149795] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6894), 1,
      anon_sym__,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    ACTIONS(6900), 1,
      anon_sym_LPAREN,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(6904), 1,
      sym_operator_identifier,
    STATE(7401), 1,
      sym__simple_type,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(7817), 1,
      sym_identifier,
    STATE(8175), 1,
      sym__annotated_type,
    STATE(10444), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12356), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12544), 1,
      sym__infix_type_choice,
    STATE(16123), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3643), 2,
      sym_comment,
      sym_block_comment,
    STATE(11175), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8512), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149914] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15178), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3644), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150033] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12366), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3645), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150152] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14895), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3646), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150271] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15280), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3647), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150390] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15297), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3648), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150509] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6894), 1,
      anon_sym__,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    ACTIONS(6900), 1,
      anon_sym_LPAREN,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(6904), 1,
      sym_operator_identifier,
    STATE(7401), 1,
      sym__simple_type,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(7817), 1,
      sym_identifier,
    STATE(8175), 1,
      sym__annotated_type,
    STATE(10444), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12332), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12544), 1,
      sym__infix_type_choice,
    STATE(16123), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3649), 2,
      sym_comment,
      sym_block_comment,
    STATE(11175), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8512), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150628] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6366), 1,
      anon_sym__,
    ACTIONS(6368), 1,
      anon_sym_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_LPAREN,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(6376), 1,
      sym_operator_identifier,
    STATE(6713), 1,
      sym__simple_type,
    STATE(6876), 1,
      sym__annotated_type,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7299), 1,
      sym_identifier,
    STATE(10224), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym__type,
    STATE(12974), 1,
      sym__infix_type_choice,
    STATE(16073), 1,
      sym_parameter_types,
    STATE(16791), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3650), 2,
      sym_comment,
      sym_block_comment,
    STATE(11062), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150747] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14869), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3651), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150866] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4480), 1,
      anon_sym_COLON,
    ACTIONS(4482), 1,
      anon_sym_LBRACE,
    ACTIONS(4484), 1,
      anon_sym__,
    ACTIONS(4488), 1,
      anon_sym_LBRACK,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(4500), 1,
      sym_integer_literal,
    ACTIONS(6906), 1,
      anon_sym_LPAREN,
    ACTIONS(6908), 1,
      sym_operator_identifier,
    STATE(4603), 1,
      sym__simple_type,
    STATE(4612), 1,
      sym__annotated_type,
    STATE(4680), 1,
      sym_identifier,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(6330), 1,
      sym_annotated_type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12714), 1,
      sym__type,
    STATE(12812), 1,
      sym_template_body,
    STATE(12858), 1,
      sym__infix_type_choice,
    STATE(16129), 1,
      sym_parameter_types,
    STATE(17617), 1,
      sym_stable_identifier,
    ACTIONS(4502), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4504), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4506), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3652), 2,
      sym_comment,
      sym_block_comment,
    STATE(8761), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12722), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12788), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5062), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150985] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15342), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3653), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151104] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1326), 1,
      sym_integer_literal,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6944), 1,
      anon_sym_COLON,
    ACTIONS(6946), 1,
      anon_sym_LBRACE,
    ACTIONS(6948), 1,
      anon_sym__,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(6958), 1,
      sym_operator_identifier,
    STATE(5331), 1,
      sym__annotated_type,
    STATE(5336), 1,
      sym__simple_type,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(6093), 1,
      sym_identifier,
    STATE(8614), 1,
      sym_annotated_type,
    STATE(12948), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13925), 1,
      sym__type,
    STATE(15948), 1,
      sym_parameter_types,
    STATE(17863), 1,
      sym_stable_identifier,
    ACTIONS(1328), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1330), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1334), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3654), 2,
      sym_comment,
      sym_block_comment,
    STATE(8652), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8771), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10152), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6430), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151223] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15359), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3655), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151342] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym__,
    ACTIONS(6334), 1,
      anon_sym_LBRACK,
    ACTIONS(6338), 1,
      anon_sym_LPAREN,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(6342), 1,
      sym_operator_identifier,
    STATE(5940), 1,
      sym__simple_type,
    STATE(6275), 1,
      sym__annotated_type,
    STATE(6469), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(9885), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11574), 1,
      sym__type,
    STATE(12736), 1,
      sym__infix_type_choice,
    STATE(16194), 1,
      sym_parameter_types,
    STATE(16974), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3656), 2,
      sym_comment,
      sym_block_comment,
    STATE(10778), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7426), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151461] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12356), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3657), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151580] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15431), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3658), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151699] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16266), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3659), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151818] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15440), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3660), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151937] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym__,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(4753), 1,
      sym__simple_type,
    STATE(4754), 1,
      sym__annotated_type,
    STATE(4955), 1,
      sym_identifier,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(6805), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11537), 1,
      sym__type,
    STATE(12771), 1,
      sym__infix_type_choice,
    STATE(15928), 1,
      sym_parameter_types,
    STATE(18028), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3661), 2,
      sym_comment,
      sym_block_comment,
    STATE(8930), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152056] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12332), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3662), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152175] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14893), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3663), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152294] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15247), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3664), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152413] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15522), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3665), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152532] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(18357), 1,
      sym__type,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3666), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152651] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15587), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3667), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152770] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14891), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3668), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152889] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1486), 1,
      sym_integer_literal,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym_COLON,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      anon_sym__,
    ACTIONS(6692), 1,
      anon_sym_LBRACK,
    ACTIONS(6696), 1,
      anon_sym_LPAREN,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(6700), 1,
      sym_operator_identifier,
    STATE(5271), 1,
      sym__annotated_type,
    STATE(5421), 1,
      sym__simple_type,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(6012), 1,
      sym_identifier,
    STATE(8429), 1,
      sym_annotated_type,
    STATE(12874), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13613), 1,
      sym__type,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(15937), 1,
      sym_parameter_types,
    STATE(17623), 1,
      sym_stable_identifier,
    ACTIONS(1488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3669), 2,
      sym_comment,
      sym_block_comment,
    STATE(8535), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10241), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153008] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15599), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3670), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153127] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1486), 1,
      sym_integer_literal,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym_COLON,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      anon_sym__,
    ACTIONS(6692), 1,
      anon_sym_LBRACK,
    ACTIONS(6696), 1,
      anon_sym_LPAREN,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(6700), 1,
      sym_operator_identifier,
    STATE(5271), 1,
      sym__annotated_type,
    STATE(5421), 1,
      sym__simple_type,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(6012), 1,
      sym_identifier,
    STATE(8429), 1,
      sym_annotated_type,
    STATE(12874), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13609), 1,
      sym__type,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(15937), 1,
      sym_parameter_types,
    STATE(17623), 1,
      sym_stable_identifier,
    ACTIONS(1488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3671), 2,
      sym_comment,
      sym_block_comment,
    STATE(8535), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10241), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153246] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1118), 1,
      sym_integer_literal,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6926), 1,
      anon_sym_COLON,
    ACTIONS(6928), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym__,
    ACTIONS(6932), 1,
      anon_sym_LBRACK,
    ACTIONS(6936), 1,
      anon_sym_LPAREN,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(6940), 1,
      sym_operator_identifier,
    STATE(4874), 1,
      sym__annotated_type,
    STATE(5034), 1,
      sym__simple_type,
    STATE(5422), 1,
      sym_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(7657), 1,
      sym_annotated_type,
    STATE(12983), 1,
      sym__infix_type_choice,
    STATE(13096), 1,
      sym__type,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(15944), 1,
      sym_parameter_types,
    STATE(17803), 1,
      sym_stable_identifier,
    ACTIONS(1120), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1122), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1126), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3672), 2,
      sym_comment,
      sym_block_comment,
    STATE(7807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8019), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9736), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5520), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153365] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(14746), 1,
      sym__type,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3673), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153484] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15678), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3674), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153603] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      anon_sym_COLON,
    ACTIONS(4294), 1,
      anon_sym_LBRACE,
    ACTIONS(4296), 1,
      anon_sym__,
    ACTIONS(4300), 1,
      anon_sym_LBRACK,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(4312), 1,
      sym_integer_literal,
    ACTIONS(6960), 1,
      anon_sym_LPAREN,
    ACTIONS(6962), 1,
      sym_operator_identifier,
    STATE(4849), 1,
      sym__simple_type,
    STATE(4917), 1,
      sym__annotated_type,
    STATE(5236), 1,
      sym_identifier,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(7538), 1,
      sym_annotated_type,
    STATE(12666), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13537), 1,
      sym__type,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(15929), 1,
      sym_parameter_types,
    STATE(17486), 1,
      sym_stable_identifier,
    ACTIONS(4314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3675), 2,
      sym_comment,
      sym_block_comment,
    STATE(9823), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13668), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5973), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153722] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15686), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3676), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153841] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1486), 1,
      sym_integer_literal,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym_COLON,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      anon_sym__,
    ACTIONS(6692), 1,
      anon_sym_LBRACK,
    ACTIONS(6696), 1,
      anon_sym_LPAREN,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(6700), 1,
      sym_operator_identifier,
    STATE(5271), 1,
      sym__annotated_type,
    STATE(5421), 1,
      sym__simple_type,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(6012), 1,
      sym_identifier,
    STATE(8429), 1,
      sym_annotated_type,
    STATE(12874), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13608), 1,
      sym__type,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(15937), 1,
      sym_parameter_types,
    STATE(17623), 1,
      sym_stable_identifier,
    ACTIONS(1488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3677), 2,
      sym_comment,
      sym_block_comment,
    STATE(8535), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10241), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153960] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1118), 1,
      sym_integer_literal,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6926), 1,
      anon_sym_COLON,
    ACTIONS(6928), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym__,
    ACTIONS(6932), 1,
      anon_sym_LBRACK,
    ACTIONS(6936), 1,
      anon_sym_LPAREN,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(6940), 1,
      sym_operator_identifier,
    STATE(4874), 1,
      sym__annotated_type,
    STATE(5034), 1,
      sym__simple_type,
    STATE(5422), 1,
      sym_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(7657), 1,
      sym_annotated_type,
    STATE(12983), 1,
      sym__infix_type_choice,
    STATE(13091), 1,
      sym__type,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(15944), 1,
      sym_parameter_types,
    STATE(17803), 1,
      sym_stable_identifier,
    ACTIONS(1120), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1122), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1126), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3678), 2,
      sym_comment,
      sym_block_comment,
    STATE(7807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8019), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9736), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5520), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154079] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1486), 1,
      sym_integer_literal,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym_COLON,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      anon_sym__,
    ACTIONS(6692), 1,
      anon_sym_LBRACK,
    ACTIONS(6696), 1,
      anon_sym_LPAREN,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(6700), 1,
      sym_operator_identifier,
    STATE(5271), 1,
      sym__annotated_type,
    STATE(5421), 1,
      sym__simple_type,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(6012), 1,
      sym_identifier,
    STATE(8429), 1,
      sym_annotated_type,
    STATE(12874), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13607), 1,
      sym__type,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(15937), 1,
      sym_parameter_types,
    STATE(17623), 1,
      sym_stable_identifier,
    ACTIONS(1488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3679), 2,
      sym_comment,
      sym_block_comment,
    STATE(8535), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10241), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154198] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15821), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3680), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154317] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15730), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3681), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154436] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15510), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3682), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154555] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      anon_sym_COLON,
    ACTIONS(4294), 1,
      anon_sym_LBRACE,
    ACTIONS(4296), 1,
      anon_sym__,
    ACTIONS(4300), 1,
      anon_sym_LBRACK,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(4312), 1,
      sym_integer_literal,
    ACTIONS(6960), 1,
      anon_sym_LPAREN,
    ACTIONS(6962), 1,
      sym_operator_identifier,
    STATE(4849), 1,
      sym__simple_type,
    STATE(4917), 1,
      sym__annotated_type,
    STATE(5236), 1,
      sym_identifier,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(7538), 1,
      sym_annotated_type,
    STATE(12666), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13538), 1,
      sym__type,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(15929), 1,
      sym_parameter_types,
    STATE(17486), 1,
      sym_stable_identifier,
    ACTIONS(4314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3683), 2,
      sym_comment,
      sym_block_comment,
    STATE(9823), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13668), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5973), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154674] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      anon_sym_COLON,
    ACTIONS(4294), 1,
      anon_sym_LBRACE,
    ACTIONS(4296), 1,
      anon_sym__,
    ACTIONS(4300), 1,
      anon_sym_LBRACK,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(4312), 1,
      sym_integer_literal,
    ACTIONS(6960), 1,
      anon_sym_LPAREN,
    ACTIONS(6962), 1,
      sym_operator_identifier,
    STATE(4849), 1,
      sym__simple_type,
    STATE(4917), 1,
      sym__annotated_type,
    STATE(5236), 1,
      sym_identifier,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(7538), 1,
      sym_annotated_type,
    STATE(12666), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13539), 1,
      sym__type,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(15929), 1,
      sym_parameter_types,
    STATE(17486), 1,
      sym_stable_identifier,
    ACTIONS(4314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3684), 2,
      sym_comment,
      sym_block_comment,
    STATE(9823), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13668), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5973), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154793] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym__,
    ACTIONS(4684), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(6964), 1,
      anon_sym_LPAREN,
    ACTIONS(6966), 1,
      sym_operator_identifier,
    STATE(4581), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym__annotated_type,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(4675), 1,
      sym_identifier,
    STATE(6659), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12207), 1,
      sym__type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(15936), 1,
      sym_parameter_types,
    STATE(17309), 1,
      sym_stable_identifier,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3685), 2,
      sym_comment,
      sym_block_comment,
    STATE(8493), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154912] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17669), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3686), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155031] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      anon_sym_COLON,
    ACTIONS(4294), 1,
      anon_sym_LBRACE,
    ACTIONS(4296), 1,
      anon_sym__,
    ACTIONS(4300), 1,
      anon_sym_LBRACK,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(4312), 1,
      sym_integer_literal,
    ACTIONS(6960), 1,
      anon_sym_LPAREN,
    ACTIONS(6962), 1,
      sym_operator_identifier,
    STATE(4849), 1,
      sym__simple_type,
    STATE(4917), 1,
      sym__annotated_type,
    STATE(5236), 1,
      sym_identifier,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(7538), 1,
      sym_annotated_type,
    STATE(12666), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13530), 1,
      sym__type,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(15929), 1,
      sym_parameter_types,
    STATE(17486), 1,
      sym_stable_identifier,
    ACTIONS(4314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3687), 2,
      sym_comment,
      sym_block_comment,
    STATE(9823), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13668), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5973), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155150] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15808), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3688), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155269] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15814), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3689), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155388] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17658), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3690), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155507] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16257), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3691), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155626] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1118), 1,
      sym_integer_literal,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6926), 1,
      anon_sym_COLON,
    ACTIONS(6928), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym__,
    ACTIONS(6932), 1,
      anon_sym_LBRACK,
    ACTIONS(6936), 1,
      anon_sym_LPAREN,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(6940), 1,
      sym_operator_identifier,
    STATE(4874), 1,
      sym__annotated_type,
    STATE(5034), 1,
      sym__simple_type,
    STATE(5422), 1,
      sym_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(7657), 1,
      sym_annotated_type,
    STATE(12983), 1,
      sym__infix_type_choice,
    STATE(13089), 1,
      sym__type,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(15944), 1,
      sym_parameter_types,
    STATE(17803), 1,
      sym_stable_identifier,
    ACTIONS(1120), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1122), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1126), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3692), 2,
      sym_comment,
      sym_block_comment,
    STATE(7807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8019), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9736), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5520), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155745] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15867), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3693), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155864] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(4832), 1,
      anon_sym_LBRACE,
    ACTIONS(4850), 1,
      sym_integer_literal,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4900), 1,
      anon_sym__,
    ACTIONS(4904), 1,
      anon_sym_LBRACK,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(6312), 1,
      anon_sym_LPAREN,
    ACTIONS(6314), 1,
      sym_operator_identifier,
    STATE(5868), 1,
      sym__simple_type,
    STATE(5954), 1,
      sym__annotated_type,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(6488), 1,
      sym_identifier,
    STATE(9006), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11970), 1,
      sym__type,
    STATE(12998), 1,
      sym__infix_type_choice,
    STATE(16334), 1,
      sym_parameter_types,
    STATE(17773), 1,
      sym_stable_identifier,
    ACTIONS(4852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3694), 2,
      sym_comment,
      sym_block_comment,
    STATE(10584), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11812), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12068), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6926), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155983] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15984), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3695), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156102] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15874), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156221] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1902), 1,
      sym_integer_literal,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6712), 1,
      anon_sym_COLON,
    ACTIONS(6714), 1,
      anon_sym_LBRACE,
    ACTIONS(6716), 1,
      anon_sym__,
    ACTIONS(6718), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LPAREN,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(6726), 1,
      sym_operator_identifier,
    STATE(5882), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__simple_type,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6673), 1,
      sym_identifier,
    STATE(9192), 1,
      sym_annotated_type,
    STATE(12972), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13998), 1,
      sym_template_body,
    STATE(14089), 1,
      sym__type,
    STATE(15942), 1,
      sym_parameter_types,
    STATE(17737), 1,
      sym_stable_identifier,
    ACTIONS(1904), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1906), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1910), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3697), 2,
      sym_comment,
      sym_block_comment,
    STATE(9137), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9562), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10628), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156340] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1118), 1,
      sym_integer_literal,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6926), 1,
      anon_sym_COLON,
    ACTIONS(6928), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym__,
    ACTIONS(6932), 1,
      anon_sym_LBRACK,
    ACTIONS(6936), 1,
      anon_sym_LPAREN,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(6940), 1,
      sym_operator_identifier,
    STATE(4874), 1,
      sym__annotated_type,
    STATE(5034), 1,
      sym__simple_type,
    STATE(5422), 1,
      sym_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(7657), 1,
      sym_annotated_type,
    STATE(12983), 1,
      sym__infix_type_choice,
    STATE(13087), 1,
      sym__type,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(15944), 1,
      sym_parameter_types,
    STATE(17803), 1,
      sym_stable_identifier,
    ACTIONS(1120), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1122), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1126), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3698), 2,
      sym_comment,
      sym_block_comment,
    STATE(7807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8019), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9736), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5520), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156459] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12186), 1,
      sym__type,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3699), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156578] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8829), 1,
      sym__type,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3700), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156697] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7366), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12705), 1,
      sym__infix_type_choice,
    STATE(16228), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3701), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156816] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(14746), 1,
      sym__type,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3702), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156935] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(18367), 1,
      sym__type,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3703), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157054] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15910), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3704), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157173] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15922), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3705), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157292] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      anon_sym_COLON,
    ACTIONS(4294), 1,
      anon_sym_LBRACE,
    ACTIONS(4296), 1,
      anon_sym__,
    ACTIONS(4300), 1,
      anon_sym_LBRACK,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(4312), 1,
      sym_integer_literal,
    ACTIONS(6960), 1,
      anon_sym_LPAREN,
    ACTIONS(6962), 1,
      sym_operator_identifier,
    STATE(4849), 1,
      sym__simple_type,
    STATE(4917), 1,
      sym__annotated_type,
    STATE(5236), 1,
      sym_identifier,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(7538), 1,
      sym_annotated_type,
    STATE(12666), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13554), 1,
      sym__type,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(15929), 1,
      sym_parameter_types,
    STATE(17486), 1,
      sym_stable_identifier,
    ACTIONS(4314), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4316), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4320), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3706), 2,
      sym_comment,
      sym_block_comment,
    STATE(9823), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13465), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13668), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5973), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157411] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4410), 1,
      anon_sym_COLON,
    ACTIONS(4412), 1,
      anon_sym_LBRACE,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(4430), 1,
      sym_integer_literal,
    ACTIONS(6968), 1,
      anon_sym_LPAREN,
    ACTIONS(6970), 1,
      sym_operator_identifier,
    STATE(4868), 1,
      sym__annotated_type,
    STATE(5010), 1,
      sym__simple_type,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5364), 1,
      sym_identifier,
    STATE(7751), 1,
      sym_annotated_type,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13587), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15692), 1,
      sym_parameter_types,
    STATE(17102), 1,
      sym_stable_identifier,
    ACTIONS(4432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3707), 2,
      sym_comment,
      sym_block_comment,
    STATE(9672), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13523), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13689), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157530] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12195), 1,
      sym__type,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3708), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157649] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6220), 1,
      anon_sym_COLON,
    ACTIONS(6222), 1,
      anon_sym_LBRACE,
    ACTIONS(6224), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      sym_integer_literal,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(10022), 1,
      sym__annotated_type,
    STATE(12643), 1,
      sym__infix_type_choice,
    STATE(15630), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17027), 1,
      sym_template_body,
    STATE(17372), 1,
      sym__non_null_literal,
    STATE(17377), 1,
      sym__type,
    ACTIONS(6228), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6230), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6232), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3709), 2,
      sym_comment,
      sym_block_comment,
    STATE(12947), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(16703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17023), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17376), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157768] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15959), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3710), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157887] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15963), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3711), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158006] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7202), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym__type,
    STATE(12760), 1,
      sym__infix_type_choice,
    STATE(16159), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3712), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158125] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(9359), 1,
      sym__annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12615), 1,
      sym__infix_type_choice,
    STATE(15656), 1,
      sym__type,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3713), 2,
      sym_comment,
      sym_block_comment,
    STATE(11570), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158244] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6800), 1,
      anon_sym__,
    ACTIONS(6802), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_LPAREN,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(6810), 1,
      sym_operator_identifier,
    STATE(7502), 1,
      sym__simple_type,
    STATE(8539), 1,
      sym__annotated_type,
    STATE(8583), 1,
      sym_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(15066), 1,
      sym__type,
    STATE(16074), 1,
      sym_parameter_types,
    STATE(17018), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3714), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9382), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158363] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16007), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3715), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158482] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6912), 1,
      anon_sym__,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_LPAREN,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym_operator_identifier,
    STATE(4677), 1,
      sym__simple_type,
    STATE(4777), 1,
      sym__annotated_type,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5075), 1,
      sym_identifier,
    STATE(7043), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12809), 1,
      sym__type,
    STATE(12959), 1,
      sym__infix_type_choice,
    STATE(16079), 1,
      sym_parameter_types,
    STATE(17713), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3716), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9482), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158601] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16016), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3717), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158720] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16051), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3718), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158839] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16065), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3719), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158958] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16098), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3720), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159077] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16117), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3721), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159196] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1486), 1,
      sym_integer_literal,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym_COLON,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      anon_sym__,
    ACTIONS(6692), 1,
      anon_sym_LBRACK,
    ACTIONS(6696), 1,
      anon_sym_LPAREN,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(6700), 1,
      sym_operator_identifier,
    STATE(5271), 1,
      sym__annotated_type,
    STATE(5421), 1,
      sym__simple_type,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(6012), 1,
      sym_identifier,
    STATE(8429), 1,
      sym_annotated_type,
    STATE(12874), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13623), 1,
      sym__type,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(15937), 1,
      sym_parameter_types,
    STATE(17623), 1,
      sym_stable_identifier,
    ACTIONS(1488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3722), 2,
      sym_comment,
      sym_block_comment,
    STATE(8535), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10241), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159315] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16158), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3723), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159434] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16166), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3724), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159553] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym_COLON,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6386), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(6396), 1,
      sym_integer_literal,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__annotated_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(10969), 1,
      sym_template_body,
    STATE(10977), 1,
      sym__non_null_literal,
    STATE(11294), 1,
      sym__type,
    STATE(12748), 1,
      sym__infix_type_choice,
    STATE(15983), 1,
      sym_parameter_types,
    STATE(17538), 1,
      sym_stable_identifier,
    ACTIONS(6398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6402), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3725), 2,
      sym_comment,
      sym_block_comment,
    STATE(10123), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10889), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11004), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11063), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159672] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16209), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3726), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159791] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15601), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3727), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159910] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15930), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3728), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160029] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15475), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3729), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160148] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16217), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3730), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160267] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16220), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3731), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160386] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8838), 1,
      sym__type,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3732), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160505] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym_COLON,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6386), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(6396), 1,
      sym_integer_literal,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__annotated_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(10969), 1,
      sym_template_body,
    STATE(10977), 1,
      sym__non_null_literal,
    STATE(11293), 1,
      sym__type,
    STATE(12748), 1,
      sym__infix_type_choice,
    STATE(15983), 1,
      sym_parameter_types,
    STATE(17538), 1,
      sym_stable_identifier,
    ACTIONS(6398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6402), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3733), 2,
      sym_comment,
      sym_block_comment,
    STATE(10123), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10889), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11004), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11063), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160624] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16260), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3734), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160743] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7366), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12705), 1,
      sym__infix_type_choice,
    STATE(14289), 1,
      sym__type,
    STATE(16228), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3735), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160862] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1716), 1,
      sym_integer_literal,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6974), 1,
      anon_sym_COLON,
    ACTIONS(6976), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym__,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(6988), 1,
      sym_operator_identifier,
    STATE(5113), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5703), 1,
      sym_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(8669), 1,
      sym_annotated_type,
    STATE(12658), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13587), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15934), 1,
      sym_parameter_types,
    STATE(17421), 1,
      sym_stable_identifier,
    ACTIONS(1718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3736), 2,
      sym_comment,
      sym_block_comment,
    STATE(8318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8339), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10042), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6154), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160981] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4696), 1,
      anon_sym_COLON,
    ACTIONS(4698), 1,
      anon_sym_LBRACE,
    ACTIONS(4700), 1,
      anon_sym__,
    ACTIONS(4704), 1,
      anon_sym_LBRACK,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(4716), 1,
      sym_integer_literal,
    ACTIONS(6990), 1,
      anon_sym_LPAREN,
    ACTIONS(6992), 1,
      sym_operator_identifier,
    STATE(5211), 1,
      sym__annotated_type,
    STATE(5308), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6060), 1,
      sym_identifier,
    STATE(8375), 1,
      sym_annotated_type,
    STATE(12887), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13772), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(16196), 1,
      sym_parameter_types,
    STATE(17635), 1,
      sym_stable_identifier,
    ACTIONS(4718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3737), 2,
      sym_comment,
      sym_block_comment,
    STATE(10012), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13963), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6513), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161100] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17256), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3738), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161219] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16275), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3739), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161338] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4696), 1,
      anon_sym_COLON,
    ACTIONS(4698), 1,
      anon_sym_LBRACE,
    ACTIONS(4700), 1,
      anon_sym__,
    ACTIONS(4704), 1,
      anon_sym_LBRACK,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(4716), 1,
      sym_integer_literal,
    ACTIONS(6990), 1,
      anon_sym_LPAREN,
    ACTIONS(6992), 1,
      sym_operator_identifier,
    STATE(5211), 1,
      sym__annotated_type,
    STATE(5308), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6060), 1,
      sym_identifier,
    STATE(8375), 1,
      sym_annotated_type,
    STATE(12887), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13777), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(16196), 1,
      sym_parameter_types,
    STATE(17635), 1,
      sym_stable_identifier,
    ACTIONS(4718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3740), 2,
      sym_comment,
      sym_block_comment,
    STATE(10012), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13963), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6513), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161457] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17090), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3741), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161576] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4696), 1,
      anon_sym_COLON,
    ACTIONS(4698), 1,
      anon_sym_LBRACE,
    ACTIONS(4700), 1,
      anon_sym__,
    ACTIONS(4704), 1,
      anon_sym_LBRACK,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(4716), 1,
      sym_integer_literal,
    ACTIONS(6990), 1,
      anon_sym_LPAREN,
    ACTIONS(6992), 1,
      sym_operator_identifier,
    STATE(5211), 1,
      sym__annotated_type,
    STATE(5308), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6060), 1,
      sym_identifier,
    STATE(8375), 1,
      sym_annotated_type,
    STATE(12887), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13778), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(16196), 1,
      sym_parameter_types,
    STATE(17635), 1,
      sym_stable_identifier,
    ACTIONS(4718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3742), 2,
      sym_comment,
      sym_block_comment,
    STATE(10012), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13963), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6513), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161695] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16195), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3743), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161814] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16339), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3744), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161933] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16115), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3745), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162052] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1716), 1,
      sym_integer_literal,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6974), 1,
      anon_sym_COLON,
    ACTIONS(6976), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym__,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(6988), 1,
      sym_operator_identifier,
    STATE(5113), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5703), 1,
      sym_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(8669), 1,
      sym_annotated_type,
    STATE(12658), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13578), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15934), 1,
      sym_parameter_types,
    STATE(17421), 1,
      sym_stable_identifier,
    ACTIONS(1718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3746), 2,
      sym_comment,
      sym_block_comment,
    STATE(8318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8339), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10042), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6154), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162171] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4696), 1,
      anon_sym_COLON,
    ACTIONS(4698), 1,
      anon_sym_LBRACE,
    ACTIONS(4700), 1,
      anon_sym__,
    ACTIONS(4704), 1,
      anon_sym_LBRACK,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(4716), 1,
      sym_integer_literal,
    ACTIONS(6990), 1,
      anon_sym_LPAREN,
    ACTIONS(6992), 1,
      sym_operator_identifier,
    STATE(5211), 1,
      sym__annotated_type,
    STATE(5308), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6060), 1,
      sym_identifier,
    STATE(8375), 1,
      sym_annotated_type,
    STATE(12887), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13782), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(16196), 1,
      sym_parameter_types,
    STATE(17635), 1,
      sym_stable_identifier,
    ACTIONS(4718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3747), 2,
      sym_comment,
      sym_block_comment,
    STATE(10012), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13963), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6513), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162290] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15869), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3748), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162409] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16303), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3749), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162528] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1716), 1,
      sym_integer_literal,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6974), 1,
      anon_sym_COLON,
    ACTIONS(6976), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym__,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(6988), 1,
      sym_operator_identifier,
    STATE(5113), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5703), 1,
      sym_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(8669), 1,
      sym_annotated_type,
    STATE(12658), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13575), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15934), 1,
      sym_parameter_types,
    STATE(17421), 1,
      sym_stable_identifier,
    ACTIONS(1718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3750), 2,
      sym_comment,
      sym_block_comment,
    STATE(8318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8339), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10042), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6154), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162647] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16346), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3751), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162766] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3752), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162885] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16332), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3753), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163004] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1118), 1,
      sym_integer_literal,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6926), 1,
      anon_sym_COLON,
    ACTIONS(6928), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym__,
    ACTIONS(6932), 1,
      anon_sym_LBRACK,
    ACTIONS(6936), 1,
      anon_sym_LPAREN,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(6940), 1,
      sym_operator_identifier,
    STATE(4874), 1,
      sym__annotated_type,
    STATE(5034), 1,
      sym__simple_type,
    STATE(5422), 1,
      sym_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(7657), 1,
      sym_annotated_type,
    STATE(12983), 1,
      sym__infix_type_choice,
    STATE(13157), 1,
      sym__non_null_literal,
    STATE(13322), 1,
      sym_template_body,
    STATE(13454), 1,
      sym__type,
    STATE(15944), 1,
      sym_parameter_types,
    STATE(17803), 1,
      sym_stable_identifier,
    ACTIONS(1120), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1122), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1126), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3754), 2,
      sym_comment,
      sym_block_comment,
    STATE(7807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8019), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9736), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13158), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5520), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163123] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1716), 1,
      sym_integer_literal,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6974), 1,
      anon_sym_COLON,
    ACTIONS(6976), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym__,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(6988), 1,
      sym_operator_identifier,
    STATE(5113), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5703), 1,
      sym_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(8669), 1,
      sym_annotated_type,
    STATE(12658), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13572), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15934), 1,
      sym_parameter_types,
    STATE(17421), 1,
      sym_stable_identifier,
    ACTIONS(1718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3755), 2,
      sym_comment,
      sym_block_comment,
    STATE(8318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8339), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10042), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6154), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163242] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16172), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3756), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163361] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8827), 1,
      sym__type,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163480] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7366), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym__type,
    STATE(12705), 1,
      sym__infix_type_choice,
    STATE(16228), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3758), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163599] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16171), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3759), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163718] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15734), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3760), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163837] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12394), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3761), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163956] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16134), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3762), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164075] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7366), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11574), 1,
      sym__type,
    STATE(12705), 1,
      sym__infix_type_choice,
    STATE(16228), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3763), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164194] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7366), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11571), 1,
      sym__type,
    STATE(12705), 1,
      sym__infix_type_choice,
    STATE(16228), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3764), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164313] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15345), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3765), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164432] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16131), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3766), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164551] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16900), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3767), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164670] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18283), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3768), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164789] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16163), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3769), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164908] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      anon_sym_COLON,
    ACTIONS(4802), 1,
      anon_sym_LBRACE,
    ACTIONS(4820), 1,
      sym_integer_literal,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      anon_sym_LBRACK,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7184), 1,
      sym__annotated_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12732), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14548), 1,
      sym__type,
    STATE(16124), 1,
      sym_parameter_types,
    STATE(17512), 1,
      sym_stable_identifier,
    ACTIONS(4822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3770), 2,
      sym_comment,
      sym_block_comment,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13198), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13278), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165027] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6894), 1,
      anon_sym__,
    ACTIONS(6896), 1,
      anon_sym_LBRACK,
    ACTIONS(6900), 1,
      anon_sym_LPAREN,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(6904), 1,
      sym_operator_identifier,
    STATE(7401), 1,
      sym__simple_type,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(7817), 1,
      sym_identifier,
    STATE(8175), 1,
      sym__annotated_type,
    STATE(10444), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12544), 1,
      sym__infix_type_choice,
    STATE(14774), 1,
      sym__type,
    STATE(16123), 1,
      sym_parameter_types,
    STATE(17039), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3771), 2,
      sym_comment,
      sym_block_comment,
    STATE(11175), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8512), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165146] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16290), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3772), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165265] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4696), 1,
      anon_sym_COLON,
    ACTIONS(4698), 1,
      anon_sym_LBRACE,
    ACTIONS(4700), 1,
      anon_sym__,
    ACTIONS(4704), 1,
      anon_sym_LBRACK,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(4716), 1,
      sym_integer_literal,
    ACTIONS(6990), 1,
      anon_sym_LPAREN,
    ACTIONS(6992), 1,
      sym_operator_identifier,
    STATE(5211), 1,
      sym__annotated_type,
    STATE(5308), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6060), 1,
      sym_identifier,
    STATE(8375), 1,
      sym_annotated_type,
    STATE(12887), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__non_null_literal,
    STATE(13832), 1,
      sym__type,
    STATE(13998), 1,
      sym_template_body,
    STATE(16196), 1,
      sym_parameter_types,
    STATE(17635), 1,
      sym_stable_identifier,
    ACTIONS(4718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3773), 2,
      sym_comment,
      sym_block_comment,
    STATE(10012), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13963), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13744), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6513), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165384] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1716), 1,
      sym_integer_literal,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6974), 1,
      anon_sym_COLON,
    ACTIONS(6976), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym__,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(6988), 1,
      sym_operator_identifier,
    STATE(5113), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5703), 1,
      sym_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(8669), 1,
      sym_annotated_type,
    STATE(12658), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13645), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15934), 1,
      sym_parameter_types,
    STATE(17421), 1,
      sym_stable_identifier,
    ACTIONS(1718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3774), 2,
      sym_comment,
      sym_block_comment,
    STATE(8318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8339), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10042), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6154), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165503] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16072), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3775), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165622] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7202), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11574), 1,
      sym__type,
    STATE(12760), 1,
      sym__infix_type_choice,
    STATE(16159), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3776), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165741] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(6994), 1,
      anon_sym_LPAREN,
    ACTIONS(6996), 1,
      sym_operator_identifier,
    STATE(5127), 1,
      sym__annotated_type,
    STATE(5206), 1,
      sym__simple_type,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(5805), 1,
      sym_identifier,
    STATE(8272), 1,
      sym_annotated_type,
    STATE(12902), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13836), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(16258), 1,
      sym_parameter_types,
    STATE(17647), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3777), 2,
      sym_comment,
      sym_block_comment,
    STATE(10235), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13890), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13999), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6555), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165860] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(6994), 1,
      anon_sym_LPAREN,
    ACTIONS(6996), 1,
      sym_operator_identifier,
    STATE(5127), 1,
      sym__annotated_type,
    STATE(5206), 1,
      sym__simple_type,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(5805), 1,
      sym_identifier,
    STATE(8272), 1,
      sym_annotated_type,
    STATE(12902), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13843), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(16258), 1,
      sym_parameter_types,
    STATE(17647), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3778), 2,
      sym_comment,
      sym_block_comment,
    STATE(10235), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13890), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13999), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6555), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165979] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(6994), 1,
      anon_sym_LPAREN,
    ACTIONS(6996), 1,
      sym_operator_identifier,
    STATE(5127), 1,
      sym__annotated_type,
    STATE(5206), 1,
      sym__simple_type,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(5805), 1,
      sym_identifier,
    STATE(8272), 1,
      sym_annotated_type,
    STATE(12902), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13845), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(16258), 1,
      sym_parameter_types,
    STATE(17647), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3779), 2,
      sym_comment,
      sym_block_comment,
    STATE(10235), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13890), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13999), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6555), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166098] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(6994), 1,
      anon_sym_LPAREN,
    ACTIONS(6996), 1,
      sym_operator_identifier,
    STATE(5127), 1,
      sym__annotated_type,
    STATE(5206), 1,
      sym__simple_type,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(5805), 1,
      sym_identifier,
    STATE(8272), 1,
      sym_annotated_type,
    STATE(12902), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13847), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(16258), 1,
      sym_parameter_types,
    STATE(17647), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3780), 2,
      sym_comment,
      sym_block_comment,
    STATE(10235), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13890), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13999), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6555), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166217] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(18293), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3781), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166336] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6240), 1,
      anon_sym_COLON,
    ACTIONS(6242), 1,
      anon_sym_LBRACE,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6246), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6256), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(7739), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11857), 1,
      sym__non_null_literal,
    STATE(11875), 1,
      sym_template_body,
    STATE(12041), 1,
      sym__type,
    STATE(12958), 1,
      sym__infix_type_choice,
    STATE(15296), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3782), 2,
      sym_comment,
      sym_block_comment,
    STATE(10884), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11856), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166455] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6514), 1,
      anon_sym_COLON,
    ACTIONS(6516), 1,
      anon_sym_LBRACE,
    ACTIONS(6518), 1,
      anon_sym__,
    ACTIONS(6520), 1,
      anon_sym_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(6528), 1,
      sym_operator_identifier,
    ACTIONS(6530), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(6190), 1,
      sym__annotated_type,
    STATE(6307), 1,
      sym_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(8803), 1,
      sym_template_body,
    STATE(8835), 1,
      sym__type,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(9749), 1,
      sym_annotated_type,
    STATE(12971), 1,
      sym__infix_type_choice,
    STATE(15849), 1,
      sym_parameter_types,
    STATE(16956), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3783), 2,
      sym_comment,
      sym_block_comment,
    STATE(10455), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11184), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166574] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6912), 1,
      anon_sym__,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_LPAREN,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym_operator_identifier,
    STATE(4677), 1,
      sym__simple_type,
    STATE(4777), 1,
      sym__annotated_type,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5075), 1,
      sym_identifier,
    STATE(7043), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12474), 1,
      sym__type,
    STATE(12959), 1,
      sym__infix_type_choice,
    STATE(16079), 1,
      sym_parameter_types,
    STATE(17713), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3784), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9482), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166693] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6912), 1,
      anon_sym__,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_LPAREN,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym_operator_identifier,
    STATE(4677), 1,
      sym__simple_type,
    STATE(4777), 1,
      sym__annotated_type,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5075), 1,
      sym_identifier,
    STATE(7043), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12467), 1,
      sym__type,
    STATE(12959), 1,
      sym__infix_type_choice,
    STATE(16079), 1,
      sym_parameter_types,
    STATE(17713), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3785), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9482), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166812] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16040), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3786), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166931] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7202), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11571), 1,
      sym__type,
    STATE(12760), 1,
      sym__infix_type_choice,
    STATE(16159), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3787), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167050] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1660), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6876), 1,
      anon_sym_COLON,
    ACTIONS(6878), 1,
      anon_sym_LBRACE,
    ACTIONS(6880), 1,
      anon_sym__,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(6890), 1,
      sym_operator_identifier,
    STATE(5544), 1,
      sym__simple_type,
    STATE(6014), 1,
      sym__annotated_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(9114), 1,
      sym_annotated_type,
    STATE(12978), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(13957), 1,
      sym__type,
    STATE(15945), 1,
      sym_parameter_types,
    STATE(17815), 1,
      sym_stable_identifier,
    ACTIONS(1662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3788), 2,
      sym_comment,
      sym_block_comment,
    STATE(9404), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9555), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10433), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167169] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16033), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3789), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167288] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6912), 1,
      anon_sym__,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_LPAREN,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym_operator_identifier,
    STATE(4677), 1,
      sym__simple_type,
    STATE(4777), 1,
      sym__annotated_type,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5075), 1,
      sym_identifier,
    STATE(7043), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12460), 1,
      sym__type,
    STATE(12959), 1,
      sym__infix_type_choice,
    STATE(16079), 1,
      sym_parameter_types,
    STATE(17713), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3790), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9482), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167407] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15993), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3791), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167526] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15985), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3792), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167645] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15955), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3793), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167764] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6912), 1,
      anon_sym__,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6918), 1,
      anon_sym_LPAREN,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym_operator_identifier,
    STATE(4677), 1,
      sym__simple_type,
    STATE(4777), 1,
      sym__annotated_type,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5075), 1,
      sym_identifier,
    STATE(7043), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12418), 1,
      sym__type,
    STATE(12959), 1,
      sym__infix_type_choice,
    STATE(16079), 1,
      sym_parameter_types,
    STATE(17713), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3794), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9482), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167883] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15925), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3795), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168002] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16082), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3796), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168121] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15889), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3797), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168240] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6462), 1,
      anon_sym_COLON,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(8677), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11727), 1,
      sym__type,
    STATE(11762), 1,
      sym__non_null_literal,
    STATE(11940), 1,
      sym_template_body,
    STATE(12664), 1,
      sym__infix_type_choice,
    STATE(16283), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3798), 2,
      sym_comment,
      sym_block_comment,
    STATE(11231), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11740), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168359] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6814), 1,
      anon_sym__,
    ACTIONS(6816), 1,
      anon_sym_LBRACK,
    ACTIONS(6820), 1,
      anon_sym_LPAREN,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(6824), 1,
      sym_operator_identifier,
    STATE(6464), 1,
      sym__annotated_type,
    STATE(6567), 1,
      sym__simple_type,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(7010), 1,
      sym_identifier,
    STATE(9677), 1,
      sym_annotated_type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12165), 1,
      sym__type,
    STATE(12599), 1,
      sym__infix_type_choice,
    STATE(16022), 1,
      sym_parameter_types,
    STATE(17228), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3799), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10858), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7980), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168478] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12373), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3800), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168597] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15846), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3801), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168716] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15833), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3802), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168835] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6800), 1,
      anon_sym__,
    ACTIONS(6802), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_LPAREN,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(6810), 1,
      sym_operator_identifier,
    STATE(7502), 1,
      sym__simple_type,
    STATE(8539), 1,
      sym__annotated_type,
    STATE(8583), 1,
      sym_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(10777), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(14918), 1,
      sym__type,
    STATE(16074), 1,
      sym_parameter_types,
    STATE(17018), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3803), 2,
      sym_comment,
      sym_block_comment,
    STATE(11240), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9382), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168954] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12366), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3804), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169073] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym__,
    ACTIONS(4684), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(6964), 1,
      anon_sym_LPAREN,
    ACTIONS(6966), 1,
      sym_operator_identifier,
    STATE(4581), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym__annotated_type,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(4675), 1,
      sym_identifier,
    STATE(6659), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12214), 1,
      sym__type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(15936), 1,
      sym_parameter_types,
    STATE(17309), 1,
      sym_stable_identifier,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3805), 2,
      sym_comment,
      sym_block_comment,
    STATE(8493), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169192] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym_COLON,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6386), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(6396), 1,
      sym_integer_literal,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__annotated_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(10969), 1,
      sym_template_body,
    STATE(10977), 1,
      sym__non_null_literal,
    STATE(11034), 1,
      sym__type,
    STATE(12748), 1,
      sym__infix_type_choice,
    STATE(15983), 1,
      sym_parameter_types,
    STATE(17538), 1,
      sym_stable_identifier,
    ACTIONS(6398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6402), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3806), 2,
      sym_comment,
      sym_block_comment,
    STATE(10123), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10889), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11004), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11063), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169311] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12356), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3807), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169430] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      anon_sym_COLON,
    ACTIONS(6382), 1,
      anon_sym_LBRACE,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6386), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(6396), 1,
      sym_integer_literal,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5755), 1,
      sym__annotated_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(10969), 1,
      sym_template_body,
    STATE(10977), 1,
      sym__non_null_literal,
    STATE(11035), 1,
      sym__type,
    STATE(12748), 1,
      sym__infix_type_choice,
    STATE(15983), 1,
      sym_parameter_types,
    STATE(17538), 1,
      sym_stable_identifier,
    ACTIONS(6398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6402), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3808), 2,
      sym_comment,
      sym_block_comment,
    STATE(10123), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10889), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11004), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11063), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169549] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15794), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3809), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169668] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15762), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3810), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169787] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5126), 1,
      anon_sym_LBRACK,
    ACTIONS(5130), 1,
      anon_sym_LPAREN,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7929), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12332), 1,
      sym__type,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__infix_type_choice,
    STATE(16160), 1,
      sym_parameter_types,
    STATE(17060), 1,
      sym_stable_identifier,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3811), 2,
      sym_comment,
      sym_block_comment,
    STATE(11195), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169906] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15966), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3812), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170025] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(14642), 1,
      sym__type,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3813), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170144] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(14645), 1,
      sym__type,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3814), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170263] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15586), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3815), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170382] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15702), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3816), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170501] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4648), 1,
      anon_sym_COLON,
    ACTIONS(4650), 1,
      anon_sym_LBRACE,
    ACTIONS(4652), 1,
      anon_sym__,
    ACTIONS(4656), 1,
      anon_sym_LBRACK,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(4668), 1,
      sym_integer_literal,
    ACTIONS(6998), 1,
      anon_sym_LPAREN,
    ACTIONS(7000), 1,
      sym_operator_identifier,
    STATE(4809), 1,
      sym__annotated_type,
    STATE(4903), 1,
      sym__simple_type,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5350), 1,
      sym_identifier,
    STATE(8235), 1,
      sym_annotated_type,
    STATE(12639), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13607), 1,
      sym__type,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(15884), 1,
      sym_parameter_types,
    STATE(17385), 1,
      sym_stable_identifier,
    ACTIONS(4670), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4672), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4676), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3817), 2,
      sym_comment,
      sym_block_comment,
    STATE(9945), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13555), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5837), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170620] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(14646), 1,
      sym__type,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3818), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170739] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(14648), 1,
      sym__type,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3819), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170858] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15961), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3820), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170977] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2056), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym__,
    ACTIONS(6774), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      anon_sym_LPAREN,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(6782), 1,
      sym_operator_identifier,
    STATE(4633), 1,
      sym__simple_type,
    STATE(4800), 1,
      sym__annotated_type,
    STATE(4897), 1,
      sym_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(7288), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12774), 1,
      sym__type,
    STATE(12821), 1,
      sym__infix_type_choice,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(17605), 1,
      sym_stable_identifier,
    ACTIONS(2058), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2060), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2064), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3821), 2,
      sym_comment,
      sym_block_comment,
    STATE(6624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171096] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1326), 1,
      sym_integer_literal,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6944), 1,
      anon_sym_COLON,
    ACTIONS(6946), 1,
      anon_sym_LBRACE,
    ACTIONS(6948), 1,
      anon_sym__,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(6958), 1,
      sym_operator_identifier,
    STATE(5331), 1,
      sym__annotated_type,
    STATE(5336), 1,
      sym__simple_type,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(6093), 1,
      sym_identifier,
    STATE(8614), 1,
      sym_annotated_type,
    STATE(12948), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13596), 1,
      sym__type,
    STATE(15948), 1,
      sym_parameter_types,
    STATE(17863), 1,
      sym_stable_identifier,
    ACTIONS(1328), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1330), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1334), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3822), 2,
      sym_comment,
      sym_block_comment,
    STATE(8652), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8771), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10152), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6430), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171215] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4648), 1,
      anon_sym_COLON,
    ACTIONS(4650), 1,
      anon_sym_LBRACE,
    ACTIONS(4652), 1,
      anon_sym__,
    ACTIONS(4656), 1,
      anon_sym_LBRACK,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(4668), 1,
      sym_integer_literal,
    ACTIONS(6998), 1,
      anon_sym_LPAREN,
    ACTIONS(7000), 1,
      sym_operator_identifier,
    STATE(4809), 1,
      sym__annotated_type,
    STATE(4903), 1,
      sym__simple_type,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5350), 1,
      sym_identifier,
    STATE(8235), 1,
      sym_annotated_type,
    STATE(12639), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13608), 1,
      sym__type,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(15884), 1,
      sym_parameter_types,
    STATE(17385), 1,
      sym_stable_identifier,
    ACTIONS(4670), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4672), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4676), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3823), 2,
      sym_comment,
      sym_block_comment,
    STATE(9945), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13555), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5837), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171334] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4648), 1,
      anon_sym_COLON,
    ACTIONS(4650), 1,
      anon_sym_LBRACE,
    ACTIONS(4652), 1,
      anon_sym__,
    ACTIONS(4656), 1,
      anon_sym_LBRACK,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(4668), 1,
      sym_integer_literal,
    ACTIONS(6998), 1,
      anon_sym_LPAREN,
    ACTIONS(7000), 1,
      sym_operator_identifier,
    STATE(4809), 1,
      sym__annotated_type,
    STATE(4903), 1,
      sym__simple_type,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5350), 1,
      sym_identifier,
    STATE(8235), 1,
      sym_annotated_type,
    STATE(12639), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13609), 1,
      sym__type,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(15884), 1,
      sym_parameter_types,
    STATE(17385), 1,
      sym_stable_identifier,
    ACTIONS(4670), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4672), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4676), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3824), 2,
      sym_comment,
      sym_block_comment,
    STATE(9945), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13555), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5837), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171453] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(14688), 1,
      sym__type,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3825), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171572] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4648), 1,
      anon_sym_COLON,
    ACTIONS(4650), 1,
      anon_sym_LBRACE,
    ACTIONS(4652), 1,
      anon_sym__,
    ACTIONS(4656), 1,
      anon_sym_LBRACK,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(4668), 1,
      sym_integer_literal,
    ACTIONS(6998), 1,
      anon_sym_LPAREN,
    ACTIONS(7000), 1,
      sym_operator_identifier,
    STATE(4809), 1,
      sym__annotated_type,
    STATE(4903), 1,
      sym__simple_type,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5350), 1,
      sym_identifier,
    STATE(8235), 1,
      sym_annotated_type,
    STATE(12639), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13613), 1,
      sym__type,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(15884), 1,
      sym_parameter_types,
    STATE(17385), 1,
      sym_stable_identifier,
    ACTIONS(4670), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4672), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4676), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3826), 2,
      sym_comment,
      sym_block_comment,
    STATE(9945), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13555), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5837), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171691] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [171760] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1326), 1,
      sym_integer_literal,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6944), 1,
      anon_sym_COLON,
    ACTIONS(6946), 1,
      anon_sym_LBRACE,
    ACTIONS(6948), 1,
      anon_sym__,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(6958), 1,
      sym_operator_identifier,
    STATE(5331), 1,
      sym__annotated_type,
    STATE(5336), 1,
      sym__simple_type,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(6093), 1,
      sym_identifier,
    STATE(8614), 1,
      sym_annotated_type,
    STATE(12948), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13594), 1,
      sym__type,
    STATE(15948), 1,
      sym_parameter_types,
    STATE(17863), 1,
      sym_stable_identifier,
    ACTIONS(1328), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1330), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1334), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3828), 2,
      sym_comment,
      sym_block_comment,
    STATE(8652), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8771), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10152), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6430), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171879] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1326), 1,
      sym_integer_literal,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6944), 1,
      anon_sym_COLON,
    ACTIONS(6946), 1,
      anon_sym_LBRACE,
    ACTIONS(6948), 1,
      anon_sym__,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(6958), 1,
      sym_operator_identifier,
    STATE(5331), 1,
      sym__annotated_type,
    STATE(5336), 1,
      sym__simple_type,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(6093), 1,
      sym_identifier,
    STATE(8614), 1,
      sym_annotated_type,
    STATE(12948), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13593), 1,
      sym__type,
    STATE(15948), 1,
      sym_parameter_types,
    STATE(17863), 1,
      sym_stable_identifier,
    ACTIONS(1328), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1330), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1334), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3829), 2,
      sym_comment,
      sym_block_comment,
    STATE(8652), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8771), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10152), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6430), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171998] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(4326), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(4344), 1,
      sym_integer_literal,
    ACTIONS(6994), 1,
      anon_sym_LPAREN,
    ACTIONS(6996), 1,
      sym_operator_identifier,
    STATE(5127), 1,
      sym__annotated_type,
    STATE(5206), 1,
      sym__simple_type,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(5805), 1,
      sym_identifier,
    STATE(8272), 1,
      sym_annotated_type,
    STATE(12902), 1,
      sym__infix_type_choice,
    STATE(13788), 1,
      sym__non_null_literal,
    STATE(13892), 1,
      sym__type,
    STATE(14036), 1,
      sym_template_body,
    STATE(16258), 1,
      sym_parameter_types,
    STATE(17647), 1,
      sym_stable_identifier,
    ACTIONS(4346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3830), 2,
      sym_comment,
      sym_block_comment,
    STATE(10235), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13890), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13999), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13786), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6555), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172117] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1326), 1,
      sym_integer_literal,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6944), 1,
      anon_sym_COLON,
    ACTIONS(6946), 1,
      anon_sym_LBRACE,
    ACTIONS(6948), 1,
      anon_sym__,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(6958), 1,
      sym_operator_identifier,
    STATE(5331), 1,
      sym__annotated_type,
    STATE(5336), 1,
      sym__simple_type,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(6093), 1,
      sym_identifier,
    STATE(8614), 1,
      sym_annotated_type,
    STATE(12948), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13591), 1,
      sym__type,
    STATE(15948), 1,
      sym_parameter_types,
    STATE(17863), 1,
      sym_stable_identifier,
    ACTIONS(1328), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1330), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1334), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3831), 2,
      sym_comment,
      sym_block_comment,
    STATE(8652), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8771), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10152), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6430), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172236] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7366), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11537), 1,
      sym__type,
    STATE(12705), 1,
      sym__infix_type_choice,
    STATE(16228), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3832), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172355] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15657), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3833), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172474] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1290), 1,
      sym_integer_literal,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6406), 1,
      anon_sym_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6410), 1,
      anon_sym__,
    ACTIONS(6412), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LPAREN,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(6420), 1,
      sym_operator_identifier,
    STATE(5134), 1,
      sym__annotated_type,
    STATE(5246), 1,
      sym__simple_type,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6079), 1,
      sym_identifier,
    STATE(8354), 1,
      sym_annotated_type,
    STATE(12915), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13530), 1,
      sym__type,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(15938), 1,
      sym_parameter_types,
    STATE(17659), 1,
      sym_stable_identifier,
    ACTIONS(1292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1298), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3834), 2,
      sym_comment,
      sym_block_comment,
    STATE(8470), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172593] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15634), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3835), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172712] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1290), 1,
      sym_integer_literal,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6406), 1,
      anon_sym_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6410), 1,
      anon_sym__,
    ACTIONS(6412), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LPAREN,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(6420), 1,
      sym_operator_identifier,
    STATE(5134), 1,
      sym__annotated_type,
    STATE(5246), 1,
      sym__simple_type,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6079), 1,
      sym_identifier,
    STATE(8354), 1,
      sym_annotated_type,
    STATE(12915), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13539), 1,
      sym__type,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(15938), 1,
      sym_parameter_types,
    STATE(17659), 1,
      sym_stable_identifier,
    ACTIONS(1292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1298), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3836), 2,
      sym_comment,
      sym_block_comment,
    STATE(8470), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172831] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6352), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_LPAREN,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(7912), 1,
      sym__annotated_type,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12992), 1,
      sym__infix_type_choice,
    STATE(14260), 1,
      sym__type,
    STATE(16122), 1,
      sym_parameter_types,
    STATE(16766), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3837), 2,
      sym_comment,
      sym_block_comment,
    STATE(10907), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172950] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4360), 1,
      anon_sym__,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(7002), 1,
      anon_sym_LPAREN,
    ACTIONS(7004), 1,
      sym_operator_identifier,
    STATE(4453), 1,
      sym__simple_type,
    STATE(4455), 1,
      sym__annotated_type,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4583), 1,
      sym_identifier,
    STATE(5495), 1,
      sym_annotated_type,
    STATE(11870), 1,
      sym_template_body,
    STATE(11943), 1,
      sym__type,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12829), 1,
      sym__infix_type_choice,
    STATE(15933), 1,
      sym_parameter_types,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3838), 2,
      sym_comment,
      sym_block_comment,
    STATE(7800), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173069] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1290), 1,
      sym_integer_literal,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6406), 1,
      anon_sym_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6410), 1,
      anon_sym__,
    ACTIONS(6412), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LPAREN,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(6420), 1,
      sym_operator_identifier,
    STATE(5134), 1,
      sym__annotated_type,
    STATE(5246), 1,
      sym__simple_type,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6079), 1,
      sym_identifier,
    STATE(8354), 1,
      sym_annotated_type,
    STATE(12915), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13538), 1,
      sym__type,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(15938), 1,
      sym_parameter_types,
    STATE(17659), 1,
      sym_stable_identifier,
    ACTIONS(1292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1298), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8470), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173188] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1290), 1,
      sym_integer_literal,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6406), 1,
      anon_sym_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6410), 1,
      anon_sym__,
    ACTIONS(6412), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LPAREN,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(6420), 1,
      sym_operator_identifier,
    STATE(5134), 1,
      sym__annotated_type,
    STATE(5246), 1,
      sym__simple_type,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6079), 1,
      sym_identifier,
    STATE(8354), 1,
      sym_annotated_type,
    STATE(12915), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13537), 1,
      sym__type,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(15938), 1,
      sym_parameter_types,
    STATE(17659), 1,
      sym_stable_identifier,
    ACTIONS(1292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1298), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3840), 2,
      sym_comment,
      sym_block_comment,
    STATE(8470), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173307] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15549), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3841), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173426] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11537), 1,
      sym__type,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3842), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173545] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1326), 1,
      sym_integer_literal,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6944), 1,
      anon_sym_COLON,
    ACTIONS(6946), 1,
      anon_sym_LBRACE,
    ACTIONS(6948), 1,
      anon_sym__,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(6958), 1,
      sym_operator_identifier,
    STATE(5331), 1,
      sym__annotated_type,
    STATE(5336), 1,
      sym__simple_type,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(6093), 1,
      sym_identifier,
    STATE(8614), 1,
      sym_annotated_type,
    STATE(12948), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13590), 1,
      sym__type,
    STATE(15948), 1,
      sym_parameter_types,
    STATE(17863), 1,
      sym_stable_identifier,
    ACTIONS(1328), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1330), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1334), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3843), 2,
      sym_comment,
      sym_block_comment,
    STATE(8652), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8771), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10152), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6430), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173664] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15457), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3844), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173783] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15476), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3845), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173902] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym__type,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3846), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174021] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4228), 1,
      anon_sym__,
    ACTIONS(4232), 1,
      anon_sym_LBRACK,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(6826), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      sym_operator_identifier,
    STATE(5772), 1,
      sym__simple_type,
    STATE(6073), 1,
      sym__annotated_type,
    STATE(6241), 1,
      sym_identifier,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(9291), 1,
      sym_annotated_type,
    STATE(11842), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12867), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16715), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3847), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174140] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1660), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6876), 1,
      anon_sym_COLON,
    ACTIONS(6878), 1,
      anon_sym_LBRACE,
    ACTIONS(6880), 1,
      anon_sym__,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(6890), 1,
      sym_operator_identifier,
    STATE(5544), 1,
      sym__simple_type,
    STATE(6014), 1,
      sym__annotated_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(9114), 1,
      sym_annotated_type,
    STATE(12978), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(13934), 1,
      sym__type,
    STATE(15945), 1,
      sym_parameter_types,
    STATE(17815), 1,
      sym_stable_identifier,
    ACTIONS(1662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3848), 2,
      sym_comment,
      sym_block_comment,
    STATE(9404), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9555), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10433), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174259] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15467), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3849), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174378] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4648), 1,
      anon_sym_COLON,
    ACTIONS(4650), 1,
      anon_sym_LBRACE,
    ACTIONS(4652), 1,
      anon_sym__,
    ACTIONS(4656), 1,
      anon_sym_LBRACK,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(4668), 1,
      sym_integer_literal,
    ACTIONS(6998), 1,
      anon_sym_LPAREN,
    ACTIONS(7000), 1,
      sym_operator_identifier,
    STATE(4809), 1,
      sym__annotated_type,
    STATE(4903), 1,
      sym__simple_type,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5350), 1,
      sym_identifier,
    STATE(8235), 1,
      sym_annotated_type,
    STATE(12639), 1,
      sym__infix_type_choice,
    STATE(13449), 1,
      sym_template_body,
    STATE(13623), 1,
      sym__type,
    STATE(13671), 1,
      sym__non_null_literal,
    STATE(15884), 1,
      sym_parameter_types,
    STATE(17385), 1,
      sym_stable_identifier,
    ACTIONS(4670), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4672), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4676), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3850), 2,
      sym_comment,
      sym_block_comment,
    STATE(9945), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13555), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13703), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13672), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5837), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174497] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1290), 1,
      sym_integer_literal,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6406), 1,
      anon_sym_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(6410), 1,
      anon_sym__,
    ACTIONS(6412), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LPAREN,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(6420), 1,
      sym_operator_identifier,
    STATE(5134), 1,
      sym__annotated_type,
    STATE(5246), 1,
      sym__simple_type,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6079), 1,
      sym_identifier,
    STATE(8354), 1,
      sym_annotated_type,
    STATE(12915), 1,
      sym__infix_type_choice,
    STATE(13461), 1,
      sym_template_body,
    STATE(13554), 1,
      sym__type,
    STATE(13597), 1,
      sym__non_null_literal,
    STATE(15938), 1,
      sym_parameter_types,
    STATE(17659), 1,
      sym_stable_identifier,
    ACTIONS(1292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1298), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3851), 2,
      sym_comment,
      sym_block_comment,
    STATE(8470), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13598), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174616] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15415), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3852), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174735] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15383), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3853), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174854] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1660), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6876), 1,
      anon_sym_COLON,
    ACTIONS(6878), 1,
      anon_sym_LBRACE,
    ACTIONS(6880), 1,
      anon_sym__,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(6890), 1,
      sym_operator_identifier,
    STATE(5544), 1,
      sym__simple_type,
    STATE(6014), 1,
      sym__annotated_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(9114), 1,
      sym_annotated_type,
    STATE(12978), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(13943), 1,
      sym__type,
    STATE(15945), 1,
      sym_parameter_types,
    STATE(17815), 1,
      sym_stable_identifier,
    ACTIONS(1662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3854), 2,
      sym_comment,
      sym_block_comment,
    STATE(9404), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9555), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10433), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174973] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [175042] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1660), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6876), 1,
      anon_sym_COLON,
    ACTIONS(6878), 1,
      anon_sym_LBRACE,
    ACTIONS(6880), 1,
      anon_sym__,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(6890), 1,
      sym_operator_identifier,
    STATE(5544), 1,
      sym__simple_type,
    STATE(6014), 1,
      sym__annotated_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(9114), 1,
      sym_annotated_type,
    STATE(12978), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(13946), 1,
      sym__type,
    STATE(15945), 1,
      sym_parameter_types,
    STATE(17815), 1,
      sym_stable_identifier,
    ACTIONS(1662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3856), 2,
      sym_comment,
      sym_block_comment,
    STATE(9404), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9555), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10433), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175161] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1660), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6876), 1,
      anon_sym_COLON,
    ACTIONS(6878), 1,
      anon_sym_LBRACE,
    ACTIONS(6880), 1,
      anon_sym__,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(6890), 1,
      sym_operator_identifier,
    STATE(5544), 1,
      sym__simple_type,
    STATE(6014), 1,
      sym__annotated_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(9114), 1,
      sym_annotated_type,
    STATE(12978), 1,
      sym__infix_type_choice,
    STATE(13841), 1,
      sym_template_body,
    STATE(13896), 1,
      sym__non_null_literal,
    STATE(13950), 1,
      sym__type,
    STATE(15945), 1,
      sym_parameter_types,
    STATE(17815), 1,
      sym_stable_identifier,
    ACTIONS(1662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3857), 2,
      sym_comment,
      sym_block_comment,
    STATE(9404), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9555), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10433), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13895), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175280] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11574), 1,
      sym__type,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3858), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175399] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    STATE(5712), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6470), 1,
      sym_identifier,
    STATE(9546), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11678), 1,
      sym__type,
    STATE(12922), 1,
      sym__infix_type_choice,
    STATE(16025), 1,
      sym_parameter_types,
    STATE(17677), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3859), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10377), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6918), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175518] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15309), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3860), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175637] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4510), 1,
      anon_sym_COLON,
    ACTIONS(4512), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym__,
    ACTIONS(4518), 1,
      anon_sym_LBRACK,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(4530), 1,
      sym_integer_literal,
    ACTIONS(7006), 1,
      anon_sym_LPAREN,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(4971), 1,
      sym__simple_type,
    STATE(5035), 1,
      sym__annotated_type,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(5439), 1,
      sym_identifier,
    STATE(7900), 1,
      sym_annotated_type,
    STATE(12950), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13596), 1,
      sym__type,
    STATE(16202), 1,
      sym_parameter_types,
    STATE(17857), 1,
      sym_stable_identifier,
    ACTIONS(4532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3861), 2,
      sym_comment,
      sym_block_comment,
    STATE(9964), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175756] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    STATE(5712), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6470), 1,
      sym_identifier,
    STATE(9546), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11683), 1,
      sym__type,
    STATE(12922), 1,
      sym__infix_type_choice,
    STATE(16025), 1,
      sym_parameter_types,
    STATE(17677), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3862), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10377), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6918), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175875] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(14734), 1,
      sym__type,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3863), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175994] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym__,
    ACTIONS(4684), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(6964), 1,
      anon_sym_LPAREN,
    ACTIONS(6966), 1,
      sym_operator_identifier,
    STATE(4581), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym__annotated_type,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(4675), 1,
      sym_identifier,
    STATE(6659), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12227), 1,
      sym__type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(15936), 1,
      sym_parameter_types,
    STATE(17309), 1,
      sym_stable_identifier,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3864), 2,
      sym_comment,
      sym_block_comment,
    STATE(8493), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176113] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4510), 1,
      anon_sym_COLON,
    ACTIONS(4512), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym__,
    ACTIONS(4518), 1,
      anon_sym_LBRACK,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(4530), 1,
      sym_integer_literal,
    ACTIONS(7006), 1,
      anon_sym_LPAREN,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(4971), 1,
      sym__simple_type,
    STATE(5035), 1,
      sym__annotated_type,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(5439), 1,
      sym_identifier,
    STATE(7900), 1,
      sym_annotated_type,
    STATE(12950), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13594), 1,
      sym__type,
    STATE(16202), 1,
      sym_parameter_types,
    STATE(17857), 1,
      sym_stable_identifier,
    ACTIONS(4532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3865), 2,
      sym_comment,
      sym_block_comment,
    STATE(9964), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176232] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4510), 1,
      anon_sym_COLON,
    ACTIONS(4512), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym__,
    ACTIONS(4518), 1,
      anon_sym_LBRACK,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(4530), 1,
      sym_integer_literal,
    ACTIONS(7006), 1,
      anon_sym_LPAREN,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(4971), 1,
      sym__simple_type,
    STATE(5035), 1,
      sym__annotated_type,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(5439), 1,
      sym_identifier,
    STATE(7900), 1,
      sym_annotated_type,
    STATE(12950), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13593), 1,
      sym__type,
    STATE(16202), 1,
      sym_parameter_types,
    STATE(17857), 1,
      sym_stable_identifier,
    ACTIONS(4532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3866), 2,
      sym_comment,
      sym_block_comment,
    STATE(9964), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176351] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4510), 1,
      anon_sym_COLON,
    ACTIONS(4512), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym__,
    ACTIONS(4518), 1,
      anon_sym_LBRACK,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(4530), 1,
      sym_integer_literal,
    ACTIONS(7006), 1,
      anon_sym_LPAREN,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(4971), 1,
      sym__simple_type,
    STATE(5035), 1,
      sym__annotated_type,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(5439), 1,
      sym_identifier,
    STATE(7900), 1,
      sym_annotated_type,
    STATE(12950), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13591), 1,
      sym__type,
    STATE(16202), 1,
      sym_parameter_types,
    STATE(17857), 1,
      sym_stable_identifier,
    ACTIONS(4532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3867), 2,
      sym_comment,
      sym_block_comment,
    STATE(9964), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176470] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15332), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3868), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176589] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym__,
    ACTIONS(4684), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(6964), 1,
      anon_sym_LPAREN,
    ACTIONS(6966), 1,
      sym_operator_identifier,
    STATE(4581), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym__annotated_type,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(4675), 1,
      sym_identifier,
    STATE(6659), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12228), 1,
      sym__type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(15936), 1,
      sym_parameter_types,
    STATE(17309), 1,
      sym_stable_identifier,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3869), 2,
      sym_comment,
      sym_block_comment,
    STATE(8493), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176708] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    STATE(5712), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6470), 1,
      sym_identifier,
    STATE(9546), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11691), 1,
      sym__type,
    STATE(12922), 1,
      sym__infix_type_choice,
    STATE(16025), 1,
      sym_parameter_types,
    STATE(17677), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3870), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10377), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6918), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176827] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    STATE(5712), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6470), 1,
      sym_identifier,
    STATE(9546), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11692), 1,
      sym__type,
    STATE(12922), 1,
      sym__infix_type_choice,
    STATE(16025), 1,
      sym_parameter_types,
    STATE(17677), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3871), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10377), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6918), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176946] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15173), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3872), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177065] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4510), 1,
      anon_sym_COLON,
    ACTIONS(4512), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      anon_sym__,
    ACTIONS(4518), 1,
      anon_sym_LBRACK,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(4530), 1,
      sym_integer_literal,
    ACTIONS(7006), 1,
      anon_sym_LPAREN,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(4971), 1,
      sym__simple_type,
    STATE(5035), 1,
      sym__annotated_type,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(5439), 1,
      sym_identifier,
    STATE(7900), 1,
      sym_annotated_type,
    STATE(12950), 1,
      sym__infix_type_choice,
    STATE(13402), 1,
      sym_template_body,
    STATE(13564), 1,
      sym__non_null_literal,
    STATE(13590), 1,
      sym__type,
    STATE(16202), 1,
      sym_parameter_types,
    STATE(17857), 1,
      sym_stable_identifier,
    ACTIONS(4532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3873), 2,
      sym_comment,
      sym_block_comment,
    STATE(9964), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13563), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177184] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15190), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3874), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177303] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15195), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3875), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177422] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15879), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3876), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177541] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4580), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    ACTIONS(4600), 1,
      sym_integer_literal,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym__,
    ACTIONS(4684), 1,
      anon_sym_LBRACK,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(6964), 1,
      anon_sym_LPAREN,
    ACTIONS(6966), 1,
      sym_operator_identifier,
    STATE(4581), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym__annotated_type,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(4675), 1,
      sym_identifier,
    STATE(6659), 1,
      sym_annotated_type,
    STATE(12126), 1,
      sym_template_body,
    STATE(12176), 1,
      sym__non_null_literal,
    STATE(12229), 1,
      sym__type,
    STATE(12611), 1,
      sym__infix_type_choice,
    STATE(15936), 1,
      sym_parameter_types,
    STATE(17309), 1,
      sym_stable_identifier,
    ACTIONS(4602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3877), 2,
      sym_comment,
      sym_block_comment,
    STATE(8493), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12088), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12389), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12172), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177660] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7202), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12760), 1,
      sym__infix_type_choice,
    STATE(16159), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3878), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177779] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(557), 1,
      sym_integer_literal,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LPAREN,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    STATE(6160), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(12688), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__non_null_literal,
    STATE(14858), 1,
      sym__type,
    STATE(15935), 1,
      sym_parameter_types,
    STATE(17499), 1,
      sym_stable_identifier,
    ACTIONS(559), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(561), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(571), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3879), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9760), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10732), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13090), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177898] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4410), 1,
      anon_sym_COLON,
    ACTIONS(4412), 1,
      anon_sym_LBRACE,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(4430), 1,
      sym_integer_literal,
    ACTIONS(6968), 1,
      anon_sym_LPAREN,
    ACTIONS(6970), 1,
      sym_operator_identifier,
    STATE(4868), 1,
      sym__annotated_type,
    STATE(5010), 1,
      sym__simple_type,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5364), 1,
      sym_identifier,
    STATE(7751), 1,
      sym_annotated_type,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13578), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15692), 1,
      sym_parameter_types,
    STATE(17102), 1,
      sym_stable_identifier,
    ACTIONS(4432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3880), 2,
      sym_comment,
      sym_block_comment,
    STATE(9672), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13523), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13689), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178017] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15219), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3881), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178136] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4360), 1,
      anon_sym__,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(7002), 1,
      anon_sym_LPAREN,
    ACTIONS(7004), 1,
      sym_operator_identifier,
    STATE(4453), 1,
      sym__simple_type,
    STATE(4455), 1,
      sym__annotated_type,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4583), 1,
      sym_identifier,
    STATE(5495), 1,
      sym_annotated_type,
    STATE(11870), 1,
      sym_template_body,
    STATE(11890), 1,
      sym__type,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12829), 1,
      sym__infix_type_choice,
    STATE(15933), 1,
      sym_parameter_types,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3882), 2,
      sym_comment,
      sym_block_comment,
    STATE(7800), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178255] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15226), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3883), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178374] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6786), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      anon_sym_LBRACK,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(6796), 1,
      sym_operator_identifier,
    STATE(4503), 1,
      sym__simple_type,
    STATE(4529), 1,
      sym__annotated_type,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4548), 1,
      sym_identifier,
    STATE(5909), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11668), 1,
      sym__type,
    STATE(12949), 1,
      sym__infix_type_choice,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17707), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3884), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4705), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178493] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4410), 1,
      anon_sym_COLON,
    ACTIONS(4412), 1,
      anon_sym_LBRACE,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(4430), 1,
      sym_integer_literal,
    ACTIONS(6968), 1,
      anon_sym_LPAREN,
    ACTIONS(6970), 1,
      sym_operator_identifier,
    STATE(4868), 1,
      sym__annotated_type,
    STATE(5010), 1,
      sym__simple_type,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5364), 1,
      sym_identifier,
    STATE(7751), 1,
      sym_annotated_type,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13575), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15692), 1,
      sym_parameter_types,
    STATE(17102), 1,
      sym_stable_identifier,
    ACTIONS(4432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3885), 2,
      sym_comment,
      sym_block_comment,
    STATE(9672), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13523), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13689), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178612] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15433), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3886), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178731] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16036), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3887), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178850] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17541), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3888), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178969] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8826), 1,
      sym__type,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3889), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179088] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15423), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3890), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179207] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15926), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3891), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179326] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4360), 1,
      anon_sym__,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(7002), 1,
      anon_sym_LPAREN,
    ACTIONS(7004), 1,
      sym_operator_identifier,
    STATE(4453), 1,
      sym__simple_type,
    STATE(4455), 1,
      sym__annotated_type,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4583), 1,
      sym_identifier,
    STATE(5495), 1,
      sym_annotated_type,
    STATE(11844), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12829), 1,
      sym__infix_type_choice,
    STATE(15933), 1,
      sym_parameter_types,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3892), 2,
      sym_comment,
      sym_block_comment,
    STATE(7800), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179445] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4360), 1,
      anon_sym__,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(7002), 1,
      anon_sym_LPAREN,
    ACTIONS(7004), 1,
      sym_operator_identifier,
    STATE(4453), 1,
      sym__simple_type,
    STATE(4455), 1,
      sym__annotated_type,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4583), 1,
      sym_identifier,
    STATE(5495), 1,
      sym_annotated_type,
    STATE(11843), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12829), 1,
      sym__infix_type_choice,
    STATE(15933), 1,
      sym_parameter_types,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3893), 2,
      sym_comment,
      sym_block_comment,
    STATE(7800), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179564] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4360), 1,
      anon_sym__,
    ACTIONS(4364), 1,
      anon_sym_LBRACK,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(7002), 1,
      anon_sym_LPAREN,
    ACTIONS(7004), 1,
      sym_operator_identifier,
    STATE(4453), 1,
      sym__simple_type,
    STATE(4455), 1,
      sym__annotated_type,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4583), 1,
      sym_identifier,
    STATE(5495), 1,
      sym_annotated_type,
    STATE(11842), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12829), 1,
      sym__infix_type_choice,
    STATE(15933), 1,
      sym_parameter_types,
    STATE(16908), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3894), 2,
      sym_comment,
      sym_block_comment,
    STATE(7800), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179683] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1154), 1,
      sym_integer_literal,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6832), 1,
      anon_sym_COLON,
    ACTIONS(6834), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      anon_sym__,
    ACTIONS(6838), 1,
      anon_sym_LBRACK,
    ACTIONS(6842), 1,
      anon_sym_LPAREN,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4722), 1,
      sym__annotated_type,
    STATE(4781), 1,
      sym__simple_type,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4998), 1,
      sym_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(12576), 1,
      sym__non_null_literal,
    STATE(12812), 1,
      sym_template_body,
    STATE(12967), 1,
      sym__infix_type_choice,
    STATE(13042), 1,
      sym__type,
    STATE(15941), 1,
      sym_parameter_types,
    STATE(17725), 1,
      sym_stable_identifier,
    ACTIONS(1156), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1158), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1162), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3895), 2,
      sym_comment,
      sym_block_comment,
    STATE(7068), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9285), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12593), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179802] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15255), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3896), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179921] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1254), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6850), 1,
      anon_sym_COLON,
    ACTIONS(6852), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym__,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_LPAREN,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(4846), 1,
      sym__annotated_type,
    STATE(5084), 1,
      sym__simple_type,
    STATE(5359), 1,
      sym_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(7872), 1,
      sym_annotated_type,
    STATE(12951), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13277), 1,
      sym__type,
    STATE(15947), 1,
      sym_parameter_types,
    STATE(17845), 1,
      sym_stable_identifier,
    ACTIONS(1256), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1258), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3897), 2,
      sym_comment,
      sym_block_comment,
    STATE(8010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8155), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9981), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5903), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180040] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15921), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3898), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180159] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1254), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6850), 1,
      anon_sym_COLON,
    ACTIONS(6852), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym__,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_LPAREN,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(4846), 1,
      sym__annotated_type,
    STATE(5084), 1,
      sym__simple_type,
    STATE(5359), 1,
      sym_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(7872), 1,
      sym_annotated_type,
    STATE(12951), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13273), 1,
      sym__type,
    STATE(15947), 1,
      sym_parameter_types,
    STATE(17845), 1,
      sym_stable_identifier,
    ACTIONS(1256), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1258), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3899), 2,
      sym_comment,
      sym_block_comment,
    STATE(8010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8155), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9981), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5903), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180278] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15263), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3900), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180397] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1254), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6850), 1,
      anon_sym_COLON,
    ACTIONS(6852), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym__,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_LPAREN,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(4846), 1,
      sym__annotated_type,
    STATE(5084), 1,
      sym__simple_type,
    STATE(5359), 1,
      sym_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(7872), 1,
      sym_annotated_type,
    STATE(12951), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13269), 1,
      sym__type,
    STATE(15947), 1,
      sym_parameter_types,
    STATE(17845), 1,
      sym_stable_identifier,
    ACTIONS(1256), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1258), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3901), 2,
      sym_comment,
      sym_block_comment,
    STATE(8010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8155), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9981), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5903), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180516] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1254), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6850), 1,
      anon_sym_COLON,
    ACTIONS(6852), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym__,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_LPAREN,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(4846), 1,
      sym__annotated_type,
    STATE(5084), 1,
      sym__simple_type,
    STATE(5359), 1,
      sym_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(7872), 1,
      sym_annotated_type,
    STATE(12951), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13259), 1,
      sym__type,
    STATE(15947), 1,
      sym_parameter_types,
    STATE(17845), 1,
      sym_stable_identifier,
    ACTIONS(1256), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1258), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3902), 2,
      sym_comment,
      sym_block_comment,
    STATE(8010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8155), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9981), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5903), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180635] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(17563), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3903), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180754] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1716), 1,
      sym_integer_literal,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6974), 1,
      anon_sym_COLON,
    ACTIONS(6976), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym__,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(6988), 1,
      sym_operator_identifier,
    STATE(5113), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5703), 1,
      sym_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(8669), 1,
      sym_annotated_type,
    STATE(12658), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13677), 1,
      sym_template_body,
    STATE(14001), 1,
      sym__type,
    STATE(15934), 1,
      sym_parameter_types,
    STATE(17421), 1,
      sym_stable_identifier,
    ACTIONS(1718), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1720), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1724), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3904), 2,
      sym_comment,
      sym_block_comment,
    STATE(8318), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8339), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10042), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6154), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180873] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11571), 1,
      sym__type,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3905), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180992] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1254), 1,
      sym_integer_literal,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6850), 1,
      anon_sym_COLON,
    ACTIONS(6852), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym__,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_LPAREN,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(4846), 1,
      sym__annotated_type,
    STATE(5084), 1,
      sym__simple_type,
    STATE(5359), 1,
      sym_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(7872), 1,
      sym_annotated_type,
    STATE(12951), 1,
      sym__infix_type_choice,
    STATE(13188), 1,
      sym_template_body,
    STATE(13237), 1,
      sym__non_null_literal,
    STATE(13255), 1,
      sym__type,
    STATE(15947), 1,
      sym_parameter_types,
    STATE(17845), 1,
      sym_stable_identifier,
    ACTIONS(1256), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1258), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3906), 2,
      sym_comment,
      sym_block_comment,
    STATE(8010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8155), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9981), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13231), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5903), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181111] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(12782), 1,
      sym__infix_type_choice,
    STATE(15456), 1,
      sym_parameter_types,
    STATE(16930), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3907), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9753), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181230] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      anon_sym__,
    ACTIONS(6276), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      anon_sym_LPAREN,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(6284), 1,
      sym_operator_identifier,
    STATE(6343), 1,
      sym__annotated_type,
    STATE(6674), 1,
      sym__simple_type,
    STATE(6979), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(9866), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(12062), 1,
      sym__type,
    STATE(12973), 1,
      sym__infix_type_choice,
    STATE(16027), 1,
      sym_parameter_types,
    STATE(17827), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3908), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8245), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181349] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11575), 1,
      sym__type,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3909), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181468] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15982), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3910), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181587] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15298), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3911), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181706] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    STATE(5712), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6470), 1,
      sym_identifier,
    STATE(9546), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11668), 1,
      sym__type,
    STATE(12922), 1,
      sym__infix_type_choice,
    STATE(16025), 1,
      sym_parameter_types,
    STATE(17677), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3912), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10377), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6918), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181825] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15307), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3913), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181944] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6462), 1,
      anon_sym_COLON,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(8677), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11762), 1,
      sym__non_null_literal,
    STATE(11770), 1,
      sym__type,
    STATE(11940), 1,
      sym_template_body,
    STATE(12664), 1,
      sym__infix_type_choice,
    STATE(16283), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3914), 2,
      sym_comment,
      sym_block_comment,
    STATE(11231), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11740), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182063] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16906), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3915), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182182] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6462), 1,
      anon_sym_COLON,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(8677), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11745), 1,
      sym__type,
    STATE(11762), 1,
      sym__non_null_literal,
    STATE(11940), 1,
      sym_template_body,
    STATE(12664), 1,
      sym__infix_type_choice,
    STATE(16283), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3916), 2,
      sym_comment,
      sym_block_comment,
    STATE(11231), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11740), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182301] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4228), 1,
      anon_sym__,
    ACTIONS(4232), 1,
      anon_sym_LBRACK,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(6826), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      sym_operator_identifier,
    STATE(5772), 1,
      sym__simple_type,
    STATE(6073), 1,
      sym__annotated_type,
    STATE(6241), 1,
      sym_identifier,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(9291), 1,
      sym_annotated_type,
    STATE(11870), 1,
      sym_template_body,
    STATE(11943), 1,
      sym__type,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12867), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16715), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3917), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182420] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16138), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3918), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182539] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(17751), 1,
      sym__type,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3919), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182658] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6786), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      anon_sym_LBRACK,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(6796), 1,
      sym_operator_identifier,
    STATE(4503), 1,
      sym__simple_type,
    STATE(4529), 1,
      sym__annotated_type,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4548), 1,
      sym_identifier,
    STATE(5909), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11692), 1,
      sym__type,
    STATE(12949), 1,
      sym__infix_type_choice,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17707), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3920), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4705), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182777] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12409), 1,
      sym__type,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3921), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182896] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      anon_sym__,
    ACTIONS(6276), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      anon_sym_LPAREN,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(6284), 1,
      sym_operator_identifier,
    STATE(6343), 1,
      sym__annotated_type,
    STATE(6674), 1,
      sym__simple_type,
    STATE(6979), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(9866), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11961), 1,
      sym__type,
    STATE(12973), 1,
      sym__infix_type_choice,
    STATE(16027), 1,
      sym_parameter_types,
    STATE(17827), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3922), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8245), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183015] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4410), 1,
      anon_sym_COLON,
    ACTIONS(4412), 1,
      anon_sym_LBRACE,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(4430), 1,
      sym_integer_literal,
    ACTIONS(6968), 1,
      anon_sym_LPAREN,
    ACTIONS(6970), 1,
      sym_operator_identifier,
    STATE(4868), 1,
      sym__annotated_type,
    STATE(5010), 1,
      sym__simple_type,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5364), 1,
      sym_identifier,
    STATE(7751), 1,
      sym_annotated_type,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13645), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15692), 1,
      sym_parameter_types,
    STATE(17102), 1,
      sym_stable_identifier,
    ACTIONS(4432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3923), 2,
      sym_comment,
      sym_block_comment,
    STATE(9672), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13523), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13689), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183134] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      anon_sym__,
    ACTIONS(6276), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      anon_sym_LPAREN,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(6284), 1,
      sym_operator_identifier,
    STATE(6343), 1,
      sym__annotated_type,
    STATE(6674), 1,
      sym__simple_type,
    STATE(6979), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(9866), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11966), 1,
      sym__type,
    STATE(12973), 1,
      sym__infix_type_choice,
    STATE(16027), 1,
      sym_parameter_types,
    STATE(17827), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3924), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8245), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183253] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6650), 1,
      anon_sym__,
    ACTIONS(6652), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym_LPAREN,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(6660), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__annotated_type,
    STATE(4590), 1,
      sym__simple_type,
    STATE(4665), 1,
      sym_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(6498), 1,
      sym_annotated_type,
    STATE(11842), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12622), 1,
      sym__infix_type_choice,
    STATE(16075), 1,
      sym_parameter_types,
    STATE(17347), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3925), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4848), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183372] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      anon_sym__,
    ACTIONS(6276), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      anon_sym_LPAREN,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(6284), 1,
      sym_operator_identifier,
    STATE(6343), 1,
      sym__annotated_type,
    STATE(6674), 1,
      sym__simple_type,
    STATE(6979), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(9866), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11969), 1,
      sym__type,
    STATE(12973), 1,
      sym__infix_type_choice,
    STATE(16027), 1,
      sym_parameter_types,
    STATE(17827), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3926), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8245), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183491] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6650), 1,
      anon_sym__,
    ACTIONS(6652), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym_LPAREN,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(6660), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__annotated_type,
    STATE(4590), 1,
      sym__simple_type,
    STATE(4665), 1,
      sym_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(6498), 1,
      sym_annotated_type,
    STATE(11843), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12622), 1,
      sym__infix_type_choice,
    STATE(16075), 1,
      sym_parameter_types,
    STATE(17347), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3927), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4848), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183610] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6650), 1,
      anon_sym__,
    ACTIONS(6652), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym_LPAREN,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(6660), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__annotated_type,
    STATE(4590), 1,
      sym__simple_type,
    STATE(4665), 1,
      sym_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(6498), 1,
      sym_annotated_type,
    STATE(11844), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12622), 1,
      sym__infix_type_choice,
    STATE(16075), 1,
      sym_parameter_types,
    STATE(17347), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3928), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4848), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183729] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15957), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3929), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183848] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16789), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3930), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183967] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6650), 1,
      anon_sym__,
    ACTIONS(6652), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym_LPAREN,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(6660), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__annotated_type,
    STATE(4590), 1,
      sym__simple_type,
    STATE(4665), 1,
      sym_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(6498), 1,
      sym_annotated_type,
    STATE(11870), 1,
      sym_template_body,
    STATE(11890), 1,
      sym__type,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12622), 1,
      sym__infix_type_choice,
    STATE(16075), 1,
      sym_parameter_types,
    STATE(17347), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3931), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4848), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184086] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6672), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(4602), 1,
      sym__annotated_type,
    STATE(4611), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(6748), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11970), 1,
      sym__type,
    STATE(12954), 1,
      sym__infix_type_choice,
    STATE(16080), 1,
      sym_parameter_types,
    STATE(17839), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3932), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8531), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184205] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    ACTIONS(4204), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6760), 1,
      anon_sym_LBRACK,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8742), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(12243), 1,
      sym_template_body,
    STATE(12415), 1,
      sym__non_null_literal,
    STATE(12875), 1,
      sym__infix_type_choice,
    STATE(15932), 1,
      sym_parameter_types,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(17750), 1,
      sym__type,
    ACTIONS(4206), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4208), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4212), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3933), 2,
      sym_comment,
      sym_block_comment,
    STATE(11664), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12448), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12471), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12425), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184324] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6274), 1,
      anon_sym__,
    ACTIONS(6276), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      anon_sym_LPAREN,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(6284), 1,
      sym_operator_identifier,
    STATE(6343), 1,
      sym__annotated_type,
    STATE(6674), 1,
      sym__simple_type,
    STATE(6979), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(9866), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11970), 1,
      sym__type,
    STATE(12973), 1,
      sym__infix_type_choice,
    STATE(16027), 1,
      sym_parameter_types,
    STATE(17827), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3934), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8245), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184443] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_LBRACE,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6568), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(6574), 1,
      sym_integer_literal,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8768), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(12160), 1,
      sym_template_body,
    STATE(12325), 1,
      sym__non_null_literal,
    STATE(12401), 1,
      sym__type,
    STATE(12651), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(17357), 1,
      sym_stable_identifier,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3935), 2,
      sym_comment,
      sym_block_comment,
    STATE(11273), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12514), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12313), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184562] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6672), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(4602), 1,
      sym__annotated_type,
    STATE(4611), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(6748), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11969), 1,
      sym__type,
    STATE(12954), 1,
      sym__infix_type_choice,
    STATE(16080), 1,
      sym_parameter_types,
    STATE(17839), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3936), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8531), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184681] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6672), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(4602), 1,
      sym__annotated_type,
    STATE(4611), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(6748), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11966), 1,
      sym__type,
    STATE(12954), 1,
      sym__infix_type_choice,
    STATE(16080), 1,
      sym_parameter_types,
    STATE(17839), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3937), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8531), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184800] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6786), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      anon_sym_LBRACK,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(6796), 1,
      sym_operator_identifier,
    STATE(4503), 1,
      sym__simple_type,
    STATE(4529), 1,
      sym__annotated_type,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4548), 1,
      sym_identifier,
    STATE(5909), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11691), 1,
      sym__type,
    STATE(12949), 1,
      sym__infix_type_choice,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17707), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3938), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4705), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184919] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6786), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      anon_sym_LBRACK,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(6796), 1,
      sym_operator_identifier,
    STATE(4503), 1,
      sym__simple_type,
    STATE(4529), 1,
      sym__annotated_type,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4548), 1,
      sym_identifier,
    STATE(5909), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11683), 1,
      sym__type,
    STATE(12949), 1,
      sym__infix_type_choice,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17707), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3939), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4705), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185038] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15233), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3940), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185157] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15392), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3941), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185276] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6672), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(4602), 1,
      sym__annotated_type,
    STATE(4611), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(6748), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(11961), 1,
      sym__type,
    STATE(12954), 1,
      sym__infix_type_choice,
    STATE(16080), 1,
      sym_parameter_types,
    STATE(17839), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3942), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8531), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185395] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6786), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      anon_sym_LBRACK,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(6796), 1,
      sym_operator_identifier,
    STATE(4503), 1,
      sym__simple_type,
    STATE(4529), 1,
      sym__annotated_type,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4548), 1,
      sym_identifier,
    STATE(5909), 1,
      sym_annotated_type,
    STATE(11644), 1,
      sym__non_null_literal,
    STATE(11648), 1,
      sym_template_body,
    STATE(11678), 1,
      sym__type,
    STATE(12949), 1,
      sym__infix_type_choice,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17707), 1,
      sym_stable_identifier,
    ACTIONS(1364), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1366), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1370), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3943), 2,
      sym_comment,
      sym_block_comment,
    STATE(5330), 2,
      sym_boolean_literal,
      sym_string,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11667), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4705), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185514] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      anon_sym__,
    ACTIONS(6502), 1,
      anon_sym_LBRACK,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(6510), 1,
      sym_operator_identifier,
    STATE(7309), 1,
      sym__simple_type,
    STATE(7420), 1,
      sym__annotated_type,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(7957), 1,
      sym_identifier,
    STATE(10188), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12418), 1,
      sym__type,
    STATE(12935), 1,
      sym__infix_type_choice,
    STATE(16026), 1,
      sym_parameter_types,
    STATE(17689), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3944), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10997), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8879), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185633] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      anon_sym__,
    ACTIONS(6502), 1,
      anon_sym_LBRACK,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(6510), 1,
      sym_operator_identifier,
    STATE(7309), 1,
      sym__simple_type,
    STATE(7420), 1,
      sym__annotated_type,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(7957), 1,
      sym_identifier,
    STATE(10188), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12460), 1,
      sym__type,
    STATE(12935), 1,
      sym__infix_type_choice,
    STATE(16026), 1,
      sym_parameter_types,
    STATE(17689), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3945), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10997), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8879), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185752] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      anon_sym__,
    ACTIONS(6502), 1,
      anon_sym_LBRACK,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(6510), 1,
      sym_operator_identifier,
    STATE(7309), 1,
      sym__simple_type,
    STATE(7420), 1,
      sym__annotated_type,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(7957), 1,
      sym_identifier,
    STATE(10188), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12467), 1,
      sym__type,
    STATE(12935), 1,
      sym__infix_type_choice,
    STATE(16026), 1,
      sym_parameter_types,
    STATE(17689), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3946), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10997), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8879), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185871] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4228), 1,
      anon_sym__,
    ACTIONS(4232), 1,
      anon_sym_LBRACK,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(6826), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      sym_operator_identifier,
    STATE(5772), 1,
      sym__simple_type,
    STATE(6073), 1,
      sym__annotated_type,
    STATE(6241), 1,
      sym_identifier,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(9291), 1,
      sym_annotated_type,
    STATE(11843), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12867), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16715), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3947), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185990] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15352), 1,
      sym__type,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3948), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [186109] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4410), 1,
      anon_sym_COLON,
    ACTIONS(4412), 1,
      anon_sym_LBRACE,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(4430), 1,
      sym_integer_literal,
    ACTIONS(6968), 1,
      anon_sym_LPAREN,
    ACTIONS(6970), 1,
      sym_operator_identifier,
    STATE(4868), 1,
      sym__annotated_type,
    STATE(5010), 1,
      sym__simple_type,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5364), 1,
      sym_identifier,
    STATE(7751), 1,
      sym_annotated_type,
    STATE(12542), 1,
      sym__infix_type_choice,
    STATE(13462), 1,
      sym__non_null_literal,
    STATE(13572), 1,
      sym__type,
    STATE(13677), 1,
      sym_template_body,
    STATE(15692), 1,
      sym_parameter_types,
    STATE(17102), 1,
      sym_stable_identifier,
    ACTIONS(4432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3949), 2,
      sym_comment,
      sym_block_comment,
    STATE(9672), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13523), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13689), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13459), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [186228] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      anon_sym__,
    ACTIONS(6502), 1,
      anon_sym_LBRACK,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(6510), 1,
      sym_operator_identifier,
    STATE(7309), 1,
      sym__simple_type,
    STATE(7420), 1,
      sym__annotated_type,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(7957), 1,
      sym_identifier,
    STATE(10188), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12474), 1,
      sym__type,
    STATE(12935), 1,
      sym__infix_type_choice,
    STATE(16026), 1,
      sym_parameter_types,
    STATE(17689), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3950), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10997), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8879), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [186347] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15899), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3951), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [186466] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7202), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11537), 1,
      sym__type,
    STATE(12760), 1,
      sym__infix_type_choice,
    STATE(16159), 1,
      sym_parameter_types,
    STATE(16952), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3952), 2,
      sym_comment,
      sym_block_comment,
    STATE(10873), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11615), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [186585] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(16777), 1,
      sym__type,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3953), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [186704] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15533), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3954), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [186823] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15829), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3955), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [186942] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15906), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3956), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [187061] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1866), 1,
      sym_integer_literal,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      anon_sym__,
    ACTIONS(6502), 1,
      anon_sym_LBRACK,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(6510), 1,
      sym_operator_identifier,
    STATE(7309), 1,
      sym__simple_type,
    STATE(7420), 1,
      sym__annotated_type,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(7957), 1,
      sym_identifier,
    STATE(10188), 1,
      sym_annotated_type,
    STATE(12265), 1,
      sym_template_body,
    STATE(12350), 1,
      sym__type,
    STATE(12386), 1,
      sym__non_null_literal,
    STATE(12935), 1,
      sym__infix_type_choice,
    STATE(16026), 1,
      sym_parameter_types,
    STATE(17689), 1,
      sym_stable_identifier,
    ACTIONS(1868), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1874), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3957), 2,
      sym_comment,
      sym_block_comment,
    STATE(6322), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10997), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12424), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8879), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [187180] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11574), 1,
      sym__type,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3958), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [187299] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6618), 1,
      anon_sym_LBRACK,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8261), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11484), 1,
      sym__non_null_literal,
    STATE(11571), 1,
      sym__type,
    STATE(12896), 1,
      sym__infix_type_choice,
    STATE(15241), 1,
      sym_parameter_types,
    STATE(16739), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3959), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7491), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11227), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11500), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [187418] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1450), 1,
      sym_integer_literal,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(6650), 1,
      anon_sym__,
    ACTIONS(6652), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym_LPAREN,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(6660), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__annotated_type,
    STATE(4590), 1,
      sym__simple_type,
    STATE(4665), 1,
      sym_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(6498), 1,
      sym_annotated_type,
    STATE(11870), 1,
      sym_template_body,
    STATE(11943), 1,
      sym__type,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12622), 1,
      sym__infix_type_choice,
    STATE(16075), 1,
      sym_parameter_types,
    STATE(17347), 1,
      sym_stable_identifier,
    ACTIONS(1452), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1458), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3960), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5683), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8400), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4848), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [187537] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(880), 1,
      sym_integer_literal,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4950), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    STATE(5343), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(8803), 1,
      sym_template_body,
    STATE(8878), 1,
      sym__non_null_literal,
    STATE(12884), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym_parameter_types,
    STATE(15386), 1,
      sym__type,
    STATE(16680), 1,
      sym_stable_identifier,
    ACTIONS(882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3961), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8776), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10168), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8880), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [187656] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6462), 1,
      anon_sym_COLON,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(8677), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11722), 1,
      sym__type,
    STATE(11762), 1,
      sym__non_null_literal,
    STATE(11940), 1,
      sym_template_body,
    STATE(12664), 1,
      sym__infix_type_choice,
    STATE(16283), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3962), 2,
      sym_comment,
      sym_block_comment,
    STATE(11231), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11740), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [187775] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1522), 1,
      sym_integer_literal,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6672), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(4602), 1,
      sym__annotated_type,
    STATE(4611), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(6748), 1,
      sym_annotated_type,
    STATE(11899), 1,
      sym__non_null_literal,
    STATE(11944), 1,
      sym_template_body,
    STATE(12062), 1,
      sym__type,
    STATE(12954), 1,
      sym__infix_type_choice,
    STATE(16080), 1,
      sym_parameter_types,
    STATE(17839), 1,
      sym_stable_identifier,
    ACTIONS(1524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3963), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6023), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8531), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11896), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [187894] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4224), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4228), 1,
      anon_sym__,
    ACTIONS(4232), 1,
      anon_sym_LBRACK,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(4244), 1,
      sym_integer_literal,
    ACTIONS(6826), 1,
      anon_sym_LPAREN,
    ACTIONS(6828), 1,
      sym_operator_identifier,
    STATE(5772), 1,
      sym__simple_type,
    STATE(6073), 1,
      sym__annotated_type,
    STATE(6241), 1,
      sym_identifier,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(9291), 1,
      sym_annotated_type,
    STATE(11844), 1,
      sym__type,
    STATE(11870), 1,
      sym_template_body,
    STATE(12045), 1,
      sym__non_null_literal,
    STATE(12867), 1,
      sym__infix_type_choice,
    STATE(15176), 1,
      sym_parameter_types,
    STATE(16715), 1,
      sym_stable_identifier,
    ACTIONS(4246), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4248), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4252), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3964), 2,
      sym_comment,
      sym_block_comment,
    STATE(10541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11725), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11976), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12036), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [188013] = 32,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6250), 1,
      anon_sym_LPAREN,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(6462), 1,
      anon_sym_COLON,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym_LBRACK,
    ACTIONS(6468), 1,
      sym_integer_literal,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(8677), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(11716), 1,
      sym__type,
    STATE(11762), 1,
      sym__non_null_literal,
    STATE(11940), 1,
      sym_template_body,
    STATE(12664), 1,
      sym__infix_type_choice,
    STATE(16283), 1,
      sym_parameter_types,
    STATE(18137), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3965), 2,
      sym_comment,
      sym_block_comment,
    STATE(11231), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11740), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 5,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
      sym_literal_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [188132] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 8,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [188200] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [188268] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 8,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [188336] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [188404] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [188472] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7012), 1,
      anon_sym_LBRACE,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7024), 1,
      anon_sym_LPAREN,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16519), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3971), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188587] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7036), 1,
      anon_sym_LBRACE,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16351), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3972), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188702] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16432), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3973), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188817] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7044), 1,
      anon_sym_LBRACE,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16533), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3974), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188932] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7048), 1,
      anon_sym_LBRACE,
    ACTIONS(7050), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16513), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3975), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189047] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_LBRACE,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16506), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3976), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189162] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7056), 1,
      anon_sym_LBRACE,
    ACTIONS(7058), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16378), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3977), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189277] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7060), 1,
      anon_sym_LBRACE,
    ACTIONS(7062), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16558), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3978), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189392] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7064), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16551), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3979), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189507] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_LBRACE,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16463), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3980), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189622] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7072), 1,
      anon_sym_LBRACE,
    ACTIONS(7074), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16567), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3981), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189737] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7076), 1,
      anon_sym_LBRACE,
    ACTIONS(7078), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16545), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3982), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189852] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7080), 1,
      anon_sym_LBRACE,
    ACTIONS(7082), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16601), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3983), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189967] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7084), 1,
      anon_sym_LBRACE,
    ACTIONS(7086), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16418), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3984), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190082] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7088), 1,
      anon_sym_LBRACE,
    ACTIONS(7090), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16590), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3985), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190197] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7092), 1,
      anon_sym_LBRACE,
    ACTIONS(7094), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16411), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3986), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190312] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7096), 1,
      anon_sym_LBRACE,
    ACTIONS(7098), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16650), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3987), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190427] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16547), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3988), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190542] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7104), 1,
      anon_sym_LBRACE,
    ACTIONS(7106), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16649), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3989), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190657] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7108), 1,
      anon_sym_LBRACE,
    ACTIONS(7110), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16394), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3990), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190772] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(7114), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16598), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3991), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190887] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7116), 1,
      anon_sym_LBRACE,
    ACTIONS(7118), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16583), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3992), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191002] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16450), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3993), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191117] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16628), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3994), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191232] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7128), 1,
      anon_sym_LBRACE,
    ACTIONS(7130), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16639), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3995), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191347] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7132), 1,
      anon_sym_LBRACE,
    ACTIONS(7134), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16402), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3996), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191462] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7136), 1,
      anon_sym_LBRACE,
    ACTIONS(7138), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16570), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3997), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191577] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7140), 1,
      anon_sym_LBRACE,
    ACTIONS(7142), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16395), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3998), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191692] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7144), 1,
      anon_sym_LBRACE,
    ACTIONS(7146), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16461), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3999), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191807] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_LBRACE,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16618), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4000), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191922] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7152), 1,
      anon_sym_LBRACE,
    ACTIONS(7154), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16631), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4001), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192037] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7156), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16527), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4002), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192152] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7160), 1,
      anon_sym_LBRACE,
    ACTIONS(7162), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16641), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4003), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192267] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7164), 1,
      anon_sym_LBRACE,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16488), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4004), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192382] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7168), 1,
      anon_sym_LBRACE,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16587), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4005), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192497] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7172), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16640), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4006), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192612] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16490), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4007), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192727] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7180), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16386), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4008), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192842] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7184), 1,
      anon_sym_LBRACE,
    ACTIONS(7186), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16393), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4009), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192957] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7188), 1,
      anon_sym_LBRACE,
    ACTIONS(7190), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16364), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4010), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193072] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7192), 1,
      anon_sym_LBRACE,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16484), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4011), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193187] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7196), 1,
      anon_sym_LBRACE,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16621), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4012), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193302] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7200), 1,
      anon_sym_LBRACE,
    ACTIONS(7202), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16444), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4013), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193417] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7204), 1,
      anon_sym_LBRACE,
    ACTIONS(7206), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16607), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4014), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193532] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    ACTIONS(7210), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16428), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4015), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193647] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7212), 1,
      anon_sym_LBRACE,
    ACTIONS(7214), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16472), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4016), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193762] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7216), 1,
      anon_sym_LBRACE,
    ACTIONS(7218), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16610), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4017), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 36,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [193940] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__interpolated_multiline_string_start,
    ACTIONS(4178), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_DQUOTE,
    ACTIONS(4174), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [194007] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7224), 1,
      anon_sym_LBRACE,
    ACTIONS(7226), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16529), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4020), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194122] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7228), 1,
      anon_sym_LBRACE,
    ACTIONS(7230), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16582), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4021), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194237] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7232), 1,
      anon_sym_LBRACE,
    ACTIONS(7234), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16516), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4022), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194352] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16376), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4023), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194467] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7240), 1,
      anon_sym_LBRACE,
    ACTIONS(7242), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16614), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4024), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194582] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7244), 1,
      anon_sym_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16574), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4025), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194697] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7248), 1,
      anon_sym_LBRACE,
    ACTIONS(7250), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16500), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4026), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194812] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7252), 1,
      anon_sym_LBRACE,
    ACTIONS(7254), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16408), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4027), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 36,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [194990] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7256), 1,
      anon_sym_LBRACE,
    ACTIONS(7258), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14595), 1,
      sym_enumerator,
    STATE(16460), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4029), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195105] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14507), 1,
      sym_enumerator,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7262), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(4030), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195215] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16665), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4031), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195327] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17740), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4032), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195439] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14507), 1,
      sym_enumerator,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7270), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(4033), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195549] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17564), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4034), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195661] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17149), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4035), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195773] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17565), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4036), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195885] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17875), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4037), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195997] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17758), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4038), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196109] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17155), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4039), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196221] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17704), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4040), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196333] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17757), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4041), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196445] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18254), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4042), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196557] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14507), 1,
      sym_enumerator,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7276), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(4043), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196667] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18265), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4044), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196779] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18275), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4045), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196891] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16892), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4046), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197003] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17176), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4047), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197115] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16891), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4048), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197227] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17708), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4049), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197339] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17628), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4050), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197451] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17640), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4051), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197563] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17876), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4052), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197675] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17706), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4053), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197787] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16850), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4054), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197899] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16963), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4055), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198011] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16849), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4056), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198123] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17702), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4057), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198235] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17489), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4058), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198347] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16845), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4059), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198459] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14507), 1,
      sym_enumerator,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7278), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(4060), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198569] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17487), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4061), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198681] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17065), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4062), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198793] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17453), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4063), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [198967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [199029] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17414), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4066), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199141] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17441), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4067), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199253] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17413), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4068), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199365] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18482), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4069), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199477] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18481), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4070), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199589] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17193), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4071), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199701] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17835), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4072), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199813] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17868), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4073), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199925] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16988), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4074), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200037] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17837), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4075), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200149] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16799), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4076), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200261] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17872), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4077), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200373] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17646), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4078), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200485] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17642), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4079), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200597] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16798), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4080), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200709] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16961), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4081), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200821] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17194), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4082), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200933] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17817), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4083), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201045] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17294), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4084), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201157] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17293), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4085), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201269] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16919), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4086), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201381] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16767), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4087), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201493] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17148), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4088), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201605] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17933), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4089), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201717] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16912), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4090), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201829] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16752), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4091), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201941] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16994), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4092), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202053] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18082), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4093), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202165] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18145), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4094), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202277] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18152), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4095), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202389] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17812), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4096), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202501] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16750), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4097), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202613] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17591), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4098), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202725] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17590), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4099), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202837] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17025), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4100), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202949] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16927), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4101), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203061] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18248), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4102), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203173] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17022), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4103), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203285] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18247), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4104), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203397] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16697), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4105), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203509] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16696), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4106), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203621] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18043), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4107), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203733] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17515), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4108), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203845] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17934), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4109), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [204019] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17507), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4111), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204131] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16928), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4112), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204243] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17288), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4113), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204355] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17296), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4114), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204467] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18041), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4115), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204579] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16911), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4116), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204691] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18084), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4117), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204803] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16663), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4118), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204915] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17427), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4119), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205027] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17084), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4120), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205139] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17086), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4121), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205251] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17425), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4122), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205363] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18091), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4123), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205475] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16843), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4124), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205587] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18089), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4125), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [205761] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18119), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4127), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205873] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17992), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4128), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205985] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17990), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4129), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206097] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17064), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4130), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206209] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16935), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4131), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206321] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17187), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4132), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206433] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16744), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4133), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206545] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17937), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4134), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206657] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17807), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4135), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206769] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17103), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4136), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206881] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17175), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4137), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206993] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17985), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4138), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207105] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16771), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4139), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207217] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17962), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4140), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207329] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18009), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4141), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207441] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(18007), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4142), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207553] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17136), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4143), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207665] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17802), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4144), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207777] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16943), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4145), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207889] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(17104), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4146), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208001] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16704), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4147), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208113] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16710), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4148), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208225] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7034), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7266), 1,
      sym_operator_identifier,
    ACTIONS(7268), 1,
      sym_null_literal,
    STATE(6137), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10190), 1,
      sym_stable_identifier,
    STATE(10198), 1,
      sym_wildcard,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14585), 1,
      sym_enumerator,
    STATE(16774), 1,
      sym_enumerators,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4149), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10488), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [208398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 35,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [208520] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      anon_sym_case,
    ACTIONS(7282), 1,
      anon_sym_if,
    ACTIONS(7284), 1,
      sym_operator_identifier,
    ACTIONS(7286), 1,
      sym_null_literal,
    ACTIONS(7288), 1,
      sym__outdent,
    STATE(8474), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11145), 1,
      sym_wildcard,
    STATE(11147), 1,
      sym_stable_identifier,
    STATE(14444), 1,
      aux_sym_enumerator_repeat1,
    STATE(14989), 1,
      sym_guard,
    STATE(16062), 1,
      sym_enumerator,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4153), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11295), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208690] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      anon_sym_case,
    ACTIONS(7282), 1,
      anon_sym_if,
    ACTIONS(7284), 1,
      sym_operator_identifier,
    ACTIONS(7286), 1,
      sym_null_literal,
    ACTIONS(7290), 1,
      sym__outdent,
    STATE(8474), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11145), 1,
      sym_wildcard,
    STATE(11147), 1,
      sym_stable_identifier,
    STATE(14444), 1,
      aux_sym_enumerator_repeat1,
    STATE(14989), 1,
      sym_guard,
    STATE(16062), 1,
      sym_enumerator,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4155), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11295), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [208921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 35,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [209043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209163] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7264), 1,
      anon_sym_case,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(8582), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10995), 1,
      sym_wildcard,
    STATE(11000), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14507), 1,
      sym_enumerator,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4162), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11384), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [209389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209449] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      anon_sym_case,
    ACTIONS(7282), 1,
      anon_sym_if,
    ACTIONS(7284), 1,
      sym_operator_identifier,
    ACTIONS(7286), 1,
      sym_null_literal,
    STATE(8474), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11145), 1,
      sym_wildcard,
    STATE(11147), 1,
      sym_stable_identifier,
    STATE(14444), 1,
      aux_sym_enumerator_repeat1,
    STATE(14989), 1,
      sym_guard,
    STATE(16062), 1,
      sym_enumerator,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4166), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11295), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209795] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      anon_sym_case,
    ACTIONS(7282), 1,
      anon_sym_if,
    ACTIONS(7284), 1,
      sym_operator_identifier,
    ACTIONS(7286), 1,
      sym_null_literal,
    STATE(8474), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11145), 1,
      sym_wildcard,
    STATE(11147), 1,
      sym_stable_identifier,
    STATE(14444), 1,
      aux_sym_enumerator_repeat1,
    STATE(14989), 1,
      sym_guard,
    STATE(15125), 1,
      sym_enumerator,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4171), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11295), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209901] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7014), 1,
      anon_sym_case,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7022), 1,
      anon_sym_if,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7030), 1,
      sym_operator_identifier,
    ACTIONS(7032), 1,
      sym_null_literal,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    STATE(8906), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11114), 1,
      sym_wildcard,
    STATE(11120), 1,
      sym_stable_identifier,
    STATE(13815), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(14507), 1,
      sym_enumerator,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4172), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11364), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [210067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 44,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [210478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 44,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [210771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211005] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7294), 1,
      anon_sym_object,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7300), 1,
      anon_sym_class,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7310), 1,
      sym_operator_identifier,
    ACTIONS(7312), 1,
      sym_null_literal,
    STATE(267), 1,
      sym__case_pattern,
    STATE(7560), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10750), 1,
      sym_stable_identifier,
    STATE(10785), 1,
      sym_wildcard,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4190), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211221] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2536), 1,
      anon_sym_LBRACK,
    STATE(4193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7317), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 5,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_then,
    ACTIONS(7322), 5,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7314), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
    ACTIONS(7320), 21,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_implicit,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211287] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7324), 1,
      anon_sym_object,
    ACTIONS(7326), 1,
      anon_sym_class,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym_null_literal,
    STATE(297), 1,
      sym__case_pattern,
    STATE(7821), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10769), 1,
      sym_wildcard,
    STATE(10771), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4194), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10885), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 32,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 32,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 9,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7332), 34,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 31,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 31,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211905] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      anon_sym_RPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7352), 1,
      sym_operator_identifier,
    ACTIONS(7354), 1,
      sym_null_literal,
    STATE(8836), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10919), 1,
      sym_wildcard,
    STATE(10922), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4204), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211999] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2195), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4205), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212093] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7374), 1,
      sym_operator_identifier,
    ACTIONS(7376), 1,
      sym_null_literal,
    STATE(7596), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11369), 1,
      sym_stable_identifier,
    STATE(11372), 1,
      sym_wildcard,
    STATE(16367), 1,
      sym_identifiers,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4206), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11593), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212187] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2397), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4207), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212281] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2380), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4208), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212375] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7352), 1,
      sym_operator_identifier,
    ACTIONS(7354), 1,
      sym_null_literal,
    ACTIONS(7378), 1,
      anon_sym_RPAREN,
    STATE(8836), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10919), 1,
      sym_wildcard,
    STATE(10922), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4209), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212469] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7380), 1,
      sym_operator_identifier,
    ACTIONS(7382), 1,
      sym_null_literal,
    STATE(7595), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11363), 1,
      sym_stable_identifier,
    STATE(11366), 1,
      sym_wildcard,
    STATE(16366), 1,
      sym_identifiers,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4210), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11621), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212563] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7384), 1,
      sym_operator_identifier,
    ACTIONS(7386), 1,
      sym_null_literal,
    STATE(7556), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11351), 1,
      sym_stable_identifier,
    STATE(11356), 1,
      sym_wildcard,
    STATE(16417), 1,
      sym_identifiers,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4211), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11674), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212657] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7388), 1,
      anon_sym_RPAREN,
    ACTIONS(7390), 1,
      sym_operator_identifier,
    ACTIONS(7392), 1,
      sym_null_literal,
    STATE(7771), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10700), 1,
      sym_wildcard,
    STATE(10704), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4212), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11117), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212751] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2224), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4213), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212845] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2360), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4214), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212939] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2201), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4215), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213033] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2386), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4216), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213127] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7394), 1,
      anon_sym_RPAREN,
    ACTIONS(7396), 1,
      sym_operator_identifier,
    ACTIONS(7398), 1,
      sym_null_literal,
    STATE(7602), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10832), 1,
      sym_stable_identifier,
    STATE(10833), 1,
      sym_wildcard,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4217), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10961), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213221] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2398), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4218), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213315] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2238), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4219), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213409] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7400), 1,
      sym_operator_identifier,
    ACTIONS(7402), 1,
      sym_null_literal,
    STATE(7557), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11354), 1,
      sym_wildcard,
    STATE(11355), 1,
      sym_stable_identifier,
    STATE(16419), 1,
      sym_identifiers,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4220), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11677), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213503] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2335), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4221), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213597] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7404), 1,
      sym_operator_identifier,
    ACTIONS(7406), 1,
      sym_null_literal,
    STATE(7841), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11287), 1,
      sym_stable_identifier,
    STATE(11288), 1,
      sym_wildcard,
    STATE(16525), 1,
      sym_identifiers,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4222), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11612), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213691] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7408), 1,
      sym_operator_identifier,
    ACTIONS(7410), 1,
      sym_null_literal,
    STATE(7838), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11289), 1,
      sym_stable_identifier,
    STATE(11291), 1,
      sym_wildcard,
    STATE(16524), 1,
      sym_identifiers,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4223), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11609), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7332), 33,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [213841] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2290), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4225), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213935] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2212), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4226), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214029] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7412), 1,
      sym_operator_identifier,
    ACTIONS(7414), 1,
      sym_null_literal,
    STATE(7519), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11203), 1,
      sym_stable_identifier,
    STATE(11206), 1,
      sym_wildcard,
    STATE(16355), 1,
      sym_identifiers,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4227), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11486), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214123] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7416), 1,
      sym_operator_identifier,
    ACTIONS(7418), 1,
      sym_null_literal,
    STATE(8178), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11197), 1,
      sym_stable_identifier,
    STATE(11200), 1,
      sym_wildcard,
    STATE(16354), 1,
      sym_identifiers,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4228), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11480), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214217] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2407), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4229), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214311] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7352), 1,
      sym_operator_identifier,
    ACTIONS(7354), 1,
      sym_null_literal,
    ACTIONS(7420), 1,
      anon_sym_RPAREN,
    STATE(8836), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10919), 1,
      sym_wildcard,
    STATE(10922), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4230), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214405] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2251), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4231), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214499] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7352), 1,
      sym_operator_identifier,
    ACTIONS(7354), 1,
      sym_null_literal,
    ACTIONS(7422), 1,
      anon_sym_RPAREN,
    STATE(8836), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10919), 1,
      sym_wildcard,
    STATE(10922), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4232), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214593] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym_null_literal,
    STATE(297), 1,
      sym__case_pattern,
    STATE(7821), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10769), 1,
      sym_wildcard,
    STATE(10771), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4233), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10885), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214687] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2140), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4234), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214781] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2271), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4235), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214875] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2141), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4236), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214969] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2281), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4237), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215063] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2126), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4238), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215157] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7310), 1,
      sym_operator_identifier,
    ACTIONS(7312), 1,
      sym_null_literal,
    STATE(267), 1,
      sym__case_pattern,
    STATE(7560), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10750), 1,
      sym_stable_identifier,
    STATE(10785), 1,
      sym_wildcard,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4239), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11058), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215251] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2163), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4240), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215345] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2356), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4241), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215439] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2152), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4242), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215533] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7352), 1,
      sym_operator_identifier,
    ACTIONS(7354), 1,
      sym_null_literal,
    ACTIONS(7424), 1,
      anon_sym_RPAREN,
    STATE(8836), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10919), 1,
      sym_wildcard,
    STATE(10922), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4243), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215627] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2318), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4244), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215721] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2243), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4245), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215815] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2207), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4246), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215909] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7426), 1,
      anon_sym_RPAREN,
    ACTIONS(7428), 1,
      sym_operator_identifier,
    ACTIONS(7430), 1,
      sym_null_literal,
    STATE(7562), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10751), 1,
      sym_stable_identifier,
    STATE(10753), 1,
      sym_wildcard,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4247), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11059), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216003] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2164), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4248), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216097] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7352), 1,
      sym_operator_identifier,
    ACTIONS(7354), 1,
      sym_null_literal,
    ACTIONS(7432), 1,
      anon_sym_RPAREN,
    STATE(8836), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10919), 1,
      sym_wildcard,
    STATE(10922), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4249), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216191] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2252), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4250), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216285] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2146), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4251), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216379] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2191), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4252), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216473] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2100), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4253), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216567] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2256), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4254), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216661] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2340), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4255), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216755] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2210), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4256), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216849] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2227), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4257), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216943] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2283), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4258), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217037] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7434), 1,
      sym_operator_identifier,
    ACTIONS(7436), 1,
      sym_null_literal,
    STATE(7611), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11387), 1,
      sym_stable_identifier,
    STATE(11388), 1,
      sym_wildcard,
    STATE(16372), 1,
      sym_identifiers,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4259), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11446), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217131] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7352), 1,
      sym_operator_identifier,
    ACTIONS(7354), 1,
      sym_null_literal,
    ACTIONS(7438), 1,
      anon_sym_RPAREN,
    STATE(8836), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10919), 1,
      sym_wildcard,
    STATE(10922), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4260), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217225] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7440), 1,
      sym_operator_identifier,
    ACTIONS(7442), 1,
      sym_null_literal,
    STATE(7609), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11390), 1,
      sym_stable_identifier,
    STATE(11391), 1,
      sym_wildcard,
    STATE(16380), 1,
      sym_identifiers,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4261), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11441), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217319] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7352), 1,
      sym_operator_identifier,
    ACTIONS(7354), 1,
      sym_null_literal,
    ACTIONS(7444), 1,
      anon_sym_RPAREN,
    STATE(8836), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10919), 1,
      sym_wildcard,
    STATE(10922), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4262), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217413] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7356), 1,
      sym_operator_identifier,
    ACTIONS(7358), 1,
      sym_null_literal,
    STATE(2130), 1,
      sym__case_pattern,
    STATE(7604), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(10835), 1,
      sym_wildcard,
    STATE(10837), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4263), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10944), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217507] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7446), 1,
      anon_sym_RPAREN,
    ACTIONS(7448), 1,
      sym_operator_identifier,
    ACTIONS(7450), 1,
      sym_null_literal,
    STATE(7575), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10779), 1,
      sym_wildcard,
    STATE(10781), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4264), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11022), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217601] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7464), 1,
      anon_sym_LPAREN,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7468), 1,
      sym_operator_identifier,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    STATE(4400), 1,
      sym__given_constructor,
    STATE(11005), 1,
      sym_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11847), 1,
      sym__annotated_type,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14993), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4265), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217708] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7472), 1,
      sym_operator_identifier,
    ACTIONS(7474), 1,
      sym_null_literal,
    STATE(8706), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(11021), 1,
      sym_wildcard,
    STATE(11024), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4266), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11347), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217799] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7352), 1,
      sym_operator_identifier,
    ACTIONS(7354), 1,
      sym_null_literal,
    STATE(8836), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10919), 1,
      sym_wildcard,
    STATE(10922), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4267), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217890] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7476), 1,
      sym_operator_identifier,
    ACTIONS(7478), 1,
      sym_null_literal,
    STATE(7578), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10788), 1,
      sym_stable_identifier,
    STATE(10789), 1,
      sym_wildcard,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4268), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11015), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217981] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7480), 1,
      sym_operator_identifier,
    ACTIONS(7482), 1,
      sym_null_literal,
    STATE(9282), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11192), 1,
      sym_stable_identifier,
    STATE(11193), 1,
      sym_wildcard,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4269), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11472), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218072] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7484), 1,
      sym_operator_identifier,
    ACTIONS(7486), 1,
      sym_null_literal,
    STATE(8875), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11030), 1,
      sym_wildcard,
    STATE(11033), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4270), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11340), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218163] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7488), 1,
      sym_operator_identifier,
    ACTIONS(7490), 1,
      sym_null_literal,
    STATE(8759), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(11110), 1,
      sym_wildcard,
    STATE(11111), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4271), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11284), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218254] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7492), 1,
      sym_operator_identifier,
    ACTIONS(7494), 1,
      sym_null_literal,
    STATE(8760), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(11115), 1,
      sym_wildcard,
    STATE(11126), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4272), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11283), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7496), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [218402] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      sym_integer_literal,
    ACTIONS(7292), 1,
      sym__alpha_identifier,
    ACTIONS(7296), 1,
      anon_sym__,
    ACTIONS(7298), 1,
      anon_sym_given,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(7306), 1,
      anon_sym_SQUOTE,
    ACTIONS(7308), 1,
      sym__backquoted_id,
    ACTIONS(7498), 1,
      sym_operator_identifier,
    ACTIONS(7500), 1,
      sym_null_literal,
    STATE(8762), 1,
      sym_identifier,
    STATE(10609), 1,
      sym__soft_identifier,
    STATE(11130), 1,
      sym_wildcard,
    STATE(11140), 1,
      sym_stable_identifier,
    ACTIONS(6470), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6472), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6474), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4274), 2,
      sym_comment,
      sym_block_comment,
    STATE(11756), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16888), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11282), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218493] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7502), 1,
      sym_operator_identifier,
    ACTIONS(7504), 1,
      sym_null_literal,
    STATE(7436), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10411), 1,
      sym_wildcard,
    STATE(10412), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4275), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10819), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218584] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7506), 1,
      sym_operator_identifier,
    ACTIONS(7508), 1,
      sym_null_literal,
    STATE(7437), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10415), 1,
      sym_wildcard,
    STATE(10417), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4276), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10815), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218675] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7510), 1,
      sym_operator_identifier,
    ACTIONS(7512), 1,
      sym_null_literal,
    STATE(9278), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11185), 1,
      sym_stable_identifier,
    STATE(11186), 1,
      sym_wildcard,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4277), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11445), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218766] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7514), 1,
      sym_operator_identifier,
    ACTIONS(7516), 1,
      sym_null_literal,
    STATE(7441), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10392), 1,
      sym_wildcard,
    STATE(10424), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4278), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10808), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7518), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [218914] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7530), 1,
      sym_operator_identifier,
    STATE(4428), 1,
      sym__given_constructor,
    STATE(10694), 1,
      sym_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11459), 1,
      sym__annotated_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14647), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4280), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219021] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7532), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [219078] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7534), 1,
      sym_operator_identifier,
    ACTIONS(7536), 1,
      sym_null_literal,
    STATE(7589), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10802), 1,
      sym_wildcard,
    STATE(10805), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4282), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10983), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219169] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7464), 1,
      anon_sym_LPAREN,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7468), 1,
      sym_operator_identifier,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    STATE(4439), 1,
      sym__given_constructor,
    STATE(11005), 1,
      sym_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11763), 1,
      sym__annotated_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14952), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4283), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219276] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7538), 1,
      sym_operator_identifier,
    ACTIONS(7540), 1,
      sym_null_literal,
    STATE(7550), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10715), 1,
      sym_stable_identifier,
    STATE(10717), 1,
      sym_wildcard,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4284), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11098), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219367] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7518), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [219424] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7496), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [219481] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7530), 1,
      sym_operator_identifier,
    STATE(4353), 1,
      sym__given_constructor,
    STATE(10694), 1,
      sym_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(12059), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14647), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4287), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219588] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7530), 1,
      sym_operator_identifier,
    STATE(4369), 1,
      sym__given_constructor,
    STATE(10694), 1,
      sym_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11709), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14761), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4288), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7532), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [219752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [219807] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7530), 1,
      sym_operator_identifier,
    STATE(4447), 1,
      sym__given_constructor,
    STATE(10694), 1,
      sym_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11801), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14761), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4291), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219914] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7464), 1,
      anon_sym_LPAREN,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7468), 1,
      sym_operator_identifier,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    STATE(4349), 1,
      sym__given_constructor,
    STATE(11005), 1,
      sym_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11828), 1,
      sym__annotated_type,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14907), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4292), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [220076] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7464), 1,
      anon_sym_LPAREN,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7468), 1,
      sym_operator_identifier,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    STATE(4370), 1,
      sym__given_constructor,
    STATE(11005), 1,
      sym_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11708), 1,
      sym__annotated_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14993), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4294), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220183] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7542), 1,
      sym_operator_identifier,
    ACTIONS(7544), 1,
      sym_null_literal,
    STATE(8703), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(11012), 1,
      sym_wildcard,
    STATE(11016), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4295), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11352), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [220274] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7530), 1,
      sym_operator_identifier,
    STATE(4363), 1,
      sym__given_constructor,
    STATE(10694), 1,
      sym_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11971), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14583), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4296), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220381] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7546), 1,
      sym_operator_identifier,
    ACTIONS(7548), 1,
      sym_null_literal,
    STATE(8515), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(11101), 1,
      sym_wildcard,
    STATE(11108), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4297), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11307), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [220472] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7530), 1,
      sym_operator_identifier,
    STATE(4448), 1,
      sym__given_constructor,
    STATE(10694), 1,
      sym_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11992), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14647), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4298), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220579] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7464), 1,
      anon_sym_LPAREN,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7468), 1,
      sym_operator_identifier,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    STATE(4383), 1,
      sym__given_constructor,
    STATE(11005), 1,
      sym_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11695), 1,
      sym__annotated_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14952), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4299), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220686] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7530), 1,
      sym_operator_identifier,
    STATE(4378), 1,
      sym__given_constructor,
    STATE(10694), 1,
      sym_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11628), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14583), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4300), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220793] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7464), 1,
      anon_sym_LPAREN,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7468), 1,
      sym_operator_identifier,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    STATE(4387), 1,
      sym__given_constructor,
    STATE(11005), 1,
      sym_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11665), 1,
      sym__annotated_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14907), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4301), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220900] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7550), 1,
      sym_operator_identifier,
    ACTIONS(7552), 1,
      sym_null_literal,
    STATE(7790), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(10735), 1,
      sym_wildcard,
    STATE(10736), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4302), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11074), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [220991] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7518), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [221048] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      sym_integer_literal,
    ACTIONS(7336), 1,
      sym__alpha_identifier,
    ACTIONS(7338), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_given,
    ACTIONS(7344), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_SQUOTE,
    ACTIONS(7350), 1,
      sym__backquoted_id,
    ACTIONS(7554), 1,
      sym_operator_identifier,
    ACTIONS(7556), 1,
      sym_null_literal,
    STATE(8704), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__soft_identifier,
    STATE(11018), 1,
      sym_wildcard,
    STATE(11019), 1,
      sym_stable_identifier,
    ACTIONS(6258), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6260), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6262), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4304), 2,
      sym_comment,
      sym_block_comment,
    STATE(11916), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16770), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11350), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [221139] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7530), 1,
      sym_operator_identifier,
    STATE(4361), 1,
      sym__given_constructor,
    STATE(10694), 1,
      sym_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11786), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14583), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4305), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221246] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7454), 1,
      anon_sym_COLON,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      sym__automatic_semicolon,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7530), 1,
      sym_operator_identifier,
    STATE(4404), 1,
      sym__given_constructor,
    STATE(10694), 1,
      sym_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11882), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 1,
      sym_type_parameters,
    STATE(14761), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4306), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221353] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7496), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [221410] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6574), 1,
      sym_integer_literal,
    ACTIONS(7360), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      anon_sym__,
    ACTIONS(7364), 1,
      anon_sym_given,
    ACTIONS(7368), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      sym__backquoted_id,
    ACTIONS(7558), 1,
      sym_operator_identifier,
    ACTIONS(7560), 1,
      sym_null_literal,
    STATE(9280), 1,
      sym_identifier,
    STATE(10654), 1,
      sym__soft_identifier,
    STATE(11187), 1,
      sym_stable_identifier,
    STATE(11188), 1,
      sym_wildcard,
    ACTIONS(6576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4308), 2,
      sym_comment,
      sym_block_comment,
    STATE(12411), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17105), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11451), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [221501] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6530), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      sym__alpha_identifier,
    ACTIONS(7016), 1,
      anon_sym__,
    ACTIONS(7018), 1,
      anon_sym_given,
    ACTIONS(7026), 1,
      anon_sym_SQUOTE,
    ACTIONS(7028), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      anon_sym_LPAREN,
    ACTIONS(7562), 1,
      sym_operator_identifier,
    ACTIONS(7564), 1,
      sym_null_literal,
    STATE(8596), 1,
      sym_identifier,
    STATE(9882), 1,
      sym__soft_identifier,
    STATE(10978), 1,
      sym_wildcard,
    STATE(10981), 1,
      sym_stable_identifier,
    ACTIONS(6532), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6534), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6536), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4309), 2,
      sym_comment,
      sym_block_comment,
    STATE(11316), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17963), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7020), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11389), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [221592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7532), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [221649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 39,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [221701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7570), 8,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7568), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [221753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4930), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4928), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [221804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 35,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [221855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4918), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4916), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [221906] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(489), 1,
      sym__alpha_identifier,
    ACTIONS(553), 1,
      sym__backquoted_id,
    ACTIONS(7578), 1,
      sym_operator_identifier,
    STATE(5822), 1,
      sym__soft_identifier,
    STATE(9855), 1,
      sym_identifier,
    STATE(4316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(677), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4176), 6,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(7576), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [221970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 35,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [222018] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7584), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7588), 1,
      anon_sym_def,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    STATE(4350), 1,
      sym_type_parameters,
    STATE(4438), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8915), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14312), 1,
      sym__function_declaration,
    STATE(18430), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4318), 2,
      sym_comment,
      sym_block_comment,
    STATE(14582), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222110] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(7610), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__soft_identifier,
    STATE(7474), 1,
      sym_identifier,
    STATE(4319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 6,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(7606), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [222174] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7584), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    ACTIONS(7612), 1,
      anon_sym_def,
    STATE(4393), 1,
      sym_type_parameters,
    STATE(4394), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8892), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14473), 1,
      sym__function_declaration,
    STATE(17939), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4320), 2,
      sym_comment,
      sym_block_comment,
    STATE(14582), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222266] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7584), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7588), 1,
      anon_sym_def,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    STATE(4374), 1,
      sym_type_parameters,
    STATE(4397), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8915), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14528), 1,
      sym__function_declaration,
    STATE(18430), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4321), 2,
      sym_comment,
      sym_block_comment,
    STATE(14582), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222358] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7584), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7614), 1,
      anon_sym_LBRACE,
    ACTIONS(7616), 1,
      anon_sym_def,
    ACTIONS(7618), 1,
      sym__indent,
    STATE(4401), 1,
      sym_type_parameters,
    STATE(4405), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8697), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14385), 1,
      sym__function_declaration,
    STATE(17348), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4322), 2,
      sym_comment,
      sym_block_comment,
    STATE(14987), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222450] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7584), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7614), 1,
      anon_sym_LBRACE,
    ACTIONS(7616), 1,
      anon_sym_def,
    ACTIONS(7618), 1,
      sym__indent,
    STATE(4375), 1,
      sym_type_parameters,
    STATE(4421), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8697), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14457), 1,
      sym__function_declaration,
    STATE(17348), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4323), 2,
      sym_comment,
      sym_block_comment,
    STATE(14987), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222542] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7626), 1,
      anon_sym_implicit,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7636), 1,
      anon_sym_using,
    ACTIONS(7638), 1,
      anon_sym_RPAREN,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15623), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [222633] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7644), 1,
      anon_sym_implicit,
    ACTIONS(7646), 1,
      anon_sym_using,
    ACTIONS(7648), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15408), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [222724] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7650), 1,
      anon_sym_implicit,
    ACTIONS(7652), 1,
      anon_sym_using,
    ACTIONS(7654), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16167), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [222815] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7658), 1,
      anon_sym_case,
    ACTIONS(7660), 1,
      anon_sym_object,
    ACTIONS(7662), 1,
      anon_sym_given,
    ACTIONS(7664), 1,
      anon_sym_class,
    ACTIONS(7666), 1,
      anon_sym_trait,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7672), 1,
      anon_sym_type,
    ACTIONS(7674), 1,
      anon_sym_def,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(6131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(13186), 1,
      sym_modifiers,
    STATE(17945), 1,
      sym_opaque_modifier,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4327), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222908] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7678), 1,
      anon_sym_implicit,
    ACTIONS(7680), 1,
      anon_sym_using,
    ACTIONS(7682), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15405), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [222999] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7684), 1,
      anon_sym_enum,
    ACTIONS(7686), 1,
      anon_sym_case,
    ACTIONS(7688), 1,
      anon_sym_object,
    ACTIONS(7690), 1,
      anon_sym_given,
    ACTIONS(7692), 1,
      anon_sym_class,
    ACTIONS(7694), 1,
      anon_sym_trait,
    ACTIONS(7696), 1,
      anon_sym_type,
    ACTIONS(7698), 1,
      anon_sym_def,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(6131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(13212), 1,
      sym_modifiers,
    STATE(17368), 1,
      sym_opaque_modifier,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4329), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223092] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7704), 1,
      anon_sym_LBRACK,
    ACTIONS(7706), 1,
      anon_sym_AT,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_POUND,
    STATE(4544), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4634), 1,
      sym_type_arguments,
    STATE(4952), 1,
      sym_annotation,
    STATE(5986), 1,
      sym_arguments,
    STATE(4330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [223157] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7660), 1,
      anon_sym_object,
    ACTIONS(7664), 1,
      anon_sym_class,
    ACTIONS(7666), 1,
      anon_sym_trait,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7672), 1,
      anon_sym_type,
    ACTIONS(7674), 1,
      anon_sym_def,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7712), 1,
      anon_sym_case,
    ACTIONS(7714), 1,
      anon_sym_given,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(6131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(13228), 1,
      sym_modifiers,
    STATE(17945), 1,
      sym_opaque_modifier,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4331), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223250] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7716), 1,
      anon_sym_implicit,
    ACTIONS(7718), 1,
      anon_sym_using,
    ACTIONS(7720), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15460), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223341] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7722), 1,
      anon_sym_implicit,
    ACTIONS(7724), 1,
      anon_sym_using,
    ACTIONS(7726), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15628), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223432] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7728), 1,
      anon_sym_implicit,
    ACTIONS(7730), 1,
      anon_sym_using,
    ACTIONS(7732), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16164), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223523] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7684), 1,
      anon_sym_enum,
    ACTIONS(7686), 1,
      anon_sym_case,
    ACTIONS(7688), 1,
      anon_sym_object,
    ACTIONS(7692), 1,
      anon_sym_class,
    ACTIONS(7694), 1,
      anon_sym_trait,
    ACTIONS(7696), 1,
      anon_sym_type,
    ACTIONS(7698), 1,
      anon_sym_def,
    ACTIONS(7734), 1,
      anon_sym_given,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(6131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(13048), 1,
      sym_modifiers,
    STATE(17368), 1,
      sym_opaque_modifier,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4335), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223616] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7660), 1,
      anon_sym_object,
    ACTIONS(7662), 1,
      anon_sym_given,
    ACTIONS(7664), 1,
      anon_sym_class,
    ACTIONS(7666), 1,
      anon_sym_trait,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7672), 1,
      anon_sym_type,
    ACTIONS(7674), 1,
      anon_sym_def,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7712), 1,
      anon_sym_case,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(6131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(13186), 1,
      sym_modifiers,
    STATE(17945), 1,
      sym_opaque_modifier,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4336), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223709] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7740), 1,
      anon_sym_LBRACK,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7744), 1,
      anon_sym_POUND,
    STATE(4527), 1,
      aux_sym_annotation_repeat1,
    STATE(4550), 1,
      sym_type_arguments,
    STATE(4794), 1,
      sym_arguments,
    STATE(4337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [223770] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7750), 1,
      anon_sym_with,
    STATE(4440), 1,
      aux_sym_compound_type_repeat1,
    STATE(5493), 1,
      sym__refinement,
    STATE(5494), 1,
      sym_template_body,
    STATE(5986), 1,
      sym_arguments,
    STATE(4338), 2,
      sym_comment,
      sym_block_comment,
    STATE(5825), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [223831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7752), 1,
      anon_sym_DOT,
    STATE(4339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [223880] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7754), 1,
      anon_sym_implicit,
    ACTIONS(7756), 1,
      anon_sym_using,
    ACTIONS(7758), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16235), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223971] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7656), 1,
      anon_sym_enum,
    ACTIONS(7660), 1,
      anon_sym_object,
    ACTIONS(7664), 1,
      anon_sym_class,
    ACTIONS(7666), 1,
      anon_sym_trait,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7712), 1,
      anon_sym_case,
    ACTIONS(7760), 1,
      anon_sym_given,
    ACTIONS(7762), 1,
      anon_sym_type,
    ACTIONS(7764), 1,
      anon_sym_def,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(6131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(13171), 1,
      sym_modifiers,
    STATE(17907), 1,
      sym_opaque_modifier,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4341), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224064] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7766), 1,
      anon_sym_implicit,
    ACTIONS(7768), 1,
      anon_sym_using,
    ACTIONS(7770), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15977), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224155] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(7610), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__soft_identifier,
    STATE(7474), 1,
      sym_identifier,
    STATE(4343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 5,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(7606), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [224218] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7684), 1,
      anon_sym_enum,
    ACTIONS(7688), 1,
      anon_sym_object,
    ACTIONS(7692), 1,
      anon_sym_class,
    ACTIONS(7694), 1,
      anon_sym_trait,
    ACTIONS(7696), 1,
      anon_sym_type,
    ACTIONS(7698), 1,
      anon_sym_def,
    ACTIONS(7734), 1,
      anon_sym_given,
    ACTIONS(7772), 1,
      anon_sym_case,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(6131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(13048), 1,
      sym_modifiers,
    STATE(17368), 1,
      sym_opaque_modifier,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4344), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224311] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7774), 1,
      anon_sym_implicit,
    ACTIONS(7776), 1,
      anon_sym_using,
    ACTIONS(7778), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15518), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224402] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7682), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15405), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4346), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224488] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7780), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16236), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4347), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224574] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7782), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15715), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4348), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224660] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(11891), 1,
      sym__annotated_type,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14884), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4349), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224746] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7588), 1,
      anon_sym_def,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    STATE(4391), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8915), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14312), 1,
      sym__function_declaration,
    STATE(18430), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4350), 2,
      sym_comment,
      sym_block_comment,
    STATE(14630), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224832] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7790), 1,
      anon_sym_LBRACK,
    ACTIONS(7792), 1,
      anon_sym_AT,
    ACTIONS(7794), 1,
      anon_sym_LPAREN,
    ACTIONS(7796), 1,
      anon_sym_POUND,
    STATE(4707), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4810), 1,
      sym_type_arguments,
    STATE(5315), 1,
      sym_annotation,
    STATE(6461), 1,
      sym_arguments,
    STATE(4351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [224896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [224942] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(11957), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14677), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4353), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225028] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7804), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4354), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225114] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7740), 1,
      anon_sym_LBRACK,
    ACTIONS(7744), 1,
      anon_sym_POUND,
    ACTIONS(7806), 1,
      anon_sym_AT,
    STATE(4550), 1,
      sym_type_arguments,
    STATE(4624), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4851), 1,
      sym_annotation,
    STATE(4355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225174] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7682), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15405), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4356), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [225306] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7810), 1,
      anon_sym_COLON,
    ACTIONS(7812), 1,
      anon_sym_LBRACE,
    ACTIONS(7816), 1,
      anon_sym_with,
    STATE(4430), 1,
      aux_sym_compound_type_repeat1,
    STATE(7272), 1,
      sym__refinement,
    STATE(7273), 1,
      sym_template_body,
    STATE(4358), 2,
      sym_comment,
      sym_block_comment,
    STATE(7122), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225368] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7818), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4359), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225454] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7820), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16069), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4360), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225540] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(11735), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14660), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4361), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225626] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7822), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4362), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225712] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(12056), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14660), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4363), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225798] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7824), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4364), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [225930] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    ACTIONS(7828), 1,
      anon_sym_COLON,
    ACTIONS(7830), 1,
      anon_sym_LBRACE,
    STATE(11556), 1,
      sym__simple_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(11960), 1,
      sym__annotated_type,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14175), 1,
      sym__constructor_application,
    STATE(14270), 1,
      sym_compound_type,
    STATE(14437), 1,
      sym_template_body,
    STATE(14512), 1,
      sym__constructor_applications,
    STATE(14545), 1,
      sym__structural_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(4366), 2,
      sym_comment,
      sym_block_comment,
    STATE(14416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226016] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7832), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      anon_sym_LPAREN,
    ACTIONS(7836), 1,
      anon_sym_POUND,
    STATE(4616), 1,
      aux_sym_annotation_repeat1,
    STATE(4721), 1,
      sym_type_arguments,
    STATE(5067), 1,
      sym_arguments,
    STATE(4367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [226122] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11616), 1,
      sym__annotated_type,
    STATE(11657), 1,
      sym_identifier,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14572), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4369), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226208] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11711), 1,
      sym__annotated_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14966), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4370), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226294] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7840), 1,
      sym__alpha_identifier,
    ACTIONS(7842), 1,
      anon_sym_COLON,
    ACTIONS(7844), 1,
      anon_sym_LBRACE,
    ACTIONS(7846), 1,
      anon_sym__,
    ACTIONS(7850), 1,
      anon_sym_LPAREN,
    ACTIONS(7852), 1,
      sym__backquoted_id,
    ACTIONS(7854), 1,
      sym_operator_identifier,
    STATE(11020), 1,
      sym__simple_type,
    STATE(11217), 1,
      sym__annotated_type,
    STATE(11741), 1,
      sym_identifier,
    STATE(11889), 1,
      sym__soft_identifier,
    STATE(12900), 1,
      sym__constructor_application,
    STATE(13352), 1,
      sym_compound_type,
    STATE(13447), 1,
      sym_template_body,
    STATE(13475), 1,
      sym_annotated_type,
    STATE(13605), 1,
      sym__structural_type,
    STATE(13774), 1,
      sym__constructor_applications,
    STATE(17447), 1,
      sym_stable_identifier,
    STATE(4371), 2,
      sym_comment,
      sym_block_comment,
    STATE(13495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226380] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(7860), 1,
      sym__interpolated_multiline_string_start,
    STATE(5994), 1,
      sym_interpolated_string,
    STATE(16034), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226438] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7726), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15628), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4373), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226524] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7588), 1,
      anon_sym_def,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    STATE(4389), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8915), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14528), 1,
      sym__function_declaration,
    STATE(18430), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4374), 2,
      sym_comment,
      sym_block_comment,
    STATE(14630), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226610] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7614), 1,
      anon_sym_LBRACE,
    ACTIONS(7616), 1,
      anon_sym_def,
    ACTIONS(7618), 1,
      sym__indent,
    STATE(4449), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8697), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14457), 1,
      sym__function_declaration,
    STATE(17348), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4375), 2,
      sym_comment,
      sym_block_comment,
    STATE(14932), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226696] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7726), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15628), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4376), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226782] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7820), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16069), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4377), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226868] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11588), 1,
      sym__annotated_type,
    STATE(11657), 1,
      sym_identifier,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14660), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4378), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226954] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7862), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15335), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4379), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227040] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_AT,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(7870), 1,
      anon_sym_POUND,
    STATE(4757), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4973), 1,
      sym_type_arguments,
    STATE(5107), 1,
      sym_annotation,
    STATE(6370), 1,
      sym_arguments,
    STATE(4380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [227104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227150] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7818), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15819), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4382), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227236] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11688), 1,
      sym__annotated_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14910), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4383), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227322] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7818), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15819), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4384), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227408] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    ACTIONS(7874), 1,
      anon_sym_COLON,
    ACTIONS(7876), 1,
      anon_sym_LBRACE,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11602), 1,
      sym__simple_type,
    STATE(11657), 1,
      sym_identifier,
    STATE(11779), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14107), 1,
      sym__constructor_application,
    STATE(14364), 1,
      sym_compound_type,
    STATE(14433), 1,
      sym__constructor_applications,
    STATE(14459), 1,
      sym__structural_type,
    STATE(14559), 1,
      sym_template_body,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(4385), 2,
      sym_comment,
      sym_block_comment,
    STATE(14515), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227494] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7878), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4386), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227580] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11663), 1,
      sym__annotated_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14884), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4387), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227666] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7880), 1,
      anon_sym_with,
    STATE(4454), 1,
      aux_sym_compound_type_repeat1,
    STATE(6461), 1,
      sym_arguments,
    STATE(6515), 1,
      sym_template_body,
    STATE(6516), 1,
      sym__refinement,
    STATE(4388), 2,
      sym_comment,
      sym_block_comment,
    STATE(6416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [227726] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7588), 1,
      anon_sym_def,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8915), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10200), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14528), 1,
      sym__function_declaration,
    STATE(18430), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4389), 2,
      sym_comment,
      sym_block_comment,
    STATE(14640), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227812] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    ACTIONS(7612), 1,
      anon_sym_def,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8892), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10200), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14473), 1,
      sym__function_declaration,
    STATE(17939), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4390), 2,
      sym_comment,
      sym_block_comment,
    STATE(14640), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227898] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7588), 1,
      anon_sym_def,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8915), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10200), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14312), 1,
      sym__function_declaration,
    STATE(18430), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4391), 2,
      sym_comment,
      sym_block_comment,
    STATE(14640), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [228030] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    ACTIONS(7612), 1,
      anon_sym_def,
    STATE(4390), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8892), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14473), 1,
      sym__function_declaration,
    STATE(17939), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4393), 2,
      sym_comment,
      sym_block_comment,
    STATE(14630), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228116] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    ACTIONS(7612), 1,
      anon_sym_def,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8892), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10200), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14473), 1,
      sym__function_declaration,
    STATE(17939), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4394), 2,
      sym_comment,
      sym_block_comment,
    STATE(14710), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228202] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7780), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16236), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4395), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228288] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7884), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4396), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228374] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7588), 1,
      anon_sym_def,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8915), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10200), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14528), 1,
      sym__function_declaration,
    STATE(18430), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4397), 2,
      sym_comment,
      sym_block_comment,
    STATE(14710), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228460] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7886), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_LPAREN,
    ACTIONS(7890), 1,
      anon_sym_POUND,
    STATE(4608), 1,
      aux_sym_annotation_repeat1,
    STATE(4746), 1,
      sym_type_arguments,
    STATE(4833), 1,
      sym_arguments,
    STATE(4398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228520] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7892), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4399), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228606] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(11809), 1,
      sym__annotated_type,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14966), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4400), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228692] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7614), 1,
      anon_sym_LBRACE,
    ACTIONS(7616), 1,
      anon_sym_def,
    ACTIONS(7618), 1,
      sym__indent,
    STATE(4407), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8697), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14385), 1,
      sym__function_declaration,
    STATE(17348), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4401), 2,
      sym_comment,
      sym_block_comment,
    STATE(14932), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228778] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7704), 1,
      anon_sym_LBRACK,
    ACTIONS(7706), 1,
      anon_sym_AT,
    ACTIONS(7710), 1,
      anon_sym_POUND,
    STATE(4544), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4634), 1,
      sym_type_arguments,
    STATE(4952), 1,
      sym_annotation,
    STATE(4402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228838] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7780), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4403), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228924] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(11798), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14572), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4404), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229010] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7614), 1,
      anon_sym_LBRACE,
    ACTIONS(7616), 1,
      anon_sym_def,
    ACTIONS(7618), 1,
      sym__indent,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8697), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10200), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14385), 1,
      sym__function_declaration,
    STATE(17348), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4405), 2,
      sym_comment,
      sym_block_comment,
    STATE(14960), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [229142] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7614), 1,
      anon_sym_LBRACE,
    ACTIONS(7616), 1,
      anon_sym_def,
    ACTIONS(7618), 1,
      sym__indent,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8697), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10200), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14385), 1,
      sym__function_declaration,
    STATE(17348), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4407), 2,
      sym_comment,
      sym_block_comment,
    STATE(14920), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229228] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7896), 1,
      sym__alpha_identifier,
    ACTIONS(7898), 1,
      anon_sym_COLON,
    ACTIONS(7900), 1,
      anon_sym_LBRACE,
    ACTIONS(7902), 1,
      anon_sym__,
    ACTIONS(7906), 1,
      anon_sym_LPAREN,
    ACTIONS(7908), 1,
      sym__backquoted_id,
    ACTIONS(7910), 1,
      sym_operator_identifier,
    STATE(12462), 1,
      sym__simple_type,
    STATE(12682), 1,
      sym__annotated_type,
    STATE(13535), 1,
      sym_identifier,
    STATE(13652), 1,
      sym__soft_identifier,
    STATE(14069), 1,
      sym__constructor_application,
    STATE(14373), 1,
      sym_compound_type,
    STATE(14435), 1,
      sym_annotated_type,
    STATE(14480), 1,
      sym_template_body,
    STATE(14497), 1,
      sym__structural_type,
    STATE(14801), 1,
      sym__constructor_applications,
    STATE(17867), 1,
      sym_stable_identifier,
    STATE(4408), 2,
      sym_comment,
      sym_block_comment,
    STATE(14527), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13955), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [229360] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7732), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16164), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4410), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229446] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7810), 1,
      anon_sym_COLON,
    ACTIONS(7812), 1,
      anon_sym_LBRACE,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7816), 1,
      anon_sym_with,
    STATE(4430), 1,
      aux_sym_compound_type_repeat1,
    STATE(7272), 1,
      sym__refinement,
    STATE(7273), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4411), 2,
      sym_comment,
      sym_block_comment,
    STATE(7122), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [229514] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7704), 1,
      anon_sym_LBRACK,
    ACTIONS(7710), 1,
      anon_sym_POUND,
    ACTIONS(7920), 1,
      anon_sym_LPAREN,
    STATE(4599), 1,
      aux_sym_annotation_repeat1,
    STATE(4634), 1,
      sym_type_arguments,
    STATE(5078), 1,
      sym_arguments,
    STATE(4412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229574] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    ACTIONS(7874), 1,
      anon_sym_COLON,
    ACTIONS(7876), 1,
      anon_sym_LBRACE,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11602), 1,
      sym__simple_type,
    STATE(11657), 1,
      sym_identifier,
    STATE(11779), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14055), 1,
      sym__constructor_application,
    STATE(14364), 1,
      sym_compound_type,
    STATE(14433), 1,
      sym__constructor_applications,
    STATE(14459), 1,
      sym__structural_type,
    STATE(14559), 1,
      sym_template_body,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(4413), 2,
      sym_comment,
      sym_block_comment,
    STATE(14515), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229660] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7732), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16164), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4414), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229746] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7922), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4415), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229832] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7924), 1,
      anon_sym_with,
    STATE(4507), 1,
      aux_sym_compound_type_repeat1,
    STATE(6370), 1,
      sym_arguments,
    STATE(6755), 1,
      sym_template_body,
    STATE(6757), 1,
      sym__refinement,
    STATE(4416), 2,
      sym_comment,
      sym_block_comment,
    STATE(6420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229892] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7926), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4417), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229978] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7782), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15715), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4418), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230064] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7928), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4419), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230150] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7930), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4420), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230236] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7614), 1,
      anon_sym_LBRACE,
    ACTIONS(7616), 1,
      anon_sym_def,
    ACTIONS(7618), 1,
      sym__indent,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8697), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10200), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14457), 1,
      sym__function_declaration,
    STATE(17348), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4421), 2,
      sym_comment,
      sym_block_comment,
    STATE(14960), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230322] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7862), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15335), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4422), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [230454] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7934), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4424), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230540] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7936), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4425), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230626] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7938), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4426), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [230758] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11414), 1,
      sym__annotated_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14677), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4428), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230844] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7654), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16167), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4429), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230930] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7810), 1,
      anon_sym_COLON,
    ACTIONS(7812), 1,
      anon_sym_LBRACE,
    ACTIONS(7816), 1,
      anon_sym_with,
    STATE(4983), 1,
      aux_sym_compound_type_repeat1,
    STATE(7265), 1,
      sym__refinement,
    STATE(7273), 1,
      sym_template_body,
    STATE(4430), 2,
      sym_comment,
      sym_block_comment,
    STATE(7122), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230992] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7946), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4431), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231078] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7948), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4432), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231164] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    ACTIONS(7828), 1,
      anon_sym_COLON,
    ACTIONS(7830), 1,
      anon_sym_LBRACE,
    STATE(11556), 1,
      sym__simple_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(11960), 1,
      sym__annotated_type,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14223), 1,
      sym__constructor_application,
    STATE(14270), 1,
      sym_compound_type,
    STATE(14437), 1,
      sym_template_body,
    STATE(14512), 1,
      sym__constructor_applications,
    STATE(14545), 1,
      sym__structural_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(4433), 2,
      sym_comment,
      sym_block_comment,
    STATE(14416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231250] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7654), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16167), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4434), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231336] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7950), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_LPAREN,
    ACTIONS(7954), 1,
      anon_sym_POUND,
    STATE(4621), 1,
      aux_sym_annotation_repeat1,
    STATE(4656), 1,
      sym_type_arguments,
    STATE(5041), 1,
      sym_arguments,
    STATE(4435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231396] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7956), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4436), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231482] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7958), 1,
      sym__alpha_identifier,
    ACTIONS(7960), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_LBRACE,
    ACTIONS(7964), 1,
      anon_sym__,
    ACTIONS(7968), 1,
      anon_sym_LPAREN,
    ACTIONS(7970), 1,
      sym__backquoted_id,
    ACTIONS(7972), 1,
      sym_operator_identifier,
    STATE(10701), 1,
      sym__simple_type,
    STATE(11083), 1,
      sym__annotated_type,
    STATE(11461), 1,
      sym__soft_identifier,
    STATE(11512), 1,
      sym_identifier,
    STATE(12500), 1,
      sym__constructor_application,
    STATE(12827), 1,
      sym_compound_type,
    STATE(13196), 1,
      sym__structural_type,
    STATE(13289), 1,
      sym_template_body,
    STATE(13312), 1,
      sym_annotated_type,
    STATE(13620), 1,
      sym__constructor_applications,
    STATE(17894), 1,
      sym_stable_identifier,
    STATE(4437), 2,
      sym_comment,
      sym_block_comment,
    STATE(13291), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7966), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11880), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231568] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7588), 1,
      anon_sym_def,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym__indent,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8915), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10200), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14312), 1,
      sym__function_declaration,
    STATE(18430), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4438), 2,
      sym_comment,
      sym_block_comment,
    STATE(14710), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231654] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    STATE(11216), 1,
      sym__simple_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(11818), 1,
      sym__annotated_type,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14910), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(17113), 1,
      sym__constructor_application,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18038), 1,
      sym_template_body,
    STATE(4439), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231740] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7750), 1,
      anon_sym_with,
    STATE(4911), 1,
      aux_sym_compound_type_repeat1,
    STATE(5494), 1,
      sym_template_body,
    STATE(5501), 1,
      sym__refinement,
    STATE(4440), 2,
      sym_comment,
      sym_block_comment,
    STATE(5825), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [231798] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7974), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15357), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4441), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231884] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7820), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4442), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231970] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7862), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4443), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232056] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7976), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4444), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232142] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7978), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4445), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [232274] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(11945), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14572), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4447), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232360] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7784), 1,
      anon_sym_COLON,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(11131), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(11750), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14677), 1,
      sym__structural_instance,
    STATE(15246), 1,
      sym_compound_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(18004), 1,
      sym__structural_type,
    STATE(18025), 1,
      sym__constructor_application,
    STATE(18038), 1,
      sym_template_body,
    STATE(4448), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232446] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7614), 1,
      anon_sym_LBRACE,
    ACTIONS(7616), 1,
      anon_sym_def,
    ACTIONS(7618), 1,
      sym__indent,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(8697), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10200), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(14457), 1,
      sym__function_declaration,
    STATE(17348), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4449), 2,
      sym_comment,
      sym_block_comment,
    STATE(14920), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232532] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    ACTIONS(7974), 1,
      anon_sym_RPAREN,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(15357), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4450), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232618] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7982), 1,
      sym__alpha_identifier,
    ACTIONS(7984), 1,
      anon_sym_COLON,
    ACTIONS(7986), 1,
      anon_sym_LBRACE,
    ACTIONS(7988), 1,
      anon_sym__,
    ACTIONS(7992), 1,
      anon_sym_LPAREN,
    ACTIONS(7994), 1,
      sym__backquoted_id,
    ACTIONS(7996), 1,
      sym_operator_identifier,
    STATE(8137), 1,
      sym__annotated_type,
    STATE(8246), 1,
      sym__simple_type,
    STATE(10010), 1,
      sym__constructor_application,
    STATE(10157), 1,
      sym_identifier,
    STATE(10344), 1,
      sym__soft_identifier,
    STATE(10752), 1,
      sym_annotated_type,
    STATE(10813), 1,
      sym_compound_type,
    STATE(10979), 1,
      sym__structural_type,
    STATE(11169), 1,
      sym_template_body,
    STATE(17269), 1,
      sym_stable_identifier,
    STATE(4451), 2,
      sym_comment,
      sym_block_comment,
    STATE(11139), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7990), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10028), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232701] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6974), 1,
      anon_sym_COLON,
    ACTIONS(6976), 1,
      anon_sym_LBRACE,
    ACTIONS(7998), 1,
      sym__alpha_identifier,
    ACTIONS(8000), 1,
      anon_sym__,
    ACTIONS(8004), 1,
      anon_sym_LPAREN,
    ACTIONS(8006), 1,
      sym__backquoted_id,
    ACTIONS(8008), 1,
      sym_operator_identifier,
    STATE(4687), 1,
      sym__simple_type,
    STATE(4716), 1,
      sym__annotated_type,
    STATE(6285), 1,
      sym_identifier,
    STATE(6308), 1,
      sym__constructor_application,
    STATE(6313), 1,
      sym__soft_identifier,
    STATE(8131), 1,
      sym_annotated_type,
    STATE(8232), 1,
      sym_compound_type,
    STATE(8309), 1,
      sym__structural_type,
    STATE(8619), 1,
      sym_template_body,
    STATE(17002), 1,
      sym_stable_identifier,
    STATE(4452), 2,
      sym_comment,
      sym_block_comment,
    STATE(8339), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232784] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7832), 1,
      anon_sym_LBRACK,
    ACTIONS(7836), 1,
      anon_sym_POUND,
    ACTIONS(8010), 1,
      anon_sym_AT,
    STATE(4721), 1,
      sym_type_arguments,
    STATE(4740), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5268), 1,
      sym_annotation,
    STATE(4453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232843] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7880), 1,
      anon_sym_with,
    STATE(5090), 1,
      aux_sym_compound_type_repeat1,
    STATE(6515), 1,
      sym_template_body,
    STATE(6525), 1,
      sym__refinement,
    STATE(4454), 2,
      sym_comment,
      sym_block_comment,
    STATE(6416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232900] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8012), 1,
      anon_sym_COLON,
    ACTIONS(8014), 1,
      anon_sym_LBRACE,
    ACTIONS(8016), 1,
      anon_sym_with,
    STATE(4484), 1,
      aux_sym_compound_type_repeat1,
    STATE(7909), 1,
      sym__refinement,
    STATE(7925), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4455), 2,
      sym_comment,
      sym_block_comment,
    STATE(7859), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [232967] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8018), 1,
      sym__alpha_identifier,
    ACTIONS(8020), 1,
      anon_sym_COLON,
    ACTIONS(8022), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym__,
    ACTIONS(8028), 1,
      anon_sym_LPAREN,
    ACTIONS(8030), 1,
      sym__backquoted_id,
    ACTIONS(8032), 1,
      sym_operator_identifier,
    STATE(4500), 1,
      sym__simple_type,
    STATE(4511), 1,
      sym__annotated_type,
    STATE(5240), 1,
      sym__soft_identifier,
    STATE(5367), 1,
      sym__constructor_application,
    STATE(5487), 1,
      sym_identifier,
    STATE(6606), 1,
      sym_annotated_type,
    STATE(6723), 1,
      sym_compound_type,
    STATE(6814), 1,
      sym__structural_type,
    STATE(7075), 1,
      sym_template_body,
    STATE(16886), 1,
      sym_stable_identifier,
    STATE(4456), 2,
      sym_comment,
      sym_block_comment,
    STATE(7062), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5363), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233050] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(908), 1,
      anon_sym_LBRACE,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8038), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4457), 2,
      sym_comment,
      sym_block_comment,
    STATE(5750), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233109] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8040), 1,
      anon_sym_LBRACK,
    ACTIONS(8042), 1,
      anon_sym_LPAREN,
    ACTIONS(8044), 1,
      anon_sym_POUND,
    STATE(4752), 1,
      aux_sym_annotation_repeat1,
    STATE(4915), 1,
      sym_type_arguments,
    STATE(5416), 1,
      sym_arguments,
    STATE(4458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233217] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(9185), 1,
      sym_compound_type,
    STATE(9857), 1,
      sym__structural_type,
    STATE(11155), 1,
      sym_template_body,
    STATE(11458), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(11936), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14692), 1,
      sym__constructor_application,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(4460), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233300] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    ACTIONS(7874), 1,
      anon_sym_COLON,
    ACTIONS(7876), 1,
      anon_sym_LBRACE,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11602), 1,
      sym__simple_type,
    STATE(11657), 1,
      sym_identifier,
    STATE(11779), 1,
      sym__annotated_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14364), 1,
      sym_compound_type,
    STATE(14459), 1,
      sym__structural_type,
    STATE(14503), 1,
      sym__constructor_application,
    STATE(14559), 1,
      sym_template_body,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(4461), 2,
      sym_comment,
      sym_block_comment,
    STATE(14515), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233383] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8048), 1,
      anon_sym_LBRACK,
    ACTIONS(8050), 1,
      anon_sym_AT,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    ACTIONS(8054), 1,
      anon_sym_POUND,
    STATE(5007), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5409), 1,
      sym_type_arguments,
    STATE(5726), 1,
      sym_annotation,
    STATE(7144), 1,
      sym_arguments,
    STATE(4462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [233446] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8056), 1,
      sym__alpha_identifier,
    ACTIONS(8058), 1,
      anon_sym_COLON,
    ACTIONS(8060), 1,
      anon_sym_LBRACE,
    ACTIONS(8062), 1,
      anon_sym__,
    ACTIONS(8066), 1,
      anon_sym_LPAREN,
    ACTIONS(8068), 1,
      sym__backquoted_id,
    ACTIONS(8070), 1,
      sym_operator_identifier,
    STATE(4330), 1,
      sym__simple_type,
    STATE(4338), 1,
      sym__annotated_type,
    STATE(4666), 1,
      sym__constructor_application,
    STATE(4751), 1,
      sym__soft_identifier,
    STATE(4806), 1,
      sym_identifier,
    STATE(5386), 1,
      sym_compound_type,
    STATE(5482), 1,
      sym_annotated_type,
    STATE(5720), 1,
      sym_template_body,
    STATE(6006), 1,
      sym__structural_type,
    STATE(17289), 1,
      sym_stable_identifier,
    STATE(4463), 2,
      sym_comment,
      sym_block_comment,
    STATE(5825), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8064), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4629), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233529] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8072), 1,
      anon_sym_with,
    STATE(4600), 1,
      aux_sym_compound_type_repeat1,
    STATE(7144), 1,
      sym_arguments,
    STATE(7219), 1,
      sym_template_body,
    STATE(7220), 1,
      sym__refinement,
    STATE(4464), 2,
      sym_comment,
      sym_block_comment,
    STATE(7132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [233588] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(908), 1,
      anon_sym_LBRACE,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8038), 1,
      anon_sym_DOT,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8088), 1,
      sym_operator_identifier,
    STATE(1791), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4465), 2,
      sym_comment,
      sym_block_comment,
    STATE(5750), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [233659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233706] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7870), 1,
      anon_sym_POUND,
    ACTIONS(8090), 1,
      anon_sym_LPAREN,
    STATE(4803), 1,
      aux_sym_annotation_repeat1,
    STATE(4973), 1,
      sym_type_arguments,
    STATE(5453), 1,
      sym_arguments,
    STATE(4467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233765] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8092), 1,
      anon_sym_LBRACK,
    ACTIONS(8094), 1,
      anon_sym_LPAREN,
    ACTIONS(8096), 1,
      anon_sym_POUND,
    STATE(4641), 1,
      aux_sym_annotation_repeat1,
    STATE(5024), 1,
      sym_type_arguments,
    STATE(5150), 1,
      sym_arguments,
    STATE(4468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233824] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6446), 1,
      anon_sym_COLON,
    ACTIONS(6448), 1,
      anon_sym_LBRACE,
    ACTIONS(8098), 1,
      sym__alpha_identifier,
    ACTIONS(8100), 1,
      anon_sym__,
    ACTIONS(8104), 1,
      anon_sym_LPAREN,
    ACTIONS(8106), 1,
      sym__backquoted_id,
    ACTIONS(8108), 1,
      sym_operator_identifier,
    STATE(5533), 1,
      sym__annotated_type,
    STATE(5871), 1,
      sym__simple_type,
    STATE(8419), 1,
      sym__constructor_application,
    STATE(8650), 1,
      sym__soft_identifier,
    STATE(8791), 1,
      sym_identifier,
    STATE(9608), 1,
      sym_annotated_type,
    STATE(9627), 1,
      sym_compound_type,
    STATE(10070), 1,
      sym_template_body,
    STATE(10185), 1,
      sym__structural_type,
    STATE(16689), 1,
      sym_stable_identifier,
    STATE(4469), 2,
      sym_comment,
      sym_block_comment,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8102), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8692), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233907] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6712), 1,
      anon_sym_COLON,
    ACTIONS(6714), 1,
      anon_sym_LBRACE,
    ACTIONS(8110), 1,
      sym__alpha_identifier,
    ACTIONS(8112), 1,
      anon_sym__,
    ACTIONS(8116), 1,
      anon_sym_LPAREN,
    ACTIONS(8118), 1,
      sym__backquoted_id,
    ACTIONS(8120), 1,
      sym_operator_identifier,
    STATE(4811), 1,
      sym__simple_type,
    STATE(4817), 1,
      sym__annotated_type,
    STATE(7193), 1,
      sym__constructor_application,
    STATE(7200), 1,
      sym__soft_identifier,
    STATE(7208), 1,
      sym_identifier,
    STATE(8538), 1,
      sym_annotated_type,
    STATE(8792), 1,
      sym_compound_type,
    STATE(9262), 1,
      sym_template_body,
    STATE(9264), 1,
      sym__structural_type,
    STATE(17404), 1,
      sym_stable_identifier,
    STATE(4470), 2,
      sym_comment,
      sym_block_comment,
    STATE(9562), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8114), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7445), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [234037] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6406), 1,
      anon_sym_COLON,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    ACTIONS(8122), 1,
      sym__alpha_identifier,
    ACTIONS(8124), 1,
      anon_sym__,
    ACTIONS(8128), 1,
      anon_sym_LPAREN,
    ACTIONS(8130), 1,
      sym__backquoted_id,
    ACTIONS(8132), 1,
      sym_operator_identifier,
    STATE(4640), 1,
      sym__simple_type,
    STATE(4654), 1,
      sym__annotated_type,
    STATE(6304), 1,
      sym_identifier,
    STATE(6643), 1,
      sym__constructor_application,
    STATE(6765), 1,
      sym__soft_identifier,
    STATE(7503), 1,
      sym_compound_type,
    STATE(7928), 1,
      sym_annotated_type,
    STATE(8477), 1,
      sym_template_body,
    STATE(8925), 1,
      sym__structural_type,
    STATE(17123), 1,
      sym_stable_identifier,
    STATE(4472), 2,
      sym_comment,
      sym_block_comment,
    STATE(8786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8126), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6680), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234120] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8134), 1,
      anon_sym_with,
    STATE(4540), 1,
      aux_sym_compound_type_repeat1,
    STATE(6997), 1,
      sym_template_body,
    STATE(6998), 1,
      sym__refinement,
    STATE(7368), 1,
      sym_arguments,
    STATE(4473), 2,
      sym_comment,
      sym_block_comment,
    STATE(7235), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234179] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6832), 1,
      anon_sym_COLON,
    ACTIONS(6834), 1,
      anon_sym_LBRACE,
    ACTIONS(8136), 1,
      sym__alpha_identifier,
    ACTIONS(8138), 1,
      anon_sym__,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    ACTIONS(8144), 1,
      sym__backquoted_id,
    ACTIONS(8146), 1,
      sym_operator_identifier,
    STATE(4462), 1,
      sym__simple_type,
    STATE(4464), 1,
      sym__annotated_type,
    STATE(5089), 1,
      sym__constructor_application,
    STATE(5219), 1,
      sym_identifier,
    STATE(5272), 1,
      sym__soft_identifier,
    STATE(6110), 1,
      sym_compound_type,
    STATE(6452), 1,
      sym_annotated_type,
    STATE(7165), 1,
      sym_template_body,
    STATE(7477), 1,
      sym__structural_type,
    STATE(17366), 1,
      sym_stable_identifier,
    STATE(4474), 2,
      sym_comment,
      sym_block_comment,
    STATE(7132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234262] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8148), 1,
      anon_sym_COLON,
    ACTIONS(8150), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    STATE(5318), 1,
      aux_sym_compound_type_repeat1,
    STATE(7685), 1,
      sym_template_body,
    STATE(7733), 1,
      sym__refinement,
    STATE(4475), 2,
      sym_comment,
      sym_block_comment,
    STATE(8065), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234323] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8154), 1,
      anon_sym_COLON,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    ACTIONS(8158), 1,
      anon_sym_with,
    STATE(4492), 1,
      aux_sym_compound_type_repeat1,
    STATE(7869), 1,
      sym__refinement,
    STATE(7870), 1,
      sym_template_body,
    STATE(4476), 2,
      sym_comment,
      sym_block_comment,
    STATE(7612), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234384] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8160), 1,
      sym__alpha_identifier,
    ACTIONS(8162), 1,
      anon_sym_COLON,
    ACTIONS(8164), 1,
      anon_sym_LBRACE,
    ACTIONS(8166), 1,
      anon_sym__,
    ACTIONS(8170), 1,
      anon_sym_LPAREN,
    ACTIONS(8172), 1,
      sym__backquoted_id,
    ACTIONS(8174), 1,
      sym_operator_identifier,
    STATE(4473), 1,
      sym__annotated_type,
    STATE(4530), 1,
      sym__simple_type,
    STATE(5212), 1,
      sym__soft_identifier,
    STATE(5275), 1,
      sym__constructor_application,
    STATE(5428), 1,
      sym_identifier,
    STATE(6213), 1,
      sym_compound_type,
    STATE(6570), 1,
      sym_annotated_type,
    STATE(7040), 1,
      sym_template_body,
    STATE(7356), 1,
      sym__structural_type,
    STATE(17328), 1,
      sym_stable_identifier,
    STATE(4477), 2,
      sym_comment,
      sym_block_comment,
    STATE(7235), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5313), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234467] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6926), 1,
      anon_sym_COLON,
    ACTIONS(6928), 1,
      anon_sym_LBRACE,
    ACTIONS(8176), 1,
      sym__alpha_identifier,
    ACTIONS(8178), 1,
      anon_sym__,
    ACTIONS(8182), 1,
      anon_sym_LPAREN,
    ACTIONS(8184), 1,
      sym__backquoted_id,
    ACTIONS(8186), 1,
      sym_operator_identifier,
    STATE(4555), 1,
      sym__simple_type,
    STATE(4617), 1,
      sym__annotated_type,
    STATE(5633), 1,
      sym__soft_identifier,
    STATE(5951), 1,
      sym__constructor_application,
    STATE(6064), 1,
      sym_identifier,
    STATE(6825), 1,
      sym_compound_type,
    STATE(7205), 1,
      sym_annotated_type,
    STATE(7698), 1,
      sym__structural_type,
    STATE(7855), 1,
      sym_template_body,
    STATE(17641), 1,
      sym_stable_identifier,
    STATE(4478), 2,
      sym_comment,
      sym_block_comment,
    STATE(7807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8180), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5823), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234550] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8188), 1,
      sym__interpolated_multiline_string_start,
    STATE(6436), 1,
      sym_interpolated_string,
    STATE(15293), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234607] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6876), 1,
      anon_sym_COLON,
    ACTIONS(6878), 1,
      anon_sym_LBRACE,
    ACTIONS(8190), 1,
      sym__alpha_identifier,
    ACTIONS(8192), 1,
      anon_sym__,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8198), 1,
      sym__backquoted_id,
    ACTIONS(8200), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4951), 1,
      sym__simple_type,
    STATE(7190), 1,
      sym_identifier,
    STATE(7274), 1,
      sym__soft_identifier,
    STATE(7432), 1,
      sym__constructor_application,
    STATE(8313), 1,
      sym_annotated_type,
    STATE(8784), 1,
      sym_compound_type,
    STATE(9093), 1,
      sym__structural_type,
    STATE(9245), 1,
      sym_template_body,
    STATE(17653), 1,
      sym_stable_identifier,
    STATE(4480), 2,
      sym_comment,
      sym_block_comment,
    STATE(9404), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6970), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234690] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6204), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(8202), 1,
      sym__alpha_identifier,
    ACTIONS(8204), 1,
      anon_sym__,
    ACTIONS(8208), 1,
      anon_sym_LPAREN,
    ACTIONS(8210), 1,
      sym__backquoted_id,
    ACTIONS(8212), 1,
      sym_operator_identifier,
    STATE(6116), 1,
      sym__annotated_type,
    STATE(6181), 1,
      sym__simple_type,
    STATE(8981), 1,
      sym_identifier,
    STATE(8982), 1,
      sym__constructor_application,
    STATE(9125), 1,
      sym__soft_identifier,
    STATE(9185), 1,
      sym_compound_type,
    STATE(9857), 1,
      sym__structural_type,
    STATE(10285), 1,
      sym_annotated_type,
    STATE(10585), 1,
      sym_template_body,
    STATE(17112), 1,
      sym_stable_identifier,
    STATE(4481), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8206), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9190), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234773] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
    ACTIONS(8214), 1,
      sym__alpha_identifier,
    ACTIONS(8216), 1,
      anon_sym__,
    ACTIONS(8220), 1,
      anon_sym_LPAREN,
    ACTIONS(8222), 1,
      sym__backquoted_id,
    ACTIONS(8224), 1,
      sym_operator_identifier,
    STATE(5229), 1,
      sym__annotated_type,
    STATE(5435), 1,
      sym__simple_type,
    STATE(7669), 1,
      sym__soft_identifier,
    STATE(7748), 1,
      sym__constructor_application,
    STATE(7866), 1,
      sym_identifier,
    STATE(9477), 1,
      sym_compound_type,
    STATE(9578), 1,
      sym_annotated_type,
    STATE(9675), 1,
      sym__structural_type,
    STATE(9766), 1,
      sym_template_body,
    STATE(16659), 1,
      sym_stable_identifier,
    STATE(4482), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8218), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7994), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234856] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8226), 1,
      sym__interpolated_multiline_string_start,
    STATE(6635), 1,
      sym_interpolated_string,
    STATE(16294), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234913] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8012), 1,
      anon_sym_COLON,
    ACTIONS(8014), 1,
      anon_sym_LBRACE,
    ACTIONS(8016), 1,
      anon_sym_with,
    STATE(5334), 1,
      aux_sym_compound_type_repeat1,
    STATE(7874), 1,
      sym__refinement,
    STATE(7925), 1,
      sym_template_body,
    STATE(4484), 2,
      sym_comment,
      sym_block_comment,
    STATE(7859), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 32,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [235019] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8148), 1,
      anon_sym_COLON,
    ACTIONS(8150), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    STATE(4475), 1,
      aux_sym_compound_type_repeat1,
    STATE(7685), 1,
      sym_template_body,
    STATE(7690), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4486), 2,
      sym_comment,
      sym_block_comment,
    STATE(8065), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [235086] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8230), 1,
      anon_sym_LBRACK,
    ACTIONS(8232), 1,
      anon_sym_LPAREN,
    ACTIONS(8234), 1,
      anon_sym_POUND,
    STATE(4691), 1,
      aux_sym_annotation_repeat1,
    STATE(4831), 1,
      sym_type_arguments,
    STATE(5277), 1,
      sym_arguments,
    STATE(4487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235145] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_LPAREN,
    ACTIONS(8240), 1,
      anon_sym_POUND,
    STATE(4726), 1,
      aux_sym_annotation_repeat1,
    STATE(5086), 1,
      sym_type_arguments,
    STATE(5109), 1,
      sym_arguments,
    STATE(4488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [235204] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(908), 1,
      anon_sym_LBRACE,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8038), 1,
      anon_sym_DOT,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4489), 2,
      sym_comment,
      sym_block_comment,
    STATE(5750), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235265] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6944), 1,
      anon_sym_COLON,
    ACTIONS(6946), 1,
      anon_sym_LBRACE,
    ACTIONS(8246), 1,
      sym__alpha_identifier,
    ACTIONS(8248), 1,
      anon_sym__,
    ACTIONS(8252), 1,
      anon_sym_LPAREN,
    ACTIONS(8254), 1,
      sym__backquoted_id,
    ACTIONS(8256), 1,
      sym_operator_identifier,
    STATE(4682), 1,
      sym__annotated_type,
    STATE(4730), 1,
      sym__simple_type,
    STATE(6280), 1,
      sym__soft_identifier,
    STATE(6395), 1,
      sym__constructor_application,
    STATE(6681), 1,
      sym_identifier,
    STATE(7616), 1,
      sym_annotated_type,
    STATE(7853), 1,
      sym_compound_type,
    STATE(8326), 1,
      sym_template_body,
    STATE(8695), 1,
      sym__structural_type,
    STATE(17797), 1,
      sym_stable_identifier,
    STATE(4490), 2,
      sym_comment,
      sym_block_comment,
    STATE(8652), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6580), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235348] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_AT,
    ACTIONS(7870), 1,
      anon_sym_POUND,
    STATE(4757), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4973), 1,
      sym_type_arguments,
    STATE(5107), 1,
      sym_annotation,
    STATE(4491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235407] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8154), 1,
      anon_sym_COLON,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    ACTIONS(8158), 1,
      anon_sym_with,
    STATE(5196), 1,
      aux_sym_compound_type_repeat1,
    STATE(7844), 1,
      sym__refinement,
    STATE(7870), 1,
      sym_template_body,
    STATE(4492), 2,
      sym_comment,
      sym_block_comment,
    STATE(7612), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235468] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    STATE(8340), 1,
      sym_compound_type,
    STATE(9400), 1,
      sym__structural_type,
    STATE(11495), 1,
      sym__simple_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(11826), 1,
      sym__annotated_type,
    STATE(12224), 1,
      sym_template_body,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14824), 1,
      sym__constructor_application,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(4493), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235598] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7790), 1,
      anon_sym_LBRACK,
    ACTIONS(7796), 1,
      anon_sym_POUND,
    ACTIONS(8258), 1,
      anon_sym_LPAREN,
    STATE(4628), 1,
      aux_sym_annotation_repeat1,
    STATE(4810), 1,
      sym_type_arguments,
    STATE(5303), 1,
      sym_arguments,
    STATE(4495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235657] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7840), 1,
      sym__alpha_identifier,
    ACTIONS(7846), 1,
      anon_sym__,
    ACTIONS(7850), 1,
      anon_sym_LPAREN,
    ACTIONS(7852), 1,
      sym__backquoted_id,
    ACTIONS(7854), 1,
      sym_operator_identifier,
    ACTIONS(8260), 1,
      anon_sym_COLON,
    ACTIONS(8262), 1,
      anon_sym_LBRACE,
    STATE(10892), 1,
      sym__simple_type,
    STATE(11296), 1,
      sym__annotated_type,
    STATE(11741), 1,
      sym_identifier,
    STATE(11889), 1,
      sym__soft_identifier,
    STATE(13475), 1,
      sym_annotated_type,
    STATE(13707), 1,
      sym_compound_type,
    STATE(13718), 1,
      sym__structural_type,
    STATE(13818), 1,
      sym__constructor_application,
    STATE(13982), 1,
      sym_template_body,
    STATE(17447), 1,
      sym_stable_identifier,
    STATE(4496), 2,
      sym_comment,
      sym_block_comment,
    STATE(13753), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235740] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6270), 1,
      anon_sym_COLON,
    ACTIONS(6272), 1,
      anon_sym_LBRACE,
    ACTIONS(8264), 1,
      sym__alpha_identifier,
    ACTIONS(8266), 1,
      anon_sym__,
    ACTIONS(8270), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      sym__backquoted_id,
    ACTIONS(8274), 1,
      sym_operator_identifier,
    STATE(5388), 1,
      sym__simple_type,
    STATE(5488), 1,
      sym__annotated_type,
    STATE(7529), 1,
      sym__constructor_application,
    STATE(7931), 1,
      sym__soft_identifier,
    STATE(8136), 1,
      sym_identifier,
    STATE(9434), 1,
      sym_compound_type,
    STATE(9484), 1,
      sym_annotated_type,
    STATE(9693), 1,
      sym__structural_type,
    STATE(9973), 1,
      sym_template_body,
    STATE(17671), 1,
      sym_stable_identifier,
    STATE(4497), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7573), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235823] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8276), 1,
      sym__alpha_identifier,
    ACTIONS(8278), 1,
      anon_sym_COLON,
    ACTIONS(8280), 1,
      anon_sym_LBRACE,
    ACTIONS(8282), 1,
      anon_sym__,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      sym__backquoted_id,
    ACTIONS(8290), 1,
      sym_operator_identifier,
    STATE(4351), 1,
      sym__simple_type,
    STATE(4388), 1,
      sym__annotated_type,
    STATE(4867), 1,
      sym_identifier,
    STATE(4921), 1,
      sym__constructor_application,
    STATE(4959), 1,
      sym__soft_identifier,
    STATE(5746), 1,
      sym_compound_type,
    STATE(5933), 1,
      sym_annotated_type,
    STATE(6155), 1,
      sym_template_body,
    STATE(6473), 1,
      sym__structural_type,
    STATE(17701), 1,
      sym_stable_identifier,
    STATE(4498), 2,
      sym_comment,
      sym_block_comment,
    STATE(6416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235906] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7896), 1,
      sym__alpha_identifier,
    ACTIONS(7898), 1,
      anon_sym_COLON,
    ACTIONS(7900), 1,
      anon_sym_LBRACE,
    ACTIONS(7902), 1,
      anon_sym__,
    ACTIONS(7906), 1,
      anon_sym_LPAREN,
    ACTIONS(7908), 1,
      sym__backquoted_id,
    ACTIONS(7910), 1,
      sym_operator_identifier,
    STATE(12462), 1,
      sym__simple_type,
    STATE(12682), 1,
      sym__annotated_type,
    STATE(13535), 1,
      sym_identifier,
    STATE(13652), 1,
      sym__soft_identifier,
    STATE(14373), 1,
      sym_compound_type,
    STATE(14435), 1,
      sym_annotated_type,
    STATE(14480), 1,
      sym_template_body,
    STATE(14497), 1,
      sym__structural_type,
    STATE(14680), 1,
      sym__constructor_application,
    STATE(17867), 1,
      sym_stable_identifier,
    STATE(4499), 2,
      sym_comment,
      sym_block_comment,
    STATE(14527), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13955), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235989] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_AT,
    ACTIONS(8296), 1,
      anon_sym_LPAREN,
    ACTIONS(8298), 1,
      anon_sym_POUND,
    STATE(4860), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5235), 1,
      sym_type_arguments,
    STATE(5658), 1,
      sym_annotation,
    STATE(6783), 1,
      sym_arguments,
    STATE(4500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236052] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8302), 1,
      anon_sym__,
    ACTIONS(8306), 1,
      anon_sym_LPAREN,
    ACTIONS(8308), 1,
      sym__backquoted_id,
    ACTIONS(8310), 1,
      sym_operator_identifier,
    STATE(5175), 1,
      sym__simple_type,
    STATE(5375), 1,
      sym__annotated_type,
    STATE(7660), 1,
      sym__soft_identifier,
    STATE(7857), 1,
      sym_identifier,
    STATE(8048), 1,
      sym__constructor_application,
    STATE(8340), 1,
      sym_compound_type,
    STATE(9071), 1,
      sym_annotated_type,
    STATE(9400), 1,
      sym__structural_type,
    STATE(9927), 1,
      sym_template_body,
    STATE(16661), 1,
      sym_stable_identifier,
    STATE(4501), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7701), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236135] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8312), 1,
      anon_sym_LBRACK,
    ACTIONS(8314), 1,
      anon_sym_LPAREN,
    ACTIONS(8316), 1,
      anon_sym_POUND,
    STATE(4770), 1,
      aux_sym_annotation_repeat1,
    STATE(4976), 1,
      sym_type_arguments,
    STATE(5149), 1,
      sym_arguments,
    STATE(4502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236194] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7950), 1,
      anon_sym_LBRACK,
    ACTIONS(7954), 1,
      anon_sym_POUND,
    ACTIONS(8318), 1,
      anon_sym_AT,
    STATE(4647), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4656), 1,
      sym_type_arguments,
    STATE(5406), 1,
      sym_annotation,
    STATE(4503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236253] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7896), 1,
      sym__alpha_identifier,
    ACTIONS(7902), 1,
      anon_sym__,
    ACTIONS(7906), 1,
      anon_sym_LPAREN,
    ACTIONS(7908), 1,
      sym__backquoted_id,
    ACTIONS(7910), 1,
      sym_operator_identifier,
    ACTIONS(8320), 1,
      anon_sym_COLON,
    ACTIONS(8322), 1,
      anon_sym_LBRACE,
    STATE(12192), 1,
      sym__simple_type,
    STATE(12742), 1,
      sym__annotated_type,
    STATE(13535), 1,
      sym_identifier,
    STATE(13652), 1,
      sym__soft_identifier,
    STATE(14435), 1,
      sym_annotated_type,
    STATE(14543), 1,
      sym_compound_type,
    STATE(14633), 1,
      sym__structural_type,
    STATE(14658), 1,
      sym_template_body,
    STATE(14678), 1,
      sym__constructor_application,
    STATE(17867), 1,
      sym_stable_identifier,
    STATE(4504), 2,
      sym_comment,
      sym_block_comment,
    STATE(14670), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13955), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236336] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(8324), 1,
      sym__alpha_identifier,
    ACTIONS(8326), 1,
      anon_sym__,
    ACTIONS(8330), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      sym__backquoted_id,
    ACTIONS(8334), 1,
      sym_operator_identifier,
    STATE(4933), 1,
      sym__annotated_type,
    STATE(4945), 1,
      sym__simple_type,
    STATE(6808), 1,
      sym__constructor_application,
    STATE(6835), 1,
      sym__soft_identifier,
    STATE(7195), 1,
      sym_identifier,
    STATE(8403), 1,
      sym_annotated_type,
    STATE(8770), 1,
      sym_compound_type,
    STATE(9126), 1,
      sym__structural_type,
    STATE(9331), 1,
      sym_template_body,
    STATE(17165), 1,
      sym_stable_identifier,
    STATE(4505), 2,
      sym_comment,
      sym_block_comment,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8328), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236419] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(7642), 1,
      sym_operator_identifier,
    STATE(4567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12375), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15112), 1,
      sym_identifier,
    STATE(16546), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(7624), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4506), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [236502] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7924), 1,
      anon_sym_with,
    STATE(5231), 1,
      aux_sym_compound_type_repeat1,
    STATE(6755), 1,
      sym_template_body,
    STATE(6758), 1,
      sym__refinement,
    STATE(4507), 2,
      sym_comment,
      sym_block_comment,
    STATE(6420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236559] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8336), 1,
      anon_sym_DOT,
    STATE(4508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236608] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8012), 1,
      anon_sym_COLON,
    ACTIONS(8014), 1,
      anon_sym_LBRACE,
    ACTIONS(8016), 1,
      anon_sym_with,
    STATE(4484), 1,
      aux_sym_compound_type_repeat1,
    STATE(7909), 1,
      sym__refinement,
    STATE(7925), 1,
      sym_template_body,
    STATE(4509), 2,
      sym_comment,
      sym_block_comment,
    STATE(7859), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236669] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6478), 1,
      anon_sym_COLON,
    ACTIONS(6480), 1,
      anon_sym_LBRACE,
    ACTIONS(8338), 1,
      sym__alpha_identifier,
    ACTIONS(8340), 1,
      anon_sym__,
    ACTIONS(8344), 1,
      anon_sym_LPAREN,
    ACTIONS(8346), 1,
      sym__backquoted_id,
    ACTIONS(8348), 1,
      sym_operator_identifier,
    STATE(5038), 1,
      sym__simple_type,
    STATE(5049), 1,
      sym__annotated_type,
    STATE(7232), 1,
      sym__soft_identifier,
    STATE(7287), 1,
      sym__constructor_application,
    STATE(7475), 1,
      sym_identifier,
    STATE(8298), 1,
      sym_compound_type,
    STATE(8899), 1,
      sym_annotated_type,
    STATE(9109), 1,
      sym_template_body,
    STATE(9344), 1,
      sym__structural_type,
    STATE(17473), 1,
      sym_stable_identifier,
    STATE(4510), 2,
      sym_comment,
      sym_block_comment,
    STATE(9107), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236752] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8350), 1,
      anon_sym_with,
    STATE(4614), 1,
      aux_sym_compound_type_repeat1,
    STATE(6783), 1,
      sym_arguments,
    STATE(7150), 1,
      sym__refinement,
    STATE(7151), 1,
      sym_template_body,
    STATE(4511), 2,
      sym_comment,
      sym_block_comment,
    STATE(7062), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236811] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6686), 1,
      anon_sym_COLON,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(8352), 1,
      sym__alpha_identifier,
    ACTIONS(8354), 1,
      anon_sym__,
    ACTIONS(8358), 1,
      anon_sym_LPAREN,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(8362), 1,
      sym_operator_identifier,
    STATE(4657), 1,
      sym__simple_type,
    STATE(4729), 1,
      sym__annotated_type,
    STATE(6152), 1,
      sym_identifier,
    STATE(6534), 1,
      sym__constructor_application,
    STATE(6672), 1,
      sym__soft_identifier,
    STATE(7598), 1,
      sym_annotated_type,
    STATE(7793), 1,
      sym_compound_type,
    STATE(8346), 1,
      sym_template_body,
    STATE(8738), 1,
      sym__structural_type,
    STATE(17081), 1,
      sym_stable_identifier,
    STATE(4512), 2,
      sym_comment,
      sym_block_comment,
    STATE(8535), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236894] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    ACTIONS(7828), 1,
      anon_sym_COLON,
    ACTIONS(7830), 1,
      anon_sym_LBRACE,
    STATE(11556), 1,
      sym__simple_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(11960), 1,
      sym__annotated_type,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14270), 1,
      sym_compound_type,
    STATE(14422), 1,
      sym__constructor_application,
    STATE(14437), 1,
      sym_template_body,
    STATE(14545), 1,
      sym__structural_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(4513), 2,
      sym_comment,
      sym_block_comment,
    STATE(14416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236977] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8368), 1,
      anon_sym_LPAREN,
    STATE(4794), 1,
      sym_arguments,
    STATE(4514), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237028] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7840), 1,
      sym__alpha_identifier,
    ACTIONS(7842), 1,
      anon_sym_COLON,
    ACTIONS(7844), 1,
      anon_sym_LBRACE,
    ACTIONS(7846), 1,
      anon_sym__,
    ACTIONS(7850), 1,
      anon_sym_LPAREN,
    ACTIONS(7852), 1,
      sym__backquoted_id,
    ACTIONS(7854), 1,
      sym_operator_identifier,
    STATE(11020), 1,
      sym__simple_type,
    STATE(11217), 1,
      sym__annotated_type,
    STATE(11741), 1,
      sym_identifier,
    STATE(11889), 1,
      sym__soft_identifier,
    STATE(13352), 1,
      sym_compound_type,
    STATE(13447), 1,
      sym_template_body,
    STATE(13475), 1,
      sym_annotated_type,
    STATE(13605), 1,
      sym__structural_type,
    STATE(13838), 1,
      sym__constructor_application,
    STATE(17447), 1,
      sym_stable_identifier,
    STATE(4515), 2,
      sym_comment,
      sym_block_comment,
    STATE(13495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237111] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8379), 1,
      anon_sym_inline,
    ACTIONS(8382), 1,
      anon_sym_infix,
    ACTIONS(8385), 1,
      anon_sym_open,
    ACTIONS(8388), 1,
      anon_sym_transparent,
    ACTIONS(8391), 1,
      sym__backquoted_id,
    ACTIONS(8376), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4516), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_modifiers_repeat1,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8373), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(8371), 13,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      sym__alpha_identifier,
      sym_operator_identifier,
  [237172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [237219] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LBRACE,
    ACTIONS(8393), 1,
      sym__alpha_identifier,
    ACTIONS(8395), 1,
      anon_sym__,
    ACTIONS(8399), 1,
      anon_sym_LPAREN,
    ACTIONS(8401), 1,
      sym__backquoted_id,
    ACTIONS(8403), 1,
      sym_operator_identifier,
    STATE(5724), 1,
      sym__annotated_type,
    STATE(5964), 1,
      sym__simple_type,
    STATE(8381), 1,
      sym_identifier,
    STATE(8480), 1,
      sym__soft_identifier,
    STATE(8758), 1,
      sym__constructor_application,
    STATE(9590), 1,
      sym_annotated_type,
    STATE(9784), 1,
      sym_compound_type,
    STATE(10054), 1,
      sym__structural_type,
    STATE(10352), 1,
      sym_template_body,
    STATE(17207), 1,
      sym_stable_identifier,
    STATE(4518), 2,
      sym_comment,
      sym_block_comment,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8397), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237302] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6646), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_LBRACE,
    ACTIONS(8405), 1,
      sym__alpha_identifier,
    ACTIONS(8407), 1,
      anon_sym__,
    ACTIONS(8411), 1,
      anon_sym_LPAREN,
    ACTIONS(8413), 1,
      sym__backquoted_id,
    ACTIONS(8415), 1,
      sym_operator_identifier,
    STATE(5167), 1,
      sym__simple_type,
    STATE(5454), 1,
      sym__annotated_type,
    STATE(7795), 1,
      sym__constructor_application,
    STATE(7986), 1,
      sym__soft_identifier,
    STATE(8047), 1,
      sym_identifier,
    STATE(9082), 1,
      sym_annotated_type,
    STATE(9255), 1,
      sym_compound_type,
    STATE(9585), 1,
      sym__structural_type,
    STATE(9671), 1,
      sym_template_body,
    STATE(17153), 1,
      sym_stable_identifier,
    STATE(4519), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8409), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8144), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237385] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7886), 1,
      anon_sym_LBRACK,
    ACTIONS(7890), 1,
      anon_sym_POUND,
    ACTIONS(8417), 1,
      anon_sym_AT,
    STATE(4676), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4746), 1,
      sym_type_arguments,
    STATE(5426), 1,
      sym_annotation,
    STATE(4520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237444] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8419), 1,
      sym__alpha_identifier,
    ACTIONS(8421), 1,
      anon_sym_COLON,
    ACTIONS(8423), 1,
      anon_sym_LBRACE,
    ACTIONS(8425), 1,
      anon_sym__,
    ACTIONS(8429), 1,
      anon_sym_LPAREN,
    ACTIONS(8431), 1,
      sym__backquoted_id,
    ACTIONS(8433), 1,
      sym_operator_identifier,
    STATE(4380), 1,
      sym__simple_type,
    STATE(4416), 1,
      sym__annotated_type,
    STATE(4877), 1,
      sym__soft_identifier,
    STATE(4935), 1,
      sym_identifier,
    STATE(5009), 1,
      sym__constructor_application,
    STATE(5826), 1,
      sym_compound_type,
    STATE(5873), 1,
      sym_annotated_type,
    STATE(6250), 1,
      sym_template_body,
    STATE(6350), 1,
      sym__structural_type,
    STATE(18287), 1,
      sym_stable_identifier,
    STATE(4521), 2,
      sym_comment,
      sym_block_comment,
    STATE(6420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8427), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4920), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237527] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7958), 1,
      sym__alpha_identifier,
    ACTIONS(7960), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_LBRACE,
    ACTIONS(7964), 1,
      anon_sym__,
    ACTIONS(7968), 1,
      anon_sym_LPAREN,
    ACTIONS(7970), 1,
      sym__backquoted_id,
    ACTIONS(7972), 1,
      sym_operator_identifier,
    STATE(10701), 1,
      sym__simple_type,
    STATE(11083), 1,
      sym__annotated_type,
    STATE(11461), 1,
      sym__soft_identifier,
    STATE(11512), 1,
      sym_identifier,
    STATE(12827), 1,
      sym_compound_type,
    STATE(13196), 1,
      sym__structural_type,
    STATE(13289), 1,
      sym_template_body,
    STATE(13312), 1,
      sym_annotated_type,
    STATE(13684), 1,
      sym__constructor_application,
    STATE(17894), 1,
      sym_stable_identifier,
    STATE(4522), 2,
      sym_comment,
      sym_block_comment,
    STATE(13291), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7966), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11880), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237610] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7958), 1,
      sym__alpha_identifier,
    ACTIONS(7964), 1,
      anon_sym__,
    ACTIONS(7968), 1,
      anon_sym_LPAREN,
    ACTIONS(7970), 1,
      sym__backquoted_id,
    ACTIONS(7972), 1,
      sym_operator_identifier,
    ACTIONS(8435), 1,
      anon_sym_COLON,
    ACTIONS(8437), 1,
      anon_sym_LBRACE,
    STATE(10798), 1,
      sym__simple_type,
    STATE(10971), 1,
      sym__annotated_type,
    STATE(11461), 1,
      sym__soft_identifier,
    STATE(11512), 1,
      sym_identifier,
    STATE(13209), 1,
      sym_compound_type,
    STATE(13312), 1,
      sym_annotated_type,
    STATE(13470), 1,
      sym_template_body,
    STATE(13543), 1,
      sym__structural_type,
    STATE(13683), 1,
      sym__constructor_application,
    STATE(17894), 1,
      sym_stable_identifier,
    STATE(4523), 2,
      sym_comment,
      sym_block_comment,
    STATE(13585), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7966), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11880), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237693] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8148), 1,
      anon_sym_COLON,
    ACTIONS(8150), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    STATE(4475), 1,
      aux_sym_compound_type_repeat1,
    STATE(7685), 1,
      sym_template_body,
    STATE(7690), 1,
      sym__refinement,
    STATE(4524), 2,
      sym_comment,
      sym_block_comment,
    STATE(8065), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237754] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8439), 1,
      sym__alpha_identifier,
    ACTIONS(8441), 1,
      anon_sym_COLON,
    ACTIONS(8443), 1,
      anon_sym_LBRACE,
    ACTIONS(8445), 1,
      anon_sym__,
    ACTIONS(8449), 1,
      anon_sym_LPAREN,
    ACTIONS(8451), 1,
      sym__backquoted_id,
    ACTIONS(8453), 1,
      sym_operator_identifier,
    STATE(4593), 1,
      sym__annotated_type,
    STATE(4615), 1,
      sym__simple_type,
    STATE(5521), 1,
      sym_identifier,
    STATE(5541), 1,
      sym__constructor_application,
    STATE(5839), 1,
      sym__soft_identifier,
    STATE(7350), 1,
      sym_compound_type,
    STATE(7352), 1,
      sym_annotated_type,
    STATE(7663), 1,
      sym_template_body,
    STATE(7747), 1,
      sym__structural_type,
    STATE(16779), 1,
      sym_stable_identifier,
    STATE(4525), 2,
      sym_comment,
      sym_block_comment,
    STATE(7745), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8447), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6043), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237837] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6850), 1,
      anon_sym_COLON,
    ACTIONS(6852), 1,
      anon_sym_LBRACE,
    ACTIONS(8455), 1,
      sym__alpha_identifier,
    ACTIONS(8457), 1,
      anon_sym__,
    ACTIONS(8461), 1,
      anon_sym_LPAREN,
    ACTIONS(8463), 1,
      sym__backquoted_id,
    ACTIONS(8465), 1,
      sym_operator_identifier,
    STATE(4591), 1,
      sym__annotated_type,
    STATE(4623), 1,
      sym__simple_type,
    STATE(5570), 1,
      sym__soft_identifier,
    STATE(5662), 1,
      sym_identifier,
    STATE(5709), 1,
      sym__constructor_application,
    STATE(7031), 1,
      sym_annotated_type,
    STATE(7163), 1,
      sym_compound_type,
    STATE(7988), 1,
      sym_template_body,
    STATE(8120), 1,
      sym__structural_type,
    STATE(17719), 1,
      sym_stable_identifier,
    STATE(4526), 2,
      sym_comment,
      sym_block_comment,
    STATE(8010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8459), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5673), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237920] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    STATE(4514), 1,
      aux_sym_annotation_repeat1,
    STATE(4794), 1,
      sym_arguments,
    STATE(4527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237973] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7790), 1,
      anon_sym_LBRACK,
    ACTIONS(7792), 1,
      anon_sym_AT,
    ACTIONS(7796), 1,
      anon_sym_POUND,
    STATE(4707), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4810), 1,
      sym_type_arguments,
    STATE(5315), 1,
      sym_annotation,
    STATE(4528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238032] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8154), 1,
      anon_sym_COLON,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    ACTIONS(8158), 1,
      anon_sym_with,
    STATE(4492), 1,
      aux_sym_compound_type_repeat1,
    STATE(7869), 1,
      sym__refinement,
    STATE(7870), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4529), 2,
      sym_comment,
      sym_block_comment,
    STATE(7612), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [238099] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8471), 1,
      anon_sym_LBRACK,
    ACTIONS(8473), 1,
      anon_sym_AT,
    ACTIONS(8475), 1,
      anon_sym_LPAREN,
    ACTIONS(8477), 1,
      anon_sym_POUND,
    STATE(4907), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5327), 1,
      sym_type_arguments,
    STATE(5659), 1,
      sym_annotation,
    STATE(7368), 1,
      sym_arguments,
    STATE(4530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [238208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238254] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8479), 1,
      anon_sym_DOT,
    ACTIONS(8481), 1,
      sym_operator_identifier,
    STATE(1827), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4533), 2,
      sym_comment,
      sym_block_comment,
    STATE(6254), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [238324] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8336), 1,
      anon_sym_DOT,
    ACTIONS(8483), 1,
      anon_sym_EQ_GT,
    STATE(4534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238374] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8485), 1,
      sym__interpolated_multiline_string_start,
    STATE(6822), 1,
      sym_interpolated_string,
    STATE(15689), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [238522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238570] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LPAREN,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8487), 1,
      anon_sym_DOT,
    ACTIONS(8489), 1,
      sym_operator_identifier,
    STATE(1752), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4539), 2,
      sym_comment,
      sym_block_comment,
    STATE(6167), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [238640] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8134), 1,
      anon_sym_with,
    STATE(5508), 1,
      aux_sym_compound_type_repeat1,
    STATE(6997), 1,
      sym_template_body,
    STATE(7017), 1,
      sym__refinement,
    STATE(4540), 2,
      sym_comment,
      sym_block_comment,
    STATE(7235), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238696] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8471), 1,
      anon_sym_LBRACK,
    ACTIONS(8477), 1,
      anon_sym_POUND,
    ACTIONS(8491), 1,
      anon_sym_LPAREN,
    STATE(4987), 1,
      aux_sym_annotation_repeat1,
    STATE(5327), 1,
      sym_type_arguments,
    STATE(5959), 1,
      sym_arguments,
    STATE(4541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238800] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8495), 1,
      anon_sym_LBRACK,
    ACTIONS(8497), 1,
      anon_sym_LPAREN,
    ACTIONS(8499), 1,
      anon_sym_POUND,
    STATE(4938), 1,
      aux_sym_annotation_repeat1,
    STATE(5295), 1,
      sym_type_arguments,
    STATE(5776), 1,
      sym_arguments,
    STATE(4543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [238858] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7706), 1,
      anon_sym_AT,
    STATE(4592), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4952), 1,
      sym_annotation,
    STATE(4544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238910] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8505), 1,
      anon_sym_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(8509), 1,
      anon_sym_with,
    STATE(4588), 1,
      aux_sym_compound_type_repeat1,
    STATE(8887), 1,
      sym__refinement,
    STATE(8901), 1,
      sym_template_body,
    STATE(4545), 2,
      sym_comment,
      sym_block_comment,
    STATE(8882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238970] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8511), 1,
      anon_sym_COLON,
    ACTIONS(8513), 1,
      anon_sym_LBRACE,
    ACTIONS(8515), 1,
      anon_sym_with,
    STATE(6003), 1,
      aux_sym_compound_type_repeat1,
    STATE(8393), 1,
      sym__refinement,
    STATE(8418), 1,
      sym_template_body,
    STATE(4546), 2,
      sym_comment,
      sym_block_comment,
    STATE(8513), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8517), 1,
      anon_sym_DOT,
    STATE(4548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [239172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239218] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8471), 1,
      anon_sym_LBRACK,
    ACTIONS(8473), 1,
      anon_sym_AT,
    ACTIONS(8477), 1,
      anon_sym_POUND,
    STATE(4907), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5327), 1,
      sym_type_arguments,
    STATE(5659), 1,
      sym_annotation,
    STATE(4551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239276] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8521), 1,
      anon_sym_LPAREN,
    STATE(4833), 1,
      sym_arguments,
    STATE(4552), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239326] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8524), 1,
      anon_sym_COLON,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    ACTIONS(8528), 1,
      anon_sym_with,
    STATE(6009), 1,
      aux_sym_compound_type_repeat1,
    STATE(8336), 1,
      sym__refinement,
    STATE(8367), 1,
      sym_template_body,
    STATE(4553), 2,
      sym_comment,
      sym_block_comment,
    STATE(8593), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239386] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8524), 1,
      anon_sym_COLON,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    ACTIONS(8528), 1,
      anon_sym_with,
    STATE(4553), 1,
      aux_sym_compound_type_repeat1,
    STATE(8365), 1,
      sym__refinement,
    STATE(8367), 1,
      sym_template_body,
    STATE(4554), 2,
      sym_comment,
      sym_block_comment,
    STATE(8593), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239446] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8530), 1,
      anon_sym_LBRACK,
    ACTIONS(8532), 1,
      anon_sym_AT,
    ACTIONS(8534), 1,
      anon_sym_LPAREN,
    ACTIONS(8536), 1,
      anon_sym_POUND,
    STATE(5228), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5810), 1,
      sym_type_arguments,
    STATE(6399), 1,
      sym_annotation,
    STATE(7577), 1,
      sym_arguments,
    STATE(4555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [239508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239554] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8540), 1,
      anon_sym_COLON,
    ACTIONS(8542), 1,
      anon_sym_LBRACE,
    ACTIONS(8544), 1,
      anon_sym_with,
    STATE(4586), 1,
      aux_sym_compound_type_repeat1,
    STATE(8577), 1,
      sym__refinement,
    STATE(8579), 1,
      sym_template_body,
    STATE(4557), 2,
      sym_comment,
      sym_block_comment,
    STATE(8413), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239614] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8546), 1,
      sym__interpolated_multiline_string_start,
    STATE(7450), 1,
      sym_interpolated_string,
    STATE(16127), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239716] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8554), 1,
      anon_sym_AT,
    STATE(4851), 1,
      sym_annotation,
    STATE(4560), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239766] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8511), 1,
      anon_sym_COLON,
    ACTIONS(8513), 1,
      anon_sym_LBRACE,
    ACTIONS(8515), 1,
      anon_sym_with,
    STATE(4546), 1,
      aux_sym_compound_type_repeat1,
    STATE(8415), 1,
      sym__refinement,
    STATE(8418), 1,
      sym_template_body,
    STATE(4561), 2,
      sym_comment,
      sym_block_comment,
    STATE(8513), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239964] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      anon_sym_LBRACK,
    ACTIONS(8298), 1,
      anon_sym_POUND,
    ACTIONS(8561), 1,
      anon_sym_LPAREN,
    STATE(4909), 1,
      aux_sym_annotation_repeat1,
    STATE(5235), 1,
      sym_type_arguments,
    STATE(5987), 1,
      sym_arguments,
    STATE(4565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [240068] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7628), 1,
      anon_sym_inline,
    ACTIONS(7630), 1,
      anon_sym_infix,
    ACTIONS(7632), 1,
      anon_sym_open,
    ACTIONS(7634), 1,
      anon_sym_transparent,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(8565), 1,
      sym_operator_identifier,
    STATE(7403), 1,
      aux_sym_modifiers_repeat1,
    STATE(9385), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(12164), 1,
      sym_modifiers,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15072), 1,
      sym_identifier,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(7622), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8563), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4567), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [240148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [240194] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8511), 1,
      anon_sym_COLON,
    ACTIONS(8513), 1,
      anon_sym_LBRACE,
    ACTIONS(8515), 1,
      anon_sym_with,
    STATE(4546), 1,
      aux_sym_compound_type_repeat1,
    STATE(8415), 1,
      sym__refinement,
    STATE(8418), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4569), 2,
      sym_comment,
      sym_block_comment,
    STATE(8513), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [240260] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8567), 1,
      anon_sym_LBRACK,
    ACTIONS(8569), 1,
      anon_sym_LPAREN,
    ACTIONS(8571), 1,
      anon_sym_POUND,
    STATE(4934), 1,
      aux_sym_annotation_repeat1,
    STATE(5270), 1,
      sym_type_arguments,
    STATE(5764), 1,
      sym_arguments,
    STATE(4570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240410] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_AT,
    ACTIONS(8298), 1,
      anon_sym_POUND,
    STATE(4860), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5235), 1,
      sym_type_arguments,
    STATE(5658), 1,
      sym_annotation,
    STATE(4573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240468] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LPAREN,
    ACTIONS(8487), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4574), 2,
      sym_comment,
      sym_block_comment,
    STATE(6167), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240526] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8577), 1,
      anon_sym_LBRACK,
    ACTIONS(8579), 1,
      anon_sym_LPAREN,
    ACTIONS(8581), 1,
      anon_sym_POUND,
    STATE(4932), 1,
      aux_sym_annotation_repeat1,
    STATE(5171), 1,
      sym_type_arguments,
    STATE(5976), 1,
      sym_arguments,
    STATE(4575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240584] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8583), 1,
      anon_sym_COLON,
    ACTIONS(8585), 1,
      anon_sym_LBRACE,
    ACTIONS(8587), 1,
      anon_sym_with,
    STATE(5526), 1,
      aux_sym_compound_type_repeat1,
    STATE(8518), 1,
      sym__refinement,
    STATE(8556), 1,
      sym_template_body,
    STATE(4576), 2,
      sym_comment,
      sym_block_comment,
    STATE(8903), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240690] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8583), 1,
      anon_sym_COLON,
    ACTIONS(8585), 1,
      anon_sym_LBRACE,
    ACTIONS(8587), 1,
      anon_sym_with,
    STATE(4576), 1,
      aux_sym_compound_type_repeat1,
    STATE(8555), 1,
      sym__refinement,
    STATE(8556), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4578), 2,
      sym_comment,
      sym_block_comment,
    STATE(8903), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [240756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240848] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8312), 1,
      anon_sym_LBRACK,
    ACTIONS(8316), 1,
      anon_sym_POUND,
    ACTIONS(8591), 1,
      anon_sym_AT,
    STATE(4862), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4976), 1,
      sym_type_arguments,
    STATE(5611), 1,
      sym_annotation,
    STATE(4581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240906] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8593), 1,
      anon_sym_LBRACK,
    ACTIONS(8595), 1,
      anon_sym_LPAREN,
    ACTIONS(8597), 1,
      anon_sym_POUND,
    STATE(4958), 1,
      aux_sym_annotation_repeat1,
    STATE(5283), 1,
      sym_type_arguments,
    STATE(6001), 1,
      sym_arguments,
    STATE(4582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [240964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8599), 1,
      anon_sym_DOT,
    STATE(4583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241012] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8479), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4584), 2,
      sym_comment,
      sym_block_comment,
    STATE(6254), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241072] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8505), 1,
      anon_sym_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(8509), 1,
      anon_sym_with,
    STATE(4588), 1,
      aux_sym_compound_type_repeat1,
    STATE(8887), 1,
      sym__refinement,
    STATE(8901), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4585), 2,
      sym_comment,
      sym_block_comment,
    STATE(8882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241138] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8540), 1,
      anon_sym_COLON,
    ACTIONS(8542), 1,
      anon_sym_LBRACE,
    ACTIONS(8544), 1,
      anon_sym_with,
    STATE(5710), 1,
      aux_sym_compound_type_repeat1,
    STATE(8573), 1,
      sym__refinement,
    STATE(8579), 1,
      sym_template_body,
    STATE(4586), 2,
      sym_comment,
      sym_block_comment,
    STATE(8413), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241198] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8601), 1,
      anon_sym_LPAREN,
    STATE(5078), 1,
      sym_arguments,
    STATE(4587), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241248] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8505), 1,
      anon_sym_COLON,
    ACTIONS(8507), 1,
      anon_sym_LBRACE,
    ACTIONS(8509), 1,
      anon_sym_with,
    STATE(5525), 1,
      aux_sym_compound_type_repeat1,
    STATE(8818), 1,
      sym__refinement,
    STATE(8901), 1,
      sym_template_body,
    STATE(4588), 2,
      sym_comment,
      sym_block_comment,
    STATE(8882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241308] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    STATE(5041), 1,
      sym_arguments,
    STATE(4589), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241358] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8230), 1,
      anon_sym_LBRACK,
    ACTIONS(8234), 1,
      anon_sym_POUND,
    ACTIONS(8607), 1,
      anon_sym_AT,
    STATE(4831), 1,
      sym_type_arguments,
    STATE(4968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5697), 1,
      sym_annotation,
    STATE(4590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241416] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8609), 1,
      anon_sym_with,
    STATE(4766), 1,
      aux_sym_compound_type_repeat1,
    STATE(7766), 1,
      sym__refinement,
    STATE(7767), 1,
      sym_template_body,
    STATE(8102), 1,
      sym_arguments,
    STATE(4591), 2,
      sym_comment,
      sym_block_comment,
    STATE(8010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [241474] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8611), 1,
      anon_sym_AT,
    STATE(4952), 1,
      sym_annotation,
    STATE(4592), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241524] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8614), 1,
      anon_sym_with,
    STATE(4704), 1,
      aux_sym_compound_type_repeat1,
    STATE(7757), 1,
      sym_template_body,
    STATE(7759), 1,
      sym__refinement,
    STATE(7760), 1,
      sym_arguments,
    STATE(4593), 2,
      sym_comment,
      sym_block_comment,
    STATE(7745), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [241628] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LPAREN,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8487), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4595), 2,
      sym_comment,
      sym_block_comment,
    STATE(6167), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241688] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(8479), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4596), 2,
      sym_comment,
      sym_block_comment,
    STATE(6254), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241746] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8616), 1,
      sym__interpolated_multiline_string_start,
    STATE(7362), 1,
      sym_interpolated_string,
    STATE(16086), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241802] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8618), 1,
      anon_sym_LBRACK,
    ACTIONS(8620), 1,
      anon_sym_LPAREN,
    ACTIONS(8622), 1,
      anon_sym_POUND,
    STATE(4928), 1,
      aux_sym_annotation_repeat1,
    STATE(5314), 1,
      sym_type_arguments,
    STATE(5982), 1,
      sym_arguments,
    STATE(4598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241860] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7920), 1,
      anon_sym_LPAREN,
    STATE(4587), 1,
      aux_sym_annotation_repeat1,
    STATE(5078), 1,
      sym_arguments,
    STATE(4599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241912] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8072), 1,
      anon_sym_with,
    STATE(5565), 1,
      aux_sym_compound_type_repeat1,
    STATE(7219), 1,
      sym_template_body,
    STATE(7239), 1,
      sym__refinement,
    STATE(4600), 2,
      sym_comment,
      sym_block_comment,
    STATE(7132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [241968] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8092), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_POUND,
    ACTIONS(8624), 1,
      anon_sym_AT,
    STATE(4864), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5024), 1,
      sym_type_arguments,
    STATE(6028), 1,
      sym_annotation,
    STATE(4601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242026] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8540), 1,
      anon_sym_COLON,
    ACTIONS(8542), 1,
      anon_sym_LBRACE,
    ACTIONS(8544), 1,
      anon_sym_with,
    STATE(4586), 1,
      aux_sym_compound_type_repeat1,
    STATE(8577), 1,
      sym__refinement,
    STATE(8579), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4602), 2,
      sym_comment,
      sym_block_comment,
    STATE(8413), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242092] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8240), 1,
      anon_sym_POUND,
    ACTIONS(8626), 1,
      anon_sym_AT,
    STATE(4838), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5086), 1,
      sym_type_arguments,
    STATE(6061), 1,
      sym_annotation,
    STATE(4603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242150] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8048), 1,
      anon_sym_LBRACK,
    ACTIONS(8050), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      anon_sym_POUND,
    STATE(5007), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5409), 1,
      sym_type_arguments,
    STATE(5726), 1,
      sym_annotation,
    STATE(4604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242346] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7888), 1,
      anon_sym_LPAREN,
    STATE(4552), 1,
      aux_sym_annotation_repeat1,
    STATE(4833), 1,
      sym_arguments,
    STATE(4608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [242444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242490] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8040), 1,
      anon_sym_LBRACK,
    ACTIONS(8044), 1,
      anon_sym_POUND,
    ACTIONS(8634), 1,
      anon_sym_AT,
    STATE(4915), 1,
      sym_type_arguments,
    STATE(5077), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5819), 1,
      sym_annotation,
    STATE(4611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242548] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8524), 1,
      anon_sym_COLON,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    ACTIONS(8528), 1,
      anon_sym_with,
    STATE(4553), 1,
      aux_sym_compound_type_repeat1,
    STATE(8365), 1,
      sym__refinement,
    STATE(8367), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4612), 2,
      sym_comment,
      sym_block_comment,
    STATE(8593), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242614] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8048), 1,
      anon_sym_LBRACK,
    ACTIONS(8054), 1,
      anon_sym_POUND,
    ACTIONS(8636), 1,
      anon_sym_LPAREN,
    STATE(4925), 1,
      aux_sym_annotation_repeat1,
    STATE(5409), 1,
      sym_type_arguments,
    STATE(5981), 1,
      sym_arguments,
    STATE(4613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242672] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8350), 1,
      anon_sym_with,
    STATE(5608), 1,
      aux_sym_compound_type_repeat1,
    STATE(7127), 1,
      sym__refinement,
    STATE(7151), 1,
      sym_template_body,
    STATE(4614), 2,
      sym_comment,
      sym_block_comment,
    STATE(7062), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242728] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_AT,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(8644), 1,
      anon_sym_POUND,
    STATE(5357), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5962), 1,
      sym_type_arguments,
    STATE(6300), 1,
      sym_annotation,
    STATE(7760), 1,
      sym_arguments,
    STATE(4615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242790] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7834), 1,
      anon_sym_LPAREN,
    STATE(4619), 1,
      aux_sym_annotation_repeat1,
    STATE(5067), 1,
      sym_arguments,
    STATE(4616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242842] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8646), 1,
      anon_sym_with,
    STATE(4711), 1,
      aux_sym_compound_type_repeat1,
    STATE(7577), 1,
      sym_arguments,
    STATE(8220), 1,
      sym__refinement,
    STATE(8222), 1,
      sym_template_body,
    STATE(4617), 2,
      sym_comment,
      sym_block_comment,
    STATE(7807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242900] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8583), 1,
      anon_sym_COLON,
    ACTIONS(8585), 1,
      anon_sym_LBRACE,
    ACTIONS(8587), 1,
      anon_sym_with,
    STATE(4576), 1,
      aux_sym_compound_type_repeat1,
    STATE(8555), 1,
      sym__refinement,
    STATE(8556), 1,
      sym_template_body,
    STATE(4618), 2,
      sym_comment,
      sym_block_comment,
    STATE(8903), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242960] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      anon_sym_LPAREN,
    STATE(5067), 1,
      sym_arguments,
    STATE(4619), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8651), 1,
      anon_sym_DOT,
    STATE(4620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243058] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7952), 1,
      anon_sym_LPAREN,
    STATE(4589), 1,
      aux_sym_annotation_repeat1,
    STATE(5041), 1,
      sym_arguments,
    STATE(4621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243110] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243158] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8653), 1,
      anon_sym_LBRACK,
    ACTIONS(8655), 1,
      anon_sym_AT,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    ACTIONS(8659), 1,
      anon_sym_POUND,
    STATE(5347), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5693), 1,
      sym_type_arguments,
    STATE(6590), 1,
      sym_annotation,
    STATE(8102), 1,
      sym_arguments,
    STATE(4623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243220] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7806), 1,
      anon_sym_AT,
    STATE(4560), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4851), 1,
      sym_annotation,
    STATE(4624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243272] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8661), 1,
      anon_sym_LBRACK,
    ACTIONS(8663), 1,
      anon_sym_LPAREN,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    STATE(4899), 1,
      aux_sym_annotation_repeat1,
    STATE(5163), 1,
      sym_type_arguments,
    STATE(5549), 1,
      sym_arguments,
    STATE(4625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243421] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8258), 1,
      anon_sym_LPAREN,
    STATE(4685), 1,
      aux_sym_annotation_repeat1,
    STATE(5303), 1,
      sym_arguments,
    STATE(4628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [243562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [243652] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8567), 1,
      anon_sym_LBRACK,
    ACTIONS(8571), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_AT,
    STATE(5270), 1,
      sym_type_arguments,
    STATE(5370), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6339), 1,
      sym_annotation,
    STATE(4633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243799] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1024), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8475), 1,
      anon_sym_LPAREN,
    ACTIONS(8669), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4636), 2,
      sym_comment,
      sym_block_comment,
    STATE(7045), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243858] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1132), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    ACTIONS(8671), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4637), 2,
      sym_comment,
      sym_block_comment,
    STATE(7131), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244007] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8673), 1,
      anon_sym_LBRACK,
    ACTIONS(8675), 1,
      anon_sym_AT,
    ACTIONS(8677), 1,
      anon_sym_LPAREN,
    ACTIONS(8679), 1,
      anon_sym_POUND,
    STATE(5926), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6698), 1,
      sym_type_arguments,
    STATE(7023), 1,
      sym_annotation,
    STATE(8896), 1,
      sym_arguments,
    STATE(4640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244068] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8094), 1,
      anon_sym_LPAREN,
    STATE(4710), 1,
      aux_sym_annotation_repeat1,
    STATE(5150), 1,
      sym_arguments,
    STATE(4641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [244164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [244344] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8318), 1,
      anon_sym_AT,
    STATE(4792), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5406), 1,
      sym_annotation,
    STATE(4647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244485] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8495), 1,
      anon_sym_LBRACK,
    ACTIONS(8499), 1,
      anon_sym_POUND,
    ACTIONS(8681), 1,
      anon_sym_AT,
    STATE(5173), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5295), 1,
      sym_type_arguments,
    STATE(6644), 1,
      sym_annotation,
    STATE(4650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244587] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8683), 1,
      anon_sym_COLON,
    ACTIONS(8685), 1,
      anon_sym_LBRACE,
    ACTIONS(8687), 1,
      anon_sym_with,
    STATE(4771), 1,
      aux_sym_compound_type_repeat1,
    STATE(8940), 1,
      sym_template_body,
    STATE(8943), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4652), 2,
      sym_comment,
      sym_block_comment,
    STATE(9313), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244697] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8689), 1,
      anon_sym_with,
    STATE(4919), 1,
      aux_sym_compound_type_repeat1,
    STATE(8730), 1,
      sym__refinement,
    STATE(8733), 1,
      sym_template_body,
    STATE(8896), 1,
      sym_arguments,
    STATE(4654), 2,
      sym_comment,
      sym_block_comment,
    STATE(8786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244844] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8691), 1,
      anon_sym_LBRACK,
    ACTIONS(8693), 1,
      anon_sym_AT,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8697), 1,
      anon_sym_POUND,
    STATE(6051), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6546), 1,
      sym_type_arguments,
    STATE(7204), 1,
      sym_annotation,
    STATE(8782), 1,
      sym_arguments,
    STATE(4657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [244905] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8699), 1,
      anon_sym_COLON,
    ACTIONS(8701), 1,
      anon_sym_LBRACE,
    ACTIONS(8703), 1,
      anon_sym_with,
    STATE(4683), 1,
      aux_sym_compound_type_repeat1,
    STATE(8962), 1,
      sym__refinement,
    STATE(8963), 1,
      sym_template_body,
    STATE(4658), 2,
      sym_comment,
      sym_block_comment,
    STATE(9536), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244964] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8661), 1,
      anon_sym_LBRACK,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8705), 1,
      anon_sym_AT,
    STATE(5163), 1,
      sym_type_arguments,
    STATE(5410), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6716), 1,
      sym_annotation,
    STATE(4659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [245021] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1060), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8296), 1,
      anon_sym_LPAREN,
    ACTIONS(8707), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4660), 2,
      sym_comment,
      sym_block_comment,
    STATE(7060), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8709), 1,
      anon_sym_DOT,
    STATE(4665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245307] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8713), 1,
      anon_sym_COLON,
    ACTIONS(8716), 1,
      anon_sym_LBRACE,
    STATE(5771), 1,
      sym_template_body,
    STATE(4666), 2,
      sym_comment,
      sym_block_comment,
    STATE(5825), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 17,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245360] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8721), 1,
      anon_sym_LPAREN,
    STATE(5277), 1,
      sym_arguments,
    STATE(4667), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245409] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(7860), 1,
      sym__interpolated_multiline_string_start,
    STATE(5994), 1,
      sym_interpolated_string,
    STATE(16034), 1,
      sym__interpolated_string_start,
    ACTIONS(8724), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245554] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8726), 1,
      sym__interpolated_multiline_string_start,
    STATE(7770), 1,
      sym_interpolated_string,
    STATE(16247), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [245609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245654] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1024), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8475), 1,
      anon_sym_LPAREN,
    ACTIONS(8669), 1,
      anon_sym_DOT,
    ACTIONS(8728), 1,
      sym_operator_identifier,
    STATE(1832), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4673), 2,
      sym_comment,
      sym_block_comment,
    STATE(7045), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [245723] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8730), 1,
      anon_sym_COLON,
    ACTIONS(8732), 1,
      anon_sym_LBRACE,
    ACTIONS(8734), 1,
      anon_sym_with,
    STATE(4738), 1,
      aux_sym_compound_type_repeat1,
    STATE(9162), 1,
      sym_template_body,
    STATE(9163), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4674), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8736), 1,
      anon_sym_DOT,
    STATE(4675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245835] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8417), 1,
      anon_sym_AT,
    STATE(4769), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5426), 1,
      sym_annotation,
    STATE(4676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245886] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8577), 1,
      anon_sym_LBRACK,
    ACTIONS(8581), 1,
      anon_sym_POUND,
    ACTIONS(8738), 1,
      anon_sym_AT,
    STATE(5171), 1,
      sym_type_arguments,
    STATE(5290), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6548), 1,
      sym_annotation,
    STATE(4677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246033] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8740), 1,
      anon_sym_DOT,
    STATE(4680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246080] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8742), 1,
      anon_sym_COLON,
    ACTIONS(8744), 1,
      anon_sym_LBRACE,
    ACTIONS(8746), 1,
      anon_sym_with,
    STATE(6547), 1,
      aux_sym_compound_type_repeat1,
    STATE(9057), 1,
      sym__refinement,
    STATE(9075), 1,
      sym_template_body,
    STATE(4681), 2,
      sym_comment,
      sym_block_comment,
    STATE(9193), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246139] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8748), 1,
      anon_sym_with,
    STATE(5020), 1,
      aux_sym_compound_type_repeat1,
    STATE(8710), 1,
      sym__refinement,
    STATE(8711), 1,
      sym_template_body,
    STATE(8751), 1,
      sym_arguments,
    STATE(4682), 2,
      sym_comment,
      sym_block_comment,
    STATE(8652), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246196] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8699), 1,
      anon_sym_COLON,
    ACTIONS(8701), 1,
      anon_sym_LBRACE,
    ACTIONS(8703), 1,
      anon_sym_with,
    STATE(6248), 1,
      aux_sym_compound_type_repeat1,
    STATE(8932), 1,
      sym__refinement,
    STATE(8963), 1,
      sym_template_body,
    STATE(4683), 2,
      sym_comment,
      sym_block_comment,
    STATE(9536), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246255] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_LPAREN,
    ACTIONS(8754), 1,
      anon_sym_POUND,
    STATE(5256), 1,
      aux_sym_annotation_repeat1,
    STATE(5622), 1,
      sym_type_arguments,
    STATE(6483), 1,
      sym_arguments,
    STATE(4684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246312] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8756), 1,
      anon_sym_LPAREN,
    STATE(5303), 1,
      sym_arguments,
    STATE(4685), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [246406] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8759), 1,
      anon_sym_LBRACK,
    ACTIONS(8761), 1,
      anon_sym_AT,
    ACTIONS(8763), 1,
      anon_sym_LPAREN,
    ACTIONS(8765), 1,
      anon_sym_POUND,
    STATE(6027), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6136), 1,
      sym_type_arguments,
    STATE(7345), 1,
      sym_annotation,
    STATE(8279), 1,
      sym_arguments,
    STATE(4687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246467] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8767), 1,
      anon_sym_LBRACK,
    ACTIONS(8769), 1,
      anon_sym_LPAREN,
    ACTIONS(8771), 1,
      anon_sym_POUND,
    STATE(5384), 1,
      aux_sym_annotation_repeat1,
    STATE(5979), 1,
      sym_type_arguments,
    STATE(6404), 1,
      sym_arguments,
    STATE(4688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246524] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 1,
      anon_sym_LPAREN,
    STATE(5453), 1,
      sym_arguments,
    STATE(4689), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246573] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1132), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8671), 1,
      anon_sym_DOT,
    ACTIONS(8776), 1,
      sym_operator_identifier,
    STATE(1711), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4690), 2,
      sym_comment,
      sym_block_comment,
    STATE(7131), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [246642] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      anon_sym_LPAREN,
    STATE(4667), 1,
      aux_sym_annotation_repeat1,
    STATE(5277), 1,
      sym_arguments,
    STATE(4691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246693] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8683), 1,
      anon_sym_COLON,
    ACTIONS(8685), 1,
      anon_sym_LBRACE,
    ACTIONS(8687), 1,
      anon_sym_with,
    STATE(4771), 1,
      aux_sym_compound_type_repeat1,
    STATE(8940), 1,
      sym_template_body,
    STATE(8943), 1,
      sym__refinement,
    STATE(4692), 2,
      sym_comment,
      sym_block_comment,
    STATE(9313), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246797] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8644), 1,
      anon_sym_POUND,
    ACTIONS(8778), 1,
      anon_sym_LPAREN,
    STATE(5457), 1,
      aux_sym_annotation_repeat1,
    STATE(5962), 1,
      sym_type_arguments,
    STATE(6451), 1,
      sym_arguments,
    STATE(4694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246899] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8530), 1,
      anon_sym_LBRACK,
    ACTIONS(8536), 1,
      anon_sym_POUND,
    ACTIONS(8780), 1,
      anon_sym_LPAREN,
    STATE(5291), 1,
      aux_sym_annotation_repeat1,
    STATE(5810), 1,
      sym_type_arguments,
    STATE(6654), 1,
      sym_arguments,
    STATE(4696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246956] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8782), 1,
      anon_sym_LBRACK,
    ACTIONS(8784), 1,
      anon_sym_LPAREN,
    ACTIONS(8786), 1,
      anon_sym_POUND,
    STATE(5405), 1,
      aux_sym_annotation_repeat1,
    STATE(5910), 1,
      sym_type_arguments,
    STATE(6448), 1,
      sym_arguments,
    STATE(4697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247013] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8788), 1,
      anon_sym_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_LPAREN,
    ACTIONS(8792), 1,
      anon_sym_POUND,
    STATE(5338), 1,
      aux_sym_annotation_repeat1,
    STATE(5505), 1,
      sym_type_arguments,
    STATE(6502), 1,
      sym_arguments,
    STATE(4698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247117] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8794), 1,
      anon_sym_AT,
    STATE(5107), 1,
      sym_annotation,
    STATE(4700), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247166] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1132), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8671), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4701), 2,
      sym_comment,
      sym_block_comment,
    STATE(7131), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247225] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8797), 1,
      anon_sym_LBRACK,
    ACTIONS(8799), 1,
      anon_sym_LPAREN,
    ACTIONS(8801), 1,
      anon_sym_POUND,
    STATE(5390), 1,
      aux_sym_annotation_repeat1,
    STATE(6011), 1,
      sym_type_arguments,
    STATE(6400), 1,
      sym_arguments,
    STATE(4702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [247327] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8614), 1,
      anon_sym_with,
    STATE(6227), 1,
      aux_sym_compound_type_repeat1,
    STATE(7757), 1,
      sym_template_body,
    STATE(7764), 1,
      sym__refinement,
    STATE(4704), 2,
      sym_comment,
      sym_block_comment,
    STATE(7745), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247474] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7792), 1,
      anon_sym_AT,
    STATE(4737), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5315), 1,
      sym_annotation,
    STATE(4707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247525] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1024), 1,
      anon_sym_LBRACE,
    ACTIONS(8475), 1,
      anon_sym_LPAREN,
    ACTIONS(8669), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4708), 2,
      sym_comment,
      sym_block_comment,
    STATE(7045), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247627] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8803), 1,
      anon_sym_LPAREN,
    STATE(5150), 1,
      sym_arguments,
    STATE(4710), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247676] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8646), 1,
      anon_sym_with,
    STATE(6366), 1,
      aux_sym_compound_type_repeat1,
    STATE(8210), 1,
      sym__refinement,
    STATE(8222), 1,
      sym_template_body,
    STATE(4711), 2,
      sym_comment,
      sym_block_comment,
    STATE(7807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [247821] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8806), 1,
      sym__interpolated_multiline_string_start,
    STATE(7671), 1,
      sym_interpolated_string,
    STATE(15652), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247876] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8808), 1,
      anon_sym_AT,
    STATE(5268), 1,
      sym_annotation,
    STATE(4715), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247925] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8811), 1,
      anon_sym_with,
    STATE(5037), 1,
      aux_sym_compound_type_repeat1,
    STATE(8279), 1,
      sym_arguments,
    STATE(8568), 1,
      sym__refinement,
    STATE(8571), 1,
      sym_template_body,
    STATE(4716), 2,
      sym_comment,
      sym_block_comment,
    STATE(8339), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247982] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8530), 1,
      anon_sym_LBRACK,
    ACTIONS(8532), 1,
      anon_sym_AT,
    ACTIONS(8536), 1,
      anon_sym_POUND,
    STATE(5228), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5810), 1,
      sym_type_arguments,
    STATE(6399), 1,
      sym_annotation,
    STATE(4717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248039] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8730), 1,
      anon_sym_COLON,
    ACTIONS(8732), 1,
      anon_sym_LBRACE,
    ACTIONS(8734), 1,
      anon_sym_with,
    STATE(4738), 1,
      aux_sym_compound_type_repeat1,
    STATE(9162), 1,
      sym_template_body,
    STATE(9163), 1,
      sym__refinement,
    STATE(4718), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248233] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8742), 1,
      anon_sym_COLON,
    ACTIONS(8744), 1,
      anon_sym_LBRACE,
    ACTIONS(8746), 1,
      anon_sym_with,
    STATE(4681), 1,
      aux_sym_compound_type_repeat1,
    STATE(9074), 1,
      sym__refinement,
    STATE(9075), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4722), 2,
      sym_comment,
      sym_block_comment,
    STATE(9193), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248298] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1060), 1,
      anon_sym_LBRACE,
    ACTIONS(8296), 1,
      anon_sym_LPAREN,
    ACTIONS(8707), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4723), 2,
      sym_comment,
      sym_block_comment,
    STATE(7060), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248355] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8817), 1,
      anon_sym_LBRACK,
    ACTIONS(8819), 1,
      anon_sym_LPAREN,
    ACTIONS(8821), 1,
      anon_sym_POUND,
    STATE(5415), 1,
      aux_sym_annotation_repeat1,
    STATE(5850), 1,
      sym_type_arguments,
    STATE(6311), 1,
      sym_arguments,
    STATE(4724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248457] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8238), 1,
      anon_sym_LPAREN,
    STATE(4742), 1,
      aux_sym_annotation_repeat1,
    STATE(5109), 1,
      sym_arguments,
    STATE(4726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248553] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8599), 1,
      anon_sym_DOT,
    ACTIONS(8827), 1,
      anon_sym_EQ_GT,
    STATE(4728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248602] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8829), 1,
      anon_sym_with,
    STATE(4893), 1,
      aux_sym_compound_type_repeat1,
    STATE(8782), 1,
      sym_arguments,
    STATE(8923), 1,
      sym__refinement,
    STATE(8926), 1,
      sym_template_body,
    STATE(4729), 2,
      sym_comment,
      sym_block_comment,
    STATE(8535), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248659] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8831), 1,
      anon_sym_LBRACK,
    ACTIONS(8833), 1,
      anon_sym_AT,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(8837), 1,
      anon_sym_POUND,
    STATE(5509), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6573), 1,
      sym_type_arguments,
    STATE(6807), 1,
      sym_annotation,
    STATE(8751), 1,
      sym_arguments,
    STATE(4730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248765] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8839), 1,
      anon_sym_LBRACK,
    ACTIONS(8841), 1,
      anon_sym_LPAREN,
    ACTIONS(8843), 1,
      anon_sym_POUND,
    STATE(4423), 1,
      sym_type_arguments,
    STATE(4485), 1,
      sym_arguments,
    STATE(5514), 1,
      aux_sym_annotation_repeat1,
    STATE(4732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [248820] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8653), 1,
      anon_sym_LBRACK,
    ACTIONS(8659), 1,
      anon_sym_POUND,
    ACTIONS(8845), 1,
      anon_sym_LPAREN,
    STATE(5304), 1,
      aux_sym_annotation_repeat1,
    STATE(5693), 1,
      sym_type_arguments,
    STATE(6694), 1,
      sym_arguments,
    STATE(4733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249012] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8847), 1,
      anon_sym_AT,
    STATE(5315), 1,
      sym_annotation,
    STATE(4737), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249061] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8730), 1,
      anon_sym_COLON,
    ACTIONS(8732), 1,
      anon_sym_LBRACE,
    ACTIONS(8734), 1,
      anon_sym_with,
    STATE(6683), 1,
      aux_sym_compound_type_repeat1,
    STATE(9162), 1,
      sym_template_body,
    STATE(9176), 1,
      sym__refinement,
    STATE(4738), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249120] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8850), 1,
      anon_sym_COLON,
    ACTIONS(8852), 1,
      anon_sym_LBRACE,
    ACTIONS(8854), 1,
      anon_sym_with,
    STATE(6703), 1,
      aux_sym_compound_type_repeat1,
    STATE(9054), 1,
      sym__refinement,
    STATE(9099), 1,
      sym_template_body,
    STATE(4739), 2,
      sym_comment,
      sym_block_comment,
    STATE(9324), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249179] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_AT,
    STATE(4715), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5268), 1,
      sym_annotation,
    STATE(4740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249275] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8856), 1,
      anon_sym_LPAREN,
    STATE(5109), 1,
      sym_arguments,
    STATE(4742), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249324] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8850), 1,
      anon_sym_COLON,
    ACTIONS(8852), 1,
      anon_sym_LBRACE,
    ACTIONS(8854), 1,
      anon_sym_with,
    STATE(4739), 1,
      aux_sym_compound_type_repeat1,
    STATE(9098), 1,
      sym__refinement,
    STATE(9099), 1,
      sym_template_body,
    STATE(4743), 2,
      sym_comment,
      sym_block_comment,
    STATE(9324), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249383] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__interpolated_multiline_string_start,
    STATE(8029), 1,
      sym_interpolated_string,
    STATE(16292), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249755] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8042), 1,
      anon_sym_LPAREN,
    STATE(4776), 1,
      aux_sym_annotation_repeat1,
    STATE(5416), 1,
      sym_arguments,
    STATE(4752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249806] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8618), 1,
      anon_sym_LBRACK,
    ACTIONS(8622), 1,
      anon_sym_POUND,
    ACTIONS(8861), 1,
      anon_sym_AT,
    STATE(5314), 1,
      sym_type_arguments,
    STATE(5444), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6512), 1,
      sym_annotation,
    STATE(4753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249863] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8850), 1,
      anon_sym_COLON,
    ACTIONS(8852), 1,
      anon_sym_LBRACE,
    ACTIONS(8854), 1,
      anon_sym_with,
    STATE(4739), 1,
      aux_sym_compound_type_repeat1,
    STATE(9098), 1,
      sym__refinement,
    STATE(9099), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4754), 2,
      sym_comment,
      sym_block_comment,
    STATE(9324), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250020] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7866), 1,
      anon_sym_AT,
    STATE(4700), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5107), 1,
      sym_annotation,
    STATE(4757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250116] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8863), 1,
      anon_sym_LBRACK,
    ACTIONS(8865), 1,
      anon_sym_LPAREN,
    ACTIONS(8867), 1,
      anon_sym_POUND,
    STATE(5210), 1,
      aux_sym_annotation_repeat1,
    STATE(6091), 1,
      sym_type_arguments,
    STATE(6427), 1,
      sym_arguments,
    STATE(4759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250173] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8869), 1,
      anon_sym_COLON,
    ACTIONS(8871), 1,
      anon_sym_LBRACE,
    ACTIONS(8873), 1,
      anon_sym_with,
    STATE(4779), 1,
      aux_sym_compound_type_repeat1,
    STATE(9181), 1,
      sym__refinement,
    STATE(9184), 1,
      sym_template_body,
    STATE(4760), 2,
      sym_comment,
      sym_block_comment,
    STATE(9073), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250277] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8875), 1,
      anon_sym_DOT,
    STATE(4762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [250414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250459] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8609), 1,
      anon_sym_with,
    STATE(6526), 1,
      aux_sym_compound_type_repeat1,
    STATE(7736), 1,
      sym__refinement,
    STATE(7767), 1,
      sym_template_body,
    STATE(4766), 2,
      sym_comment,
      sym_block_comment,
    STATE(8010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8881), 1,
      anon_sym_DOT,
    STATE(4767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8883), 1,
      anon_sym_AT,
    STATE(5426), 1,
      sym_annotation,
    STATE(4769), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250655] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8314), 1,
      anon_sym_LPAREN,
    STATE(4790), 1,
      aux_sym_annotation_repeat1,
    STATE(5149), 1,
      sym_arguments,
    STATE(4770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250706] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8683), 1,
      anon_sym_COLON,
    ACTIONS(8685), 1,
      anon_sym_LBRACE,
    ACTIONS(8687), 1,
      anon_sym_with,
    STATE(6600), 1,
      aux_sym_compound_type_repeat1,
    STATE(8936), 1,
      sym__refinement,
    STATE(8940), 1,
      sym_template_body,
    STATE(4771), 2,
      sym_comment,
      sym_block_comment,
    STATE(9313), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250945] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8886), 1,
      anon_sym_LPAREN,
    STATE(5416), 1,
      sym_arguments,
    STATE(4776), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250994] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8869), 1,
      anon_sym_COLON,
    ACTIONS(8871), 1,
      anon_sym_LBRACE,
    ACTIONS(8873), 1,
      anon_sym_with,
    STATE(4779), 1,
      aux_sym_compound_type_repeat1,
    STATE(9181), 1,
      sym__refinement,
    STATE(9184), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4777), 2,
      sym_comment,
      sym_block_comment,
    STATE(9073), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [251059] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_AT,
    ACTIONS(8644), 1,
      anon_sym_POUND,
    STATE(5357), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5962), 1,
      sym_type_arguments,
    STATE(6300), 1,
      sym_annotation,
    STATE(4778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251116] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8869), 1,
      anon_sym_COLON,
    ACTIONS(8871), 1,
      anon_sym_LBRACE,
    ACTIONS(8873), 1,
      anon_sym_with,
    STATE(6510), 1,
      aux_sym_compound_type_repeat1,
    STATE(9161), 1,
      sym__refinement,
    STATE(9184), 1,
      sym_template_body,
    STATE(4779), 2,
      sym_comment,
      sym_block_comment,
    STATE(9073), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251220] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8593), 1,
      anon_sym_LBRACK,
    ACTIONS(8597), 1,
      anon_sym_POUND,
    ACTIONS(8889), 1,
      anon_sym_AT,
    STATE(5283), 1,
      sym_type_arguments,
    STATE(5472), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6607), 1,
      sym_annotation,
    STATE(4781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251277] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8651), 1,
      anon_sym_DOT,
    ACTIONS(8891), 1,
      anon_sym_EQ_GT,
    STATE(4782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251551] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(7860), 1,
      sym__interpolated_multiline_string_start,
    STATE(5994), 1,
      sym_interpolated_string,
    STATE(16034), 1,
      sym__interpolated_string_start,
    ACTIONS(8893), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251606] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8653), 1,
      anon_sym_LBRACK,
    ACTIONS(8655), 1,
      anon_sym_AT,
    ACTIONS(8659), 1,
      anon_sym_POUND,
    STATE(5347), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5693), 1,
      sym_type_arguments,
    STATE(6590), 1,
      sym_annotation,
    STATE(4789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251663] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    STATE(5149), 1,
      sym_arguments,
    STATE(4790), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251757] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8898), 1,
      anon_sym_AT,
    STATE(5406), 1,
      sym_annotation,
    STATE(4792), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252033] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1060), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8296), 1,
      anon_sym_LPAREN,
    ACTIONS(8707), 1,
      anon_sym_DOT,
    ACTIONS(8903), 1,
      sym_operator_identifier,
    STATE(1720), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4798), 2,
      sym_comment,
      sym_block_comment,
    STATE(7060), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [252102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252147] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8699), 1,
      anon_sym_COLON,
    ACTIONS(8701), 1,
      anon_sym_LBRACE,
    ACTIONS(8703), 1,
      anon_sym_with,
    STATE(4683), 1,
      aux_sym_compound_type_repeat1,
    STATE(8962), 1,
      sym__refinement,
    STATE(8963), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4800), 2,
      sym_comment,
      sym_block_comment,
    STATE(9536), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252257] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8742), 1,
      anon_sym_COLON,
    ACTIONS(8744), 1,
      anon_sym_LBRACE,
    ACTIONS(8746), 1,
      anon_sym_with,
    STATE(4681), 1,
      aux_sym_compound_type_repeat1,
    STATE(9074), 1,
      sym__refinement,
    STATE(9075), 1,
      sym_template_body,
    STATE(4802), 2,
      sym_comment,
      sym_block_comment,
    STATE(9193), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252316] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8090), 1,
      anon_sym_LPAREN,
    STATE(4689), 1,
      aux_sym_annotation_repeat1,
    STATE(5453), 1,
      sym_arguments,
    STATE(4803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252457] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8905), 1,
      anon_sym_DOT,
    STATE(4806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252504] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8483), 1,
      anon_sym_EQ_GT,
    STATE(4807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252595] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8907), 1,
      anon_sym_COLON,
    ACTIONS(8909), 1,
      anon_sym_LBRACE,
    ACTIONS(8911), 1,
      anon_sym_with,
    STATE(4914), 1,
      aux_sym_compound_type_repeat1,
    STATE(9845), 1,
      sym__refinement,
    STATE(9848), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4809), 2,
      sym_comment,
      sym_block_comment,
    STATE(9858), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252703] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8913), 1,
      anon_sym_LBRACK,
    ACTIONS(8915), 1,
      anon_sym_AT,
    ACTIONS(8917), 1,
      anon_sym_LPAREN,
    ACTIONS(8919), 1,
      anon_sym_POUND,
    STATE(6269), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7438), 1,
      sym_type_arguments,
    STATE(7508), 1,
      sym_annotation,
    STATE(9414), 1,
      sym_arguments,
    STATE(4811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252895] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8921), 1,
      anon_sym_COLON,
    ACTIONS(8923), 1,
      anon_sym_LBRACE,
    ACTIONS(8925), 1,
      anon_sym_with,
    STATE(4880), 1,
      aux_sym_compound_type_repeat1,
    STATE(9739), 1,
      sym__refinement,
    STATE(9741), 1,
      sym_template_body,
    STATE(4815), 2,
      sym_comment,
      sym_block_comment,
    STATE(9669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252997] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8927), 1,
      anon_sym_with,
    STATE(5452), 1,
      aux_sym_compound_type_repeat1,
    STATE(9414), 1,
      sym_arguments,
    STATE(9552), 1,
      sym__refinement,
    STATE(9553), 1,
      sym_template_body,
    STATE(4817), 2,
      sym_comment,
      sym_block_comment,
    STATE(9562), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253581] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8929), 1,
      anon_sym_COLON,
    ACTIONS(8931), 1,
      anon_sym_LBRACE,
    ACTIONS(8933), 1,
      anon_sym_with,
    STATE(4857), 1,
      aux_sym_compound_type_repeat1,
    STATE(9950), 1,
      sym_template_body,
    STATE(9960), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4830), 2,
      sym_comment,
      sym_block_comment,
    STATE(9954), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253821] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8907), 1,
      anon_sym_COLON,
    ACTIONS(8909), 1,
      anon_sym_LBRACE,
    ACTIONS(8911), 1,
      anon_sym_with,
    STATE(4914), 1,
      aux_sym_compound_type_repeat1,
    STATE(9845), 1,
      sym__refinement,
    STATE(9848), 1,
      sym_template_body,
    STATE(4835), 2,
      sym_comment,
      sym_block_comment,
    STATE(9858), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253879] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8831), 1,
      anon_sym_LBRACK,
    ACTIONS(8833), 1,
      anon_sym_AT,
    ACTIONS(8837), 1,
      anon_sym_POUND,
    STATE(5509), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6573), 1,
      sym_type_arguments,
    STATE(6807), 1,
      sym_annotation,
    STATE(4836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253979] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8626), 1,
      anon_sym_AT,
    STATE(4953), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6061), 1,
      sym_annotation,
    STATE(4838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254029] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8691), 1,
      anon_sym_LBRACK,
    ACTIONS(8693), 1,
      anon_sym_AT,
    ACTIONS(8697), 1,
      anon_sym_POUND,
    STATE(6051), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6546), 1,
      sym_type_arguments,
    STATE(7204), 1,
      sym_annotation,
    STATE(4839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254085] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8935), 1,
      anon_sym_COLON,
    ACTIONS(8937), 1,
      anon_sym_LBRACE,
    ACTIONS(8939), 1,
      anon_sym_with,
    STATE(5015), 1,
      aux_sym_compound_type_repeat1,
    STATE(9704), 1,
      sym__refinement,
    STATE(9705), 1,
      sym_template_body,
    STATE(4840), 2,
      sym_comment,
      sym_block_comment,
    STATE(9698), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254187] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8891), 1,
      anon_sym_EQ_GT,
    STATE(4842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254365] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8921), 1,
      anon_sym_COLON,
    ACTIONS(8923), 1,
      anon_sym_LBRACE,
    ACTIONS(8925), 1,
      anon_sym_with,
    STATE(4880), 1,
      aux_sym_compound_type_repeat1,
    STATE(9739), 1,
      sym__refinement,
    STATE(9741), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4846), 2,
      sym_comment,
      sym_block_comment,
    STATE(9669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254429] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8941), 1,
      sym__interpolated_multiline_string_start,
    STATE(8497), 1,
      sym_interpolated_string,
    STATE(16205), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254527] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8767), 1,
      anon_sym_LBRACK,
    ACTIONS(8771), 1,
      anon_sym_POUND,
    ACTIONS(8943), 1,
      anon_sym_AT,
    STATE(5821), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5979), 1,
      sym_type_arguments,
    STATE(7421), 1,
      sym_annotation,
    STATE(4849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254759] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8691), 1,
      anon_sym_LBRACK,
    ACTIONS(8697), 1,
      anon_sym_POUND,
    ACTIONS(8949), 1,
      anon_sym_LPAREN,
    STATE(5518), 1,
      aux_sym_annotation_repeat1,
    STATE(6546), 1,
      sym_type_arguments,
    STATE(6932), 1,
      sym_arguments,
    STATE(4854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254815] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8951), 1,
      anon_sym_LBRACK,
    ACTIONS(8953), 1,
      anon_sym_LPAREN,
    ACTIONS(8955), 1,
      anon_sym_POUND,
    STATE(6005), 1,
      aux_sym_annotation_repeat1,
    STATE(6428), 1,
      sym_type_arguments,
    STATE(7159), 1,
      sym_arguments,
    STATE(4855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254871] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8827), 1,
      anon_sym_EQ_GT,
    STATE(4856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254917] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8929), 1,
      anon_sym_COLON,
    ACTIONS(8931), 1,
      anon_sym_LBRACE,
    ACTIONS(8933), 1,
      anon_sym_with,
    STATE(6901), 1,
      aux_sym_compound_type_repeat1,
    STATE(9950), 1,
      sym_template_body,
    STATE(9999), 1,
      sym__refinement,
    STATE(4857), 2,
      sym_comment,
      sym_block_comment,
    STATE(9954), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255063] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8294), 1,
      anon_sym_AT,
    STATE(5079), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5658), 1,
      sym_annotation,
    STATE(4860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255113] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8188), 1,
      sym__interpolated_multiline_string_start,
    STATE(6436), 1,
      sym_interpolated_string,
    STATE(15293), 1,
      sym__interpolated_string_start,
    ACTIONS(8957), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255167] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8591), 1,
      anon_sym_AT,
    STATE(4995), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5611), 1,
      sym_annotation,
    STATE(4862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255261] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8624), 1,
      anon_sym_AT,
    STATE(5050), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6028), 1,
      sym_annotation,
    STATE(4864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255399] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8959), 1,
      anon_sym_DOT,
    STATE(4867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255445] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8961), 1,
      anon_sym_COLON,
    ACTIONS(8963), 1,
      anon_sym_LBRACE,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5070), 1,
      aux_sym_compound_type_repeat1,
    STATE(9877), 1,
      sym__refinement,
    STATE(9879), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4868), 2,
      sym_comment,
      sym_block_comment,
    STATE(9676), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7916), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255553] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8967), 1,
      anon_sym_LBRACK,
    ACTIONS(8969), 1,
      anon_sym_LPAREN,
    ACTIONS(8971), 1,
      anon_sym_POUND,
    STATE(5515), 1,
      aux_sym_annotation_repeat1,
    STATE(6558), 1,
      sym_type_arguments,
    STATE(6871), 1,
      sym_arguments,
    STATE(4870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255697] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8973), 1,
      anon_sym_with,
    STATE(5108), 1,
      aux_sym_compound_type_repeat1,
    STATE(9168), 1,
      sym_arguments,
    STATE(9494), 1,
      sym_template_body,
    STATE(9496), 1,
      sym__refinement,
    STATE(4873), 2,
      sym_comment,
      sym_block_comment,
    STATE(9404), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255753] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8975), 1,
      anon_sym_COLON,
    ACTIONS(8977), 1,
      anon_sym_LBRACE,
    ACTIONS(8979), 1,
      anon_sym_with,
    STATE(4954), 1,
      aux_sym_compound_type_repeat1,
    STATE(9820), 1,
      sym__refinement,
    STATE(9821), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4874), 2,
      sym_comment,
      sym_block_comment,
    STATE(9609), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255861] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8981), 1,
      anon_sym_LPAREN,
    STATE(5976), 1,
      sym_arguments,
    STATE(4876), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256041] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8921), 1,
      anon_sym_COLON,
    ACTIONS(8923), 1,
      anon_sym_LBRACE,
    ACTIONS(8925), 1,
      anon_sym_with,
    STATE(6773), 1,
      aux_sym_compound_type_repeat1,
    STATE(9724), 1,
      sym__refinement,
    STATE(9741), 1,
      sym_template_body,
    STATE(4880), 2,
      sym_comment,
      sym_block_comment,
    STATE(9669), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256187] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8881), 1,
      anon_sym_DOT,
    ACTIONS(8984), 1,
      anon_sym_EQ_GT,
    STATE(4883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256235] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8986), 1,
      sym__interpolated_multiline_string_start,
    STATE(8749), 1,
      sym_interpolated_string,
    STATE(15823), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256333] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8759), 1,
      anon_sym_LBRACK,
    ACTIONS(8761), 1,
      anon_sym_AT,
    ACTIONS(8765), 1,
      anon_sym_POUND,
    STATE(6027), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6136), 1,
      sym_type_arguments,
    STATE(7345), 1,
      sym_annotation,
    STATE(4886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256433] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8988), 1,
      anon_sym_LBRACK,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(8992), 1,
      anon_sym_POUND,
    STATE(5738), 1,
      aux_sym_annotation_repeat1,
    STATE(6259), 1,
      sym_type_arguments,
    STATE(7050), 1,
      sym_arguments,
    STATE(4888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256489] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256535] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8994), 1,
      anon_sym_LBRACK,
    ACTIONS(8996), 1,
      anon_sym_LPAREN,
    ACTIONS(8998), 1,
      anon_sym_POUND,
    STATE(5566), 1,
      aux_sym_annotation_repeat1,
    STATE(6616), 1,
      sym_type_arguments,
    STATE(6818), 1,
      sym_arguments,
    STATE(4890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256635] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1096), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8534), 1,
      anon_sym_LPAREN,
    ACTIONS(9000), 1,
      anon_sym_DOT,
    ACTIONS(9002), 1,
      sym_operator_identifier,
    STATE(1805), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4892), 2,
      sym_comment,
      sym_block_comment,
    STATE(7834), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [256703] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8829), 1,
      anon_sym_with,
    STATE(7367), 1,
      aux_sym_compound_type_repeat1,
    STATE(8902), 1,
      sym__refinement,
    STATE(8926), 1,
      sym_template_body,
    STATE(4893), 2,
      sym_comment,
      sym_block_comment,
    STATE(8535), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256889] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9004), 1,
      anon_sym_DOT,
    STATE(4897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256935] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8975), 1,
      anon_sym_COLON,
    ACTIONS(8977), 1,
      anon_sym_LBRACE,
    ACTIONS(8979), 1,
      anon_sym_with,
    STATE(4954), 1,
      aux_sym_compound_type_repeat1,
    STATE(9820), 1,
      sym__refinement,
    STATE(9821), 1,
      sym_template_body,
    STATE(4898), 2,
      sym_comment,
      sym_block_comment,
    STATE(9609), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256993] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8663), 1,
      anon_sym_LPAREN,
    STATE(4923), 1,
      aux_sym_annotation_repeat1,
    STATE(5549), 1,
      sym_arguments,
    STATE(4899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [257087] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(908), 1,
      anon_sym_LBRACE,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8038), 1,
      anon_sym_DOT,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9006), 1,
      sym__alpha_identifier,
    ACTIONS(9014), 1,
      anon_sym_EQ,
    ACTIONS(9016), 1,
      sym__backquoted_id,
    ACTIONS(9018), 1,
      sym_operator_identifier,
    STATE(579), 1,
      sym_identifier,
    STATE(4018), 1,
      sym__soft_identifier,
    STATE(4901), 2,
      sym_comment,
      sym_block_comment,
    STATE(5750), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9010), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [257155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257199] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8817), 1,
      anon_sym_LBRACK,
    ACTIONS(8821), 1,
      anon_sym_POUND,
    ACTIONS(9020), 1,
      anon_sym_AT,
    STATE(5664), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5850), 1,
      sym_type_arguments,
    STATE(7407), 1,
      sym_annotation,
    STATE(4903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257255] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9022), 1,
      anon_sym_LPAREN,
    STATE(5981), 1,
      sym_arguments,
    STATE(4904), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257303] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9025), 1,
      sym__interpolated_multiline_string_start,
    STATE(8912), 1,
      sym_interpolated_string,
    STATE(15748), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257357] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9027), 1,
      anon_sym_LPAREN,
    STATE(5764), 1,
      sym_arguments,
    STATE(4906), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257405] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8473), 1,
      anon_sym_AT,
    STATE(5056), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5659), 1,
      sym_annotation,
    STATE(4907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257455] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257501] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8561), 1,
      anon_sym_LPAREN,
    STATE(4939), 1,
      aux_sym_annotation_repeat1,
    STATE(5987), 1,
      sym_arguments,
    STATE(4909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257595] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9034), 1,
      anon_sym_with,
    STATE(4911), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257685] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9037), 1,
      anon_sym_DOT,
    STATE(4913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257731] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8907), 1,
      anon_sym_COLON,
    ACTIONS(8909), 1,
      anon_sym_LBRACE,
    ACTIONS(8911), 1,
      anon_sym_with,
    STATE(7092), 1,
      aux_sym_compound_type_repeat1,
    STATE(9805), 1,
      sym__refinement,
    STATE(9848), 1,
      sym_template_body,
    STATE(4914), 2,
      sym_comment,
      sym_block_comment,
    STATE(9858), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257877] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9039), 1,
      anon_sym_COLON,
    ACTIONS(9041), 1,
      anon_sym_LBRACE,
    ACTIONS(9043), 1,
      anon_sym_with,
    STATE(5029), 1,
      aux_sym_compound_type_repeat1,
    STATE(9880), 1,
      sym__refinement,
    STATE(9881), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4917), 2,
      sym_comment,
      sym_block_comment,
    STATE(9794), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257941] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8759), 1,
      anon_sym_LBRACK,
    ACTIONS(8765), 1,
      anon_sym_POUND,
    ACTIONS(9045), 1,
      anon_sym_LPAREN,
    STATE(5747), 1,
      aux_sym_annotation_repeat1,
    STATE(6136), 1,
      sym_type_arguments,
    STATE(7386), 1,
      sym_arguments,
    STATE(4918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257997] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8689), 1,
      anon_sym_with,
    STATE(7393), 1,
      aux_sym_compound_type_repeat1,
    STATE(8628), 1,
      sym__refinement,
    STATE(8733), 1,
      sym_template_body,
    STATE(4919), 2,
      sym_comment,
      sym_block_comment,
    STATE(8786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258095] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9047), 1,
      anon_sym_COLON,
    ACTIONS(9050), 1,
      anon_sym_LBRACE,
    STATE(6188), 1,
      sym_template_body,
    STATE(4921), 2,
      sym_comment,
      sym_block_comment,
    STATE(6416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258191] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9053), 1,
      anon_sym_LPAREN,
    STATE(5549), 1,
      sym_arguments,
    STATE(4923), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258283] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8636), 1,
      anon_sym_LPAREN,
    STATE(4904), 1,
      aux_sym_annotation_repeat1,
    STATE(5981), 1,
      sym_arguments,
    STATE(4925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258333] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    ACTIONS(9056), 1,
      anon_sym_DOT,
    ACTIONS(9058), 1,
      sym_operator_identifier,
    STATE(1806), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4926), 2,
      sym_comment,
      sym_block_comment,
    STATE(8023), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [258401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258445] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8620), 1,
      anon_sym_LPAREN,
    STATE(4946), 1,
      aux_sym_annotation_repeat1,
    STATE(5982), 1,
      sym_arguments,
    STATE(4928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258627] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8579), 1,
      anon_sym_LPAREN,
    STATE(4876), 1,
      aux_sym_annotation_repeat1,
    STATE(5976), 1,
      sym_arguments,
    STATE(4932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258677] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9060), 1,
      anon_sym_with,
    STATE(5289), 1,
      aux_sym_compound_type_repeat1,
    STATE(8954), 1,
      sym__refinement,
    STATE(8957), 1,
      sym_template_body,
    STATE(9180), 1,
      sym_arguments,
    STATE(4933), 2,
      sym_comment,
      sym_block_comment,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258733] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8569), 1,
      anon_sym_LPAREN,
    STATE(4906), 1,
      aux_sym_annotation_repeat1,
    STATE(5764), 1,
      sym_arguments,
    STATE(4934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9062), 1,
      anon_sym_DOT,
    STATE(4935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258829] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8831), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      anon_sym_POUND,
    ACTIONS(9064), 1,
      anon_sym_LPAREN,
    STATE(5588), 1,
      aux_sym_annotation_repeat1,
    STATE(6573), 1,
      sym_type_arguments,
    STATE(7026), 1,
      sym_arguments,
    STATE(4936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258885] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258931] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8497), 1,
      anon_sym_LPAREN,
    STATE(5004), 1,
      aux_sym_annotation_repeat1,
    STATE(5776), 1,
      sym_arguments,
    STATE(4938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258981] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9066), 1,
      anon_sym_LPAREN,
    STATE(5987), 1,
      sym_arguments,
    STATE(4939), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259205] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259251] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9069), 1,
      anon_sym_LBRACK,
    ACTIONS(9071), 1,
      anon_sym_AT,
    ACTIONS(9073), 1,
      anon_sym_LPAREN,
    ACTIONS(9075), 1,
      anon_sym_POUND,
    STATE(6471), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(8087), 1,
      sym_annotation,
    STATE(9180), 1,
      sym_arguments,
    STATE(4945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259311] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9077), 1,
      anon_sym_LPAREN,
    STATE(5982), 1,
      sym_arguments,
    STATE(4946), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259403] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8797), 1,
      anon_sym_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_POUND,
    ACTIONS(9080), 1,
      anon_sym_AT,
    STATE(5602), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6011), 1,
      sym_type_arguments,
    STATE(7160), 1,
      sym_annotation,
    STATE(4948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259459] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(4949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259549] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9082), 1,
      anon_sym_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_AT,
    ACTIONS(9086), 1,
      anon_sym_LPAREN,
    ACTIONS(9088), 1,
      anon_sym_POUND,
    STATE(6396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6967), 1,
      sym_type_arguments,
    STATE(8141), 1,
      sym_annotation,
    STATE(9168), 1,
      sym_arguments,
    STATE(4951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259653] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9090), 1,
      anon_sym_AT,
    STATE(6061), 1,
      sym_annotation,
    STATE(4953), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259701] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8975), 1,
      anon_sym_COLON,
    ACTIONS(8977), 1,
      anon_sym_LBRACE,
    ACTIONS(8979), 1,
      anon_sym_with,
    STATE(6833), 1,
      aux_sym_compound_type_repeat1,
    STATE(9817), 1,
      sym__refinement,
    STATE(9821), 1,
      sym_template_body,
    STATE(4954), 2,
      sym_comment,
      sym_block_comment,
    STATE(9609), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9093), 1,
      anon_sym_DOT,
    STATE(4955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259893] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8595), 1,
      anon_sym_LPAREN,
    STATE(5000), 1,
      aux_sym_annotation_repeat1,
    STATE(6001), 1,
      sym_arguments,
    STATE(4958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259987] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(9095), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(4960), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260351] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8607), 1,
      anon_sym_AT,
    STATE(5059), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5697), 1,
      sym_annotation,
    STATE(4968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260445] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9097), 1,
      anon_sym_LPAREN,
    STATE(5959), 1,
      sym_arguments,
    STATE(4970), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260493] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8863), 1,
      anon_sym_LBRACK,
    ACTIONS(8867), 1,
      anon_sym_POUND,
    ACTIONS(9100), 1,
      anon_sym_AT,
    STATE(5806), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6091), 1,
      sym_type_arguments,
    STATE(6837), 1,
      sym_annotation,
    STATE(4971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260681] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8961), 1,
      anon_sym_COLON,
    ACTIONS(8963), 1,
      anon_sym_LBRACE,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(5070), 1,
      aux_sym_compound_type_repeat1,
    STATE(9877), 1,
      sym__refinement,
    STATE(9879), 1,
      sym_template_body,
    STATE(4975), 2,
      sym_comment,
      sym_block_comment,
    STATE(9676), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260827] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9102), 1,
      sym__interpolated_multiline_string_start,
    STATE(8285), 1,
      sym_interpolated_string,
    STATE(15365), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260925] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9104), 1,
      anon_sym_AT,
    STATE(5726), 1,
      sym_annotation,
    STATE(4980), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261017] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9039), 1,
      anon_sym_COLON,
    ACTIONS(9041), 1,
      anon_sym_LBRACE,
    ACTIONS(9043), 1,
      anon_sym_with,
    STATE(5029), 1,
      aux_sym_compound_type_repeat1,
    STATE(9880), 1,
      sym__refinement,
    STATE(9881), 1,
      sym_template_body,
    STATE(4982), 2,
      sym_comment,
      sym_block_comment,
    STATE(9794), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9107), 1,
      anon_sym_with,
    STATE(4983), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261121] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8226), 1,
      sym__interpolated_multiline_string_start,
    STATE(6635), 1,
      sym_interpolated_string,
    STATE(16294), 1,
      sym__interpolated_string_start,
    ACTIONS(9110), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [261219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261263] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8491), 1,
      anon_sym_LPAREN,
    STATE(4970), 1,
      aux_sym_annotation_repeat1,
    STATE(5959), 1,
      sym_arguments,
    STATE(4987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261357] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(908), 1,
      anon_sym_LBRACE,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8038), 1,
      anon_sym_DOT,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9006), 1,
      sym__alpha_identifier,
    ACTIONS(9016), 1,
      sym__backquoted_id,
    ACTIONS(9018), 1,
      sym_operator_identifier,
    ACTIONS(9112), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_identifier,
    STATE(4018), 1,
      sym__soft_identifier,
    STATE(4989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(5750), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9010), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9012), 7,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [261425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261469] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__interpolated_multiline_string_start,
    STATE(8029), 1,
      sym_interpolated_string,
    STATE(16292), 1,
      sym__interpolated_string_start,
    ACTIONS(9114), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261523] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8673), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      anon_sym_POUND,
    ACTIONS(9116), 1,
      anon_sym_LPAREN,
    STATE(5628), 1,
      aux_sym_annotation_repeat1,
    STATE(6698), 1,
      sym_type_arguments,
    STATE(7154), 1,
      sym_arguments,
    STATE(4992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [261667] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9118), 1,
      anon_sym_AT,
    STATE(5611), 1,
      sym_annotation,
    STATE(4995), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261715] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9121), 1,
      anon_sym_LBRACK,
    ACTIONS(9123), 1,
      anon_sym_LPAREN,
    ACTIONS(9125), 1,
      anon_sym_POUND,
    STATE(5607), 1,
      aux_sym_annotation_repeat1,
    STATE(6519), 1,
      sym_type_arguments,
    STATE(6923), 1,
      sym_arguments,
    STATE(4996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261771] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261817] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9133), 1,
      anon_sym_DOT,
    STATE(4998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [261907] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9135), 1,
      anon_sym_LPAREN,
    STATE(6001), 1,
      sym_arguments,
    STATE(5000), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261999] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9138), 1,
      anon_sym_LBRACK,
    ACTIONS(9140), 1,
      anon_sym_LPAREN,
    ACTIONS(9142), 1,
      anon_sym_POUND,
    STATE(6042), 1,
      aux_sym_annotation_repeat1,
    STATE(6166), 1,
      sym_type_arguments,
    STATE(7216), 1,
      sym_arguments,
    STATE(5002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262055] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1096), 1,
      anon_sym_LBRACE,
    ACTIONS(8534), 1,
      anon_sym_LPAREN,
    ACTIONS(9000), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5003), 2,
      sym_comment,
      sym_block_comment,
    STATE(7834), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262111] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9144), 1,
      anon_sym_LPAREN,
    STATE(5776), 1,
      sym_arguments,
    STATE(5004), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262203] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262249] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8050), 1,
      anon_sym_AT,
    STATE(4980), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5726), 1,
      sym_annotation,
    STATE(5007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262343] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9147), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_LBRACE,
    STATE(6262), 1,
      sym_template_body,
    STATE(5009), 2,
      sym_comment,
      sym_block_comment,
    STATE(6420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262395] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    ACTIONS(8754), 1,
      anon_sym_POUND,
    ACTIONS(9153), 1,
      anon_sym_AT,
    STATE(5622), 1,
      sym_type_arguments,
    STATE(5993), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7135), 1,
      sym_annotation,
    STATE(5010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262583] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262629] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8935), 1,
      anon_sym_COLON,
    ACTIONS(8937), 1,
      anon_sym_LBRACE,
    ACTIONS(8939), 1,
      anon_sym_with,
    STATE(6788), 1,
      aux_sym_compound_type_repeat1,
    STATE(9691), 1,
      sym__refinement,
    STATE(9705), 1,
      sym_template_body,
    STATE(5015), 2,
      sym_comment,
      sym_block_comment,
    STATE(9698), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262687] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(9095), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5016), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262789] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9157), 1,
      anon_sym_LPAREN,
    ACTIONS(9159), 1,
      anon_sym_POUND,
    STATE(6242), 1,
      sym_type_arguments,
    STATE(6629), 1,
      aux_sym_annotation_repeat1,
    STATE(8113), 1,
      sym_arguments,
    STATE(5018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [262889] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8748), 1,
      anon_sym_with,
    STATE(6848), 1,
      aux_sym_compound_type_repeat1,
    STATE(8698), 1,
      sym__refinement,
    STATE(8711), 1,
      sym_template_body,
    STATE(5020), 2,
      sym_comment,
      sym_block_comment,
    STATE(8652), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263031] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(7860), 1,
      sym__interpolated_multiline_string_start,
    STATE(5994), 1,
      sym_interpolated_string,
    STATE(16034), 1,
      sym__interpolated_string_start,
    ACTIONS(9161), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263173] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8673), 1,
      anon_sym_LBRACK,
    ACTIONS(8675), 1,
      anon_sym_AT,
    ACTIONS(8679), 1,
      anon_sym_POUND,
    STATE(5926), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6698), 1,
      sym_type_arguments,
    STATE(7023), 1,
      sym_annotation,
    STATE(5026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263317] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9039), 1,
      anon_sym_COLON,
    ACTIONS(9041), 1,
      anon_sym_LBRACE,
    ACTIONS(9043), 1,
      anon_sym_with,
    STATE(7443), 1,
      aux_sym_compound_type_repeat1,
    STATE(9871), 1,
      sym__refinement,
    STATE(9881), 1,
      sym_template_body,
    STATE(5029), 2,
      sym_comment,
      sym_block_comment,
    STATE(9794), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263375] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9163), 1,
      anon_sym_DOT,
    STATE(5030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263465] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8546), 1,
      sym__interpolated_multiline_string_start,
    STATE(7450), 1,
      sym_interpolated_string,
    STATE(16127), 1,
      sym__interpolated_string_start,
    ACTIONS(9165), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263563] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8788), 1,
      anon_sym_LBRACK,
    ACTIONS(8792), 1,
      anon_sym_POUND,
    ACTIONS(9167), 1,
      anon_sym_AT,
    STATE(5498), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5505), 1,
      sym_type_arguments,
    STATE(6791), 1,
      sym_annotation,
    STATE(5034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263619] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(8935), 1,
      anon_sym_COLON,
    ACTIONS(8937), 1,
      anon_sym_LBRACE,
    ACTIONS(8939), 1,
      anon_sym_with,
    STATE(5015), 1,
      aux_sym_compound_type_repeat1,
    STATE(9704), 1,
      sym__refinement,
    STATE(9705), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5035), 2,
      sym_comment,
      sym_block_comment,
    STATE(9698), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263727] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8811), 1,
      anon_sym_with,
    STATE(7085), 1,
      aux_sym_compound_type_repeat1,
    STATE(8532), 1,
      sym__refinement,
    STATE(8571), 1,
      sym_template_body,
    STATE(5037), 2,
      sym_comment,
      sym_block_comment,
    STATE(8339), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263781] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9169), 1,
      anon_sym_LBRACK,
    ACTIONS(9171), 1,
      anon_sym_AT,
    ACTIONS(9173), 1,
      anon_sym_LPAREN,
    ACTIONS(9175), 1,
      anon_sym_POUND,
    STATE(6100), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7334), 1,
      sym_type_arguments,
    STATE(7661), 1,
      sym_annotation,
    STATE(9479), 1,
      sym_arguments,
    STATE(5038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263885] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263975] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    ACTIONS(9056), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5042), 2,
      sym_comment,
      sym_block_comment,
    STATE(8023), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264031] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9177), 1,
      anon_sym_LBRACK,
    ACTIONS(9179), 1,
      anon_sym_LPAREN,
    ACTIONS(9181), 1,
      anon_sym_POUND,
    STATE(5642), 1,
      aux_sym_annotation_repeat1,
    STATE(6668), 1,
      sym_type_arguments,
    STATE(6975), 1,
      sym_arguments,
    STATE(5043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264087] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8929), 1,
      anon_sym_COLON,
    ACTIONS(8931), 1,
      anon_sym_LBRACE,
    ACTIONS(8933), 1,
      anon_sym_with,
    STATE(4857), 1,
      aux_sym_compound_type_repeat1,
    STATE(9950), 1,
      sym_template_body,
    STATE(9960), 1,
      sym__refinement,
    STATE(5044), 2,
      sym_comment,
      sym_block_comment,
    STATE(9954), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264233] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9183), 1,
      anon_sym_AT,
    STATE(5819), 1,
      sym_annotation,
    STATE(5047), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264281] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8188), 1,
      sym__interpolated_multiline_string_start,
    STATE(6436), 1,
      sym_interpolated_string,
    STATE(15293), 1,
      sym__interpolated_string_start,
    ACTIONS(9186), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264335] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9188), 1,
      anon_sym_with,
    STATE(5202), 1,
      aux_sym_compound_type_repeat1,
    STATE(8994), 1,
      sym_template_body,
    STATE(8995), 1,
      sym__refinement,
    STATE(9479), 1,
      sym_arguments,
    STATE(5049), 2,
      sym_comment,
      sym_block_comment,
    STATE(9107), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264391] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9190), 1,
      anon_sym_AT,
    STATE(6028), 1,
      sym_annotation,
    STATE(5050), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264439] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9193), 1,
      anon_sym_LBRACK,
    ACTIONS(9195), 1,
      anon_sym_LPAREN,
    ACTIONS(9197), 1,
      anon_sym_POUND,
    STATE(5900), 1,
      aux_sym_annotation_repeat1,
    STATE(6375), 1,
      sym_type_arguments,
    STATE(7061), 1,
      sym_arguments,
    STATE(5051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264541] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9199), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LPAREN,
    ACTIONS(9203), 1,
      anon_sym_POUND,
    STATE(5644), 1,
      aux_sym_annotation_repeat1,
    STATE(6491), 1,
      sym_type_arguments,
    STATE(6931), 1,
      sym_arguments,
    STATE(5053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264641] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8740), 1,
      anon_sym_DOT,
    ACTIONS(9205), 1,
      anon_sym_EQ_GT,
    STATE(5055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264689] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9207), 1,
      anon_sym_AT,
    STATE(5659), 1,
      sym_annotation,
    STATE(5056), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [264825] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9210), 1,
      anon_sym_AT,
    STATE(5697), 1,
      sym_annotation,
    STATE(5059), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264873] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8736), 1,
      anon_sym_DOT,
    ACTIONS(9213), 1,
      anon_sym_EQ_GT,
    STATE(5060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265053] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__interpolated_multiline_string_start,
    STATE(8029), 1,
      sym_interpolated_string,
    STATE(16292), 1,
      sym__interpolated_string_start,
    ACTIONS(9215), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265107] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9219), 1,
      anon_sym_LPAREN,
    ACTIONS(9221), 1,
      anon_sym_POUND,
    STATE(6347), 1,
      sym_type_arguments,
    STATE(6481), 1,
      aux_sym_annotation_repeat1,
    STATE(8060), 1,
      sym_arguments,
    STATE(5065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265163] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1096), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8534), 1,
      anon_sym_LPAREN,
    ACTIONS(9000), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5066), 2,
      sym_comment,
      sym_block_comment,
    STATE(7834), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265353] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8961), 1,
      anon_sym_COLON,
    ACTIONS(8963), 1,
      anon_sym_LBRACE,
    ACTIONS(8965), 1,
      anon_sym_with,
    STATE(7466), 1,
      aux_sym_compound_type_repeat1,
    STATE(9853), 1,
      sym__refinement,
    STATE(9879), 1,
      sym_template_body,
    STATE(5070), 2,
      sym_comment,
      sym_block_comment,
    STATE(9676), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265587] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9223), 1,
      anon_sym_DOT,
    STATE(5075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265633] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    ACTIONS(9056), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5076), 2,
      sym_comment,
      sym_block_comment,
    STATE(8023), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265691] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8634), 1,
      anon_sym_AT,
    STATE(5047), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5819), 1,
      sym_annotation,
    STATE(5077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9225), 1,
      anon_sym_AT,
    STATE(5658), 1,
      sym_annotation,
    STATE(5079), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266009] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8782), 1,
      anon_sym_LBRACK,
    ACTIONS(8786), 1,
      anon_sym_POUND,
    ACTIONS(9228), 1,
      anon_sym_AT,
    STATE(5751), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5910), 1,
      sym_type_arguments,
    STATE(6826), 1,
      sym_annotation,
    STATE(5084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266153] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8226), 1,
      sym__interpolated_multiline_string_start,
    STATE(6635), 1,
      sym_interpolated_string,
    STATE(16294), 1,
      sym__interpolated_string_start,
    ACTIONS(9230), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266207] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8726), 1,
      sym__interpolated_multiline_string_start,
    STATE(7770), 1,
      sym_interpolated_string,
    STATE(16247), 1,
      sym__interpolated_string_start,
    ACTIONS(9232), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266260] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9234), 1,
      anon_sym_COLON,
    ACTIONS(9237), 1,
      anon_sym_LBRACE,
    STATE(7145), 1,
      sym_template_body,
    STATE(5089), 2,
      sym_comment,
      sym_block_comment,
    STATE(7132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 16,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266311] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9240), 1,
      anon_sym_with,
    STATE(5090), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266399] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9213), 1,
      anon_sym_EQ_GT,
    STATE(5092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266444] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9243), 1,
      anon_sym_AT,
    STATE(6399), 1,
      sym_annotation,
    STATE(5093), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266491] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8485), 1,
      sym__interpolated_multiline_string_start,
    STATE(6822), 1,
      sym_interpolated_string,
    STATE(15689), 1,
      sym__interpolated_string_start,
    ACTIONS(9246), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266544] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266589] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      anon_sym_LBRACE,
    ACTIONS(8677), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5096), 2,
      sym_comment,
      sym_block_comment,
    STATE(8492), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266644] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9252), 1,
      anon_sym_LBRACK,
    ACTIONS(9254), 1,
      sym__backquoted_id,
    STATE(6125), 1,
      sym_access_qualifier,
    STATE(5097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266691] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8941), 1,
      sym__interpolated_multiline_string_start,
    STATE(8497), 1,
      sym_interpolated_string,
    STATE(16205), 1,
      sym__interpolated_string_start,
    ACTIONS(9256), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266744] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9093), 1,
      anon_sym_DOT,
    ACTIONS(9258), 1,
      anon_sym_EQ_GT,
    STATE(5099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266791] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9260), 1,
      anon_sym_AT,
    STATE(6607), 1,
      sym_annotation,
    STATE(5100), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266926] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9263), 1,
      anon_sym_LBRACK,
    ACTIONS(9265), 1,
      anon_sym_LPAREN,
    ACTIONS(9267), 1,
      anon_sym_POUND,
    STATE(6572), 1,
      aux_sym_annotation_repeat1,
    STATE(6935), 1,
      sym_type_arguments,
    STATE(8157), 1,
      sym_arguments,
    STATE(5103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267153] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8973), 1,
      anon_sym_with,
    STATE(8248), 1,
      aux_sym_compound_type_repeat1,
    STATE(9494), 1,
      sym_template_body,
    STATE(9519), 1,
      sym__refinement,
    STATE(5108), 2,
      sym_comment,
      sym_block_comment,
    STATE(9404), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267249] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9273), 1,
      anon_sym_COLON,
    ACTIONS(9275), 1,
      anon_sym_LBRACE,
    ACTIONS(9277), 1,
      anon_sym_with,
    STATE(5366), 1,
      aux_sym_compound_type_repeat1,
    STATE(10244), 1,
      sym_template_body,
    STATE(10250), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5110), 2,
      sym_comment,
      sym_block_comment,
    STATE(10184), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9205), 1,
      anon_sym_EQ_GT,
    STATE(5111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267357] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1694), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8763), 1,
      anon_sym_LPAREN,
    ACTIONS(9279), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5112), 2,
      sym_comment,
      sym_block_comment,
    STATE(8607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8242), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267414] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9138), 1,
      anon_sym_LBRACK,
    ACTIONS(9142), 1,
      anon_sym_POUND,
    ACTIONS(9281), 1,
      anon_sym_AT,
    STATE(6166), 1,
      sym_type_arguments,
    STATE(6207), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7535), 1,
      sym_annotation,
    STATE(5113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267598] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8986), 1,
      sym__interpolated_multiline_string_start,
    STATE(8749), 1,
      sym_interpolated_string,
    STATE(15823), 1,
      sym__interpolated_string_start,
    ACTIONS(9283), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267737] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9285), 1,
      anon_sym_LBRACK,
    ACTIONS(9287), 1,
      anon_sym_LPAREN,
    ACTIONS(9289), 1,
      anon_sym_POUND,
    STATE(6260), 1,
      aux_sym_annotation_repeat1,
    STATE(6774), 1,
      sym_type_arguments,
    STATE(7984), 1,
      sym_arguments,
    STATE(5120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268007] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9291), 1,
      anon_sym_LBRACK,
    ACTIONS(9293), 1,
      anon_sym_LPAREN,
    ACTIONS(9295), 1,
      anon_sym_POUND,
    STATE(6989), 1,
      aux_sym_annotation_repeat1,
    STATE(7410), 1,
      sym_type_arguments,
    STATE(8389), 1,
      sym_arguments,
    STATE(5126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268062] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9297), 1,
      anon_sym_COLON,
    ACTIONS(9299), 1,
      anon_sym_LBRACE,
    ACTIONS(9301), 1,
      anon_sym_with,
    STATE(5190), 1,
      aux_sym_compound_type_repeat1,
    STATE(10278), 1,
      sym_template_body,
    STATE(10343), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5127), 2,
      sym_comment,
      sym_block_comment,
    STATE(10302), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [268168] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9303), 1,
      anon_sym_COLON,
    ACTIONS(9305), 1,
      anon_sym_LBRACE,
    ACTIONS(9307), 1,
      anon_sym_with,
    STATE(5333), 1,
      aux_sym_compound_type_repeat1,
    STATE(10098), 1,
      sym_template_body,
    STATE(10100), 1,
      sym__refinement,
    STATE(5129), 2,
      sym_comment,
      sym_block_comment,
    STATE(10016), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268225] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9309), 1,
      anon_sym_COLON,
    ACTIONS(9311), 1,
      anon_sym_LBRACE,
    ACTIONS(9313), 1,
      anon_sym_with,
    STATE(5162), 1,
      aux_sym_compound_type_repeat1,
    STATE(10088), 1,
      sym_template_body,
    STATE(10094), 1,
      sym__refinement,
    STATE(5130), 2,
      sym_comment,
      sym_block_comment,
    STATE(10319), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268282] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9315), 1,
      anon_sym_LBRACK,
    ACTIONS(9317), 1,
      anon_sym_LPAREN,
    ACTIONS(9319), 1,
      anon_sym_POUND,
    STATE(6638), 1,
      aux_sym_annotation_repeat1,
    STATE(6806), 1,
      sym_type_arguments,
    STATE(8107), 1,
      sym_arguments,
    STATE(5131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268423] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9321), 1,
      anon_sym_COLON,
    ACTIONS(9323), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_with,
    STATE(5159), 1,
      aux_sym_compound_type_repeat1,
    STATE(10237), 1,
      sym__refinement,
    STATE(10251), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5134), 2,
      sym_comment,
      sym_block_comment,
    STATE(10117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [268572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268615] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LPAREN,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8487), 1,
      anon_sym_DOT,
    ACTIONS(9327), 1,
      sym__alpha_identifier,
    ACTIONS(9331), 1,
      anon_sym_EQ,
    ACTIONS(9333), 1,
      sym__backquoted_id,
    ACTIONS(9335), 1,
      sym_operator_identifier,
    STATE(581), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(5138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6167), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9329), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [268682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268725] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(9337), 1,
      anon_sym_DOT,
    ACTIONS(9339), 1,
      sym_operator_identifier,
    STATE(1722), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5140), 2,
      sym_comment,
      sym_block_comment,
    STATE(8361), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [268792] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9303), 1,
      anon_sym_COLON,
    ACTIONS(9305), 1,
      anon_sym_LBRACE,
    ACTIONS(9307), 1,
      anon_sym_with,
    STATE(5333), 1,
      aux_sym_compound_type_repeat1,
    STATE(10098), 1,
      sym_template_body,
    STATE(10100), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5141), 2,
      sym_comment,
      sym_block_comment,
    STATE(10016), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268855] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9069), 1,
      anon_sym_LBRACK,
    ACTIONS(9071), 1,
      anon_sym_AT,
    ACTIONS(9075), 1,
      anon_sym_POUND,
    STATE(6471), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(8087), 1,
      sym_annotation,
    STATE(5142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268910] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268998] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9341), 1,
      sym__interpolated_multiline_string_start,
    STATE(8951), 1,
      sym_interpolated_string,
    STATE(16193), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269139] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269270] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9343), 1,
      anon_sym_AT,
    STATE(6300), 1,
      sym_annotation,
    STATE(5151), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269317] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9177), 1,
      anon_sym_LBRACK,
    ACTIONS(9181), 1,
      anon_sym_POUND,
    ACTIONS(9346), 1,
      anon_sym_AT,
    STATE(6641), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6668), 1,
      sym_type_arguments,
    STATE(7498), 1,
      sym_annotation,
    STATE(5152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269415] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8188), 1,
      sym__interpolated_multiline_string_start,
    STATE(6436), 1,
      sym_interpolated_string,
    STATE(15293), 1,
      sym__interpolated_string_start,
    ACTIONS(9348), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269511] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9350), 1,
      sym__interpolated_multiline_string_start,
    STATE(9436), 1,
      sym_interpolated_string,
    STATE(16325), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269564] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9352), 1,
      anon_sym_LBRACK,
    ACTIONS(9354), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_POUND,
    STATE(6603), 1,
      aux_sym_annotation_repeat1,
    STATE(6857), 1,
      sym_type_arguments,
    STATE(8130), 1,
      sym_arguments,
    STATE(5157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269662] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9321), 1,
      anon_sym_COLON,
    ACTIONS(9323), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_with,
    STATE(8208), 1,
      aux_sym_compound_type_repeat1,
    STATE(10219), 1,
      sym__refinement,
    STATE(10251), 1,
      sym_template_body,
    STATE(5159), 2,
      sym_comment,
      sym_block_comment,
    STATE(10117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269805] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9309), 1,
      anon_sym_COLON,
    ACTIONS(9311), 1,
      anon_sym_LBRACE,
    ACTIONS(9313), 1,
      anon_sym_with,
    STATE(7960), 1,
      aux_sym_compound_type_repeat1,
    STATE(10088), 1,
      sym_template_body,
    STATE(10103), 1,
      sym__refinement,
    STATE(5162), 2,
      sym_comment,
      sym_block_comment,
    STATE(10319), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269905] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(9095), 1,
      anon_sym_DOT,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(9366), 1,
      sym_operator_identifier,
    STATE(596), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    STATE(5164), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8076), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9360), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [269974] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9368), 1,
      anon_sym_LBRACK,
    ACTIONS(9370), 1,
      anon_sym_LPAREN,
    ACTIONS(9372), 1,
      anon_sym_POUND,
    STATE(6870), 1,
      aux_sym_annotation_repeat1,
    STATE(7203), 1,
      sym_type_arguments,
    STATE(8514), 1,
      sym_arguments,
    STATE(5165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [270029] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270074] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_AT,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(9380), 1,
      anon_sym_POUND,
    STATE(7201), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8160), 1,
      sym_type_arguments,
    STATE(8320), 1,
      sym_annotation,
    STATE(9639), 1,
      sym_arguments,
    STATE(5167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270176] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      anon_sym_LBRACE,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(9337), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5169), 2,
      sym_comment,
      sym_block_comment,
    STATE(8361), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270231] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9321), 1,
      anon_sym_COLON,
    ACTIONS(9323), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_with,
    STATE(5159), 1,
      aux_sym_compound_type_repeat1,
    STATE(10237), 1,
      sym__refinement,
    STATE(10251), 1,
      sym_template_body,
    STATE(5170), 2,
      sym_comment,
      sym_block_comment,
    STATE(10117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270331] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8616), 1,
      sym__interpolated_multiline_string_start,
    STATE(7362), 1,
      sym_interpolated_string,
    STATE(16086), 1,
      sym__interpolated_string_start,
    ACTIONS(9382), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270384] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8681), 1,
      anon_sym_AT,
    STATE(5215), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6644), 1,
      sym_annotation,
    STATE(5173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270433] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1096), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8534), 1,
      anon_sym_LPAREN,
    ACTIONS(9000), 1,
      anon_sym_DOT,
    ACTIONS(9384), 1,
      sym__alpha_identifier,
    ACTIONS(9388), 1,
      anon_sym_EQ,
    ACTIONS(9390), 1,
      sym__backquoted_id,
    ACTIONS(9392), 1,
      sym_operator_identifier,
    STATE(584), 1,
      sym_identifier,
    STATE(4156), 1,
      sym__soft_identifier,
    STATE(5174), 2,
      sym_comment,
      sym_block_comment,
    STATE(7834), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [270500] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9394), 1,
      anon_sym_LBRACK,
    ACTIONS(9396), 1,
      anon_sym_AT,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(9400), 1,
      anon_sym_POUND,
    STATE(7307), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7786), 1,
      sym_type_arguments,
    STATE(8891), 1,
      sym_annotation,
    STATE(9450), 1,
      sym_arguments,
    STATE(5175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270731] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8479), 1,
      anon_sym_DOT,
    ACTIONS(9402), 1,
      sym__alpha_identifier,
    ACTIONS(9406), 1,
      anon_sym_EQ,
    ACTIONS(9408), 1,
      sym__backquoted_id,
    ACTIONS(9410), 1,
      sym_operator_identifier,
    STATE(580), 1,
      sym_identifier,
    STATE(4110), 1,
      sym__soft_identifier,
    STATE(5180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6254), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9404), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [270798] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8226), 1,
      sym__interpolated_multiline_string_start,
    STATE(6635), 1,
      sym_interpolated_string,
    STATE(16294), 1,
      sym__interpolated_string_start,
    ACTIONS(9412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270937] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8677), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_DOT,
    ACTIONS(9414), 1,
      sym_operator_identifier,
    STATE(1727), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5184), 2,
      sym_comment,
      sym_block_comment,
    STATE(8492), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [271004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271176] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1694), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8763), 1,
      anon_sym_LPAREN,
    ACTIONS(9279), 1,
      anon_sym_DOT,
    ACTIONS(9416), 1,
      sym_operator_identifier,
    STATE(1849), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8080), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [271243] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9297), 1,
      anon_sym_COLON,
    ACTIONS(9299), 1,
      anon_sym_LBRACE,
    ACTIONS(9301), 1,
      anon_sym_with,
    STATE(8254), 1,
      aux_sym_compound_type_repeat1,
    STATE(10278), 1,
      sym_template_body,
    STATE(10351), 1,
      sym__refinement,
    STATE(5190), 2,
      sym_comment,
      sym_block_comment,
    STATE(10302), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271343] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9418), 1,
      anon_sym_LPAREN,
    STATE(6448), 1,
      sym_arguments,
    STATE(5192), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271433] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9421), 1,
      anon_sym_COLON,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_with,
    STATE(5274), 1,
      aux_sym_compound_type_repeat1,
    STATE(10133), 1,
      sym_template_body,
    STATE(10135), 1,
      sym__refinement,
    STATE(5194), 2,
      sym_comment,
      sym_block_comment,
    STATE(10187), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271533] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9427), 1,
      anon_sym_with,
    STATE(5196), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271578] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9169), 1,
      anon_sym_LBRACK,
    ACTIONS(9171), 1,
      anon_sym_AT,
    ACTIONS(9175), 1,
      anon_sym_POUND,
    STATE(6100), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7334), 1,
      sym_type_arguments,
    STATE(7661), 1,
      sym_annotation,
    STATE(5197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271721] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9434), 1,
      anon_sym_AT,
    STATE(6512), 1,
      sym_annotation,
    STATE(5200), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271768] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9437), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_LPAREN,
    ACTIONS(9441), 1,
      anon_sym_POUND,
    STATE(6135), 1,
      aux_sym_annotation_repeat1,
    STATE(7328), 1,
      sym_type_arguments,
    STATE(7639), 1,
      sym_arguments,
    STATE(5201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271823] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9188), 1,
      anon_sym_with,
    STATE(7798), 1,
      aux_sym_compound_type_repeat1,
    STATE(8994), 1,
      sym_template_body,
    STATE(9031), 1,
      sym__refinement,
    STATE(5202), 2,
      sym_comment,
      sym_block_comment,
    STATE(9107), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271964] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9445), 1,
      anon_sym_end,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(9449), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16534), 1,
      sym_identifier,
    STATE(5205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(850), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [272017] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8967), 1,
      anon_sym_LBRACK,
    ACTIONS(8971), 1,
      anon_sym_POUND,
    ACTIONS(9451), 1,
      anon_sym_AT,
    STATE(6386), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6558), 1,
      sym_type_arguments,
    STATE(8170), 1,
      sym_annotation,
    STATE(5206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272115] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9453), 1,
      anon_sym_AT,
    STATE(6590), 1,
      sym_annotation,
    STATE(5208), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272162] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9456), 1,
      anon_sym_COLON,
    ACTIONS(9458), 1,
      anon_sym_LBRACE,
    ACTIONS(9460), 1,
      anon_sym_with,
    STATE(5411), 1,
      aux_sym_compound_type_repeat1,
    STATE(10138), 1,
      sym_template_body,
    STATE(10139), 1,
      sym__refinement,
    STATE(5209), 2,
      sym_comment,
      sym_block_comment,
    STATE(10019), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272219] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8865), 1,
      anon_sym_LPAREN,
    STATE(5484), 1,
      aux_sym_annotation_repeat1,
    STATE(6427), 1,
      sym_arguments,
    STATE(5210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272268] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9462), 1,
      anon_sym_COLON,
    ACTIONS(9464), 1,
      anon_sym_LBRACE,
    ACTIONS(9466), 1,
      anon_sym_with,
    STATE(5461), 1,
      aux_sym_compound_type_repeat1,
    STATE(10248), 1,
      sym_template_body,
    STATE(10249), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5211), 2,
      sym_comment,
      sym_block_comment,
    STATE(10211), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7916), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272417] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(9337), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5214), 2,
      sym_comment,
      sym_block_comment,
    STATE(8361), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272474] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9468), 1,
      anon_sym_AT,
    STATE(6644), 1,
      sym_annotation,
    STATE(5215), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272521] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8485), 1,
      sym__interpolated_multiline_string_start,
    STATE(6822), 1,
      sym_interpolated_string,
    STATE(15689), 1,
      sym__interpolated_string_start,
    ACTIONS(9471), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272574] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9082), 1,
      anon_sym_LBRACK,
    ACTIONS(9084), 1,
      anon_sym_AT,
    ACTIONS(9088), 1,
      anon_sym_POUND,
    STATE(6396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6967), 1,
      sym_type_arguments,
    STATE(8141), 1,
      sym_annotation,
    STATE(5217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9473), 1,
      anon_sym_DOT,
    STATE(5219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272932] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9483), 1,
      anon_sym_LPAREN,
    STATE(6694), 1,
      sym_arguments,
    STATE(5225), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272979] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9069), 1,
      anon_sym_LBRACK,
    ACTIONS(9075), 1,
      anon_sym_POUND,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    STATE(6201), 1,
      aux_sym_annotation_repeat1,
    STATE(6850), 1,
      sym_type_arguments,
    STATE(7822), 1,
      sym_arguments,
    STATE(5226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273077] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8532), 1,
      anon_sym_AT,
    STATE(5093), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6399), 1,
      sym_annotation,
    STATE(5228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273126] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9488), 1,
      anon_sym_with,
    STATE(5563), 1,
      aux_sym_compound_type_repeat1,
    STATE(9630), 1,
      sym_template_body,
    STATE(9633), 1,
      sym__refinement,
    STATE(9663), 1,
      sym_arguments,
    STATE(5229), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273181] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9492), 1,
      anon_sym_LPAREN,
    ACTIONS(9494), 1,
      anon_sym_POUND,
    STATE(7098), 1,
      aux_sym_annotation_repeat1,
    STATE(7250), 1,
      sym_type_arguments,
    STATE(8487), 1,
      sym_arguments,
    STATE(5230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9496), 1,
      anon_sym_with,
    STATE(5231), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273281] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9445), 1,
      anon_sym_end,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(9499), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16536), 1,
      sym_identifier,
    STATE(5232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(850), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [273334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273377] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8913), 1,
      anon_sym_LBRACK,
    ACTIONS(8915), 1,
      anon_sym_AT,
    ACTIONS(8919), 1,
      anon_sym_POUND,
    STATE(6269), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7438), 1,
      sym_type_arguments,
    STATE(7508), 1,
      sym_annotation,
    STATE(5234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9501), 1,
      anon_sym_DOT,
    STATE(5236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273520] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1694), 1,
      anon_sym_LBRACE,
    ACTIONS(8763), 1,
      anon_sym_LPAREN,
    ACTIONS(9279), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5237), 2,
      sym_comment,
      sym_block_comment,
    STATE(8607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8034), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273618] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9159), 1,
      anon_sym_POUND,
    ACTIONS(9503), 1,
      anon_sym_AT,
    STATE(6242), 1,
      sym_type_arguments,
    STATE(7187), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8636), 1,
      sym_annotation,
    STATE(5239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273802] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9297), 1,
      anon_sym_COLON,
    ACTIONS(9299), 1,
      anon_sym_LBRACE,
    ACTIONS(9301), 1,
      anon_sym_with,
    STATE(5190), 1,
      aux_sym_compound_type_repeat1,
    STATE(10278), 1,
      sym_template_body,
    STATE(10343), 1,
      sym__refinement,
    STATE(5243), 2,
      sym_comment,
      sym_block_comment,
    STATE(10302), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273945] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8994), 1,
      anon_sym_LBRACK,
    ACTIONS(8998), 1,
      anon_sym_POUND,
    ACTIONS(9505), 1,
      anon_sym_AT,
    STATE(6401), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6616), 1,
      sym_type_arguments,
    STATE(8110), 1,
      sym_annotation,
    STATE(5246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274000] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9507), 1,
      anon_sym_LPAREN,
    STATE(6483), 1,
      sym_arguments,
    STATE(5247), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274133] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(908), 1,
      anon_sym_LBRACE,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8038), 1,
      anon_sym_DOT,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9006), 1,
      sym__alpha_identifier,
    ACTIONS(9016), 1,
      sym__backquoted_id,
    ACTIONS(9018), 1,
      sym_operator_identifier,
    ACTIONS(9510), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_identifier,
    STATE(4018), 1,
      sym__soft_identifier,
    STATE(5250), 2,
      sym_comment,
      sym_block_comment,
    STATE(5750), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9010), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [274200] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(9514), 1,
      anon_sym_LPAREN,
    ACTIONS(9516), 1,
      anon_sym_POUND,
    STATE(6770), 1,
      aux_sym_annotation_repeat1,
    STATE(6912), 1,
      sym_type_arguments,
    STATE(7883), 1,
      sym_arguments,
    STATE(5251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274427] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8752), 1,
      anon_sym_LPAREN,
    STATE(5247), 1,
      aux_sym_annotation_repeat1,
    STATE(6483), 1,
      sym_arguments,
    STATE(5256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274519] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9169), 1,
      anon_sym_LBRACK,
    ACTIONS(9175), 1,
      anon_sym_POUND,
    ACTIONS(9518), 1,
      anon_sym_LPAREN,
    STATE(6387), 1,
      aux_sym_annotation_repeat1,
    STATE(7334), 1,
      sym_type_arguments,
    STATE(8255), 1,
      sym_arguments,
    STATE(5258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274619] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9520), 1,
      anon_sym_LBRACK,
    ACTIONS(9522), 1,
      anon_sym_LPAREN,
    ACTIONS(9524), 1,
      anon_sym_POUND,
    STATE(6910), 1,
      sym_type_arguments,
    STATE(7473), 1,
      aux_sym_annotation_repeat1,
    STATE(8918), 1,
      sym_arguments,
    STATE(5260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274760] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9528), 1,
      sym__interpolated_multiline_string_start,
    STATE(9349), 1,
      sym_interpolated_string,
    STATE(15881), 1,
      sym__interpolated_string_start,
    ACTIONS(9526), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275114] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9534), 1,
      anon_sym_COLON,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    ACTIONS(9538), 1,
      anon_sym_with,
    STATE(5287), 1,
      aux_sym_compound_type_repeat1,
    STATE(10195), 1,
      sym_template_body,
    STATE(10197), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5271), 2,
      sym_comment,
      sym_block_comment,
    STATE(10096), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275220] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9037), 1,
      anon_sym_DOT,
    ACTIONS(9540), 1,
      anon_sym_EQ_GT,
    STATE(5273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275267] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9421), 1,
      anon_sym_COLON,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_with,
    STATE(7830), 1,
      aux_sym_compound_type_repeat1,
    STATE(10133), 1,
      sym_template_body,
    STATE(10169), 1,
      sym__refinement,
    STATE(5274), 2,
      sym_comment,
      sym_block_comment,
    STATE(10187), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275324] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9542), 1,
      anon_sym_COLON,
    ACTIONS(9545), 1,
      anon_sym_LBRACE,
    STATE(7067), 1,
      sym_template_body,
    STATE(5275), 2,
      sym_comment,
      sym_block_comment,
    STATE(7235), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275719] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9445), 1,
      anon_sym_end,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(9548), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16434), 1,
      sym_identifier,
    STATE(5284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(850), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [275772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275860] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9534), 1,
      anon_sym_COLON,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    ACTIONS(9538), 1,
      anon_sym_with,
    STATE(8121), 1,
      aux_sym_compound_type_repeat1,
    STATE(10195), 1,
      sym_template_body,
    STATE(10220), 1,
      sym__refinement,
    STATE(5287), 2,
      sym_comment,
      sym_block_comment,
    STATE(10096), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275917] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9554), 1,
      anon_sym_DOT,
    STATE(5288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275962] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9060), 1,
      anon_sym_with,
    STATE(8014), 1,
      aux_sym_compound_type_repeat1,
    STATE(8941), 1,
      sym__refinement,
    STATE(8957), 1,
      sym_template_body,
    STATE(5289), 2,
      sym_comment,
      sym_block_comment,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276015] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8738), 1,
      anon_sym_AT,
    STATE(5322), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6548), 1,
      sym_annotation,
    STATE(5290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276064] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8780), 1,
      anon_sym_LPAREN,
    STATE(5319), 1,
      aux_sym_annotation_repeat1,
    STATE(6654), 1,
      sym_arguments,
    STATE(5291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276113] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9556), 1,
      anon_sym_LBRACK,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9560), 1,
      anon_sym_POUND,
    STATE(6455), 1,
      aux_sym_annotation_repeat1,
    STATE(7147), 1,
      sym_type_arguments,
    STATE(8179), 1,
      sym_arguments,
    STATE(5292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276641] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8845), 1,
      anon_sym_LPAREN,
    STATE(5225), 1,
      aux_sym_annotation_repeat1,
    STATE(6694), 1,
      sym_arguments,
    STATE(5304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276690] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9163), 1,
      anon_sym_DOT,
    ACTIONS(9566), 1,
      anon_sym_EQ_GT,
    STATE(5305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276823] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9121), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_POUND,
    ACTIONS(9568), 1,
      anon_sym_AT,
    STATE(6364), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6519), 1,
      sym_type_arguments,
    STATE(8230), 1,
      sym_annotation,
    STATE(5308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276878] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9462), 1,
      anon_sym_COLON,
    ACTIONS(9464), 1,
      anon_sym_LBRACE,
    ACTIONS(9466), 1,
      anon_sym_with,
    STATE(5461), 1,
      aux_sym_compound_type_repeat1,
    STATE(10248), 1,
      sym_template_body,
    STATE(10249), 1,
      sym__refinement,
    STATE(5309), 2,
      sym_comment,
      sym_block_comment,
    STATE(10211), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277193] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277281] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9570), 1,
      anon_sym_with,
    STATE(5318), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277326] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(6654), 1,
      sym_arguments,
    STATE(5319), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277459] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9576), 1,
      anon_sym_AT,
    STATE(6548), 1,
      sym_annotation,
    STATE(5322), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277592] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(9095), 1,
      anon_sym_DOT,
    ACTIONS(9579), 1,
      sym_operator_identifier,
    STATE(1717), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5325), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8080), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [277659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277874] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9309), 1,
      anon_sym_COLON,
    ACTIONS(9311), 1,
      anon_sym_LBRACE,
    ACTIONS(9313), 1,
      anon_sym_with,
    STATE(5162), 1,
      aux_sym_compound_type_repeat1,
    STATE(10088), 1,
      sym_template_body,
    STATE(10094), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5331), 2,
      sym_comment,
      sym_block_comment,
    STATE(10319), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277937] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    STATE(4516), 1,
      aux_sym_modifiers_repeat1,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5332), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(9589), 10,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
  [277994] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9303), 1,
      anon_sym_COLON,
    ACTIONS(9305), 1,
      anon_sym_LBRACE,
    ACTIONS(9307), 1,
      anon_sym_with,
    STATE(7587), 1,
      aux_sym_compound_type_repeat1,
    STATE(10098), 1,
      sym_template_body,
    STATE(10136), 1,
      sym__refinement,
    STATE(5333), 2,
      sym_comment,
      sym_block_comment,
    STATE(10016), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278051] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9591), 1,
      anon_sym_with,
    STATE(5334), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278096] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9594), 1,
      sym__interpolated_multiline_string_start,
    STATE(9334), 1,
      sym_interpolated_string,
    STATE(16255), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278149] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8951), 1,
      anon_sym_LBRACK,
    ACTIONS(8955), 1,
      anon_sym_POUND,
    ACTIONS(9596), 1,
      anon_sym_AT,
    STATE(6428), 1,
      sym_type_arguments,
    STATE(6735), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8036), 1,
      sym_annotation,
    STATE(5336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278247] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8790), 1,
      anon_sym_LPAREN,
    STATE(5389), 1,
      aux_sym_annotation_repeat1,
    STATE(6502), 1,
      sym_arguments,
    STATE(5338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [278382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278468] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9421), 1,
      anon_sym_COLON,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_with,
    STATE(5274), 1,
      aux_sym_compound_type_repeat1,
    STATE(10133), 1,
      sym_template_body,
    STATE(10135), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5343), 2,
      sym_comment,
      sym_block_comment,
    STATE(10187), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 3,
      anon_sym_while,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7914), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278660] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8655), 1,
      anon_sym_AT,
    STATE(5208), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6590), 1,
      sym_annotation,
    STATE(5347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278709] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8988), 1,
      anon_sym_LBRACK,
    ACTIONS(8992), 1,
      anon_sym_POUND,
    ACTIONS(9602), 1,
      anon_sym_AT,
    STATE(6239), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6259), 1,
      sym_type_arguments,
    STATE(8027), 1,
      sym_annotation,
    STATE(5348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [278807] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9604), 1,
      anon_sym_DOT,
    STATE(5350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279069] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9606), 1,
      anon_sym_AT,
    STATE(6716), 1,
      sym_annotation,
    STATE(5356), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279116] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8640), 1,
      anon_sym_AT,
    STATE(5151), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6300), 1,
      sym_annotation,
    STATE(5357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9609), 1,
      anon_sym_DOT,
    STATE(5359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279339] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5787), 1,
      sym__end_marker,
    STATE(5362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9615), 1,
      anon_sym_DOT,
    STATE(5364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279515] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9273), 1,
      anon_sym_COLON,
    ACTIONS(9275), 1,
      anon_sym_LBRACE,
    ACTIONS(9277), 1,
      anon_sym_with,
    STATE(7737), 1,
      aux_sym_compound_type_repeat1,
    STATE(10244), 1,
      sym_template_body,
    STATE(10280), 1,
      sym__refinement,
    STATE(5366), 2,
      sym_comment,
      sym_block_comment,
    STATE(10184), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279572] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9617), 1,
      anon_sym_COLON,
    ACTIONS(9620), 1,
      anon_sym_LBRACE,
    STATE(7051), 1,
      sym_template_body,
    STATE(5367), 2,
      sym_comment,
      sym_block_comment,
    STATE(7062), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279623] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1464), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(9623), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5368), 2,
      sym_comment,
      sym_block_comment,
    STATE(8351), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279721] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8667), 1,
      anon_sym_AT,
    STATE(5456), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6339), 1,
      sym_annotation,
    STATE(5370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279770] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9445), 1,
      anon_sym_end,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(9629), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16413), 1,
      sym_identifier,
    STATE(5371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(850), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [279823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279952] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9635), 1,
      anon_sym_with,
    STATE(6026), 1,
      aux_sym_compound_type_repeat1,
    STATE(9450), 1,
      sym_arguments,
    STATE(9497), 1,
      sym__refinement,
    STATE(9503), 1,
      sym_template_body,
    STATE(5375), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280050] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8986), 1,
      sym__interpolated_multiline_string_start,
    STATE(8749), 1,
      sym_interpolated_string,
    STATE(15823), 1,
      sym__interpolated_string_start,
    ACTIONS(9637), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280146] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8616), 1,
      sym__interpolated_multiline_string_start,
    STATE(7362), 1,
      sym_interpolated_string,
    STATE(16086), 1,
      sym__interpolated_string_start,
    ACTIONS(9639), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280199] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9456), 1,
      anon_sym_COLON,
    ACTIONS(9458), 1,
      anon_sym_LBRACE,
    ACTIONS(9460), 1,
      anon_sym_with,
    STATE(5411), 1,
      aux_sym_compound_type_repeat1,
    STATE(10138), 1,
      sym_template_body,
    STATE(10139), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5380), 2,
      sym_comment,
      sym_block_comment,
    STATE(10019), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7916), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280391] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8769), 1,
      anon_sym_LPAREN,
    STATE(5469), 1,
      aux_sym_annotation_repeat1,
    STATE(6404), 1,
      sym_arguments,
    STATE(5384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280440] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9221), 1,
      anon_sym_POUND,
    ACTIONS(9641), 1,
      anon_sym_AT,
    STATE(6347), 1,
      sym_type_arguments,
    STATE(7392), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8649), 1,
      sym_annotation,
    STATE(5385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5986), 1,
      sym_arguments,
    STATE(5386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280540] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9534), 1,
      anon_sym_COLON,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    ACTIONS(9538), 1,
      anon_sym_with,
    STATE(5287), 1,
      aux_sym_compound_type_repeat1,
    STATE(10195), 1,
      sym_template_body,
    STATE(10197), 1,
      sym__refinement,
    STATE(5387), 2,
      sym_comment,
      sym_block_comment,
    STATE(10096), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280597] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9643), 1,
      anon_sym_LBRACK,
    ACTIONS(9645), 1,
      anon_sym_AT,
    ACTIONS(9647), 1,
      anon_sym_LPAREN,
    ACTIONS(9649), 1,
      anon_sym_POUND,
    STATE(7141), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7564), 1,
      sym_type_arguments,
    STATE(8511), 1,
      sym_annotation,
    STATE(9644), 1,
      sym_arguments,
    STATE(5388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280656] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9651), 1,
      anon_sym_LPAREN,
    STATE(6502), 1,
      sym_arguments,
    STATE(5389), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280703] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8799), 1,
      anon_sym_LPAREN,
    STATE(5470), 1,
      aux_sym_annotation_repeat1,
    STATE(6400), 1,
      sym_arguments,
    STATE(5390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280967] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8479), 1,
      anon_sym_DOT,
    ACTIONS(9402), 1,
      sym__alpha_identifier,
    ACTIONS(9408), 1,
      sym__backquoted_id,
    ACTIONS(9410), 1,
      sym_operator_identifier,
    ACTIONS(9654), 1,
      anon_sym_EQ,
    STATE(580), 1,
      sym_identifier,
    STATE(4110), 1,
      sym__soft_identifier,
    STATE(5396), 2,
      sym_comment,
      sym_block_comment,
    STATE(6254), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9404), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [281034] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1464), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(9623), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5397), 2,
      sym_comment,
      sym_block_comment,
    STATE(8351), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281091] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281222] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1132), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8671), 1,
      anon_sym_DOT,
    ACTIONS(9660), 1,
      sym__alpha_identifier,
    ACTIONS(9664), 1,
      anon_sym_EQ,
    ACTIONS(9666), 1,
      sym__backquoted_id,
    ACTIONS(9668), 1,
      sym_operator_identifier,
    STATE(585), 1,
      sym_identifier,
    STATE(4151), 1,
      sym__soft_identifier,
    STATE(5401), 2,
      sym_comment,
      sym_block_comment,
    STATE(7131), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [281289] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8984), 1,
      anon_sym_EQ_GT,
    STATE(5402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281420] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8784), 1,
      anon_sym_LPAREN,
    STATE(5192), 1,
      aux_sym_annotation_repeat1,
    STATE(6448), 1,
      sym_arguments,
    STATE(5405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281512] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9670), 1,
      anon_sym_LBRACK,
    ACTIONS(9672), 1,
      anon_sym_LPAREN,
    ACTIONS(9674), 1,
      anon_sym_POUND,
    STATE(6485), 1,
      aux_sym_annotation_repeat1,
    STATE(7015), 1,
      sym_type_arguments,
    STATE(8242), 1,
      sym_arguments,
    STATE(5407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [281610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281653] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8705), 1,
      anon_sym_AT,
    STATE(5356), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6716), 1,
      sym_annotation,
    STATE(5410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281702] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9456), 1,
      anon_sym_COLON,
    ACTIONS(9458), 1,
      anon_sym_LBRACE,
    ACTIONS(9460), 1,
      anon_sym_with,
    STATE(8139), 1,
      aux_sym_compound_type_repeat1,
    STATE(10138), 1,
      sym_template_body,
    STATE(10252), 1,
      sym__refinement,
    STATE(5411), 2,
      sym_comment,
      sym_block_comment,
    STATE(10019), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281802] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1464), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(9623), 1,
      anon_sym_DOT,
    ACTIONS(9676), 1,
      sym_operator_identifier,
    STATE(1834), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5413), 2,
      sym_comment,
      sym_block_comment,
    STATE(8351), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [281869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281912] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8819), 1,
      anon_sym_LPAREN,
    STATE(5430), 1,
      aux_sym_annotation_repeat1,
    STATE(6311), 1,
      sym_arguments,
    STATE(5415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282090] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1096), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8534), 1,
      anon_sym_LPAREN,
    ACTIONS(9000), 1,
      anon_sym_DOT,
    ACTIONS(9384), 1,
      sym__alpha_identifier,
    ACTIONS(9390), 1,
      sym__backquoted_id,
    ACTIONS(9392), 1,
      sym_operator_identifier,
    ACTIONS(9678), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_identifier,
    STATE(4156), 1,
      sym__soft_identifier,
    STATE(5419), 2,
      sym_comment,
      sym_block_comment,
    STATE(7834), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [282157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282200] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9199), 1,
      anon_sym_LBRACK,
    ACTIONS(9203), 1,
      anon_sym_POUND,
    ACTIONS(9680), 1,
      anon_sym_AT,
    STATE(6348), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6491), 1,
      sym_type_arguments,
    STATE(8269), 1,
      sym_annotation,
    STATE(5421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282255] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9682), 1,
      anon_sym_DOT,
    STATE(5422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282515] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9684), 1,
      anon_sym_DOT,
    STATE(5428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282603] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9690), 1,
      anon_sym_LPAREN,
    STATE(6311), 1,
      sym_arguments,
    STATE(5430), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282650] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9082), 1,
      anon_sym_LBRACK,
    ACTIONS(9088), 1,
      anon_sym_POUND,
    ACTIONS(9693), 1,
      anon_sym_LPAREN,
    STATE(6700), 1,
      aux_sym_annotation_repeat1,
    STATE(6967), 1,
      sym_type_arguments,
    STATE(7629), 1,
      sym_arguments,
    STATE(5431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282748] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8913), 1,
      anon_sym_LBRACK,
    ACTIONS(8919), 1,
      anon_sym_POUND,
    ACTIONS(9695), 1,
      anon_sym_LPAREN,
    STATE(6335), 1,
      aux_sym_annotation_repeat1,
    STATE(7438), 1,
      sym_type_arguments,
    STATE(8111), 1,
      sym_arguments,
    STATE(5433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282846] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9697), 1,
      anon_sym_LBRACK,
    ACTIONS(9699), 1,
      anon_sym_AT,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    ACTIONS(9703), 1,
      anon_sym_POUND,
    STATE(7301), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7958), 1,
      sym_type_arguments,
    STATE(8448), 1,
      sym_annotation,
    STATE(9663), 1,
      sym_arguments,
    STATE(5435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9705), 1,
      anon_sym_DOT,
    STATE(5439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283253] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8861), 1,
      anon_sym_AT,
    STATE(5200), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6512), 1,
      sym_annotation,
    STATE(5444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283388] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8677), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5447), 2,
      sym_comment,
      sym_block_comment,
    STATE(8492), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283531] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9273), 1,
      anon_sym_COLON,
    ACTIONS(9275), 1,
      anon_sym_LBRACE,
    ACTIONS(9277), 1,
      anon_sym_with,
    STATE(5366), 1,
      aux_sym_compound_type_repeat1,
    STATE(10244), 1,
      sym_template_body,
    STATE(10250), 1,
      sym__refinement,
    STATE(5450), 2,
      sym_comment,
      sym_block_comment,
    STATE(10184), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283631] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8927), 1,
      anon_sym_with,
    STATE(8234), 1,
      aux_sym_compound_type_repeat1,
    STATE(9307), 1,
      sym__refinement,
    STATE(9553), 1,
      sym_template_body,
    STATE(5452), 2,
      sym_comment,
      sym_block_comment,
    STATE(9562), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283727] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9707), 1,
      anon_sym_with,
    STATE(5875), 1,
      aux_sym_compound_type_repeat1,
    STATE(9639), 1,
      sym_arguments,
    STATE(9946), 1,
      sym_template_body,
    STATE(9947), 1,
      sym__refinement,
    STATE(5454), 2,
      sym_comment,
      sym_block_comment,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283825] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9709), 1,
      anon_sym_AT,
    STATE(6339), 1,
      sym_annotation,
    STATE(5456), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283872] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8778), 1,
      anon_sym_LPAREN,
    STATE(5480), 1,
      aux_sym_annotation_repeat1,
    STATE(6451), 1,
      sym_arguments,
    STATE(5457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284050] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9462), 1,
      anon_sym_COLON,
    ACTIONS(9464), 1,
      anon_sym_LBRACE,
    ACTIONS(9466), 1,
      anon_sym_with,
    STATE(8167), 1,
      aux_sym_compound_type_repeat1,
    STATE(10248), 1,
      sym_template_body,
    STATE(10266), 1,
      sym__refinement,
    STATE(5461), 2,
      sym_comment,
      sym_block_comment,
    STATE(10211), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284236] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9445), 1,
      anon_sym_end,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(9712), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16373), 1,
      sym_identifier,
    STATE(5465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(850), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [284289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284332] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9193), 1,
      anon_sym_LBRACK,
    ACTIONS(9197), 1,
      anon_sym_POUND,
    ACTIONS(9714), 1,
      anon_sym_AT,
    STATE(6202), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6375), 1,
      sym_type_arguments,
    STATE(7949), 1,
      sym_annotation,
    STATE(5467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284430] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9716), 1,
      anon_sym_LPAREN,
    STATE(6404), 1,
      sym_arguments,
    STATE(5469), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284477] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9719), 1,
      anon_sym_LPAREN,
    STATE(6400), 1,
      sym_arguments,
    STATE(5470), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284567] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8889), 1,
      anon_sym_AT,
    STATE(5100), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6607), 1,
      sym_annotation,
    STATE(5472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [284788] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9528), 1,
      sym__interpolated_multiline_string_start,
    STATE(9349), 1,
      sym_interpolated_string,
    STATE(15881), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284927] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9722), 1,
      anon_sym_LPAREN,
    STATE(6451), 1,
      sym_arguments,
    STATE(5480), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285060] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8941), 1,
      sym__interpolated_multiline_string_start,
    STATE(8497), 1,
      sym_interpolated_string,
    STATE(16205), 1,
      sym__interpolated_string_start,
    ACTIONS(9725), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285113] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9727), 1,
      anon_sym_LPAREN,
    STATE(6427), 1,
      sym_arguments,
    STATE(5484), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285203] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LPAREN,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8487), 1,
      anon_sym_DOT,
    ACTIONS(9327), 1,
      sym__alpha_identifier,
    ACTIONS(9333), 1,
      sym__backquoted_id,
    ACTIONS(9335), 1,
      sym_operator_identifier,
    ACTIONS(9730), 1,
      anon_sym_EQ,
    STATE(581), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(5486), 2,
      sym_comment,
      sym_block_comment,
    STATE(6167), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9329), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [285270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9732), 1,
      anon_sym_DOT,
    STATE(5487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285315] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9734), 1,
      anon_sym_with,
    STATE(5859), 1,
      aux_sym_compound_type_repeat1,
    STATE(9640), 1,
      sym_template_body,
    STATE(9641), 1,
      sym__refinement,
    STATE(9644), 1,
      sym_arguments,
    STATE(5488), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285497] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    ACTIONS(9736), 1,
      anon_sym_LPAREN,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(8841), 1,
      sym__annotated_type,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(11082), 1,
      sym__infix_type_choice,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(5492), 2,
      sym_comment,
      sym_block_comment,
    STATE(11514), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [285565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285733] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9746), 1,
      anon_sym_COLON,
    ACTIONS(9748), 1,
      anon_sym_LBRACE,
    ACTIONS(9750), 1,
      anon_sym_with,
    STATE(8817), 1,
      aux_sym_compound_type_repeat1,
    STATE(10599), 1,
      sym__refinement,
    STATE(10617), 1,
      sym_template_body,
    STATE(5497), 2,
      sym_comment,
      sym_block_comment,
    STATE(10616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285789] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9167), 1,
      anon_sym_AT,
    STATE(5685), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6791), 1,
      sym_annotation,
    STATE(5498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285837] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    ACTIONS(9752), 1,
      anon_sym_LPAREN,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(7462), 1,
      sym__annotated_type,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(10364), 1,
      sym__infix_type_choice,
    STATE(17512), 1,
      sym_stable_identifier,
    STATE(5499), 2,
      sym_comment,
      sym_block_comment,
    STATE(10860), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [285905] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    ACTIONS(9754), 1,
      anon_sym_LPAREN,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8240), 1,
      sym__annotated_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(10817), 1,
      sym__infix_type_choice,
    STATE(16739), 1,
      sym_stable_identifier,
    STATE(5500), 2,
      sym_comment,
      sym_block_comment,
    STATE(11180), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [285973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286015] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    ACTIONS(9760), 1,
      anon_sym_LPAREN,
    STATE(4561), 1,
      sym__annotated_type,
    STATE(4601), 1,
      sym__simple_type,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4767), 1,
      sym_identifier,
    STATE(6309), 1,
      sym_annotated_type,
    STATE(6978), 1,
      sym__infix_type_choice,
    STATE(17611), 1,
      sym_stable_identifier,
    STATE(5502), 2,
      sym_comment,
      sym_block_comment,
    STATE(8411), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5073), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [286083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286209] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9762), 1,
      anon_sym_COLON,
    ACTIONS(9764), 1,
      anon_sym_LBRACE,
    ACTIONS(9766), 1,
      anon_sym_with,
    STATE(5749), 1,
      aux_sym_compound_type_repeat1,
    STATE(10432), 1,
      sym_template_body,
    STATE(10434), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5506), 2,
      sym_comment,
      sym_block_comment,
    STATE(10637), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286313] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9768), 1,
      anon_sym_with,
    STATE(5508), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286357] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8833), 1,
      anon_sym_AT,
    STATE(5582), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6807), 1,
      sym_annotation,
    STATE(5509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286489] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9771), 1,
      anon_sym_LPAREN,
    STATE(6871), 1,
      sym_arguments,
    STATE(5512), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286577] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8841), 1,
      anon_sym_LPAREN,
    STATE(4485), 1,
      sym_arguments,
    STATE(5737), 1,
      aux_sym_annotation_repeat1,
    STATE(5514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [286623] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8969), 1,
      anon_sym_LPAREN,
    STATE(5512), 1,
      aux_sym_annotation_repeat1,
    STATE(6871), 1,
      sym_arguments,
    STATE(5515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286671] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9697), 1,
      anon_sym_LBRACK,
    ACTIONS(9699), 1,
      anon_sym_AT,
    ACTIONS(9703), 1,
      anon_sym_POUND,
    STATE(7301), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7958), 1,
      sym_type_arguments,
    STATE(8448), 1,
      sym_annotation,
    STATE(5516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286767] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8949), 1,
      anon_sym_LPAREN,
    STATE(5529), 1,
      aux_sym_annotation_repeat1,
    STATE(6932), 1,
      sym_arguments,
    STATE(5518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286899] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9774), 1,
      anon_sym_DOT,
    STATE(5521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286943] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9394), 1,
      anon_sym_LBRACK,
    ACTIONS(9400), 1,
      anon_sym_POUND,
    ACTIONS(9776), 1,
      anon_sym_LPAREN,
    STATE(6919), 1,
      aux_sym_annotation_repeat1,
    STATE(7786), 1,
      sym_type_arguments,
    STATE(8911), 1,
      sym_arguments,
    STATE(5522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286997] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9697), 1,
      anon_sym_LBRACK,
    ACTIONS(9703), 1,
      anon_sym_POUND,
    ACTIONS(9778), 1,
      anon_sym_LPAREN,
    STATE(6991), 1,
      aux_sym_annotation_repeat1,
    STATE(7958), 1,
      sym_type_arguments,
    STATE(8380), 1,
      sym_arguments,
    STATE(5523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287051] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(9780), 1,
      anon_sym_LPAREN,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8750), 1,
      sym__annotated_type,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(10726), 1,
      sym__infix_type_choice,
    STATE(17357), 1,
      sym_stable_identifier,
    STATE(5524), 2,
      sym_comment,
      sym_block_comment,
    STATE(11302), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [287119] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9782), 1,
      anon_sym_with,
    STATE(5525), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287163] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9785), 1,
      anon_sym_with,
    STATE(5526), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287291] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9788), 1,
      anon_sym_LPAREN,
    STATE(6932), 1,
      sym_arguments,
    STATE(5529), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287421] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9604), 1,
      anon_sym_DOT,
    ACTIONS(9791), 1,
      anon_sym_EQ_GT,
    STATE(5532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287467] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9793), 1,
      anon_sym_with,
    STATE(6368), 1,
      aux_sym_compound_type_repeat1,
    STATE(10099), 1,
      sym_template_body,
    STATE(10104), 1,
      sym_arguments,
    STATE(10182), 1,
      sym__refinement,
    STATE(5533), 2,
      sym_comment,
      sym_block_comment,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287563] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(9337), 1,
      anon_sym_DOT,
    ACTIONS(9795), 1,
      sym__alpha_identifier,
    ACTIONS(9799), 1,
      anon_sym_EQ,
    ACTIONS(9801), 1,
      sym__backquoted_id,
    ACTIONS(9803), 1,
      sym_operator_identifier,
    STATE(591), 1,
      sym_identifier,
    STATE(4163), 1,
      sym__soft_identifier,
    STATE(5535), 2,
      sym_comment,
      sym_block_comment,
    STATE(8361), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9797), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [287629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [287755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287839] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9805), 1,
      anon_sym_COLON,
    ACTIONS(9808), 1,
      anon_sym_LBRACE,
    STATE(7686), 1,
      sym_template_body,
    STATE(5541), 2,
      sym_comment,
      sym_block_comment,
    STATE(7745), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287889] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287975] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9670), 1,
      anon_sym_LBRACK,
    ACTIONS(9674), 1,
      anon_sym_POUND,
    ACTIONS(9811), 1,
      anon_sym_AT,
    STATE(6819), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7015), 1,
      sym_type_arguments,
    STATE(8679), 1,
      sym_annotation,
    STATE(5544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288071] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6894), 1,
      anon_sym__,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(6904), 1,
      sym_operator_identifier,
    ACTIONS(9813), 1,
      anon_sym_LPAREN,
    STATE(7401), 1,
      sym__simple_type,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(7817), 1,
      sym_identifier,
    STATE(7894), 1,
      sym__annotated_type,
    STATE(10444), 1,
      sym_annotated_type,
    STATE(10459), 1,
      sym__infix_type_choice,
    STATE(17039), 1,
      sym_stable_identifier,
    STATE(5546), 2,
      sym_comment,
      sym_block_comment,
    STATE(11001), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8512), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [288139] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(9817), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_with,
    STATE(8737), 1,
      aux_sym_compound_type_repeat1,
    STATE(10499), 1,
      sym_template_body,
    STATE(10501), 1,
      sym__refinement,
    STATE(5547), 2,
      sym_comment,
      sym_block_comment,
    STATE(10452), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288195] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9643), 1,
      anon_sym_LBRACK,
    ACTIONS(9645), 1,
      anon_sym_AT,
    ACTIONS(9649), 1,
      anon_sym_POUND,
    STATE(7141), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7564), 1,
      sym_type_arguments,
    STATE(8511), 1,
      sym_annotation,
    STATE(5548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288291] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9762), 1,
      anon_sym_COLON,
    ACTIONS(9764), 1,
      anon_sym_LBRACE,
    ACTIONS(9766), 1,
      anon_sym_with,
    STATE(5749), 1,
      aux_sym_compound_type_repeat1,
    STATE(10432), 1,
      sym_template_body,
    STATE(10434), 1,
      sym__refinement,
    STATE(5550), 2,
      sym_comment,
      sym_block_comment,
    STATE(10637), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288347] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4484), 1,
      anon_sym__,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(6908), 1,
      sym_operator_identifier,
    ACTIONS(9821), 1,
      anon_sym_LPAREN,
    STATE(4554), 1,
      sym__annotated_type,
    STATE(4603), 1,
      sym__simple_type,
    STATE(4680), 1,
      sym_identifier,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(6330), 1,
      sym_annotated_type,
    STATE(6911), 1,
      sym__infix_type_choice,
    STATE(17617), 1,
      sym_stable_identifier,
    STATE(5551), 2,
      sym_comment,
      sym_block_comment,
    STATE(8482), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5062), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [288415] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6800), 1,
      anon_sym__,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(6810), 1,
      sym_operator_identifier,
    ACTIONS(9823), 1,
      anon_sym_LPAREN,
    STATE(7502), 1,
      sym__simple_type,
    STATE(8583), 1,
      sym_identifier,
    STATE(8821), 1,
      sym__annotated_type,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(10671), 1,
      sym__infix_type_choice,
    STATE(10777), 1,
      sym_annotated_type,
    STATE(17018), 1,
      sym_stable_identifier,
    STATE(5552), 2,
      sym_comment,
      sym_block_comment,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9382), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [288483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288525] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9825), 1,
      sym__interpolated_multiline_string_start,
    STATE(9707), 1,
      sym_interpolated_string,
    STATE(15450), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288661] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8485), 1,
      sym__interpolated_multiline_string_start,
    STATE(6822), 1,
      sym_interpolated_string,
    STATE(15689), 1,
      sym__interpolated_string_start,
    ACTIONS(9827), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [288881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288923] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9488), 1,
      anon_sym_with,
    STATE(8666), 1,
      aux_sym_compound_type_repeat1,
    STATE(9630), 1,
      sym_template_body,
    STATE(9678), 1,
      sym__refinement,
    STATE(5563), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289017] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9829), 1,
      anon_sym_with,
    STATE(5565), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289061] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8996), 1,
      anon_sym_LPAREN,
    STATE(5580), 1,
      aux_sym_annotation_repeat1,
    STATE(6818), 1,
      sym_arguments,
    STATE(5566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289361] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9285), 1,
      anon_sym_LBRACK,
    ACTIONS(9289), 1,
      anon_sym_POUND,
    ACTIONS(9832), 1,
      anon_sym_AT,
    STATE(6774), 1,
      sym_type_arguments,
    STATE(7175), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8442), 1,
      sym_annotation,
    STATE(5573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [289499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289541] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9494), 1,
      anon_sym_POUND,
    ACTIONS(9834), 1,
      anon_sym_AT,
    STATE(7250), 1,
      sym_type_arguments,
    STATE(7726), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9573), 1,
      sym_annotation,
    STATE(5577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289595] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    ACTIONS(9836), 1,
      anon_sym_LPAREN,
    STATE(6151), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(10126), 1,
      sym__infix_type_choice,
    STATE(17499), 1,
      sym_stable_identifier,
    STATE(5578), 2,
      sym_comment,
      sym_block_comment,
    STATE(10727), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [289663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289705] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9838), 1,
      anon_sym_LPAREN,
    STATE(6818), 1,
      sym_arguments,
    STATE(5580), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289793] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9841), 1,
      anon_sym_AT,
    STATE(6807), 1,
      sym_annotation,
    STATE(5582), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289839] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8806), 1,
      sym__interpolated_multiline_string_start,
    STATE(7671), 1,
      sym_interpolated_string,
    STATE(15652), 1,
      sym__interpolated_string_start,
    ACTIONS(9844), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289975] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9594), 1,
      sym__interpolated_multiline_string_start,
    STATE(9334), 1,
      sym_interpolated_string,
    STATE(16255), 1,
      sym__interpolated_string_start,
    ACTIONS(9846), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290027] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    ACTIONS(9056), 1,
      anon_sym_DOT,
    ACTIONS(9848), 1,
      sym__alpha_identifier,
    ACTIONS(9852), 1,
      anon_sym_EQ,
    ACTIONS(9854), 1,
      sym__backquoted_id,
    ACTIONS(9856), 1,
      sym_operator_identifier,
    STATE(589), 1,
      sym_identifier,
    STATE(4170), 1,
      sym__soft_identifier,
    STATE(5587), 2,
      sym_comment,
      sym_block_comment,
    STATE(8023), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(9850), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [290093] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9064), 1,
      anon_sym_LPAREN,
    STATE(5617), 1,
      aux_sym_annotation_repeat1,
    STATE(7026), 1,
      sym_arguments,
    STATE(5588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290225] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9102), 1,
      sym__interpolated_multiline_string_start,
    STATE(8285), 1,
      sym_interpolated_string,
    STATE(15365), 1,
      sym__interpolated_string_start,
    ACTIONS(9858), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290277] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9860), 1,
      anon_sym_LPAREN,
    STATE(6975), 1,
      sym_arguments,
    STATE(5592), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290323] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9863), 1,
      anon_sym_LPAREN,
    STATE(6923), 1,
      sym_arguments,
    STATE(5593), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290369] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6690), 1,
      anon_sym__,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(6700), 1,
      sym_operator_identifier,
    ACTIONS(9866), 1,
      anon_sym_LPAREN,
    STATE(5387), 1,
      sym__annotated_type,
    STATE(5421), 1,
      sym__simple_type,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(6012), 1,
      sym_identifier,
    STATE(8429), 1,
      sym_annotated_type,
    STATE(9338), 1,
      sym__infix_type_choice,
    STATE(17623), 1,
      sym_stable_identifier,
    STATE(5594), 2,
      sym_comment,
      sym_block_comment,
    STATE(10045), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [290437] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_AT,
    ACTIONS(9380), 1,
      anon_sym_POUND,
    STATE(7201), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8160), 1,
      sym_type_arguments,
    STATE(8320), 1,
      sym_annotation,
    STATE(5595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290491] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9520), 1,
      anon_sym_LBRACK,
    ACTIONS(9524), 1,
      anon_sym_POUND,
    ACTIONS(9868), 1,
      anon_sym_AT,
    STATE(6910), 1,
      sym_type_arguments,
    STATE(8164), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9076), 1,
      sym_annotation,
    STATE(5596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290587] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(9870), 1,
      anon_sym_LPAREN,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7338), 1,
      sym__annotated_type,
    STATE(10179), 1,
      sym__infix_type_choice,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(16952), 1,
      sym_stable_identifier,
    STATE(5598), 2,
      sym_comment,
      sym_block_comment,
    STATE(10743), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [290655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290697] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290783] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9080), 1,
      anon_sym_AT,
    STATE(5840), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7160), 1,
      sym_annotation,
    STATE(5602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290831] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym__,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    STATE(4743), 1,
      sym__annotated_type,
    STATE(4753), 1,
      sym__simple_type,
    STATE(4955), 1,
      sym_identifier,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(6805), 1,
      sym_annotated_type,
    STATE(7996), 1,
      sym__infix_type_choice,
    STATE(18028), 1,
      sym_stable_identifier,
    STATE(5603), 2,
      sym_comment,
      sym_block_comment,
    STATE(9100), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [290899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290983] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym__,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(6782), 1,
      sym_operator_identifier,
    ACTIONS(9874), 1,
      anon_sym_LPAREN,
    STATE(4633), 1,
      sym__simple_type,
    STATE(4658), 1,
      sym__annotated_type,
    STATE(4897), 1,
      sym_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(7288), 1,
      sym_annotated_type,
    STATE(8264), 1,
      sym__infix_type_choice,
    STATE(17605), 1,
      sym_stable_identifier,
    STATE(5606), 2,
      sym_comment,
      sym_block_comment,
    STATE(9237), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [291051] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9123), 1,
      anon_sym_LPAREN,
    STATE(5593), 1,
      aux_sym_annotation_repeat1,
    STATE(6923), 1,
      sym_arguments,
    STATE(5607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291099] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9876), 1,
      anon_sym_with,
    STATE(5608), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291143] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9643), 1,
      anon_sym_LBRACK,
    ACTIONS(9649), 1,
      anon_sym_POUND,
    ACTIONS(9879), 1,
      anon_sym_LPAREN,
    STATE(6801), 1,
      aux_sym_annotation_repeat1,
    STATE(7564), 1,
      sym_type_arguments,
    STATE(8731), 1,
      sym_arguments,
    STATE(5609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [291323] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym__,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      sym_operator_identifier,
    ACTIONS(9881), 1,
      anon_sym_LPAREN,
    STATE(5577), 1,
      sym__simple_type,
    STATE(6158), 1,
      sym_identifier,
    STATE(6196), 1,
      sym__annotated_type,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(9797), 1,
      sym_annotated_type,
    STATE(10291), 1,
      sym__infix_type_choice,
    STATE(17525), 1,
      sym_stable_identifier,
    STATE(5613), 2,
      sym_comment,
      sym_block_comment,
    STATE(10853), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [291391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291475] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1340), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9073), 1,
      anon_sym_LPAREN,
    ACTIONS(9883), 1,
      sym__alpha_identifier,
    ACTIONS(9885), 1,
      anon_sym_DOT,
    ACTIONS(9889), 1,
      anon_sym_EQ,
    ACTIONS(9891), 1,
      sym__backquoted_id,
    ACTIONS(9893), 1,
      sym_operator_identifier,
    STATE(592), 1,
      sym_identifier,
    STATE(4165), 1,
      sym__soft_identifier,
    STATE(5616), 2,
      sym_comment,
      sym_block_comment,
    STATE(9310), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9887), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [291541] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9895), 1,
      anon_sym_LPAREN,
    STATE(7026), 1,
      sym_arguments,
    STATE(5617), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291629] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1024), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8475), 1,
      anon_sym_LPAREN,
    ACTIONS(8669), 1,
      anon_sym_DOT,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9902), 1,
      anon_sym_EQ,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    STATE(582), 1,
      sym_identifier,
    STATE(4150), 1,
      sym__soft_identifier,
    STATE(5619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7045), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [291695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291737] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291865] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1060), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8296), 1,
      anon_sym_LPAREN,
    ACTIONS(8707), 1,
      anon_sym_DOT,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9912), 1,
      anon_sym_EQ,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    STATE(583), 1,
      sym_identifier,
    STATE(4152), 1,
      sym__soft_identifier,
    STATE(5624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7060), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [291931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292057] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9116), 1,
      anon_sym_LPAREN,
    STATE(5638), 1,
      aux_sym_annotation_repeat1,
    STATE(7154), 1,
      sym_arguments,
    STATE(5628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292189] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9368), 1,
      anon_sym_LBRACK,
    ACTIONS(9372), 1,
      anon_sym_POUND,
    ACTIONS(9918), 1,
      anon_sym_AT,
    STATE(7203), 1,
      sym_type_arguments,
    STATE(7959), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9139), 1,
      sym_annotation,
    STATE(5631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [292243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292327] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9920), 1,
      anon_sym_LPAREN,
    STATE(6931), 1,
      sym_arguments,
    STATE(5634), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292457] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9923), 1,
      sym__interpolated_multiline_string_start,
    STATE(9781), 1,
      sym_interpolated_string,
    STATE(16337), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292509] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    STATE(7154), 1,
      sym_arguments,
    STATE(5638), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292555] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292599] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9928), 1,
      anon_sym_COLON,
    ACTIONS(9930), 1,
      anon_sym_LBRACE,
    ACTIONS(9932), 1,
      anon_sym_with,
    STATE(8897), 1,
      aux_sym_compound_type_repeat1,
    STATE(10437), 1,
      sym__refinement,
    STATE(10478), 1,
      sym_template_body,
    STATE(5640), 2,
      sym_comment,
      sym_block_comment,
    STATE(10596), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292697] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9179), 1,
      anon_sym_LPAREN,
    STATE(5592), 1,
      aux_sym_annotation_repeat1,
    STATE(6975), 1,
      sym_arguments,
    STATE(5642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292745] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4296), 1,
      anon_sym__,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(6962), 1,
      sym_operator_identifier,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    STATE(4849), 1,
      sym__simple_type,
    STATE(4982), 1,
      sym__annotated_type,
    STATE(5236), 1,
      sym_identifier,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(7538), 1,
      sym_annotated_type,
    STATE(8425), 1,
      sym__infix_type_choice,
    STATE(17486), 1,
      sym_stable_identifier,
    STATE(5643), 2,
      sym_comment,
      sym_block_comment,
    STATE(9966), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5973), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [292813] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9201), 1,
      anon_sym_LPAREN,
    STATE(5634), 1,
      aux_sym_annotation_repeat1,
    STATE(6931), 1,
      sym_arguments,
    STATE(5644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292861] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8546), 1,
      sym__interpolated_multiline_string_start,
    STATE(7450), 1,
      sym_interpolated_string,
    STATE(16127), 1,
      sym__interpolated_string_start,
    ACTIONS(9936), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292955] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym__,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(6746), 1,
      sym_operator_identifier,
    ACTIONS(9938), 1,
      anon_sym_LPAREN,
    STATE(5596), 1,
      sym__simple_type,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym_identifier,
    STATE(6677), 1,
      sym__annotated_type,
    STATE(9802), 1,
      sym_annotated_type,
    STATE(9847), 1,
      sym__infix_type_choice,
    STATE(16816), 1,
      sym_stable_identifier,
    STATE(5647), 2,
      sym_comment,
      sym_block_comment,
    STATE(10421), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6860), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [293023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [293191] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(988), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LPAREN,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8487), 1,
      anon_sym_DOT,
    ACTIONS(9327), 1,
      sym__alpha_identifier,
    ACTIONS(9333), 1,
      sym__backquoted_id,
    ACTIONS(9335), 1,
      sym_operator_identifier,
    ACTIONS(9940), 1,
      anon_sym_EQ,
    STATE(581), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(5652), 2,
      sym_comment,
      sym_block_comment,
    STATE(6167), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9329), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [293257] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9942), 1,
      anon_sym_LPAREN,
    STATE(7050), 1,
      sym_arguments,
    STATE(5653), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [293345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293597] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4700), 1,
      anon_sym__,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(6992), 1,
      sym_operator_identifier,
    ACTIONS(9945), 1,
      anon_sym_LPAREN,
    STATE(5308), 1,
      sym__simple_type,
    STATE(5309), 1,
      sym__annotated_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6060), 1,
      sym_identifier,
    STATE(8375), 1,
      sym_annotated_type,
    STATE(9153), 1,
      sym__infix_type_choice,
    STATE(17635), 1,
      sym_stable_identifier,
    STATE(5661), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6513), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [293665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9947), 1,
      anon_sym_DOT,
    STATE(5662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293709] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9594), 1,
      sym__interpolated_multiline_string_start,
    STATE(9334), 1,
      sym_interpolated_string,
    STATE(16255), 1,
      sym__interpolated_string_start,
    ACTIONS(9949), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293761] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9020), 1,
      anon_sym_AT,
    STATE(5767), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7407), 1,
      sym_annotation,
    STATE(5664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293809] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1304), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(9337), 1,
      anon_sym_DOT,
    ACTIONS(9795), 1,
      sym__alpha_identifier,
    ACTIONS(9801), 1,
      sym__backquoted_id,
    ACTIONS(9803), 1,
      sym_operator_identifier,
    ACTIONS(9951), 1,
      anon_sym_EQ,
    STATE(591), 1,
      sym_identifier,
    STATE(4163), 1,
      sym__soft_identifier,
    STATE(5665), 2,
      sym_comment,
      sym_block_comment,
    STATE(8361), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9797), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [293875] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293919] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    STATE(5194), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(9101), 1,
      sym__infix_type_choice,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(5667), 2,
      sym_comment,
      sym_block_comment,
    STATE(10308), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [293987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294071] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8479), 1,
      anon_sym_DOT,
    ACTIONS(9402), 1,
      sym__alpha_identifier,
    ACTIONS(9408), 1,
      sym__backquoted_id,
    ACTIONS(9410), 1,
      sym_operator_identifier,
    ACTIONS(9955), 1,
      anon_sym_EQ,
    STATE(580), 1,
      sym_identifier,
    STATE(4110), 1,
      sym__soft_identifier,
    STATE(5670), 2,
      sym_comment,
      sym_block_comment,
    STATE(6254), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9404), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [294137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294179] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9957), 1,
      anon_sym_COLON,
    ACTIONS(9959), 1,
      anon_sym_LBRACE,
    ACTIONS(9961), 1,
      anon_sym_with,
    STATE(5831), 1,
      aux_sym_compound_type_repeat1,
    STATE(10557), 1,
      sym_template_body,
    STATE(10562), 1,
      sym__refinement,
    STATE(5672), 2,
      sym_comment,
      sym_block_comment,
    STATE(10632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294277] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(9963), 1,
      anon_sym_LPAREN,
    STATE(5863), 1,
      sym__simple_type,
    STATE(5965), 1,
      sym__annotated_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9852), 1,
      sym__infix_type_choice,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(5674), 2,
      sym_comment,
      sym_block_comment,
    STATE(10649), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [294345] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9350), 1,
      sym__interpolated_multiline_string_start,
    STATE(9436), 1,
      sym_interpolated_string,
    STATE(16325), 1,
      sym__interpolated_string_start,
    ACTIONS(9965), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294397] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_DOT,
    ACTIONS(9967), 1,
      sym__alpha_identifier,
    ACTIONS(9971), 1,
      anon_sym_EQ,
    ACTIONS(9973), 1,
      sym__backquoted_id,
    ACTIONS(9975), 1,
      sym_operator_identifier,
    STATE(590), 1,
      sym_identifier,
    STATE(4161), 1,
      sym__soft_identifier,
    STATE(5676), 2,
      sym_comment,
      sym_block_comment,
    STATE(8492), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9969), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [294463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294547] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9705), 1,
      anon_sym_DOT,
    ACTIONS(9977), 1,
      anon_sym_EQ_GT,
    STATE(5679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294635] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294679] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(5682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294807] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9981), 1,
      anon_sym_AT,
    STATE(6791), 1,
      sym_annotation,
    STATE(5685), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294979] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    STATE(7310), 1,
      sym__annotated_type,
    STATE(7314), 1,
      sym__simple_type,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8057), 1,
      sym_identifier,
    STATE(10191), 1,
      sym_annotated_type,
    STATE(10466), 1,
      sym__infix_type_choice,
    STATE(17645), 1,
      sym_stable_identifier,
    STATE(5689), 2,
      sym_comment,
      sym_block_comment,
    STATE(10988), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [295047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295425] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9986), 1,
      anon_sym_AT,
    STATE(7023), 1,
      sym_annotation,
    STATE(5699), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295555] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    ACTIONS(9989), 1,
      anon_sym_LPAREN,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(8226), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(10662), 1,
      sym__infix_type_choice,
    STATE(17060), 1,
      sym_stable_identifier,
    STATE(5702), 2,
      sym_comment,
      sym_block_comment,
    STATE(11224), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [295623] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9991), 1,
      anon_sym_DOT,
    STATE(5703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295709] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9615), 1,
      anon_sym_DOT,
    ACTIONS(9997), 1,
      anon_sym_EQ_GT,
    STATE(5705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295839] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(6996), 1,
      sym_operator_identifier,
    ACTIONS(9999), 1,
      anon_sym_LPAREN,
    STATE(5206), 1,
      sym__simple_type,
    STATE(5243), 1,
      sym__annotated_type,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(5805), 1,
      sym_identifier,
    STATE(8272), 1,
      sym_annotated_type,
    STATE(8990), 1,
      sym__infix_type_choice,
    STATE(17647), 1,
      sym_stable_identifier,
    STATE(5708), 2,
      sym_comment,
      sym_block_comment,
    STATE(10092), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6555), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [295907] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10001), 1,
      anon_sym_COLON,
    ACTIONS(10004), 1,
      anon_sym_LBRACE,
    STATE(8063), 1,
      sym_template_body,
    STATE(5709), 2,
      sym_comment,
      sym_block_comment,
    STATE(8010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295957] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_with,
    STATE(5710), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296043] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9957), 1,
      anon_sym_COLON,
    ACTIONS(9959), 1,
      anon_sym_LBRACE,
    ACTIONS(9961), 1,
      anon_sym_with,
    STATE(5831), 1,
      aux_sym_compound_type_repeat1,
    STATE(10557), 1,
      sym_template_body,
    STATE(10562), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5712), 2,
      sym_comment,
      sym_block_comment,
    STATE(10632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296273] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10010), 1,
      sym__interpolated_multiline_string_start,
    STATE(9754), 1,
      sym_interpolated_string,
    STATE(15487), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296325] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6978), 1,
      anon_sym__,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(6988), 1,
      sym_operator_identifier,
    ACTIONS(10012), 1,
      anon_sym_LPAREN,
    STATE(5113), 1,
      sym__simple_type,
    STATE(5209), 1,
      sym__annotated_type,
    STATE(5703), 1,
      sym_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(8669), 1,
      sym_annotated_type,
    STATE(9256), 1,
      sym__infix_type_choice,
    STATE(17421), 1,
      sym_stable_identifier,
    STATE(5718), 2,
      sym_comment,
      sym_block_comment,
    STATE(10264), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6154), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [296393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296603] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10022), 1,
      anon_sym_with,
    STATE(6697), 1,
      aux_sym_compound_type_repeat1,
    STATE(10145), 1,
      sym_arguments,
    STATE(10354), 1,
      sym__refinement,
    STATE(10355), 1,
      sym_template_body,
    STATE(5724), 2,
      sym_comment,
      sym_block_comment,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296657] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(10024), 1,
      anon_sym_LPAREN,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7286), 1,
      sym__annotated_type,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(10323), 1,
      sym__infix_type_choice,
    STATE(18137), 1,
      sym_stable_identifier,
    STATE(5725), 2,
      sym_comment,
      sym_block_comment,
    STATE(10872), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [296725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296977] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10030), 1,
      anon_sym_LPAREN,
    STATE(7386), 1,
      sym_arguments,
    STATE(5732), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297023] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    ACTIONS(9752), 1,
      anon_sym_LPAREN,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7293), 1,
      sym__annotated_type,
    STATE(7444), 1,
      sym_identifier,
    STATE(10180), 1,
      sym__infix_type_choice,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(17512), 1,
      sym_stable_identifier,
    STATE(5733), 2,
      sym_comment,
      sym_block_comment,
    STATE(10860), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [297091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297133] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10033), 1,
      anon_sym_LPAREN,
    STATE(4485), 1,
      sym_arguments,
    STATE(5737), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [297263] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    STATE(5653), 1,
      aux_sym_annotation_repeat1,
    STATE(7050), 1,
      sym_arguments,
    STATE(5738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297395] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9540), 1,
      anon_sym_EQ_GT,
    STATE(5741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297481] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4764), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(6664), 1,
      sym_operator_identifier,
    ACTIONS(10040), 1,
      anon_sym_LPAREN,
    STATE(4355), 1,
      sym__simple_type,
    STATE(4358), 1,
      sym__annotated_type,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4508), 1,
      sym_identifier,
    STATE(5298), 1,
      sym_annotated_type,
    STATE(5799), 1,
      sym__infix_type_choice,
    STATE(17599), 1,
      sym_stable_identifier,
    STATE(5743), 2,
      sym_comment,
      sym_block_comment,
    STATE(7143), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4579), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [297549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297591] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10046), 1,
      anon_sym_DOT,
    STATE(5745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297635] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6461), 1,
      sym_arguments,
    STATE(5746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297679] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9045), 1,
      anon_sym_LPAREN,
    STATE(5732), 1,
      aux_sym_annotation_repeat1,
    STATE(7386), 1,
      sym_arguments,
    STATE(5747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297769] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9762), 1,
      anon_sym_COLON,
    ACTIONS(9764), 1,
      anon_sym_LBRACE,
    ACTIONS(9766), 1,
      anon_sym_with,
    STATE(8671), 1,
      aux_sym_compound_type_repeat1,
    STATE(10432), 1,
      sym_template_body,
    STATE(10483), 1,
      sym__refinement,
    STATE(5749), 2,
      sym_comment,
      sym_block_comment,
    STATE(10637), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297867] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9228), 1,
      anon_sym_AT,
    STATE(5886), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6826), 1,
      sym_annotation,
    STATE(5751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297915] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9394), 1,
      anon_sym_LBRACK,
    ACTIONS(9396), 1,
      anon_sym_AT,
    ACTIONS(9400), 1,
      anon_sym_POUND,
    STATE(7307), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7786), 1,
      sym_type_arguments,
    STATE(8891), 1,
      sym_annotation,
    STATE(5752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298053] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10056), 1,
      anon_sym_COLON,
    ACTIONS(10059), 1,
      anon_sym_LBRACE,
    ACTIONS(10061), 1,
      anon_sym_with,
    STATE(5978), 1,
      aux_sym_compound_type_repeat1,
    STATE(10153), 1,
      sym_template_body,
    STATE(10155), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5755), 2,
      sym_comment,
      sym_block_comment,
    STATE(10044), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298115] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1340), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9073), 1,
      anon_sym_LPAREN,
    ACTIONS(9885), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5756), 2,
      sym_comment,
      sym_block_comment,
    STATE(9310), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298339] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298425] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10063), 1,
      anon_sym_AT,
    STATE(7135), 1,
      sym_annotation,
    STATE(5763), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298513] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10066), 1,
      anon_sym_COLON,
    ACTIONS(10068), 1,
      anon_sym_LBRACE,
    ACTIONS(10070), 1,
      anon_sym_with,
    STATE(8699), 1,
      aux_sym_compound_type_repeat1,
    STATE(10401), 1,
      sym_template_body,
    STATE(10428), 1,
      sym__refinement,
    STATE(5765), 2,
      sym_comment,
      sym_block_comment,
    STATE(10644), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298611] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10072), 1,
      anon_sym_AT,
    STATE(7407), 1,
      sym_annotation,
    STATE(5767), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298699] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10075), 1,
      anon_sym_LBRACK,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_POUND,
    STATE(7516), 1,
      sym_type_arguments,
    STATE(8229), 1,
      aux_sym_annotation_repeat1,
    STATE(9131), 1,
      sym_arguments,
    STATE(5769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298837] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9556), 1,
      anon_sym_LBRACK,
    ACTIONS(9560), 1,
      anon_sym_POUND,
    ACTIONS(10085), 1,
      anon_sym_AT,
    STATE(7147), 1,
      sym_type_arguments,
    STATE(7453), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8603), 1,
      sym_annotation,
    STATE(5772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299143] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6410), 1,
      anon_sym__,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(6420), 1,
      sym_operator_identifier,
    ACTIONS(10091), 1,
      anon_sym_LPAREN,
    STATE(5170), 1,
      sym__annotated_type,
    STATE(5246), 1,
      sym__simple_type,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6079), 1,
      sym_identifier,
    STATE(8354), 1,
      sym_annotated_type,
    STATE(9096), 1,
      sym__infix_type_choice,
    STATE(17659), 1,
      sym_stable_identifier,
    STATE(5779), 2,
      sym_comment,
      sym_block_comment,
    STATE(10303), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [299211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299295] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4360), 1,
      anon_sym__,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(7004), 1,
      sym_operator_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    STATE(4453), 1,
      sym__simple_type,
    STATE(4509), 1,
      sym__annotated_type,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4583), 1,
      sym_identifier,
    STATE(5495), 1,
      sym_annotated_type,
    STATE(6639), 1,
      sym__infix_type_choice,
    STATE(16908), 1,
      sym_stable_identifier,
    STATE(5782), 2,
      sym_comment,
      sym_block_comment,
    STATE(7610), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [299363] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym__,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(6342), 1,
      sym_operator_identifier,
    ACTIONS(10095), 1,
      anon_sym_LPAREN,
    STATE(5940), 1,
      sym__simple_type,
    STATE(6351), 1,
      sym__annotated_type,
    STATE(6469), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(9885), 1,
      sym_annotated_type,
    STATE(10312), 1,
      sym__infix_type_choice,
    STATE(16974), 1,
      sym_stable_identifier,
    STATE(5783), 2,
      sym_comment,
      sym_block_comment,
    STATE(10846), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7426), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [299431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299683] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6948), 1,
      anon_sym__,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(6958), 1,
      sym_operator_identifier,
    ACTIONS(10101), 1,
      anon_sym_LPAREN,
    STATE(5130), 1,
      sym__annotated_type,
    STATE(5336), 1,
      sym__simple_type,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(6093), 1,
      sym_identifier,
    STATE(8614), 1,
      sym_annotated_type,
    STATE(8955), 1,
      sym__infix_type_choice,
    STATE(17863), 1,
      sym_stable_identifier,
    STATE(5790), 2,
      sym_comment,
      sym_block_comment,
    STATE(10067), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6430), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [299751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [299877] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_LPAREN,
    ACTIONS(10107), 1,
      anon_sym_POUND,
    STATE(7024), 1,
      aux_sym_annotation_repeat1,
    STATE(8197), 1,
      sym_type_arguments,
    STATE(8647), 1,
      sym_arguments,
    STATE(5794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299931] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LPAREN,
    ACTIONS(10113), 1,
      anon_sym_POUND,
    STATE(7490), 1,
      aux_sym_annotation_repeat1,
    STATE(7784), 1,
      sym_type_arguments,
    STATE(8929), 1,
      sym_arguments,
    STATE(5795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300069] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4652), 1,
      anon_sym__,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(7000), 1,
      sym_operator_identifier,
    ACTIONS(10115), 1,
      anon_sym_LPAREN,
    STATE(4835), 1,
      sym__annotated_type,
    STATE(4903), 1,
      sym__simple_type,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5350), 1,
      sym_identifier,
    STATE(8235), 1,
      sym_annotated_type,
    STATE(8443), 1,
      sym__infix_type_choice,
    STATE(17385), 1,
      sym_stable_identifier,
    STATE(5798), 2,
      sym_comment,
      sym_block_comment,
    STATE(9653), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5837), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [300137] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5743), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(5799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300183] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(10121), 1,
      anon_sym_LPAREN,
    STATE(5672), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6470), 1,
      sym_identifier,
    STATE(9546), 1,
      sym_annotated_type,
    STATE(9792), 1,
      sym__infix_type_choice,
    STATE(17677), 1,
      sym_stable_identifier,
    STATE(5800), 2,
      sym_comment,
      sym_block_comment,
    STATE(10530), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6918), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [300251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300293] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6707), 1,
      sym__end_marker,
    STATE(5802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300421] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10123), 1,
      anon_sym_DOT,
    STATE(5805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300465] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9100), 1,
      anon_sym_AT,
    STATE(5968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6837), 1,
      sym_annotation,
    STATE(5806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300681] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300767] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4264), 1,
      anon_sym__,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(6612), 1,
      sym_operator_identifier,
    ACTIONS(10129), 1,
      anon_sym_LPAREN,
    STATE(6489), 1,
      sym__simple_type,
    STATE(6576), 1,
      sym__annotated_type,
    STATE(6779), 1,
      sym_identifier,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(9725), 1,
      sym_annotated_type,
    STATE(10148), 1,
      sym__infix_type_choice,
    STATE(17592), 1,
      sym_stable_identifier,
    STATE(5813), 2,
      sym_comment,
      sym_block_comment,
    STATE(10740), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8203), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [300835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300919] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300963] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(9097), 1,
      sym__annotated_type,
    STATE(10927), 1,
      sym__infix_type_choice,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(5817), 2,
      sym_comment,
      sym_block_comment,
    STATE(11629), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [301031] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4514), 1,
      anon_sym__,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    ACTIONS(10131), 1,
      anon_sym_LPAREN,
    STATE(4840), 1,
      sym__annotated_type,
    STATE(4971), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(5439), 1,
      sym_identifier,
    STATE(7900), 1,
      sym_annotated_type,
    STATE(8504), 1,
      sym__infix_type_choice,
    STATE(17857), 1,
      sym_stable_identifier,
    STATE(5818), 2,
      sym_comment,
      sym_block_comment,
    STATE(9956), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [301099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301141] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8616), 1,
      sym__interpolated_multiline_string_start,
    STATE(7362), 1,
      sym_interpolated_string,
    STATE(16086), 1,
      sym__interpolated_string_start,
    ACTIONS(10133), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301193] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8943), 1,
      anon_sym_AT,
    STATE(5895), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7421), 1,
      sym_annotation,
    STATE(5821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [301283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301325] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9380), 1,
      anon_sym_POUND,
    ACTIONS(10135), 1,
      anon_sym_LPAREN,
    STATE(6778), 1,
      aux_sym_annotation_repeat1,
    STATE(8160), 1,
      sym_type_arguments,
    STATE(8659), 1,
      sym_arguments,
    STATE(5824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301421] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6370), 1,
      sym_arguments,
    STATE(5826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301465] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1340), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9073), 1,
      anon_sym_LPAREN,
    ACTIONS(9885), 1,
      anon_sym_DOT,
    ACTIONS(10137), 1,
      sym_operator_identifier,
    STATE(1705), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5827), 2,
      sym_comment,
      sym_block_comment,
    STATE(9310), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [301531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301573] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(9817), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_with,
    STATE(5547), 1,
      aux_sym_compound_type_repeat1,
    STATE(10499), 1,
      sym_template_body,
    STATE(10500), 1,
      sym__refinement,
    STATE(5829), 2,
      sym_comment,
      sym_block_comment,
    STATE(10452), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301671] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9957), 1,
      anon_sym_COLON,
    ACTIONS(9959), 1,
      anon_sym_LBRACE,
    ACTIONS(9961), 1,
      anon_sym_with,
    STATE(8417), 1,
      aux_sym_compound_type_repeat1,
    STATE(10557), 1,
      sym_template_body,
    STATE(10568), 1,
      sym__refinement,
    STATE(5831), 2,
      sym_comment,
      sym_block_comment,
    STATE(10632), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301727] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      anon_sym__,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(6510), 1,
      sym_operator_identifier,
    ACTIONS(10143), 1,
      anon_sym_LPAREN,
    STATE(7309), 1,
      sym__simple_type,
    STATE(7322), 1,
      sym__annotated_type,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(7957), 1,
      sym_identifier,
    STATE(10188), 1,
      sym_annotated_type,
    STATE(10463), 1,
      sym__infix_type_choice,
    STATE(17689), 1,
      sym_stable_identifier,
    STATE(5832), 2,
      sym_comment,
      sym_block_comment,
    STATE(11006), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8879), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [301795] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10145), 1,
      anon_sym_DOT,
    STATE(5833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [301881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [301965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302091] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10147), 1,
      anon_sym_AT,
    STATE(7160), 1,
      sym_annotation,
    STATE(5840), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302179] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6854), 1,
      anon_sym__,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    ACTIONS(10150), 1,
      anon_sym_LPAREN,
    STATE(4815), 1,
      sym__annotated_type,
    STATE(5084), 1,
      sym__simple_type,
    STATE(5359), 1,
      sym_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(7872), 1,
      sym_annotated_type,
    STATE(8543), 1,
      sym__infix_type_choice,
    STATE(17845), 1,
      sym_stable_identifier,
    STATE(5842), 2,
      sym_comment,
      sym_block_comment,
    STATE(9913), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5903), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [302247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302289] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4228), 1,
      anon_sym__,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(6828), 1,
      sym_operator_identifier,
    ACTIONS(10152), 1,
      anon_sym_LPAREN,
    STATE(5772), 1,
      sym__simple_type,
    STATE(5983), 1,
      sym__annotated_type,
    STATE(6241), 1,
      sym_identifier,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(9291), 1,
      sym_annotated_type,
    STATE(9900), 1,
      sym__infix_type_choice,
    STATE(16715), 1,
      sym_stable_identifier,
    STATE(5844), 2,
      sym_comment,
      sym_block_comment,
    STATE(10506), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [302357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302399] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302443] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10154), 1,
      anon_sym_AT,
    STATE(7204), 1,
      sym_annotation,
    STATE(5847), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302489] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10157), 1,
      anon_sym_LBRACE,
    ACTIONS(10159), 1,
      anon_sym_with,
    STATE(8341), 1,
      aux_sym_compound_type_repeat1,
    STATE(10330), 1,
      sym__refinement,
    STATE(10338), 1,
      sym_template_body,
    STATE(5848), 2,
      sym_comment,
      sym_block_comment,
    STATE(10293), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302543] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(6970), 1,
      sym_operator_identifier,
    ACTIONS(10161), 1,
      anon_sym_LPAREN,
    STATE(4975), 1,
      sym__annotated_type,
    STATE(5010), 1,
      sym__simple_type,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5364), 1,
      sym_identifier,
    STATE(7751), 1,
      sym_annotated_type,
    STATE(8638), 1,
      sym__infix_type_choice,
    STATE(17102), 1,
      sym_stable_identifier,
    STATE(5849), 2,
      sym_comment,
      sym_block_comment,
    STATE(9727), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [302611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302821] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1638), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9086), 1,
      anon_sym_LPAREN,
    ACTIONS(10163), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5855), 2,
      sym_comment,
      sym_block_comment,
    STATE(9169), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303003] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9734), 1,
      anon_sym_with,
    STATE(8377), 1,
      aux_sym_compound_type_repeat1,
    STATE(9640), 1,
      sym_template_body,
    STATE(9656), 1,
      sym__refinement,
    STATE(5859), 2,
      sym_comment,
      sym_block_comment,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303097] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__interpolated_multiline_string_start,
    STATE(9604), 1,
      sym_interpolated_string,
    STATE(15839), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303149] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10066), 1,
      anon_sym_COLON,
    ACTIONS(10068), 1,
      anon_sym_LBRACE,
    ACTIONS(10070), 1,
      anon_sym_with,
    STATE(5765), 1,
      aux_sym_compound_type_repeat1,
    STATE(10401), 1,
      sym_template_body,
    STATE(10403), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5862), 2,
      sym_comment,
      sym_block_comment,
    STATE(10644), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7916), 4,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303211] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9437), 1,
      anon_sym_LBRACK,
    ACTIONS(9441), 1,
      anon_sym_POUND,
    ACTIONS(10167), 1,
      anon_sym_AT,
    STATE(6985), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7328), 1,
      sym_type_arguments,
    STATE(8317), 1,
      sym_annotation,
    STATE(5863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303349] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1340), 1,
      anon_sym_LBRACE,
    ACTIONS(9073), 1,
      anon_sym_LPAREN,
    ACTIONS(9885), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5866), 2,
      sym_comment,
      sym_block_comment,
    STATE(9310), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303403] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303447] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9263), 1,
      anon_sym_LBRACK,
    ACTIONS(9267), 1,
      anon_sym_POUND,
    ACTIONS(10169), 1,
      anon_sym_AT,
    STATE(6924), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6935), 1,
      sym_type_arguments,
    STATE(8881), 1,
      sym_annotation,
    STATE(5868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303501] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10157), 1,
      anon_sym_LBRACE,
    ACTIONS(10159), 1,
      anon_sym_with,
    ACTIONS(10171), 1,
      anon_sym_COLON,
    STATE(5848), 1,
      aux_sym_compound_type_repeat1,
    STATE(10338), 1,
      sym_template_body,
    STATE(10341), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5869), 2,
      sym_comment,
      sym_block_comment,
    STATE(10293), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303605] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10178), 1,
      anon_sym_LBRACK,
    ACTIONS(10180), 1,
      anon_sym_AT,
    ACTIONS(10182), 1,
      anon_sym_LPAREN,
    ACTIONS(10184), 1,
      anon_sym_POUND,
    STATE(7815), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8528), 1,
      sym_type_arguments,
    STATE(9216), 1,
      sym_annotation,
    STATE(10104), 1,
      sym_arguments,
    STATE(5871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303663] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6518), 1,
      anon_sym__,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(6528), 1,
      sym_operator_identifier,
    ACTIONS(10186), 1,
      anon_sym_LPAREN,
    STATE(5631), 1,
      sym__simple_type,
    STATE(6205), 1,
      sym__annotated_type,
    STATE(6307), 1,
      sym_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(9749), 1,
      sym_annotated_type,
    STATE(9791), 1,
      sym__infix_type_choice,
    STATE(16956), 1,
      sym_stable_identifier,
    STATE(5872), 2,
      sym_comment,
      sym_block_comment,
    STATE(10561), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [303731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303815] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9707), 1,
      anon_sym_with,
    STATE(8491), 1,
      aux_sym_compound_type_repeat1,
    STATE(9946), 1,
      sym_template_body,
    STATE(9977), 1,
      sym__refinement,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303909] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10188), 1,
      anon_sym_LPAREN,
    STATE(7061), 1,
      sym_arguments,
    STATE(5877), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303997] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10191), 1,
      anon_sym_LBRACK,
    ACTIONS(10193), 1,
      anon_sym_LPAREN,
    ACTIONS(10195), 1,
      anon_sym_POUND,
    STATE(7435), 1,
      aux_sym_annotation_repeat1,
    STATE(8017), 1,
      sym_type_arguments,
    STATE(8799), 1,
      sym_arguments,
    STATE(5879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304051] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(10197), 1,
      anon_sym_LPAREN,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(5915), 1,
      sym__annotated_type,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(9007), 1,
      sym__infix_type_choice,
    STATE(16996), 1,
      sym_stable_identifier,
    STATE(5880), 2,
      sym_comment,
      sym_block_comment,
    STATE(10043), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [304119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304161] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(9817), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_with,
    STATE(5547), 1,
      aux_sym_compound_type_repeat1,
    STATE(10499), 1,
      sym_template_body,
    STATE(10500), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5882), 2,
      sym_comment,
      sym_block_comment,
    STATE(10452), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7916), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304223] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9025), 1,
      sym__interpolated_multiline_string_start,
    STATE(8912), 1,
      sym_interpolated_string,
    STATE(15748), 1,
      sym__interpolated_string_start,
    ACTIONS(10199), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304359] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10201), 1,
      anon_sym_AT,
    STATE(6826), 1,
      sym_annotation,
    STATE(5886), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304405] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1638), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      anon_sym_LPAREN,
    ACTIONS(10163), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5887), 2,
      sym_comment,
      sym_block_comment,
    STATE(9169), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304459] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1268), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_DOT,
    ACTIONS(9967), 1,
      sym__alpha_identifier,
    ACTIONS(9973), 1,
      sym__backquoted_id,
    ACTIONS(9975), 1,
      sym_operator_identifier,
    ACTIONS(10204), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_identifier,
    STATE(4161), 1,
      sym__soft_identifier,
    STATE(5888), 2,
      sym_comment,
      sym_block_comment,
    STATE(8492), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9969), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [304525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304567] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    ACTIONS(10206), 1,
      anon_sym_LPAREN,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(7827), 1,
      sym__annotated_type,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(10494), 1,
      sym__infix_type_choice,
    STATE(16766), 1,
      sym_stable_identifier,
    STATE(5890), 2,
      sym_comment,
      sym_block_comment,
    STATE(10964), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [304635] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9746), 1,
      anon_sym_COLON,
    ACTIONS(9748), 1,
      anon_sym_LBRACE,
    ACTIONS(9750), 1,
      anon_sym_with,
    STATE(5497), 1,
      aux_sym_compound_type_repeat1,
    STATE(10614), 1,
      sym__refinement,
    STATE(10617), 1,
      sym_template_body,
    STATE(5891), 2,
      sym_comment,
      sym_block_comment,
    STATE(10616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304691] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    ACTIONS(10206), 1,
      anon_sym_LPAREN,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(8133), 1,
      sym__annotated_type,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(10823), 1,
      sym__infix_type_choice,
    STATE(16766), 1,
      sym_stable_identifier,
    STATE(5892), 2,
      sym_comment,
      sym_block_comment,
    STATE(10964), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [304759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304801] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6650), 1,
      anon_sym__,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(6660), 1,
      sym_operator_identifier,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    STATE(4590), 1,
      sym__simple_type,
    STATE(4618), 1,
      sym__annotated_type,
    STATE(4665), 1,
      sym_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(6498), 1,
      sym_annotated_type,
    STATE(6789), 1,
      sym__infix_type_choice,
    STATE(17347), 1,
      sym_stable_identifier,
    STATE(5894), 2,
      sym_comment,
      sym_block_comment,
    STATE(8629), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4848), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [304869] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10210), 1,
      anon_sym_AT,
    STATE(7421), 1,
      sym_annotation,
    STATE(5895), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304915] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10059), 1,
      anon_sym_LBRACE,
    ACTIONS(10061), 1,
      anon_sym_with,
    STATE(5978), 1,
      aux_sym_compound_type_repeat1,
    STATE(10153), 1,
      sym_template_body,
    STATE(10155), 1,
      sym__refinement,
    STATE(5896), 2,
      sym_comment,
      sym_block_comment,
    STATE(10044), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305011] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6672), 1,
      anon_sym__,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    ACTIONS(10213), 1,
      anon_sym_LPAREN,
    STATE(4557), 1,
      sym__annotated_type,
    STATE(4611), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(6748), 1,
      sym_annotated_type,
    STATE(7296), 1,
      sym__infix_type_choice,
    STATE(17839), 1,
      sym_stable_identifier,
    STATE(5898), 2,
      sym_comment,
      sym_block_comment,
    STATE(8570), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [305079] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    ACTIONS(10215), 1,
      anon_sym_LPAREN,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5044), 1,
      sym__annotated_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(8676), 1,
      sym__infix_type_choice,
    STATE(16930), 1,
      sym_stable_identifier,
    STATE(5899), 2,
      sym_comment,
      sym_block_comment,
    STATE(9828), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [305147] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9195), 1,
      anon_sym_LPAREN,
    STATE(5877), 1,
      aux_sym_annotation_repeat1,
    STATE(7061), 1,
      sym_arguments,
    STATE(5900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305237] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6786), 1,
      anon_sym__,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(6796), 1,
      sym_operator_identifier,
    ACTIONS(10217), 1,
      anon_sym_LPAREN,
    STATE(4476), 1,
      sym__annotated_type,
    STATE(4503), 1,
      sym__simple_type,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4548), 1,
      sym_identifier,
    STATE(5909), 1,
      sym_annotated_type,
    STATE(6391), 1,
      sym__infix_type_choice,
    STATE(17707), 1,
      sym_stable_identifier,
    STATE(5902), 2,
      sym_comment,
      sym_block_comment,
    STATE(8224), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4705), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [305305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305431] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10219), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_LPAREN,
    ACTIONS(10223), 1,
      anon_sym_POUND,
    STATE(7100), 1,
      aux_sym_annotation_repeat1,
    STATE(8252), 1,
      sym_type_arguments,
    STATE(8325), 1,
      sym_arguments,
    STATE(5906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305737] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1060), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8296), 1,
      anon_sym_LPAREN,
    ACTIONS(8707), 1,
      anon_sym_DOT,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    ACTIONS(10225), 1,
      anon_sym_EQ,
    STATE(583), 1,
      sym_identifier,
    STATE(4152), 1,
      sym__soft_identifier,
    STATE(5913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    STATE(7060), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [305803] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8806), 1,
      sym__interpolated_multiline_string_start,
    STATE(7671), 1,
      sym_interpolated_string,
    STATE(15652), 1,
      sym__interpolated_string_start,
    ACTIONS(10227), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305855] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10157), 1,
      anon_sym_LBRACE,
    ACTIONS(10159), 1,
      anon_sym_with,
    STATE(5848), 1,
      aux_sym_compound_type_repeat1,
    STATE(10338), 1,
      sym_template_body,
    STATE(10341), 1,
      sym__refinement,
    STATE(5915), 2,
      sym_comment,
      sym_block_comment,
    STATE(10293), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305993] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10229), 1,
      anon_sym_DOT,
    STATE(5918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306037] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9746), 1,
      anon_sym_COLON,
    ACTIONS(9748), 1,
      anon_sym_LBRACE,
    ACTIONS(9750), 1,
      anon_sym_with,
    STATE(5497), 1,
      aux_sym_compound_type_repeat1,
    STATE(10614), 1,
      sym__refinement,
    STATE(10617), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5919), 2,
      sym_comment,
      sym_block_comment,
    STATE(10616), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306141] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306185] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6274), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(6284), 1,
      sym_operator_identifier,
    ACTIONS(10231), 1,
      anon_sym_LPAREN,
    STATE(6326), 1,
      sym__annotated_type,
    STATE(6674), 1,
      sym__simple_type,
    STATE(6979), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(9866), 1,
      sym_annotated_type,
    STATE(10274), 1,
      sym__infix_type_choice,
    STATE(17827), 1,
      sym_stable_identifier,
    STATE(5922), 2,
      sym_comment,
      sym_block_comment,
    STATE(10818), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8245), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [306253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306295] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6912), 1,
      anon_sym__,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym_operator_identifier,
    ACTIONS(10233), 1,
      anon_sym_LPAREN,
    STATE(4677), 1,
      sym__simple_type,
    STATE(4760), 1,
      sym__annotated_type,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5075), 1,
      sym_identifier,
    STATE(7043), 1,
      sym_annotated_type,
    STATE(8098), 1,
      sym__infix_type_choice,
    STATE(17713), 1,
      sym_stable_identifier,
    STATE(5924), 2,
      sym_comment,
      sym_block_comment,
    STATE(9214), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [306363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306405] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8675), 1,
      anon_sym_AT,
    STATE(5699), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7023), 1,
      sym_annotation,
    STATE(5926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306453] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306497] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9352), 1,
      anon_sym_LBRACK,
    ACTIONS(9356), 1,
      anon_sym_POUND,
    ACTIONS(10235), 1,
      anon_sym_AT,
    STATE(6857), 1,
      sym_type_arguments,
    STATE(6946), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8909), 1,
      sym_annotation,
    STATE(5928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306593] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9928), 1,
      anon_sym_COLON,
    ACTIONS(9930), 1,
      anon_sym_LBRACE,
    ACTIONS(9932), 1,
      anon_sym_with,
    STATE(5640), 1,
      aux_sym_compound_type_repeat1,
    STATE(10477), 1,
      sym__refinement,
    STATE(10478), 1,
      sym_template_body,
    STATE(5930), 2,
      sym_comment,
      sym_block_comment,
    STATE(10596), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306775] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6880), 1,
      anon_sym__,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(6890), 1,
      sym_operator_identifier,
    ACTIONS(10237), 1,
      anon_sym_LPAREN,
    STATE(5544), 1,
      sym__simple_type,
    STATE(6007), 1,
      sym__annotated_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(9114), 1,
      sym_annotated_type,
    STATE(9694), 1,
      sym__infix_type_choice,
    STATE(17815), 1,
      sym_stable_identifier,
    STATE(5934), 2,
      sym_comment,
      sym_block_comment,
    STATE(10362), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [306843] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6450), 1,
      anon_sym__,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(6460), 1,
      sym_operator_identifier,
    ACTIONS(10239), 1,
      anon_sym_LPAREN,
    STATE(6995), 1,
      sym__simple_type,
    STATE(7052), 1,
      sym__annotated_type,
    STATE(7858), 1,
      sym_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(10232), 1,
      sym_annotated_type,
    STATE(10509), 1,
      sym__infix_type_choice,
    STATE(17574), 1,
      sym_stable_identifier,
    STATE(5935), 2,
      sym_comment,
      sym_block_comment,
    STATE(10909), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [306911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307079] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9291), 1,
      anon_sym_LBRACK,
    ACTIONS(9295), 1,
      anon_sym_POUND,
    ACTIONS(10241), 1,
      anon_sym_AT,
    STATE(7410), 1,
      sym_type_arguments,
    STATE(8191), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9561), 1,
      sym_annotation,
    STATE(5940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307133] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10243), 1,
      anon_sym_AT,
    STATE(7345), 1,
      sym_annotation,
    STATE(5941), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307221] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6601), 1,
      sym__end_marker,
    STATE(5943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9258), 1,
      anon_sym_EQ_GT,
    STATE(5944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307309] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(10246), 1,
      anon_sym_LPAREN,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5896), 1,
      sym__annotated_type,
    STATE(5918), 1,
      sym_identifier,
    STATE(9008), 1,
      sym__infix_type_choice,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(17538), 1,
      sym_stable_identifier,
    STATE(5945), 2,
      sym_comment,
      sym_block_comment,
    STATE(10115), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [307377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307419] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym__,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(6966), 1,
      sym_operator_identifier,
    ACTIONS(10248), 1,
      anon_sym_LPAREN,
    STATE(4545), 1,
      sym__annotated_type,
    STATE(4581), 1,
      sym__simple_type,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(4675), 1,
      sym_identifier,
    STATE(6659), 1,
      sym_annotated_type,
    STATE(6858), 1,
      sym__infix_type_choice,
    STATE(17309), 1,
      sym_stable_identifier,
    STATE(5947), 2,
      sym_comment,
      sym_block_comment,
    STATE(8876), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [307487] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1638), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9086), 1,
      anon_sym_LPAREN,
    ACTIONS(10163), 1,
      anon_sym_DOT,
    ACTIONS(10250), 1,
      sym_operator_identifier,
    STATE(1704), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5948), 2,
      sym_comment,
      sym_block_comment,
    STATE(9169), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [307553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307637] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10252), 1,
      anon_sym_COLON,
    ACTIONS(10255), 1,
      anon_sym_LBRACE,
    STATE(7812), 1,
      sym_template_body,
    STATE(5951), 2,
      sym_comment,
      sym_block_comment,
    STATE(7807), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307771] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9928), 1,
      anon_sym_COLON,
    ACTIONS(9930), 1,
      anon_sym_LBRACE,
    ACTIONS(9932), 1,
      anon_sym_with,
    STATE(5640), 1,
      aux_sym_compound_type_repeat1,
    STATE(10477), 1,
      sym__refinement,
    STATE(10478), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5954), 2,
      sym_comment,
      sym_block_comment,
    STATE(10596), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307833] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9512), 1,
      anon_sym_LBRACK,
    ACTIONS(9516), 1,
      anon_sym_POUND,
    ACTIONS(10258), 1,
      anon_sym_AT,
    STATE(6912), 1,
      sym_type_arguments,
    STATE(7114), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8551), 1,
      sym_annotation,
    STATE(5955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307887] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6836), 1,
      anon_sym__,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    ACTIONS(10260), 1,
      anon_sym_LPAREN,
    STATE(4781), 1,
      sym__simple_type,
    STATE(4802), 1,
      sym__annotated_type,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4998), 1,
      sym_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(7937), 1,
      sym__infix_type_choice,
    STATE(17725), 1,
      sym_stable_identifier,
    STATE(5956), 2,
      sym_comment,
      sym_block_comment,
    STATE(9343), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [307955] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6930), 1,
      anon_sym__,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(6940), 1,
      sym_operator_identifier,
    ACTIONS(10262), 1,
      anon_sym_LPAREN,
    STATE(4898), 1,
      sym__annotated_type,
    STATE(5034), 1,
      sym__simple_type,
    STATE(5422), 1,
      sym_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(7657), 1,
      sym_annotated_type,
    STATE(8696), 1,
      sym__infix_type_choice,
    STATE(17803), 1,
      sym_stable_identifier,
    STATE(5957), 2,
      sym_comment,
      sym_block_comment,
    STATE(9610), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5520), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [308023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [308065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308107] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [308193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308277] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    ACTIONS(10266), 1,
      anon_sym_AT,
    ACTIONS(10268), 1,
      anon_sym_LPAREN,
    ACTIONS(10270), 1,
      anon_sym_POUND,
    STATE(8118), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8691), 1,
      sym_type_arguments,
    STATE(9111), 1,
      sym_annotation,
    STATE(10145), 1,
      sym_arguments,
    STATE(5964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308335] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10066), 1,
      anon_sym_COLON,
    ACTIONS(10068), 1,
      anon_sym_LBRACE,
    ACTIONS(10070), 1,
      anon_sym_with,
    STATE(5765), 1,
      aux_sym_compound_type_repeat1,
    STATE(10401), 1,
      sym_template_body,
    STATE(10403), 1,
      sym__refinement,
    STATE(5965), 2,
      sym_comment,
      sym_block_comment,
    STATE(10644), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308391] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(5966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308477] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10276), 1,
      anon_sym_AT,
    STATE(6837), 1,
      sym_annotation,
    STATE(5968), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308523] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6716), 1,
      anon_sym__,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(6726), 1,
      sym_operator_identifier,
    ACTIONS(10279), 1,
      anon_sym_LPAREN,
    STATE(5829), 1,
      sym__annotated_type,
    STATE(6066), 1,
      sym__simple_type,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6673), 1,
      sym_identifier,
    STATE(9192), 1,
      sym_annotated_type,
    STATE(9723), 1,
      sym__infix_type_choice,
    STATE(17737), 1,
      sym_stable_identifier,
    STATE(5969), 2,
      sym_comment,
      sym_block_comment,
    STATE(10580), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [308591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308885] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 1,
      anon_sym_EQ_GT,
    STATE(5977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308929] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10059), 1,
      anon_sym_LBRACE,
    ACTIONS(10061), 1,
      anon_sym_with,
    STATE(8796), 1,
      aux_sym_compound_type_repeat1,
    STATE(10153), 1,
      sym_template_body,
    STATE(10181), 1,
      sym__refinement,
    STATE(5978), 2,
      sym_comment,
      sym_block_comment,
    STATE(10044), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309025] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1584), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9173), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5980), 2,
      sym_comment,
      sym_block_comment,
    STATE(9183), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309165] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10291), 1,
      anon_sym_COLON,
    ACTIONS(10293), 1,
      anon_sym_LBRACE,
    ACTIONS(10295), 1,
      anon_sym_with,
    STATE(5985), 1,
      aux_sym_compound_type_repeat1,
    STATE(10457), 1,
      sym__refinement,
    STATE(10461), 1,
      sym_template_body,
    STATE(5983), 2,
      sym_comment,
      sym_block_comment,
    STATE(10507), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309263] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10291), 1,
      anon_sym_COLON,
    ACTIONS(10293), 1,
      anon_sym_LBRACE,
    ACTIONS(10295), 1,
      anon_sym_with,
    STATE(8611), 1,
      aux_sym_compound_type_repeat1,
    STATE(10418), 1,
      sym__refinement,
    STATE(10461), 1,
      sym_template_body,
    STATE(5985), 2,
      sym_comment,
      sym_block_comment,
    STATE(10507), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309445] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1024), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8475), 1,
      anon_sym_LPAREN,
    ACTIONS(8669), 1,
      anon_sym_DOT,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    ACTIONS(10301), 1,
      anon_sym_EQ,
    STATE(582), 1,
      sym_identifier,
    STATE(4150), 1,
      sym__soft_identifier,
    STATE(5989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    STATE(7045), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [309511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309637] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9153), 1,
      anon_sym_AT,
    STATE(5763), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7135), 1,
      sym_annotation,
    STATE(5993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309811] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10313), 1,
      anon_sym_LPAREN,
    ACTIONS(10315), 1,
      anon_sym_POUND,
    STATE(7668), 1,
      aux_sym_annotation_repeat1,
    STATE(7803), 1,
      sym_type_arguments,
    STATE(9399), 1,
      sym_arguments,
    STATE(5997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309865] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10317), 1,
      anon_sym_LBRACK,
    ACTIONS(10319), 1,
      anon_sym_LPAREN,
    ACTIONS(10321), 1,
      anon_sym_POUND,
    STATE(7725), 1,
      sym_type_arguments,
    STATE(8165), 1,
      aux_sym_annotation_repeat1,
    STATE(9485), 1,
      sym_arguments,
    STATE(5998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309919] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6814), 1,
      anon_sym__,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(6824), 1,
      sym_operator_identifier,
    ACTIONS(10323), 1,
      anon_sym_LPAREN,
    STATE(6567), 1,
      sym__simple_type,
    STATE(6750), 1,
      sym__annotated_type,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(7010), 1,
      sym_identifier,
    STATE(9677), 1,
      sym_annotated_type,
    STATE(10269), 1,
      sym__infix_type_choice,
    STATE(17228), 1,
      sym_stable_identifier,
    STATE(5999), 2,
      sym_comment,
      sym_block_comment,
    STATE(10836), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7980), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [309987] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310073] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1880), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8917), 1,
      anon_sym_LPAREN,
    ACTIONS(10325), 1,
      anon_sym_DOT,
    ACTIONS(10327), 1,
      sym_operator_identifier,
    STATE(1794), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8080), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [310139] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10329), 1,
      anon_sym_with,
    STATE(6003), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310183] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1584), 1,
      anon_sym_LBRACE,
    ACTIONS(9173), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6004), 2,
      sym_comment,
      sym_block_comment,
    STATE(9183), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310237] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8953), 1,
      anon_sym_LPAREN,
    STATE(6035), 1,
      aux_sym_annotation_repeat1,
    STATE(7159), 1,
      sym_arguments,
    STATE(6005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310327] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10332), 1,
      anon_sym_COLON,
    ACTIONS(10334), 1,
      anon_sym_LBRACE,
    ACTIONS(10336), 1,
      anon_sym_with,
    STATE(6062), 1,
      aux_sym_compound_type_repeat1,
    STATE(10511), 1,
      sym_template_body,
    STATE(10512), 1,
      sym__refinement,
    STATE(6007), 2,
      sym_comment,
      sym_block_comment,
    STATE(10445), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310425] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10338), 1,
      anon_sym_with,
    STATE(6009), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310553] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10341), 1,
      anon_sym_DOT,
    STATE(6012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310597] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4382), 1,
      anon_sym__,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(6668), 1,
      sym_operator_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    STATE(4650), 1,
      sym__simple_type,
    STATE(4692), 1,
      sym__annotated_type,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5030), 1,
      sym_identifier,
    STATE(6972), 1,
      sym_annotated_type,
    STATE(7637), 1,
      sym__infix_type_choice,
    STATE(17749), 1,
      sym_stable_identifier,
    STATE(6013), 2,
      sym_comment,
      sym_block_comment,
    STATE(9143), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5207), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [310665] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10332), 1,
      anon_sym_COLON,
    ACTIONS(10334), 1,
      anon_sym_LBRACE,
    ACTIONS(10336), 1,
      anon_sym_with,
    STATE(6062), 1,
      aux_sym_compound_type_repeat1,
    STATE(10511), 1,
      sym_template_body,
    STATE(10512), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6014), 2,
      sym_comment,
      sym_block_comment,
    STATE(10445), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310727] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8546), 1,
      sym__interpolated_multiline_string_start,
    STATE(7450), 1,
      sym_interpolated_string,
    STATE(16127), 1,
      sym__interpolated_string_start,
    ACTIONS(10345), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310821] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9923), 1,
      sym__interpolated_multiline_string_start,
    STATE(9781), 1,
      sym_interpolated_string,
    STATE(16337), 1,
      sym__interpolated_string_start,
    ACTIONS(10347), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310873] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311001] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4548), 1,
      anon_sym__,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(6704), 1,
      sym_operator_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    STATE(4659), 1,
      sym__simple_type,
    STATE(4718), 1,
      sym__annotated_type,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(4913), 1,
      sym_identifier,
    STATE(6877), 1,
      sym_annotated_type,
    STATE(7796), 1,
      sym__infix_type_choice,
    STATE(17791), 1,
      sym_stable_identifier,
    STATE(6021), 2,
      sym_comment,
      sym_block_comment,
    STATE(9464), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [311069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311237] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9635), 1,
      anon_sym_with,
    STATE(8368), 1,
      aux_sym_compound_type_repeat1,
    STATE(9443), 1,
      sym__refinement,
    STATE(9503), 1,
      sym_template_body,
    STATE(6026), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311289] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8761), 1,
      anon_sym_AT,
    STATE(5941), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7345), 1,
      sym_annotation,
    STATE(6027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311547] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6482), 1,
      anon_sym__,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(6492), 1,
      sym_operator_identifier,
    ACTIONS(10351), 1,
      anon_sym_LPAREN,
    STATE(5891), 1,
      sym__annotated_type,
    STATE(5928), 1,
      sym__simple_type,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6706), 1,
      sym_identifier,
    STATE(9085), 1,
      sym_annotated_type,
    STATE(9983), 1,
      sym__infix_type_choice,
    STATE(17755), 1,
      sym_stable_identifier,
    STATE(6033), 2,
      sym_comment,
      sym_block_comment,
    STATE(10612), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6851), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [311615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311657] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10353), 1,
      anon_sym_LPAREN,
    STATE(7159), 1,
      sym_arguments,
    STATE(6035), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311745] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10356), 1,
      anon_sym_LBRACK,
    ACTIONS(10358), 1,
      anon_sym_LPAREN,
    ACTIONS(10360), 1,
      anon_sym_POUND,
    STATE(7140), 1,
      aux_sym_annotation_repeat1,
    STATE(8013), 1,
      sym_type_arguments,
    STATE(8407), 1,
      sym_arguments,
    STATE(6037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311925] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10362), 1,
      anon_sym_DOT,
    STATE(6041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311969] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9140), 1,
      anon_sym_LPAREN,
    STATE(6048), 1,
      aux_sym_annotation_repeat1,
    STATE(7216), 1,
      sym_arguments,
    STATE(6042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312059] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(9870), 1,
      anon_sym_LPAREN,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7169), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(10544), 1,
      sym__infix_type_choice,
    STATE(16952), 1,
      sym_stable_identifier,
    STATE(6044), 2,
      sym_comment,
      sym_block_comment,
    STATE(10743), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [312127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312169] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6366), 1,
      anon_sym__,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(6376), 1,
      sym_operator_identifier,
    ACTIONS(10364), 1,
      anon_sym_LPAREN,
    STATE(6713), 1,
      sym__simple_type,
    STATE(6840), 1,
      sym__annotated_type,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7299), 1,
      sym_identifier,
    STATE(10224), 1,
      sym_annotated_type,
    STATE(10642), 1,
      sym__infix_type_choice,
    STATE(16791), 1,
      sym_stable_identifier,
    STATE(6046), 2,
      sym_comment,
      sym_block_comment,
    STATE(11151), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [312237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312279] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10366), 1,
      anon_sym_LPAREN,
    STATE(7216), 1,
      sym_arguments,
    STATE(6048), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312325] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1880), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8917), 1,
      anon_sym_LPAREN,
    ACTIONS(10325), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6049), 2,
      sym_comment,
      sym_block_comment,
    STATE(9201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8242), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312423] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8693), 1,
      anon_sym_AT,
    STATE(5847), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7204), 1,
      sym_annotation,
    STATE(6051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312471] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10369), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_LPAREN,
    ACTIONS(10373), 1,
      anon_sym_POUND,
    STATE(8061), 1,
      sym_type_arguments,
    STATE(8129), 1,
      aux_sym_annotation_repeat1,
    STATE(9570), 1,
      sym_arguments,
    STATE(6052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312567] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4584), 1,
      anon_sym__,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(6540), 1,
      sym_operator_identifier,
    ACTIONS(10375), 1,
      anon_sym_LPAREN,
    STATE(6679), 1,
      sym__annotated_type,
    STATE(6696), 1,
      sym__simple_type,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(7070), 1,
      sym_identifier,
    STATE(9742), 1,
      sym_annotated_type,
    STATE(10158), 1,
      sym__infix_type_choice,
    STATE(17186), 1,
      sym_stable_identifier,
    STATE(6054), 2,
      sym_comment,
      sym_block_comment,
    STATE(10759), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7524), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [312635] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(10377), 1,
      anon_sym_LPAREN,
    STATE(8721), 1,
      sym__simple_type,
    STATE(9355), 1,
      sym_identifier,
    STATE(9432), 1,
      sym__soft_identifier,
    STATE(9442), 1,
      sym__annotated_type,
    STATE(11149), 1,
      sym_annotated_type,
    STATE(11368), 1,
      sym__infix_type_choice,
    STATE(17785), 1,
      sym_stable_identifier,
    STATE(6055), 2,
      sym_comment,
      sym_block_comment,
    STATE(12004), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9581), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [312703] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312747] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10165), 1,
      sym__interpolated_multiline_string_start,
    STATE(9604), 1,
      sym_interpolated_string,
    STATE(15839), 1,
      sym__interpolated_string_start,
    ACTIONS(10379), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312799] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4734), 1,
      anon_sym__,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    ACTIONS(10381), 1,
      anon_sym_LPAREN,
    STATE(5129), 1,
      sym__annotated_type,
    STATE(5152), 1,
      sym__simple_type,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(5745), 1,
      sym_identifier,
    STATE(8834), 1,
      sym_annotated_type,
    STATE(9043), 1,
      sym__infix_type_choice,
    STATE(17767), 1,
      sym_stable_identifier,
    STATE(6058), 2,
      sym_comment,
      sym_block_comment,
    STATE(10204), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [312867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312909] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10383), 1,
      anon_sym_DOT,
    STATE(6060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312995] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10332), 1,
      anon_sym_COLON,
    ACTIONS(10334), 1,
      anon_sym_LBRACE,
    ACTIONS(10336), 1,
      anon_sym_with,
    STATE(8755), 1,
      aux_sym_compound_type_repeat1,
    STATE(10511), 1,
      sym_template_body,
    STATE(10542), 1,
      sym__refinement,
    STATE(6062), 2,
      sym_comment,
      sym_block_comment,
    STATE(10445), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313093] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10385), 1,
      anon_sym_DOT,
    STATE(6064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313179] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9315), 1,
      anon_sym_LBRACK,
    ACTIONS(9319), 1,
      anon_sym_POUND,
    ACTIONS(10387), 1,
      anon_sym_AT,
    STATE(6806), 1,
      sym_type_arguments,
    STATE(6983), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8831), 1,
      sym_annotation,
    STATE(6066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313401] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1584), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9173), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_DOT,
    ACTIONS(10389), 1,
      sym_operator_identifier,
    STATE(1768), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6071), 2,
      sym_comment,
      sym_block_comment,
    STATE(9183), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [313467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313509] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10291), 1,
      anon_sym_COLON,
    ACTIONS(10293), 1,
      anon_sym_LBRACE,
    ACTIONS(10295), 1,
      anon_sym_with,
    STATE(5985), 1,
      aux_sym_compound_type_repeat1,
    STATE(10457), 1,
      sym__refinement,
    STATE(10461), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6073), 2,
      sym_comment,
      sym_block_comment,
    STATE(10507), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313571] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313615] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1880), 1,
      anon_sym_LBRACE,
    ACTIONS(8917), 1,
      anon_sym_LPAREN,
    ACTIONS(10325), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6075), 2,
      sym_comment,
      sym_block_comment,
    STATE(9201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8034), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313669] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4804), 1,
      anon_sym__,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(6236), 1,
      sym_operator_identifier,
    ACTIONS(10391), 1,
      anon_sym_LPAREN,
    STATE(5550), 1,
      sym__annotated_type,
    STATE(5573), 1,
      sym__simple_type,
    STATE(6424), 1,
      sym_identifier,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(9019), 1,
      sym_annotated_type,
    STATE(9898), 1,
      sym__infix_type_choice,
    STATE(17144), 1,
      sym_stable_identifier,
    STATE(6076), 2,
      sym_comment,
      sym_block_comment,
    STATE(10527), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6785), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [313737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313779] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    STATE(5194), 1,
      sym__annotated_type,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(11907), 1,
      sym__infix_type_choice,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(6078), 2,
      sym_comment,
      sym_block_comment,
    STATE(10308), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [313847] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10393), 1,
      anon_sym_DOT,
    STATE(6079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314101] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9350), 1,
      sym__interpolated_multiline_string_start,
    STATE(9436), 1,
      sym_interpolated_string,
    STATE(16325), 1,
      sym__interpolated_string_start,
    ACTIONS(10395), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314153] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4834), 1,
      anon_sym__,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    ACTIONS(10397), 1,
      anon_sym_LPAREN,
    STATE(4520), 1,
      sym__simple_type,
    STATE(4524), 1,
      sym__annotated_type,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4620), 1,
      sym_identifier,
    STATE(5589), 1,
      sym_annotated_type,
    STATE(6148), 1,
      sym__infix_type_choice,
    STATE(17779), 1,
      sym_stable_identifier,
    STATE(6086), 2,
      sym_comment,
      sym_block_comment,
    STATE(7699), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [314221] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9501), 1,
      anon_sym_DOT,
    ACTIONS(10399), 1,
      anon_sym_EQ_GT,
    STATE(6087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314309] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4900), 1,
      anon_sym__,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(6314), 1,
      sym_operator_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    STATE(5868), 1,
      sym__simple_type,
    STATE(5930), 1,
      sym__annotated_type,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(6488), 1,
      sym_identifier,
    STATE(9006), 1,
      sym_annotated_type,
    STATE(9864), 1,
      sym__infix_type_choice,
    STATE(17773), 1,
      sym_stable_identifier,
    STATE(6089), 2,
      sym_comment,
      sym_block_comment,
    STATE(10369), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6926), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [314377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314503] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10403), 1,
      anon_sym_DOT,
    STATE(6093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314547] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4882), 1,
      anon_sym__,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(6266), 1,
      sym_operator_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    STATE(5450), 1,
      sym__annotated_type,
    STATE(5467), 1,
      sym__simple_type,
    STATE(5682), 1,
      sym_identifier,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(8725), 1,
      sym_annotated_type,
    STATE(9254), 1,
      sym__infix_type_choice,
    STATE(17562), 1,
      sym_stable_identifier,
    STATE(6094), 2,
      sym_comment,
      sym_block_comment,
    STATE(10014), 2,
      sym_compound_type,
      sym_infix_type,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [314615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314698] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10407), 1,
      anon_sym_AT,
    STATE(8170), 1,
      sym_annotation,
    STATE(6097), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10410), 1,
      sym__backquoted_id,
    STATE(6099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(850), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314825] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9171), 1,
      anon_sym_AT,
    STATE(6142), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7661), 1,
      sym_annotation,
    STATE(6100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314872] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9647), 1,
      anon_sym_LPAREN,
    ACTIONS(10412), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6101), 2,
      sym_comment,
      sym_block_comment,
    STATE(9991), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314968] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8726), 1,
      sym__interpolated_multiline_string_start,
    STATE(7770), 1,
      sym_interpolated_string,
    STATE(16247), 1,
      sym__interpolated_string_start,
    ACTIONS(10414), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315060] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10416), 1,
      anon_sym_AT,
    STATE(7508), 1,
      sym_annotation,
    STATE(6105), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315105] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8724), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315148] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1132), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8671), 1,
      anon_sym_DOT,
    ACTIONS(9660), 1,
      sym__alpha_identifier,
    ACTIONS(9666), 1,
      sym__backquoted_id,
    ACTIONS(9668), 1,
      sym_operator_identifier,
    ACTIONS(10419), 1,
      anon_sym_EQ,
    STATE(585), 1,
      sym_identifier,
    STATE(4151), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6107), 2,
      sym_comment,
      sym_block_comment,
    STATE(7131), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [315213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315254] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    ACTIONS(9647), 1,
      anon_sym_LPAREN,
    ACTIONS(10412), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6109), 2,
      sym_comment,
      sym_block_comment,
    STATE(9991), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315307] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7144), 1,
      sym_arguments,
    STATE(6110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315350] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    ACTIONS(10270), 1,
      anon_sym_POUND,
    ACTIONS(10421), 1,
      anon_sym_LPAREN,
    STATE(7561), 1,
      aux_sym_annotation_repeat1,
    STATE(8691), 1,
      sym_type_arguments,
    STATE(9010), 1,
      sym_arguments,
    STATE(6111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315403] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10423), 1,
      anon_sym_AT,
    STATE(7535), 1,
      sym_annotation,
    STATE(6112), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315448] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9825), 1,
      sym__interpolated_multiline_string_start,
    STATE(9707), 1,
      sym_interpolated_string,
    STATE(15450), 1,
      sym__interpolated_string_start,
    ACTIONS(10426), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315581] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10428), 1,
      anon_sym_with,
    STATE(7384), 1,
      aux_sym_compound_type_repeat1,
    STATE(9824), 1,
      sym_arguments,
    STATE(9825), 1,
      sym__refinement,
    STATE(9830), 1,
      sym_template_body,
    STATE(6116), 2,
      sym_comment,
      sym_block_comment,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__backquoted_id,
    STATE(6118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4174), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10430), 1,
      sym__backquoted_id,
    STATE(6121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7532), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10432), 1,
      sym__backquoted_id,
    STATE(6122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7496), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10434), 1,
      sym__backquoted_id,
    STATE(6123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7518), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315921] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10436), 1,
      anon_sym_LPAREN,
    STATE(7639), 1,
      sym_arguments,
    STATE(6124), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10441), 1,
      sym__backquoted_id,
    STATE(6125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10439), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316007] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8806), 1,
      sym__interpolated_multiline_string_start,
    STATE(7671), 1,
      sym_interpolated_string,
    STATE(15652), 1,
      sym__interpolated_string_start,
    ACTIONS(10443), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316099] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(9095), 1,
      anon_sym_DOT,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(9366), 1,
      sym_operator_identifier,
    ACTIONS(10445), 1,
      anon_sym_EQ,
    STATE(596), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    STATE(6128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [316164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10447), 1,
      anon_sym_AT,
    STATE(7505), 1,
      sym_annotation,
    STATE(6131), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 23,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [316289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316371] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8806), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10450), 1,
      anon_sym_COLON,
    ACTIONS(10453), 1,
      anon_sym_EQ_GT,
    ACTIONS(10455), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(7671), 1,
      sym_interpolated_string,
    STATE(15652), 1,
      sym__interpolated_string_start,
    STATE(17663), 1,
      sym__self_type_ascription,
    STATE(6134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316428] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9439), 1,
      anon_sym_LPAREN,
    STATE(6124), 1,
      aux_sym_annotation_repeat1,
    STATE(7639), 1,
      sym_arguments,
    STATE(6135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316516] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    ACTIONS(10481), 1,
      sym__interpolated_multiline_string_start,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11325), 1,
      sym_interpolated_string,
    STATE(15547), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16308), 1,
      sym__interpolated_string_start,
    ACTIONS(10471), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(6137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [316593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316716] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(9095), 1,
      anon_sym_DOT,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(9366), 1,
      sym_operator_identifier,
    ACTIONS(10483), 1,
      anon_sym_EQ,
    STATE(596), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(6141), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [316781] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10485), 1,
      anon_sym_AT,
    STATE(7661), 1,
      sym_annotation,
    STATE(6142), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316826] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9647), 1,
      anon_sym_LPAREN,
    ACTIONS(10412), 1,
      anon_sym_DOT,
    ACTIONS(10488), 1,
      sym_operator_identifier,
    STATE(1829), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8080), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    STATE(9991), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [316891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316973] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1638), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9086), 1,
      anon_sym_LPAREN,
    ACTIONS(10163), 1,
      anon_sym_DOT,
    ACTIONS(10490), 1,
      sym__alpha_identifier,
    ACTIONS(10494), 1,
      anon_sym_EQ,
    ACTIONS(10496), 1,
      sym__backquoted_id,
    ACTIONS(10498), 1,
      sym_operator_identifier,
    STATE(605), 1,
      sym_identifier,
    STATE(4176), 1,
      sym__soft_identifier,
    STATE(6146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    STATE(9169), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10492), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [317038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317079] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6086), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(6148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10502), 1,
      sym__backquoted_id,
    STATE(6149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317206] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10504), 1,
      anon_sym_COLON,
    ACTIONS(10506), 1,
      anon_sym_LBRACE,
    ACTIONS(10508), 1,
      anon_sym_with,
    STATE(6184), 1,
      aux_sym_compound_type_repeat1,
    STATE(10821), 1,
      sym__refinement,
    STATE(10822), 1,
      sym_template_body,
    STATE(6151), 2,
      sym_comment,
      sym_block_comment,
    STATE(10784), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317261] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10510), 1,
      anon_sym_DOT,
    STATE(6152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10512), 1,
      anon_sym_DOT,
    STATE(6158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317593] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10504), 1,
      anon_sym_COLON,
    ACTIONS(10506), 1,
      anon_sym_LBRACE,
    ACTIONS(10508), 1,
      anon_sym_with,
    STATE(6184), 1,
      aux_sym_compound_type_repeat1,
    STATE(10821), 1,
      sym__refinement,
    STATE(10822), 1,
      sym_template_body,
    ACTIONS(7916), 2,
      anon_sym_case,
      anon_sym_if,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6160), 2,
      sym_comment,
      sym_block_comment,
    STATE(10784), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317736] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1584), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9173), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_DOT,
    ACTIONS(10514), 1,
      sym__alpha_identifier,
    ACTIONS(10518), 1,
      anon_sym_EQ,
    ACTIONS(10520), 1,
      sym__backquoted_id,
    ACTIONS(10522), 1,
      sym_operator_identifier,
    STATE(603), 1,
      sym_identifier,
    STATE(4186), 1,
      sym__soft_identifier,
    STATE(6163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    STATE(9183), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10516), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [317801] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8726), 1,
      sym__interpolated_multiline_string_start,
    STATE(7770), 1,
      sym_interpolated_string,
    STATE(16247), 1,
      sym__interpolated_string_start,
    ACTIONS(10524), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318139] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1638), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9086), 1,
      anon_sym_LPAREN,
    ACTIONS(10163), 1,
      anon_sym_DOT,
    ACTIONS(10490), 1,
      sym__alpha_identifier,
    ACTIONS(10496), 1,
      sym__backquoted_id,
    ACTIONS(10498), 1,
      sym_operator_identifier,
    ACTIONS(10526), 1,
      anon_sym_EQ,
    STATE(605), 1,
      sym_identifier,
    STATE(4176), 1,
      sym__soft_identifier,
    STATE(6172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    STATE(9169), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10492), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [318204] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1584), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9173), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_DOT,
    ACTIONS(10514), 1,
      sym__alpha_identifier,
    ACTIONS(10520), 1,
      sym__backquoted_id,
    ACTIONS(10522), 1,
      sym_operator_identifier,
    ACTIONS(10528), 1,
      anon_sym_EQ,
    STATE(603), 1,
      sym_identifier,
    STATE(4186), 1,
      sym__soft_identifier,
    STATE(6173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    STATE(9183), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10516), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [318269] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8893), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318353] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1132), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8671), 1,
      anon_sym_DOT,
    ACTIONS(9660), 1,
      sym__alpha_identifier,
    ACTIONS(9666), 1,
      sym__backquoted_id,
    ACTIONS(9668), 1,
      sym_operator_identifier,
    ACTIONS(10530), 1,
      anon_sym_EQ,
    STATE(585), 1,
      sym_identifier,
    STATE(4151), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6176), 2,
      sym_comment,
      sym_block_comment,
    STATE(7131), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [318418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318582] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10532), 1,
      anon_sym_LBRACK,
    ACTIONS(10534), 1,
      anon_sym_AT,
    ACTIONS(10536), 1,
      anon_sym_LPAREN,
    ACTIONS(10538), 1,
      anon_sym_POUND,
    STATE(8797), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9240), 1,
      sym_type_arguments,
    STATE(9580), 1,
      sym_annotation,
    STATE(9824), 1,
      sym_arguments,
    STATE(6181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318723] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10504), 1,
      anon_sym_COLON,
    ACTIONS(10506), 1,
      anon_sym_LBRACE,
    ACTIONS(10508), 1,
      anon_sym_with,
    STATE(8950), 1,
      aux_sym_compound_type_repeat1,
    STATE(10797), 1,
      sym__refinement,
    STATE(10822), 1,
      sym_template_body,
    STATE(6184), 2,
      sym_comment,
      sym_block_comment,
    STATE(10784), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318942] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9825), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10450), 1,
      anon_sym_COLON,
    ACTIONS(10540), 1,
      anon_sym_EQ_GT,
    ACTIONS(10542), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(9707), 1,
      sym_interpolated_string,
    STATE(15450), 1,
      sym__interpolated_string_start,
    STATE(17639), 1,
      sym__self_type_ascription,
    STATE(6189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318999] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10544), 1,
      anon_sym_COLON,
    ACTIONS(10547), 1,
      anon_sym_LBRACE,
    ACTIONS(10549), 1,
      anon_sym_with,
    STATE(6314), 1,
      aux_sym_compound_type_repeat1,
    STATE(10429), 1,
      sym_template_body,
    STATE(10431), 1,
      sym__refinement,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6190), 2,
      sym_comment,
      sym_block_comment,
    STATE(10502), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 4,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319060] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10551), 1,
      anon_sym_LPAREN,
    STATE(7822), 1,
      sym_arguments,
    STATE(6191), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319187] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9825), 1,
      sym__interpolated_multiline_string_start,
    STATE(9707), 1,
      sym_interpolated_string,
    STATE(15450), 1,
      sym__interpolated_string_start,
    ACTIONS(10554), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319279] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10556), 1,
      anon_sym_COLON,
    ACTIONS(10558), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_with,
    STATE(6216), 1,
      aux_sym_compound_type_repeat1,
    STATE(10692), 1,
      sym_template_body,
    STATE(10698), 1,
      sym__refinement,
    STATE(6196), 2,
      sym_comment,
      sym_block_comment,
    STATE(10702), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319457] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10046), 1,
      anon_sym_DOT,
    ACTIONS(10562), 1,
      anon_sym_EQ_GT,
    STATE(6200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319502] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    STATE(6191), 1,
      aux_sym_annotation_repeat1,
    STATE(7822), 1,
      sym_arguments,
    STATE(6201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319549] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9714), 1,
      anon_sym_AT,
    STATE(6244), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7949), 1,
      sym_annotation,
    STATE(6202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319678] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10547), 1,
      anon_sym_LBRACE,
    ACTIONS(10549), 1,
      anon_sym_with,
    STATE(6314), 1,
      aux_sym_compound_type_repeat1,
    STATE(10429), 1,
      sym_template_body,
    STATE(10431), 1,
      sym__refinement,
    STATE(6205), 2,
      sym_comment,
      sym_block_comment,
    STATE(10502), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [319731] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9825), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10450), 1,
      anon_sym_COLON,
    ACTIONS(10542), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10564), 1,
      anon_sym_EQ_GT,
    STATE(9707), 1,
      sym_interpolated_string,
    STATE(15450), 1,
      sym__interpolated_string_start,
    STATE(18332), 1,
      sym__self_type_ascription,
    STATE(6206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319788] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9281), 1,
      anon_sym_AT,
    STATE(6112), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7535), 1,
      sym_annotation,
    STATE(6207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319917] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7368), 1,
      sym_arguments,
    STATE(6213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320085] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320171] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10556), 1,
      anon_sym_COLON,
    ACTIONS(10558), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_with,
    STATE(9141), 1,
      aux_sym_compound_type_repeat1,
    STATE(10692), 1,
      sym_template_body,
    STATE(10730), 1,
      sym__refinement,
    STATE(6216), 2,
      sym_comment,
      sym_block_comment,
    STATE(10702), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320349] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(848), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    ACTIONS(10566), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6220), 2,
      sym_comment,
      sym_block_comment,
    STATE(9757), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8034), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320402] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(848), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    ACTIONS(10566), 1,
      anon_sym_DOT,
    ACTIONS(10568), 1,
      sym_operator_identifier,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9757), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8080), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [320467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320508] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    ACTIONS(10266), 1,
      anon_sym_AT,
    ACTIONS(10270), 1,
      anon_sym_POUND,
    STATE(8118), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8691), 1,
      sym_type_arguments,
    STATE(9111), 1,
      sym_annotation,
    STATE(6223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320602] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(848), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    ACTIONS(10566), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6225), 2,
      sym_comment,
      sym_block_comment,
    STATE(9757), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8242), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10570), 1,
      anon_sym_with,
    STATE(6227), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320905] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1428), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(10573), 1,
      sym__alpha_identifier,
    ACTIONS(10575), 1,
      anon_sym_DOT,
    ACTIONS(10579), 1,
      anon_sym_EQ,
    ACTIONS(10581), 1,
      sym__backquoted_id,
    ACTIONS(10583), 1,
      sym_operator_identifier,
    STATE(597), 1,
      sym_identifier,
    STATE(4179), 1,
      sym__soft_identifier,
    STATE(6232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    STATE(9668), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10577), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [320970] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1428), 1,
      anon_sym_LBRACE,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(10575), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6233), 2,
      sym_comment,
      sym_block_comment,
    STATE(9668), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321023] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7738), 1,
      sym__backquoted_id,
    ACTIONS(10585), 1,
      anon_sym_LBRACK,
    ACTIONS(10587), 1,
      anon_sym_LPAREN,
    ACTIONS(10589), 1,
      anon_sym_POUND,
    STATE(8322), 1,
      sym_type_arguments,
    STATE(8729), 1,
      aux_sym_annotation_repeat1,
    STATE(9654), 1,
      sym_arguments,
    STATE(6234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7736), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321076] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1428), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(10575), 1,
      anon_sym_DOT,
    ACTIONS(10591), 1,
      sym_operator_identifier,
    STATE(1782), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8080), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    STATE(9668), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [321141] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10593), 1,
      anon_sym_LPAREN,
    STATE(7984), 1,
      sym_arguments,
    STATE(6236), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321227] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9647), 1,
      anon_sym_LPAREN,
    ACTIONS(10412), 1,
      anon_sym_DOT,
    ACTIONS(10596), 1,
      sym__alpha_identifier,
    ACTIONS(10600), 1,
      anon_sym_EQ,
    ACTIONS(10602), 1,
      sym__backquoted_id,
    ACTIONS(10604), 1,
      sym_operator_identifier,
    STATE(599), 1,
      sym_identifier,
    STATE(4184), 1,
      sym__soft_identifier,
    STATE(6238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    STATE(9991), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [321292] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_AT,
    STATE(6365), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8027), 1,
      sym_annotation,
    STATE(6239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321339] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1428), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(10575), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6240), 2,
      sym_comment,
      sym_block_comment,
    STATE(9668), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10606), 1,
      anon_sym_DOT,
    STATE(6241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321519] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10608), 1,
      anon_sym_AT,
    STATE(7949), 1,
      sym_annotation,
    STATE(6244), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321687] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10611), 1,
      anon_sym_with,
    STATE(6248), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322099] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10317), 1,
      anon_sym_LBRACK,
    ACTIONS(10321), 1,
      anon_sym_POUND,
    ACTIONS(10614), 1,
      anon_sym_AT,
    STATE(7725), 1,
      sym_type_arguments,
    STATE(8506), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9985), 1,
      sym_annotation,
    STATE(6258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322193] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9287), 1,
      anon_sym_LPAREN,
    STATE(6236), 1,
      aux_sym_annotation_repeat1,
    STATE(7984), 1,
      sym_arguments,
    STATE(6260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322404] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8915), 1,
      anon_sym_AT,
    STATE(6105), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7508), 1,
      sym_annotation,
    STATE(6269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322740] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10075), 1,
      anon_sym_LBRACK,
    ACTIONS(10079), 1,
      anon_sym_POUND,
    ACTIONS(10616), 1,
      anon_sym_AT,
    STATE(7516), 1,
      sym_type_arguments,
    STATE(8382), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9876), 1,
      sym_annotation,
    STATE(6273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322834] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10618), 1,
      anon_sym_COLON,
    ACTIONS(10620), 1,
      anon_sym_LBRACE,
    ACTIONS(10622), 1,
      anon_sym_with,
    STATE(6551), 1,
      aux_sym_compound_type_repeat1,
    STATE(10682), 1,
      sym__refinement,
    STATE(10758), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6275), 2,
      sym_comment,
      sym_block_comment,
    STATE(10663), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7916), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323264] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10624), 1,
      anon_sym_DOT,
    STATE(6285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323676] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1694), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8763), 1,
      anon_sym_LPAREN,
    ACTIONS(9279), 1,
      anon_sym_DOT,
    ACTIONS(10626), 1,
      sym__alpha_identifier,
    ACTIONS(10630), 1,
      anon_sym_EQ,
    ACTIONS(10632), 1,
      sym__backquoted_id,
    ACTIONS(10634), 1,
      sym_operator_identifier,
    STATE(607), 1,
      sym_identifier,
    STATE(4174), 1,
      sym__soft_identifier,
    STATE(6295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [323741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324069] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10636), 1,
      anon_sym_DOT,
    STATE(6304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10638), 1,
      anon_sym_DOT,
    STATE(6307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [324237] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10640), 1,
      anon_sym_COLON,
    ACTIONS(10643), 1,
      anon_sym_LBRACE,
    STATE(8594), 1,
      sym_template_body,
    STATE(6308), 2,
      sym_comment,
      sym_block_comment,
    STATE(8339), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8711), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324327] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10646), 1,
      anon_sym_LBRACE,
    ACTIONS(10648), 1,
      anon_sym_with,
    STATE(9532), 1,
      aux_sym_compound_type_repeat1,
    STATE(10484), 1,
      sym__refinement,
    STATE(10625), 1,
      sym_template_body,
    STATE(6310), 2,
      sym_comment,
      sym_block_comment,
    STATE(10371), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324421] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10556), 1,
      anon_sym_COLON,
    ACTIONS(10558), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_with,
    STATE(6216), 1,
      aux_sym_compound_type_repeat1,
    STATE(10692), 1,
      sym_template_body,
    STATE(10698), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6312), 2,
      sym_comment,
      sym_block_comment,
    STATE(10702), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7916), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324523] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10547), 1,
      anon_sym_LBRACE,
    ACTIONS(10549), 1,
      anon_sym_with,
    STATE(9230), 1,
      aux_sym_compound_type_repeat1,
    STATE(10429), 1,
      sym_template_body,
    STATE(10453), 1,
      sym__refinement,
    STATE(6314), 2,
      sym_comment,
      sym_block_comment,
    STATE(10502), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [324576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324699] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9997), 1,
      anon_sym_EQ_GT,
    STATE(6318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324947] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(10652), 1,
      anon_sym_LPAREN,
    ACTIONS(10654), 1,
      anon_sym_POUND,
    STATE(8623), 1,
      aux_sym_annotation_repeat1,
    STATE(8871), 1,
      sym_type_arguments,
    STATE(9769), 1,
      sym_arguments,
    STATE(6324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9977), 1,
      anon_sym_EQ_GT,
    STATE(6325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325043] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10656), 1,
      anon_sym_COLON,
    ACTIONS(10658), 1,
      anon_sym_LBRACE,
    ACTIONS(10660), 1,
      anon_sym_with,
    STATE(6678), 1,
      aux_sym_compound_type_repeat1,
    STATE(10706), 1,
      sym__refinement,
    STATE(10711), 1,
      sym_template_body,
    STATE(6326), 2,
      sym_comment,
      sym_block_comment,
    STATE(10840), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325387] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10662), 1,
      anon_sym_COLON,
    ACTIONS(10664), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_with,
    STATE(9530), 1,
      aux_sym_compound_type_repeat1,
    STATE(10796), 1,
      sym__refinement,
    STATE(10803), 1,
      sym_template_body,
    STATE(6334), 2,
      sym_comment,
      sym_block_comment,
    STATE(10866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325442] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9695), 1,
      anon_sym_LPAREN,
    STATE(6337), 1,
      aux_sym_annotation_repeat1,
    STATE(8111), 1,
      sym_arguments,
    STATE(6335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325530] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10668), 1,
      anon_sym_LPAREN,
    STATE(8111), 1,
      sym_arguments,
    STATE(6337), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [325739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325780] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10656), 1,
      anon_sym_COLON,
    ACTIONS(10658), 1,
      anon_sym_LBRACE,
    ACTIONS(10660), 1,
      anon_sym_with,
    STATE(6678), 1,
      aux_sym_compound_type_repeat1,
    STATE(10706), 1,
      sym__refinement,
    STATE(10711), 1,
      sym_template_body,
    ACTIONS(7916), 2,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6343), 2,
      sym_comment,
      sym_block_comment,
    STATE(10840), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [325964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326005] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9680), 1,
      anon_sym_AT,
    STATE(6385), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8269), 1,
      sym_annotation,
    STATE(6348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326134] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10618), 1,
      anon_sym_COLON,
    ACTIONS(10620), 1,
      anon_sym_LBRACE,
    ACTIONS(10622), 1,
      anon_sym_with,
    STATE(6551), 1,
      aux_sym_compound_type_repeat1,
    STATE(10682), 1,
      sym__refinement,
    STATE(10758), 1,
      sym_template_body,
    STATE(6351), 2,
      sym_comment,
      sym_block_comment,
    STATE(10663), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326394] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(493), 1,
      anon_sym_LBRACE,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(10671), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6357), 2,
      sym_comment,
      sym_block_comment,
    STATE(9933), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326693] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9568), 1,
      anon_sym_AT,
    STATE(6393), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8230), 1,
      sym_annotation,
    STATE(6364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326740] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10673), 1,
      anon_sym_AT,
    STATE(8027), 1,
      sym_annotation,
    STATE(6365), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326785] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10676), 1,
      anon_sym_with,
    STATE(6366), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326828] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10123), 1,
      anon_sym_DOT,
    ACTIONS(10679), 1,
      anon_sym_EQ_GT,
    STATE(6367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326873] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9793), 1,
      anon_sym_with,
    STATE(9089), 1,
      aux_sym_compound_type_repeat1,
    STATE(10099), 1,
      sym_template_body,
    STATE(10154), 1,
      sym__refinement,
    STATE(6368), 2,
      sym_comment,
      sym_block_comment,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327293] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(493), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(10671), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6378), 2,
      sym_comment,
      sym_block_comment,
    STATE(9933), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327471] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9341), 1,
      sym__interpolated_multiline_string_start,
    STATE(8951), 1,
      sym_interpolated_string,
    STATE(16193), 1,
      sym__interpolated_string_start,
    ACTIONS(10681), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [327563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327604] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10683), 1,
      anon_sym_AT,
    STATE(8269), 1,
      sym_annotation,
    STATE(6385), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327649] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9451), 1,
      anon_sym_AT,
    STATE(6097), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8170), 1,
      sym_annotation,
    STATE(6386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327696] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9518), 1,
      anon_sym_LPAREN,
    STATE(6388), 1,
      aux_sym_annotation_repeat1,
    STATE(8255), 1,
      sym_arguments,
    STATE(6387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327743] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10686), 1,
      anon_sym_LPAREN,
    STATE(8255), 1,
      sym_arguments,
    STATE(6388), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327788] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10691), 1,
      sym__interpolated_multiline_string_start,
    STATE(10309), 1,
      sym_interpolated_string,
    STATE(15919), 1,
      sym__interpolated_string_start,
    ACTIONS(10689), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327880] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5902), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(6391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327925] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1024), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8475), 1,
      anon_sym_LPAREN,
    ACTIONS(8669), 1,
      anon_sym_DOT,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    ACTIONS(10693), 1,
      anon_sym_EQ,
    STATE(582), 1,
      sym_identifier,
    STATE(4150), 1,
      sym__soft_identifier,
    STATE(6392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    STATE(7045), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [327990] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10695), 1,
      anon_sym_AT,
    STATE(8230), 1,
      sym_annotation,
    STATE(6393), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328035] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10698), 1,
      anon_sym_DOT,
    STATE(6394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328078] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10700), 1,
      anon_sym_COLON,
    ACTIONS(10703), 1,
      anon_sym_LBRACE,
    STATE(8399), 1,
      sym_template_body,
    STATE(6395), 2,
      sym_comment,
      sym_block_comment,
    STATE(8652), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328127] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9084), 1,
      anon_sym_AT,
    STATE(6463), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8141), 1,
      sym_annotation,
    STATE(6396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328215] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328340] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9505), 1,
      anon_sym_AT,
    STATE(6474), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8110), 1,
      sym_annotation,
    STATE(6401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328797] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10383), 1,
      anon_sym_DOT,
    ACTIONS(10706), 1,
      anon_sym_EQ_GT,
    STATE(6412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328842] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10710), 1,
      sym__interpolated_multiline_string_start,
    STATE(10141), 1,
      sym_interpolated_string,
    STATE(15555), 1,
      sym__interpolated_string_start,
    ACTIONS(10708), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329303] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10712), 1,
      anon_sym_DOT,
    STATE(6424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329715] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10714), 1,
      anon_sym_LPAREN,
    STATE(8179), 1,
      sym_arguments,
    STATE(6434), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330047] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330582] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    STATE(6434), 1,
      aux_sym_annotation_repeat1,
    STATE(8179), 1,
      sym_arguments,
    STATE(6455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330793] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(6460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330918] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10719), 1,
      anon_sym_AT,
    STATE(8141), 1,
      sym_annotation,
    STATE(6463), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330963] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10722), 1,
      anon_sym_COLON,
    ACTIONS(10724), 1,
      anon_sym_LBRACE,
    ACTIONS(10726), 1,
      anon_sym_with,
    STATE(6769), 1,
      aux_sym_compound_type_repeat1,
    STATE(10809), 1,
      sym__refinement,
    STATE(10810), 1,
      sym_template_body,
    ACTIONS(7916), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6464), 2,
      sym_comment,
      sym_block_comment,
    STATE(10852), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    STATE(6469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10730), 1,
      anon_sym_DOT,
    STATE(6470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331274] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9071), 1,
      anon_sym_AT,
    STATE(6690), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8087), 1,
      sym_annotation,
    STATE(6471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331403] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10732), 1,
      anon_sym_AT,
    STATE(8110), 1,
      sym_annotation,
    STATE(6474), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331573] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10735), 1,
      anon_sym_LPAREN,
    STATE(8242), 1,
      sym_arguments,
    STATE(6478), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331702] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9219), 1,
      anon_sym_LPAREN,
    STATE(6482), 1,
      aux_sym_annotation_repeat1,
    STATE(8060), 1,
      sym_arguments,
    STATE(6481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331749] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10738), 1,
      anon_sym_LPAREN,
    STATE(8060), 1,
      sym_arguments,
    STATE(6482), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331835] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331878] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9672), 1,
      anon_sym_LPAREN,
    STATE(6478), 1,
      aux_sym_annotation_repeat1,
    STATE(8242), 1,
      sym_arguments,
    STATE(6485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [331966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332007] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10741), 1,
      anon_sym_DOT,
    STATE(6488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332050] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10103), 1,
      anon_sym_LBRACK,
    ACTIONS(10107), 1,
      anon_sym_POUND,
    ACTIONS(10743), 1,
      anon_sym_AT,
    STATE(7918), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8197), 1,
      sym_type_arguments,
    STATE(9066), 1,
      sym_annotation,
    STATE(6489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332882] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    ACTIONS(10747), 1,
      anon_sym_LPAREN,
    ACTIONS(10749), 1,
      anon_sym_POUND,
    STATE(7948), 1,
      aux_sym_annotation_repeat1,
    STATE(8284), 1,
      sym_type_arguments,
    STATE(9326), 1,
      sym_arguments,
    STATE(6509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332935] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10751), 1,
      anon_sym_with,
    STATE(6510), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332978] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10710), 1,
      sym__interpolated_multiline_string_start,
    STATE(10141), 1,
      sym_interpolated_string,
    STATE(15555), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333275] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333359] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1060), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8296), 1,
      anon_sym_LPAREN,
    ACTIONS(8707), 1,
      anon_sym_DOT,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    ACTIONS(10754), 1,
      anon_sym_EQ,
    STATE(583), 1,
      sym_identifier,
    STATE(4152), 1,
      sym__soft_identifier,
    STATE(6520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    STATE(7060), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [333424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333629] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10756), 1,
      anon_sym_with,
    STATE(6526), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333795] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333961] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10759), 1,
      anon_sym_COLON,
    ACTIONS(10762), 1,
      anon_sym_LBRACE,
    STATE(8376), 1,
      sym_template_body,
    STATE(6534), 2,
      sym_comment,
      sym_block_comment,
    STATE(8535), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334051] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334260] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10356), 1,
      anon_sym_LBRACK,
    ACTIONS(10360), 1,
      anon_sym_POUND,
    ACTIONS(10765), 1,
      anon_sym_AT,
    STATE(7619), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8013), 1,
      sym_type_arguments,
    STATE(9393), 1,
      sym_annotation,
    STATE(6541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334313] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7170), 1,
      sym__end_marker,
    STATE(6542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10767), 1,
      anon_sym_with,
    STATE(6547), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334686] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10618), 1,
      anon_sym_COLON,
    ACTIONS(10620), 1,
      anon_sym_LBRACE,
    ACTIONS(10622), 1,
      anon_sym_with,
    STATE(9554), 1,
      aux_sym_compound_type_repeat1,
    STATE(10758), 1,
      sym_template_body,
    STATE(10806), 1,
      sym__refinement,
    STATE(6551), 2,
      sym_comment,
      sym_block_comment,
    STATE(10663), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334741] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335157] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10770), 1,
      anon_sym_LPAREN,
    STATE(8157), 1,
      sym_arguments,
    STATE(6562), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335243] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7217), 1,
      sym__end_marker,
    STATE(6566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335370] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10191), 1,
      anon_sym_LBRACK,
    ACTIONS(10195), 1,
      anon_sym_POUND,
    ACTIONS(10773), 1,
      anon_sym_AT,
    STATE(8017), 1,
      sym_type_arguments,
    STATE(8040), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8939), 1,
      sym_annotation,
    STATE(6567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335587] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9265), 1,
      anon_sym_LPAREN,
    STATE(6562), 1,
      aux_sym_annotation_repeat1,
    STATE(8157), 1,
      sym_arguments,
    STATE(6572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335757] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10662), 1,
      anon_sym_COLON,
    ACTIONS(10664), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_with,
    STATE(6334), 1,
      aux_sym_compound_type_repeat1,
    STATE(10801), 1,
      sym__refinement,
    STATE(10803), 1,
      sym_template_body,
    STATE(6576), 2,
      sym_comment,
      sym_block_comment,
    STATE(10866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [336183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336511] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10775), 1,
      anon_sym_LBRACK,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(10779), 1,
      anon_sym_POUND,
    STATE(7819), 1,
      aux_sym_annotation_repeat1,
    STATE(8373), 1,
      sym_type_arguments,
    STATE(9189), 1,
      sym_arguments,
    STATE(6594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9791), 1,
      anon_sym_EQ_GT,
    STATE(6597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336689] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10781), 1,
      anon_sym_LPAREN,
    STATE(8130), 1,
      sym_arguments,
    STATE(6598), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336775] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10784), 1,
      anon_sym_with,
    STATE(6600), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336900] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9354), 1,
      anon_sym_LPAREN,
    STATE(6598), 1,
      aux_sym_annotation_repeat1,
    STATE(8130), 1,
      sym_arguments,
    STATE(6603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336947] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10787), 1,
      anon_sym_DOT,
    STATE(6604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337482] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10369), 1,
      anon_sym_LBRACK,
    ACTIONS(10373), 1,
      anon_sym_POUND,
    ACTIONS(10789), 1,
      anon_sym_AT,
    STATE(8061), 1,
      sym_type_arguments,
    STATE(8800), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9651), 1,
      sym_annotation,
    STATE(6617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337535] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337660] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10791), 1,
      anon_sym_COLON,
    ACTIONS(10793), 1,
      anon_sym_LBRACE,
    ACTIONS(10795), 1,
      anon_sym_with,
    STATE(8952), 1,
      aux_sym_compound_type_repeat1,
    STATE(10747), 1,
      sym_template_body,
    STATE(10787), 1,
      sym__refinement,
    STATE(6621), 2,
      sym_comment,
      sym_block_comment,
    STATE(10786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337961] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1464), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(9623), 1,
      anon_sym_DOT,
    ACTIONS(10797), 1,
      sym__alpha_identifier,
    ACTIONS(10801), 1,
      anon_sym_EQ,
    ACTIONS(10803), 1,
      sym__backquoted_id,
    ACTIONS(10805), 1,
      sym_operator_identifier,
    STATE(598), 1,
      sym_identifier,
    STATE(4187), 1,
      sym__soft_identifier,
    STATE(6628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
    STATE(8351), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10799), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [338026] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9157), 1,
      anon_sym_LPAREN,
    STATE(6646), 1,
      aux_sym_annotation_repeat1,
    STATE(8113), 1,
      sym_arguments,
    STATE(6629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338196] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10807), 1,
      anon_sym_LPAREN,
    STATE(8107), 1,
      sym_arguments,
    STATE(6633), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338405] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9317), 1,
      anon_sym_LPAREN,
    STATE(6633), 1,
      aux_sym_annotation_repeat1,
    STATE(8107), 1,
      sym_arguments,
    STATE(6638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338452] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5782), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(6639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338538] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9346), 1,
      anon_sym_AT,
    STATE(6664), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7498), 1,
      sym_annotation,
    STATE(6641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338626] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10810), 1,
      anon_sym_COLON,
    ACTIONS(10813), 1,
      anon_sym_LBRACE,
    STATE(8509), 1,
      sym_template_body,
    STATE(6643), 2,
      sym_comment,
      sym_block_comment,
    STATE(8786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338716] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10646), 1,
      anon_sym_LBRACE,
    ACTIONS(10648), 1,
      anon_sym_with,
    ACTIONS(10816), 1,
      anon_sym_COLON,
    STATE(6310), 1,
      aux_sym_compound_type_repeat1,
    STATE(10619), 1,
      sym__refinement,
    STATE(10625), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6645), 2,
      sym_comment,
      sym_block_comment,
    STATE(10371), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7916), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338777] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10819), 1,
      anon_sym_LPAREN,
    STATE(8113), 1,
      sym_arguments,
    STATE(6646), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338822] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10178), 1,
      anon_sym_LBRACK,
    ACTIONS(10180), 1,
      anon_sym_AT,
    ACTIONS(10184), 1,
      anon_sym_POUND,
    STATE(7815), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8528), 1,
      sym_type_arguments,
    STATE(9216), 1,
      sym_annotation,
    STATE(6647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339285] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8088), 1,
      sym_operator_identifier,
    STATE(1791), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [339342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339547] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10822), 1,
      anon_sym_AT,
    STATE(7498), 1,
      sym_annotation,
    STATE(6664), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339838] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10791), 1,
      anon_sym_COLON,
    ACTIONS(10793), 1,
      anon_sym_LBRACE,
    ACTIONS(10795), 1,
      anon_sym_with,
    STATE(6621), 1,
      aux_sym_compound_type_repeat1,
    STATE(10747), 1,
      sym_template_body,
    STATE(10783), 1,
      sym__refinement,
    ACTIONS(7916), 2,
      anon_sym_STAR,
      anon_sym_else,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6671), 2,
      sym_comment,
      sym_block_comment,
    STATE(10786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10825), 1,
      anon_sym_DOT,
    STATE(6673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339983] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10219), 1,
      anon_sym_LBRACK,
    ACTIONS(10223), 1,
      anon_sym_POUND,
    ACTIONS(10827), 1,
      anon_sym_AT,
    STATE(7799), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8252), 1,
      sym_type_arguments,
    STATE(9271), 1,
      sym_annotation,
    STATE(6674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340120] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10646), 1,
      anon_sym_LBRACE,
    ACTIONS(10648), 1,
      anon_sym_with,
    STATE(6310), 1,
      aux_sym_compound_type_repeat1,
    STATE(10619), 1,
      sym__refinement,
    STATE(10625), 1,
      sym_template_body,
    STATE(6677), 2,
      sym_comment,
      sym_block_comment,
    STATE(10371), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340173] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10656), 1,
      anon_sym_COLON,
    ACTIONS(10658), 1,
      anon_sym_LBRACE,
    ACTIONS(10660), 1,
      anon_sym_with,
    STATE(9177), 1,
      aux_sym_compound_type_repeat1,
    STATE(10693), 1,
      sym__refinement,
    STATE(10711), 1,
      sym_template_body,
    STATE(6678), 2,
      sym_comment,
      sym_block_comment,
    STATE(10840), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340228] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10791), 1,
      anon_sym_COLON,
    ACTIONS(10793), 1,
      anon_sym_LBRACE,
    ACTIONS(10795), 1,
      anon_sym_with,
    STATE(6621), 1,
      aux_sym_compound_type_repeat1,
    STATE(10747), 1,
      sym_template_body,
    STATE(10783), 1,
      sym__refinement,
    STATE(6679), 2,
      sym_comment,
      sym_block_comment,
    STATE(10786), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10829), 1,
      anon_sym_DOT,
    STATE(6681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10831), 1,
      anon_sym_with,
    STATE(6683), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340451] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340535] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10178), 1,
      anon_sym_LBRACK,
    ACTIONS(10184), 1,
      anon_sym_POUND,
    ACTIONS(10834), 1,
      anon_sym_LPAREN,
    STATE(8002), 1,
      aux_sym_annotation_repeat1,
    STATE(8528), 1,
      sym_type_arguments,
    STATE(9511), 1,
      sym_arguments,
    STATE(6686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340711] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10836), 1,
      anon_sym_AT,
    STATE(8087), 1,
      sym_annotation,
    STATE(6690), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340797] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10662), 1,
      anon_sym_COLON,
    ACTIONS(10664), 1,
      anon_sym_LBRACE,
    ACTIONS(10666), 1,
      anon_sym_with,
    STATE(6334), 1,
      aux_sym_compound_type_repeat1,
    STATE(10801), 1,
      sym__refinement,
    STATE(10803), 1,
      sym_template_body,
    ACTIONS(7916), 2,
      anon_sym_STAR,
      anon_sym_finally,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6692), 2,
      sym_comment,
      sym_block_comment,
    STATE(10866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [340981] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10113), 1,
      anon_sym_POUND,
    ACTIONS(10839), 1,
      anon_sym_AT,
    STATE(7784), 1,
      sym_type_arguments,
    STATE(8192), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9298), 1,
      sym_annotation,
    STATE(6696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341034] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10022), 1,
      anon_sym_with,
    STATE(9199), 1,
      aux_sym_compound_type_repeat1,
    STATE(10331), 1,
      sym__refinement,
    STATE(10355), 1,
      sym_template_body,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341126] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10841), 1,
      anon_sym_AT,
    STATE(8036), 1,
      sym_annotation,
    STATE(6699), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341171] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9693), 1,
      anon_sym_LPAREN,
    STATE(6705), 1,
      aux_sym_annotation_repeat1,
    STATE(7629), 1,
      sym_arguments,
    STATE(6700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341259] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10691), 1,
      sym__interpolated_multiline_string_start,
    STATE(10309), 1,
      sym_interpolated_string,
    STATE(15919), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10844), 1,
      anon_sym_with,
    STATE(6703), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341394] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10847), 1,
      anon_sym_LPAREN,
    STATE(7629), 1,
      sym_arguments,
    STATE(6705), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341439] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10850), 1,
      anon_sym_DOT,
    STATE(6706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341523] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10852), 1,
      anon_sym_LBRACK,
    ACTIONS(10854), 1,
      anon_sym_LPAREN,
    ACTIONS(10856), 1,
      anon_sym_POUND,
    STATE(8343), 1,
      sym_type_arguments,
    STATE(8833), 1,
      aux_sym_annotation_repeat1,
    STATE(9936), 1,
      sym_arguments,
    STATE(6708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341701] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10399), 1,
      anon_sym_EQ_GT,
    STATE(6712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341744] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10315), 1,
      anon_sym_POUND,
    ACTIONS(10858), 1,
      anon_sym_AT,
    STATE(7803), 1,
      sym_type_arguments,
    STATE(8527), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9908), 1,
      sym_annotation,
    STATE(6713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [341879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341961] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6872), 1,
      sym__end_marker,
    STATE(6718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [342127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6783), 1,
      sym_arguments,
    STATE(6723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342662] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9596), 1,
      anon_sym_AT,
    STATE(6699), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8036), 1,
      sym_annotation,
    STATE(6735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [342996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343119] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343285] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10722), 1,
      anon_sym_COLON,
    ACTIONS(10724), 1,
      anon_sym_LBRACE,
    ACTIONS(10726), 1,
      anon_sym_with,
    STATE(6769), 1,
      aux_sym_compound_type_repeat1,
    STATE(10809), 1,
      sym__refinement,
    STATE(10810), 1,
      sym_template_body,
    STATE(6750), 2,
      sym_comment,
      sym_block_comment,
    STATE(10852), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343668] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10860), 1,
      anon_sym_LBRACK,
    ACTIONS(10862), 1,
      anon_sym_LPAREN,
    ACTIONS(10864), 1,
      anon_sym_POUND,
    STATE(7905), 1,
      aux_sym_annotation_repeat1,
    STATE(8874), 1,
      sym_type_arguments,
    STATE(9287), 1,
      sym_arguments,
    STATE(6759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343762] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10866), 1,
      anon_sym_LBRACK,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    ACTIONS(10870), 1,
      anon_sym_POUND,
    STATE(8459), 1,
      sym_type_arguments,
    STATE(8680), 1,
      aux_sym_annotation_repeat1,
    STATE(9827), 1,
      sym_arguments,
    STATE(6761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7736), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344020] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_EQ_GT,
    STATE(6767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344065] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10874), 1,
      anon_sym_LPAREN,
    STATE(7883), 1,
      sym_arguments,
    STATE(6768), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344110] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10722), 1,
      anon_sym_COLON,
    ACTIONS(10724), 1,
      anon_sym_LBRACE,
    ACTIONS(10726), 1,
      anon_sym_with,
    STATE(9492), 1,
      aux_sym_compound_type_repeat1,
    STATE(10774), 1,
      sym__refinement,
    STATE(10810), 1,
      sym_template_body,
    STATE(6769), 2,
      sym_comment,
      sym_block_comment,
    STATE(10852), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344165] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9514), 1,
      anon_sym_LPAREN,
    STATE(6768), 1,
      aux_sym_annotation_repeat1,
    STATE(7883), 1,
      sym_arguments,
    STATE(6770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10877), 1,
      anon_sym_with,
    STATE(6773), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10872), 1,
      anon_sym_EQ_GT,
    STATE(6776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344456] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10880), 1,
      anon_sym_AT,
    STATE(8679), 1,
      sym_annotation,
    STATE(6777), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344500] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10135), 1,
      anon_sym_LPAREN,
    STATE(6784), 1,
      aux_sym_annotation_repeat1,
    STATE(8659), 1,
      sym_arguments,
    STATE(6778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10883), 1,
      anon_sym_DOT,
    STATE(6779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344748] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10885), 1,
      anon_sym_LPAREN,
    STATE(8659), 1,
      sym_arguments,
    STATE(6784), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344832] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10650), 1,
      anon_sym_LBRACK,
    ACTIONS(10654), 1,
      anon_sym_POUND,
    ACTIONS(10888), 1,
      anon_sym_AT,
    STATE(8871), 1,
      sym_type_arguments,
    STATE(9447), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10032), 1,
      sym_annotation,
    STATE(6786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10890), 1,
      anon_sym_with,
    STATE(6788), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344966] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5894), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(6789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345290] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10893), 1,
      anon_sym_LPAREN,
    STATE(8731), 1,
      sym_arguments,
    STATE(6797), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345454] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9879), 1,
      anon_sym_LPAREN,
    STATE(6797), 1,
      aux_sym_annotation_repeat1,
    STATE(8731), 1,
      sym_arguments,
    STATE(6801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345742] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10896), 1,
      anon_sym_COLON,
    ACTIONS(10899), 1,
      anon_sym_LBRACE,
    STATE(9275), 1,
      sym_template_body,
    STATE(5337), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 13,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345830] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10902), 1,
      anon_sym_DOT,
    STATE(6810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345872] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1844), 1,
      anon_sym_LBRACE,
    ACTIONS(10268), 1,
      anon_sym_LPAREN,
    ACTIONS(10904), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6811), 2,
      sym_comment,
      sym_block_comment,
    STATE(10273), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346204] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9811), 1,
      anon_sym_AT,
    STATE(6777), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8679), 1,
      sym_annotation,
    STATE(6819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346250] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1844), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10268), 1,
      anon_sym_LPAREN,
    ACTIONS(10904), 1,
      anon_sym_DOT,
    ACTIONS(10906), 1,
      sym_operator_identifier,
    STATE(1756), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(6820), 2,
      sym_comment,
      sym_block_comment,
    STATE(10273), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [346314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7577), 1,
      sym_arguments,
    STATE(6825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10908), 1,
      anon_sym_with,
    STATE(6833), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347038] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1844), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(10268), 1,
      anon_sym_LPAREN,
    ACTIONS(10904), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6839), 2,
      sym_comment,
      sym_block_comment,
    STATE(10273), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347092] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10911), 1,
      anon_sym_COLON,
    ACTIONS(10913), 1,
      anon_sym_LBRACE,
    ACTIONS(10915), 1,
      anon_sym_with,
    STATE(7493), 1,
      aux_sym_compound_type_repeat1,
    STATE(11170), 1,
      sym_template_body,
    STATE(11174), 1,
      sym__refinement,
    STATE(6840), 2,
      sym_comment,
      sym_block_comment,
    STATE(11091), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347346] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10917), 1,
      anon_sym_LPAREN,
    STATE(8514), 1,
      sym_arguments,
    STATE(6846), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [347390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10920), 1,
      anon_sym_with,
    STATE(6848), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347832] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5947), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(6858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347956] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10923), 1,
      anon_sym_LBRACK,
    ACTIONS(10925), 1,
      anon_sym_LPAREN,
    ACTIONS(10927), 1,
      anon_sym_POUND,
    STATE(9242), 1,
      sym_type_arguments,
    STATE(9419), 1,
      aux_sym_annotation_repeat1,
    STATE(10059), 1,
      sym_arguments,
    STATE(6861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7736), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348328] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9370), 1,
      anon_sym_LPAREN,
    STATE(6846), 1,
      aux_sym_annotation_repeat1,
    STATE(8514), 1,
      sym_arguments,
    STATE(6870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [348374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348454] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10929), 1,
      anon_sym_LBRACE,
    ACTIONS(10931), 1,
      anon_sym_with,
    STATE(9715), 1,
      aux_sym_compound_type_repeat1,
    STATE(10723), 1,
      sym__refinement,
    STATE(10746), 1,
      sym_template_body,
    STATE(6873), 2,
      sym_comment,
      sym_block_comment,
    STATE(10680), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348546] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10933), 1,
      anon_sym_AT,
    STATE(8881), 1,
      sym_annotation,
    STATE(6875), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348590] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10911), 1,
      anon_sym_COLON,
    ACTIONS(10913), 1,
      anon_sym_LBRACE,
    ACTIONS(10915), 1,
      anon_sym_with,
    STATE(7493), 1,
      aux_sym_compound_type_repeat1,
    STATE(11170), 1,
      sym_template_body,
    STATE(11174), 1,
      sym__refinement,
    ACTIONS(7916), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6876), 2,
      sym_comment,
      sym_block_comment,
    STATE(11091), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349010] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10936), 1,
      anon_sym_LPAREN,
    STATE(8911), 1,
      sym_arguments,
    STATE(6886), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349334] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10939), 1,
      anon_sym_COLON,
    ACTIONS(10941), 1,
      anon_sym_LBRACE,
    ACTIONS(10943), 1,
      anon_sym_with,
    STATE(9822), 1,
      aux_sym_compound_type_repeat1,
    STATE(10807), 1,
      sym__refinement,
    STATE(10855), 1,
      sym_template_body,
    STATE(6894), 2,
      sym_comment,
      sym_block_comment,
    STATE(10816), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349388] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(493), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(10671), 1,
      anon_sym_DOT,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    STATE(667), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    ACTIONS(8076), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(6895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9360), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(9933), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [349454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349534] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10953), 1,
      anon_sym_with,
    STATE(6901), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(6904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349940] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10956), 1,
      anon_sym_LBRACK,
    ACTIONS(10958), 1,
      anon_sym_LPAREN,
    ACTIONS(10960), 1,
      anon_sym_POUND,
    STATE(8987), 1,
      aux_sym_annotation_repeat1,
    STATE(9239), 1,
      sym_type_arguments,
    STATE(10073), 1,
      sym_arguments,
    ACTIONS(7738), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(6908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7736), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349992] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8088), 1,
      sym_operator_identifier,
    STATE(1791), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(6909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [350046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350086] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5551), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(6911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350250] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10962), 1,
      anon_sym_AT,
    STATE(8909), 1,
      sym_annotation,
    STATE(6915), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350414] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9776), 1,
      anon_sym_LPAREN,
    STATE(6886), 1,
      aux_sym_annotation_repeat1,
    STATE(8911), 1,
      sym_arguments,
    STATE(6919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350622] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10169), 1,
      anon_sym_AT,
    STATE(6875), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8881), 1,
      sym_annotation,
    STATE(6924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351028] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10965), 1,
      anon_sym_AT,
    STATE(8831), 1,
      sym_annotation,
    STATE(6934), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351512] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10235), 1,
      anon_sym_AT,
    STATE(6915), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8909), 1,
      sym_annotation,
    STATE(6946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351558] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_else,
    ACTIONS(10968), 1,
      anon_sym_COLON,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    ACTIONS(10972), 1,
      anon_sym_with,
    STATE(7271), 1,
      aux_sym_compound_type_repeat1,
    STATE(10942), 1,
      sym_template_body,
    STATE(10948), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6947), 2,
      sym_comment,
      sym_block_comment,
    STATE(10989), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351618] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10974), 1,
      anon_sym_AT,
    STATE(8442), 1,
      sym_annotation,
    STATE(6948), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351742] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1844), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10268), 1,
      anon_sym_LPAREN,
    ACTIONS(10904), 1,
      anon_sym_DOT,
    ACTIONS(10977), 1,
      sym__alpha_identifier,
    ACTIONS(10981), 1,
      anon_sym_EQ,
    ACTIONS(10983), 1,
      sym__backquoted_id,
    ACTIONS(10985), 1,
      sym_operator_identifier,
    STATE(615), 1,
      sym_identifier,
    STATE(4192), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(6951), 2,
      sym_comment,
      sym_block_comment,
    STATE(10273), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10979), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [351806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352688] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10987), 1,
      anon_sym_LPAREN,
    STATE(8380), 1,
      sym_arguments,
    STATE(6974), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10990), 1,
      anon_sym_DOT,
    STATE(6977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352854] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5502), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(6978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10992), 1,
      anon_sym_DOT,
    STATE(6979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352980] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10994), 1,
      anon_sym_LPAREN,
    STATE(8389), 1,
      sym_arguments,
    STATE(6981), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353064] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10387), 1,
      anon_sym_AT,
    STATE(6934), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8831), 1,
      sym_annotation,
    STATE(6983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353150] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10167), 1,
      anon_sym_AT,
    STATE(7199), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8317), 1,
      sym_annotation,
    STATE(6985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353316] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9293), 1,
      anon_sym_LPAREN,
    STATE(6981), 1,
      aux_sym_annotation_repeat1,
    STATE(8389), 1,
      sym_arguments,
    STATE(6989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353402] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9778), 1,
      anon_sym_LPAREN,
    STATE(6974), 1,
      aux_sym_annotation_repeat1,
    STATE(8380), 1,
      sym_arguments,
    STATE(6991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353568] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10745), 1,
      anon_sym_LBRACK,
    ACTIONS(10749), 1,
      anon_sym_POUND,
    ACTIONS(10997), 1,
      anon_sym_AT,
    STATE(8284), 1,
      sym_type_arguments,
    STATE(8682), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9849), 1,
      sym_annotation,
    STATE(6995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [353820] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10999), 1,
      anon_sym_COLON,
    ACTIONS(11001), 1,
      anon_sym_LBRACE,
    ACTIONS(11003), 1,
      anon_sym_with,
    STATE(9594), 1,
      aux_sym_compound_type_repeat1,
    STATE(11143), 1,
      sym_template_body,
    STATE(11156), 1,
      sym__refinement,
    STATE(7001), 2,
      sym_comment,
      sym_block_comment,
    STATE(11097), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353914] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354000] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10532), 1,
      anon_sym_LBRACK,
    ACTIONS(10534), 1,
      anon_sym_AT,
    ACTIONS(10538), 1,
      anon_sym_POUND,
    STATE(8797), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9240), 1,
      sym_type_arguments,
    STATE(9580), 1,
      sym_annotation,
    STATE(7005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [354092] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11005), 1,
      anon_sym_AT,
    STATE(8320), 1,
      sym_annotation,
    STATE(7007), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11008), 1,
      anon_sym_DOT,
    STATE(7010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354340] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11010), 1,
      anon_sym_LPAREN,
    STATE(8647), 1,
      sym_arguments,
    STATE(7013), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354784] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10105), 1,
      anon_sym_LPAREN,
    STATE(7013), 1,
      aux_sym_annotation_repeat1,
    STATE(8647), 1,
      sym_arguments,
    STATE(7024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [354870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355910] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10968), 1,
      anon_sym_COLON,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    ACTIONS(10972), 1,
      anon_sym_with,
    STATE(7271), 1,
      aux_sym_compound_type_repeat1,
    STATE(10942), 1,
      sym_template_body,
    STATE(10948), 1,
      sym__refinement,
    STATE(7052), 2,
      sym_comment,
      sym_block_comment,
    STATE(10989), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356004] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11013), 1,
      anon_sym_COLON,
    ACTIONS(11015), 1,
      anon_sym_LBRACE,
    ACTIONS(11017), 1,
      anon_sym_with,
    STATE(9796), 1,
      aux_sym_compound_type_repeat1,
    STATE(10976), 1,
      sym__refinement,
    STATE(10999), 1,
      sym_template_body,
    STATE(7054), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356418] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11019), 1,
      anon_sym_AT,
    STATE(8551), 1,
      sym_annotation,
    STATE(7064), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11022), 1,
      anon_sym_DOT,
    STATE(7070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [356744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357224] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11024), 1,
      anon_sym_with,
    STATE(7085), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357428] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11027), 1,
      anon_sym_AT,
    STATE(8511), 1,
      sym_annotation,
    STATE(7089), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11030), 1,
      anon_sym_with,
    STATE(7092), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357634] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11033), 1,
      anon_sym_LPAREN,
    STATE(8487), 1,
      sym_arguments,
    STATE(7094), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357798] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9492), 1,
      anon_sym_LPAREN,
    STATE(7094), 1,
      aux_sym_annotation_repeat1,
    STATE(8487), 1,
      sym_arguments,
    STATE(7098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357884] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10221), 1,
      anon_sym_LPAREN,
    STATE(7101), 1,
      aux_sym_annotation_repeat1,
    STATE(8325), 1,
      sym_arguments,
    STATE(7100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357930] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    STATE(8325), 1,
      sym_arguments,
    STATE(7101), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358094] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9006), 1,
      sym__alpha_identifier,
    ACTIONS(9016), 1,
      sym__backquoted_id,
    ACTIONS(9018), 1,
      sym_operator_identifier,
    STATE(579), 1,
      sym_identifier,
    STATE(4018), 1,
      sym__soft_identifier,
    STATE(7105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9010), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9012), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [358148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358468] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10258), 1,
      anon_sym_AT,
    STATE(7064), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8551), 1,
      sym_annotation,
    STATE(7114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358714] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10939), 1,
      anon_sym_COLON,
    ACTIONS(10943), 1,
      anon_sym_with,
    STATE(9822), 1,
      aux_sym_compound_type_repeat1,
    STATE(10807), 1,
      sym__refinement,
    STATE(10855), 1,
      sym_template_body,
    STATE(7120), 2,
      sym_comment,
      sym_block_comment,
    STATE(10816), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359088] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2034), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(10182), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7129), 2,
      sym_comment,
      sym_block_comment,
    STATE(10093), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359302] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11041), 1,
      anon_sym_LPAREN,
    STATE(8407), 1,
      sym_arguments,
    STATE(7134), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359466] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11044), 1,
      anon_sym_AT,
    STATE(8448), 1,
      sym_annotation,
    STATE(7138), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359550] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10358), 1,
      anon_sym_LPAREN,
    STATE(7134), 1,
      aux_sym_annotation_repeat1,
    STATE(8407), 1,
      sym_arguments,
    STATE(7140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359596] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9645), 1,
      anon_sym_AT,
    STATE(7089), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8511), 1,
      sym_annotation,
    STATE(7141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359642] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2034), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10182), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_DOT,
    ACTIONS(11047), 1,
      sym_operator_identifier,
    STATE(1718), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(7142), 2,
      sym_comment,
      sym_block_comment,
    STATE(10093), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [359706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359826] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2034), 1,
      anon_sym_LBRACE,
    ACTIONS(10182), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7146), 2,
      sym_comment,
      sym_block_comment,
    STATE(10093), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360198] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2034), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10182), 1,
      anon_sym_LPAREN,
    ACTIONS(11039), 1,
      anon_sym_DOT,
    ACTIONS(11049), 1,
      sym__alpha_identifier,
    ACTIONS(11053), 1,
      anon_sym_EQ,
    ACTIONS(11055), 1,
      sym__backquoted_id,
    ACTIONS(11057), 1,
      sym_operator_identifier,
    STATE(624), 1,
      sym_identifier,
    STATE(4189), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(7155), 2,
      sym_comment,
      sym_block_comment,
    STATE(10093), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11051), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [360262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10706), 1,
      anon_sym_EQ_GT,
    STATE(7157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8102), 1,
      sym_arguments,
    STATE(7163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [360792] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10939), 1,
      anon_sym_COLON,
    ACTIONS(10941), 1,
      anon_sym_LBRACE,
    ACTIONS(10943), 1,
      anon_sym_with,
    STATE(6894), 1,
      aux_sym_compound_type_repeat1,
    STATE(10855), 1,
      sym_template_body,
    STATE(10883), 1,
      sym__refinement,
    STATE(7169), 2,
      sym_comment,
      sym_block_comment,
    STATE(10816), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361008] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11059), 1,
      anon_sym_LBRACK,
    ACTIONS(11061), 1,
      anon_sym_LPAREN,
    ACTIONS(11063), 1,
      anon_sym_POUND,
    STATE(8495), 1,
      aux_sym_annotation_repeat1,
    STATE(8931), 1,
      sym_type_arguments,
    STATE(9980), 1,
      sym_arguments,
    STATE(7174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361060] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9832), 1,
      anon_sym_AT,
    STATE(6948), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8442), 1,
      sym_annotation,
    STATE(7175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [361146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [361226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [361266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361426] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(11065), 1,
      anon_sym_COLON,
    ACTIONS(11067), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_with,
    STATE(7336), 1,
      aux_sym_compound_type_repeat1,
    STATE(10718), 1,
      sym__refinement,
    STATE(10721), 1,
      sym_template_body,
    ACTIONS(7916), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7184), 2,
      sym_comment,
      sym_block_comment,
    STATE(10729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8006), 1,
      sym__end_marker,
    STATE(7186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [361570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9503), 1,
      anon_sym_AT,
    STATE(7486), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8636), 1,
      sym_annotation,
    STATE(7187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [361696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11072), 1,
      anon_sym_DOT,
    STATE(7190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [361818] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11074), 1,
      anon_sym_COLON,
    ACTIONS(11077), 1,
      anon_sym_LBRACE,
    STATE(9119), 1,
      sym_template_body,
    STATE(7193), 2,
      sym_comment,
      sym_block_comment,
    STATE(9562), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8711), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361866] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9825), 1,
      sym__interpolated_multiline_string_start,
    STATE(9707), 1,
      sym_interpolated_string,
    STATE(15450), 1,
      sym__interpolated_string_start,
    ACTIONS(10542), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361916] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11080), 1,
      anon_sym_DOT,
    STATE(7195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361958] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10712), 1,
      anon_sym_DOT,
    ACTIONS(11082), 1,
      anon_sym_EQ_GT,
    STATE(7196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11084), 1,
      anon_sym_AT,
    STATE(8317), 1,
      sym_annotation,
    STATE(7199), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362168] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9376), 1,
      anon_sym_AT,
    STATE(7007), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8320), 1,
      sym_annotation,
    STATE(7201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362214] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10939), 1,
      anon_sym_COLON,
    ACTIONS(10941), 1,
      anon_sym_LBRACE,
    ACTIONS(10943), 1,
      anon_sym_with,
    STATE(6894), 1,
      aux_sym_compound_type_repeat1,
    STATE(10855), 1,
      sym_template_body,
    STATE(10883), 1,
      sym__refinement,
    ACTIONS(7916), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7202), 2,
      sym_comment,
      sym_block_comment,
    STATE(10816), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [362314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11087), 1,
      anon_sym_DOT,
    STATE(7208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10679), 1,
      anon_sym_EQ_GT,
    STATE(7214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362878] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(493), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(10671), 1,
      anon_sym_DOT,
    ACTIONS(11089), 1,
      sym_operator_identifier,
    STATE(1800), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(7218), 2,
      sym_comment,
      sym_block_comment,
    STATE(9933), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [362942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [363384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [364424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [364544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [364662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [364940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9127), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365022] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10968), 1,
      anon_sym_COLON,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    ACTIONS(10972), 1,
      anon_sym_with,
    STATE(9619), 1,
      aux_sym_compound_type_repeat1,
    STATE(10942), 1,
      sym_template_body,
    STATE(10957), 1,
      sym__refinement,
    STATE(7271), 2,
      sym_comment,
      sym_block_comment,
    STATE(10989), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365196] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10532), 1,
      anon_sym_LBRACK,
    ACTIONS(10538), 1,
      anon_sym_POUND,
    ACTIONS(11091), 1,
      anon_sym_LPAREN,
    STATE(8592), 1,
      aux_sym_annotation_repeat1,
    STATE(9240), 1,
      sym_type_arguments,
    STATE(9806), 1,
      sym_arguments,
    STATE(7275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7736), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365370] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10852), 1,
      anon_sym_LBRACK,
    ACTIONS(10856), 1,
      anon_sym_POUND,
    ACTIONS(11093), 1,
      anon_sym_AT,
    STATE(8343), 1,
      sym_type_arguments,
    STATE(8960), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10311), 1,
      sym_annotation,
    STATE(7279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11095), 1,
      anon_sym_AT,
    STATE(8603), 1,
      sym_annotation,
    STATE(7284), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365666] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10929), 1,
      anon_sym_LBRACE,
    ACTIONS(10931), 1,
      anon_sym_with,
    STATE(6873), 1,
      aux_sym_compound_type_repeat1,
    STATE(10745), 1,
      sym__refinement,
    STATE(10746), 1,
      sym_template_body,
    STATE(7286), 2,
      sym_comment,
      sym_block_comment,
    STATE(10680), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365718] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11098), 1,
      anon_sym_COLON,
    ACTIONS(11101), 1,
      anon_sym_LBRACE,
    STATE(9231), 1,
      sym_template_body,
    STATE(7287), 2,
      sym_comment,
      sym_block_comment,
    STATE(9107), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365966] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11065), 1,
      anon_sym_COLON,
    ACTIONS(11070), 1,
      anon_sym_with,
    STATE(7336), 1,
      aux_sym_compound_type_repeat1,
    STATE(10718), 1,
      sym__refinement,
    STATE(10721), 1,
      sym_template_body,
    STATE(7293), 2,
      sym_comment,
      sym_block_comment,
    STATE(10729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366098] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5898), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(7296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366142] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11104), 1,
      anon_sym_DOT,
    STATE(7299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366310] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9699), 1,
      anon_sym_AT,
    STATE(7138), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8448), 1,
      sym_annotation,
    STATE(7301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366396] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8481), 1,
      sym_operator_identifier,
    STATE(1827), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [366452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366492] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(11106), 1,
      sym__interpolated_multiline_string_start,
    STATE(10517), 1,
      sym_interpolated_string,
    STATE(15323), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366582] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9396), 1,
      anon_sym_AT,
    STATE(7489), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8891), 1,
      sym_annotation,
    STATE(7307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366668] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10860), 1,
      anon_sym_LBRACK,
    ACTIONS(10864), 1,
      anon_sym_POUND,
    ACTIONS(11108), 1,
      anon_sym_AT,
    STATE(8486), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8874), 1,
      sym_type_arguments,
    STATE(9778), 1,
      sym_annotation,
    STATE(7309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366720] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11013), 1,
      anon_sym_COLON,
    ACTIONS(11015), 1,
      anon_sym_LBRACE,
    ACTIONS(11017), 1,
      anon_sym_with,
    STATE(7054), 1,
      aux_sym_compound_type_repeat1,
    STATE(10998), 1,
      sym__refinement,
    STATE(10999), 1,
      sym_template_body,
    STATE(7310), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366814] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10606), 1,
      anon_sym_DOT,
    ACTIONS(11110), 1,
      anon_sym_EQ_GT,
    STATE(7312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366898] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10775), 1,
      anon_sym_LBRACK,
    ACTIONS(10779), 1,
      anon_sym_POUND,
    ACTIONS(11112), 1,
      anon_sym_AT,
    STATE(8275), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8373), 1,
      sym_type_arguments,
    STATE(9773), 1,
      sym_annotation,
    STATE(7314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366950] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_STAR,
    ACTIONS(11013), 1,
      anon_sym_COLON,
    ACTIONS(11015), 1,
      anon_sym_LBRACE,
    ACTIONS(11017), 1,
      anon_sym_with,
    STATE(7054), 1,
      aux_sym_compound_type_repeat1,
    STATE(10998), 1,
      sym__refinement,
    STATE(10999), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7315), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367010] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(11065), 1,
      anon_sym_COLON,
    ACTIONS(11070), 1,
      anon_sym_with,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(7371), 1,
      aux_sym_compound_type_repeat1,
    STATE(10718), 1,
      sym__refinement,
    STATE(10721), 1,
      sym_template_body,
    ACTIONS(7916), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7316), 2,
      sym_comment,
      sym_block_comment,
    STATE(10729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367270] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10999), 1,
      anon_sym_COLON,
    ACTIONS(11001), 1,
      anon_sym_LBRACE,
    ACTIONS(11003), 1,
      anon_sym_with,
    STATE(7001), 1,
      aux_sym_compound_type_repeat1,
    STATE(11143), 1,
      sym_template_body,
    STATE(11153), 1,
      sym__refinement,
    STATE(7322), 2,
      sym_comment,
      sym_block_comment,
    STATE(11097), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367364] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11118), 1,
      anon_sym_RBRACK,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7324), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [367434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9165), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367876] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11065), 1,
      anon_sym_COLON,
    ACTIONS(11070), 1,
      anon_sym_with,
    STATE(9939), 1,
      aux_sym_compound_type_repeat1,
    STATE(10690), 1,
      sym__refinement,
    STATE(10721), 1,
      sym_template_body,
    STATE(7336), 2,
      sym_comment,
      sym_block_comment,
    STATE(10729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367968] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10939), 1,
      anon_sym_COLON,
    ACTIONS(10943), 1,
      anon_sym_with,
    STATE(7120), 1,
      aux_sym_compound_type_repeat1,
    STATE(10855), 1,
      sym_template_body,
    STATE(10883), 1,
      sym__refinement,
    STATE(7338), 2,
      sym_comment,
      sym_block_comment,
    STATE(10816), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368020] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11128), 1,
      anon_sym_AT,
    STATE(8649), 1,
      sym_annotation,
    STATE(7339), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368224] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8099), 1,
      sym__end_marker,
    STATE(7344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368306] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11131), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7346), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368458] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1880), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8917), 1,
      anon_sym_LPAREN,
    ACTIONS(10325), 1,
      anon_sym_DOT,
    ACTIONS(11133), 1,
      sym__alpha_identifier,
    ACTIONS(11137), 1,
      anon_sym_EQ,
    ACTIONS(11139), 1,
      sym__backquoted_id,
    ACTIONS(11141), 1,
      sym_operator_identifier,
    STATE(616), 1,
      sym_identifier,
    STATE(4188), 1,
      sym__soft_identifier,
    STATE(7349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
    STATE(9201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7760), 1,
      sym_arguments,
    STATE(7350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11143), 1,
      anon_sym_type,
    STATE(7353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [368686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368886] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(9095), 1,
      anon_sym_DOT,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(11145), 1,
      anon_sym_EQ,
    ACTIONS(11147), 1,
      sym_operator_identifier,
    STATE(613), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7359), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369070] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(9095), 1,
      anon_sym_DOT,
    ACTIONS(11149), 1,
      sym_operator_identifier,
    STATE(1764), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7363), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [369134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369214] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10939), 1,
      anon_sym_COLON,
    ACTIONS(10943), 1,
      anon_sym_with,
    ACTIONS(11151), 1,
      anon_sym_LBRACE,
    STATE(7120), 1,
      aux_sym_compound_type_repeat1,
    STATE(10855), 1,
      sym_template_body,
    STATE(10883), 1,
      sym__refinement,
    ACTIONS(7916), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7366), 2,
      sym_comment,
      sym_block_comment,
    STATE(10816), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11154), 1,
      anon_sym_with,
    STATE(7367), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369356] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(11157), 1,
      anon_sym_EQ_GT,
    STATE(7369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369440] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11065), 1,
      anon_sym_COLON,
    ACTIONS(11070), 1,
      anon_sym_with,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(9939), 1,
      aux_sym_compound_type_repeat1,
    STATE(10690), 1,
      sym__refinement,
    STATE(10721), 1,
      sym_template_body,
    STATE(7371), 2,
      sym_comment,
      sym_block_comment,
    STATE(10729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9186), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369576] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9102), 1,
      sym__interpolated_multiline_string_start,
    STATE(8285), 1,
      sym_interpolated_string,
    STATE(15365), 1,
      sym__interpolated_string_start,
    ACTIONS(11159), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369668] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369714] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(493), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(10671), 1,
      anon_sym_DOT,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(11161), 1,
      anon_sym_EQ,
    ACTIONS(11163), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7377), 2,
      sym_comment,
      sym_block_comment,
    STATE(9933), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [369778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10562), 1,
      anon_sym_EQ_GT,
    STATE(7379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369900] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(493), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(10671), 1,
      anon_sym_DOT,
    ACTIONS(11165), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7381), 2,
      sym_comment,
      sym_block_comment,
    STATE(9933), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [369964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370044] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10428), 1,
      anon_sym_with,
    STATE(9804), 1,
      aux_sym_compound_type_repeat1,
    STATE(9807), 1,
      sym__refinement,
    STATE(9830), 1,
      sym_template_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7944), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370254] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9025), 1,
      sym__interpolated_multiline_string_start,
    STATE(8912), 1,
      sym_interpolated_string,
    STATE(15748), 1,
      sym__interpolated_string_start,
    ACTIONS(11167), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370384] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9641), 1,
      anon_sym_AT,
    STATE(7339), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8649), 1,
      sym_annotation,
    STATE(7392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11169), 1,
      anon_sym_with,
    STATE(7393), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370512] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11172), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7395), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [370582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370622] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11174), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7397), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [370692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370812] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10866), 1,
      anon_sym_LBRACK,
    ACTIONS(10870), 1,
      anon_sym_POUND,
    ACTIONS(11176), 1,
      anon_sym_AT,
    STATE(8459), 1,
      sym_type_arguments,
    STATE(9410), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10015), 1,
      sym_annotation,
    STATE(7401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370904] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9589), 1,
      sym__backquoted_id,
    STATE(4516), 1,
      aux_sym_modifiers_repeat1,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(7403), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(11178), 10,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370952] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    ACTIONS(9056), 1,
      anon_sym_DOT,
    ACTIONS(9848), 1,
      sym__alpha_identifier,
    ACTIONS(9854), 1,
      sym__backquoted_id,
    ACTIONS(9856), 1,
      sym_operator_identifier,
    ACTIONS(11180), 1,
      anon_sym_EQ,
    STATE(589), 1,
      sym_identifier,
    STATE(4170), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7404), 2,
      sym_comment,
      sym_block_comment,
    STATE(8023), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9850), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [371016] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(8806), 1,
      sym__interpolated_multiline_string_start,
    STATE(7671), 1,
      sym_interpolated_string,
    STATE(15652), 1,
      sym__interpolated_string_start,
    ACTIONS(10455), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9161), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9215), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9230), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11143), 1,
      anon_sym_type,
    STATE(7412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [371354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371474] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11182), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7416), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [371544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371584] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9114), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371626] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11184), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7419), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [371696] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_finally,
    ACTIONS(10999), 1,
      anon_sym_COLON,
    ACTIONS(11001), 1,
      anon_sym_LBRACE,
    ACTIONS(11003), 1,
      anon_sym_with,
    STATE(7001), 1,
      aux_sym_compound_type_repeat1,
    STATE(11143), 1,
      sym_template_body,
    STATE(11153), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7420), 2,
      sym_comment,
      sym_block_comment,
    STATE(11097), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371796] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11188), 1,
      anon_sym_LPAREN,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    STATE(9158), 1,
      aux_sym_annotation_repeat1,
    STATE(9467), 1,
      sym_type_arguments,
    STATE(10328), 1,
      sym_arguments,
    STATE(7422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7736), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372088] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11192), 1,
      anon_sym_LPAREN,
    STATE(8799), 1,
      sym_arguments,
    STATE(7429), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372172] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11195), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7431), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [372242] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11197), 1,
      anon_sym_COLON,
    ACTIONS(11200), 1,
      anon_sym_LBRACE,
    STATE(9145), 1,
      sym_template_body,
    STATE(7432), 2,
      sym_comment,
      sym_block_comment,
    STATE(9404), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372370] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10193), 1,
      anon_sym_LPAREN,
    STATE(7429), 1,
      aux_sym_annotation_repeat1,
    STATE(8799), 1,
      sym_arguments,
    STATE(7435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372416] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10481), 1,
      sym__interpolated_multiline_string_start,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11325), 1,
      sym_interpolated_string,
    STATE(16308), 1,
      sym__interpolated_string_start,
    STATE(7436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11203), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [372474] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    ACTIONS(10481), 1,
      sym__interpolated_multiline_string_start,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11325), 1,
      sym_interpolated_string,
    STATE(16308), 1,
      sym__interpolated_string_start,
    ACTIONS(11207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11209), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [372544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372666] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10481), 1,
      sym__interpolated_multiline_string_start,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11325), 1,
      sym_interpolated_string,
    STATE(16308), 1,
      sym__interpolated_string_start,
    STATE(7441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11211), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [372724] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11215), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7442), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [372794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11217), 1,
      anon_sym_with,
    STATE(7443), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11220), 1,
      anon_sym_DOT,
    STATE(7444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [372958] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11222), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7447), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [373028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373228] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10085), 1,
      anon_sym_AT,
    STATE(7284), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8603), 1,
      sym_annotation,
    STATE(7453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373274] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11224), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7454), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [373344] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7906), 1,
      sym__end_marker,
    STATE(7455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373426] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10741), 1,
      anon_sym_DOT,
    ACTIONS(11226), 1,
      anon_sym_EQ_GT,
    STATE(7457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373550] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11228), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7460), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [373620] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(11230), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7461), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [373690] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11065), 1,
      anon_sym_COLON,
    ACTIONS(11070), 1,
      anon_sym_with,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(7371), 1,
      aux_sym_compound_type_repeat1,
    STATE(10718), 1,
      sym__refinement,
    STATE(10721), 1,
      sym_template_body,
    STATE(7462), 2,
      sym_comment,
      sym_block_comment,
    STATE(10729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373784] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    STATE(8918), 1,
      sym_arguments,
    STATE(7464), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373828] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11235), 1,
      anon_sym_DOT,
    STATE(7465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11237), 1,
      anon_sym_with,
    STATE(7466), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8957), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374034] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9102), 1,
      sym__interpolated_multiline_string_start,
    STATE(8285), 1,
      sym_interpolated_string,
    STATE(15365), 1,
      sym__interpolated_string_start,
    ACTIONS(11240), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374084] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(493), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(10671), 1,
      anon_sym_DOT,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    ACTIONS(11242), 1,
      anon_sym_EQ,
    STATE(667), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(7471), 2,
      sym_comment,
      sym_block_comment,
    STATE(9933), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [374148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374188] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9522), 1,
      anon_sym_LPAREN,
    STATE(7464), 1,
      aux_sym_annotation_repeat1,
    STATE(8918), 1,
      sym_arguments,
    STATE(7473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11244), 1,
      anon_sym_DOT,
    STATE(7475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374396] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9025), 1,
      sym__interpolated_multiline_string_start,
    STATE(8912), 1,
      sym_interpolated_string,
    STATE(15748), 1,
      sym__interpolated_string_start,
    ACTIONS(11246), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374446] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(11106), 1,
      sym__interpolated_multiline_string_start,
    STATE(10517), 1,
      sym_interpolated_string,
    STATE(15323), 1,
      sym__interpolated_string_start,
    ACTIONS(11248), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374576] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    ACTIONS(9056), 1,
      anon_sym_DOT,
    ACTIONS(9848), 1,
      sym__alpha_identifier,
    ACTIONS(9854), 1,
      sym__backquoted_id,
    ACTIONS(9856), 1,
      sym_operator_identifier,
    ACTIONS(11250), 1,
      anon_sym_EQ,
    STATE(589), 1,
      sym_identifier,
    STATE(4170), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7482), 2,
      sym_comment,
      sym_block_comment,
    STATE(8023), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9850), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [374640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9110), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374682] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8489), 1,
      sym_operator_identifier,
    STATE(1752), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [374738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374778] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11252), 1,
      anon_sym_AT,
    STATE(8636), 1,
      sym_annotation,
    STATE(7486), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374862] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11255), 1,
      anon_sym_LPAREN,
    STATE(8929), 1,
      sym_arguments,
    STATE(7488), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374906] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11258), 1,
      anon_sym_AT,
    STATE(8891), 1,
      sym_annotation,
    STATE(7489), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374950] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10111), 1,
      anon_sym_LPAREN,
    STATE(7488), 1,
      aux_sym_annotation_repeat1,
    STATE(8929), 1,
      sym_arguments,
    STATE(7490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375076] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10911), 1,
      anon_sym_COLON,
    ACTIONS(10913), 1,
      anon_sym_LBRACE,
    ACTIONS(10915), 1,
      anon_sym_with,
    STATE(9928), 1,
      aux_sym_compound_type_repeat1,
    STATE(11036), 1,
      sym__refinement,
    STATE(11170), 1,
      sym_template_body,
    STATE(7493), 2,
      sym_comment,
      sym_block_comment,
    STATE(11091), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375130] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4360), 1,
      anon_sym__,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(7004), 1,
      sym_operator_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    STATE(4453), 1,
      sym__simple_type,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4583), 1,
      sym_identifier,
    STATE(5495), 1,
      sym_annotated_type,
    STATE(5560), 1,
      sym__annotated_type,
    STATE(16908), 1,
      sym_stable_identifier,
    STATE(7494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375269] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11143), 1,
      anon_sym_type,
    STATE(7497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [375310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11261), 1,
      anon_sym_DOT,
    STATE(7501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375468] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10923), 1,
      anon_sym_LBRACK,
    ACTIONS(10927), 1,
      anon_sym_POUND,
    ACTIONS(11263), 1,
      anon_sym_AT,
    STATE(9242), 1,
      sym_type_arguments,
    STATE(9771), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10435), 1,
      sym_annotation,
    STATE(7502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375519] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8896), 1,
      sym_arguments,
    STATE(7503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375560] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9341), 1,
      sym__interpolated_multiline_string_start,
    STATE(8951), 1,
      sym_interpolated_string,
    STATE(16193), 1,
      sym__interpolated_string_start,
    ACTIONS(11265), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [375646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375685] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(10536), 1,
      anon_sym_LPAREN,
    ACTIONS(11267), 1,
      sym__alpha_identifier,
    ACTIONS(11269), 1,
      anon_sym_DOT,
    ACTIONS(11273), 1,
      anon_sym_EQ,
    ACTIONS(11275), 1,
      sym__backquoted_id,
    ACTIONS(11277), 1,
      sym_operator_identifier,
    STATE(659), 1,
      sym_identifier,
    STATE(4200), 1,
      sym__soft_identifier,
    STATE(7507), 2,
      sym_comment,
      sym_block_comment,
    STATE(10523), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11271), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [375748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [375787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9639), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375867] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8122), 1,
      sym__alpha_identifier,
    ACTIONS(8124), 1,
      anon_sym__,
    ACTIONS(8128), 1,
      anon_sym_LPAREN,
    ACTIONS(8130), 1,
      sym__backquoted_id,
    ACTIONS(8132), 1,
      sym_operator_identifier,
    STATE(5026), 1,
      sym__simple_type,
    STATE(6304), 1,
      sym_identifier,
    STATE(6765), 1,
      sym__soft_identifier,
    STATE(7659), 1,
      sym__annotated_type,
    STATE(7928), 1,
      sym_annotated_type,
    STATE(17123), 1,
      sym_stable_identifier,
    STATE(7511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8126), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6680), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376006] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    ACTIONS(11281), 1,
      anon_sym_with,
    STATE(10090), 1,
      aux_sym_compound_type_repeat1,
    STATE(10951), 1,
      sym__refinement,
    STATE(10994), 1,
      sym_template_body,
    STATE(7514), 2,
      sym_comment,
      sym_block_comment,
    STATE(11100), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7942), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [376096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376174] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1464), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(9623), 1,
      anon_sym_DOT,
    ACTIONS(10797), 1,
      sym__alpha_identifier,
    ACTIONS(10803), 1,
      sym__backquoted_id,
    ACTIONS(10805), 1,
      sym_operator_identifier,
    ACTIONS(11283), 1,
      anon_sym_EQ,
    STATE(598), 1,
      sym_identifier,
    STATE(4187), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
    STATE(8351), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(10799), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [376237] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11285), 1,
      anon_sym_COLON,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11295), 1,
      anon_sym_EQ,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(15865), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [376310] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(15363), 1,
      sym__variant_type_parameter,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(7520), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [376377] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9246), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376418] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(10536), 1,
      anon_sym_LPAREN,
    ACTIONS(11269), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7522), 2,
      sym_comment,
      sym_block_comment,
    STATE(10523), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8036), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8034), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376469] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8489), 1,
      sym_operator_identifier,
    STATE(1752), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [376522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376561] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8455), 1,
      sym__alpha_identifier,
    ACTIONS(8457), 1,
      anon_sym__,
    ACTIONS(8461), 1,
      anon_sym_LPAREN,
    ACTIONS(8463), 1,
      sym__backquoted_id,
    ACTIONS(8465), 1,
      sym_operator_identifier,
    STATE(4789), 1,
      sym__simple_type,
    STATE(5570), 1,
      sym__soft_identifier,
    STATE(5662), 1,
      sym_identifier,
    STATE(7020), 1,
      sym__annotated_type,
    STATE(7031), 1,
      sym_annotated_type,
    STATE(17719), 1,
      sym_stable_identifier,
    STATE(7525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8459), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5673), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376622] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11303), 1,
      anon_sym_AT,
    STATE(8939), 1,
      sym_annotation,
    STATE(7526), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376743] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11306), 1,
      anon_sym_COLON,
    ACTIONS(11309), 1,
      anon_sym_LBRACE,
    STATE(9799), 1,
      sym_template_body,
    STATE(5972), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376829] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8214), 1,
      sym__alpha_identifier,
    ACTIONS(8216), 1,
      anon_sym__,
    ACTIONS(8220), 1,
      anon_sym_LPAREN,
    ACTIONS(8222), 1,
      sym__backquoted_id,
    ACTIONS(8224), 1,
      sym_operator_identifier,
    STATE(5516), 1,
      sym__simple_type,
    STATE(7669), 1,
      sym__soft_identifier,
    STATE(7866), 1,
      sym_identifier,
    STATE(9465), 1,
      sym__annotated_type,
    STATE(9578), 1,
      sym_annotated_type,
    STATE(16659), 1,
      sym_stable_identifier,
    STATE(7531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8218), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7994), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377046] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6894), 1,
      anon_sym__,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(6904), 1,
      sym_operator_identifier,
    ACTIONS(9813), 1,
      anon_sym_LPAREN,
    STATE(7401), 1,
      sym__simple_type,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(7817), 1,
      sym_identifier,
    STATE(10444), 1,
      sym_annotated_type,
    STATE(10552), 1,
      sym__annotated_type,
    STATE(17039), 1,
      sym_stable_identifier,
    STATE(7536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8512), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377185] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7840), 1,
      sym__alpha_identifier,
    ACTIONS(7846), 1,
      anon_sym__,
    ACTIONS(7850), 1,
      anon_sym_LPAREN,
    ACTIONS(7852), 1,
      sym__backquoted_id,
    ACTIONS(7854), 1,
      sym_operator_identifier,
    STATE(11304), 1,
      sym__simple_type,
    STATE(11741), 1,
      sym_identifier,
    STATE(11889), 1,
      sym__soft_identifier,
    STATE(13440), 1,
      sym__annotated_type,
    STATE(13475), 1,
      sym_annotated_type,
    STATE(17447), 1,
      sym_stable_identifier,
    STATE(7539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377246] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1694), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8763), 1,
      anon_sym_LPAREN,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9279), 1,
      anon_sym_DOT,
    ACTIONS(10626), 1,
      sym__alpha_identifier,
    ACTIONS(10632), 1,
      sym__backquoted_id,
    ACTIONS(10634), 1,
      sym_operator_identifier,
    ACTIONS(11312), 1,
      anon_sym_EQ,
    STATE(607), 1,
      sym_identifier,
    STATE(4174), 1,
      sym__soft_identifier,
    STATE(7540), 2,
      sym_comment,
      sym_block_comment,
    STATE(8607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [377309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377387] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6836), 1,
      anon_sym__,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    ACTIONS(10260), 1,
      anon_sym_LPAREN,
    STATE(4781), 1,
      sym__simple_type,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4998), 1,
      sym_identifier,
    STATE(6994), 1,
      sym__annotated_type,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(17725), 1,
      sym_stable_identifier,
    STATE(7543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377643] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6912), 1,
      anon_sym__,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym_operator_identifier,
    ACTIONS(10233), 1,
      anon_sym_LPAREN,
    STATE(4677), 1,
      sym__simple_type,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5075), 1,
      sym_identifier,
    STATE(7039), 1,
      sym__annotated_type,
    STATE(7043), 1,
      sym_annotated_type,
    STATE(17713), 1,
      sym_stable_identifier,
    STATE(7549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377704] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11322), 1,
      anon_sym_RPAREN,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15621), 1,
      sym__interpolated_string_start,
    STATE(16211), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(7550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [377777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377855] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10010), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11330), 1,
      anon_sym_COLON,
    STATE(9754), 1,
      sym_interpolated_string,
    STATE(15487), 1,
      sym__interpolated_string_start,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377947] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8080), 1,
      anon_sym_match,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10536), 1,
      anon_sym_LPAREN,
    ACTIONS(11269), 1,
      anon_sym_DOT,
    ACTIONS(11336), 1,
      sym_operator_identifier,
    STATE(1725), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7555), 2,
      sym_comment,
      sym_block_comment,
    STATE(10523), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [378010] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11338), 1,
      anon_sym_COLON,
    ACTIONS(11340), 1,
      anon_sym_EQ,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(15421), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [378083] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11342), 1,
      anon_sym_COLON,
    ACTIONS(11344), 1,
      anon_sym_EQ,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(15424), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [378156] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    ACTIONS(9736), 1,
      anon_sym_LPAREN,
    STATE(7791), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(10668), 1,
      sym_annotated_type,
    STATE(10684), 1,
      sym__annotated_type,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(7558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378217] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6716), 1,
      anon_sym__,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(6726), 1,
      sym_operator_identifier,
    ACTIONS(10279), 1,
      anon_sym_LPAREN,
    STATE(6066), 1,
      sym__simple_type,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6673), 1,
      sym_identifier,
    STATE(9166), 1,
      sym__annotated_type,
    STATE(9192), 1,
      sym_annotated_type,
    STATE(17737), 1,
      sym_stable_identifier,
    STATE(7559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378278] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11352), 1,
      anon_sym_EQ_GT,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11362), 1,
      sym__interpolated_multiline_string_start,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11822), 1,
      sym_interpolated_string,
    STATE(15237), 1,
      sym__interpolated_string_start,
    STATE(17686), 1,
      sym_guard,
    STATE(7560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [378351] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10421), 1,
      anon_sym_LPAREN,
    STATE(7576), 1,
      aux_sym_annotation_repeat1,
    STATE(9010), 1,
      sym_arguments,
    STATE(7561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378396] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11364), 1,
      anon_sym_COMMA,
    ACTIONS(11366), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15621), 1,
      sym__interpolated_string_start,
    STATE(16137), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(7562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [378469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378547] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6786), 1,
      anon_sym__,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(6796), 1,
      sym_operator_identifier,
    ACTIONS(10217), 1,
      anon_sym_LPAREN,
    STATE(4503), 1,
      sym__simple_type,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4548), 1,
      sym_identifier,
    STATE(5893), 1,
      sym__annotated_type,
    STATE(5909), 1,
      sym_annotated_type,
    STATE(17707), 1,
      sym_stable_identifier,
    STATE(7565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4705), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378608] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8338), 1,
      sym__alpha_identifier,
    ACTIONS(8340), 1,
      anon_sym__,
    ACTIONS(8344), 1,
      anon_sym_LPAREN,
    ACTIONS(8346), 1,
      sym__backquoted_id,
    ACTIONS(8348), 1,
      sym_operator_identifier,
    STATE(5197), 1,
      sym__simple_type,
    STATE(7232), 1,
      sym__soft_identifier,
    STATE(7475), 1,
      sym_identifier,
    STATE(8728), 1,
      sym__annotated_type,
    STATE(8899), 1,
      sym_annotated_type,
    STATE(17473), 1,
      sym_stable_identifier,
    STATE(7566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378864] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11368), 1,
      sym__alpha_identifier,
    ACTIONS(11370), 1,
      anon_sym__,
    ACTIONS(11374), 1,
      anon_sym_LPAREN,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11378), 1,
      sym_operator_identifier,
    STATE(13698), 1,
      sym__simple_type,
    STATE(14053), 1,
      sym_identifier,
    STATE(14063), 1,
      sym__soft_identifier,
    STATE(14978), 1,
      sym_annotated_type,
    STATE(15092), 1,
      sym__annotated_type,
    STATE(17166), 1,
      sym_stable_identifier,
    STATE(7572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14283), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379003] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(11382), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15621), 1,
      sym__interpolated_string_start,
    STATE(16208), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(7575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [379076] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11384), 1,
      anon_sym_LPAREN,
    STATE(9010), 1,
      sym_arguments,
    STATE(7576), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379158] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11387), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15451), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15621), 1,
      sym__interpolated_string_start,
    STATE(7578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [379231] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4382), 1,
      anon_sym__,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(6668), 1,
      sym_operator_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    STATE(4650), 1,
      sym__simple_type,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5030), 1,
      sym_identifier,
    STATE(6962), 1,
      sym__annotated_type,
    STATE(6972), 1,
      sym_annotated_type,
    STATE(17749), 1,
      sym_stable_identifier,
    STATE(7579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5207), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379411] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8276), 1,
      sym__alpha_identifier,
    ACTIONS(8282), 1,
      anon_sym__,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      sym__backquoted_id,
    ACTIONS(8290), 1,
      sym_operator_identifier,
    STATE(4528), 1,
      sym__simple_type,
    STATE(4867), 1,
      sym_identifier,
    STATE(4959), 1,
      sym__soft_identifier,
    STATE(5920), 1,
      sym__annotated_type,
    STATE(5933), 1,
      sym_annotated_type,
    STATE(17701), 1,
      sym_stable_identifier,
    STATE(7583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379472] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(10536), 1,
      anon_sym_LPAREN,
    ACTIONS(11269), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7584), 2,
      sym_comment,
      sym_block_comment,
    STATE(10523), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379603] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11389), 1,
      anon_sym_with,
    STATE(7587), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379644] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(11986), 1,
      sym__simple_type,
    STATE(13504), 1,
      sym_annotated_type,
    STATE(14058), 1,
      sym__annotated_type,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(7588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379705] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15547), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15621), 1,
      sym__interpolated_string_start,
    STATE(7589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [379778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379934] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6482), 1,
      anon_sym__,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(6492), 1,
      sym_operator_identifier,
    ACTIONS(10351), 1,
      anon_sym_LPAREN,
    STATE(5928), 1,
      sym__simple_type,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6706), 1,
      sym_identifier,
    STATE(9058), 1,
      sym__annotated_type,
    STATE(9085), 1,
      sym_annotated_type,
    STATE(17755), 1,
      sym_stable_identifier,
    STATE(7594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6851), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379995] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11392), 1,
      anon_sym_COLON,
    ACTIONS(11394), 1,
      anon_sym_EQ,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(15550), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [380068] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11396), 1,
      anon_sym_COLON,
    ACTIONS(11398), 1,
      anon_sym_EQ,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(15539), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [380141] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8393), 1,
      sym__alpha_identifier,
    ACTIONS(8395), 1,
      anon_sym__,
    ACTIONS(8399), 1,
      anon_sym_LPAREN,
    ACTIONS(8401), 1,
      sym__backquoted_id,
    ACTIONS(8403), 1,
      sym_operator_identifier,
    STATE(6223), 1,
      sym__simple_type,
    STATE(8381), 1,
      sym_identifier,
    STATE(8480), 1,
      sym__soft_identifier,
    STATE(9590), 1,
      sym_annotated_type,
    STATE(9851), 1,
      sym__annotated_type,
    STATE(17207), 1,
      sym_stable_identifier,
    STATE(7597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8397), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380241] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6518), 1,
      anon_sym__,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(6528), 1,
      sym_operator_identifier,
    ACTIONS(10186), 1,
      anon_sym_LPAREN,
    STATE(5631), 1,
      sym__simple_type,
    STATE(6307), 1,
      sym_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(9749), 1,
      sym_annotated_type,
    STATE(9832), 1,
      sym__annotated_type,
    STATE(16956), 1,
      sym_stable_identifier,
    STATE(7599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380302] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8018), 1,
      sym__alpha_identifier,
    ACTIONS(8024), 1,
      anon_sym__,
    ACTIONS(8028), 1,
      anon_sym_LPAREN,
    ACTIONS(8030), 1,
      sym__backquoted_id,
    ACTIONS(8032), 1,
      sym_operator_identifier,
    STATE(4573), 1,
      sym__simple_type,
    STATE(5240), 1,
      sym__soft_identifier,
    STATE(5487), 1,
      sym_identifier,
    STATE(6453), 1,
      sym__annotated_type,
    STATE(6606), 1,
      sym_annotated_type,
    STATE(16886), 1,
      sym_stable_identifier,
    STATE(7600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5363), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380402] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11400), 1,
      anon_sym_COMMA,
    ACTIONS(11402), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15621), 1,
      sym__interpolated_string_start,
    STATE(15697), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(7602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [380475] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    STATE(5348), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(8712), 1,
      sym__annotated_type,
    STATE(8736), 1,
      sym_annotated_type,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(7603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380536] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11362), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11404), 1,
      anon_sym_EQ_GT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11822), 1,
      sym_interpolated_string,
    STATE(15237), 1,
      sym__interpolated_string_start,
    STATE(18327), 1,
      sym_guard,
    STATE(7604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [380609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380765] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11406), 1,
      anon_sym_COLON,
    ACTIONS(11408), 1,
      anon_sym_EQ,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(15539), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [380838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380877] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11410), 1,
      anon_sym_COLON,
    ACTIONS(11412), 1,
      anon_sym_EQ,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(15550), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [380950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380989] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      anon_sym__,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(6510), 1,
      sym_operator_identifier,
    ACTIONS(10143), 1,
      anon_sym_LPAREN,
    STATE(7309), 1,
      sym__simple_type,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(7957), 1,
      sym_identifier,
    STATE(10188), 1,
      sym_annotated_type,
    STATE(10281), 1,
      sym__annotated_type,
    STATE(17689), 1,
      sym_stable_identifier,
    STATE(7613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8879), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381089] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(16526), 1,
      sym__variant_type_parameter,
    STATE(7615), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [381156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381273] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10765), 1,
      anon_sym_AT,
    STATE(7765), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9393), 1,
      sym_annotation,
    STATE(7619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11226), 1,
      anon_sym_EQ_GT,
    STATE(7623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381476] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4734), 1,
      anon_sym__,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    ACTIONS(10381), 1,
      anon_sym_LPAREN,
    STATE(5152), 1,
      sym__simple_type,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(5745), 1,
      sym_identifier,
    STATE(8834), 1,
      sym_annotated_type,
    STATE(8855), 1,
      sym__annotated_type,
    STATE(17767), 1,
      sym_stable_identifier,
    STATE(7624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381771] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9256), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381851] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11414), 1,
      anon_sym_COLON,
    ACTIONS(11416), 1,
      anon_sym_LBRACE,
    ACTIONS(11418), 1,
      anon_sym_with,
    STATE(10297), 1,
      aux_sym_compound_type_repeat1,
    STATE(11308), 1,
      sym_template_body,
    STATE(11321), 1,
      sym__refinement,
    STATE(7633), 2,
      sym_comment,
      sym_block_comment,
    STATE(11228), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381982] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(9095), 1,
      anon_sym_DOT,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(9366), 1,
      sym_operator_identifier,
    ACTIONS(11420), 1,
      anon_sym_EQ,
    STATE(596), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    STATE(7636), 2,
      sym_comment,
      sym_block_comment,
    STATE(7670), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [382045] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6013), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(7637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382088] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382246] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8160), 1,
      sym__alpha_identifier,
    ACTIONS(8166), 1,
      anon_sym__,
    ACTIONS(8170), 1,
      anon_sym_LPAREN,
    ACTIONS(8172), 1,
      sym__backquoted_id,
    ACTIONS(8174), 1,
      sym_operator_identifier,
    STATE(4551), 1,
      sym__simple_type,
    STATE(5212), 1,
      sym__soft_identifier,
    STATE(5428), 1,
      sym_identifier,
    STATE(6570), 1,
      sym_annotated_type,
    STATE(6682), 1,
      sym__annotated_type,
    STATE(17328), 1,
      sym_stable_identifier,
    STATE(7642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5313), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382385] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11422), 1,
      anon_sym_COLON,
    ACTIONS(11424), 1,
      anon_sym_LBRACE,
    ACTIONS(11426), 1,
      anon_sym_with,
    STATE(10313), 1,
      aux_sym_compound_type_repeat1,
    STATE(10890), 1,
      sym_template_body,
    STATE(10924), 1,
      sym__refinement,
    STATE(7645), 2,
      sym_comment,
      sym_block_comment,
    STATE(10941), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382438] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(9341), 1,
      sym__interpolated_multiline_string_start,
    STATE(8951), 1,
      sym_interpolated_string,
    STATE(16193), 1,
      sym__interpolated_string_start,
    ACTIONS(11428), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382565] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9382), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382684] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382803] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8405), 1,
      sym__alpha_identifier,
    ACTIONS(8407), 1,
      anon_sym__,
    ACTIONS(8411), 1,
      anon_sym_LPAREN,
    ACTIONS(8413), 1,
      sym__backquoted_id,
    ACTIONS(8415), 1,
      sym_operator_identifier,
    STATE(5595), 1,
      sym__simple_type,
    STATE(7986), 1,
      sym__soft_identifier,
    STATE(8047), 1,
      sym_identifier,
    STATE(8969), 1,
      sym__annotated_type,
    STATE(9082), 1,
      sym_annotated_type,
    STATE(17153), 1,
      sym_stable_identifier,
    STATE(7655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8409), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8144), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382864] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11430), 1,
      anon_sym_AT,
    STATE(9111), 1,
      sym_annotation,
    STATE(7656), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382946] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10883), 1,
      anon_sym_DOT,
    ACTIONS(11433), 1,
      anon_sym_EQ_GT,
    STATE(7658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383184] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9637), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383342] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10313), 1,
      anon_sym_LPAREN,
    STATE(7696), 1,
      aux_sym_annotation_repeat1,
    STATE(9399), 1,
      sym_arguments,
    STATE(7668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [383426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383504] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1464), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(9623), 1,
      anon_sym_DOT,
    ACTIONS(10797), 1,
      sym__alpha_identifier,
    ACTIONS(10803), 1,
      sym__backquoted_id,
    ACTIONS(10805), 1,
      sym_operator_identifier,
    ACTIONS(11435), 1,
      anon_sym_EQ,
    STATE(598), 1,
      sym_identifier,
    STATE(4187), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
    STATE(8351), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(10799), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [383567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383684] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383803] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(10121), 1,
      anon_sym_LPAREN,
    STATE(5955), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6470), 1,
      sym_identifier,
    STATE(9512), 1,
      sym__annotated_type,
    STATE(9546), 1,
      sym_annotated_type,
    STATE(17677), 1,
      sym_stable_identifier,
    STATE(7679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6918), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383864] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4900), 1,
      anon_sym__,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(6314), 1,
      sym_operator_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    STATE(5868), 1,
      sym__simple_type,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(6488), 1,
      sym_identifier,
    STATE(8968), 1,
      sym__annotated_type,
    STATE(9006), 1,
      sym_annotated_type,
    STATE(17773), 1,
      sym_stable_identifier,
    STATE(7680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6926), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9471), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384005] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8202), 1,
      sym__alpha_identifier,
    ACTIONS(8204), 1,
      anon_sym__,
    ACTIONS(8208), 1,
      anon_sym_LPAREN,
    ACTIONS(8210), 1,
      sym__backquoted_id,
    ACTIONS(8212), 1,
      sym_operator_identifier,
    STATE(7005), 1,
      sym__simple_type,
    STATE(8981), 1,
      sym_identifier,
    STATE(9125), 1,
      sym__soft_identifier,
    STATE(10161), 1,
      sym__annotated_type,
    STATE(10285), 1,
      sym_annotated_type,
    STATE(17112), 1,
      sym_stable_identifier,
    STATE(7683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8206), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9190), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384066] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(9780), 1,
      anon_sym_LPAREN,
    STATE(7756), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(10696), 1,
      sym_annotated_type,
    STATE(10739), 1,
      sym__annotated_type,
    STATE(17357), 1,
      sym_stable_identifier,
    STATE(7684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384556] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11437), 1,
      anon_sym_LPAREN,
    STATE(9399), 1,
      sym_arguments,
    STATE(7696), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384716] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1694), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8763), 1,
      anon_sym_LPAREN,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9279), 1,
      anon_sym_DOT,
    ACTIONS(10626), 1,
      sym__alpha_identifier,
    ACTIONS(10632), 1,
      sym__backquoted_id,
    ACTIONS(10634), 1,
      sym_operator_identifier,
    ACTIONS(11440), 1,
      anon_sym_EQ,
    STATE(607), 1,
      sym_identifier,
    STATE(4174), 1,
      sym__soft_identifier,
    STATE(7700), 2,
      sym_comment,
      sym_block_comment,
    STATE(8607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [384779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385013] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9283), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385171] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11157), 1,
      anon_sym_EQ_GT,
    STATE(7711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385251] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    STATE(7314), 1,
      sym__simple_type,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8057), 1,
      sym_identifier,
    STATE(10191), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym__annotated_type,
    STATE(17645), 1,
      sym_stable_identifier,
    STATE(7713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11442), 1,
      anon_sym_DOT,
    STATE(7714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385353] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4834), 1,
      anon_sym__,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    ACTIONS(10397), 1,
      anon_sym_LPAREN,
    STATE(4520), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4620), 1,
      sym_identifier,
    STATE(5571), 1,
      sym__annotated_type,
    STATE(5589), 1,
      sym_annotated_type,
    STATE(17779), 1,
      sym_stable_identifier,
    STATE(7715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385453] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8264), 1,
      sym__alpha_identifier,
    ACTIONS(8266), 1,
      anon_sym__,
    ACTIONS(8270), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      sym__backquoted_id,
    ACTIONS(8274), 1,
      sym_operator_identifier,
    STATE(5548), 1,
      sym__simple_type,
    STATE(7931), 1,
      sym__soft_identifier,
    STATE(8136), 1,
      sym_identifier,
    STATE(9454), 1,
      sym__annotated_type,
    STATE(9484), 1,
      sym_annotated_type,
    STATE(17671), 1,
      sym_stable_identifier,
    STATE(7717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7573), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [385553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385826] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9834), 1,
      anon_sym_AT,
    STATE(7861), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9573), 1,
      sym_annotation,
    STATE(7726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [385949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386027] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4296), 1,
      anon_sym__,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(6962), 1,
      sym_operator_identifier,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    STATE(4849), 1,
      sym__simple_type,
    STATE(5236), 1,
      sym_identifier,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(7538), 1,
      sym_annotated_type,
    STATE(7677), 1,
      sym__annotated_type,
    STATE(17486), 1,
      sym_stable_identifier,
    STATE(7731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5973), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [386088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386283] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11444), 1,
      anon_sym_with,
    STATE(7737), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386324] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11447), 1,
      anon_sym_AT,
    STATE(9216), 1,
      sym_annotation,
    STATE(7738), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386367] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(10929), 1,
      anon_sym_LBRACE,
    ACTIONS(10931), 1,
      anon_sym_with,
    ACTIONS(11450), 1,
      anon_sym_COLON,
    STATE(6873), 1,
      aux_sym_compound_type_repeat1,
    STATE(10745), 1,
      sym__refinement,
    STATE(10746), 1,
      sym_template_body,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7916), 2,
      anon_sym_STAR,
      anon_sym_PIPE,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7739), 2,
      sym_comment,
      sym_block_comment,
    STATE(10680), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386465] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(848), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    ACTIONS(10566), 1,
      anon_sym_DOT,
    ACTIONS(10568), 1,
      sym_operator_identifier,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_match,
      anon_sym_then,
    STATE(7741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9757), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [386528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386567] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6800), 1,
      anon_sym__,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(6810), 1,
      sym_operator_identifier,
    ACTIONS(9823), 1,
      anon_sym_LPAREN,
    STATE(7502), 1,
      sym__simple_type,
    STATE(8583), 1,
      sym_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(10672), 1,
      sym__annotated_type,
    STATE(10777), 1,
      sym_annotated_type,
    STATE(17018), 1,
      sym_stable_identifier,
    STATE(7743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9382), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [386628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386784] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11453), 1,
      anon_sym_COLON,
    ACTIONS(11456), 1,
      anon_sym_LBRACE,
    STATE(9733), 1,
      sym_template_body,
    STATE(7748), 2,
      sym_comment,
      sym_block_comment,
    STATE(8739), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8711), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386831] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7896), 1,
      sym__alpha_identifier,
    ACTIONS(7902), 1,
      anon_sym__,
    ACTIONS(7906), 1,
      anon_sym_LPAREN,
    ACTIONS(7908), 1,
      sym__backquoted_id,
    ACTIONS(7910), 1,
      sym_operator_identifier,
    STATE(13002), 1,
      sym__simple_type,
    STATE(13535), 1,
      sym_identifier,
    STATE(13652), 1,
      sym__soft_identifier,
    STATE(14435), 1,
      sym_annotated_type,
    STATE(14471), 1,
      sym__annotated_type,
    STATE(17867), 1,
      sym_stable_identifier,
    STATE(7749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13955), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [386892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387009] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6978), 1,
      anon_sym__,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(6988), 1,
      sym_operator_identifier,
    ACTIONS(10012), 1,
      anon_sym_LPAREN,
    STATE(5113), 1,
      sym__simple_type,
    STATE(5703), 1,
      sym_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(8432), 1,
      sym__annotated_type,
    STATE(8669), 1,
      sym_annotated_type,
    STATE(17421), 1,
      sym_stable_identifier,
    STATE(7753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6154), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9725), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387150] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10956), 1,
      anon_sym_LBRACK,
    ACTIONS(10960), 1,
      anon_sym_POUND,
    ACTIONS(11459), 1,
      anon_sym_AT,
    STATE(9239), 1,
      sym_type_arguments,
    STATE(9940), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10470), 1,
      sym_annotation,
    ACTIONS(7702), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(7756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387435] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    ACTIONS(9836), 1,
      anon_sym_LPAREN,
    STATE(6541), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(9915), 1,
      sym_annotated_type,
    STATE(9993), 1,
      sym__annotated_type,
    STATE(17499), 1,
      sym_stable_identifier,
    STATE(7763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387535] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11461), 1,
      anon_sym_AT,
    STATE(9393), 1,
      sym_annotation,
    STATE(7765), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387695] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387779] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11464), 1,
      anon_sym_COMMA,
    ACTIONS(11466), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15377), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15621), 1,
      sym__interpolated_string_start,
    STATE(7771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [387852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387891] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8728), 1,
      sym_operator_identifier,
    STATE(1832), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [387946] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11422), 1,
      anon_sym_COLON,
    ACTIONS(11426), 1,
      anon_sym_with,
    STATE(10313), 1,
      aux_sym_compound_type_repeat1,
    STATE(10890), 1,
      sym_template_body,
    STATE(10924), 1,
      sym__refinement,
    STATE(7774), 2,
      sym_comment,
      sym_block_comment,
    STATE(10941), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388036] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(10024), 1,
      anon_sym_LPAREN,
    STATE(6258), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(10072), 1,
      sym__annotated_type,
    STATE(10189), 1,
      sym_annotated_type,
    STATE(18137), 1,
      sym_stable_identifier,
    STATE(7776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388097] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(10377), 1,
      anon_sym_LPAREN,
    STATE(8721), 1,
      sym__simple_type,
    STATE(9355), 1,
      sym_identifier,
    STATE(9432), 1,
      sym__soft_identifier,
    STATE(11123), 1,
      sym__annotated_type,
    STATE(11149), 1,
      sym_annotated_type,
    STATE(17785), 1,
      sym_stable_identifier,
    STATE(7777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9581), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388158] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11468), 1,
      anon_sym_AT,
    STATE(9076), 1,
      sym_annotation,
    STATE(7778), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388240] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym__,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(6746), 1,
      sym_operator_identifier,
    ACTIONS(9938), 1,
      anon_sym_LPAREN,
    STATE(5596), 1,
      sym__simple_type,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym_identifier,
    STATE(9635), 1,
      sym__annotated_type,
    STATE(9802), 1,
      sym_annotated_type,
    STATE(16816), 1,
      sym_stable_identifier,
    STATE(7780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6860), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388652] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11471), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15621), 1,
      sym__interpolated_string_start,
    STATE(16120), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(7790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [388725] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11186), 1,
      anon_sym_LBRACK,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11473), 1,
      anon_sym_AT,
    STATE(9467), 1,
      sym_type_arguments,
    STATE(9803), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10593), 1,
      sym_annotation,
    STATE(7791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388776] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8419), 1,
      sym__alpha_identifier,
    ACTIONS(8425), 1,
      anon_sym__,
    ACTIONS(8429), 1,
      anon_sym_LPAREN,
    ACTIONS(8431), 1,
      sym__backquoted_id,
    ACTIONS(8433), 1,
      sym_operator_identifier,
    STATE(4491), 1,
      sym__simple_type,
    STATE(4877), 1,
      sym__soft_identifier,
    STATE(4935), 1,
      sym_identifier,
    STATE(5730), 1,
      sym__annotated_type,
    STATE(5873), 1,
      sym_annotated_type,
    STATE(18287), 1,
      sym_stable_identifier,
    STATE(7792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8427), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4920), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388837] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8782), 1,
      sym_arguments,
    STATE(7793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388917] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11475), 1,
      anon_sym_COLON,
    ACTIONS(11478), 1,
      anon_sym_LBRACE,
    STATE(9658), 1,
      sym_template_body,
    STATE(5649), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388964] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6021), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(7796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389007] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4548), 1,
      anon_sym__,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(6704), 1,
      sym_operator_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    STATE(4659), 1,
      sym__simple_type,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(4913), 1,
      sym_identifier,
    STATE(6867), 1,
      sym__annotated_type,
    STATE(6877), 1,
      sym_annotated_type,
    STATE(17791), 1,
      sym_stable_identifier,
    STATE(7797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [389068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11481), 1,
      anon_sym_with,
    STATE(7798), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389109] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10827), 1,
      anon_sym_AT,
    STATE(7904), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9271), 1,
      sym_annotation,
    STATE(7799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389154] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389199] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6410), 1,
      anon_sym__,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(6420), 1,
      sym_operator_identifier,
    ACTIONS(10091), 1,
      anon_sym_LPAREN,
    STATE(5246), 1,
      sym__simple_type,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6079), 1,
      sym_identifier,
    STATE(8335), 1,
      sym__annotated_type,
    STATE(8354), 1,
      sym_annotated_type,
    STATE(17659), 1,
      sym_stable_identifier,
    STATE(7801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [389260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389379] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8439), 1,
      sym__alpha_identifier,
    ACTIONS(8445), 1,
      anon_sym__,
    ACTIONS(8449), 1,
      anon_sym_LPAREN,
    ACTIONS(8451), 1,
      sym__backquoted_id,
    ACTIONS(8453), 1,
      sym_operator_identifier,
    STATE(4778), 1,
      sym__simple_type,
    STATE(5521), 1,
      sym_identifier,
    STATE(5839), 1,
      sym__soft_identifier,
    STATE(7335), 1,
      sym__annotated_type,
    STATE(7352), 1,
      sym_annotated_type,
    STATE(16779), 1,
      sym_stable_identifier,
    STATE(7805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8447), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6043), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [389440] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8246), 1,
      sym__alpha_identifier,
    ACTIONS(8248), 1,
      anon_sym__,
    ACTIONS(8252), 1,
      anon_sym_LPAREN,
    ACTIONS(8254), 1,
      sym__backquoted_id,
    ACTIONS(8256), 1,
      sym_operator_identifier,
    STATE(4836), 1,
      sym__simple_type,
    STATE(6280), 1,
      sym__soft_identifier,
    STATE(6681), 1,
      sym_identifier,
    STATE(7616), 1,
      sym_annotated_type,
    STATE(7640), 1,
      sym__annotated_type,
    STATE(17797), 1,
      sym_stable_identifier,
    STATE(7806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6580), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [389501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389657] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11484), 1,
      anon_sym_AT,
    STATE(9561), 1,
      sym_annotation,
    STATE(7811), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389817] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10180), 1,
      anon_sym_AT,
    STATE(7738), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9216), 1,
      sym_annotation,
    STATE(7815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389862] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11487), 1,
      anon_sym_COLON,
    ACTIONS(11489), 1,
      anon_sym_LBRACE,
    ACTIONS(11491), 1,
      anon_sym_with,
    STATE(10071), 1,
      aux_sym_compound_type_repeat1,
    STATE(11278), 1,
      sym__refinement,
    STATE(11292), 1,
      sym_template_body,
    STATE(7816), 2,
      sym_comment,
      sym_block_comment,
    STATE(11243), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7942), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11493), 1,
      anon_sym_DOT,
    STATE(7817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389956] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11110), 1,
      anon_sym_EQ_GT,
    STATE(7818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389997] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    STATE(7865), 1,
      aux_sym_annotation_repeat1,
    STATE(9189), 1,
      sym_arguments,
    STATE(7819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390042] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6930), 1,
      anon_sym__,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(6940), 1,
      sym_operator_identifier,
    ACTIONS(10262), 1,
      anon_sym_LPAREN,
    STATE(5034), 1,
      sym__simple_type,
    STATE(5422), 1,
      sym_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(7657), 1,
      sym_annotated_type,
    STATE(7732), 1,
      sym__annotated_type,
    STATE(17803), 1,
      sym_stable_identifier,
    STATE(7820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5520), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [390103] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11362), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11495), 1,
      anon_sym_EQ_GT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11822), 1,
      sym_interpolated_string,
    STATE(15237), 1,
      sym__interpolated_string_start,
    STATE(17627), 1,
      sym_guard,
    STATE(7821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [390176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390215] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym__,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    STATE(4753), 1,
      sym__simple_type,
    STATE(4955), 1,
      sym_identifier,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(6805), 1,
      sym_annotated_type,
    STATE(6847), 1,
      sym__annotated_type,
    STATE(18028), 1,
      sym_stable_identifier,
    STATE(7823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [390276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390315] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390395] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11422), 1,
      anon_sym_COLON,
    ACTIONS(11426), 1,
      anon_sym_with,
    STATE(7774), 1,
      aux_sym_compound_type_repeat1,
    STATE(10890), 1,
      sym_template_body,
    STATE(10897), 1,
      sym__refinement,
    STATE(7827), 2,
      sym_comment,
      sym_block_comment,
    STATE(10941), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390485] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    ACTIONS(9752), 1,
      anon_sym_LPAREN,
    STATE(6617), 1,
      sym__simple_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(10163), 1,
      sym__annotated_type,
    STATE(10261), 1,
      sym_annotated_type,
    STATE(17512), 1,
      sym_stable_identifier,
    STATE(7829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [390546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11497), 1,
      anon_sym_with,
    STATE(7830), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390782] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390862] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11500), 1,
      anon_sym_COLON,
    ACTIONS(11502), 1,
      anon_sym_EQ,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(15865), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [390935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391013] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11504), 1,
      anon_sym_COLON,
    ACTIONS(11506), 1,
      anon_sym_EQ,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(15861), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [391086] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6880), 1,
      anon_sym__,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(6890), 1,
      sym_operator_identifier,
    ACTIONS(10237), 1,
      anon_sym_LPAREN,
    STATE(5544), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(9114), 1,
      sym_annotated_type,
    STATE(9135), 1,
      sym__annotated_type,
    STATE(17815), 1,
      sym_stable_identifier,
    STATE(7842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391147] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6650), 1,
      anon_sym__,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(6660), 1,
      sym_operator_identifier,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    STATE(4590), 1,
      sym__simple_type,
    STATE(4665), 1,
      sym_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(6498), 1,
      sym_annotated_type,
    STATE(6625), 1,
      sym__annotated_type,
    STATE(17347), 1,
      sym_stable_identifier,
    STATE(7843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4848), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [391247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391403] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8190), 1,
      sym__alpha_identifier,
    ACTIONS(8192), 1,
      anon_sym__,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8198), 1,
      sym__backquoted_id,
    ACTIONS(8200), 1,
      sym_operator_identifier,
    STATE(5217), 1,
      sym__simple_type,
    STATE(7190), 1,
      sym_identifier,
    STATE(7274), 1,
      sym__soft_identifier,
    STATE(8294), 1,
      sym__annotated_type,
    STATE(8313), 1,
      sym_annotated_type,
    STATE(17653), 1,
      sym_stable_identifier,
    STATE(7849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6970), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391464] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(15172), 1,
      sym__variant_type_parameter,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(7850), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [391531] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6274), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(6284), 1,
      sym_operator_identifier,
    ACTIONS(10231), 1,
      anon_sym_LPAREN,
    STATE(6674), 1,
      sym__simple_type,
    STATE(6979), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(9859), 1,
      sym__annotated_type,
    STATE(9866), 1,
      sym_annotated_type,
    STATE(17827), 1,
      sym_stable_identifier,
    STATE(7851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8245), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9348), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391633] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8751), 1,
      sym_arguments,
    STATE(7853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391674] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7958), 1,
      sym__alpha_identifier,
    ACTIONS(7964), 1,
      anon_sym__,
    ACTIONS(7968), 1,
      anon_sym_LPAREN,
    ACTIONS(7970), 1,
      sym__backquoted_id,
    ACTIONS(7972), 1,
      sym_operator_identifier,
    STATE(11164), 1,
      sym__simple_type,
    STATE(11461), 1,
      sym__soft_identifier,
    STATE(11512), 1,
      sym_identifier,
    STATE(13312), 1,
      sym_annotated_type,
    STATE(13392), 1,
      sym__annotated_type,
    STATE(17894), 1,
      sym_stable_identifier,
    STATE(7854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7966), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11880), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391774] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9402), 1,
      sym__alpha_identifier,
    ACTIONS(9408), 1,
      sym__backquoted_id,
    ACTIONS(9410), 1,
      sym_operator_identifier,
    STATE(580), 1,
      sym_identifier,
    STATE(4110), 1,
      sym__soft_identifier,
    STATE(7856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9404), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9012), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [391827] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11508), 1,
      anon_sym_DOT,
    STATE(7857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11510), 1,
      anon_sym_DOT,
    STATE(7858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [391948] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(10197), 1,
      anon_sym_LPAREN,
    STATE(5239), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(8946), 1,
      sym_annotated_type,
    STATE(9423), 1,
      sym__annotated_type,
    STATE(16996), 1,
      sym_stable_identifier,
    STATE(7860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392009] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11512), 1,
      anon_sym_AT,
    STATE(9573), 1,
      sym_annotation,
    STATE(7861), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392169] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11515), 1,
      anon_sym_LPAREN,
    STATE(9189), 1,
      sym_arguments,
    STATE(7865), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11518), 1,
      anon_sym_DOT,
    STATE(7866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392253] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8481), 1,
      sym_operator_identifier,
    STATE(1827), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [392306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(7868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392581] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6672), 1,
      anon_sym__,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    ACTIONS(10213), 1,
      anon_sym_LPAREN,
    STATE(4611), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(6748), 1,
      sym_annotated_type,
    STATE(6756), 1,
      sym__annotated_type,
    STATE(17839), 1,
      sym_stable_identifier,
    STATE(7875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392642] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(6996), 1,
      sym_operator_identifier,
    ACTIONS(9999), 1,
      anon_sym_LPAREN,
    STATE(5206), 1,
      sym__simple_type,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(5805), 1,
      sym_identifier,
    STATE(8272), 1,
      sym_annotated_type,
    STATE(8290), 1,
      sym__annotated_type,
    STATE(17647), 1,
      sym_stable_identifier,
    STATE(7876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6555), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392703] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392822] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(15831), 1,
      sym__variant_type_parameter,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(7880), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [392889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393045] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(9963), 1,
      anon_sym_LPAREN,
    STATE(5863), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      sym_annotated_type,
    STATE(9211), 1,
      sym__annotated_type,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(7885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393145] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8458), 1,
      sym__end_marker,
    STATE(7887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393303] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6814), 1,
      anon_sym__,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(6824), 1,
      sym_operator_identifier,
    ACTIONS(10323), 1,
      anon_sym_LPAREN,
    STATE(6567), 1,
      sym__simple_type,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(7010), 1,
      sym_identifier,
    STATE(9657), 1,
      sym__annotated_type,
    STATE(9677), 1,
      sym_annotated_type,
    STATE(17228), 1,
      sym_stable_identifier,
    STATE(7891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7980), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393364] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11520), 1,
      anon_sym_AT,
    STATE(9298), 1,
      sym_annotation,
    STATE(7892), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393446] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    ACTIONS(11281), 1,
      anon_sym_with,
    STATE(7514), 1,
      aux_sym_compound_type_repeat1,
    STATE(10993), 1,
      sym__refinement,
    STATE(10994), 1,
      sym_template_body,
    STATE(7894), 2,
      sym_comment,
      sym_block_comment,
    STATE(11100), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393731] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6854), 1,
      anon_sym__,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    ACTIONS(10150), 1,
      anon_sym_LPAREN,
    STATE(5084), 1,
      sym__simple_type,
    STATE(5359), 1,
      sym_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(7872), 1,
      sym_annotated_type,
    STATE(7886), 1,
      sym__annotated_type,
    STATE(17845), 1,
      sym_stable_identifier,
    STATE(7901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5903), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393831] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393872] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11523), 1,
      anon_sym_AT,
    STATE(9271), 1,
      sym_annotation,
    STATE(7904), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393915] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10862), 1,
      anon_sym_LPAREN,
    STATE(7916), 1,
      aux_sym_annotation_repeat1,
    STATE(9287), 1,
      sym_arguments,
    STATE(7905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394038] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16297), 1,
      sym__variant_type_parameter,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(7908), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [394105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394183] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    ACTIONS(9989), 1,
      anon_sym_LPAREN,
    STATE(7279), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(10504), 1,
      sym__annotated_type,
    STATE(10659), 1,
      sym_annotated_type,
    STATE(17060), 1,
      sym_stable_identifier,
    STATE(7911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [394244] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_EQ,
    ACTIONS(11422), 1,
      anon_sym_COLON,
    ACTIONS(11426), 1,
      anon_sym_with,
    ACTIONS(11526), 1,
      anon_sym_LBRACE,
    STATE(7774), 1,
      aux_sym_compound_type_repeat1,
    STATE(10890), 1,
      sym_template_body,
    STATE(10897), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7912), 2,
      sym_comment,
      sym_block_comment,
    STATE(10941), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394420] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11529), 1,
      anon_sym_LPAREN,
    STATE(9287), 1,
      sym_arguments,
    STATE(7916), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394502] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10743), 1,
      anon_sym_AT,
    STATE(8053), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9066), 1,
      sym_annotation,
    STATE(7918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394547] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym__,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      sym_operator_identifier,
    ACTIONS(9881), 1,
      anon_sym_LPAREN,
    STATE(5577), 1,
      sym__simple_type,
    STATE(6158), 1,
      sym_identifier,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(9797), 1,
      sym_annotated_type,
    STATE(9872), 1,
      sym__annotated_type,
    STATE(17525), 1,
      sym_stable_identifier,
    STATE(7919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [394608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394959] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(11414), 1,
      anon_sym_COLON,
    ACTIONS(11416), 1,
      anon_sym_LBRACE,
    ACTIONS(11418), 1,
      anon_sym_with,
    STATE(7633), 1,
      aux_sym_compound_type_repeat1,
    STATE(11308), 1,
      sym_template_body,
    STATE(11312), 1,
      sym__refinement,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7916), 2,
      anon_sym_STAR,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7929), 2,
      sym_comment,
      sym_block_comment,
    STATE(11228), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395213] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8176), 1,
      sym__alpha_identifier,
    ACTIONS(8178), 1,
      anon_sym__,
    ACTIONS(8182), 1,
      anon_sym_LPAREN,
    ACTIONS(8184), 1,
      sym__backquoted_id,
    ACTIONS(8186), 1,
      sym_operator_identifier,
    STATE(4717), 1,
      sym__simple_type,
    STATE(5633), 1,
      sym__soft_identifier,
    STATE(6064), 1,
      sym_identifier,
    STATE(7205), 1,
      sym_annotated_type,
    STATE(7213), 1,
      sym__annotated_type,
    STATE(17641), 1,
      sym_stable_identifier,
    STATE(7935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8180), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5823), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [395274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395313] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5956), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(7937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8748), 1,
      sym__end_marker,
    STATE(7938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9611), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395397] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11532), 1,
      anon_sym_LPAREN,
    STATE(9326), 1,
      sym_arguments,
    STATE(7939), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395440] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4514), 1,
      anon_sym__,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    ACTIONS(10131), 1,
      anon_sym_LPAREN,
    STATE(4971), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(5439), 1,
      sym_identifier,
    STATE(7900), 1,
      sym_annotated_type,
    STATE(7914), 1,
      sym__annotated_type,
    STATE(17857), 1,
      sym_stable_identifier,
    STATE(7940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [395501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395579] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395776] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10747), 1,
      anon_sym_LPAREN,
    STATE(7939), 1,
      aux_sym_annotation_repeat1,
    STATE(9326), 1,
      sym_arguments,
    STATE(7948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11535), 1,
      anon_sym_DOT,
    STATE(7952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8720), 1,
      sym__end_marker,
    STATE(7954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396059] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8776), 1,
      sym_operator_identifier,
    STATE(1711), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(7955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [396114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396153] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11537), 1,
      anon_sym_DOT,
    STATE(7957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396233] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9918), 1,
      anon_sym_AT,
    STATE(8257), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9139), 1,
      sym_annotation,
    STATE(7959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [396278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11539), 1,
      anon_sym_with,
    STATE(7960), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396865] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6366), 1,
      anon_sym__,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(6376), 1,
      sym_operator_identifier,
    ACTIONS(10364), 1,
      anon_sym_LPAREN,
    STATE(6713), 1,
      sym__simple_type,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7299), 1,
      sym_identifier,
    STATE(10060), 1,
      sym__annotated_type,
    STATE(10224), 1,
      sym_annotated_type,
    STATE(16791), 1,
      sym_stable_identifier,
    STATE(7975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [396926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397004] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(6970), 1,
      sym_operator_identifier,
    ACTIONS(10161), 1,
      anon_sym_LPAREN,
    STATE(5010), 1,
      sym__simple_type,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5364), 1,
      sym_identifier,
    STATE(7542), 1,
      sym__annotated_type,
    STATE(7751), 1,
      sym_annotated_type,
    STATE(17102), 1,
      sym_stable_identifier,
    STATE(7978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397065] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(15545), 1,
      sym__variant_type_parameter,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(7979), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [397132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397249] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6948), 1,
      anon_sym__,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(6958), 1,
      sym_operator_identifier,
    ACTIONS(10101), 1,
      anon_sym_LPAREN,
    STATE(5336), 1,
      sym__simple_type,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(6093), 1,
      sym_identifier,
    STATE(8595), 1,
      sym__annotated_type,
    STATE(8614), 1,
      sym_annotated_type,
    STATE(17863), 1,
      sym_stable_identifier,
    STATE(7983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6430), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397583] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4584), 1,
      anon_sym__,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(6540), 1,
      sym_operator_identifier,
    ACTIONS(10375), 1,
      anon_sym_LPAREN,
    STATE(6696), 1,
      sym__simple_type,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(7070), 1,
      sym_identifier,
    STATE(9742), 1,
      sym_annotated_type,
    STATE(9995), 1,
      sym__annotated_type,
    STATE(17186), 1,
      sym_stable_identifier,
    STATE(7991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7524), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397683] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7998), 1,
      sym__alpha_identifier,
    ACTIONS(8000), 1,
      anon_sym__,
    ACTIONS(8004), 1,
      anon_sym_LPAREN,
    ACTIONS(8006), 1,
      sym__backquoted_id,
    ACTIONS(8008), 1,
      sym_operator_identifier,
    STATE(4886), 1,
      sym__simple_type,
    STATE(6285), 1,
      sym_identifier,
    STATE(6313), 1,
      sym__soft_identifier,
    STATE(8054), 1,
      sym__annotated_type,
    STATE(8131), 1,
      sym_annotated_type,
    STATE(17002), 1,
      sym_stable_identifier,
    STATE(7993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397822] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5603), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(7996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397904] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398066] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10834), 1,
      anon_sym_LPAREN,
    STATE(8125), 1,
      aux_sym_annotation_repeat1,
    STATE(9511), 1,
      sym_arguments,
    STATE(8002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398189] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398269] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4700), 1,
      anon_sym__,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(6992), 1,
      sym_operator_identifier,
    ACTIONS(9945), 1,
      anon_sym_LPAREN,
    STATE(5308), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6060), 1,
      sym_identifier,
    STATE(8375), 1,
      sym_annotated_type,
    STATE(8395), 1,
      sym__annotated_type,
    STATE(17635), 1,
      sym_stable_identifier,
    STATE(8007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6513), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398486] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398570] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11542), 1,
      anon_sym_with,
    STATE(8014), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398611] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398964] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym__,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(6342), 1,
      sym_operator_identifier,
    ACTIONS(10095), 1,
      anon_sym_LPAREN,
    STATE(5940), 1,
      sym__simple_type,
    STATE(6469), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(9614), 1,
      sym__annotated_type,
    STATE(9885), 1,
      sym_annotated_type,
    STATE(16974), 1,
      sym_stable_identifier,
    STATE(8024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7426), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399220] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8136), 1,
      sym__alpha_identifier,
    ACTIONS(8138), 1,
      anon_sym__,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    ACTIONS(8144), 1,
      sym__backquoted_id,
    ACTIONS(8146), 1,
      sym_operator_identifier,
    STATE(4604), 1,
      sym__simple_type,
    STATE(5219), 1,
      sym_identifier,
    STATE(5272), 1,
      sym__soft_identifier,
    STATE(6452), 1,
      sym_annotated_type,
    STATE(6527), 1,
      sym__annotated_type,
    STATE(17366), 1,
      sym_stable_identifier,
    STATE(8030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399281] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(493), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(10671), 1,
      anon_sym_DOT,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    ACTIONS(11545), 1,
      anon_sym_EQ,
    STATE(667), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    STATE(8031), 2,
      sym_comment,
      sym_block_comment,
    STATE(9933), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [399344] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399658] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10773), 1,
      anon_sym_AT,
    STATE(7526), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8939), 1,
      sym_annotation,
    STATE(8040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399742] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8110), 1,
      sym__alpha_identifier,
    ACTIONS(8112), 1,
      anon_sym__,
    ACTIONS(8116), 1,
      anon_sym_LPAREN,
    ACTIONS(8118), 1,
      sym__backquoted_id,
    ACTIONS(8120), 1,
      sym_operator_identifier,
    STATE(5234), 1,
      sym__simple_type,
    STATE(7200), 1,
      sym__soft_identifier,
    STATE(7208), 1,
      sym_identifier,
    STATE(8366), 1,
      sym__annotated_type,
    STATE(8538), 1,
      sym_annotated_type,
    STATE(17404), 1,
      sym_stable_identifier,
    STATE(8042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8114), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7445), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399961] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11547), 1,
      anon_sym_DOT,
    STATE(8047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400002] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11549), 1,
      anon_sym_COLON,
    ACTIONS(11552), 1,
      anon_sym_LBRACE,
    STATE(9953), 1,
      sym_template_body,
    STATE(8048), 2,
      sym_comment,
      sym_block_comment,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400088] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6690), 1,
      anon_sym__,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(6700), 1,
      sym_operator_identifier,
    ACTIONS(9866), 1,
      anon_sym_LPAREN,
    STATE(5421), 1,
      sym__simple_type,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(6012), 1,
      sym_identifier,
    STATE(8429), 1,
      sym_annotated_type,
    STATE(8455), 1,
      sym__annotated_type,
    STATE(17623), 1,
      sym_stable_identifier,
    STATE(8050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400227] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11555), 1,
      anon_sym_AT,
    STATE(9066), 1,
      sym_annotation,
    STATE(8053), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9232), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400389] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11558), 1,
      anon_sym_DOT,
    STATE(8057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [400742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8364), 1,
      sym__end_marker,
    STATE(8066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400900] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8302), 1,
      anon_sym__,
    ACTIONS(8306), 1,
      anon_sym_LPAREN,
    ACTIONS(8308), 1,
      sym__backquoted_id,
    ACTIONS(8310), 1,
      sym_operator_identifier,
    STATE(5752), 1,
      sym__simple_type,
    STATE(7660), 1,
      sym__soft_identifier,
    STATE(7857), 1,
      sym_identifier,
    STATE(9071), 1,
      sym_annotated_type,
    STATE(9452), 1,
      sym__annotated_type,
    STATE(16661), 1,
      sym_stable_identifier,
    STATE(8070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7701), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401312] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4484), 1,
      anon_sym__,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(6908), 1,
      sym_operator_identifier,
    ACTIONS(9821), 1,
      anon_sym_LPAREN,
    STATE(4603), 1,
      sym__simple_type,
    STATE(4680), 1,
      sym_identifier,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(6319), 1,
      sym__annotated_type,
    STATE(6330), 1,
      sym_annotated_type,
    STATE(17617), 1,
      sym_stable_identifier,
    STATE(8080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5062), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [401373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401490] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4804), 1,
      anon_sym__,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(6236), 1,
      sym_operator_identifier,
    ACTIONS(10391), 1,
      anon_sym_LPAREN,
    STATE(5573), 1,
      sym__simple_type,
    STATE(6424), 1,
      sym_identifier,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(9019), 1,
      sym_annotated_type,
    STATE(9548), 1,
      sym__annotated_type,
    STATE(17144), 1,
      sym_stable_identifier,
    STATE(8084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6785), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [401551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401590] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11082), 1,
      anon_sym_EQ_GT,
    STATE(8088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401945] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11059), 1,
      anon_sym_LBRACK,
    ACTIONS(11063), 1,
      anon_sym_POUND,
    ACTIONS(11560), 1,
      anon_sym_AT,
    STATE(8931), 1,
      sym_type_arguments,
    STATE(9020), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10238), 1,
      sym_annotation,
    STATE(8095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402074] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5924), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402195] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(10246), 1,
      anon_sym_LPAREN,
    STATE(5385), 1,
      sym__simple_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(9246), 1,
      sym__annotated_type,
    STATE(9394), 1,
      sym_annotated_type,
    STATE(17538), 1,
      sym_stable_identifier,
    STATE(8101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [402256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402334] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    ACTIONS(9760), 1,
      anon_sym_LPAREN,
    STATE(4601), 1,
      sym__simple_type,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4767), 1,
      sym_identifier,
    STATE(6288), 1,
      sym__annotated_type,
    STATE(6309), 1,
      sym_annotated_type,
    STATE(17611), 1,
      sym_stable_identifier,
    STATE(8104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5073), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [402395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9526), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402553] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8888), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(15606), 1,
      sym__variant_type_parameter,
    STATE(16438), 1,
      sym__type_parameter,
    STATE(8109), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16437), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [402620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402893] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11562), 1,
      anon_sym_LPAREN,
    STATE(9570), 1,
      sym_arguments,
    STATE(8117), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402936] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10266), 1,
      anon_sym_AT,
    STATE(7656), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9111), 1,
      sym_annotation,
    STATE(8118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403059] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11565), 1,
      anon_sym_with,
    STATE(8121), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403219] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11568), 1,
      anon_sym_LPAREN,
    STATE(9511), 1,
      sym_arguments,
    STATE(8125), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403262] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    ACTIONS(10206), 1,
      anon_sym_LPAREN,
    STATE(6786), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(10487), 1,
      sym_annotated_type,
    STATE(10537), 1,
      sym__annotated_type,
    STATE(16766), 1,
      sym_stable_identifier,
    STATE(8126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [403323] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7982), 1,
      sym__alpha_identifier,
    ACTIONS(7988), 1,
      anon_sym__,
    ACTIONS(7992), 1,
      anon_sym_LPAREN,
    ACTIONS(7994), 1,
      sym__backquoted_id,
    ACTIONS(7996), 1,
      sym_operator_identifier,
    STATE(8562), 1,
      sym__simple_type,
    STATE(10157), 1,
      sym_identifier,
    STATE(10344), 1,
      sym__soft_identifier,
    STATE(10752), 1,
      sym_annotated_type,
    STATE(10775), 1,
      sym__annotated_type,
    STATE(17269), 1,
      sym_stable_identifier,
    STATE(8127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7990), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10028), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [403384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [403423] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10371), 1,
      anon_sym_LPAREN,
    STATE(8117), 1,
      aux_sym_annotation_repeat1,
    STATE(9570), 1,
      sym_arguments,
    STATE(8129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403585] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11422), 1,
      anon_sym_COLON,
    ACTIONS(11424), 1,
      anon_sym_LBRACE,
    ACTIONS(11426), 1,
      anon_sym_with,
    STATE(7645), 1,
      aux_sym_compound_type_repeat1,
    STATE(10890), 1,
      sym_template_body,
    STATE(10897), 1,
      sym__refinement,
    STATE(8133), 2,
      sym_comment,
      sym_block_comment,
    STATE(10941), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403638] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8098), 1,
      sym__alpha_identifier,
    ACTIONS(8100), 1,
      anon_sym__,
    ACTIONS(8104), 1,
      anon_sym_LPAREN,
    ACTIONS(8106), 1,
      sym__backquoted_id,
    ACTIONS(8108), 1,
      sym_operator_identifier,
    STATE(6647), 1,
      sym__simple_type,
    STATE(8650), 1,
      sym__soft_identifier,
    STATE(8791), 1,
      sym_identifier,
    STATE(9608), 1,
      sym_annotated_type,
    STATE(9899), 1,
      sym__annotated_type,
    STATE(16689), 1,
      sym_stable_identifier,
    STATE(8134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8102), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8692), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [403699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11571), 1,
      anon_sym_DOT,
    STATE(8136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403779] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11573), 1,
      anon_sym_with,
    STATE(8886), 1,
      aux_sym_compound_type_repeat1,
    STATE(10992), 1,
      sym__refinement,
    STATE(11032), 1,
      sym_arguments,
    STATE(11112), 1,
      sym_template_body,
    STATE(8137), 2,
      sym_comment,
      sym_block_comment,
    STATE(11139), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403830] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym__,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(6966), 1,
      sym_operator_identifier,
    ACTIONS(10248), 1,
      anon_sym_LPAREN,
    STATE(4581), 1,
      sym__simple_type,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(4675), 1,
      sym_identifier,
    STATE(6659), 1,
      sym_annotated_type,
    STATE(6745), 1,
      sym__annotated_type,
    STATE(17309), 1,
      sym_stable_identifier,
    STATE(8138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [403891] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11575), 1,
      anon_sym_with,
    STATE(8139), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404673] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym__,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(6782), 1,
      sym_operator_identifier,
    ACTIONS(9874), 1,
      anon_sym_LPAREN,
    STATE(4633), 1,
      sym__simple_type,
    STATE(4897), 1,
      sym_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(7288), 1,
      sym_annotated_type,
    STATE(7306), 1,
      sym__annotated_type,
    STATE(17605), 1,
      sym_stable_identifier,
    STATE(8159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [404734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404890] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9868), 1,
      anon_sym_AT,
    STATE(7778), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9076), 1,
      sym_annotation,
    STATE(8164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404935] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10319), 1,
      anon_sym_LPAREN,
    STATE(8200), 1,
      aux_sym_annotation_repeat1,
    STATE(9485), 1,
      sym_arguments,
    STATE(8165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405019] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11578), 1,
      anon_sym_with,
    STATE(8167), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405099] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8620), 1,
      sym__end_marker,
    STATE(8169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405218] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405263] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11022), 1,
      anon_sym_DOT,
    ACTIONS(11581), 1,
      anon_sym_EQ_GT,
    STATE(8173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405345] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(11279), 1,
      anon_sym_LBRACE,
    ACTIONS(11281), 1,
      anon_sym_with,
    ACTIONS(11583), 1,
      anon_sym_COLON,
    STATE(7514), 1,
      aux_sym_compound_type_repeat1,
    STATE(10993), 1,
      sym__refinement,
    STATE(10994), 1,
      sym_template_body,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7916), 2,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8175), 2,
      sym_comment,
      sym_block_comment,
    STATE(11100), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405482] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_EQ,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(15861), 1,
      aux_sym_val_declaration_repeat1,
    STATE(8178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [405555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405867] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4882), 1,
      anon_sym__,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(6266), 1,
      sym_operator_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    STATE(5467), 1,
      sym__simple_type,
    STATE(5682), 1,
      sym_identifier,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(8725), 1,
      sym_annotated_type,
    STATE(8778), 1,
      sym__annotated_type,
    STATE(17562), 1,
      sym_stable_identifier,
    STATE(8187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [405928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406006] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    ACTIONS(10215), 1,
      anon_sym_LPAREN,
    STATE(4948), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(7515), 1,
      sym__annotated_type,
    STATE(8128), 1,
      sym_annotated_type,
    STATE(16930), 1,
      sym_stable_identifier,
    STATE(8190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [406067] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10241), 1,
      anon_sym_AT,
    STATE(7811), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9561), 1,
      sym_annotation,
    STATE(8191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406112] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10839), 1,
      anon_sym_AT,
    STATE(7892), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9298), 1,
      sym_annotation,
    STATE(8192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406352] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4764), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(6664), 1,
      sym_operator_identifier,
    ACTIONS(10040), 1,
      anon_sym_LPAREN,
    STATE(4355), 1,
      sym__simple_type,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4508), 1,
      sym_identifier,
    STATE(5286), 1,
      sym__annotated_type,
    STATE(5298), 1,
      sym_annotated_type,
    STATE(17599), 1,
      sym_stable_identifier,
    STATE(8198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4579), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [406413] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_EQ,
    ACTIONS(11422), 1,
      anon_sym_COLON,
    ACTIONS(11424), 1,
      anon_sym_LBRACE,
    ACTIONS(11426), 1,
      anon_sym_with,
    STATE(7645), 1,
      aux_sym_compound_type_repeat1,
    STATE(10890), 1,
      sym_template_body,
    STATE(10897), 1,
      sym__refinement,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8199), 2,
      sym_comment,
      sym_block_comment,
    STATE(10941), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406472] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11590), 1,
      anon_sym_LPAREN,
    STATE(9485), 1,
      sym_arguments,
    STATE(8200), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406632] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11593), 1,
      anon_sym_LBRACK,
    ACTIONS(11595), 1,
      anon_sym_LPAREN,
    ACTIONS(11597), 1,
      anon_sym_POUND,
    STATE(9587), 1,
      sym_type_arguments,
    STATE(9706), 1,
      aux_sym_annotation_repeat1,
    STATE(10376), 1,
      sym_arguments,
    STATE(8204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(7736), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406761] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(11997), 1,
      sym__simple_type,
    STATE(13239), 1,
      sym_annotated_type,
    STATE(14098), 1,
      sym__annotated_type,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(8207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [406822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11599), 1,
      anon_sym_with,
    STATE(8208), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406863] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8056), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym__,
    ACTIONS(8066), 1,
      anon_sym_LPAREN,
    ACTIONS(8068), 1,
      sym__backquoted_id,
    ACTIONS(8070), 1,
      sym_operator_identifier,
    STATE(4402), 1,
      sym__simple_type,
    STATE(4751), 1,
      sym__soft_identifier,
    STATE(4806), 1,
      sym_identifier,
    STATE(5323), 1,
      sym__annotated_type,
    STATE(5482), 1,
      sym_annotated_type,
    STATE(17289), 1,
      sym_stable_identifier,
    STATE(8209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8064), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4629), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [406924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407353] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6450), 1,
      anon_sym__,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(6460), 1,
      sym_operator_identifier,
    ACTIONS(10239), 1,
      anon_sym_LPAREN,
    STATE(6995), 1,
      sym__simple_type,
    STATE(7858), 1,
      sym_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(10077), 1,
      sym__annotated_type,
    STATE(10232), 1,
      sym_annotated_type,
    STATE(17574), 1,
      sym_stable_identifier,
    STATE(8221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [407414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407453] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4652), 1,
      anon_sym__,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(7000), 1,
      sym_operator_identifier,
    ACTIONS(10115), 1,
      anon_sym_LPAREN,
    STATE(4903), 1,
      sym__simple_type,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5350), 1,
      sym_identifier,
    STATE(8071), 1,
      sym__annotated_type,
    STATE(8235), 1,
      sym_annotated_type,
    STATE(17385), 1,
      sym_stable_identifier,
    STATE(8223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5837), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [407514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407553] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4264), 1,
      anon_sym__,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(6612), 1,
      sym_operator_identifier,
    ACTIONS(10129), 1,
      anon_sym_LPAREN,
    STATE(6489), 1,
      sym__simple_type,
    STATE(6779), 1,
      sym_identifier,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(9634), 1,
      sym__annotated_type,
    STATE(9725), 1,
      sym_annotated_type,
    STATE(17592), 1,
      sym_stable_identifier,
    STATE(8225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8203), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [407614] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11414), 1,
      anon_sym_COLON,
    ACTIONS(11416), 1,
      anon_sym_LBRACE,
    ACTIONS(11418), 1,
      anon_sym_with,
    STATE(7633), 1,
      aux_sym_compound_type_repeat1,
    STATE(11308), 1,
      sym_template_body,
    STATE(11312), 1,
      sym__refinement,
    STATE(8226), 2,
      sym_comment,
      sym_block_comment,
    STATE(11228), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407745] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    STATE(8250), 1,
      aux_sym_annotation_repeat1,
    STATE(9131), 1,
      sym_arguments,
    STATE(8229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8279), 1,
      sym_arguments,
    STATE(8232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11602), 1,
      anon_sym_with,
    STATE(8234), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408067] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408108] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    ACTIONS(9754), 1,
      anon_sym_LPAREN,
    STATE(8095), 1,
      sym__simple_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_annotated_type,
    STATE(10582), 1,
      sym__annotated_type,
    STATE(16739), 1,
      sym_stable_identifier,
    STATE(8238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [408169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408208] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11487), 1,
      anon_sym_COLON,
    ACTIONS(11489), 1,
      anon_sym_LBRACE,
    ACTIONS(11491), 1,
      anon_sym_with,
    STATE(7816), 1,
      aux_sym_compound_type_repeat1,
    STATE(11290), 1,
      sym__refinement,
    STATE(11292), 1,
      sym_template_body,
    STATE(8240), 2,
      sym_comment,
      sym_block_comment,
    STATE(11243), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408339] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4228), 1,
      anon_sym__,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(6828), 1,
      sym_operator_identifier,
    ACTIONS(10152), 1,
      anon_sym_LPAREN,
    STATE(5772), 1,
      sym__simple_type,
    STATE(6241), 1,
      sym_identifier,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(9288), 1,
      sym__annotated_type,
    STATE(9291), 1,
      sym_annotated_type,
    STATE(16715), 1,
      sym_stable_identifier,
    STATE(8243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [408400] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(9870), 1,
      anon_sym_LPAREN,
    STATE(6273), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(10215), 1,
      sym__annotated_type,
    STATE(10300), 1,
      sym_annotated_type,
    STATE(16952), 1,
      sym_stable_identifier,
    STATE(8244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [408461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408500] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11605), 1,
      anon_sym_LBRACK,
    ACTIONS(11607), 1,
      anon_sym_AT,
    ACTIONS(11609), 1,
      anon_sym_LPAREN,
    ACTIONS(11611), 1,
      anon_sym_POUND,
    STATE(9819), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10140), 1,
      sym_type_arguments,
    STATE(10366), 1,
      sym_annotation,
    STATE(11032), 1,
      sym_arguments,
    STATE(8246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408555] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8903), 1,
      sym_operator_identifier,
    STATE(1720), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [408610] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11613), 1,
      anon_sym_with,
    STATE(8248), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408690] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    STATE(9131), 1,
      sym_arguments,
    STATE(8250), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11619), 1,
      anon_sym_with,
    STATE(8254), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408969] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11622), 1,
      anon_sym_AT,
    STATE(9139), 1,
      sym_annotation,
    STATE(8257), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [409012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409092] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8352), 1,
      sym__alpha_identifier,
    ACTIONS(8354), 1,
      anon_sym__,
    ACTIONS(8358), 1,
      anon_sym_LPAREN,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(8362), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__simple_type,
    STATE(6152), 1,
      sym_identifier,
    STATE(6672), 1,
      sym__soft_identifier,
    STATE(7598), 1,
      sym_annotated_type,
    STATE(7723), 1,
      sym__annotated_type,
    STATE(17081), 1,
      sym_stable_identifier,
    STATE(8260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [409153] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(11487), 1,
      anon_sym_COLON,
    ACTIONS(11489), 1,
      anon_sym_LBRACE,
    ACTIONS(11491), 1,
      anon_sym_with,
    STATE(7816), 1,
      aux_sym_compound_type_repeat1,
    STATE(11290), 1,
      sym__refinement,
    STATE(11292), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8261), 2,
      sym_comment,
      sym_block_comment,
    STATE(11243), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409210] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8324), 1,
      sym__alpha_identifier,
    ACTIONS(8326), 1,
      anon_sym__,
    ACTIONS(8330), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      sym__backquoted_id,
    ACTIONS(8334), 1,
      sym_operator_identifier,
    STATE(5142), 1,
      sym__simple_type,
    STATE(6835), 1,
      sym__soft_identifier,
    STATE(7195), 1,
      sym_identifier,
    STATE(8403), 1,
      sym_annotated_type,
    STATE(8553), 1,
      sym__annotated_type,
    STATE(17165), 1,
      sym_stable_identifier,
    STATE(8262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8328), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [409271] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9127), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409312] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5606), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409472] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9327), 1,
      sym__alpha_identifier,
    ACTIONS(9333), 1,
      sym__backquoted_id,
    ACTIONS(9335), 1,
      sym_operator_identifier,
    STATE(581), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(8268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9329), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9012), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [409525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409564] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409761] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11112), 1,
      anon_sym_AT,
    STATE(8616), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9773), 1,
      sym_annotation,
    STATE(8275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10297), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10285), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10303), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10281), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10307), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9479), 1,
      sym_arguments,
    STATE(8298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410719] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8903), 1,
      sym_operator_identifier,
    STATE(1720), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [410771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10272), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410885] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11625), 1,
      anon_sym_DOT,
    STATE(8304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9583), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411267] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    STATE(582), 1,
      sym_identifier,
    STATE(4150), 1,
      sym__soft_identifier,
    STATE(8314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9012), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [411319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411357] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9827), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9587), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411549] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    STATE(583), 1,
      sym_identifier,
    STATE(4152), 1,
      sym__soft_identifier,
    STATE(8321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9012), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [411601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411639] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9658), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412287] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9450), 1,
      sym_arguments,
    STATE(8340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412327] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11627), 1,
      anon_sym_with,
    STATE(8341), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10018), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413013] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7944), 1,
      sym__backquoted_id,
    ACTIONS(11630), 1,
      anon_sym_LBRACE,
    ACTIONS(11632), 1,
      anon_sym_with,
    STATE(10522), 1,
      aux_sym_compound_type_repeat1,
    STATE(11251), 1,
      sym__refinement,
    STATE(11255), 1,
      sym_template_body,
    STATE(8359), 2,
      sym_comment,
      sym_block_comment,
    STATE(11202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7942), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413367] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11634), 1,
      anon_sym_with,
    STATE(8368), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413711] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11637), 1,
      anon_sym_with,
    STATE(8377), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413865] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11640), 1,
      anon_sym_DOT,
    STATE(8381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413905] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10616), 1,
      anon_sym_AT,
    STATE(8586), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9876), 1,
      sym_annotation,
    STATE(8382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413949] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11581), 1,
      anon_sym_EQ_GT,
    STATE(8383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10042), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414445] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11642), 1,
      anon_sym_COLON,
    ACTIONS(11644), 1,
      anon_sym_LBRACE,
    ACTIONS(11646), 1,
      anon_sym_with,
    STATE(10648), 1,
      aux_sym_compound_type_repeat1,
    STATE(11408), 1,
      sym__refinement,
    STATE(11454), 1,
      sym_template_body,
    STATE(8396), 2,
      sym_comment,
      sym_block_comment,
    STATE(11509), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7332), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414611] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414921] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11648), 1,
      anon_sym_with,
    STATE(8417), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415343] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11651), 1,
      anon_sym_COLON,
    ACTIONS(11654), 1,
      anon_sym_LBRACE,
    STATE(10106), 1,
      sym_template_body,
    STATE(6720), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415579] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5643), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416269] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5798), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417033] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__backquoted_id,
    ACTIONS(4176), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4180), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4174), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417189] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [417419] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417459] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    ACTIONS(10481), 1,
      sym__interpolated_multiline_string_start,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11325), 1,
      sym_interpolated_string,
    STATE(16308), 1,
      sym__interpolated_string_start,
    ACTIONS(11657), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [417527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [417565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [417793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417945] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11108), 1,
      anon_sym_AT,
    STATE(8599), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9778), 1,
      sym_annotation,
    STATE(8486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418141] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11659), 1,
      anon_sym_with,
    STATE(8491), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418219] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418301] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11061), 1,
      anon_sym_LPAREN,
    STATE(8521), 1,
      aux_sym_annotation_repeat1,
    STATE(9980), 1,
      sym_arguments,
    STATE(8495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418649] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5818), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418729] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    STATE(8910), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9985), 1,
      sym_annotation,
    STATE(8506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [419077] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    ACTIONS(10481), 1,
      sym__interpolated_multiline_string_start,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11325), 1,
      sym_interpolated_string,
    STATE(16308), 1,
      sym__interpolated_string_start,
    ACTIONS(11662), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [419145] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9251), 1,
      sym__end_marker,
    STATE(8516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419261] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419343] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11664), 1,
      anon_sym_LPAREN,
    STATE(9980), 1,
      sym_arguments,
    STATE(8521), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419537] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9660), 1,
      sym__alpha_identifier,
    ACTIONS(9666), 1,
      sym__backquoted_id,
    ACTIONS(9668), 1,
      sym_operator_identifier,
    STATE(585), 1,
      sym_identifier,
    STATE(4151), 1,
      sym__soft_identifier,
    STATE(8526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9012), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [419589] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10858), 1,
      anon_sym_AT,
    STATE(8846), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9908), 1,
      sym_annotation,
    STATE(8527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419747] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419867] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419945] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420065] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(11667), 1,
      anon_sym_COLON,
    ACTIONS(11670), 1,
      anon_sym_LBRACE,
    ACTIONS(11672), 1,
      anon_sym_with,
    STATE(8754), 1,
      aux_sym_compound_type_repeat1,
    STATE(11297), 1,
      sym_template_body,
    STATE(11298), 1,
      sym__refinement,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8539), 2,
      sym_comment,
      sym_block_comment,
    STATE(11218), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [420237] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5842), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [420393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420507] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9002), 1,
      sym_operator_identifier,
    STATE(1805), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [420561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420599] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9846), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [420753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [420791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420981] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11605), 1,
      anon_sym_LBRACK,
    ACTIONS(11607), 1,
      anon_sym_AT,
    ACTIONS(11611), 1,
      anon_sym_POUND,
    STATE(9819), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10140), 1,
      sym_type_arguments,
    STATE(10366), 1,
      sym_annotation,
    STATE(8562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10139), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421145] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11674), 1,
      anon_sym_AT,
    STATE(9849), 1,
      sym_annotation,
    STATE(8566), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421453] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10199), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10174), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10125), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421607] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11677), 1,
      anon_sym_LPAREN,
    STATE(9806), 1,
      sym_arguments,
    STATE(8578), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421725] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421765] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    ACTIONS(10481), 1,
      sym__interpolated_multiline_string_start,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11325), 1,
      sym_interpolated_string,
    STATE(16308), 1,
      sym__interpolated_string_start,
    ACTIONS(10471), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [421833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11680), 1,
      anon_sym_DOT,
    STATE(8583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421949] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11682), 1,
      anon_sym_AT,
    STATE(9876), 1,
      sym_annotation,
    STATE(8586), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421991] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11685), 1,
      anon_sym_DOT,
    STATE(8587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10097), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10087), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422183] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11091), 1,
      anon_sym_LPAREN,
    STATE(8578), 1,
      aux_sym_annotation_repeat1,
    STATE(9806), 1,
      sym_arguments,
    STATE(8592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10081), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422341] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    ACTIONS(10481), 1,
      sym__interpolated_multiline_string_start,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11325), 1,
      sym_interpolated_string,
    STATE(16308), 1,
      sym__interpolated_string_start,
    ACTIONS(11687), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [422409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9688), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422485] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11689), 1,
      anon_sym_AT,
    STATE(9778), 1,
      sym_annotation,
    STATE(8599), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422603] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8776), 1,
      sym_operator_identifier,
    STATE(1711), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8080), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [422655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10052), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10048), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10036), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422959] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11692), 1,
      anon_sym_with,
    STATE(8611), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10026), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423151] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11695), 1,
      anon_sym_AT,
    STATE(9773), 1,
      sym_annotation,
    STATE(8616), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10014), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423421] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10652), 1,
      anon_sym_LPAREN,
    STATE(8641), 1,
      aux_sym_annotation_repeat1,
    STATE(9769), 1,
      sym_arguments,
    STATE(8623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8467), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9993), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423845] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9858), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423999] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5849), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10117), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424117] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11698), 1,
      anon_sym_LPAREN,
    STATE(9769), 1,
      sym_arguments,
    STATE(8641), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8364), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425071] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11701), 1,
      anon_sym_with,
    STATE(8666), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425263] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11704), 1,
      anon_sym_with,
    STATE(8671), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425455] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5899), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425497] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10929), 1,
      anon_sym_LBRACE,
    ACTIONS(10931), 1,
      anon_sym_with,
    ACTIONS(11450), 1,
      anon_sym_COLON,
    STATE(6873), 1,
      aux_sym_compound_type_repeat1,
    STATE(10745), 1,
      sym__refinement,
    STATE(10746), 1,
      sym_template_body,
    STATE(8677), 2,
      sym_comment,
      sym_block_comment,
    STATE(10680), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 4,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425553] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425631] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(8724), 1,
      aux_sym_annotation_repeat1,
    STATE(9827), 1,
      sym_arguments,
    STATE(8680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425713] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10997), 1,
      anon_sym_AT,
    STATE(8566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9849), 1,
      sym_annotation,
    STATE(8682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425871] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11711), 1,
      anon_sym_AT,
    STATE(9580), 1,
      sym_annotation,
    STATE(8686), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9633), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9627), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426255] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5957), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426297] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7698), 1,
      anon_sym_def,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(6131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(17505), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8697), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [426357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426395] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11714), 1,
      anon_sym_with,
    STATE(8699), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426511] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8366), 1,
      sym__backquoted_id,
    ACTIONS(11717), 1,
      anon_sym_LPAREN,
    STATE(9654), 1,
      sym_arguments,
    STATE(8702), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8364), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426553] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15621), 1,
      sym__interpolated_string_start,
    STATE(8703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11203), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426609] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11209), 1,
      anon_sym_PIPE,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15621), 1,
      sym__interpolated_string_start,
    ACTIONS(11207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426715] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15621), 1,
      sym__interpolated_string_start,
    STATE(8706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11211), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427189] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11720), 1,
      anon_sym_AT,
    STATE(9651), 1,
      sym_annotation,
    STATE(8718), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [427307] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11593), 1,
      anon_sym_LBRACK,
    ACTIONS(11597), 1,
      anon_sym_POUND,
    ACTIONS(11723), 1,
      anon_sym_AT,
    STATE(9587), 1,
      sym_type_arguments,
    STATE(10050), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10811), 1,
      sym_annotation,
    STATE(8721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427433] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11725), 1,
      anon_sym_LPAREN,
    STATE(9827), 1,
      sym_arguments,
    STATE(8724), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427551] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427633] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8469), 1,
      sym__backquoted_id,
    ACTIONS(10587), 1,
      anon_sym_LPAREN,
    STATE(8702), 1,
      aux_sym_annotation_repeat1,
    STATE(9654), 1,
      sym_arguments,
    STATE(8729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8467), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427867] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427945] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11728), 1,
      anon_sym_with,
    STATE(8737), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [428099] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10379), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428139] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_EQ,
    ACTIONS(11642), 1,
      anon_sym_COLON,
    ACTIONS(11644), 1,
      anon_sym_LBRACE,
    ACTIONS(11646), 1,
      anon_sym_with,
    STATE(8396), 1,
      aux_sym_compound_type_repeat1,
    STATE(11453), 1,
      sym__refinement,
    STATE(11454), 1,
      sym_template_body,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8742), 2,
      sym_comment,
      sym_block_comment,
    STATE(11509), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428235] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10434), 1,
      sym__backquoted_id,
    ACTIONS(4176), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4180), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7518), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428277] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10432), 1,
      sym__backquoted_id,
    ACTIONS(4176), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4180), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7496), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428357] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10430), 1,
      sym__backquoted_id,
    ACTIONS(4176), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4180), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7532), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9481), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428475] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(11630), 1,
      anon_sym_LBRACE,
    ACTIONS(11632), 1,
      anon_sym_with,
    STATE(8359), 1,
      aux_sym_compound_type_repeat1,
    STATE(11253), 1,
      sym__refinement,
    STATE(11255), 1,
      sym_template_body,
    STATE(8750), 2,
      sym_comment,
      sym_block_comment,
    STATE(11202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7808), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428639] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11670), 1,
      anon_sym_LBRACE,
    ACTIONS(11672), 1,
      anon_sym_with,
    STATE(10545), 1,
      aux_sym_compound_type_repeat1,
    STATE(11297), 1,
      sym_template_body,
    STATE(11300), 1,
      sym__refinement,
    STATE(8754), 2,
      sym_comment,
      sym_block_comment,
    STATE(11218), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7942), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428689] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11731), 1,
      anon_sym_with,
    STATE(8755), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428729] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9127), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428769] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(8728), 1,
      sym_operator_identifier,
    STATE(1832), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428821] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11734), 1,
      anon_sym_COLON,
    ACTIONS(11737), 1,
      anon_sym_LBRACE,
    STATE(10287), 1,
      sym_template_body,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428867] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(11205), 1,
      sym__backquoted_id,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11362), 1,
      sym__interpolated_multiline_string_start,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11822), 1,
      sym_interpolated_string,
    STATE(15237), 1,
      sym__interpolated_string_start,
    STATE(8759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428923] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11362), 1,
      sym__interpolated_multiline_string_start,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11822), 1,
      sym_interpolated_string,
    STATE(15237), 1,
      sym__interpolated_string_start,
    STATE(8760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11209), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428989] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429033] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(11213), 1,
      sym__backquoted_id,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11362), 1,
      sym__interpolated_multiline_string_start,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11822), 1,
      sym_interpolated_string,
    STATE(15237), 1,
      sym__interpolated_string_start,
    STATE(8762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11211), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9271), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429279] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(11630), 1,
      anon_sym_LBRACE,
    ACTIONS(11632), 1,
      anon_sym_with,
    ACTIONS(11740), 1,
      anon_sym_COLON,
    STATE(8359), 1,
      aux_sym_compound_type_repeat1,
    STATE(11253), 1,
      sym__refinement,
    STATE(11255), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8768), 2,
      sym_comment,
      sym_block_comment,
    STATE(11202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7916), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429373] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9180), 1,
      sym_arguments,
    STATE(8770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9583), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429527] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9367), 1,
      sym__end_marker,
    STATE(8774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9587), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429719] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [429797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9658), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [429873] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10347), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429913] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9168), 1,
      sym_arguments,
    STATE(8784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430029] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10010), 1,
      sym__interpolated_multiline_string_start,
    STATE(9754), 1,
      sym_interpolated_string,
    STATE(15487), 1,
      sym__interpolated_string_start,
    ACTIONS(11743), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430077] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11605), 1,
      anon_sym_LBRACK,
    ACTIONS(11611), 1,
      anon_sym_POUND,
    ACTIONS(11745), 1,
      anon_sym_LPAREN,
    STATE(9785), 1,
      aux_sym_annotation_repeat1,
    STATE(10140), 1,
      sym_type_arguments,
    STATE(10605), 1,
      sym_arguments,
    STATE(8788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      sym__backquoted_id,
    ACTIONS(7736), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430203] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11747), 1,
      anon_sym_DOT,
    STATE(8791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430243] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9414), 1,
      sym_arguments,
    STATE(8792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430321] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [430365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430403] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11749), 1,
      anon_sym_with,
    STATE(8796), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430443] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10534), 1,
      anon_sym_AT,
    STATE(8686), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9580), 1,
      sym_annotation,
    STATE(8797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430563] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10789), 1,
      anon_sym_AT,
    STATE(8718), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9651), 1,
      sym_annotation,
    STATE(8800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430645] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9006), 1,
      sym__alpha_identifier,
    ACTIONS(9016), 1,
      sym__backquoted_id,
    ACTIONS(9018), 1,
      sym_operator_identifier,
    ACTIONS(9112), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_identifier,
    STATE(4018), 1,
      sym__soft_identifier,
    STATE(8802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9010), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9012), 7,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [430699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11752), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [430737] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11433), 1,
      anon_sym_EQ_GT,
    STATE(8804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430853] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1880), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8917), 1,
      anon_sym_LPAREN,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(10325), 1,
      anon_sym_DOT,
    ACTIONS(11133), 1,
      sym__alpha_identifier,
    ACTIONS(11139), 1,
      sym__backquoted_id,
    ACTIONS(11141), 1,
      sym_operator_identifier,
    ACTIONS(11756), 1,
      anon_sym_EQ,
    STATE(616), 1,
      sym_identifier,
    STATE(4188), 1,
      sym__soft_identifier,
    STATE(8807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
    STATE(9201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [430915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9238), 1,
      sym__end_marker,
    STATE(8808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430993] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9936), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431071] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9949), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [431263] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11758), 1,
      anon_sym_with,
    STATE(8817), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [431341] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9965), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431419] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11670), 1,
      anon_sym_LBRACE,
    ACTIONS(11672), 1,
      anon_sym_with,
    STATE(8754), 1,
      aux_sym_compound_type_repeat1,
    STATE(11297), 1,
      sym_template_body,
    STATE(11298), 1,
      sym__refinement,
    STATE(8821), 2,
      sym_comment,
      sym_block_comment,
    STATE(11218), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11761), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [431659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11765), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [431697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11769), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [431773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11773), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [431887] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10854), 1,
      anon_sym_LPAREN,
    STATE(8873), 1,
      aux_sym_annotation_repeat1,
    STATE(9936), 1,
      sym_arguments,
    STATE(8833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11777), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [432007] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      sym__interpolated_multiline_string_start,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11871), 1,
      sym_interpolated_string,
    STATE(15621), 1,
      sym__interpolated_string_start,
    ACTIONS(11781), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [432075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10227), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11783), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [432153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11787), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [432191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432229] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11642), 1,
      anon_sym_COLON,
    ACTIONS(11644), 1,
      anon_sym_LBRACE,
    ACTIONS(11646), 1,
      anon_sym_with,
    STATE(8396), 1,
      aux_sym_compound_type_repeat1,
    STATE(11453), 1,
      sym__refinement,
    STATE(11454), 1,
      sym_template_body,
    STATE(8841), 2,
      sym_comment,
      sym_block_comment,
    STATE(11509), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432395] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9058), 1,
      sym_operator_identifier,
    STATE(1806), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [432449] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11791), 1,
      anon_sym_AT,
    STATE(9908), 1,
      sym_annotation,
    STATE(8846), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [432681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11794), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [432909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432985] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11558), 1,
      anon_sym_DOT,
    ACTIONS(11798), 1,
      anon_sym_EQ_GT,
    STATE(8860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433065] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9035), 1,
      sym__end_marker,
    STATE(8862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9611), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433105] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9844), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433221] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10395), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433489] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11800), 1,
      anon_sym_LPAREN,
    STATE(9936), 1,
      sym_arguments,
    STATE(8873), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433569] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    ACTIONS(10481), 1,
      sym__interpolated_multiline_string_start,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11325), 1,
      sym_interpolated_string,
    STATE(16308), 1,
      sym__interpolated_string_start,
    ACTIONS(11803), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [433637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11805), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [433751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7916), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [433827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [434017] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11573), 1,
      anon_sym_with,
    STATE(10505), 1,
      aux_sym_compound_type_repeat1,
    STATE(10938), 1,
      sym__refinement,
    STATE(11112), 1,
      sym_template_body,
    STATE(8886), 2,
      sym_comment,
      sym_block_comment,
    STATE(11139), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7942), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [434103] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11120), 1,
      anon_sym_PLUS,
    ACTIONS(11122), 1,
      anon_sym_DASH,
    ACTIONS(11124), 1,
      anon_sym_AT,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(11215), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11858), 1,
      sym_annotation,
    STATE(16480), 1,
      sym__type_parameter,
    STATE(8888), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(16479), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [434167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434205] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10133), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434283] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7764), 1,
      anon_sym_def,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(6131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(17788), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8892), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [434343] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434383] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10010), 1,
      sym__interpolated_multiline_string_start,
    STATE(9754), 1,
      sym_interpolated_string,
    STATE(15487), 1,
      sym__interpolated_string_start,
    ACTIONS(11809), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434431] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9000), 1,
      sym__end_marker,
    STATE(8895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [434471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11811), 1,
      anon_sym_with,
    STATE(8897), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [434587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434625] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5223), 1,
      sym__end_marker,
    STATE(8900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [434703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [434779] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(8904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434819] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11814), 1,
      anon_sym_DOT,
    STATE(8905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434859] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    ACTIONS(10481), 1,
      sym__interpolated_multiline_string_start,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11325), 1,
      sym_interpolated_string,
    STATE(16308), 1,
      sym__interpolated_string_start,
    ACTIONS(11816), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [434927] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435043] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11818), 1,
      anon_sym_AT,
    STATE(9985), 1,
      sym_annotation,
    STATE(8910), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435237] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7586), 1,
      anon_sym_AT,
    ACTIONS(7594), 1,
      anon_sym_inline,
    ACTIONS(7596), 1,
      anon_sym_infix,
    ACTIONS(7598), 1,
      anon_sym_open,
    ACTIONS(7600), 1,
      anon_sym_transparent,
    ACTIONS(7674), 1,
      anon_sym_def,
    STATE(5332), 1,
      aux_sym_modifiers_repeat1,
    STATE(6131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7505), 1,
      sym_annotation,
    STATE(18433), 1,
      sym_modifiers,
    ACTIONS(7592), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8915), 2,
      sym_comment,
      sym_block_comment,
    STATE(6099), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(7590), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [435297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435411] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9006), 1,
      sym__alpha_identifier,
    ACTIONS(9014), 1,
      anon_sym_EQ,
    ACTIONS(9016), 1,
      sym__backquoted_id,
    ACTIONS(9018), 1,
      sym_operator_identifier,
    STATE(579), 1,
      sym_identifier,
    STATE(4018), 1,
      sym__soft_identifier,
    STATE(8919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9010), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [435465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435541] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1880), 1,
      anon_sym_LBRACE,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8917), 1,
      anon_sym_LPAREN,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(10325), 1,
      anon_sym_DOT,
    ACTIONS(11133), 1,
      sym__alpha_identifier,
    ACTIONS(11139), 1,
      sym__backquoted_id,
    ACTIONS(11141), 1,
      sym_operator_identifier,
    ACTIONS(11821), 1,
      anon_sym_EQ,
    STATE(616), 1,
      sym_identifier,
    STATE(4188), 1,
      sym__soft_identifier,
    STATE(8922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
    STATE(9201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [435603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10345), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435871] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435988] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11823), 1,
      anon_sym_LPAREN,
    ACTIONS(11825), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(4339), 1,
      sym_identifier,
    STATE(4732), 1,
      sym__simple_type,
    STATE(16894), 1,
      sym_stable_identifier,
    STATE(8933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4381), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436043] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10708), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436082] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11827), 1,
      sym__alpha_identifier,
    ACTIONS(11829), 1,
      anon_sym__,
    ACTIONS(11833), 1,
      anon_sym_LPAREN,
    ACTIONS(11835), 1,
      sym__backquoted_id,
    ACTIONS(11837), 1,
      sym_operator_identifier,
    STATE(6234), 1,
      sym__simple_type,
    STATE(7546), 1,
      sym__soft_identifier,
    STATE(7952), 1,
      sym_identifier,
    STATE(17530), 1,
      sym_stable_identifier,
    STATE(8935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11831), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8283), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436211] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6244), 1,
      anon_sym__,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(6254), 1,
      sym_operator_identifier,
    ACTIONS(10024), 1,
      anon_sym_LPAREN,
    STATE(5998), 1,
      sym__simple_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(18137), 1,
      sym_stable_identifier,
    STATE(8938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7762), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436377] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3312), 1,
      anon_sym_LBRACE,
    ACTIONS(11609), 1,
      anon_sym_LPAREN,
    ACTIONS(11839), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8036), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(8942), 2,
      sym_comment,
      sym_block_comment,
    STATE(11158), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8034), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [436500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10414), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436613] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9327), 1,
      sym__alpha_identifier,
    ACTIONS(9333), 1,
      sym__backquoted_id,
    ACTIONS(9335), 1,
      sym_operator_identifier,
    ACTIONS(9730), 1,
      anon_sym_EQ,
    STATE(581), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(8948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9329), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [436666] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4264), 1,
      anon_sym__,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(6612), 1,
      sym_operator_identifier,
    ACTIONS(10129), 1,
      anon_sym_LPAREN,
    STATE(5794), 1,
      sym__simple_type,
    STATE(6779), 1,
      sym_identifier,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(17592), 1,
      sym_stable_identifier,
    STATE(8949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8203), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436721] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11841), 1,
      anon_sym_with,
    STATE(8950), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10303), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436797] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11844), 1,
      anon_sym_with,
    STATE(8952), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436910] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5790), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436951] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6384), 1,
      anon_sym__,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(6394), 1,
      sym_operator_identifier,
    ACTIONS(10246), 1,
      anon_sym_LPAREN,
    STATE(5065), 1,
      sym__simple_type,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(5918), 1,
      sym_identifier,
    STATE(17538), 1,
      sym_stable_identifier,
    STATE(8956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10307), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437080] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6450), 1,
      anon_sym__,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(6460), 1,
      sym_operator_identifier,
    ACTIONS(10239), 1,
      anon_sym_LPAREN,
    STATE(6509), 1,
      sym__simple_type,
    STATE(7858), 1,
      sym_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(17574), 1,
      sym_stable_identifier,
    STATE(8959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437135] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11093), 1,
      anon_sym_AT,
    STATE(9363), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10311), 1,
      sym_annotation,
    STATE(8960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437326] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11847), 1,
      sym__alpha_identifier,
    ACTIONS(11849), 1,
      anon_sym__,
    ACTIONS(11853), 1,
      anon_sym_LPAREN,
    ACTIONS(11855), 1,
      sym__backquoted_id,
    ACTIONS(11857), 1,
      sym_operator_identifier,
    STATE(10946), 1,
      sym__simple_type,
    STATE(11565), 1,
      sym__soft_identifier,
    STATE(11614), 1,
      sym_identifier,
    STATE(17695), 1,
      sym_stable_identifier,
    STATE(8965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11851), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11996), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437603] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11861), 1,
      anon_sym__,
    ACTIONS(11865), 1,
      anon_sym_LPAREN,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(11869), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12776), 1,
      sym__simple_type,
    STATE(13580), 1,
      sym_identifier,
    STATE(17550), 1,
      sym_stable_identifier,
    STATE(8972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13987), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437695] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6772), 1,
      anon_sym__,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(6782), 1,
      sym_operator_identifier,
    ACTIONS(9874), 1,
      anon_sym_LPAREN,
    STATE(4570), 1,
      sym__simple_type,
    STATE(4897), 1,
      sym_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(17605), 1,
      sym_stable_identifier,
    STATE(8974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5355), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437750] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10426), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10285), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437863] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4882), 1,
      anon_sym__,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(6266), 1,
      sym_operator_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    STATE(5051), 1,
      sym__simple_type,
    STATE(5682), 1,
      sym_identifier,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(17562), 1,
      sym_stable_identifier,
    STATE(8978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10139), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11871), 1,
      anon_sym_DOT,
    STATE(8981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438031] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11873), 1,
      anon_sym_COLON,
    ACTIONS(11876), 1,
      anon_sym_LBRACE,
    STATE(10436), 1,
      sym_template_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8719), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8711), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438076] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9402), 1,
      sym__alpha_identifier,
    ACTIONS(9408), 1,
      sym__backquoted_id,
    ACTIONS(9410), 1,
      sym_operator_identifier,
    ACTIONS(9654), 1,
      anon_sym_EQ,
    STATE(580), 1,
      sym_identifier,
    STATE(4110), 1,
      sym__soft_identifier,
    STATE(8983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9404), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [438129] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4804), 1,
      anon_sym__,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(6236), 1,
      sym_operator_identifier,
    ACTIONS(10391), 1,
      anon_sym_LPAREN,
    STATE(5120), 1,
      sym__simple_type,
    STATE(6424), 1,
      sym_identifier,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(17144), 1,
      sym_stable_identifier,
    STATE(8984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6785), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438221] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym__,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(6342), 1,
      sym_operator_identifier,
    ACTIONS(10095), 1,
      anon_sym_LPAREN,
    STATE(5126), 1,
      sym__simple_type,
    STATE(6469), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(16974), 1,
      sym_stable_identifier,
    STATE(8986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7426), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438276] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10958), 1,
      anon_sym_LPAREN,
    STATE(9018), 1,
      aux_sym_annotation_repeat1,
    STATE(10073), 1,
      sym_arguments,
    ACTIONS(8469), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(8987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8467), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438319] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9384), 1,
      sym__alpha_identifier,
    ACTIONS(9390), 1,
      sym__backquoted_id,
    ACTIONS(9392), 1,
      sym_operator_identifier,
    ACTIONS(9678), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_identifier,
    STATE(4156), 1,
      sym__soft_identifier,
    STATE(8988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [438372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438409] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5708), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(8990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438450] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438493] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3312), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(11609), 1,
      anon_sym_LPAREN,
    ACTIONS(11839), 1,
      anon_sym_DOT,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8244), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(8992), 2,
      sym_comment,
      sym_block_comment,
    STATE(11158), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8242), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438544] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(848), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    ACTIONS(10566), 1,
      anon_sym_DOT,
    ACTIONS(10568), 1,
      sym_operator_identifier,
    ACTIONS(11879), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_while,
      anon_sym_match,
    STATE(8993), 2,
      sym_comment,
      sym_block_comment,
    STATE(9757), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [438605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438716] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11823), 1,
      anon_sym_LPAREN,
    ACTIONS(11825), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(4339), 1,
      sym_identifier,
    STATE(12995), 1,
      sym__simple_type,
    STATE(16894), 1,
      sym_stable_identifier,
    STATE(8997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4381), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438919] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9384), 1,
      sym__alpha_identifier,
    ACTIONS(9390), 1,
      sym__backquoted_id,
    ACTIONS(9392), 1,
      sym_operator_identifier,
    STATE(584), 1,
      sym_identifier,
    STATE(4156), 1,
      sym__soft_identifier,
    STATE(9002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [438970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10443), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439122] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5880), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439163] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5945), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439204] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4764), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(6664), 1,
      sym_operator_identifier,
    ACTIONS(10040), 1,
      anon_sym_LPAREN,
    STATE(4337), 1,
      sym__simple_type,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4508), 1,
      sym_identifier,
    STATE(17599), 1,
      sym_stable_identifier,
    STATE(9009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4579), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439407] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439446] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11881), 1,
      sym__alpha_identifier,
    ACTIONS(11883), 1,
      anon_sym__,
    ACTIONS(11887), 1,
      anon_sym_LPAREN,
    ACTIONS(11889), 1,
      sym__backquoted_id,
    ACTIONS(11891), 1,
      sym_operator_identifier,
    STATE(11797), 1,
      sym__simple_type,
    STATE(12646), 1,
      sym_identifier,
    STATE(12703), 1,
      sym__soft_identifier,
    STATE(17434), 1,
      sym_stable_identifier,
    STATE(9015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11885), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13230), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439538] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6632), 1,
      anon_sym__,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(6642), 1,
      sym_operator_identifier,
    ACTIONS(9881), 1,
      anon_sym_LPAREN,
    STATE(5230), 1,
      sym__simple_type,
    STATE(6158), 1,
      sym_identifier,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(17525), 1,
      sym_stable_identifier,
    STATE(9017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439593] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11893), 1,
      anon_sym_LPAREN,
    STATE(10073), 1,
      sym_arguments,
    ACTIONS(8366), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(9018), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8364), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439671] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11560), 1,
      anon_sym_AT,
    STATE(9441), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10238), 1,
      sym_annotation,
    STATE(9020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439714] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4630), 1,
      anon_sym__,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    ACTIONS(9760), 1,
      anon_sym_LPAREN,
    STATE(4468), 1,
      sym__simple_type,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4767), 1,
      sym_identifier,
    STATE(17611), 1,
      sym_stable_identifier,
    STATE(9021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5073), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439954] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10450), 1,
      anon_sym_COLON,
    ACTIONS(10453), 1,
      anon_sym_EQ_GT,
    ACTIONS(10455), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(17663), 1,
      sym__self_type_ascription,
    STATE(9027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439999] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4360), 1,
      anon_sym__,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(7004), 1,
      sym_operator_identifier,
    ACTIONS(10093), 1,
      anon_sym_LPAREN,
    STATE(4367), 1,
      sym__simple_type,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4583), 1,
      sym_identifier,
    STATE(16908), 1,
      sym_stable_identifier,
    STATE(9028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440091] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6544), 1,
      anon_sym__,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(6554), 1,
      sym_operator_identifier,
    ACTIONS(9752), 1,
      anon_sym_LPAREN,
    STATE(6052), 1,
      sym__simple_type,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym_identifier,
    STATE(17512), 1,
      sym_stable_identifier,
    STATE(9030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440220] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7896), 1,
      sym__alpha_identifier,
    ACTIONS(7902), 1,
      anon_sym__,
    ACTIONS(7906), 1,
      anon_sym_LPAREN,
    ACTIONS(7908), 1,
      sym__backquoted_id,
    ACTIONS(7910), 1,
      sym_operator_identifier,
    STATE(12751), 1,
      sym__simple_type,
    STATE(13535), 1,
      sym_identifier,
    STATE(13652), 1,
      sym__soft_identifier,
    STATE(17867), 1,
      sym_stable_identifier,
    STATE(9033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13955), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440349] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7998), 1,
      sym__alpha_identifier,
    ACTIONS(8000), 1,
      anon_sym__,
    ACTIONS(8004), 1,
      anon_sym_LPAREN,
    ACTIONS(8006), 1,
      sym__backquoted_id,
    ACTIONS(8008), 1,
      sym_operator_identifier,
    STATE(4918), 1,
      sym__simple_type,
    STATE(6285), 1,
      sym_identifier,
    STATE(6313), 1,
      sym__soft_identifier,
    STATE(17002), 1,
      sym_stable_identifier,
    STATE(9036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440404] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym__,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(6360), 1,
      sym_operator_identifier,
    ACTIONS(10206), 1,
      anon_sym_LPAREN,
    STATE(6324), 1,
      sym__simple_type,
    STATE(7714), 1,
      sym_identifier,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(16766), 1,
      sym_stable_identifier,
    STATE(9037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8795), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440459] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15547), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10471), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [440524] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4484), 1,
      anon_sym__,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(6908), 1,
      sym_operator_identifier,
    ACTIONS(9821), 1,
      anon_sym_LPAREN,
    STATE(4488), 1,
      sym__simple_type,
    STATE(4680), 1,
      sym_identifier,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(17617), 1,
      sym_stable_identifier,
    STATE(9039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5062), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440690] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6058), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [440768] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5858), 1,
      sym__end_marker,
    STATE(9045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440955] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11798), 1,
      anon_sym_EQ_GT,
    STATE(9050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440994] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9660), 1,
      sym__alpha_identifier,
    ACTIONS(9664), 1,
      anon_sym_EQ,
    ACTIONS(9666), 1,
      sym__backquoted_id,
    ACTIONS(9668), 1,
      sym_operator_identifier,
    STATE(585), 1,
      sym_identifier,
    STATE(4151), 1,
      sym__soft_identifier,
    STATE(9051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [441047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441158] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(11896), 1,
      anon_sym_EQ_GT,
    ACTIONS(11899), 1,
      sym__interpolated_multiline_string_start,
    STATE(11013), 1,
      sym_interpolated_string,
    STATE(15979), 1,
      sym__interpolated_string_start,
    STATE(9055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441207] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7522), 1,
      anon_sym__,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(7800), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      sym_operator_identifier,
    STATE(10963), 1,
      sym__simple_type,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(17997), 1,
      sym_stable_identifier,
    STATE(9056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441336] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6894), 1,
      anon_sym__,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(6904), 1,
      sym_operator_identifier,
    ACTIONS(9813), 1,
      anon_sym_LPAREN,
    STATE(6761), 1,
      sym__simple_type,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(7817), 1,
      sym_identifier,
    STATE(17039), 1,
      sym_stable_identifier,
    STATE(9059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8512), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441465] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4414), 1,
      anon_sym__,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(6970), 1,
      sym_operator_identifier,
    ACTIONS(10161), 1,
      anon_sym_LPAREN,
    STATE(4684), 1,
      sym__simple_type,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5364), 1,
      sym_identifier,
    STATE(17102), 1,
      sym_stable_identifier,
    STATE(9062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5635), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441668] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6814), 1,
      anon_sym__,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(6824), 1,
      sym_operator_identifier,
    ACTIONS(10323), 1,
      anon_sym_LPAREN,
    STATE(5879), 1,
      sym__simple_type,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(7010), 1,
      sym_identifier,
    STATE(17228), 1,
      sym_stable_identifier,
    STATE(9067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7980), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441797] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6690), 1,
      anon_sym__,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(6700), 1,
      sym_operator_identifier,
    ACTIONS(9866), 1,
      anon_sym_LPAREN,
    STATE(5053), 1,
      sym__simple_type,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(6012), 1,
      sym_identifier,
    STATE(17623), 1,
      sym_stable_identifier,
    STATE(9070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6487), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441889] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6190), 1,
      anon_sym__,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(6200), 1,
      sym_operator_identifier,
    ACTIONS(9836), 1,
      anon_sym_LPAREN,
    STATE(6037), 1,
      sym__simple_type,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(17499), 1,
      sym_stable_identifier,
    STATE(9072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8001), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10174), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10125), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [442203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [442240] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6292), 1,
      anon_sym__,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(6302), 1,
      sym_operator_identifier,
    ACTIONS(10197), 1,
      anon_sym_LPAREN,
    STATE(5018), 1,
      sym__simple_type,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(5833), 1,
      sym_identifier,
    STATE(16996), 1,
      sym_stable_identifier,
    STATE(9081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442332] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4296), 1,
      anon_sym__,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(6962), 1,
      sym_operator_identifier,
    ACTIONS(9934), 1,
      anon_sym_LPAREN,
    STATE(4688), 1,
      sym__simple_type,
    STATE(5236), 1,
      sym_identifier,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(17486), 1,
      sym_stable_identifier,
    STATE(9083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5973), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442498] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4700), 1,
      anon_sym__,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(6992), 1,
      sym_operator_identifier,
    ACTIONS(9945), 1,
      anon_sym_LPAREN,
    STATE(4996), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6060), 1,
      sym_identifier,
    STATE(17635), 1,
      sym_stable_identifier,
    STATE(9087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6513), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442553] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(11901), 1,
      anon_sym_COLON,
    ACTIONS(11904), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11907), 1,
      anon_sym_with,
    STATE(9089), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [442672] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym__,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(6746), 1,
      sym_operator_identifier,
    ACTIONS(9938), 1,
      anon_sym_LPAREN,
    STATE(5260), 1,
      sym__simple_type,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym_identifier,
    STATE(16816), 1,
      sym_stable_identifier,
    STATE(9091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6860), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10281), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442875] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5779), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442916] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9425), 1,
      anon_sym_with,
    ACTIONS(11910), 1,
      anon_sym_LBRACE,
    STATE(9265), 1,
      aux_sym_compound_type_repeat1,
    STATE(11603), 1,
      sym_template_body,
    STATE(11605), 1,
      sym__refinement,
    STATE(9097), 2,
      sym_comment,
      sym_block_comment,
    STATE(11518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443076] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5667), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10117), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443154] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4228), 1,
      anon_sym__,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(6828), 1,
      sym_operator_identifier,
    ACTIONS(10152), 1,
      anon_sym_LPAREN,
    STATE(5292), 1,
      sym__simple_type,
    STATE(6241), 1,
      sym_identifier,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(16715), 1,
      sym_stable_identifier,
    STATE(9103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7183), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10097), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10087), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443727] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7982), 1,
      sym__alpha_identifier,
    ACTIONS(7988), 1,
      anon_sym__,
    ACTIONS(7992), 1,
      anon_sym_LPAREN,
    ACTIONS(7994), 1,
      sym__backquoted_id,
    ACTIONS(7996), 1,
      sym_operator_identifier,
    STATE(8788), 1,
      sym__simple_type,
    STATE(10157), 1,
      sym_identifier,
    STATE(10344), 1,
      sym__soft_identifier,
    STATE(17269), 1,
      sym_stable_identifier,
    STATE(9118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7990), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10028), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10081), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443819] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8176), 1,
      sym__alpha_identifier,
    ACTIONS(8178), 1,
      anon_sym__,
    ACTIONS(8182), 1,
      anon_sym_LPAREN,
    ACTIONS(8184), 1,
      sym__backquoted_id,
    ACTIONS(8186), 1,
      sym_operator_identifier,
    STATE(4696), 1,
      sym__simple_type,
    STATE(5633), 1,
      sym__soft_identifier,
    STATE(6064), 1,
      sym_identifier,
    STATE(17641), 1,
      sym_stable_identifier,
    STATE(9120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8180), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5823), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443874] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8202), 1,
      sym__alpha_identifier,
    ACTIONS(8204), 1,
      anon_sym__,
    ACTIONS(8208), 1,
      anon_sym_LPAREN,
    ACTIONS(8210), 1,
      sym__backquoted_id,
    ACTIONS(8212), 1,
      sym_operator_identifier,
    STATE(7275), 1,
      sym__simple_type,
    STATE(8981), 1,
      sym_identifier,
    STATE(9125), 1,
      sym__soft_identifier,
    STATE(17112), 1,
      sym_stable_identifier,
    STATE(9121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8206), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9190), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10272), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443966] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11912), 1,
      sym__alpha_identifier,
    ACTIONS(11914), 1,
      anon_sym__,
    ACTIONS(11918), 1,
      anon_sym_LPAREN,
    ACTIONS(11920), 1,
      sym__backquoted_id,
    ACTIONS(11922), 1,
      sym_operator_identifier,
    STATE(11926), 1,
      sym__simple_type,
    STATE(12781), 1,
      sym__soft_identifier,
    STATE(12961), 1,
      sym_identifier,
    STATE(17665), 1,
      sym_stable_identifier,
    STATE(9123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13176), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444021] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11924), 1,
      sym__alpha_identifier,
    ACTIONS(11926), 1,
      anon_sym__,
    ACTIONS(11930), 1,
      anon_sym_LPAREN,
    ACTIONS(11932), 1,
      sym__backquoted_id,
    ACTIONS(11934), 1,
      sym_operator_identifier,
    STATE(10656), 1,
      sym__simple_type,
    STATE(10904), 1,
      sym_identifier,
    STATE(10906), 1,
      sym__soft_identifier,
    STATE(17736), 1,
      sym_stable_identifier,
    STATE(9124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444224] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11936), 1,
      sym__alpha_identifier,
    ACTIONS(11938), 1,
      anon_sym__,
    ACTIONS(11942), 1,
      anon_sym_LPAREN,
    ACTIONS(11944), 1,
      sym__backquoted_id,
    ACTIONS(11946), 1,
      sym_operator_identifier,
    STATE(12266), 1,
      sym__simple_type,
    STATE(13232), 1,
      sym__soft_identifier,
    STATE(13248), 1,
      sym_identifier,
    STATE(17761), 1,
      sym_stable_identifier,
    STATE(9129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11940), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13661), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9583), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444501] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9002), 1,
      sym_operator_identifier,
    STATE(1805), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [444552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9587), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [444663] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10524), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11948), 1,
      anon_sym_with,
    STATE(9141), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9658), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444926] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5122), 1,
      anon_sym__,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(5134), 1,
      sym_operator_identifier,
    ACTIONS(9989), 1,
      anon_sym_LPAREN,
    STATE(6708), 1,
      sym__simple_type,
    STATE(7501), 1,
      sym_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(17060), 1,
      sym_stable_identifier,
    STATE(9147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8401), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444981] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(9366), 1,
      sym_operator_identifier,
    STATE(596), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    STATE(9148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8076), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9360), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [445036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445110] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8419), 1,
      sym__alpha_identifier,
    ACTIONS(8425), 1,
      anon_sym__,
    ACTIONS(8429), 1,
      anon_sym_LPAREN,
    ACTIONS(8431), 1,
      sym__backquoted_id,
    ACTIONS(8433), 1,
      sym_operator_identifier,
    STATE(4467), 1,
      sym__simple_type,
    STATE(4877), 1,
      sym__soft_identifier,
    STATE(4935), 1,
      sym_identifier,
    STATE(18287), 1,
      sym_stable_identifier,
    STATE(9151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8427), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4920), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445165] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9327), 1,
      sym__alpha_identifier,
    ACTIONS(9331), 1,
      anon_sym_EQ,
    ACTIONS(9333), 1,
      sym__backquoted_id,
    ACTIONS(9335), 1,
      sym_operator_identifier,
    STATE(581), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(9152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9329), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [445218] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5661), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10689), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445409] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11188), 1,
      anon_sym_LPAREN,
    STATE(9224), 1,
      aux_sym_annotation_repeat1,
    STATE(10328), 1,
      sym_arguments,
    STATE(9158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8467), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445452] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11951), 1,
      sym__alpha_identifier,
    ACTIONS(11953), 1,
      anon_sym__,
    ACTIONS(11957), 1,
      anon_sym_LPAREN,
    ACTIONS(11959), 1,
      sym__backquoted_id,
    ACTIONS(11961), 1,
      sym_operator_identifier,
    STATE(11594), 1,
      sym__simple_type,
    STATE(12170), 1,
      sym__soft_identifier,
    STATE(12359), 1,
      sym_identifier,
    STATE(17809), 1,
      sym_stable_identifier,
    STATE(9159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11955), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12582), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445507] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9384), 1,
      sym__alpha_identifier,
    ACTIONS(9388), 1,
      anon_sym_EQ,
    ACTIONS(9390), 1,
      sym__backquoted_id,
    ACTIONS(9392), 1,
      sym_operator_identifier,
    STATE(584), 1,
      sym_identifier,
    STATE(4156), 1,
      sym__soft_identifier,
    STATE(9160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9386), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [445560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [445597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445708] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__backquoted_id,
    STATE(9165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(4174), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
    ACTIONS(4176), 8,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
  [445749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [445823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10042), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445934] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4328), 1,
      anon_sym__,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(6996), 1,
      sym_operator_identifier,
    ACTIONS(9999), 1,
      anon_sym_LPAREN,
    STATE(4870), 1,
      sym__simple_type,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(5805), 1,
      sym_identifier,
    STATE(17647), 1,
      sym_stable_identifier,
    STATE(9171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6555), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9688), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11963), 1,
      anon_sym_with,
    STATE(9177), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [446361] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11368), 1,
      sym__alpha_identifier,
    ACTIONS(11370), 1,
      anon_sym__,
    ACTIONS(11374), 1,
      anon_sym_LPAREN,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11378), 1,
      sym_operator_identifier,
    STATE(13560), 1,
      sym__simple_type,
    STATE(14053), 1,
      sym_identifier,
    STATE(14063), 1,
      sym__soft_identifier,
    STATE(17166), 1,
      sym_stable_identifier,
    STATE(9182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14283), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [446490] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9824), 1,
      sym_arguments,
    STATE(9185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446566] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8190), 1,
      sym__alpha_identifier,
    ACTIONS(8192), 1,
      anon_sym__,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8198), 1,
      sym__backquoted_id,
    ACTIONS(8200), 1,
      sym_operator_identifier,
    STATE(5431), 1,
      sym__simple_type,
    STATE(7190), 1,
      sym_identifier,
    STATE(7274), 1,
      sym__soft_identifier,
    STATE(17653), 1,
      sym_stable_identifier,
    STATE(9187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6970), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446621] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8338), 1,
      sym__alpha_identifier,
    ACTIONS(8340), 1,
      anon_sym__,
    ACTIONS(8344), 1,
      anon_sym_LPAREN,
    ACTIONS(8346), 1,
      sym__backquoted_id,
    ACTIONS(8348), 1,
      sym_operator_identifier,
    STATE(5258), 1,
      sym__simple_type,
    STATE(7232), 1,
      sym__soft_identifier,
    STATE(7475), 1,
      sym_identifier,
    STATE(17473), 1,
      sym_stable_identifier,
    STATE(9188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7340), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10052), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10681), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11966), 1,
      anon_sym_with,
    STATE(9199), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10048), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10036), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447235] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9579), 1,
      sym_operator_identifier,
    STATE(1717), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8080), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [447288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9642), 1,
      sym__end_marker,
    STATE(9205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447364] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9735), 1,
      sym__end_marker,
    STATE(9207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [447403] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11969), 1,
      sym__alpha_identifier,
    ACTIONS(11971), 1,
      anon_sym__,
    ACTIONS(11975), 1,
      anon_sym_LPAREN,
    ACTIONS(11977), 1,
      sym__backquoted_id,
    ACTIONS(11979), 1,
      sym_operator_identifier,
    STATE(12180), 1,
      sym__simple_type,
    STATE(13200), 1,
      sym__soft_identifier,
    STATE(13365), 1,
      sym_identifier,
    STATE(17821), 1,
      sym_stable_identifier,
    STATE(9208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11973), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13632), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447458] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7458), 1,
      anon_sym__,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(7788), 1,
      sym_operator_identifier,
    STATE(11199), 1,
      sym__simple_type,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11793), 1,
      sym_identifier,
    STATE(16844), 1,
      sym_stable_identifier,
    STATE(9209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447587] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9339), 1,
      sym_operator_identifier,
    STATE(1722), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [447640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [447714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447899] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6410), 1,
      anon_sym__,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(6420), 1,
      sym_operator_identifier,
    ACTIONS(10091), 1,
      anon_sym_LPAREN,
    STATE(4890), 1,
      sym__simple_type,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6079), 1,
      sym_identifier,
    STATE(17659), 1,
      sym_stable_identifier,
    STATE(9220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6611), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447954] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10450), 1,
      anon_sym_COLON,
    ACTIONS(10540), 1,
      anon_sym_EQ_GT,
    ACTIONS(10542), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(17639), 1,
      sym__self_type_ascription,
    STATE(9221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10026), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448073] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    STATE(10328), 1,
      sym_arguments,
    STATE(9224), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8364), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448114] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7840), 1,
      sym__alpha_identifier,
    ACTIONS(7846), 1,
      anon_sym__,
    ACTIONS(7850), 1,
      anon_sym_LPAREN,
    ACTIONS(7852), 1,
      sym__backquoted_id,
    ACTIONS(7854), 1,
      sym_operator_identifier,
    STATE(11318), 1,
      sym__simple_type,
    STATE(11741), 1,
      sym_identifier,
    STATE(11889), 1,
      sym__soft_identifier,
    STATE(17447), 1,
      sym_stable_identifier,
    STATE(9225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448206] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11986), 1,
      anon_sym__,
    ACTIONS(11988), 1,
      anon_sym_LPAREN,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(11992), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11319), 1,
      sym__simple_type,
    STATE(11922), 1,
      sym_identifier,
    STATE(16864), 1,
      sym_stable_identifier,
    STATE(9227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12082), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448261] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8264), 1,
      sym__alpha_identifier,
    ACTIONS(8266), 1,
      anon_sym__,
    ACTIONS(8270), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      sym__backquoted_id,
    ACTIONS(8274), 1,
      sym_operator_identifier,
    STATE(5609), 1,
      sym__simple_type,
    STATE(7931), 1,
      sym__soft_identifier,
    STATE(8136), 1,
      sym_identifier,
    STATE(17671), 1,
      sym_stable_identifier,
    STATE(9228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7573), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448316] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(11994), 1,
      anon_sym_COLON,
    STATE(9229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448357] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      anon_sym_with,
    STATE(9230), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [448396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448470] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN,
    STATE(6594), 1,
      sym__simple_type,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8057), 1,
      sym_identifier,
    STATE(17645), 1,
      sym_stable_identifier,
    STATE(9233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8519), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448858] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4514), 1,
      anon_sym__,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    ACTIONS(10131), 1,
      anon_sym_LPAREN,
    STATE(4759), 1,
      sym__simple_type,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(5439), 1,
      sym_identifier,
    STATE(17857), 1,
      sym_stable_identifier,
    STATE(9243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6092), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449061] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8242), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [449215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449252] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11999), 1,
      sym__alpha_identifier,
    ACTIONS(12001), 1,
      anon_sym__,
    ACTIONS(12005), 1,
      anon_sym_LPAREN,
    ACTIONS(12007), 1,
      sym__backquoted_id,
    ACTIONS(12009), 1,
      sym_operator_identifier,
    STATE(10842), 1,
      sym__simple_type,
    STATE(11198), 1,
      sym_identifier,
    STATE(11259), 1,
      sym__soft_identifier,
    STATE(17833), 1,
      sym_stable_identifier,
    STATE(9253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12003), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11411), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449307] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6094), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9639), 1,
      sym_arguments,
    STATE(9255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449387] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5718), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10554), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [449541] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6854), 1,
      anon_sym__,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    ACTIONS(10150), 1,
      anon_sym_LPAREN,
    STATE(4697), 1,
      sym__simple_type,
    STATE(5359), 1,
      sym_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(17845), 1,
      sym_stable_identifier,
    STATE(9260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5903), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10014), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449744] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9425), 1,
      anon_sym_with,
    ACTIONS(11910), 1,
      anon_sym_LBRACE,
    STATE(7830), 1,
      aux_sym_compound_type_repeat1,
    STATE(11603), 1,
      sym_template_body,
    STATE(11607), 1,
      sym__refinement,
    STATE(9265), 2,
      sym_comment,
      sym_block_comment,
    STATE(11518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7942), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [449830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8538), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [449941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450052] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6978), 1,
      anon_sym__,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(6988), 1,
      sym_operator_identifier,
    ACTIONS(10012), 1,
      anon_sym_LPAREN,
    STATE(5002), 1,
      sym__simple_type,
    STATE(5703), 1,
      sym_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(17421), 1,
      sym_stable_identifier,
    STATE(9273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6154), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8548), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450218] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9402), 1,
      sym__alpha_identifier,
    ACTIONS(9406), 1,
      anon_sym_EQ,
    ACTIONS(9408), 1,
      sym__backquoted_id,
    ACTIONS(9410), 1,
      sym_operator_identifier,
    STATE(580), 1,
      sym_identifier,
    STATE(4110), 1,
      sym__soft_identifier,
    STATE(9277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9404), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [450271] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(11213), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(9278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11211), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450363] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(12011), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    ACTIONS(11209), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(9280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [450428] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8439), 1,
      sym__alpha_identifier,
    ACTIONS(8445), 1,
      anon_sym__,
    ACTIONS(8449), 1,
      anon_sym_LPAREN,
    ACTIONS(8451), 1,
      sym__backquoted_id,
    ACTIONS(8453), 1,
      sym_operator_identifier,
    STATE(4694), 1,
      sym__simple_type,
    STATE(5521), 1,
      sym_identifier,
    STATE(5839), 1,
      sym__soft_identifier,
    STATE(16779), 1,
      sym_stable_identifier,
    STATE(9281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8447), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6043), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450483] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_DQUOTE,
    ACTIONS(11205), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11301), 1,
      sym__interpolated_multiline_string_start,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(12187), 1,
      sym_interpolated_string,
    STATE(15245), 1,
      sym__interpolated_string_start,
    STATE(9282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450538] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7914), 1,
      sym__outdent,
    ACTIONS(7916), 1,
      anon_sym_case,
    ACTIONS(12013), 1,
      anon_sym_with,
    STATE(9284), 1,
      aux_sym_compound_type_repeat1,
    STATE(11947), 1,
      sym__refinement,
    STATE(11948), 1,
      sym_template_body,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9283), 2,
      sym_comment,
      sym_block_comment,
    STATE(11958), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450595] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(12013), 1,
      anon_sym_with,
    STATE(10703), 1,
      aux_sym_compound_type_repeat1,
    STATE(11937), 1,
      sym__refinement,
    STATE(11948), 1,
      sym_template_body,
    ACTIONS(7944), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(9284), 2,
      sym_comment,
      sym_block_comment,
    STATE(11958), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7942), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450646] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450689] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(10121), 1,
      anon_sym_LPAREN,
    STATE(5251), 1,
      sym__simple_type,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6470), 1,
      sym_identifier,
    STATE(17677), 1,
      sym_stable_identifier,
    STATE(9286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6918), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450818] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8324), 1,
      sym__alpha_identifier,
    ACTIONS(8326), 1,
      anon_sym__,
    ACTIONS(8330), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      sym__backquoted_id,
    ACTIONS(8334), 1,
      sym_operator_identifier,
    STATE(5226), 1,
      sym__simple_type,
    STATE(6835), 1,
      sym__soft_identifier,
    STATE(7195), 1,
      sym_identifier,
    STATE(17165), 1,
      sym_stable_identifier,
    STATE(9289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8328), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6832), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450984] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6672), 1,
      anon_sym__,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    ACTIONS(10213), 1,
      anon_sym_LPAREN,
    STATE(4458), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(17839), 1,
      sym_stable_identifier,
    STATE(9293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451078] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9058), 1,
      sym_operator_identifier,
    STATE(1806), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [451129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451277] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(848), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    ACTIONS(10566), 1,
      anon_sym_DOT,
    ACTIONS(10568), 1,
      sym_operator_identifier,
    ACTIONS(12015), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_match,
      anon_sym_do,
    STATE(9300), 2,
      sym_comment,
      sym_block_comment,
    STATE(9757), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [451338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451375] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3312), 1,
      anon_sym_LBRACE,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(11609), 1,
      anon_sym_LPAREN,
    ACTIONS(11839), 1,
      anon_sym_DOT,
    ACTIONS(12017), 1,
      sym__alpha_identifier,
    ACTIONS(12021), 1,
      sym__backquoted_id,
    ACTIONS(12023), 1,
      sym_operator_identifier,
    STATE(1157), 1,
      sym_identifier,
    STATE(4293), 1,
      sym__soft_identifier,
    ACTIONS(8076), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(9302), 2,
      sym_comment,
      sym_block_comment,
    STATE(11158), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(12019), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [451436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451473] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4862), 1,
      anon_sym__,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    STATE(4598), 1,
      sym__simple_type,
    STATE(4955), 1,
      sym_identifier,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(18028), 1,
      sym_stable_identifier,
    STATE(9304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5153), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451528] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9416), 1,
      sym_operator_identifier,
    STATE(1849), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8080), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [451581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451692] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10450), 1,
      anon_sym_COLON,
    ACTIONS(10542), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10564), 1,
      anon_sym_EQ_GT,
    STATE(18332), 1,
      sym__self_type_ascription,
    STATE(9309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451811] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym__,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(6768), 1,
      sym_operator_identifier,
    ACTIONS(9736), 1,
      anon_sym_LPAREN,
    STATE(7422), 1,
      sym__simple_type,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8587), 1,
      sym_identifier,
    STATE(16840), 1,
      sym_stable_identifier,
    STATE(9312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9518), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451903] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8056), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym__,
    ACTIONS(8066), 1,
      anon_sym_LPAREN,
    ACTIONS(8068), 1,
      sym__backquoted_id,
    ACTIONS(8070), 1,
      sym_operator_identifier,
    STATE(4412), 1,
      sym__simple_type,
    STATE(4751), 1,
      sym__soft_identifier,
    STATE(4806), 1,
      sym_identifier,
    STATE(17289), 1,
      sym_stable_identifier,
    STATE(9314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8064), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4629), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451995] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12025), 1,
      sym__alpha_identifier,
    ACTIONS(12027), 1,
      anon_sym__,
    ACTIONS(12031), 1,
      anon_sym_LPAREN,
    ACTIONS(12033), 1,
      sym__backquoted_id,
    ACTIONS(12035), 1,
      sym_operator_identifier,
    STATE(12430), 1,
      sym__simple_type,
    STATE(13241), 1,
      sym__soft_identifier,
    STATE(13244), 1,
      sym_identifier,
    STATE(17743), 1,
      sym_stable_identifier,
    STATE(9316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12029), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13664), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452124] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6274), 1,
      anon_sym__,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(6284), 1,
      sym_operator_identifier,
    ACTIONS(10231), 1,
      anon_sym_LPAREN,
    STATE(5906), 1,
      sym__simple_type,
    STATE(6979), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(17827), 1,
      sym_stable_identifier,
    STATE(9319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8245), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [452364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8573), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10018), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452660] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6616), 1,
      anon_sym__,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(6626), 1,
      sym_operator_identifier,
    ACTIONS(9754), 1,
      anon_sym_LPAREN,
    STATE(7174), 1,
      sym__simple_type,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(8905), 1,
      sym_identifier,
    STATE(16739), 1,
      sym_stable_identifier,
    STATE(9333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9357), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8559), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452863] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5594), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9993), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452941] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12037), 1,
      anon_sym_AT,
    STATE(10032), 1,
      sym_annotation,
    STATE(9340), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453130] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8302), 1,
      anon_sym__,
    ACTIONS(8306), 1,
      anon_sym_LPAREN,
    ACTIONS(8308), 1,
      sym__backquoted_id,
    ACTIONS(8310), 1,
      sym_operator_identifier,
    STATE(5522), 1,
      sym__simple_type,
    STATE(7660), 1,
      sym__soft_identifier,
    STATE(7857), 1,
      sym_identifier,
    STATE(16661), 1,
      sym_stable_identifier,
    STATE(9345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7701), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453259] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12040), 1,
      anon_sym_LPAREN,
    STATE(10059), 1,
      sym_arguments,
    STATE(9348), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8364), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453485] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6500), 1,
      anon_sym__,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(6510), 1,
      sym_operator_identifier,
    ACTIONS(10143), 1,
      anon_sym_LPAREN,
    STATE(6759), 1,
      sym__simple_type,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(7957), 1,
      sym_identifier,
    STATE(17689), 1,
      sym_stable_identifier,
    STATE(9354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8879), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12043), 1,
      anon_sym_DOT,
    STATE(9355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453653] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6880), 1,
      anon_sym__,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(6890), 1,
      sym_operator_identifier,
    ACTIONS(10237), 1,
      anon_sym_LPAREN,
    STATE(5407), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6604), 1,
      sym_identifier,
    STATE(17815), 1,
      sym_stable_identifier,
    STATE(9358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7011), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453708] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(9425), 1,
      anon_sym_with,
    ACTIONS(11910), 1,
      anon_sym_LBRACE,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    STATE(9265), 1,
      aux_sym_compound_type_repeat1,
    STATE(11603), 1,
      sym_template_body,
    STATE(11605), 1,
      sym__refinement,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9359), 2,
      sym_comment,
      sym_block_comment,
    STATE(11518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453763] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8352), 1,
      sym__alpha_identifier,
    ACTIONS(8354), 1,
      anon_sym__,
    ACTIONS(8358), 1,
      anon_sym_LPAREN,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(8362), 1,
      sym_operator_identifier,
    STATE(4854), 1,
      sym__simple_type,
    STATE(6152), 1,
      sym_identifier,
    STATE(6672), 1,
      sym__soft_identifier,
    STATE(17081), 1,
      sym_stable_identifier,
    STATE(9360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453818] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym__,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(5138), 1,
      sym_operator_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    STATE(4888), 1,
      sym__simple_type,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6041), 1,
      sym_identifier,
    STATE(16680), 1,
      sym_stable_identifier,
    STATE(9361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6249), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453910] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12048), 1,
      anon_sym_AT,
    STATE(10311), 1,
      sym_annotation,
    STATE(9363), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454136] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6948), 1,
      anon_sym__,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(6958), 1,
      sym_operator_identifier,
    ACTIONS(10101), 1,
      anon_sym_LPAREN,
    STATE(4855), 1,
      sym__simple_type,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(6093), 1,
      sym_identifier,
    STATE(17863), 1,
      sym_stable_identifier,
    STATE(9369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6430), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [454191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454267] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6930), 1,
      anon_sym__,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(6940), 1,
      sym_operator_identifier,
    ACTIONS(10262), 1,
      anon_sym_LPAREN,
    STATE(4698), 1,
      sym__simple_type,
    STATE(5422), 1,
      sym_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(17803), 1,
      sym_stable_identifier,
    STATE(9372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5520), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [454322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454396] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12051), 1,
      sym__alpha_identifier,
    ACTIONS(12053), 1,
      anon_sym__,
    ACTIONS(12057), 1,
      anon_sym_LPAREN,
    ACTIONS(12059), 1,
      sym__backquoted_id,
    ACTIONS(12061), 1,
      sym_operator_identifier,
    STATE(11728), 1,
      sym__simple_type,
    STATE(12601), 1,
      sym_identifier,
    STATE(12842), 1,
      sym__soft_identifier,
    STATE(17869), 1,
      sym_stable_identifier,
    STATE(9375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12055), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13298), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [454451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454525] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8160), 1,
      sym__alpha_identifier,
    ACTIONS(8166), 1,
      anon_sym__,
    ACTIONS(8170), 1,
      anon_sym_LPAREN,
    ACTIONS(8172), 1,
      sym__backquoted_id,
    ACTIONS(8174), 1,
      sym_operator_identifier,
    STATE(4541), 1,
      sym__simple_type,
    STATE(5212), 1,
      sym__soft_identifier,
    STATE(5428), 1,
      sym_identifier,
    STATE(17328), 1,
      sym_stable_identifier,
    STATE(9378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5313), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [454580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454728] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8276), 1,
      sym__alpha_identifier,
    ACTIONS(8282), 1,
      anon_sym__,
    ACTIONS(8286), 1,
      anon_sym_LPAREN,
    ACTIONS(8288), 1,
      sym__backquoted_id,
    ACTIONS(8290), 1,
      sym_operator_identifier,
    STATE(4495), 1,
      sym__simple_type,
    STATE(4867), 1,
      sym_identifier,
    STATE(4959), 1,
      sym__soft_identifier,
    STATE(17701), 1,
      sym_stable_identifier,
    STATE(9383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [454783] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12063), 1,
      sym__alpha_identifier,
    ACTIONS(12065), 1,
      anon_sym__,
    ACTIONS(12069), 1,
      anon_sym_LPAREN,
    ACTIONS(12071), 1,
      sym__backquoted_id,
    ACTIONS(12073), 1,
      sym_operator_identifier,
    STATE(10595), 1,
      sym__simple_type,
    STATE(10956), 1,
      sym__soft_identifier,
    STATE(11064), 1,
      sym_identifier,
    STATE(17683), 1,
      sym_stable_identifier,
    STATE(9384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12067), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11275), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [454838] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8552), 1,
      sym__backquoted_id,
    ACTIONS(12075), 1,
      anon_sym_AT,
    STATE(10027), 1,
      sym_annotation,
    STATE(9385), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8550), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [454990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455064] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9848), 1,
      sym__alpha_identifier,
    ACTIONS(9854), 1,
      sym__backquoted_id,
    ACTIONS(9856), 1,
      sym_operator_identifier,
    STATE(589), 1,
      sym_identifier,
    STATE(4170), 1,
      sym__soft_identifier,
    STATE(9391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9012), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9850), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [455115] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4680), 1,
      anon_sym__,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(6966), 1,
      sym_operator_identifier,
    ACTIONS(10248), 1,
      anon_sym_LPAREN,
    STATE(4502), 1,
      sym__simple_type,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(4675), 1,
      sym_identifier,
    STATE(17309), 1,
      sym_stable_identifier,
    STATE(9392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [455170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455466] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6786), 1,
      anon_sym__,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(6796), 1,
      sym_operator_identifier,
    ACTIONS(10217), 1,
      anon_sym_LPAREN,
    STATE(4435), 1,
      sym__simple_type,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4548), 1,
      sym_identifier,
    STATE(17707), 1,
      sym_stable_identifier,
    STATE(9401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4705), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [455521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455558] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8110), 1,
      sym__alpha_identifier,
    ACTIONS(8112), 1,
      anon_sym__,
    ACTIONS(8116), 1,
      anon_sym_LPAREN,
    ACTIONS(8118), 1,
      sym__backquoted_id,
    ACTIONS(8120), 1,
      sym_operator_identifier,
    STATE(5433), 1,
      sym__simple_type,
    STATE(7200), 1,
      sym__soft_identifier,
    STATE(7208), 1,
      sym_identifier,
    STATE(17404), 1,
      sym_stable_identifier,
    STATE(9403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8114), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7445), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [455613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455687] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4188), 1,
      anon_sym__,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    ACTIONS(9963), 1,
      anon_sym_LPAREN,
    STATE(5201), 1,
      sym__simple_type,
    STATE(6460), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(9406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7281), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [455742] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8246), 1,
      sym__alpha_identifier,
    ACTIONS(8248), 1,
      anon_sym__,
    ACTIONS(8252), 1,
      anon_sym_LPAREN,
    ACTIONS(8254), 1,
      sym__backquoted_id,
    ACTIONS(8256), 1,
      sym_operator_identifier,
    STATE(4936), 1,
      sym__simple_type,
    STATE(6280), 1,
      sym__soft_identifier,
    STATE(6681), 1,
      sym_identifier,
    STATE(17797), 1,
      sym_stable_identifier,
    STATE(9407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6580), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [455797] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(9408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455873] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11176), 1,
      anon_sym_AT,
    STATE(9471), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10015), 1,
      sym_annotation,
    STATE(9410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8501), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455916] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6912), 1,
      anon_sym__,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym_operator_identifier,
    ACTIONS(10233), 1,
      anon_sym_LPAREN,
    STATE(4575), 1,
      sym__simple_type,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5075), 1,
      sym_identifier,
    STATE(17713), 1,
      sym_stable_identifier,
    STATE(9411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5252), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [455971] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6208), 1,
      anon_sym__,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(6218), 1,
      sym_operator_identifier,
    ACTIONS(10215), 1,
      anon_sym_LPAREN,
    STATE(4702), 1,
      sym__simple_type,
    STATE(5288), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(16930), 1,
      sym_stable_identifier,
    STATE(9412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [456026] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8214), 1,
      sym__alpha_identifier,
    ACTIONS(8216), 1,
      anon_sym__,
    ACTIONS(8220), 1,
      anon_sym_LPAREN,
    ACTIONS(8222), 1,
      sym__backquoted_id,
    ACTIONS(8224), 1,
      sym_operator_identifier,
    STATE(5523), 1,
      sym__simple_type,
    STATE(7669), 1,
      sym__soft_identifier,
    STATE(7866), 1,
      sym_identifier,
    STATE(16659), 1,
      sym_stable_identifier,
    STATE(9413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8218), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7994), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [456081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10297), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456118] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12078), 1,
      sym__alpha_identifier,
    ACTIONS(12080), 1,
      anon_sym__,
    ACTIONS(12084), 1,
      anon_sym_LPAREN,
    ACTIONS(12086), 1,
      sym__backquoted_id,
    ACTIONS(12088), 1,
      sym_operator_identifier,
    STATE(10894), 1,
      sym__simple_type,
    STATE(11558), 1,
      sym__soft_identifier,
    STATE(11701), 1,
      sym_identifier,
    STATE(17585), 1,
      sym_stable_identifier,
    STATE(9415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11881), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [456173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456247] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8455), 1,
      sym__alpha_identifier,
    ACTIONS(8457), 1,
      anon_sym__,
    ACTIONS(8461), 1,
      anon_sym_LPAREN,
    ACTIONS(8463), 1,
      sym__backquoted_id,
    ACTIONS(8465), 1,
      sym_operator_identifier,
    STATE(4733), 1,
      sym__simple_type,
    STATE(5570), 1,
      sym__soft_identifier,
    STATE(5662), 1,
      sym_identifier,
    STATE(17719), 1,
      sym_stable_identifier,
    STATE(9418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8459), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5673), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [456302] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10925), 1,
      anon_sym_LPAREN,
    STATE(9348), 1,
      aux_sym_annotation_repeat1,
    STATE(10059), 1,
      sym_arguments,
    STATE(9419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8467), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456493] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9676), 1,
      sym_operator_identifier,
    STATE(1834), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [456546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9893), 1,
      sym__end_marker,
    STATE(9425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9611), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456585] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8393), 1,
      sym__alpha_identifier,
    ACTIONS(8395), 1,
      anon_sym__,
    ACTIONS(8399), 1,
      anon_sym_LPAREN,
    ACTIONS(8401), 1,
      sym__backquoted_id,
    ACTIONS(8403), 1,
      sym_operator_identifier,
    STATE(6111), 1,
      sym__simple_type,
    STATE(8381), 1,
      sym_identifier,
    STATE(8480), 1,
      sym__soft_identifier,
    STATE(17207), 1,
      sym_stable_identifier,
    STATE(9426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8397), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8732), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [456640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(9427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [456827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 6,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9644), 1,
      sym_arguments,
    STATE(9434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457014] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(9870), 1,
      anon_sym_LPAREN,
    STATE(5769), 1,
      sym__simple_type,
    STATE(6977), 1,
      sym_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(16952), 1,
      sym_stable_identifier,
    STATE(9437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7499), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [457069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457180] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12090), 1,
      anon_sym_AT,
    STATE(10238), 1,
      sym_annotation,
    STATE(9441), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8550), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457221] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6584), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_LBRACE,
    ACTIONS(12013), 1,
      anon_sym_with,
    STATE(9284), 1,
      aux_sym_compound_type_repeat1,
    STATE(11947), 1,
      sym__refinement,
    STATE(11948), 1,
      sym_template_body,
    ACTIONS(7814), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(9442), 2,
      sym_comment,
      sym_block_comment,
    STATE(11958), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7808), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457309] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8122), 1,
      sym__alpha_identifier,
    ACTIONS(8124), 1,
      anon_sym__,
    ACTIONS(8128), 1,
      anon_sym_LPAREN,
    ACTIONS(8130), 1,
      sym__backquoted_id,
    ACTIONS(8132), 1,
      sym_operator_identifier,
    STATE(4992), 1,
      sym__simple_type,
    STATE(6304), 1,
      sym_identifier,
    STATE(6765), 1,
      sym__soft_identifier,
    STATE(17123), 1,
      sym_stable_identifier,
    STATE(9444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8126), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6680), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [457364] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5830), 1,
      sym__end_marker,
    STATE(9445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457403] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4548), 1,
      anon_sym__,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(6704), 1,
      sym_operator_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    STATE(4625), 1,
      sym__simple_type,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(4913), 1,
      sym_identifier,
    STATE(17791), 1,
      sym_stable_identifier,
    STATE(9446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5133), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [457458] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10888), 1,
      anon_sym_AT,
    STATE(9340), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10032), 1,
      sym_annotation,
    STATE(9447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8501), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457501] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6518), 1,
      anon_sym__,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(6528), 1,
      sym_operator_identifier,
    ACTIONS(10186), 1,
      anon_sym_LPAREN,
    STATE(5165), 1,
      sym__simple_type,
    STATE(6307), 1,
      sym_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(16956), 1,
      sym_stable_identifier,
    STATE(9448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [457556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457704] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4652), 1,
      anon_sym__,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(7000), 1,
      sym_operator_identifier,
    ACTIONS(10115), 1,
      anon_sym_LPAREN,
    STATE(4724), 1,
      sym__simple_type,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5350), 1,
      sym_identifier,
    STATE(17385), 1,
      sym_stable_identifier,
    STATE(9453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5837), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [457759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457796] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457839] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6588), 1,
      anon_sym__,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(6598), 1,
      sym_operator_identifier,
    ACTIONS(10377), 1,
      anon_sym_LPAREN,
    STATE(8204), 1,
      sym__simple_type,
    STATE(9355), 1,
      sym_identifier,
    STATE(9432), 1,
      sym__soft_identifier,
    STATE(17785), 1,
      sym_stable_identifier,
    STATE(9456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9581), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [457894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457931] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12093), 1,
      sym__alpha_identifier,
    ACTIONS(12095), 1,
      anon_sym__,
    ACTIONS(12099), 1,
      anon_sym_LPAREN,
    ACTIONS(12101), 1,
      sym__backquoted_id,
    ACTIONS(12103), 1,
      sym_operator_identifier,
    STATE(11527), 1,
      sym__simple_type,
    STATE(12137), 1,
      sym__soft_identifier,
    STATE(12442), 1,
      sym_identifier,
    STATE(17851), 1,
      sym_stable_identifier,
    STATE(9458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12097), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12588), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [457986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [458060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [458097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9935), 1,
      sym__end_marker,
    STATE(9463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [458173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [458358] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6836), 1,
      anon_sym__,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    ACTIONS(10260), 1,
      anon_sym_LPAREN,
    STATE(4582), 1,
      sym__simple_type,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4998), 1,
      sym_identifier,
    STATE(17725), 1,
      sym_stable_identifier,
    STATE(9469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5241), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [458413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458450] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12105), 1,
      anon_sym_AT,
    STATE(10015), 1,
      sym_annotation,
    STATE(9471), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8550), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [458528] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8046), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8575), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9663), 1,
      sym_arguments,
    STATE(9477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [458832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458869] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458912] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12108), 1,
      sym__alpha_identifier,
    ACTIONS(12110), 1,
      anon_sym__,
    ACTIONS(12114), 1,
      anon_sym_LPAREN,
    ACTIONS(12116), 1,
      sym__backquoted_id,
    ACTIONS(12118), 1,
      sym_operator_identifier,
    STATE(11348), 1,
      sym__simple_type,
    STATE(11956), 1,
      sym__soft_identifier,
    STATE(12067), 1,
      sym_identifier,
    STATE(17731), 1,
      sym_stable_identifier,
    STATE(9483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12112), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12246), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [458967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459078] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8018), 1,
      sym__alpha_identifier,
    ACTIONS(8024), 1,
      anon_sym__,
    ACTIONS(8028), 1,
      anon_sym_LPAREN,
    ACTIONS(8030), 1,
      sym__backquoted_id,
    ACTIONS(8032), 1,
      sym_operator_identifier,
    STATE(4565), 1,
      sym__simple_type,
    STATE(5240), 1,
      sym__soft_identifier,
    STATE(5487), 1,
      sym_identifier,
    STATE(16886), 1,
      sym_stable_identifier,
    STATE(9487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5363), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [459133] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6650), 1,
      anon_sym__,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(6660), 1,
      sym_operator_identifier,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    STATE(4487), 1,
      sym__simple_type,
    STATE(4665), 1,
      sym_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(17347), 1,
      sym_stable_identifier,
    STATE(9488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4848), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [459188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459299] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12120), 1,
      anon_sym_with,
    STATE(9492), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459338] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7958), 1,
      sym__alpha_identifier,
    ACTIONS(7964), 1,
      anon_sym__,
    ACTIONS(7968), 1,
      anon_sym_LPAREN,
    ACTIONS(7970), 1,
      sym__backquoted_id,
    ACTIONS(7972), 1,
      sym_operator_identifier,
    STATE(10980), 1,
      sym__simple_type,
    STATE(11461), 1,
      sym__soft_identifier,
    STATE(11512), 1,
      sym_identifier,
    STATE(17894), 1,
      sym_stable_identifier,
    STATE(9493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7966), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11880), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [459393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7332), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459769] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6562), 1,
      anon_sym__,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(6572), 1,
      sym_operator_identifier,
    ACTIONS(9780), 1,
      anon_sym_LPAREN,
    STATE(6908), 1,
      sym__simple_type,
    STATE(8304), 1,
      sym_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(17357), 1,
      sym_stable_identifier,
    STATE(9504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9172), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [459824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [459861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [459898] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9414), 1,
      sym_operator_identifier,
    STATE(1727), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [459951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [460173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460210] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12123), 1,
      sym__alpha_identifier,
    ACTIONS(12125), 1,
      anon_sym__,
    ACTIONS(12129), 1,
      anon_sym_LPAREN,
    ACTIONS(12131), 1,
      sym__backquoted_id,
    ACTIONS(12133), 1,
      sym_operator_identifier,
    STATE(11724), 1,
      sym__simple_type,
    STATE(12777), 1,
      sym__soft_identifier,
    STATE(12903), 1,
      sym_identifier,
    STATE(17629), 1,
      sym_stable_identifier,
    STATE(9515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12127), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13067), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [460265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [460487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460524] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8405), 1,
      sym__alpha_identifier,
    ACTIONS(8407), 1,
      anon_sym__,
    ACTIONS(8411), 1,
      anon_sym_LPAREN,
    ACTIONS(8413), 1,
      sym__backquoted_id,
    ACTIONS(8415), 1,
      sym_operator_identifier,
    STATE(5824), 1,
      sym__simple_type,
    STATE(7986), 1,
      sym__soft_identifier,
    STATE(8047), 1,
      sym_identifier,
    STATE(17153), 1,
      sym_stable_identifier,
    STATE(9523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8409), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8144), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [460579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8557), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460690] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4584), 1,
      anon_sym__,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(6540), 1,
      sym_operator_identifier,
    ACTIONS(10375), 1,
      anon_sym_LPAREN,
    STATE(5795), 1,
      sym__simple_type,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(7070), 1,
      sym_identifier,
    STATE(17186), 1,
      sym_stable_identifier,
    STATE(9527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7524), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [460745] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8098), 1,
      sym__alpha_identifier,
    ACTIONS(8100), 1,
      anon_sym__,
    ACTIONS(8104), 1,
      anon_sym_LPAREN,
    ACTIONS(8106), 1,
      sym__backquoted_id,
    ACTIONS(8108), 1,
      sym_operator_identifier,
    STATE(6686), 1,
      sym__simple_type,
    STATE(8650), 1,
      sym__soft_identifier,
    STATE(8791), 1,
      sym_identifier,
    STATE(16689), 1,
      sym_stable_identifier,
    STATE(9528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8102), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8692), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [460800] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4834), 1,
      anon_sym__,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    ACTIONS(10397), 1,
      anon_sym_LPAREN,
    STATE(4398), 1,
      sym__simple_type,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4620), 1,
      sym_identifier,
    STATE(17779), 1,
      sym_stable_identifier,
    STATE(9529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [460855] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12135), 1,
      anon_sym_with,
    STATE(9530), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460894] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6716), 1,
      anon_sym__,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(6726), 1,
      sym_operator_identifier,
    ACTIONS(10279), 1,
      anon_sym_LPAREN,
    STATE(5131), 1,
      sym__simple_type,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6673), 1,
      sym_identifier,
    STATE(17737), 1,
      sym_stable_identifier,
    STATE(9531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6798), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [460949] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12138), 1,
      anon_sym_with,
    STATE(9532), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8493), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461173] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6800), 1,
      anon_sym__,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(6810), 1,
      sym_operator_identifier,
    ACTIONS(9823), 1,
      anon_sym_LPAREN,
    STATE(6861), 1,
      sym__simple_type,
    STATE(8583), 1,
      sym_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(17018), 1,
      sym_stable_identifier,
    STATE(9538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9382), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [461228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461265] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8136), 1,
      sym__alpha_identifier,
    ACTIONS(8138), 1,
      anon_sym__,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    ACTIONS(8144), 1,
      sym__backquoted_id,
    ACTIONS(8146), 1,
      sym_operator_identifier,
    STATE(4613), 1,
      sym__simple_type,
    STATE(5219), 1,
      sym_identifier,
    STATE(5272), 1,
      sym__soft_identifier,
    STATE(17366), 1,
      sym_stable_identifier,
    STATE(9540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5489), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [461320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461394] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4900), 1,
      anon_sym__,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(6314), 1,
      sym_operator_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    STATE(5103), 1,
      sym__simple_type,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(6488), 1,
      sym_identifier,
    STATE(17773), 1,
      sym_stable_identifier,
    STATE(9543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6926), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [461449] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6366), 1,
      anon_sym__,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(6376), 1,
      sym_operator_identifier,
    ACTIONS(10364), 1,
      anon_sym_LPAREN,
    STATE(5997), 1,
      sym__simple_type,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7299), 1,
      sym_identifier,
    STATE(16791), 1,
      sym_stable_identifier,
    STATE(9544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7734), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [461504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461578] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4734), 1,
      anon_sym__,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    ACTIONS(10381), 1,
      anon_sym_LPAREN,
    STATE(5043), 1,
      sym__simple_type,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(5745), 1,
      sym_identifier,
    STATE(17767), 1,
      sym_stable_identifier,
    STATE(9547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [461633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461855] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12141), 1,
      anon_sym_with,
    STATE(9554), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462005] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12146), 1,
      anon_sym__,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(12154), 1,
      sym_operator_identifier,
    STATE(10943), 1,
      sym__simple_type,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11524), 1,
      sym_identifier,
    STATE(17317), 1,
      sym_stable_identifier,
    STATE(9558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12025), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [462060] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4382), 1,
      anon_sym__,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(6668), 1,
      sym_operator_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    STATE(4543), 1,
      sym__simple_type,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5030), 1,
      sym_identifier,
    STATE(17749), 1,
      sym_stable_identifier,
    STATE(9559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5207), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [462115] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9006), 1,
      sym__alpha_identifier,
    ACTIONS(9016), 1,
      sym__backquoted_id,
    ACTIONS(9018), 1,
      sym_operator_identifier,
    ACTIONS(9510), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_identifier,
    STATE(4018), 1,
      sym__soft_identifier,
    STATE(9560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9010), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [462168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462242] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12158), 1,
      anon_sym__,
    ACTIONS(12162), 1,
      anon_sym_LPAREN,
    ACTIONS(12164), 1,
      sym__backquoted_id,
    ACTIONS(12166), 1,
      sym_operator_identifier,
    STATE(10876), 1,
      sym__simple_type,
    STATE(11201), 1,
      sym__soft_identifier,
    STATE(11375), 1,
      sym_identifier,
    STATE(17249), 1,
      sym_stable_identifier,
    STATE(9563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12160), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11468), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [462297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462334] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9664), 1,
      sym__end_marker,
    STATE(9567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462453] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462570] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6482), 1,
      anon_sym__,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(6492), 1,
      sym_operator_identifier,
    ACTIONS(10351), 1,
      anon_sym_LPAREN,
    STATE(5157), 1,
      sym__simple_type,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6706), 1,
      sym_identifier,
    STATE(17755), 1,
      sym_stable_identifier,
    STATE(9571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6851), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [462625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [462736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462773] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12170), 1,
      anon_sym__,
    ACTIONS(12174), 1,
      anon_sym_LPAREN,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(12178), 1,
      sym_operator_identifier,
    STATE(11223), 1,
      sym__simple_type,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11752), 1,
      sym_identifier,
    STATE(17460), 1,
      sym_stable_identifier,
    STATE(9576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12260), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [462828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462902] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1460), 1,
      sym__alpha_identifier,
    ACTIONS(1482), 1,
      sym__backquoted_id,
    ACTIONS(12182), 1,
      sym_operator_identifier,
    STATE(5654), 1,
      sym__soft_identifier,
    STATE(8420), 1,
      sym_identifier,
    STATE(9579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1470), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12180), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [462948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463020] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9402), 1,
      sym__alpha_identifier,
    ACTIONS(9408), 1,
      sym__backquoted_id,
    ACTIONS(9410), 1,
      sym_operator_identifier,
    ACTIONS(9955), 1,
      anon_sym_EQ,
    STATE(580), 1,
      sym_identifier,
    STATE(4110), 1,
      sym__soft_identifier,
    STATE(9582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9404), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [463072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463396] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463470] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12184), 1,
      anon_sym_with,
    STATE(9594), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [464264] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10797), 1,
      sym__alpha_identifier,
    ACTIONS(10803), 1,
      sym__backquoted_id,
    ACTIONS(10805), 1,
      sym_operator_identifier,
    STATE(598), 1,
      sym_identifier,
    STATE(4187), 1,
      sym__soft_identifier,
    STATE(9616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(10799), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12187), 1,
      anon_sym_with,
    STATE(9619), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464424] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10327), 1,
      sym_operator_identifier,
    STATE(1794), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8080), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464548] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10250), 1,
      sym_operator_identifier,
    STATE(1704), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [464672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10104), 1,
      sym_arguments,
    STATE(9627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [464926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6602), 1,
      sym__end_marker,
    STATE(9646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465432] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1634), 1,
      sym__alpha_identifier,
    ACTIONS(1656), 1,
      sym__backquoted_id,
    ACTIONS(12192), 1,
      sym_operator_identifier,
    STATE(6341), 1,
      sym__soft_identifier,
    STATE(9575), 1,
      sym_identifier,
    STATE(9647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12190), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [465478] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(489), 1,
      sym__alpha_identifier,
    ACTIONS(553), 1,
      sym__backquoted_id,
    ACTIONS(7578), 1,
      sym_operator_identifier,
    STATE(5822), 1,
      sym__soft_identifier,
    STATE(9855), 1,
      sym_identifier,
    STATE(9648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(677), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(7576), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [465524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [465668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8228), 2,
      anon_sym_LPAREN,
      sym__backquoted_id,
    STATE(9654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8901), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465740] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12194), 1,
      anon_sym_AT,
    STATE(10470), 1,
      sym_annotation,
    ACTIONS(8552), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(9655), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8550), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [465924] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12197), 1,
      anon_sym_AT,
    STATE(10593), 1,
      sym_annotation,
    STATE(9660), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10297), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466108] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1300), 1,
      sym__alpha_identifier,
    ACTIONS(1322), 1,
      sym__backquoted_id,
    ACTIONS(12202), 1,
      sym_operator_identifier,
    STATE(5538), 1,
      sym__soft_identifier,
    STATE(8775), 1,
      sym_identifier,
    STATE(9665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1310), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12200), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [466154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466370] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7916), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [466448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10268), 1,
      sym__end_marker,
    STATE(9685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [466882] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9414), 1,
      sym_operator_identifier,
    STATE(1727), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466932] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9848), 1,
      sym__alpha_identifier,
    ACTIONS(9852), 1,
      anon_sym_EQ,
    ACTIONS(9854), 1,
      sym__backquoted_id,
    ACTIONS(9856), 1,
      sym_operator_identifier,
    STATE(589), 1,
      sym_identifier,
    STATE(4170), 1,
      sym__soft_identifier,
    STATE(9687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(9850), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467200] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5934), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8559), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10018), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10139), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8575), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467636] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11595), 1,
      anon_sym_LPAREN,
    STATE(9714), 1,
      aux_sym_annotation_repeat1,
    STATE(10376), 1,
      sym_arguments,
    STATE(9706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8467), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467750] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1840), 1,
      sym__alpha_identifier,
    ACTIONS(1862), 1,
      sym__backquoted_id,
    ACTIONS(12206), 1,
      sym_operator_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(6640), 1,
      sym_identifier,
    STATE(9709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1850), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12204), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [467796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10272), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467940] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12208), 1,
      anon_sym_LPAREN,
    STATE(10376), 1,
      sym_arguments,
    ACTIONS(8366), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(9714), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8364), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12211), 1,
      anon_sym_with,
    STATE(9715), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468018] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9676), 1,
      sym_operator_identifier,
    STATE(1834), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8080), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10281), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10174), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10125), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468284] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5969), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10285), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10097), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10042), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10087), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468612] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1092), 1,
      sym__alpha_identifier,
    ACTIONS(1114), 1,
      sym__backquoted_id,
    ACTIONS(12216), 1,
      sym_operator_identifier,
    STATE(5476), 1,
      sym__soft_identifier,
    STATE(8025), 1,
      sym_identifier,
    STATE(9732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1102), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12214), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [468658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10081), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [468766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468808] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__backquoted_id,
    STATE(9737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(4176), 7,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(4174), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468920] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10626), 1,
      sym__alpha_identifier,
    ACTIONS(10632), 1,
      sym__backquoted_id,
    ACTIONS(10634), 1,
      sym_operator_identifier,
    STATE(607), 1,
      sym_identifier,
    STATE(4174), 1,
      sym__soft_identifier,
    STATE(9740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9012), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_LT_DASH,
  [469078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469150] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10137), 1,
      sym_operator_identifier,
    STATE(1705), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9688), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10052), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [469310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10310), 1,
      sym__end_marker,
    STATE(9752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469420] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10303), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469534] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1580), 1,
      sym__alpha_identifier,
    ACTIONS(1602), 1,
      sym__backquoted_id,
    ACTIONS(12220), 1,
      sym_operator_identifier,
    STATE(6742), 1,
      sym__soft_identifier,
    STATE(9329), 1,
      sym_identifier,
    STATE(9756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12218), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [469580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10048), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10036), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10307), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10026), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469832] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1424), 1,
      sym__alpha_identifier,
    ACTIONS(1446), 1,
      sym__backquoted_id,
    ACTIONS(12224), 1,
      sym_operator_identifier,
    STATE(4594), 1,
      sym__soft_identifier,
    STATE(6036), 1,
      sym_identifier,
    STATE(9764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1434), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12222), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [469878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10014), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8559), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9633), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9627), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470094] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11263), 1,
      anon_sym_AT,
    STATE(9905), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10435), 1,
      sym_annotation,
    STATE(9771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8501), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9993), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470208] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9967), 1,
      sym__alpha_identifier,
    ACTIONS(9973), 1,
      sym__backquoted_id,
    ACTIONS(9975), 1,
      sym_operator_identifier,
    STATE(590), 1,
      sym_identifier,
    STATE(4161), 1,
      sym__soft_identifier,
    STATE(9774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9969), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470258] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9967), 1,
      sym__alpha_identifier,
    ACTIONS(9973), 1,
      sym__backquoted_id,
    ACTIONS(9975), 1,
      sym_operator_identifier,
    ACTIONS(10204), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_identifier,
    STATE(4161), 1,
      sym__soft_identifier,
    STATE(9775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9969), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8575), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470526] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12226), 1,
      anon_sym_LPAREN,
    STATE(10605), 1,
      sym_arguments,
    STATE(9782), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8364), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [470602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10145), 1,
      sym_arguments,
    STATE(9784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470640] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11745), 1,
      anon_sym_LPAREN,
    STATE(9782), 1,
      aux_sym_annotation_repeat1,
    STATE(10605), 1,
      sym_arguments,
    STATE(9785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8467), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470682] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9416), 1,
      sym_operator_identifier,
    STATE(1849), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8080), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470768] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1336), 1,
      sym__alpha_identifier,
    ACTIONS(1358), 1,
      sym__backquoted_id,
    ACTIONS(12231), 1,
      sym_operator_identifier,
    STATE(4517), 1,
      sym__soft_identifier,
    STATE(5372), 1,
      sym_identifier,
    STATE(9788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12229), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [470814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470850] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(7610), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__soft_identifier,
    STATE(7474), 1,
      sym_identifier,
    STATE(9790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(7606), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [470896] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5872), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10117), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [470936] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5800), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [471084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12233), 1,
      anon_sym_with,
    STATE(9796), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [471302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11473), 1,
      anon_sym_AT,
    STATE(9660), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10593), 1,
      sym_annotation,
    STATE(9803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12236), 1,
      anon_sym_with,
    STATE(9804), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7332), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11159), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471708] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9327), 1,
      sym__alpha_identifier,
    ACTIONS(9333), 1,
      sym__backquoted_id,
    ACTIONS(9335), 1,
      sym_operator_identifier,
    ACTIONS(9940), 1,
      anon_sym_EQ,
    STATE(581), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    STATE(9813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9329), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471760] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1264), 1,
      sym__alpha_identifier,
    ACTIONS(1286), 1,
      sym__backquoted_id,
    ACTIONS(12241), 1,
      sym_operator_identifier,
    STATE(5834), 1,
      sym__soft_identifier,
    STATE(8305), 1,
      sym_identifier,
    STATE(9814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1274), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12239), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [471806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7332), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471914] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471956] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11607), 1,
      anon_sym_AT,
    STATE(9846), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10366), 1,
      sym_annotation,
    STATE(9819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8501), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12243), 1,
      anon_sym_with,
    STATE(9822), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472108] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472222] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [472336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [472480] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10389), 1,
      sym_operator_identifier,
    STATE(1768), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472532] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9912), 1,
      anon_sym_EQ,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    STATE(583), 1,
      sym_identifier,
    STATE(4152), 1,
      sym__soft_identifier,
    STATE(9834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472692] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9339), 1,
      sym_operator_identifier,
    STATE(1722), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11167), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472852] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1496), 1,
      sym__alpha_identifier,
    ACTIONS(1518), 1,
      sym__backquoted_id,
    ACTIONS(12248), 1,
      sym_operator_identifier,
    STATE(4531), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym_identifier,
    STATE(9842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12246), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [472898] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9967), 1,
      sym__alpha_identifier,
    ACTIONS(9971), 1,
      anon_sym_EQ,
    ACTIONS(9973), 1,
      sym__backquoted_id,
    ACTIONS(9975), 1,
      sym_operator_identifier,
    STATE(590), 1,
      sym_identifier,
    STATE(4161), 1,
      sym__soft_identifier,
    STATE(9843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9969), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473022] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12250), 1,
      anon_sym_AT,
    STATE(10366), 1,
      sym_annotation,
    STATE(9846), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8550), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473062] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5647), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473174] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9579), 1,
      sym_operator_identifier,
    STATE(1717), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8080), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8078), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473260] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5674), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10455), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473554] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9902), 1,
      anon_sym_EQ,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    STATE(582), 1,
      sym_identifier,
    STATE(4150), 1,
      sym__soft_identifier,
    STATE(9860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473678] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9883), 1,
      sym__alpha_identifier,
    ACTIONS(9889), 1,
      anon_sym_EQ,
    ACTIONS(9891), 1,
      sym__backquoted_id,
    ACTIONS(9893), 1,
      sym_operator_identifier,
    STATE(592), 1,
      sym_identifier,
    STATE(4165), 1,
      sym__soft_identifier,
    STATE(9863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9887), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473730] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6089), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 21,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [473804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473876] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9795), 1,
      sym__alpha_identifier,
    ACTIONS(9801), 1,
      sym__backquoted_id,
    ACTIONS(9803), 1,
      sym_operator_identifier,
    ACTIONS(9951), 1,
      anon_sym_EQ,
    STATE(591), 1,
      sym_identifier,
    STATE(4163), 1,
      sym__soft_identifier,
    STATE(9868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9797), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473928] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(9366), 1,
      sym_operator_identifier,
    STATE(596), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    STATE(9869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8076), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9360), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473980] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(9366), 1,
      sym_operator_identifier,
    STATE(596), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    STATE(9870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474102] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9271), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474180] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1228), 1,
      sym__alpha_identifier,
    ACTIONS(1250), 1,
      sym__backquoted_id,
    ACTIONS(12255), 1,
      sym_operator_identifier,
    STATE(5136), 1,
      sym__soft_identifier,
    STATE(8219), 1,
      sym_identifier,
    STATE(9875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1238), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12253), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [474226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_LT_DASH,
  [474478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8879), 2,
      anon_sym_LPAREN,
      sym__backquoted_id,
    STATE(9883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8877), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474514] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8242), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10542), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [474702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8813), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474738] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9795), 1,
      sym__alpha_identifier,
    ACTIONS(9801), 1,
      sym__backquoted_id,
    ACTIONS(9803), 1,
      sym_operator_identifier,
    STATE(591), 1,
      sym_identifier,
    STATE(4163), 1,
      sym__soft_identifier,
    STATE(9890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9797), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4176), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [474860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9481), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474932] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(846), 1,
      sym__alpha_identifier,
    ACTIONS(876), 1,
      sym__backquoted_id,
    ACTIONS(12259), 1,
      sym_operator_identifier,
    STATE(5575), 1,
      sym__soft_identifier,
    STATE(9768), 1,
      sym_identifier,
    STATE(9895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(856), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12257), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [474978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475050] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6076), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475126] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5844), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475310] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12261), 1,
      anon_sym_AT,
    STATE(10435), 1,
      sym_annotation,
    STATE(9905), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8550), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475458] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12264), 1,
      anon_sym_COLON,
    ACTIONS(12267), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [475534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475714] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1128), 1,
      sym__alpha_identifier,
    ACTIONS(1150), 1,
      sym__backquoted_id,
    ACTIONS(12272), 1,
      sym_operator_identifier,
    STATE(4900), 1,
      sym__soft_identifier,
    STATE(6902), 1,
      sym_identifier,
    STATE(9916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1138), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12270), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [475760] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10469), 1,
      anon_sym_AT,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(9917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11203), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [475806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475878] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11209), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8825), 2,
      anon_sym_LPAREN,
      sym__backquoted_id,
    STATE(9923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8823), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [476080] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10469), 1,
      anon_sym_AT,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(9925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11211), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [476126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [476162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12274), 1,
      anon_sym_with,
    STATE(9928), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12279), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12277), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [476272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12283), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12281), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [476308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12287), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12285), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [476452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [476488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476524] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2030), 1,
      sym__alpha_identifier,
    ACTIONS(2052), 1,
      sym__backquoted_id,
    ACTIONS(12291), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__soft_identifier,
    STATE(6302), 1,
      sym_identifier,
    STATE(9937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2040), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12289), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [476570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12293), 1,
      anon_sym_with,
    STATE(9939), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476644] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11459), 1,
      anon_sym_AT,
    STATE(9655), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10470), 1,
      sym_annotation,
    ACTIONS(8503), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(9940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8501), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8823), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9688), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476758] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10362), 1,
      anon_sym_DOT,
    ACTIONS(11994), 1,
      anon_sym_COLON,
    STATE(9943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [476834] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [476984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8877), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477272] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1690), 1,
      sym__alpha_identifier,
    ACTIONS(1712), 1,
      sym__backquoted_id,
    ACTIONS(12298), 1,
      sym_operator_identifier,
    STATE(5961), 1,
      sym__soft_identifier,
    STATE(8688), 1,
      sym_identifier,
    STATE(9957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1700), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12296), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [477318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12302), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12300), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [477354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12306), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12304), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [477462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9127), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477536] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477578] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9795), 1,
      sym__alpha_identifier,
    ACTIONS(9799), 1,
      anon_sym_EQ,
    ACTIONS(9801), 1,
      sym__backquoted_id,
    ACTIONS(9803), 1,
      sym_operator_identifier,
    STATE(591), 1,
      sym_identifier,
    STATE(4163), 1,
      sym__soft_identifier,
    STATE(9965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9797), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11240), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477848] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1876), 1,
      sym__alpha_identifier,
    ACTIONS(1898), 1,
      sym__backquoted_id,
    ACTIONS(12310), 1,
      sym_operator_identifier,
    STATE(6715), 1,
      sym__soft_identifier,
    STATE(9128), 1,
      sym_identifier,
    STATE(9972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1886), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12308), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [477894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [478002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [478038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [478110] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    ACTIONS(10225), 1,
      anon_sym_EQ,
    STATE(583), 1,
      sym_identifier,
    STATE(4152), 1,
      sym__soft_identifier,
    STATE(9979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8901), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478198] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478276] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6033), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(9983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11246), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478462] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    ACTIONS(10301), 1,
      anon_sym_EQ,
    STATE(582), 1,
      sym_identifier,
    STATE(4150), 1,
      sym__soft_identifier,
    STATE(9988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478622] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6245), 1,
      sym__end_marker,
    STATE(9992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [478732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8815), 2,
      anon_sym_LPAREN,
      sym__backquoted_id,
    STATE(9996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8813), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10231), 1,
      sym__end_marker,
    STATE(9997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [478914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11248), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12312), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [478988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [479058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479093] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_EQ,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15859), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479154] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10137), 1,
      sym_operator_identifier,
    STATE(1705), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479203] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10568), 1,
      sym_operator_identifier,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8080), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479324] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12318), 1,
      anon_sym_COLON,
    ACTIONS(12321), 1,
      anon_sym_LBRACE,
    STATE(11119), 1,
      sym_template_body,
    STATE(10010), 2,
      sym_comment,
      sym_block_comment,
    STATE(11139), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8719), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8711), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [479402] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7916), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479443] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(10013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479725] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9205), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479764] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_EQ_GT,
    ACTIONS(7918), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(9421), 1,
      anon_sym_COLON,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_with,
    STATE(5274), 1,
      aux_sym_compound_type_repeat1,
    STATE(10133), 1,
      sym_template_body,
    STATE(10135), 1,
      sym__refinement,
    STATE(10022), 2,
      sym_comment,
      sym_block_comment,
    STATE(10187), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479852] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10706), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11265), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8947), 1,
      sym__backquoted_id,
    STATE(10027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480033] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8242), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480074] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(11798), 1,
      anon_sym_EQ_GT,
    STATE(10030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480183] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9660), 1,
      sym__alpha_identifier,
    ACTIONS(9666), 1,
      sym__backquoted_id,
    ACTIONS(9668), 1,
      sym_operator_identifier,
    ACTIONS(10419), 1,
      anon_sym_EQ,
    STATE(585), 1,
      sym_identifier,
    STATE(4151), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480339] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8984), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480483] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480524] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7916), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480705] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10679), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480744] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11285), 1,
      anon_sym_COLON,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11295), 1,
      anon_sym_EQ,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15863), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480840] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11723), 1,
      anon_sym_AT,
    STATE(10271), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10811), 1,
      sym_annotation,
    STATE(10050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8501), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480881] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480922] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481031] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11464), 1,
      anon_sym_COMMA,
    ACTIONS(11466), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15377), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481162] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10562), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [481376] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8483), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481450] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481561] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(11433), 1,
      anon_sym_EQ_GT,
    STATE(10069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481635] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12324), 1,
      anon_sym_with,
    STATE(10071), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481742] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(11226), 1,
      anon_sym_EQ_GT,
    STATE(10074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481816] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_EQ_GT,
    STATE(10076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481960] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10399), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 20,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [482032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482067] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10573), 1,
      sym__alpha_identifier,
    ACTIONS(10579), 1,
      anon_sym_EQ,
    ACTIONS(10581), 1,
      sym__backquoted_id,
    ACTIONS(10583), 1,
      sym_operator_identifier,
    STATE(597), 1,
      sym_identifier,
    STATE(4179), 1,
      sym__soft_identifier,
    STATE(10083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10577), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482153] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10514), 1,
      sym__alpha_identifier,
    ACTIONS(10518), 1,
      anon_sym_EQ,
    ACTIONS(10520), 1,
      sym__backquoted_id,
    ACTIONS(10522), 1,
      sym_operator_identifier,
    STATE(603), 1,
      sym_identifier,
    STATE(4186), 1,
      sym__soft_identifier,
    STATE(10085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10516), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482204] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9258), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482243] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11471), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16120), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12327), 1,
      anon_sym_with,
    STATE(10090), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482411] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11322), 1,
      anon_sym_RPAREN,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16211), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482927] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(9366), 1,
      sym_operator_identifier,
    ACTIONS(10445), 1,
      anon_sym_EQ,
    STATE(596), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    STATE(10105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483188] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8891), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483262] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10591), 1,
      sym_operator_identifier,
    STATE(1782), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8080), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483418] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11330), 1,
      anon_sym_COLON,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483459] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12330), 1,
      anon_sym_COLON,
    ACTIONS(7856), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(12333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483500] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9540), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483574] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9791), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483613] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483724] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5578), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483868] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11338), 1,
      anon_sym_COLON,
    ACTIONS(11340), 1,
      anon_sym_EQ,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15419), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [483964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484034] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11342), 1,
      anon_sym_COLON,
    ACTIONS(11344), 1,
      anon_sym_EQ,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15422), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484375] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9977), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10297), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8559), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484554] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5813), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484593] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11364), 1,
      anon_sym_COMMA,
    ACTIONS(11366), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16137), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484730] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484876] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9213), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12336), 1,
      anon_sym_DOT,
    STATE(10157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484952] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6054), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485026] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11352), 1,
      anon_sym_EQ_GT,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(17686), 1,
      sym_guard,
    STATE(10160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485262] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11495), 1,
      anon_sym_EQ_GT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(17627), 1,
      sym_guard,
    STATE(10166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485358] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 3,
      anon_sym_while,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7914), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485504] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10606), 1,
      sym__end_marker,
    STATE(10172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10591), 1,
      sym__end_marker,
    STATE(10174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485753] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5598), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485792] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5733), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8575), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7746), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486146] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15547), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10471), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486240] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10797), 1,
      sym__alpha_identifier,
    ACTIONS(10801), 1,
      anon_sym_EQ,
    ACTIONS(10803), 1,
      sym__backquoted_id,
    ACTIONS(10805), 1,
      sym_operator_identifier,
    STATE(598), 1,
      sym_identifier,
    STATE(4187), 1,
      sym__soft_identifier,
    STATE(10192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
    ACTIONS(9008), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10799), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486326] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11500), 1,
      anon_sym_COLON,
    ACTIONS(11502), 1,
      anon_sym_EQ,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15863), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486422] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(11382), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16208), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486518] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15547), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10471), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486612] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12340), 1,
      anon_sym_LPAREN,
    STATE(11031), 1,
      sym__using_parameters_clause,
    STATE(11102), 1,
      sym_parameters,
    STATE(10200), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_extension_definition_repeat1,
    ACTIONS(12338), 16,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(11110), 1,
      anon_sym_EQ_GT,
    STATE(10201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486725] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11387), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15451), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486821] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(12343), 1,
      anon_sym_EQ_GT,
    STATE(10205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486860] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10250), 1,
      sym_operator_identifier,
    STATE(1704), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10520), 1,
      sym__end_marker,
    STATE(10208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487016] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11504), 1,
      anon_sym_COLON,
    ACTIONS(11506), 1,
      anon_sym_EQ,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15859), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487147] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7916), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10516), 1,
      sym__end_marker,
    STATE(10214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9611), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487260] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(11581), 1,
      anon_sym_EQ_GT,
    STATE(10216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487299] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10490), 1,
      sym__alpha_identifier,
    ACTIONS(10494), 1,
      anon_sym_EQ,
    ACTIONS(10496), 1,
      sym__backquoted_id,
    ACTIONS(10498), 1,
      sym_operator_identifier,
    STATE(605), 1,
      sym_identifier,
    STATE(4176), 1,
      sym__soft_identifier,
    STATE(10217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10492), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7285), 1,
      sym__end_marker,
    STATE(10218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487457] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10490), 1,
      sym__alpha_identifier,
    ACTIONS(10496), 1,
      sym__backquoted_id,
    ACTIONS(10498), 1,
      sym_operator_identifier,
    STATE(605), 1,
      sym_identifier,
    STATE(4176), 1,
      sym__soft_identifier,
    STATE(10221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(10492), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487541] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(9366), 1,
      sym_operator_identifier,
    ACTIONS(10483), 1,
      anon_sym_EQ,
    STATE(596), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487802] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10389), 1,
      sym_operator_identifier,
    STATE(1768), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8080), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [487956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487991] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488032] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8945), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488213] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488359] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15547), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488455] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    ACTIONS(11082), 1,
      anon_sym_EQ_GT,
    STATE(10247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488704] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10488), 1,
      sym_operator_identifier,
    STATE(1829), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8080), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488755] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11392), 1,
      anon_sym_COLON,
    ACTIONS(11394), 1,
      anon_sym_EQ,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15552), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488851] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10596), 1,
      sym__alpha_identifier,
    ACTIONS(10600), 1,
      anon_sym_EQ,
    ACTIONS(10602), 1,
      sym__backquoted_id,
    ACTIONS(10604), 1,
      sym_operator_identifier,
    STATE(599), 1,
      sym_identifier,
    STATE(4184), 1,
      sym__soft_identifier,
    STATE(10257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488937] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11396), 1,
      anon_sym_COLON,
    ACTIONS(11398), 1,
      anon_sym_EQ,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15546), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488998] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10514), 1,
      sym__alpha_identifier,
    ACTIONS(10520), 1,
      sym__backquoted_id,
    ACTIONS(10522), 1,
      sym_operator_identifier,
    STATE(603), 1,
      sym_identifier,
    STATE(4186), 1,
      sym__soft_identifier,
    STATE(10260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(10516), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489082] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10327), 1,
      sym_operator_identifier,
    STATE(1794), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8080), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489271] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [489347] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5999), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489421] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12345), 1,
      anon_sym_AT,
    STATE(10811), 1,
      sym_annotation,
    ACTIONS(8552), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10271), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8550), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489460] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9898), 1,
      sym__alpha_identifier,
    ACTIONS(9904), 1,
      sym__backquoted_id,
    ACTIONS(9906), 1,
      sym_operator_identifier,
    ACTIONS(10693), 1,
      anon_sym_EQ,
    STATE(582), 1,
      sym_identifier,
    STATE(4150), 1,
      sym__soft_identifier,
    STATE(10272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489546] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5922), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489725] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11400), 1,
      anon_sym_COMMA,
    ACTIONS(11402), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15697), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [490031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490101] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9660), 1,
      sym__alpha_identifier,
    ACTIONS(9666), 1,
      sym__backquoted_id,
    ACTIONS(9668), 1,
      sym_operator_identifier,
    ACTIONS(10530), 1,
      anon_sym_EQ,
    STATE(585), 1,
      sym_identifier,
    STATE(4151), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490187] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5613), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490226] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10626), 1,
      sym__alpha_identifier,
    ACTIONS(10630), 1,
      anon_sym_EQ,
    ACTIONS(10632), 1,
      sym__backquoted_id,
    ACTIONS(10634), 1,
      sym_operator_identifier,
    STATE(607), 1,
      sym_identifier,
    STATE(4174), 1,
      sym__soft_identifier,
    STATE(10292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490312] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9908), 1,
      sym__alpha_identifier,
    ACTIONS(9914), 1,
      sym__backquoted_id,
    ACTIONS(9916), 1,
      sym_operator_identifier,
    ACTIONS(10754), 1,
      anon_sym_EQ,
    STATE(583), 1,
      sym_identifier,
    STATE(4152), 1,
      sym__soft_identifier,
    STATE(10294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9910), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490363] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8827), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12348), 1,
      anon_sym_with,
    STATE(10297), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490509] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10514), 1,
      sym__alpha_identifier,
    ACTIONS(10520), 1,
      sym__backquoted_id,
    ACTIONS(10522), 1,
      sym_operator_identifier,
    ACTIONS(10528), 1,
      anon_sym_EQ,
    STATE(603), 1,
      sym_identifier,
    STATE(4186), 1,
      sym__soft_identifier,
    STATE(10299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10516), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490595] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11404), 1,
      anon_sym_EQ_GT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(18327), 1,
      sym_guard,
    STATE(10301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [490796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [490831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [490866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [490901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491006] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5783), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491045] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12351), 1,
      anon_sym_with,
    STATE(10313), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9030), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491117] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11406), 1,
      anon_sym_COLON,
    ACTIONS(11408), 1,
      anon_sym_EQ,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15546), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10052), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491318] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11410), 1,
      anon_sym_COLON,
    ACTIONS(11412), 1,
      anon_sym_EQ,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15552), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491414] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10490), 1,
      sym__alpha_identifier,
    ACTIONS(10496), 1,
      sym__backquoted_id,
    ACTIONS(10498), 1,
      sym_operator_identifier,
    ACTIONS(10526), 1,
      anon_sym_EQ,
    STATE(605), 1,
      sym_identifier,
    STATE(4176), 1,
      sym__soft_identifier,
    STATE(10322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10492), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491465] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5725), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10117), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491504] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9883), 1,
      sym__alpha_identifier,
    ACTIONS(9891), 1,
      sym__backquoted_id,
    ACTIONS(9893), 1,
      sym_operator_identifier,
    STATE(592), 1,
      sym_identifier,
    STATE(4165), 1,
      sym__soft_identifier,
    STATE(10324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9887), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491553] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11428), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [491905] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(11133), 1,
      sym__alpha_identifier,
    ACTIONS(11139), 1,
      sym__backquoted_id,
    ACTIONS(11141), 1,
      sym_operator_identifier,
    STATE(616), 1,
      sym_identifier,
    STATE(4188), 1,
      sym__soft_identifier,
    STATE(10335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9012), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [492199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492339] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9997), 1,
      anon_sym_EQ_GT,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(10347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [492483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492658] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9213), 1,
      anon_sym_EQ_GT,
    STATE(10356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492728] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12356), 1,
      sym_operator_identifier,
    ACTIONS(12358), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10910), 1,
      sym_colon_argument,
    STATE(10358), 2,
      sym_comment,
      sym_block_comment,
    STATE(11037), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17219), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492848] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12360), 1,
      sym_operator_identifier,
    ACTIONS(12362), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(12288), 1,
      sym_colon_argument,
    STATE(10361), 2,
      sym_comment,
      sym_block_comment,
    STATE(12268), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16942), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9997), 1,
      anon_sym_EQ_GT,
    STATE(10363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492970] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5499), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493008] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10906), 1,
      sym_operator_identifier,
    STATE(1756), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493126] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9848), 1,
      sym__alpha_identifier,
    ACTIONS(9854), 1,
      sym__backquoted_id,
    ACTIONS(9856), 1,
      sym_operator_identifier,
    ACTIONS(11180), 1,
      anon_sym_EQ,
    STATE(589), 1,
      sym_identifier,
    STATE(4170), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9850), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493278] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12364), 1,
      anon_sym_RBRACE,
    ACTIONS(12368), 1,
      anon_sym_given,
    ACTIONS(12370), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15011), 1,
      sym_identifier,
    ACTIONS(12366), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10372), 2,
      sym_comment,
      sym_block_comment,
    STATE(16577), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8630), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493362] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12368), 1,
      anon_sym_given,
    ACTIONS(12370), 1,
      sym_operator_identifier,
    ACTIONS(12372), 1,
      anon_sym_RBRACE,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15011), 1,
      sym_identifier,
    ACTIONS(12366), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10374), 2,
      sym_comment,
      sym_block_comment,
    STATE(16577), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493480] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493520] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10568), 1,
      sym_operator_identifier,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8080), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493704] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12374), 1,
      anon_sym_implicit,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12378), 1,
      anon_sym_using,
    ACTIONS(12380), 1,
      anon_sym_RPAREN,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(15536), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(10383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [493798] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10139), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493906] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11781), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493962] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      sym__alpha_identifier,
    ACTIONS(10981), 1,
      anon_sym_EQ,
    ACTIONS(10983), 1,
      sym__backquoted_id,
    ACTIONS(10985), 1,
      sym_operator_identifier,
    STATE(615), 1,
      sym_identifier,
    STATE(4192), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10979), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494012] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12386), 1,
      anon_sym_LBRACK,
    ACTIONS(12388), 1,
      anon_sym_AT,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12394), 1,
      sym__automatic_semicolon,
    STATE(10966), 1,
      sym_type_parameters,
    STATE(11503), 1,
      sym_annotation,
    STATE(12623), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12634), 1,
      sym_access_modifier,
    STATE(13469), 1,
      sym_class_parameters,
    ACTIONS(12390), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12384), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [494064] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7916), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494104] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11211), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [494144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10272), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8632), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8827), 1,
      anon_sym_EQ_GT,
    STATE(10396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8628), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10281), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10174), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10125), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494554] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12397), 1,
      sym_operator_identifier,
    ACTIONS(12399), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10472), 1,
      sym_colon_argument,
    STATE(10405), 2,
      sym_comment,
      sym_block_comment,
    STATE(10600), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17632), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494674] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12401), 1,
      sym_operator_identifier,
    ACTIONS(12403), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(9431), 1,
      sym_colon_argument,
    STATE(8998), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10408), 2,
      sym_comment,
      sym_block_comment,
    STATE(17920), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494794] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11203), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [494834] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11203), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [494874] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12405), 1,
      sym_operator_identifier,
    ACTIONS(12407), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10834), 1,
      sym_colon_argument,
    STATE(10413), 2,
      sym_comment,
      sym_block_comment,
    STATE(10665), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17072), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494960] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11209), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12343), 1,
      anon_sym_EQ_GT,
    STATE(10416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495048] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11209), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495134] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495174] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(11133), 1,
      sym__alpha_identifier,
    ACTIONS(11137), 1,
      anon_sym_EQ,
    ACTIONS(11139), 1,
      sym__backquoted_id,
    ACTIONS(11141), 1,
      sym_operator_identifier,
    STATE(616), 1,
      sym_identifier,
    STATE(4188), 1,
      sym__soft_identifier,
    STATE(10420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(11135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495258] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10596), 1,
      sym__alpha_identifier,
    ACTIONS(10602), 1,
      sym__backquoted_id,
    ACTIONS(10604), 1,
      sym_operator_identifier,
    STATE(599), 1,
      sym_identifier,
    STATE(4184), 1,
      sym__soft_identifier,
    STATE(10422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495340] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11211), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [495380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495414] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11687), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495470] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10488), 1,
      sym_operator_identifier,
    STATE(1829), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8080), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [495586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [495654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495688] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8945), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10081), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495966] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12409), 1,
      sym_operator_identifier,
    ACTIONS(12411), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(11088), 1,
      sym_colon_argument,
    STATE(10441), 2,
      sym_comment,
      sym_block_comment,
    STATE(10987), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17480), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11082), 1,
      anon_sym_EQ_GT,
    STATE(10442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496054] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12413), 1,
      sym_operator_identifier,
    ACTIONS(12415), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(11380), 1,
      sym_colon_argument,
    STATE(10443), 2,
      sym_comment,
      sym_block_comment,
    STATE(11299), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16920), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10285), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [496242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10097), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496310] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(10471), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [496434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [496468] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12417), 1,
      sym_operator_identifier,
    ACTIONS(12419), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10725), 1,
      sym_colon_argument,
    STATE(10454), 2,
      sym_comment,
      sym_block_comment,
    STATE(10829), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17030), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496520] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10737), 1,
      sym__end_marker,
    STATE(10456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11581), 1,
      anon_sym_EQ_GT,
    STATE(10458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496666] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5546), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10117), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [496738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496772] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(4946), 1,
      anon_sym_implicit,
    ACTIONS(4952), 1,
      anon_sym_using,
    ACTIONS(4954), 1,
      anon_sym_RPAREN,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(15366), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(10462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496832] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5832), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496904] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12421), 1,
      sym_operator_identifier,
    ACTIONS(12423), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(11160), 1,
      sym_colon_argument,
    STATE(10465), 2,
      sym_comment,
      sym_block_comment,
    STATE(11038), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17233), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496956] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5689), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [497062] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(11165), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8947), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497146] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12425), 1,
      sym_operator_identifier,
    ACTIONS(12427), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(11619), 1,
      sym_colon_argument,
    STATE(10471), 2,
      sym_comment,
      sym_block_comment,
    STATE(11444), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17057), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11707), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [497232] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(11161), 1,
      anon_sym_EQ,
    ACTIONS(11163), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11110), 1,
      anon_sym_EQ_GT,
    STATE(10474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10087), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497352] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12429), 1,
      sym_operator_identifier,
    ACTIONS(12431), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(8685), 1,
      sym_colon_argument,
    STATE(8780), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10476), 2,
      sym_comment,
      sym_block_comment,
    STATE(16964), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [497506] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12433), 1,
      sym_operator_identifier,
    ACTIONS(12435), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10020), 1,
      sym_colon_argument,
    STATE(10228), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10480), 2,
      sym_comment,
      sym_block_comment,
    STATE(17177), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10881), 1,
      sym__end_marker,
    STATE(10485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497730] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11320), 1,
      anon_sym_AT,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11203), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497808] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15547), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10471), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [497898] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11209), 1,
      anon_sym_PIPE,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497954] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12437), 1,
      sym_operator_identifier,
    ACTIONS(12439), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10108), 1,
      sym_colon_argument,
    STATE(10075), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10491), 2,
      sym_comment,
      sym_block_comment,
    STATE(17261), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498006] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12441), 1,
      sym_operator_identifier,
    ACTIONS(12443), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10830), 1,
      sym_colon_argument,
    STATE(10492), 2,
      sym_comment,
      sym_block_comment,
    STATE(10720), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16898), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498092] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5890), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498130] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11320), 1,
      anon_sym_AT,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11211), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498242] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11803), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [498434] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11816), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498524] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12445), 1,
      anon_sym_with,
    STATE(10505), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498628] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(11089), 1,
      sym_operator_identifier,
    STATE(1800), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498678] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5935), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9481), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10303), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [499022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10018), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [499056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [499090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [499124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12448), 1,
      anon_sym_with,
    ACTIONS(9032), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10522), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9030), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10048), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10036), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [499262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [499296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10307), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10026), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9540), 1,
      anon_sym_EQ_GT,
    STATE(10531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499502] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12451), 1,
      sym_operator_identifier,
    ACTIONS(12453), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10925), 1,
      sym_colon_argument,
    STATE(10533), 2,
      sym_comment,
      sym_block_comment,
    STATE(10986), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(18492), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499554] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9791), 1,
      anon_sym_EQ_GT,
    STATE(10535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8891), 1,
      anon_sym_EQ_GT,
    STATE(10536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499700] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10591), 1,
      sym_operator_identifier,
    STATE(1782), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8080), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9633), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [499782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499816] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499890] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7916), 4,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499930] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6044), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499968] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12455), 1,
      anon_sym_with,
    STATE(10545), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9030), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10800), 1,
      sym__end_marker,
    STATE(10546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500040] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12458), 1,
      sym_operator_identifier,
    ACTIONS(12460), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10624), 1,
      sym_colon_argument,
    STATE(10359), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10547), 2,
      sym_comment,
      sym_block_comment,
    STATE(16876), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500092] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8483), 1,
      anon_sym_EQ_GT,
    STATE(10548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500128] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12462), 1,
      sym_operator_identifier,
    ACTIONS(12464), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(11249), 1,
      sym_colon_argument,
    STATE(10549), 2,
      sym_comment,
      sym_block_comment,
    STATE(11285), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16936), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11809), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9550), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500284] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9258), 1,
      anon_sym_EQ_GT,
    STATE(10553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500320] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500360] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12466), 1,
      anon_sym_implicit,
    ACTIONS(12468), 1,
      anon_sym_using,
    ACTIONS(12470), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(15605), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(10555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11743), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [500456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500490] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12472), 1,
      sym_operator_identifier,
    ACTIONS(12474), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10430), 1,
      sym_colon_argument,
    STATE(10551), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10558), 2,
      sym_comment,
      sym_block_comment,
    STATE(17301), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9271), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [500576] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10573), 1,
      sym__alpha_identifier,
    ACTIONS(10581), 1,
      sym__backquoted_id,
    ACTIONS(10583), 1,
      sym_operator_identifier,
    STATE(597), 1,
      sym_identifier,
    STATE(4179), 1,
      sym__soft_identifier,
    STATE(10560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10577), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [500658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500760] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11662), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500952] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12476), 1,
      sym_operator_identifier,
    ACTIONS(12478), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(9673), 1,
      sym_colon_argument,
    STATE(9976), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10570), 2,
      sym_comment,
      sym_block_comment,
    STATE(16986), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10399), 1,
      anon_sym_EQ_GT,
    STATE(10571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501040] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12480), 1,
      sym_operator_identifier,
    ACTIONS(12482), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10131), 1,
      sym_colon_argument,
    STATE(10063), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10572), 2,
      sym_comment,
      sym_block_comment,
    STATE(17462), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501126] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(11047), 1,
      sym_operator_identifier,
    STATE(1718), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [501210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10872), 1,
      anon_sym_EQ_GT,
    STATE(10576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11226), 1,
      anon_sym_EQ_GT,
    STATE(10578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [501384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [501418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9550), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [501486] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10014), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11433), 1,
      anon_sym_EQ_GT,
    STATE(10587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501698] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12484), 1,
      sym_operator_identifier,
    ACTIONS(12486), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10825), 1,
      sym_colon_argument,
    STATE(10590), 2,
      sym_comment,
      sym_block_comment,
    STATE(10757), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17198), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501784] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(11149), 1,
      sym_operator_identifier,
    STATE(1764), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8945), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501868] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12488), 1,
      sym_operator_identifier,
    ACTIONS(12490), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10513), 1,
      sym_colon_argument,
    STATE(10594), 2,
      sym_comment,
      sym_block_comment,
    STATE(10651), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16805), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501920] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9073), 1,
      anon_sym_LPAREN,
    ACTIONS(12492), 1,
      anon_sym_LBRACK,
    ACTIONS(12494), 1,
      anon_sym_POUND,
    STATE(10985), 1,
      aux_sym_annotation_repeat1,
    STATE(11257), 1,
      sym_type_arguments,
    STATE(11413), 1,
      sym_arguments,
    STATE(10595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [501964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9977), 1,
      anon_sym_EQ_GT,
    STATE(10597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502034] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12496), 1,
      sym_operator_identifier,
    ACTIONS(12498), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(9719), 1,
      sym_colon_argument,
    STATE(9862), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10598), 2,
      sym_comment,
      sym_block_comment,
    STATE(17008), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10042), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502154] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    ACTIONS(11242), 1,
      anon_sym_EQ,
    STATE(667), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502204] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12500), 1,
      sym_operator_identifier,
    ACTIONS(12502), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(9513), 1,
      sym_colon_argument,
    STATE(9259), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10602), 2,
      sym_comment,
      sym_block_comment,
    STATE(17240), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502256] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(11145), 1,
      anon_sym_EQ,
    ACTIONS(11147), 1,
      sym_operator_identifier,
    STATE(613), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502306] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(11205), 1,
      sym__backquoted_id,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11356), 1,
      anon_sym_AT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 1,
      anon_sym_EQ_GT,
    STATE(10608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [502522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10679), 1,
      anon_sym_EQ_GT,
    STATE(10610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502558] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12368), 1,
      anon_sym_given,
    ACTIONS(12370), 1,
      sym_operator_identifier,
    ACTIONS(12504), 1,
      anon_sym_RBRACE,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15011), 1,
      sym_identifier,
    ACTIONS(12366), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10611), 2,
      sym_comment,
      sym_block_comment,
    STATE(16577), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502642] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11209), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10706), 1,
      anon_sym_EQ_GT,
    STATE(10615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502834] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(11213), 1,
      sym__backquoted_id,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11356), 1,
      anon_sym_AT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11211), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9993), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503116] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(11049), 1,
      sym__alpha_identifier,
    ACTIONS(11053), 1,
      anon_sym_EQ,
    ACTIONS(11055), 1,
      sym__backquoted_id,
    ACTIONS(11057), 1,
      sym_operator_identifier,
    STATE(624), 1,
      sym_identifier,
    STATE(4189), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11051), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503166] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8984), 1,
      anon_sym_EQ_GT,
    STATE(10627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503202] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(7916), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11798), 1,
      anon_sym_EQ_GT,
    STATE(10629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503278] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11657), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503334] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    STATE(667), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    ACTIONS(8076), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(10631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9360), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10699), 1,
      sym__end_marker,
    STATE(10633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9611), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9627), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9205), 1,
      anon_sym_EQ_GT,
    STATE(10640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503696] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9848), 1,
      sym__alpha_identifier,
    ACTIONS(9854), 1,
      sym__backquoted_id,
    ACTIONS(9856), 1,
      sym_operator_identifier,
    ACTIONS(11250), 1,
      anon_sym_EQ,
    STATE(589), 1,
      sym_identifier,
    STATE(4170), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9850), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503746] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6046), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503852] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10568), 1,
      sym_operator_identifier,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9012), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503900] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12368), 1,
      anon_sym_given,
    ACTIONS(12370), 1,
      sym_operator_identifier,
    ACTIONS(12506), 1,
      anon_sym_RBRACE,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15011), 1,
      sym_identifier,
    ACTIONS(12366), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10646), 2,
      sym_comment,
      sym_block_comment,
    STATE(16577), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12508), 1,
      anon_sym_with,
    STATE(10648), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9030), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [504224] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10562), 1,
      anon_sym_EQ_GT,
    STATE(10655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8589), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504260] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7738), 1,
      sym__backquoted_id,
    ACTIONS(12511), 1,
      anon_sym_LBRACK,
    ACTIONS(12513), 1,
      anon_sym_LPAREN,
    ACTIONS(12515), 1,
      anon_sym_POUND,
    STATE(11150), 1,
      aux_sym_annotation_repeat1,
    STATE(11344), 1,
      sym_type_arguments,
    STATE(11598), 1,
      sym_arguments,
    STATE(10656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7736), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504306] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(12354), 1,
      anon_sym_LPAREN,
    ACTIONS(12517), 1,
      sym_operator_identifier,
    ACTIONS(12519), 1,
      sym__indent,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(9783), 1,
      sym_colon_argument,
    STATE(9951), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10657), 2,
      sym_comment,
      sym_block_comment,
    STATE(16729), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4176), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [504460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11116), 1,
      sym__end_marker,
    STATE(10661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9611), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504495] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5702), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504763] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504802] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5552), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10117), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9550), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504905] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(11047), 1,
      sym_operator_identifier,
    STATE(1718), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504952] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(11049), 1,
      sym__alpha_identifier,
    ACTIONS(11055), 1,
      sym__backquoted_id,
    ACTIONS(11057), 1,
      sym_operator_identifier,
    STATE(624), 1,
      sym_identifier,
    STATE(4189), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11051), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [505032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(10677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9129), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9127), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505067] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12521), 1,
      anon_sym_LBRACK,
    ACTIONS(12523), 1,
      anon_sym_AT,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(12529), 1,
      sym__automatic_semicolon,
    STATE(11267), 1,
      sym_type_parameters,
    STATE(12019), 1,
      sym_annotation,
    STATE(13183), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13184), 1,
      sym_access_modifier,
    STATE(14028), 1,
      sym_class_parameters,
    ACTIONS(12525), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12384), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [505118] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10568), 1,
      sym_operator_identifier,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_match,
      anon_sym_then,
    STATE(10679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505266] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(11267), 1,
      sym__alpha_identifier,
    ACTIONS(11273), 1,
      anon_sym_EQ,
    ACTIONS(11275), 1,
      sym__backquoted_id,
    ACTIONS(11277), 1,
      sym_operator_identifier,
    STATE(659), 1,
      sym_identifier,
    STATE(4200), 1,
      sym__soft_identifier,
    STATE(10683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11271), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505348] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    STATE(667), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    ACTIONS(8076), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(10685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9360), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9271), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [505529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505562] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10797), 1,
      sym__alpha_identifier,
    ACTIONS(10803), 1,
      sym__backquoted_id,
    ACTIONS(10805), 1,
      sym_operator_identifier,
    ACTIONS(11283), 1,
      anon_sym_EQ,
    STATE(598), 1,
      sym_identifier,
    STATE(4187), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(10799), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505677] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12532), 1,
      anon_sym_COLON,
    ACTIONS(12535), 1,
      anon_sym_DOT,
    ACTIONS(12537), 1,
      anon_sym_LBRACK,
    ACTIONS(12540), 1,
      anon_sym_LPAREN,
    ACTIONS(12543), 1,
      sym__automatic_semicolon,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14521), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14522), 1,
      sym_type_parameters,
    STATE(10694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
      anon_sym_POUND,
  [505726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7702), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7700), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9481), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [505891] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11464), 1,
      anon_sym_COMMA,
    ACTIONS(11466), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15377), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505946] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12546), 1,
      anon_sym_LBRACK,
    ACTIONS(12548), 1,
      anon_sym_AT,
    ACTIONS(12550), 1,
      anon_sym_LPAREN,
    ACTIONS(12552), 1,
      anon_sym_POUND,
    STATE(11886), 1,
      sym_type_arguments,
    STATE(11923), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12862), 1,
      sym_annotation,
    STATE(13240), 1,
      sym_arguments,
    STATE(10701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [505993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12554), 1,
      anon_sym_with,
    ACTIONS(9032), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10703), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9030), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506061] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11464), 1,
      anon_sym_COMMA,
    ACTIONS(11466), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15377), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506116] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(10626), 1,
      sym__alpha_identifier,
    ACTIONS(10632), 1,
      sym__backquoted_id,
    ACTIONS(10634), 1,
      sym_operator_identifier,
    ACTIONS(11312), 1,
      anon_sym_EQ,
    STATE(607), 1,
      sym_identifier,
    STATE(4174), 1,
      sym__soft_identifier,
    STATE(10705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506231] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(11147), 1,
      sym_operator_identifier,
    STATE(613), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506443] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7856), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11896), 1,
      anon_sym_EQ_GT,
    STATE(10714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506480] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11322), 1,
      anon_sym_RPAREN,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16211), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506535] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(11149), 1,
      sym_operator_identifier,
    STATE(1764), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506582] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11322), 1,
      anon_sym_RPAREN,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16211), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506769] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(11089), 1,
      sym_operator_identifier,
    STATE(1800), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11707), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [506915] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10119), 1,
      sym__backquoted_id,
    STATE(5524), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10117), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506985] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8080), 1,
      anon_sym_match,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(11336), 1,
      sym_operator_identifier,
    STATE(1725), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507133] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 2,
      anon_sym_case,
      anon_sym_if,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507238] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11471), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16120), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507293] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11471), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16120), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9552), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9550), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507480] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 2,
      anon_sym_STAR,
      anon_sym_finally,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507519] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12368), 1,
      anon_sym_given,
    ACTIONS(12557), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(14586), 1,
      sym_identifier,
    ACTIONS(12366), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10742), 2,
      sym_comment,
      sym_block_comment,
    STATE(15399), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507731] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 2,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507770] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    ACTIONS(11545), 1,
      anon_sym_EQ,
    STATE(667), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    STATE(10749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507819] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11352), 1,
      anon_sym_EQ_GT,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(17686), 1,
      sym_guard,
    STATE(10750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507874] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11364), 1,
      anon_sym_COMMA,
    ACTIONS(11366), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16137), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7700), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507962] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11364), 1,
      anon_sym_COMMA,
    ACTIONS(11366), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16137), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508050] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(12559), 1,
      anon_sym_LBRACE,
    ACTIONS(12563), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__soft_identifier,
    STATE(14046), 1,
      sym_identifier,
    STATE(10755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12561), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14434), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9627), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [508130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508229] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(11205), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11293), 1,
      anon_sym_AT,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508272] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 2,
      anon_sym_STAR,
      anon_sym_else,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9633), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [508344] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(12011), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11209), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10984), 1,
      sym__end_marker,
    STATE(10764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508465] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(11213), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11293), 1,
      anon_sym_AT,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11211), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11075), 1,
      sym__end_marker,
    STATE(10767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9611), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508576] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11495), 1,
      anon_sym_EQ_GT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(17627), 1,
      sym_guard,
    STATE(10769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508664] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11495), 1,
      anon_sym_EQ_GT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(17627), 1,
      sym_guard,
    STATE(10771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508719] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    STATE(10772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7574), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12565), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [508754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9550), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508853] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(10626), 1,
      sym__alpha_identifier,
    ACTIONS(10632), 1,
      sym__backquoted_id,
    ACTIONS(10634), 1,
      sym_operator_identifier,
    ACTIONS(11440), 1,
      anon_sym_EQ,
    STATE(607), 1,
      sym_identifier,
    STATE(4174), 1,
      sym__soft_identifier,
    STATE(10776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 4,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508935] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7916), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508974] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(11382), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16208), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509062] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(11382), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16208), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509117] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(489), 1,
      sym__alpha_identifier,
    ACTIONS(553), 1,
      sym__backquoted_id,
    ACTIONS(12567), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym_operator_identifier,
    STATE(5822), 1,
      sym__soft_identifier,
    STATE(14333), 1,
      sym_identifier,
    STATE(10782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12569), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14800), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(677), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509230] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11352), 1,
      anon_sym_EQ_GT,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(17686), 1,
      sym_guard,
    STATE(10785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509351] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11387), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15451), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509406] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11387), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15451), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509461] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(11163), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509607] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(11165), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509654] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8244), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8242), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509759] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12546), 1,
      anon_sym_LBRACK,
    ACTIONS(12548), 1,
      anon_sym_AT,
    ACTIONS(12552), 1,
      anon_sym_POUND,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    STATE(11886), 1,
      sym_type_arguments,
    STATE(11923), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12862), 1,
      sym_annotation,
    STATE(13544), 1,
      sym_arguments,
    STATE(10798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [509806] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(12559), 1,
      anon_sym_LBRACE,
    ACTIONS(12563), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__soft_identifier,
    STATE(14046), 1,
      sym_identifier,
    STATE(10799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12561), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14554), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509919] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15547), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510040] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15547), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510161] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11211), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [510198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8945), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510297] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10945), 1,
      sym__alpha_identifier,
    ACTIONS(10949), 1,
      sym__backquoted_id,
    ACTIONS(10951), 1,
      sym_operator_identifier,
    STATE(667), 1,
      sym_identifier,
    STATE(4197), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510344] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11032), 1,
      sym_arguments,
    STATE(10813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510379] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12368), 1,
      anon_sym_given,
    ACTIONS(12575), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(14609), 1,
      sym_identifier,
    ACTIONS(12366), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10814), 2,
      sym_comment,
      sym_block_comment,
    STATE(15649), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510426] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11209), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510508] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5500), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510578] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(10819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11203), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [510615] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(489), 1,
      sym__alpha_identifier,
    ACTIONS(553), 1,
      sym__backquoted_id,
    ACTIONS(12567), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym_operator_identifier,
    STATE(5822), 1,
      sym__soft_identifier,
    STATE(14333), 1,
      sym_identifier,
    STATE(10820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12569), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14727), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(677), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510728] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5892), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10117), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510765] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10797), 1,
      sym__alpha_identifier,
    ACTIONS(10803), 1,
      sym__backquoted_id,
    ACTIONS(10805), 1,
      sym_operator_identifier,
    ACTIONS(11435), 1,
      anon_sym_EQ,
    STATE(598), 1,
      sym_identifier,
    STATE(4187), 1,
      sym__soft_identifier,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10799), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10042), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [510979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511045] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11400), 1,
      anon_sym_COMMA,
    ACTIONS(11402), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15697), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511100] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11400), 1,
      anon_sym_COMMA,
    ACTIONS(11402), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15697), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511188] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11404), 1,
      anon_sym_EQ_GT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(18327), 1,
      sym_guard,
    STATE(10835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511276] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11404), 1,
      anon_sym_EQ_GT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(18327), 1,
      sym_guard,
    STATE(10837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511364] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(10977), 1,
      sym__alpha_identifier,
    ACTIONS(10983), 1,
      sym__backquoted_id,
    ACTIONS(10985), 1,
      sym_operator_identifier,
    STATE(615), 1,
      sym_identifier,
    STATE(4192), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10979), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511477] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9647), 1,
      anon_sym_LPAREN,
    ACTIONS(12577), 1,
      anon_sym_LBRACK,
    ACTIONS(12579), 1,
      anon_sym_POUND,
    STATE(11242), 1,
      aux_sym_annotation_repeat1,
    STATE(11421), 1,
      sym_type_arguments,
    STATE(11914), 1,
      sym_arguments,
    STATE(10842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [511520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511685] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11107), 1,
      sym__end_marker,
    STATE(10848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511951] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10898), 1,
      sym__end_marker,
    STATE(10856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512019] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [512223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [512355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [512421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512520] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512559] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12368), 1,
      anon_sym_given,
    ACTIONS(12370), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15011), 1,
      sym_identifier,
    ACTIONS(12366), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10874), 2,
      sym_comment,
      sym_block_comment,
    STATE(16577), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512639] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(12581), 1,
      anon_sym_LBRACK,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    STATE(11362), 1,
      aux_sym_annotation_repeat1,
    STATE(11529), 1,
      sym_type_arguments,
    STATE(11874), 1,
      sym_arguments,
    STATE(10876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [512682] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(7916), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10018), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [512787] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(10906), 1,
      sym_operator_identifier,
    STATE(1756), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8080), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512867] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(9358), 1,
      sym__alpha_identifier,
    ACTIONS(9364), 1,
      sym__backquoted_id,
    ACTIONS(9366), 1,
      sym_operator_identifier,
    ACTIONS(11420), 1,
      anon_sym_EQ,
    STATE(596), 1,
      sym_identifier,
    STATE(4164), 1,
      sym__soft_identifier,
    STATE(10882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9362), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512949] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 3,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512987] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11495), 1,
      anon_sym_EQ_GT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(17627), 1,
      sym_guard,
    STATE(10885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10018), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513103] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      sym__alpha_identifier,
    ACTIONS(11139), 1,
      sym__backquoted_id,
    ACTIONS(11141), 1,
      sym_operator_identifier,
    ACTIONS(11756), 1,
      anon_sym_EQ,
    STATE(616), 1,
      sym_identifier,
    STATE(4188), 1,
      sym__soft_identifier,
    STATE(10888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11783), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513247] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12585), 1,
      anon_sym_LBRACK,
    ACTIONS(12587), 1,
      anon_sym_AT,
    ACTIONS(12589), 1,
      anon_sym_LPAREN,
    ACTIONS(12591), 1,
      anon_sym_POUND,
    STATE(12182), 1,
      sym_type_arguments,
    STATE(12498), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13279), 1,
      sym_annotation,
    STATE(13817), 1,
      sym_arguments,
    STATE(10892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [513293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513325] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10182), 1,
      anon_sym_LPAREN,
    ACTIONS(12593), 1,
      anon_sym_LBRACK,
    ACTIONS(12595), 1,
      anon_sym_POUND,
    STATE(11582), 1,
      aux_sym_annotation_repeat1,
    STATE(11888), 1,
      sym_type_arguments,
    STATE(12131), 1,
      sym_arguments,
    STATE(10894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [513367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11794), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(10903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [513655] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12597), 1,
      anon_sym_DOT,
    STATE(10904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513753] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(10911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [513919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [513951] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(5118), 1,
      anon_sym_RPAREN,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(10913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514005] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12599), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(10914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514091] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11367), 1,
      sym__end_marker,
    STATE(10916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [514157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11787), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514189] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11781), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514303] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11781), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514481] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5817), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(10927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10117), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7916), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11777), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11773), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514709] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(10934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514795] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12601), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(10936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11769), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11765), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11761), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515041] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12603), 1,
      anon_sym_LBRACK,
    ACTIONS(12605), 1,
      anon_sym_LPAREN,
    ACTIONS(12607), 1,
      anon_sym_POUND,
    STATE(11775), 1,
      aux_sym_annotation_repeat1,
    STATE(12055), 1,
      sym_type_arguments,
    STATE(12570), 1,
      sym_arguments,
    STATE(10943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [515083] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    ACTIONS(11404), 1,
      anon_sym_EQ_GT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(18327), 1,
      sym_guard,
    STATE(10944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515135] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11324), 1,
      sym__end_marker,
    STATE(10945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515169] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10268), 1,
      anon_sym_LPAREN,
    ACTIONS(12609), 1,
      anon_sym_LBRACK,
    ACTIONS(12611), 1,
      anon_sym_POUND,
    STATE(11543), 1,
      aux_sym_annotation_repeat1,
    STATE(11983), 1,
      sym_type_arguments,
    STATE(12245), 1,
      sym_arguments,
    STATE(10946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515211] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12613), 1,
      anon_sym_LPAREN,
    STATE(11413), 1,
      sym_arguments,
    STATE(10947), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11805), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515309] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12616), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16019), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(10950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9756), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515679] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11400), 1,
      anon_sym_COMMA,
    ACTIONS(11402), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15697), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515763] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12618), 1,
      anon_sym_LBRACK,
    ACTIONS(12620), 1,
      anon_sym_LPAREN,
    ACTIONS(12622), 1,
      anon_sym_POUND,
    STATE(11718), 1,
      aux_sym_annotation_repeat1,
    STATE(11753), 1,
      sym_type_arguments,
    STATE(12654), 1,
      sym_arguments,
    STATE(10963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [515805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10018), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [515869] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12388), 1,
      anon_sym_AT,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12626), 1,
      sym__automatic_semicolon,
    STATE(11449), 1,
      sym_annotation,
    STATE(12548), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12550), 1,
      sym_access_modifier,
    STATE(13469), 1,
      sym_class_parameters,
    ACTIONS(12390), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12624), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [515915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11752), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516043] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12629), 1,
      anon_sym_with,
    STATE(11334), 1,
      aux_sym_compound_type_repeat1,
    STATE(13412), 1,
      sym__refinement,
    STATE(13413), 1,
      sym_template_body,
    STATE(13544), 1,
      sym_arguments,
    STATE(10971), 2,
      sym_comment,
      sym_block_comment,
    STATE(13585), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [516085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12631), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [516147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [516179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11805), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516275] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11687), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7746), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516357] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12546), 1,
      anon_sym_LBRACK,
    ACTIONS(12550), 1,
      anon_sym_LPAREN,
    ACTIONS(12552), 1,
      anon_sym_POUND,
    STATE(11886), 1,
      sym_type_arguments,
    STATE(12033), 1,
      aux_sym_annotation_repeat1,
    STATE(12934), 1,
      sym_arguments,
    STATE(10980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [516399] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11687), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516481] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10473), 1,
      anon_sym_RPAREN,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15547), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516565] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9073), 1,
      anon_sym_LPAREN,
    STATE(10947), 1,
      aux_sym_annotation_repeat1,
    STATE(11413), 1,
      sym_arguments,
    STATE(10985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10042), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [516665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516729] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12633), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(10990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9627), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9738), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9742), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516911] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(10471), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10141), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10139), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516993] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_finally,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517095] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(10471), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7808), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9633), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [517209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517273] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12532), 1,
      anon_sym_COLON,
    ACTIONS(12537), 1,
      anon_sym_LBRACK,
    ACTIONS(12540), 1,
      anon_sym_LPAREN,
    ACTIONS(12543), 1,
      sym__automatic_semicolon,
    ACTIONS(12635), 1,
      anon_sym_DOT,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14521), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14522), 1,
      sym_type_parameters,
    STATE(11005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
      anon_sym_POUND,
  [517321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10307), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517417] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_STAR,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517487] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12637), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517541] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11203), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10303), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11769), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517643] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11387), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15451), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517695] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11203), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517765] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11209), 1,
      anon_sym_PIPE,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517815] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11209), 1,
      anon_sym_PIPE,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517865] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12585), 1,
      anon_sym_LBRACK,
    ACTIONS(12587), 1,
      anon_sym_AT,
    ACTIONS(12591), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      anon_sym_LPAREN,
    STATE(12182), 1,
      sym_type_arguments,
    STATE(12498), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13279), 1,
      sym_annotation,
    STATE(13614), 1,
      sym_arguments,
    STATE(11020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [517911] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11320), 1,
      anon_sym_AT,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11211), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517949] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(11382), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16208), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518033] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11316), 1,
      anon_sym_DOT,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11211), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12641), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [518101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9627), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [518133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12643), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [518163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9633), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518227] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11803), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12645), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [518307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10297), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518339] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11803), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518389] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12649), 1,
      anon_sym_case,
    ACTIONS(12651), 1,
      anon_sym_EQ,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    STATE(11034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12653), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518427] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12657), 1,
      anon_sym_case,
    ACTIONS(12659), 1,
      anon_sym_EQ,
    STATE(11035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12661), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10285), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518625] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12663), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(15505), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518711] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12665), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(15493), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10052), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518925] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12667), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11761), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10281), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519043] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(5068), 1,
      anon_sym_RPAREN,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9658), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10176), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10174), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519257] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11352), 1,
      anon_sym_EQ_GT,
    ACTIONS(11354), 1,
      anon_sym_if,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(17686), 1,
      sym_guard,
    STATE(11058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519309] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11364), 1,
      anon_sym_COMMA,
    ACTIONS(11366), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16137), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519425] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7916), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12669), 1,
      anon_sym_DOT,
    STATE(11064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12671), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [519557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10127), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10125), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [519619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12675), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [519681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9587), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519745] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12677), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519799] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519853] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11471), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16120), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9481), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12679), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [519967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11765), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519999] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8080), 1,
      anon_sym_match,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(11336), 1,
      sym_operator_identifier,
    STATE(1725), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(11078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8078), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9583), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11794), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520141] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5492), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(11082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10119), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10117), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520177] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11250), 1,
      aux_sym_compound_type_repeat1,
    STATE(13240), 1,
      sym_arguments,
    STATE(13368), 1,
      sym_template_body,
    STATE(13369), 1,
      sym__refinement,
    STATE(11083), 2,
      sym_comment,
      sym_block_comment,
    STATE(13291), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [520217] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12649), 1,
      anon_sym_case,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12681), 1,
      anon_sym_EQ,
    STATE(11084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12653), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10099), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10097), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10272), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520319] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12657), 1,
      anon_sym_case,
    ACTIONS(12683), 1,
      anon_sym_EQ,
    STATE(11087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12661), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11707), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [520389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9432), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9477), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9271), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9532), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520613] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12685), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520699] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11322), 1,
      anon_sym_RPAREN,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(16211), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9564), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9600), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520815] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11662), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12687), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [520895] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12689), 1,
      anon_sym_LPAREN,
    STATE(11598), 1,
      sym_arguments,
    ACTIONS(8366), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11103), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8364), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9271), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [520995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10089), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10087), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521059] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11662), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521141] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11205), 1,
      sym__backquoted_id,
    ACTIONS(11356), 1,
      anon_sym_AT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521179] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11205), 1,
      sym__backquoted_id,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12692), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [521279] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11816), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521329] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11356), 1,
      anon_sym_AT,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11209), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9481), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [521409] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    ACTIONS(11464), 1,
      anon_sym_COMMA,
    ACTIONS(11466), 1,
      anon_sym_RPAREN,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(15377), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521461] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10081), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521527] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11816), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12694), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [521607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12696), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [521637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(9550), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7334), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7332), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521733] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11209), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10042), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521877] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11213), 1,
      sym__backquoted_id,
    ACTIONS(11356), 1,
      anon_sym_AT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11211), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521915] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12618), 1,
      anon_sym_LBRACK,
    ACTIONS(12622), 1,
      anon_sym_POUND,
    ACTIONS(12698), 1,
      anon_sym_AT,
    STATE(11753), 1,
      sym_type_arguments,
    STATE(11754), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12918), 1,
      sym_annotation,
    STATE(17826), 1,
      sym_arguments,
    STATE(11131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [521961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11752), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12700), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [522023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2531), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12702), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [522181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522213] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11213), 1,
      sym__backquoted_id,
    ACTIONS(11348), 1,
      anon_sym_DOT,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11211), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11787), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522283] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_else,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522353] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(5112), 1,
      anon_sym_RPAREN,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522407] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      anon_sym_AT,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11657), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522457] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12704), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522511] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10463), 1,
      anon_sym_DOT,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11657), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522561] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(11133), 1,
      sym__alpha_identifier,
    ACTIONS(11139), 1,
      sym__backquoted_id,
    ACTIONS(11141), 1,
      sym_operator_identifier,
    ACTIONS(11821), 1,
      anon_sym_EQ,
    STATE(616), 1,
      sym_identifier,
    STATE(4188), 1,
      sym__soft_identifier,
    STATE(11148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9012), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(11135), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(7700), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522641] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12513), 1,
      anon_sym_LPAREN,
    STATE(11103), 1,
      aux_sym_annotation_repeat1,
    STATE(11598), 1,
      sym_arguments,
    ACTIONS(8469), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8467), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522711] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(11267), 1,
      sym__alpha_identifier,
    ACTIONS(11275), 1,
      sym__backquoted_id,
    ACTIONS(11277), 1,
      sym_operator_identifier,
    STATE(659), 1,
      sym_identifier,
    STATE(4200), 1,
      sym__soft_identifier,
    STATE(11152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11271), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [522851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9993), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10050), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10048), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522947] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    ACTIONS(12706), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10028), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10026), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523129] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12546), 1,
      anon_sym_LBRACK,
    ACTIONS(12548), 1,
      anon_sym_AT,
    ACTIONS(12552), 1,
      anon_sym_POUND,
    STATE(11886), 1,
      sym_type_arguments,
    STATE(11923), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12862), 1,
      sym_annotation,
    STATE(11164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [523171] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9686), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9688), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10016), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10014), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11777), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10038), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10036), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11773), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523513] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 3,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11783), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [523676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7808), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [523736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [523765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [523794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [523825] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11213), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11211), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523862] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11213), 1,
      sym__backquoted_id,
    ACTIONS(11293), 1,
      anon_sym_AT,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11211), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523899] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(12011), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11209), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(11187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523946] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(12011), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11209), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(11188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [524024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [524055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [524086] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11205), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524123] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11205), 1,
      sym__backquoted_id,
    ACTIONS(11293), 1,
      anon_sym_AT,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524191] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7916), 2,
      anon_sym_STAR,
      anon_sym_EQ,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524257] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11588), 1,
      anon_sym_EQ,
    ACTIONS(12708), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12710), 1,
      anon_sym_DOT,
    STATE(11198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524337] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12712), 1,
      anon_sym_LBRACK,
    ACTIONS(12714), 1,
      anon_sym_LPAREN,
    ACTIONS(12716), 1,
      anon_sym_POUND,
    STATE(12255), 1,
      sym_type_arguments,
    STATE(12408), 1,
      aux_sym_annotation_repeat1,
    STATE(13364), 1,
      sym_arguments,
    STATE(11199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [524378] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11588), 1,
      anon_sym_EQ,
    ACTIONS(12708), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9598), 1,
      sym__backquoted_id,
    STATE(11202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9600), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524487] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11295), 1,
      anon_sym_EQ,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(12718), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9562), 1,
      sym__backquoted_id,
    STATE(11204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9530), 1,
      sym__backquoted_id,
    STATE(11205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9532), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524598] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11295), 1,
      anon_sym_EQ,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(12718), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9475), 1,
      sym__backquoted_id,
    STATE(11208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9430), 1,
      sym__backquoted_id,
    STATE(11209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9432), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8493), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524800] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12720), 1,
      anon_sym_EQ,
    STATE(11212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12661), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524835] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12722), 1,
      anon_sym_EQ,
    STATE(11213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12653), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11654), 1,
      sym__end_marker,
    STATE(11214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9611), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524903] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12724), 1,
      anon_sym_AT,
    STATE(11858), 1,
      sym_annotation,
    ACTIONS(8552), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11215), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8550), 11,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524938] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12712), 1,
      anon_sym_LBRACK,
    ACTIONS(12716), 1,
      anon_sym_POUND,
    ACTIONS(12727), 1,
      anon_sym_AT,
    STATE(12255), 1,
      sym_type_arguments,
    STATE(12321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13201), 1,
      sym_annotation,
    STATE(17826), 1,
      sym_arguments,
    STATE(11216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [524983] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11536), 1,
      aux_sym_compound_type_repeat1,
    STATE(13499), 1,
      sym_template_body,
    STATE(13507), 1,
      sym__refinement,
    STATE(13614), 1,
      sym_arguments,
    STATE(11217), 2,
      sym_comment,
      sym_block_comment,
    STATE(13495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [525022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525177] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12729), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      anon_sym_LPAREN,
    ACTIONS(12733), 1,
      anon_sym_POUND,
    STATE(12102), 1,
      aux_sym_annotation_repeat1,
    STATE(12400), 1,
      sym_type_arguments,
    STATE(13316), 1,
      sym_arguments,
    STATE(11223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [525218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [525278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8628), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525309] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525375] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12735), 1,
      anon_sym_LPAREN,
    STATE(11914), 1,
      sym_arguments,
    STATE(11229), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(8244), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8242), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525445] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(11231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8630), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12738), 1,
      anon_sym_end,
    STATE(5223), 1,
      sym__end_marker,
    STATE(11238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8632), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525730] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7916), 2,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12742), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12740), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [525798] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9647), 1,
      anon_sym_LPAREN,
    STATE(11229), 1,
      aux_sym_annotation_repeat1,
    STATE(11914), 1,
      sym_arguments,
    STATE(11242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9600), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9532), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9477), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525957] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(10568), 1,
      sym_operator_identifier,
    ACTIONS(11879), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_while,
      anon_sym_match,
    STATE(11247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9432), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526066] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12539), 1,
      aux_sym_compound_type_repeat1,
    STATE(13368), 1,
      sym_template_body,
    STATE(13391), 1,
      sym__refinement,
    STATE(11250), 2,
      sym_comment,
      sym_block_comment,
    STATE(13291), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [526103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9758), 1,
      sym__backquoted_id,
    STATE(11251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9756), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9740), 1,
      sym__backquoted_id,
    STATE(11253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9738), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12746), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12744), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [526227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9744), 1,
      sym__backquoted_id,
    STATE(11255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526258] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(12382), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(10027), 1,
      sym_annotation,
    STATE(11693), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13098), 1,
      sym_inline_modifier,
    STATE(16531), 1,
      sym_parameter,
    STATE(17790), 1,
      sym_identifier,
    STATE(11256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9583), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9587), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526607] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12523), 1,
      anon_sym_AT,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(12748), 1,
      sym__automatic_semicolon,
    STATE(12070), 1,
      sym_annotation,
    STATE(13127), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13128), 1,
      sym_access_modifier,
    STATE(14028), 1,
      sym_class_parameters,
    ACTIONS(12525), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12624), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [526652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9658), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 16,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [526774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526803] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7808), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9756), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12753), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12751), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [527018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12757), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12755), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [527049] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11781), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527096] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11213), 1,
      sym__backquoted_id,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11211), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527131] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11346), 1,
      anon_sym_COLON,
    ACTIONS(11350), 1,
      anon_sym_STAR,
    ACTIONS(11360), 1,
      sym_operator_identifier,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11209), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527176] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11205), 1,
      sym__backquoted_id,
    STATE(4271), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527273] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11506), 1,
      anon_sym_EQ,
    ACTIONS(12759), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527322] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11506), 1,
      anon_sym_EQ,
    ACTIONS(12759), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527371] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11502), 1,
      anon_sym_EQ,
    ACTIONS(12761), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9738), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527451] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11502), 1,
      anon_sym_EQ,
    ACTIONS(12761), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9742), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527531] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12763), 1,
      anon_sym_EQ,
    STATE(11293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12661), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527566] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12765), 1,
      anon_sym_EQ,
    STATE(11294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12653), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527601] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11657), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527648] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12767), 1,
      anon_sym_with,
    STATE(11577), 1,
      aux_sym_compound_type_repeat1,
    STATE(13791), 1,
      sym_template_body,
    STATE(13792), 1,
      sym__refinement,
    STATE(13817), 1,
      sym_arguments,
    STATE(11296), 2,
      sym_comment,
      sym_block_comment,
    STATE(13753), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [527689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    STATE(11302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7808), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8575), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527906] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12585), 1,
      anon_sym_LBRACK,
    ACTIONS(12587), 1,
      anon_sym_AT,
    ACTIONS(12591), 1,
      anon_sym_POUND,
    STATE(12182), 1,
      sym_type_arguments,
    STATE(12498), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13279), 1,
      sym_annotation,
    STATE(11304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [527947] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12769), 1,
      anon_sym_EQ,
    STATE(11305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12653), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527982] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12771), 1,
      anon_sym_EQ,
    STATE(11306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12661), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528017] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11662), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12775), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12773), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [528126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12655), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12647), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [528157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12779), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12777), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [528188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8046), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9658), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [528312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9587), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [528343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9583), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [528374] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12585), 1,
      anon_sym_LBRACK,
    ACTIONS(12591), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      anon_sym_LPAREN,
    STATE(12182), 1,
      sym_type_arguments,
    STATE(12344), 1,
      aux_sym_annotation_repeat1,
    STATE(13086), 1,
      sym_arguments,
    STATE(11318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [528415] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10536), 1,
      anon_sym_LPAREN,
    ACTIONS(12781), 1,
      anon_sym_LBRACK,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    STATE(11919), 1,
      aux_sym_annotation_repeat1,
    STATE(12097), 1,
      sym_type_arguments,
    STATE(12968), 1,
      sym_arguments,
    STATE(11319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [528456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8573), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10307), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [528549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10303), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [528642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11752), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7916), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8559), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11805), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8548), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [528888] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12629), 1,
      anon_sym_with,
    STATE(12539), 1,
      aux_sym_compound_type_repeat1,
    STATE(13410), 1,
      sym__refinement,
    STATE(13413), 1,
      sym_template_body,
    STATE(11334), 2,
      sym_comment,
      sym_block_comment,
    STATE(13585), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [528927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8538), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12787), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12785), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [528989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12791), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12789), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [529082] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11803), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10285), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [529222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8519), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11794), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529313] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11211), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529348] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    ACTIONS(12793), 1,
      anon_sym_LBRACK,
    ACTIONS(12795), 1,
      anon_sym_POUND,
    STATE(11717), 1,
      aux_sym_annotation_repeat1,
    STATE(12250), 1,
      sym_type_arguments,
    STATE(12870), 1,
      sym_arguments,
    STATE(11348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [529389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8589), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529420] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11209), 1,
      anon_sym_PIPE,
    ACTIONS(11314), 1,
      anon_sym_COLON,
    ACTIONS(11318), 1,
      anon_sym_STAR,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529467] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11340), 1,
      anon_sym_EQ,
    ACTIONS(12797), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529516] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4295), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11205), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11203), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529551] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8074), 1,
      sym__alpha_identifier,
    ACTIONS(8076), 1,
      anon_sym_COLON,
    ACTIONS(8086), 1,
      sym__backquoted_id,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(10568), 1,
      sym_operator_identifier,
    ACTIONS(12015), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    ACTIONS(9012), 2,
      anon_sym_match,
      anon_sym_do,
    STATE(11353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529598] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11344), 1,
      anon_sym_EQ,
    ACTIONS(12799), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529647] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11344), 1,
      anon_sym_EQ,
    ACTIONS(12799), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529696] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11340), 1,
      anon_sym_EQ,
    ACTIONS(12797), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [529774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10281), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [529805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10272), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [529836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11787), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11783), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529898] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    STATE(11374), 1,
      aux_sym_annotation_repeat1,
    STATE(11874), 1,
      sym_arguments,
    STATE(11362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529933] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11394), 1,
      anon_sym_EQ,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529982] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11816), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530060] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11394), 1,
      anon_sym_EQ,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530140] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6055), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    ACTIONS(10119), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10117), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530175] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11398), 1,
      anon_sym_EQ,
    ACTIONS(12803), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530286] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11398), 1,
      anon_sym_EQ,
    ACTIONS(12803), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530335] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    STATE(11373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7574), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12565), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530368] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12805), 1,
      anon_sym_LPAREN,
    STATE(11874), 1,
      sym_arguments,
    STATE(11374), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12808), 1,
      anon_sym_DOT,
    STATE(11375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 16,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11777), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11773), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530523] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8084), 1,
      anon_sym_EQ,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(12017), 1,
      sym__alpha_identifier,
    ACTIONS(12021), 1,
      sym__backquoted_id,
    ACTIONS(12023), 1,
      sym_operator_identifier,
    STATE(1157), 1,
      sym_identifier,
    STATE(4293), 1,
      sym__soft_identifier,
    ACTIONS(8076), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(11379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12019), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11769), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11765), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11761), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530694] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(10471), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530741] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 2,
      anon_sym_DOT,
      sym__backquoted_id,
    STATE(11385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12565), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530803] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11412), 1,
      anon_sym_EQ,
    ACTIONS(12810), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530852] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11412), 1,
      anon_sym_EQ,
    ACTIONS(12810), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530901] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10465), 1,
      anon_sym_STAR,
    ACTIONS(10475), 1,
      anon_sym_PIPE,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(10479), 1,
      sym_operator_identifier,
    STATE(4275), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11687), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530948] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11289), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11408), 1,
      anon_sym_EQ,
    ACTIONS(12812), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530997] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11293), 1,
      anon_sym_AT,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11408), 1,
      anon_sym_EQ,
    ACTIONS(12812), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [531105] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12814), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11394), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [531177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [531205] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12816), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11397), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531249] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12818), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11398), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531321] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12820), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11400), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531365] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12822), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11401), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531409] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12824), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11402), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531453] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12826), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11403), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531497] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12828), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11404), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531541] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12830), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11405), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531585] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12832), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11406), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531629] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12834), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11407), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9756), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531703] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12836), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11409), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531747] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12838), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11410), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531819] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12840), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11412), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531891] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(12846), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11414), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12844), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [531939] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12848), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11415), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12850), 1,
      anon_sym_end,
    STATE(5858), 1,
      sym__end_marker,
    STATE(11417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532043] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12852), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11418), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532087] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12854), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11419), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532131] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12856), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11420), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532203] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12858), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11422), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532247] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7324), 1,
      anon_sym_object,
    ACTIONS(7326), 1,
      anon_sym_class,
    ACTIONS(12860), 1,
      sym__alpha_identifier,
    ACTIONS(12864), 1,
      sym__backquoted_id,
    ACTIONS(12866), 1,
      sym_operator_identifier,
    STATE(12667), 1,
      sym_identifier,
    STATE(14251), 1,
      sym__soft_identifier,
    STATE(14789), 1,
      sym_simple_enum_case,
    STATE(16119), 1,
      sym_full_enum_case,
    STATE(11423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532321] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12868), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11425), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532365] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12870), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11426), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532409] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12872), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11427), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532453] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12874), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11428), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532497] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12876), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11429), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532569] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12878), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11431), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532613] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12880), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11432), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532657] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12882), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11433), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [532729] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12884), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11435), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532773] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12886), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11436), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532845] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12888), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11438), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532889] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12890), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11439), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532933] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12892), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11440), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532977] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11408), 1,
      anon_sym_EQ,
    ACTIONS(12812), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533023] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12894), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11442), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533067] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12896), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11443), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10042), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533141] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11213), 1,
      sym__backquoted_id,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11211), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533175] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11412), 1,
      anon_sym_EQ,
    ACTIONS(12810), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533221] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12898), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11447), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533293] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12902), 1,
      sym__automatic_semicolon,
    STATE(12662), 1,
      sym_access_modifier,
    STATE(12663), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    ACTIONS(12390), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12900), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [533333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533361] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(12011), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    ACTIONS(11209), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(11451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533405] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12905), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11452), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9738), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9742), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533509] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12907), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11455), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533553] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12909), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11456), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533597] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12911), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11457), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533641] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10536), 1,
      anon_sym_LPAREN,
    ACTIONS(12618), 1,
      anon_sym_LBRACK,
    ACTIONS(12622), 1,
      anon_sym_POUND,
    ACTIONS(12698), 1,
      anon_sym_AT,
    STATE(9824), 1,
      sym_arguments,
    STATE(11753), 1,
      sym_type_arguments,
    STATE(11754), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12918), 1,
      sym_annotation,
    STATE(11458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [533685] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(12915), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11459), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12913), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [533733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533789] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12917), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11462), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533833] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12919), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11463), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533877] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12921), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11464), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533921] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12386), 1,
      anon_sym_LBRACK,
    ACTIONS(12388), 1,
      anon_sym_AT,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(12504), 1,
      sym_type_parameters,
    STATE(13169), 1,
      sym_annotation,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14037), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14147), 1,
      sym_access_modifier,
    ACTIONS(12390), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12384), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [533969] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12925), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11466), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534013] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12927), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11467), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534085] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12929), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11469), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [534157] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12931), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11471), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534201] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11205), 1,
      sym__backquoted_id,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534235] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12933), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11473), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534307] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12935), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11475), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534381] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12937), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11477), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534425] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12939), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11478), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534469] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12941), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11479), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534513] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11588), 1,
      anon_sym_EQ,
    ACTIONS(12708), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534559] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12943), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11481), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534603] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12945), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11482), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534647] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12947), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11483), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [534719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10020), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10018), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534749] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11295), 1,
      anon_sym_EQ,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(12718), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534795] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12949), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11487), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534839] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12951), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11488), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534883] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12953), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11489), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7566), 1,
      sym__backquoted_id,
    STATE(11490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8557), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535013] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12955), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11493), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535057] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12957), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11494), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535101] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(12712), 1,
      anon_sym_LBRACK,
    ACTIONS(12716), 1,
      anon_sym_POUND,
    ACTIONS(12727), 1,
      anon_sym_AT,
    STATE(9450), 1,
      sym_arguments,
    STATE(12255), 1,
      sym_type_arguments,
    STATE(12321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13201), 1,
      sym_annotation,
    STATE(11495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [535145] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12959), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11496), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535189] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12961), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11497), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(11498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [535319] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12963), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11501), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535363] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12965), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11502), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535407] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12969), 1,
      sym__automatic_semicolon,
    STATE(12546), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12547), 1,
      sym_access_modifier,
    STATE(13469), 1,
      sym_class_parameters,
    ACTIONS(12390), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [535447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12974), 1,
      anon_sym_STAR,
    STATE(11504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535477] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    ACTIONS(12980), 1,
      anon_sym_extends,
    ACTIONS(12982), 1,
      anon_sym_derives,
    STATE(12521), 1,
      sym_extends_clause,
    STATE(13151), 1,
      sym_derives_clause,
    STATE(14650), 1,
      sym__definition_body,
    STATE(14654), 1,
      sym_template_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12976), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [535523] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12984), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11506), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535567] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12986), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11507), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12988), 1,
      anon_sym_DOT,
    STATE(11512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535759] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12990), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11513), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535863] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12992), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11516), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9600), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9564), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9532), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536027] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12994), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11521), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536071] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12996), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11522), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536115] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(12998), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11523), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13000), 1,
      anon_sym_DOT,
    STATE(11524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [536189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9477), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9432), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536249] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    ACTIONS(13002), 1,
      anon_sym_LBRACK,
    ACTIONS(13004), 1,
      anon_sym_POUND,
    STATE(12334), 1,
      aux_sym_annotation_repeat1,
    STATE(12591), 1,
      sym_type_arguments,
    STATE(13324), 1,
      sym_arguments,
    STATE(11527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [536289] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13006), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11528), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536361] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12860), 1,
      sym__alpha_identifier,
    ACTIONS(12864), 1,
      sym__backquoted_id,
    ACTIONS(12866), 1,
      sym_operator_identifier,
    ACTIONS(13008), 1,
      anon_sym_object,
    ACTIONS(13010), 1,
      anon_sym_class,
    STATE(12667), 1,
      sym_identifier,
    STATE(14251), 1,
      sym__soft_identifier,
    STATE(14778), 1,
      sym_simple_enum_case,
    STATE(16190), 1,
      sym_full_enum_case,
    STATE(11530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536407] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9012), 1,
      anon_sym_match,
    ACTIONS(12017), 1,
      sym__alpha_identifier,
    ACTIONS(12021), 1,
      sym__backquoted_id,
    ACTIONS(12023), 1,
      sym_operator_identifier,
    STATE(1157), 1,
      sym_identifier,
    STATE(4293), 1,
      sym__soft_identifier,
    ACTIONS(8076), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(11531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12019), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536451] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13012), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11532), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [536551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [536579] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13346), 1,
      aux_sym_compound_type_repeat1,
    STATE(13499), 1,
      sym_template_body,
    STATE(13509), 1,
      sym__refinement,
    STATE(11536), 2,
      sym_comment,
      sym_block_comment,
    STATE(13495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [536615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [536643] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13014), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11538), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536799] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10268), 1,
      anon_sym_LPAREN,
    STATE(11544), 1,
      aux_sym_annotation_repeat1,
    STATE(12245), 1,
      sym_arguments,
    STATE(11543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    STATE(12245), 1,
      sym_arguments,
    STATE(11544), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536895] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13019), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11546), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536939] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13021), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11547), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [537067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [537123] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13023), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11553), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537167] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13025), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11554), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537211] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13027), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11555), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537255] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12712), 1,
      anon_sym_LBRACK,
    ACTIONS(12714), 1,
      anon_sym_LPAREN,
    ACTIONS(12716), 1,
      anon_sym_POUND,
    ACTIONS(12727), 1,
      anon_sym_AT,
    STATE(12255), 1,
      sym_type_arguments,
    STATE(12321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13201), 1,
      sym_annotation,
    STATE(14542), 1,
      sym_arguments,
    STATE(11556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [537299] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13029), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11557), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [537371] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13031), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11559), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537415] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13033), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11560), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537487] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 2,
      anon_sym_DOT,
      sym__backquoted_id,
    STATE(11562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12565), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537519] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13035), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11563), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537563] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13037), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11564), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [537663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4176), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537693] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13039), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11568), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537767] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_COLON,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [537831] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13041), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11572), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537875] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13043), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11573), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [537947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [537975] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13045), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11576), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538019] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12767), 1,
      anon_sym_with,
    STATE(13346), 1,
      aux_sym_compound_type_repeat1,
    STATE(13791), 1,
      sym_template_body,
    STATE(13793), 1,
      sym__refinement,
    STATE(11577), 2,
      sym_comment,
      sym_block_comment,
    STATE(13753), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [538057] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13047), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11578), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538101] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13049), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11579), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [538173] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13051), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11581), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538217] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10182), 1,
      anon_sym_LPAREN,
    STATE(11589), 1,
      aux_sym_annotation_repeat1,
    STATE(12131), 1,
      sym_arguments,
    STATE(11582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [538251] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13053), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11583), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538295] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13055), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11584), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8557), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538369] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13057), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11586), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538413] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13059), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11587), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538457] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13063), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11588), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13061), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [538505] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13065), 1,
      anon_sym_LPAREN,
    STATE(12131), 1,
      sym_arguments,
    STATE(11589), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [538537] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    ACTIONS(12980), 1,
      anon_sym_extends,
    ACTIONS(12982), 1,
      anon_sym_derives,
    ACTIONS(13070), 1,
      sym__automatic_semicolon,
    STATE(12470), 1,
      sym_extends_clause,
    STATE(13135), 1,
      sym_derives_clause,
    STATE(14654), 1,
      sym_template_body,
    STATE(14683), 1,
      sym__definition_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13068), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [538585] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13073), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11591), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538629] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13075), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11592), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538673] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11398), 1,
      anon_sym_EQ,
    ACTIONS(12803), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538719] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8534), 1,
      anon_sym_LPAREN,
    ACTIONS(13077), 1,
      anon_sym_LBRACK,
    ACTIONS(13079), 1,
      anon_sym_POUND,
    STATE(12110), 1,
      aux_sym_annotation_repeat1,
    STATE(12580), 1,
      sym_type_arguments,
    STATE(13178), 1,
      sym_arguments,
    STATE(11594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [538759] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13081), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11595), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538803] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13083), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11596), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538847] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13085), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11597), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8901), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9625), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9627), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9631), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9633), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [539011] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12618), 1,
      anon_sym_LBRACK,
    ACTIONS(12620), 1,
      anon_sym_LPAREN,
    ACTIONS(12622), 1,
      anon_sym_POUND,
    ACTIONS(12698), 1,
      anon_sym_AT,
    STATE(11753), 1,
      sym_type_arguments,
    STATE(11754), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12918), 1,
      sym_annotation,
    STATE(14451), 1,
      sym_arguments,
    STATE(11602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [539055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9742), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539085] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13087), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11604), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9738), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539159] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13089), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11606), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9756), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539233] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13091), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11608), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539277] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11502), 1,
      anon_sym_EQ,
    ACTIONS(12761), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539323] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13093), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11610), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539367] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13095), 1,
      sym__alpha_identifier,
    ACTIONS(13097), 1,
      anon_sym_object,
    ACTIONS(13099), 1,
      anon_sym_class,
    ACTIONS(13103), 1,
      sym__backquoted_id,
    ACTIONS(13105), 1,
      sym_operator_identifier,
    STATE(12966), 1,
      sym_identifier,
    STATE(14409), 1,
      sym__soft_identifier,
    STATE(14674), 1,
      sym_simple_enum_case,
    STATE(15740), 1,
      sym_full_enum_case,
    STATE(11611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13101), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539413] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11506), 1,
      anon_sym_EQ,
    ACTIONS(12759), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [539487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13107), 1,
      anon_sym_DOT,
    STATE(11614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [539545] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13111), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11616), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13109), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [539593] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13113), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11617), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539637] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13115), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11618), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11709), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11707), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539711] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(13117), 1,
      anon_sym_RPAREN,
    ACTIONS(13119), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15303), 1,
      sym_binding,
    STATE(15575), 1,
      sym_identifier,
    STATE(15576), 1,
      sym_wildcard,
    STATE(11620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539757] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11394), 1,
      anon_sym_EQ,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539803] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13121), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11622), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [539877] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13123), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11624), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4176), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539951] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13125), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11626), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539995] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13127), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11627), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540039] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13131), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11628), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13129), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [540087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7814), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(7808), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540117] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(13119), 1,
      sym_operator_identifier,
    ACTIONS(13133), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15575), 1,
      sym_identifier,
    STATE(15576), 1,
      sym_wildcard,
    STATE(16496), 1,
      sym_binding,
    STATE(11630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540193] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13135), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11632), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540237] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13137), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11633), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540281] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13139), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11634), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [540353] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13141), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11636), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540397] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13143), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11637), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540441] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13145), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11638), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540485] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13147), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11639), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540529] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13149), 1,
      anon_sym_end,
    STATE(5830), 1,
      sym__end_marker,
    STATE(11640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540619] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13151), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11643), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540691] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13153), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11645), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540735] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13155), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11646), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540835] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7294), 1,
      anon_sym_object,
    ACTIONS(7300), 1,
      anon_sym_class,
    ACTIONS(13095), 1,
      sym__alpha_identifier,
    ACTIONS(13103), 1,
      sym__backquoted_id,
    ACTIONS(13105), 1,
      sym_operator_identifier,
    STATE(12966), 1,
      sym_identifier,
    STATE(14409), 1,
      sym__soft_identifier,
    STATE(14596), 1,
      sym_simple_enum_case,
    STATE(15638), 1,
      sym_full_enum_case,
    STATE(11649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13101), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540881] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13157), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11650), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540925] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13159), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11651), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540969] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13161), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11652), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541013] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13163), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11653), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9479), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9481), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541115] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13165), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11656), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12535), 1,
      anon_sym_DOT,
    STATE(11657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [541189] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13167), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11658), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8813), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541291] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13169), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11661), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541335] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13171), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11662), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541379] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13173), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11663), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [541427] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_EQ,
    ACTIONS(7914), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541463] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13175), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11665), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13129), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [541511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541595] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13177), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11669), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8823), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541669] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(13119), 1,
      sym_operator_identifier,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15575), 1,
      sym_identifier,
    STATE(15576), 1,
      sym_wildcard,
    STATE(16496), 1,
      sym_binding,
    STATE(11671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541715] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13181), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11672), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9269), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9271), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541789] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11340), 1,
      anon_sym_EQ,
    ACTIONS(12797), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541863] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13183), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11676), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541907] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10457), 1,
      sym__alpha_identifier,
    ACTIONS(10477), 1,
      sym__backquoted_id,
    ACTIONS(11291), 1,
      anon_sym_STAR,
    ACTIONS(11297), 1,
      anon_sym_PIPE,
    ACTIONS(11299), 1,
      sym_operator_identifier,
    ACTIONS(11344), 1,
      anon_sym_EQ,
    ACTIONS(12799), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_identifier,
    STATE(9926), 1,
      sym__soft_identifier,
    STATE(11677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10467), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541981] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13185), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11679), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8877), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542195] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13187), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11686), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542239] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13189), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11687), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542283] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13191), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11688), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13109), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [542331] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13193), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11689), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542375] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13195), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11690), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542475] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_AT,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(12376), 1,
      anon_sym_inline,
    ACTIONS(13197), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(9385), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10027), 1,
      sym_annotation,
    STATE(13069), 1,
      sym_inline_modifier,
    STATE(17633), 1,
      sym_identifier,
    STATE(11693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542523] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13199), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11694), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542567] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13203), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11695), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13201), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [542615] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13205), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11696), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542659] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13207), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11697), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [542759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13209), 1,
      anon_sym_DOT,
    STATE(11701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [542817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [542845] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13211), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11703), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542889] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13213), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11704), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542933] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13215), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11705), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542977] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    ACTIONS(13217), 1,
      anon_sym_RBRACK,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11706), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [543049] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13219), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11708), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12913), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [543097] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13221), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11709), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13201), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [543145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543173] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13223), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11711), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12844), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [543221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543248] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15266), 1,
      sym__type_parameter,
    STATE(11713), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543289] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13227), 1,
      anon_sym_AT,
    STATE(12862), 1,
      sym_annotation,
    STATE(11714), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [543320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12779), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12777), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11771), 1,
      sym__backquoted_id,
    STATE(11716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11769), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543378] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    STATE(11757), 1,
      aux_sym_annotation_repeat1,
    STATE(12870), 1,
      sym_arguments,
    STATE(11717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [543411] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12620), 1,
      anon_sym_LPAREN,
    STATE(11774), 1,
      aux_sym_annotation_repeat1,
    STATE(12654), 1,
      sym_arguments,
    STATE(11718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [543444] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16130), 1,
      sym__type_parameter,
    STATE(11719), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543485] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13230), 1,
      anon_sym_end,
    STATE(6245), 1,
      sym__end_marker,
    STATE(11720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [543516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11775), 1,
      sym__backquoted_id,
    STATE(11721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11773), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11779), 1,
      sym__backquoted_id,
    STATE(11722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11777), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543601] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(13234), 1,
      anon_sym_LBRACK,
    ACTIONS(13236), 1,
      anon_sym_POUND,
    STATE(12621), 1,
      aux_sym_annotation_repeat1,
    STATE(13012), 1,
      sym_type_arguments,
    STATE(13446), 1,
      sym_arguments,
    STATE(11724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [543640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11785), 1,
      sym__backquoted_id,
    STATE(11727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11783), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543723] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(13240), 1,
      anon_sym_LBRACK,
    ACTIONS(13242), 1,
      anon_sym_POUND,
    STATE(12534), 1,
      aux_sym_annotation_repeat1,
    STATE(13337), 1,
      sym_type_arguments,
    STATE(13619), 1,
      sym_arguments,
    STATE(11728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [543762] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15492), 1,
      sym__type_parameter,
    STATE(11729), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9656), 1,
      sym__backquoted_id,
    STATE(11730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9658), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543832] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16477), 1,
      sym__type_parameter,
    STATE(11731), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543900] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16478), 1,
      sym__type_parameter,
    STATE(11733), 2,
      sym_comment,
      sym_block_comment,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543970] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13246), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11735), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13061), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [544017] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13252), 1,
      anon_sym_LBRACK,
    ACTIONS(13254), 1,
      anon_sym_LT_COLON,
    ACTIONS(13256), 1,
      anon_sym_GT_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(12932), 1,
      sym_type_parameters,
    STATE(13517), 1,
      sym_lower_bound,
    STATE(14073), 1,
      sym_upper_bound,
    STATE(14097), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14760), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(13250), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(11736), 2,
      sym_comment,
      sym_block_comment,
  [544068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544095] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16113), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544136] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16095), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9598), 1,
      sym__backquoted_id,
    STATE(11740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9600), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_DOT,
    STATE(11741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9562), 1,
      sym__backquoted_id,
    STATE(11742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9530), 1,
      sym__backquoted_id,
    STATE(11743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9532), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11796), 1,
      sym__backquoted_id,
    STATE(11744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11794), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11767), 1,
      sym__backquoted_id,
    STATE(11745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11765), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544351] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(13262), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(14201), 1,
      sym_identifier,
    STATE(16821), 1,
      sym_stable_identifier,
    STATE(11746), 2,
      sym_comment,
      sym_block_comment,
    STATE(14195), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    STATE(11747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9475), 1,
      sym__backquoted_id,
    STATE(11748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544450] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16088), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544491] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13264), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11750), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12844), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [544538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9430), 1,
      sym__backquoted_id,
    STATE(11751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9432), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13266), 1,
      anon_sym_DOT,
    STATE(11752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544623] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12698), 1,
      anon_sym_AT,
    STATE(11877), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12918), 1,
      sym_annotation,
    STATE(11754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [544656] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16067), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9585), 1,
      sym__backquoted_id,
    STATE(11756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9587), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13268), 1,
      anon_sym_LPAREN,
    STATE(12870), 1,
      sym_arguments,
    STATE(11757), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [544757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9581), 1,
      sym__backquoted_id,
    STATE(11761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9583), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11807), 1,
      sym__backquoted_id,
    STATE(11762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11805), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544898] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13280), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11763), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13201), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [544945] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16045), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7914), 1,
      sym__backquoted_id,
    STATE(11765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545069] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16029), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11763), 1,
      sym__backquoted_id,
    STATE(11770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11761), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545166] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(13284), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15108), 1,
      sym_identifier,
    STATE(17691), 1,
      sym_stable_identifier,
    STATE(11771), 2,
      sym_comment,
      sym_block_comment,
    STATE(15107), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12787), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12785), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545263] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13286), 1,
      anon_sym_LPAREN,
    STATE(12654), 1,
      sym_arguments,
    STATE(11774), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [545294] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12605), 1,
      anon_sym_LPAREN,
    STATE(11788), 1,
      aux_sym_annotation_repeat1,
    STATE(12570), 1,
      sym_arguments,
    STATE(11775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [545327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12791), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12789), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545412] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7876), 1,
      anon_sym_LBRACE,
    ACTIONS(13294), 1,
      anon_sym_COLON,
    STATE(12429), 1,
      aux_sym_compound_type_repeat1,
    STATE(14443), 1,
      sym__refinement,
    STATE(14446), 1,
      sym_template_body,
    STATE(14451), 1,
      sym_arguments,
    STATE(11779), 2,
      sym_comment,
      sym_block_comment,
    STATE(14515), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [545453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545509] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16009), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545604] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15994), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545645] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13298), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11786), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13129), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [545692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545719] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    STATE(12570), 1,
      sym_arguments,
    STATE(11788), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [545750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12775), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12773), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12635), 1,
      anon_sym_DOT,
    STATE(11793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545889] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15986), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545930] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15971), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545998] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8763), 1,
      anon_sym_LPAREN,
    ACTIONS(13305), 1,
      anon_sym_LBRACK,
    ACTIONS(13307), 1,
      anon_sym_POUND,
    STATE(12551), 1,
      aux_sym_annotation_repeat1,
    STATE(13229), 1,
      sym_type_arguments,
    STATE(13618), 1,
      sym_arguments,
    STATE(11797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [546037] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13309), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11798), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13109), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [546084] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(13315), 1,
      sym__automatic_semicolon,
    STATE(12897), 1,
      sym_type_parameters,
    STATE(12899), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(11799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13311), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [546125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9600), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546154] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13317), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11801), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13201), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [546201] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12226), 1,
      sym__end_marker,
    ACTIONS(9613), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9611), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9564), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9532), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546400] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13326), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11809), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12844), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [546447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10274), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10272), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9477), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546586] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15958), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9432), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546656] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15927), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546697] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13332), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11818), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13109), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [546744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11789), 1,
      sym__backquoted_id,
    STATE(11821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11787), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10305), 1,
      sym__backquoted_id,
    STATE(11822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10303), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546937] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    ACTIONS(13342), 1,
      anon_sym_with,
    STATE(9450), 1,
      sym_arguments,
    STATE(9497), 1,
      sym__refinement,
    STATE(9503), 1,
      sym_template_body,
    STATE(12357), 1,
      aux_sym_compound_type_repeat1,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [546980] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15923), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547021] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13344), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11828), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13129), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [547068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547095] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15882), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547163] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15909), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547204] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15900), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(11835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547301] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15893), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10283), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10281), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [547454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 1,
      sym__indent,
    STATE(11841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13346), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547566] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    ACTIONS(13352), 1,
      anon_sym_extends,
    ACTIONS(13354), 1,
      anon_sym_derives,
    ACTIONS(13356), 1,
      sym__automatic_semicolon,
    STATE(12606), 1,
      sym_extends_clause,
    STATE(13604), 1,
      sym_derives_clause,
    STATE(14965), 1,
      sym__definition_body,
    STATE(14971), 1,
      sym_template_body,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13068), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [547613] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13359), 1,
      anon_sym_end,
    STATE(6602), 1,
      sym__end_marker,
    STATE(11846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547644] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13361), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11847), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12913), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [547691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547718] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15886), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10287), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10285), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547815] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    ACTIONS(13352), 1,
      anon_sym_extends,
    ACTIONS(13354), 1,
      anon_sym_derives,
    STATE(12617), 1,
      sym_extends_clause,
    STATE(13603), 1,
      sym_derives_clause,
    STATE(14971), 1,
      sym_template_body,
    STATE(14972), 1,
      sym__definition_body,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12976), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [547860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [547887] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15875), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7916), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11805), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8947), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12742), 1,
      sym__backquoted_id,
    STATE(11859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12740), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548125] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15852), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11794), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548222] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13367), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(14011), 1,
      sym_identifier,
    STATE(17009), 1,
      sym_stable_identifier,
    STATE(11865), 2,
      sym_comment,
      sym_block_comment,
    STATE(14103), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548290] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15834), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11787), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11783), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10305), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10303), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548445] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15809), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11752), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10309), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10307), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13369), 1,
      anon_sym_AT,
    STATE(12918), 1,
      sym_annotation,
    STATE(11877), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [548629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548737] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13372), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11882), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13201), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [548784] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15774), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11777), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549016] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13374), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11891), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13061), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [549063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [549117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7566), 1,
      sym__backquoted_id,
    STATE(11894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8557), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [549173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [549227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [549254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11773), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549310] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15170), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12746), 1,
      sym__backquoted_id,
    STATE(11902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12744), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [549407] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15738), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11769), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [549504] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(13384), 1,
      sym_operator_identifier,
    STATE(5667), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(16585), 1,
      sym__arrow_then_type,
    ACTIONS(13378), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [549599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [549626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [549653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12742), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12740), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549682] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15723), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9583), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9587), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9658), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549837] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16557), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549878] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10536), 1,
      anon_sym_LPAREN,
    STATE(12002), 1,
      aux_sym_annotation_repeat1,
    STATE(12968), 1,
      sym_arguments,
    STATE(11919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [549911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11765), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11761), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13386), 1,
      anon_sym_DOT,
    STATE(11922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [549998] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12548), 1,
      anon_sym_AT,
    STATE(11714), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12862), 1,
      sym_annotation,
    STATE(11923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [550031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [550058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10287), 1,
      sym__backquoted_id,
    STATE(11925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10285), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550087] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8677), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_LBRACK,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(12598), 1,
      aux_sym_annotation_repeat1,
    STATE(13130), 1,
      sym_type_arguments,
    STATE(13432), 1,
      sym_arguments,
    STATE(11926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [550126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(11927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550155] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15701), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9430), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9432), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12746), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12744), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9475), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12753), 1,
      sym__backquoted_id,
    STATE(11934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12751), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12757), 1,
      sym__backquoted_id,
    STATE(11935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12755), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550395] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    ACTIONS(13392), 1,
      anon_sym_with,
    STATE(9824), 1,
      sym_arguments,
    STATE(9825), 1,
      sym__refinement,
    STATE(9830), 1,
      sym_template_body,
    STATE(12231), 1,
      aux_sym_compound_type_repeat1,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [550438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9758), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9756), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550467] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13396), 1,
      anon_sym_LBRACK,
    STATE(5740), 1,
      sym_type_arguments,
    STATE(11938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550498] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15680), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11754), 1,
      sym__backquoted_id,
    STATE(11940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11752), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9530), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9532), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550678] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13398), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11945), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13109), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [550725] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15644), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9740), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9738), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9744), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9742), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9562), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550961] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13396), 1,
      anon_sym_LBRACK,
    STATE(5740), 1,
      sym_type_arguments,
    STATE(11954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 14,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [551019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 14,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [551046] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13402), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11957), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12844), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [551093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9598), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9600), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551122] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15626), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551163] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7830), 1,
      anon_sym_LBRACE,
    ACTIONS(13404), 1,
      anon_sym_COLON,
    STATE(12115), 1,
      aux_sym_compound_type_repeat1,
    STATE(14458), 1,
      sym_template_body,
    STATE(14464), 1,
      sym__refinement,
    STATE(14542), 1,
      sym_arguments,
    STATE(11960), 2,
      sym_comment,
      sym_block_comment,
    STATE(14416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [551204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551231] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15588), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551272] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15564), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551394] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7914), 1,
      sym__outdent,
    ACTIONS(7916), 1,
      anon_sym_case,
    ACTIONS(7918), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551510] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13406), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11971), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13129), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [551557] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(13262), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(14201), 1,
      sym_identifier,
    STATE(16821), 1,
      sym_stable_identifier,
    STATE(11972), 2,
      sym_comment,
      sym_block_comment,
    STATE(14381), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10309), 1,
      sym__backquoted_id,
    STATE(11973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10307), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [551681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551735] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15287), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551830] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15278), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551871] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13396), 1,
      anon_sym_LBRACK,
    STATE(5740), 1,
      sym_type_arguments,
    STATE(11982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [551956] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15531), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551997] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12712), 1,
      anon_sym_LBRACK,
    ACTIONS(12716), 1,
      anon_sym_POUND,
    ACTIONS(12727), 1,
      anon_sym_AT,
    STATE(12255), 1,
      sym_type_arguments,
    STATE(12321), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13201), 1,
      sym_annotation,
    STATE(11986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [552036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552144] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15525), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552185] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13410), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(11992), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12913), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [552232] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15275), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552273] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15479), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552314] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15299), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552382] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12618), 1,
      anon_sym_LBRACK,
    ACTIONS(12622), 1,
      anon_sym_POUND,
    ACTIONS(12698), 1,
      anon_sym_AT,
    STATE(11753), 1,
      sym_type_arguments,
    STATE(11754), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12918), 1,
      sym_annotation,
    STATE(11997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [552421] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13396), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_match,
    STATE(5740), 1,
      sym_type_arguments,
    STATE(11998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552454] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13367), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(14011), 1,
      sym_identifier,
    STATE(17009), 1,
      sym_stable_identifier,
    STATE(11999), 2,
      sym_comment,
      sym_block_comment,
    STATE(14010), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552522] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(13284), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15108), 1,
      sym_identifier,
    STATE(17691), 1,
      sym_stable_identifier,
    STATE(12001), 2,
      sym_comment,
      sym_block_comment,
    STATE(15754), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552563] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13418), 1,
      anon_sym_LPAREN,
    STATE(12968), 1,
      sym_arguments,
    STATE(12002), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [552594] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15465), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7808), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552664] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15446), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552705] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15804), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(12008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10283), 1,
      sym__backquoted_id,
    STATE(12009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552831] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15387), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552899] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15381), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552967] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15343), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553008] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15318), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553049] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15306), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553117] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15260), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553158] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(13421), 1,
      sym__automatic_semicolon,
    STATE(13123), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13124), 1,
      sym_access_modifier,
    STATE(14028), 1,
      sym_class_parameters,
    ACTIONS(12525), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [553197] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15171), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553238] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15426), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553279] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15177), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553320] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15259), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553361] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15257), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553429] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15251), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553470] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16005), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12757), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12755), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553540] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15243), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553581] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13396), 1,
      anon_sym_LBRACK,
    STATE(5740), 1,
      sym_type_arguments,
    STATE(12030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553612] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15239), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553653] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15231), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553694] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12550), 1,
      anon_sym_LPAREN,
    STATE(12074), 1,
      aux_sym_annotation_repeat1,
    STATE(12934), 1,
      sym_arguments,
    STATE(12033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [553727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12775), 1,
      sym__backquoted_id,
    STATE(12034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12773), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553756] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15182), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553824] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15228), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553865] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15223), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12753), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12751), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553935] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15217), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12655), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12779), 1,
      sym__backquoted_id,
    STATE(12043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12777), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554061] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15187), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13396), 1,
      anon_sym_LBRACK,
    STATE(5740), 1,
      sym_type_arguments,
    STATE(12046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554187] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15191), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12791), 1,
      sym__backquoted_id,
    STATE(12053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12789), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554365] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13396), 1,
      anon_sym_LBRACK,
    ACTIONS(13414), 1,
      anon_sym_match,
    STATE(5740), 1,
      sym_type_arguments,
    STATE(12054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554425] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13428), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(12056), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13061), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [554472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10274), 1,
      sym__backquoted_id,
    STATE(12057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10272), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554528] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    ACTIONS(13430), 1,
      anon_sym_EQ,
    STATE(13858), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16446), 1,
      sym__refinement,
    STATE(17826), 1,
      sym_arguments,
    STATE(12059), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12913), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [554575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13432), 1,
      anon_sym_STAR,
    STATE(12060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554658] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15211), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554726] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15193), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13434), 1,
      anon_sym_DOT,
    STATE(12067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [554823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554850] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15206), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554891] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(13436), 1,
      sym__automatic_semicolon,
    STATE(13034), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13036), 1,
      sym_access_modifier,
    STATE(14028), 1,
      sym_class_parameters,
    ACTIONS(12525), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12900), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [554930] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(13119), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15575), 1,
      sym_identifier,
    STATE(15576), 1,
      sym_wildcard,
    STATE(16496), 1,
      sym_binding,
    STATE(12071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [555000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13439), 1,
      anon_sym_STAR,
    STATE(12073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555029] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13441), 1,
      anon_sym_LPAREN,
    STATE(12934), 1,
      sym_arguments,
    STATE(12074), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [555060] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(11116), 1,
      anon_sym__,
    ACTIONS(11126), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(15199), 1,
      sym__type_parameter,
    STATE(11736), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12787), 1,
      sym__backquoted_id,
    STATE(12076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12785), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13446), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13444), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [555211] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(13448), 1,
      anon_sym_type,
    ACTIONS(13450), 1,
      sym_operator_identifier,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(5621), 1,
      sym_identifier,
    STATE(6691), 1,
      sym__type_identifier,
    STATE(12080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [555303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555329] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(13452), 1,
      anon_sym_type,
    ACTIONS(13454), 1,
      sym_operator_identifier,
    STATE(4638), 1,
      sym_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4962), 1,
      sym__type_identifier,
    STATE(12084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [555395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10274), 1,
      sym__backquoted_id,
    STATE(12086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10272), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [555475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12683), 1,
      anon_sym_EQ,
    STATE(12089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555505] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(13456), 1,
      anon_sym_type,
    ACTIONS(13458), 1,
      sym_operator_identifier,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(6537), 1,
      sym_identifier,
    STATE(7252), 1,
      sym__type_identifier,
    STATE(12090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555545] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8419), 1,
      sym__alpha_identifier,
    ACTIONS(8431), 1,
      sym__backquoted_id,
    ACTIONS(13460), 1,
      anon_sym_type,
    ACTIONS(13462), 1,
      sym_operator_identifier,
    STATE(4877), 1,
      sym__soft_identifier,
    STATE(5008), 1,
      sym__type_identifier,
    STATE(5052), 1,
      sym_identifier,
    STATE(12091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8427), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555585] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12681), 1,
      anon_sym_EQ,
    STATE(12092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555615] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8122), 1,
      sym__alpha_identifier,
    ACTIONS(8130), 1,
      sym__backquoted_id,
    ACTIONS(13464), 1,
      anon_sym_type,
    ACTIONS(13466), 1,
      sym_operator_identifier,
    STATE(6530), 1,
      sym_identifier,
    STATE(6561), 1,
      sym__type_identifier,
    STATE(6765), 1,
      sym__soft_identifier,
    STATE(12093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8126), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12641), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [555681] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8264), 1,
      sym__alpha_identifier,
    ACTIONS(8272), 1,
      sym__backquoted_id,
    ACTIONS(13468), 1,
      anon_sym_type,
    ACTIONS(13470), 1,
      sym_operator_identifier,
    STATE(7638), 1,
      sym_identifier,
    STATE(7641), 1,
      sym__type_identifier,
    STATE(7931), 1,
      sym__soft_identifier,
    STATE(12095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555721] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(13472), 1,
      anon_sym_type,
    ACTIONS(13474), 1,
      sym_operator_identifier,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(6564), 1,
      sym_identifier,
    STATE(6874), 1,
      sym__type_identifier,
    STATE(12096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [555787] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11936), 1,
      sym__alpha_identifier,
    ACTIONS(11944), 1,
      sym__backquoted_id,
    ACTIONS(13476), 1,
      anon_sym_type,
    ACTIONS(13478), 1,
      sym_operator_identifier,
    STATE(13232), 1,
      sym__soft_identifier,
    STATE(13355), 1,
      sym_identifier,
    STATE(13662), 1,
      sym__type_identifier,
    STATE(12098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11940), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13482), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13480), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [555881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13486), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13484), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555909] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12731), 1,
      anon_sym_LPAREN,
    STATE(12292), 1,
      aux_sym_annotation_repeat1,
    STATE(13316), 1,
      sym_arguments,
    STATE(12102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [555941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13490), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13488), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555969] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(13492), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12942), 1,
      sym_identifier,
    STATE(13323), 1,
      sym__type_identifier,
    STATE(14795), 1,
      sym__type_constructor,
    STATE(12104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [556035] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(13494), 1,
      sym_operator_identifier,
    STATE(10678), 1,
      sym_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11845), 1,
      sym__class_constructor,
    STATE(14990), 1,
      sym__class_definition,
    STATE(12106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556075] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(13494), 1,
      sym_operator_identifier,
    STATE(10678), 1,
      sym_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11845), 1,
      sym__class_constructor,
    STATE(14991), 1,
      sym__class_definition,
    STATE(12107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [556167] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8534), 1,
      anon_sym_LPAREN,
    STATE(12134), 1,
      aux_sym_annotation_repeat1,
    STATE(13178), 1,
      sym_arguments,
    STATE(12110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [556199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [556225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [556251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [556277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556303] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7830), 1,
      anon_sym_LBRACE,
    ACTIONS(13404), 1,
      anon_sym_COLON,
    STATE(13725), 1,
      aux_sym_compound_type_repeat1,
    STATE(14458), 1,
      sym_template_body,
    STATE(14466), 1,
      sym__refinement,
    STATE(12115), 2,
      sym_comment,
      sym_block_comment,
    STATE(14416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [556367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7222), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7220), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [556421] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8246), 1,
      sym__alpha_identifier,
    ACTIONS(8254), 1,
      sym__backquoted_id,
    ACTIONS(13496), 1,
      anon_sym_type,
    ACTIONS(13498), 1,
      sym_operator_identifier,
    STATE(6280), 1,
      sym__soft_identifier,
    STATE(6518), 1,
      sym_identifier,
    STATE(6599), 1,
      sym__type_identifier,
    STATE(12119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    STATE(12120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [556515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556541] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(13500), 1,
      anon_sym_type,
    ACTIONS(13502), 1,
      sym_operator_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6618), 1,
      sym_identifier,
    STATE(6828), 1,
      sym__type_identifier,
    STATE(12123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [556659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [556685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [556737] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(13504), 1,
      anon_sym_type,
    ACTIONS(13506), 1,
      sym_operator_identifier,
    STATE(4547), 1,
      sym_identifier,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4731), 1,
      sym__type_identifier,
    STATE(12130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [556803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12742), 1,
      sym__backquoted_id,
    STATE(12132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12740), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [556857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13508), 1,
      anon_sym_LPAREN,
    STATE(13178), 1,
      sym_arguments,
    STATE(12134), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [556887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 13,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [556965] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8098), 1,
      sym__alpha_identifier,
    ACTIONS(8106), 1,
      sym__backquoted_id,
    ACTIONS(13511), 1,
      anon_sym_type,
    ACTIONS(13513), 1,
      sym_operator_identifier,
    STATE(8467), 1,
      sym_identifier,
    STATE(8650), 1,
      sym__soft_identifier,
    STATE(8707), 1,
      sym__type_identifier,
    STATE(12138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8102), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [557031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557057] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8160), 1,
      sym__alpha_identifier,
    ACTIONS(8172), 1,
      sym__backquoted_id,
    ACTIONS(13515), 1,
      anon_sym_type,
    ACTIONS(13517), 1,
      sym_operator_identifier,
    STATE(5158), 1,
      sym__type_identifier,
    STATE(5199), 1,
      sym_identifier,
    STATE(5212), 1,
      sym__soft_identifier,
    STATE(12141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557097] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(846), 1,
      sym__alpha_identifier,
    ACTIONS(852), 1,
      anon_sym__,
    ACTIONS(876), 1,
      sym__backquoted_id,
    ACTIONS(13519), 1,
      sym_operator_identifier,
    STATE(5575), 1,
      sym__soft_identifier,
    STATE(12142), 2,
      sym_comment,
      sym_block_comment,
    STATE(16578), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(856), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557135] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(13521), 1,
      anon_sym_type,
    ACTIONS(13523), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym_identifier,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(5434), 1,
      sym__type_identifier,
    STATE(12143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 13,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [557201] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8136), 1,
      sym__alpha_identifier,
    ACTIONS(8144), 1,
      sym__backquoted_id,
    ACTIONS(13525), 1,
      anon_sym_type,
    ACTIONS(13527), 1,
      sym_operator_identifier,
    STATE(5101), 1,
      sym_identifier,
    STATE(5272), 1,
      sym__soft_identifier,
    STATE(5365), 1,
      sym__type_identifier,
    STATE(12145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557241] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(25), 1,
      anon_sym__,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(13529), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__soft_identifier,
    STATE(12146), 2,
      sym_comment,
      sym_block_comment,
    STATE(14504), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557279] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13531), 1,
      anon_sym_type,
    ACTIONS(13533), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(10911), 1,
      sym_identifier,
    STATE(11333), 1,
      sym__type_identifier,
    STATE(12147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [557345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557423] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(13535), 1,
      anon_sym_type,
    ACTIONS(13537), 1,
      sym_operator_identifier,
    STATE(9427), 1,
      sym_identifier,
    STATE(9432), 1,
      sym__soft_identifier,
    STATE(9626), 1,
      sym__type_identifier,
    STATE(12152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557463] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(13539), 1,
      anon_sym_type,
    ACTIONS(13541), 1,
      sym_operator_identifier,
    STATE(8408), 1,
      sym_identifier,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(9533), 1,
      sym__type_identifier,
    STATE(12153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557503] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(13543), 1,
      anon_sym_type,
    ACTIONS(13545), 1,
      sym_operator_identifier,
    STATE(6477), 1,
      sym_identifier,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(6936), 1,
      sym__type_identifier,
    STATE(12154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557543] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(13547), 1,
      anon_sym_type,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(6585), 1,
      sym_identifier,
    STATE(7192), 1,
      sym__type_identifier,
    STATE(12155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557583] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13551), 1,
      anon_sym_end,
    STATE(7285), 1,
      sym__end_marker,
    STATE(12156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [557613] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(13553), 1,
      anon_sym_type,
    ACTIONS(13555), 1,
      sym_operator_identifier,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5014), 1,
      sym_identifier,
    STATE(5320), 1,
      sym__type_identifier,
    STATE(12157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13557), 1,
      anon_sym_LBRACK,
    STATE(6165), 1,
      sym_type_arguments,
    STATE(12158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557683] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13559), 1,
      anon_sym_AT,
    STATE(13201), 1,
      sym_annotation,
    STATE(12159), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [557713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11754), 1,
      sym__backquoted_id,
    STATE(12160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11752), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [557741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557795] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(13562), 1,
      anon_sym_type,
    ACTIONS(13564), 1,
      sym_operator_identifier,
    STATE(7158), 1,
      sym_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(7647), 1,
      sym__type_identifier,
    STATE(12163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557835] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(13568), 1,
      sym_operator_identifier,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15045), 1,
      sym_identifier,
    ACTIONS(13566), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(12164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557925] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13570), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11357), 1,
      sym_identifier,
    STATE(13467), 1,
      sym__type_identifier,
    STATE(15047), 1,
      sym__type_constructor,
    STATE(12167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13574), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13572), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [557993] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(13576), 1,
      anon_sym_type,
    ACTIONS(13578), 1,
      sym_operator_identifier,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5398), 1,
      sym_identifier,
    STATE(5728), 1,
      sym__type_identifier,
    STATE(12169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [558059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [558085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [558111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558137] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(13580), 1,
      anon_sym_type,
    ACTIONS(13582), 1,
      sym_operator_identifier,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(6056), 1,
      sym_identifier,
    STATE(6336), 1,
      sym__type_identifier,
    STATE(12174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558177] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(13584), 1,
      sym_operator_identifier,
    STATE(10390), 1,
      sym_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11590), 1,
      sym__class_constructor,
    STATE(14659), 1,
      sym__class_definition,
    STATE(12175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [558243] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(13586), 1,
      anon_sym_type,
    ACTIONS(13588), 1,
      sym_operator_identifier,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(6398), 1,
      sym_identifier,
    STATE(7267), 1,
      sym__type_identifier,
    STATE(12177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12671), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [558309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [558335] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9086), 1,
      anon_sym_LPAREN,
    ACTIONS(13590), 1,
      anon_sym_LBRACK,
    ACTIONS(13592), 1,
      anon_sym_POUND,
    STATE(13243), 1,
      aux_sym_annotation_repeat1,
    STATE(13630), 1,
      sym_type_arguments,
    STATE(13831), 1,
      sym_arguments,
    STATE(12180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [558373] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(13594), 1,
      anon_sym_type,
    ACTIONS(13596), 1,
      sym_operator_identifier,
    STATE(6484), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(7358), 1,
      sym__type_identifier,
    STATE(12181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [558439] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8202), 1,
      sym__alpha_identifier,
    ACTIONS(8210), 1,
      sym__backquoted_id,
    ACTIONS(13598), 1,
      anon_sym_type,
    ACTIONS(13600), 1,
      sym_operator_identifier,
    STATE(9125), 1,
      sym__soft_identifier,
    STATE(9408), 1,
      sym_identifier,
    STATE(9409), 1,
      sym__type_identifier,
    STATE(12183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8206), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [558505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [558531] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12765), 1,
      anon_sym_EQ,
    STATE(12186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [558561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10305), 1,
      sym__backquoted_id,
    STATE(12187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10303), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [558589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [558615] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(13602), 1,
      anon_sym_type,
    ACTIONS(13604), 1,
      sym_operator_identifier,
    STATE(5353), 1,
      sym_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(5773), 1,
      sym__type_identifier,
    STATE(12189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [558681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [558707] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_AT,
    ACTIONS(13610), 1,
      anon_sym_LPAREN,
    ACTIONS(13612), 1,
      anon_sym_POUND,
    STATE(13941), 1,
      sym_type_arguments,
    STATE(14034), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14326), 1,
      sym_annotation,
    STATE(14662), 1,
      sym_arguments,
    STATE(12192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
  [558749] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(13614), 1,
      anon_sym_type,
    ACTIONS(13616), 1,
      sym_operator_identifier,
    STATE(8473), 1,
      sym_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(9179), 1,
      sym__type_identifier,
    STATE(12193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558815] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12763), 1,
      anon_sym_EQ,
    STATE(12195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [558845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [558897] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12769), 1,
      anon_sym_EQ,
    STATE(12198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [558927] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12025), 1,
      sym__alpha_identifier,
    ACTIONS(12033), 1,
      sym__backquoted_id,
    ACTIONS(13618), 1,
      anon_sym_type,
    ACTIONS(13620), 1,
      sym_operator_identifier,
    STATE(13241), 1,
      sym__soft_identifier,
    STATE(13330), 1,
      sym_identifier,
    STATE(13680), 1,
      sym__type_identifier,
    STATE(12199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12029), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558967] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8324), 1,
      sym__alpha_identifier,
    ACTIONS(8332), 1,
      sym__backquoted_id,
    ACTIONS(13622), 1,
      anon_sym_type,
    ACTIONS(13624), 1,
      sym_operator_identifier,
    STATE(6829), 1,
      sym__type_identifier,
    STATE(6835), 1,
      sym__soft_identifier,
    STATE(7162), 1,
      sym_identifier,
    STATE(12200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8328), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [559033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [559059] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11912), 1,
      sym__alpha_identifier,
    ACTIONS(11920), 1,
      sym__backquoted_id,
    ACTIONS(13626), 1,
      anon_sym_type,
    ACTIONS(13628), 1,
      sym_operator_identifier,
    STATE(12781), 1,
      sym__soft_identifier,
    STATE(12808), 1,
      sym_identifier,
    STATE(13085), 1,
      sym__type_identifier,
    STATE(12203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559099] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12771), 1,
      anon_sym_EQ,
    STATE(12204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [559129] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(13630), 1,
      anon_sym_type,
    ACTIONS(13632), 1,
      sym_operator_identifier,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5166), 1,
      sym_identifier,
    STATE(5809), 1,
      sym__type_identifier,
    STATE(12205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [559195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [559221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12746), 1,
      sym__backquoted_id,
    STATE(12208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12744), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [559249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [559275] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(13634), 1,
      anon_sym_type,
    ACTIONS(13636), 1,
      sym_operator_identifier,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(5006), 1,
      sym_identifier,
    STATE(5278), 1,
      sym__type_identifier,
    STATE(12210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [559341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [559367] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(13638), 1,
      anon_sym_type,
    ACTIONS(13640), 1,
      sym_operator_identifier,
    STATE(8086), 1,
      sym_identifier,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(8672), 1,
      sym__type_identifier,
    STATE(12213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [559433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [559459] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8308), 1,
      sym__backquoted_id,
    ACTIONS(13642), 1,
      anon_sym_type,
    ACTIONS(13644), 1,
      sym_operator_identifier,
    STATE(7541), 1,
      sym__type_identifier,
    STATE(7660), 1,
      sym__soft_identifier,
    STATE(7868), 1,
      sym_identifier,
    STATE(12216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [559525] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13570), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11357), 1,
      sym_identifier,
    STATE(13011), 1,
      sym__type_identifier,
    STATE(14716), 1,
      sym__type_constructor,
    STATE(12218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9269), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9271), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [559593] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12123), 1,
      sym__alpha_identifier,
    ACTIONS(12131), 1,
      sym__backquoted_id,
    ACTIONS(13646), 1,
      anon_sym_type,
    ACTIONS(13648), 1,
      sym_operator_identifier,
    STATE(12777), 1,
      sym__soft_identifier,
    STATE(12924), 1,
      sym_identifier,
    STATE(13005), 1,
      sym__type_identifier,
    STATE(12220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12127), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559633] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7958), 1,
      sym__alpha_identifier,
    ACTIONS(7970), 1,
      sym__backquoted_id,
    ACTIONS(13650), 1,
      anon_sym_type,
    ACTIONS(13652), 1,
      sym_operator_identifier,
    STATE(11461), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_identifier,
    STATE(11988), 1,
      sym__type_identifier,
    STATE(12221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7966), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559673] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(13584), 1,
      sym_operator_identifier,
    STATE(10390), 1,
      sym_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11590), 1,
      sym__class_constructor,
    STATE(14625), 1,
      sym__class_definition,
    STATE(12222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [559739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [559765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [559791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9479), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9481), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [559819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [559845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [559871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [559897] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(13654), 1,
      anon_sym_type,
    ACTIONS(13656), 1,
      sym_operator_identifier,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(4706), 1,
      sym_identifier,
    STATE(5069), 1,
      sym__type_identifier,
    STATE(12230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559937] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    ACTIONS(13392), 1,
      anon_sym_with,
    STATE(9807), 1,
      sym__refinement,
    STATE(9830), 1,
      sym_template_body,
    STATE(14027), 1,
      aux_sym_compound_type_repeat1,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [559977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10020), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10018), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [560005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4180), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [560033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12692), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [560059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10283), 1,
      sym__backquoted_id,
    STATE(12235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [560087] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8352), 1,
      sym__alpha_identifier,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(13658), 1,
      anon_sym_type,
    ACTIONS(13660), 1,
      sym_operator_identifier,
    STATE(6409), 1,
      sym__type_identifier,
    STATE(6672), 1,
      sym__soft_identifier,
    STATE(6684), 1,
      sym_identifier,
    STATE(12236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560179] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(13662), 1,
      anon_sym_type,
    ACTIONS(13664), 1,
      sym_operator_identifier,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6675), 1,
      sym_identifier,
    STATE(6772), 1,
      sym__type_identifier,
    STATE(12239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(12241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [560325] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7896), 1,
      sym__alpha_identifier,
    ACTIONS(7908), 1,
      sym__backquoted_id,
    ACTIONS(13666), 1,
      anon_sym_type,
    ACTIONS(13668), 1,
      sym_operator_identifier,
    STATE(13463), 1,
      sym_identifier,
    STATE(13652), 1,
      sym__soft_identifier,
    STATE(13913), 1,
      sym__type_identifier,
    STATE(12244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [560495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [560573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [560653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560705] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(13670), 1,
      anon_sym_type,
    ACTIONS(13672), 1,
      sym_operator_identifier,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(7236), 1,
      sym_identifier,
    STATE(7832), 1,
      sym__type_identifier,
    STATE(12258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [560797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [560875] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(13674), 1,
      anon_sym_type,
    ACTIONS(13676), 1,
      sym_operator_identifier,
    STATE(5095), 1,
      sym_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(5605), 1,
      sym__type_identifier,
    STATE(12264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560941] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9173), 1,
      anon_sym_LPAREN,
    ACTIONS(13678), 1,
      anon_sym_LBRACK,
    ACTIONS(13680), 1,
      anon_sym_POUND,
    STATE(13055), 1,
      aux_sym_annotation_repeat1,
    STATE(13657), 1,
      sym_type_arguments,
    STATE(13723), 1,
      sym_arguments,
    STATE(12266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [560979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12753), 1,
      sym__backquoted_id,
    STATE(12267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12751), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [561007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10044), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10042), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [561035] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(13682), 1,
      anon_sym_type,
    ACTIONS(13684), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12420), 1,
      sym_identifier,
    STATE(12797), 1,
      sym__type_identifier,
    STATE(12269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [561101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13688), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13686), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [561129] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12108), 1,
      sym__alpha_identifier,
    ACTIONS(12116), 1,
      sym__backquoted_id,
    ACTIONS(13690), 1,
      anon_sym_type,
    ACTIONS(13692), 1,
      sym_operator_identifier,
    STATE(11840), 1,
      sym_identifier,
    STATE(11956), 1,
      sym__soft_identifier,
    STATE(12238), 1,
      sym__type_identifier,
    STATE(12272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12112), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561169] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11951), 1,
      sym__alpha_identifier,
    ACTIONS(11959), 1,
      sym__backquoted_id,
    ACTIONS(13694), 1,
      anon_sym_type,
    ACTIONS(13696), 1,
      sym_operator_identifier,
    STATE(12170), 1,
      sym__soft_identifier,
    STATE(12488), 1,
      sym_identifier,
    STATE(12585), 1,
      sym__type_identifier,
    STATE(12273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11955), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12757), 1,
      sym__backquoted_id,
    STATE(12274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12755), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [561237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [561263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [561289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13700), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13698), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [561317] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(13702), 1,
      anon_sym_type,
    ACTIONS(13704), 1,
      sym_operator_identifier,
    STATE(4944), 1,
      sym_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(5437), 1,
      sym__type_identifier,
    STATE(12278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(12279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [561385] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(13706), 1,
      anon_sym_type,
    ACTIONS(13708), 1,
      sym_operator_identifier,
    STATE(5143), 1,
      sym_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(5864), 1,
      sym__type_identifier,
    STATE(12280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13712), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13710), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [561453] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8056), 1,
      sym__alpha_identifier,
    ACTIONS(8068), 1,
      sym__backquoted_id,
    ACTIONS(13714), 1,
      anon_sym_type,
    ACTIONS(13716), 1,
      sym_operator_identifier,
    STATE(4751), 1,
      sym__soft_identifier,
    STATE(4756), 1,
      sym_identifier,
    STATE(4797), 1,
      sym__type_identifier,
    STATE(12282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8064), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561493] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(13584), 1,
      sym_operator_identifier,
    STATE(10390), 1,
      sym_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11590), 1,
      sym__class_constructor,
    STATE(14624), 1,
      sym__class_definition,
    STATE(12283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561533] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(13718), 1,
      anon_sym_type,
    ACTIONS(13720), 1,
      sym_operator_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7156), 1,
      sym_identifier,
    STATE(7932), 1,
      sym__type_identifier,
    STATE(12284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13722), 1,
      anon_sym_STAR,
    STATE(12285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [561601] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(13724), 1,
      anon_sym_type,
    ACTIONS(13726), 1,
      sym_operator_identifier,
    STATE(5542), 1,
      sym_identifier,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6577), 1,
      sym__type_identifier,
    STATE(12286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561641] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8110), 1,
      sym__alpha_identifier,
    ACTIONS(8118), 1,
      sym__backquoted_id,
    ACTIONS(13728), 1,
      anon_sym_type,
    ACTIONS(13730), 1,
      sym_operator_identifier,
    STATE(7200), 1,
      sym__soft_identifier,
    STATE(7348), 1,
      sym_identifier,
    STATE(7472), 1,
      sym__type_identifier,
    STATE(12287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8114), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11709), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11707), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [561709] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(846), 1,
      sym__alpha_identifier,
    ACTIONS(852), 1,
      anon_sym__,
    ACTIONS(876), 1,
      sym__backquoted_id,
    ACTIONS(13732), 1,
      sym_operator_identifier,
    STATE(5575), 1,
      sym__soft_identifier,
    STATE(12289), 2,
      sym_comment,
      sym_block_comment,
    STATE(16563), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(856), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13736), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13734), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [561775] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12051), 1,
      sym__alpha_identifier,
    ACTIONS(12059), 1,
      sym__backquoted_id,
    ACTIONS(13738), 1,
      anon_sym_type,
    ACTIONS(13740), 1,
      sym_operator_identifier,
    STATE(12632), 1,
      sym_identifier,
    STATE(12842), 1,
      sym__soft_identifier,
    STATE(13348), 1,
      sym__type_identifier,
    STATE(12291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12055), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561815] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13742), 1,
      anon_sym_LPAREN,
    STATE(13316), 1,
      sym_arguments,
    STATE(12292), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [561845] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(13745), 1,
      anon_sym_type,
    ACTIONS(13747), 1,
      sym_operator_identifier,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(11927), 1,
      sym_identifier,
    STATE(12202), 1,
      sym__type_identifier,
    STATE(12293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [561911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13751), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13749), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [561939] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(13753), 1,
      anon_sym_type,
    ACTIONS(13755), 1,
      sym_operator_identifier,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(8904), 1,
      sym_identifier,
    STATE(9537), 1,
      sym__type_identifier,
    STATE(12296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9625), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9627), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [562007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [562033] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13757), 1,
      anon_sym_AT,
    STATE(13279), 1,
      sym_annotation,
    STATE(12299), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [562063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [562089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [562115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [562141] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(13760), 1,
      anon_sym_type,
    ACTIONS(13762), 1,
      sym_operator_identifier,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4747), 1,
      sym_identifier,
    STATE(4837), 1,
      sym__type_identifier,
    STATE(12303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562181] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13764), 1,
      anon_sym_LBRACK,
    STATE(6253), 1,
      sym_type_arguments,
    STATE(12304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [562211] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(13766), 1,
      anon_sym_type,
    ACTIONS(13768), 1,
      sym_operator_identifier,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6479), 1,
      sym_identifier,
    STATE(7002), 1,
      sym__type_identifier,
    STATE(12305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562251] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13770), 1,
      anon_sym_LPAREN,
    STATE(13086), 1,
      sym_arguments,
    STATE(12306), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [562281] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(13773), 1,
      anon_sym_type,
    ACTIONS(13775), 1,
      sym_operator_identifier,
    STATE(4889), 1,
      sym_identifier,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(5123), 1,
      sym__type_identifier,
    STATE(12307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562321] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(13777), 1,
      anon_sym_type,
    ACTIONS(13779), 1,
      sym_operator_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(5966), 1,
      sym_identifier,
    STATE(6133), 1,
      sym__type_identifier,
    STATE(12308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562361] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(13494), 1,
      sym_operator_identifier,
    STATE(10678), 1,
      sym_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11845), 1,
      sym__class_constructor,
    STATE(14973), 1,
      sym__class_definition,
    STATE(12309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [562429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [562455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9631), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9633), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [562483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7914), 1,
      sym__backquoted_id,
    STATE(12313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7916), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [562511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [562537] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11969), 1,
      sym__alpha_identifier,
    ACTIONS(11977), 1,
      sym__backquoted_id,
    ACTIONS(13781), 1,
      anon_sym_type,
    ACTIONS(13783), 1,
      sym_operator_identifier,
    STATE(13200), 1,
      sym__soft_identifier,
    STATE(13366), 1,
      sym_identifier,
    STATE(13634), 1,
      sym__type_identifier,
    STATE(12315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11973), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562577] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8455), 1,
      sym__alpha_identifier,
    ACTIONS(8463), 1,
      sym__backquoted_id,
    ACTIONS(13785), 1,
      anon_sym_type,
    ACTIONS(13787), 1,
      sym_operator_identifier,
    STATE(5570), 1,
      sym__soft_identifier,
    STATE(5572), 1,
      sym__type_identifier,
    STATE(5921), 1,
      sym_identifier,
    STATE(12316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8459), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [562643] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11881), 1,
      sym__alpha_identifier,
    ACTIONS(11889), 1,
      sym__backquoted_id,
    ACTIONS(13789), 1,
      anon_sym_type,
    ACTIONS(13791), 1,
      sym_operator_identifier,
    STATE(12703), 1,
      sym__soft_identifier,
    STATE(12894), 1,
      sym_identifier,
    STATE(13261), 1,
      sym__type_identifier,
    STATE(12318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11885), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562683] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(13793), 1,
      anon_sym_type,
    ACTIONS(13795), 1,
      sym_operator_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(4949), 1,
      sym_identifier,
    STATE(5404), 1,
      sym__type_identifier,
    STATE(12319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [562749] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12727), 1,
      anon_sym_AT,
    STATE(12159), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13201), 1,
      sym_annotation,
    STATE(12321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [562781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10309), 1,
      sym__backquoted_id,
    STATE(12322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10307), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [562809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [562835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9656), 1,
      sym__backquoted_id,
    STATE(12324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9658), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [562863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11807), 1,
      sym__backquoted_id,
    STATE(12325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11805), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [562891] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7982), 1,
      sym__alpha_identifier,
    ACTIONS(7994), 1,
      sym__backquoted_id,
    ACTIONS(13797), 1,
      anon_sym_type,
    ACTIONS(13799), 1,
      sym_operator_identifier,
    STATE(10009), 1,
      sym__type_identifier,
    STATE(10013), 1,
      sym_identifier,
    STATE(10344), 1,
      sym__soft_identifier,
    STATE(12326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7990), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562931] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8439), 1,
      sym__alpha_identifier,
    ACTIONS(8451), 1,
      sym__backquoted_id,
    ACTIONS(13801), 1,
      anon_sym_type,
    ACTIONS(13803), 1,
      sym_operator_identifier,
    STATE(5839), 1,
      sym__soft_identifier,
    STATE(5846), 1,
      sym_identifier,
    STATE(5908), 1,
      sym__type_identifier,
    STATE(12327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8447), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562971] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7840), 1,
      sym__alpha_identifier,
    ACTIONS(7852), 1,
      sym__backquoted_id,
    ACTIONS(13805), 1,
      anon_sym_type,
    ACTIONS(13807), 1,
      sym_operator_identifier,
    STATE(11734), 1,
      sym_identifier,
    STATE(11889), 1,
      sym__soft_identifier,
    STATE(12188), 1,
      sym__type_identifier,
    STATE(12328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563011] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(13809), 1,
      anon_sym_type,
    ACTIONS(13811), 1,
      sym_operator_identifier,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7278), 1,
      sym_identifier,
    STATE(7517), 1,
      sym__type_identifier,
    STATE(12329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563077] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13557), 1,
      anon_sym_LBRACK,
    ACTIONS(13813), 1,
      anon_sym_match,
    STATE(6165), 1,
      sym_type_arguments,
    STATE(12331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [563135] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13764), 1,
      anon_sym_LBRACK,
    STATE(6253), 1,
      sym_type_arguments,
    STATE(12333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563165] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    STATE(12341), 1,
      aux_sym_annotation_repeat1,
    STATE(13324), 1,
      sym_arguments,
    STATE(12334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563197] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(13815), 1,
      anon_sym_type,
    ACTIONS(13817), 1,
      sym_operator_identifier,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(5927), 1,
      sym_identifier,
    STATE(6457), 1,
      sym__type_identifier,
    STATE(12335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563237] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13819), 1,
      anon_sym_LBRACK,
    ACTIONS(13821), 1,
      anon_sym_LPAREN,
    ACTIONS(13823), 1,
      sym__automatic_semicolon,
    STATE(13379), 1,
      sym_type_parameters,
    STATE(13383), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14085), 1,
      sym_parameters,
    STATE(14200), 1,
      sym__using_parameters_clause,
    STATE(12336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13311), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [563277] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(13825), 1,
      anon_sym_type,
    ACTIONS(13827), 1,
      sym_operator_identifier,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(6018), 1,
      sym_identifier,
    STATE(6353), 1,
      sym__type_identifier,
    STATE(12337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563317] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13557), 1,
      anon_sym_LBRACK,
    STATE(6165), 1,
      sym_type_arguments,
    STATE(12338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563347] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13570), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11357), 1,
      sym_identifier,
    STATE(13467), 1,
      sym__type_identifier,
    STATE(15150), 1,
      sym__type_constructor,
    STATE(12339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [563413] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13829), 1,
      anon_sym_LPAREN,
    STATE(13324), 1,
      sym_arguments,
    STATE(12341), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563443] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8393), 1,
      sym__alpha_identifier,
    ACTIONS(8401), 1,
      sym__backquoted_id,
    ACTIONS(13832), 1,
      anon_sym_type,
    ACTIONS(13834), 1,
      sym_operator_identifier,
    STATE(8480), 1,
      sym__soft_identifier,
    STATE(8581), 1,
      sym_identifier,
    STATE(8858), 1,
      sym__type_identifier,
    STATE(12342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8397), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11796), 1,
      sym__backquoted_id,
    STATE(12343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11794), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [563511] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12639), 1,
      anon_sym_LPAREN,
    STATE(12306), 1,
      aux_sym_annotation_repeat1,
    STATE(13086), 1,
      sym_arguments,
    STATE(12344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [563543] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(13836), 1,
      anon_sym_type,
    ACTIONS(13838), 1,
      sym_operator_identifier,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6710), 1,
      sym_identifier,
    STATE(6929), 1,
      sym__type_identifier,
    STATE(12345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563583] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13557), 1,
      anon_sym_LBRACK,
    ACTIONS(13813), 1,
      anon_sym_match,
    STATE(6165), 1,
      sym_type_arguments,
    STATE(12346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563615] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13557), 1,
      anon_sym_LBRACK,
    STATE(6165), 1,
      sym_type_arguments,
    STATE(12347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563645] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13557), 1,
      anon_sym_LBRACK,
    STATE(6165), 1,
      sym_type_arguments,
    STATE(12348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11785), 1,
      sym__backquoted_id,
    STATE(12349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11783), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [563703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563729] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8190), 1,
      sym__alpha_identifier,
    ACTIONS(8198), 1,
      sym__backquoted_id,
    ACTIONS(13840), 1,
      anon_sym_type,
    ACTIONS(13842), 1,
      sym_operator_identifier,
    STATE(6904), 1,
      sym_identifier,
    STATE(6996), 1,
      sym__type_identifier,
    STATE(7274), 1,
      sym__soft_identifier,
    STATE(12351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [563795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [563821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [563847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(12355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [563875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [563901] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    ACTIONS(13342), 1,
      anon_sym_with,
    STATE(9443), 1,
      sym__refinement,
    STATE(9503), 1,
      sym_template_body,
    STATE(13725), 1,
      aux_sym_compound_type_repeat1,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7944), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [563941] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(13844), 1,
      anon_sym_type,
    ACTIONS(13846), 1,
      sym_operator_identifier,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4538), 1,
      sym_identifier,
    STATE(4775), 1,
      sym__type_identifier,
    STATE(12358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13848), 1,
      anon_sym_DOT,
    STATE(12359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [564009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11779), 1,
      sym__backquoted_id,
    STATE(12360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11777), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [564037] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(13492), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12942), 1,
      sym_identifier,
    STATE(13323), 1,
      sym__type_identifier,
    STATE(14821), 1,
      sym__type_constructor,
    STATE(12361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564077] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(13492), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12942), 1,
      sym_identifier,
    STATE(13323), 1,
      sym__type_identifier,
    STATE(14704), 1,
      sym__type_constructor,
    STATE(12362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [564143] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(13494), 1,
      sym_operator_identifier,
    STATE(10678), 1,
      sym_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11845), 1,
      sym__class_constructor,
    STATE(14951), 1,
      sym__class_definition,
    STATE(12364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564183] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(13850), 1,
      anon_sym_type,
    ACTIONS(13852), 1,
      sym_operator_identifier,
    STATE(4459), 1,
      sym_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4542), 1,
      sym__type_identifier,
    STATE(12365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [564249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564275] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(13854), 1,
      anon_sym_type,
    ACTIONS(13856), 1,
      sym_operator_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(8124), 1,
      sym_identifier,
    STATE(8337), 1,
      sym__type_identifier,
    STATE(12368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11775), 1,
      sym__backquoted_id,
    STATE(12369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11773), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [564343] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(13494), 1,
      sym_operator_identifier,
    STATE(10678), 1,
      sym_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11845), 1,
      sym__class_constructor,
    STATE(14862), 1,
      sym__class_definition,
    STATE(12370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [564409] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(13858), 1,
      anon_sym_type,
    ACTIONS(13860), 1,
      sym_operator_identifier,
    STATE(7581), 1,
      sym_identifier,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8426), 1,
      sym__type_identifier,
    STATE(12372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [564475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11771), 1,
      sym__backquoted_id,
    STATE(12374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11769), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [564503] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(8565), 1,
      sym_operator_identifier,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15072), 1,
      sym_identifier,
    ACTIONS(8563), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(12375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564541] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(13862), 1,
      anon_sym_type,
    ACTIONS(13864), 1,
      sym_operator_identifier,
    STATE(5147), 1,
      sym_identifier,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(5932), 1,
      sym__type_identifier,
    STATE(12376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564581] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13570), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11357), 1,
      sym_identifier,
    STATE(13011), 1,
      sym__type_identifier,
    STATE(14628), 1,
      sym__type_constructor,
    STATE(12377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564621] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13764), 1,
      anon_sym_LBRACK,
    STATE(6253), 1,
      sym_type_arguments,
    STATE(12378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564651] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11827), 1,
      sym__alpha_identifier,
    ACTIONS(11835), 1,
      sym__backquoted_id,
    ACTIONS(13866), 1,
      anon_sym_type,
    ACTIONS(13868), 1,
      sym_operator_identifier,
    STATE(7546), 1,
      sym__soft_identifier,
    STATE(7825), 1,
      sym_identifier,
    STATE(8453), 1,
      sym__type_identifier,
    STATE(12379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11831), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564717] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(13584), 1,
      sym_operator_identifier,
    STATE(10390), 1,
      sym_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11590), 1,
      sym__class_constructor,
    STATE(14591), 1,
      sym__class_definition,
    STATE(12381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564757] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(13870), 1,
      anon_sym_type,
    ACTIONS(13872), 1,
      sym_operator_identifier,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(4793), 1,
      sym_identifier,
    STATE(4965), 1,
      sym__type_identifier,
    STATE(12382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11767), 1,
      sym__backquoted_id,
    STATE(12383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11765), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [564825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11763), 1,
      sym__backquoted_id,
    STATE(12384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11761), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [564853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564931] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(13874), 1,
      anon_sym_type,
    ACTIONS(13876), 1,
      sym_operator_identifier,
    STATE(7125), 1,
      sym_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(8213), 1,
      sym__type_identifier,
    STATE(12388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [564997] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8405), 1,
      sym__alpha_identifier,
    ACTIONS(8413), 1,
      sym__backquoted_id,
    ACTIONS(13878), 1,
      anon_sym_type,
    ACTIONS(13880), 1,
      sym_operator_identifier,
    STATE(7986), 1,
      sym__soft_identifier,
    STATE(8043), 1,
      sym_identifier,
    STATE(8184), 1,
      sym__type_identifier,
    STATE(12390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8409), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565037] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8018), 1,
      sym__alpha_identifier,
    ACTIONS(8030), 1,
      sym__backquoted_id,
    ACTIONS(13882), 1,
      anon_sym_type,
    ACTIONS(13884), 1,
      sym_operator_identifier,
    STATE(5106), 1,
      sym__type_identifier,
    STATE(5148), 1,
      sym_identifier,
    STATE(5240), 1,
      sym__soft_identifier,
    STATE(12391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565077] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13764), 1,
      anon_sym_LBRACK,
    ACTIONS(13886), 1,
      anon_sym_match,
    STATE(6253), 1,
      sym_type_arguments,
    STATE(12392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565109] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(13888), 1,
      anon_sym_type,
    ACTIONS(13890), 1,
      sym_operator_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(7836), 1,
      sym_identifier,
    STATE(8560), 1,
      sym__type_identifier,
    STATE(12393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [565175] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(13892), 1,
      anon_sym_type,
    ACTIONS(13894), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11476), 1,
      sym_identifier,
    STATE(12066), 1,
      sym__type_identifier,
    STATE(12395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565215] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(13896), 1,
      anon_sym_type,
    ACTIONS(13898), 1,
      sym_operator_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11781), 1,
      sym_identifier,
    STATE(12191), 1,
      sym__type_identifier,
    STATE(12396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [565281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565307] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7998), 1,
      sym__alpha_identifier,
    ACTIONS(8006), 1,
      sym__backquoted_id,
    ACTIONS(13900), 1,
      anon_sym_type,
    ACTIONS(13902), 1,
      sym_operator_identifier,
    STATE(6185), 1,
      sym__type_identifier,
    STATE(6313), 1,
      sym__soft_identifier,
    STATE(6536), 1,
      sym_identifier,
    STATE(12399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [565373] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12720), 1,
      anon_sym_EQ,
    STATE(12401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565403] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13570), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11357), 1,
      sym_identifier,
    STATE(13467), 1,
      sym__type_identifier,
    STATE(15078), 1,
      sym__type_constructor,
    STATE(12402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565469] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13904), 1,
      anon_sym_LPAREN,
    STATE(13364), 1,
      sym_arguments,
    STATE(12404), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [565499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565525] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13570), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11357), 1,
      sym_identifier,
    STATE(13011), 1,
      sym__type_identifier,
    STATE(14772), 1,
      sym__type_constructor,
    STATE(12406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13909), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13907), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565593] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12714), 1,
      anon_sym_LPAREN,
    STATE(12404), 1,
      aux_sym_annotation_repeat1,
    STATE(13364), 1,
      sym_arguments,
    STATE(12408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [565625] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12722), 1,
      anon_sym_EQ,
    STATE(12409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565655] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(13584), 1,
      sym_operator_identifier,
    STATE(10390), 1,
      sym_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11590), 1,
      sym__class_constructor,
    STATE(14638), 1,
      sym__class_definition,
    STATE(12410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9585), 1,
      sym__backquoted_id,
    STATE(12411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9587), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12791), 1,
      sym__backquoted_id,
    STATE(12412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12789), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565751] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(13911), 1,
      anon_sym_type,
    ACTIONS(13913), 1,
      sym_operator_identifier,
    STATE(7185), 1,
      sym_identifier,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(8022), 1,
      sym__type_identifier,
    STATE(12413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12787), 1,
      sym__backquoted_id,
    STATE(12414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12785), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [565845] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(13584), 1,
      sym_operator_identifier,
    STATE(10390), 1,
      sym_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11590), 1,
      sym__class_constructor,
    STATE(14587), 1,
      sym__class_definition,
    STATE(12416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [565911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [565963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(12420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [565991] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8276), 1,
      sym__alpha_identifier,
    ACTIONS(8288), 1,
      sym__backquoted_id,
    ACTIONS(13915), 1,
      anon_sym_type,
    ACTIONS(13917), 1,
      sym_operator_identifier,
    STATE(4858), 1,
      sym__type_identifier,
    STATE(4908), 1,
      sym_identifier,
    STATE(4959), 1,
      sym__soft_identifier,
    STATE(12421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [566057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [566135] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8338), 1,
      sym__alpha_identifier,
    ACTIONS(8346), 1,
      sym__backquoted_id,
    ACTIONS(13919), 1,
      anon_sym_type,
    ACTIONS(13921), 1,
      sym_operator_identifier,
    STATE(7228), 1,
      sym_identifier,
    STATE(7232), 1,
      sym__soft_identifier,
    STATE(7347), 1,
      sym__type_identifier,
    STATE(12426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566201] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(13923), 1,
      anon_sym_type,
    ACTIONS(13925), 1,
      sym_operator_identifier,
    STATE(5681), 1,
      sym_identifier,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(6117), 1,
      sym__type_identifier,
    STATE(12428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566241] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7876), 1,
      anon_sym_LBRACE,
    ACTIONS(13294), 1,
      anon_sym_COLON,
    STATE(14027), 1,
      aux_sym_compound_type_repeat1,
    STATE(14417), 1,
      sym__refinement,
    STATE(14446), 1,
      sym_template_body,
    STATE(12429), 2,
      sym_comment,
      sym_block_comment,
    STATE(14515), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566279] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8917), 1,
      anon_sym_LPAREN,
    ACTIONS(13927), 1,
      anon_sym_LBRACK,
    ACTIONS(13929), 1,
      anon_sym_POUND,
    STATE(13116), 1,
      aux_sym_annotation_repeat1,
    STATE(13670), 1,
      sym_type_arguments,
    STATE(13988), 1,
      sym_arguments,
    STATE(12430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [566317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566343] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12093), 1,
      sym__alpha_identifier,
    ACTIONS(12101), 1,
      sym__backquoted_id,
    ACTIONS(13931), 1,
      anon_sym_type,
    ACTIONS(13933), 1,
      sym_operator_identifier,
    STATE(12137), 1,
      sym__soft_identifier,
    STATE(12355), 1,
      sym_identifier,
    STATE(12562), 1,
      sym__type_identifier,
    STATE(12432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12097), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566383] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13557), 1,
      anon_sym_LBRACK,
    STATE(6165), 1,
      sym_type_arguments,
    STATE(12433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566413] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13764), 1,
      anon_sym_LBRACK,
    STATE(6253), 1,
      sym_type_arguments,
    STATE(12434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [566469] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13935), 1,
      anon_sym_end,
    STATE(6872), 1,
      sym__end_marker,
    STATE(12436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [566525] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8214), 1,
      sym__alpha_identifier,
    ACTIONS(8222), 1,
      sym__backquoted_id,
    ACTIONS(13937), 1,
      anon_sym_type,
    ACTIONS(13939), 1,
      sym_operator_identifier,
    STATE(7669), 1,
      sym__soft_identifier,
    STATE(7973), 1,
      sym__type_identifier,
    STATE(8258), 1,
      sym_identifier,
    STATE(12438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8218), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566565] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(13941), 1,
      anon_sym_type,
    ACTIONS(13943), 1,
      sym_operator_identifier,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(7375), 1,
      sym_identifier,
    STATE(7630), 1,
      sym__type_identifier,
    STATE(12439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13764), 1,
      anon_sym_LBRACK,
    STATE(6253), 1,
      sym_type_arguments,
    STATE(12440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566635] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11847), 1,
      sym__alpha_identifier,
    ACTIONS(11855), 1,
      sym__backquoted_id,
    ACTIONS(13945), 1,
      anon_sym_type,
    ACTIONS(13947), 1,
      sym_operator_identifier,
    STATE(11545), 1,
      sym_identifier,
    STATE(11565), 1,
      sym__soft_identifier,
    STATE(12017), 1,
      sym__type_identifier,
    STATE(12441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11851), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13949), 1,
      anon_sym_DOT,
    STATE(12442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [566703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [566729] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11999), 1,
      sym__alpha_identifier,
    ACTIONS(12007), 1,
      sym__backquoted_id,
    ACTIONS(13951), 1,
      anon_sym_type,
    ACTIONS(13953), 1,
      sym_operator_identifier,
    STATE(11207), 1,
      sym_identifier,
    STATE(11259), 1,
      sym__soft_identifier,
    STATE(11460), 1,
      sym__type_identifier,
    STATE(12444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12003), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566769] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(13955), 1,
      anon_sym_type,
    ACTIONS(13957), 1,
      sym_operator_identifier,
    STATE(5600), 1,
      sym_identifier,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(6524), 1,
      sym__type_identifier,
    STATE(12445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [566835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12775), 1,
      sym__backquoted_id,
    STATE(12447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12773), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [566863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [566889] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(13959), 1,
      anon_sym_type,
    ACTIONS(13961), 1,
      sym_operator_identifier,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5666), 1,
      sym_identifier,
    STATE(6497), 1,
      sym__type_identifier,
    STATE(12449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566929] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11924), 1,
      sym__alpha_identifier,
    ACTIONS(11932), 1,
      sym__backquoted_id,
    ACTIONS(13963), 1,
      anon_sym_type,
    ACTIONS(13965), 1,
      sym_operator_identifier,
    STATE(10906), 1,
      sym__soft_identifier,
    STATE(11118), 1,
      sym_identifier,
    STATE(11210), 1,
      sym__type_identifier,
    STATE(12450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566969] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(13967), 1,
      anon_sym_type,
    ACTIONS(13969), 1,
      sym_operator_identifier,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(5761), 1,
      sym_identifier,
    STATE(6476), 1,
      sym__type_identifier,
    STATE(12451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [567035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567061] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13971), 1,
      anon_sym_object,
    ACTIONS(13973), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(14157), 1,
      sym_package_identifier,
    STATE(14305), 1,
      sym_identifier,
    STATE(12454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567127] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12164), 1,
      sym__backquoted_id,
    ACTIONS(13975), 1,
      anon_sym_type,
    ACTIONS(13977), 1,
      sym_operator_identifier,
    STATE(11201), 1,
      sym__soft_identifier,
    STATE(11392), 1,
      sym_identifier,
    STATE(11710), 1,
      sym__type_identifier,
    STATE(12456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12160), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567167] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(13979), 1,
      anon_sym_type,
    ACTIONS(13981), 1,
      sym_operator_identifier,
    STATE(6329), 1,
      sym_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(7215), 1,
      sym__type_identifier,
    STATE(12457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [567233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [567259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567285] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(13494), 1,
      sym_operator_identifier,
    STATE(10678), 1,
      sym_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11845), 1,
      sym__class_constructor,
    STATE(14912), 1,
      sym__class_definition,
    STATE(12461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567325] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_AT,
    ACTIONS(13612), 1,
      anon_sym_POUND,
    ACTIONS(13983), 1,
      anon_sym_LPAREN,
    STATE(13941), 1,
      sym_type_arguments,
    STATE(14034), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14326), 1,
      sym_annotation,
    STATE(14563), 1,
      sym_arguments,
    STATE(12462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
  [567367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [567393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [567419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567445] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(13492), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12942), 1,
      sym_identifier,
    STATE(13323), 1,
      sym__type_identifier,
    STATE(14601), 1,
      sym__type_constructor,
    STATE(12466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567511] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(13985), 1,
      anon_sym_type,
    ACTIONS(13987), 1,
      sym_operator_identifier,
    STATE(6215), 1,
      sym_identifier,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6782), 1,
      sym__type_identifier,
    STATE(12468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567551] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(13989), 1,
      anon_sym_type,
    ACTIONS(13991), 1,
      sym_operator_identifier,
    STATE(4699), 1,
      sym_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(5083), 1,
      sym__type_identifier,
    STATE(12469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567591] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    ACTIONS(12982), 1,
      anon_sym_derives,
    ACTIONS(13995), 1,
      sym__automatic_semicolon,
    STATE(13062), 1,
      sym_derives_clause,
    STATE(14654), 1,
      sym_template_body,
    STATE(14712), 1,
      sym__definition_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13993), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [567633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [567659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10287), 1,
      sym__backquoted_id,
    STATE(12472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10285), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [567687] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(13494), 1,
      sym_operator_identifier,
    STATE(10678), 1,
      sym_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11845), 1,
      sym__class_constructor,
    STATE(14829), 1,
      sym__class_definition,
    STATE(12473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567753] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13570), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11357), 1,
      sym_identifier,
    STATE(13467), 1,
      sym__type_identifier,
    STATE(15120), 1,
      sym__type_constructor,
    STATE(12475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567793] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12078), 1,
      sym__alpha_identifier,
    ACTIONS(12086), 1,
      sym__backquoted_id,
    ACTIONS(13998), 1,
      anon_sym_type,
    ACTIONS(14000), 1,
      sym_operator_identifier,
    STATE(11558), 1,
      sym__soft_identifier,
    STATE(11623), 1,
      sym_identifier,
    STATE(11853), 1,
      sym__type_identifier,
    STATE(12476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14004), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14002), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [567861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14006), 1,
      anon_sym_STAR,
    STATE(12478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567889] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(13584), 1,
      sym_operator_identifier,
    STATE(10390), 1,
      sym_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11590), 1,
      sym__class_constructor,
    STATE(14763), 1,
      sym__class_definition,
    STATE(12479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567955] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(489), 1,
      sym__alpha_identifier,
    ACTIONS(503), 1,
      anon_sym__,
    ACTIONS(553), 1,
      sym__backquoted_id,
    ACTIONS(14008), 1,
      sym_operator_identifier,
    STATE(5822), 1,
      sym__soft_identifier,
    STATE(12481), 2,
      sym_comment,
      sym_block_comment,
    STATE(14771), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(677), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567993] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8176), 1,
      sym__alpha_identifier,
    ACTIONS(8184), 1,
      sym__backquoted_id,
    ACTIONS(14010), 1,
      anon_sym_type,
    ACTIONS(14012), 1,
      sym_operator_identifier,
    STATE(5633), 1,
      sym__soft_identifier,
    STATE(5639), 1,
      sym_identifier,
    STATE(5853), 1,
      sym__type_identifier,
    STATE(12482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8180), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [568061] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(14014), 1,
      anon_sym_type,
    ACTIONS(14016), 1,
      sym_operator_identifier,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6074), 1,
      sym_identifier,
    STATE(6268), 1,
      sym__type_identifier,
    STATE(12484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [568129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14020), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14018), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(12488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [568211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [568237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12779), 1,
      sym__backquoted_id,
    STATE(12490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12777), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568265] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(14022), 1,
      anon_sym_type,
    ACTIONS(14024), 1,
      sym_operator_identifier,
    STATE(5285), 1,
      sym_identifier,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(5925), 1,
      sym__type_identifier,
    STATE(12491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568305] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_EQ,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    STATE(12492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568335] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13570), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11357), 1,
      sym_identifier,
    STATE(13011), 1,
      sym__type_identifier,
    STATE(14804), 1,
      sym__type_constructor,
    STATE(12493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568375] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(14026), 1,
      anon_sym_type,
    ACTIONS(14028), 1,
      sym_operator_identifier,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11642), 1,
      sym_identifier,
    STATE(11866), 1,
      sym__type_identifier,
    STATE(12494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568415] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      sym__backquoted_id,
    ACTIONS(12659), 1,
      anon_sym_EQ,
    STATE(12495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12647), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568445] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(14030), 1,
      anon_sym_type,
    ACTIONS(14032), 1,
      sym_operator_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(8678), 1,
      sym_identifier,
    STATE(9274), 1,
      sym__type_identifier,
    STATE(12496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568485] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(14034), 1,
      anon_sym_type,
    ACTIONS(14036), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(4314), 1,
      sym_identifier,
    STATE(4317), 1,
      sym__type_identifier,
    STATE(12497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568525] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12587), 1,
      anon_sym_AT,
    STATE(12299), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13279), 1,
      sym_annotation,
    STATE(12498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14040), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14038), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568585] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14044), 1,
      anon_sym_COMMA,
    ACTIONS(14046), 1,
      anon_sym_with,
    STATE(13304), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13307), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(12500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14042), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9581), 1,
      sym__backquoted_id,
    STATE(12502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9583), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9430), 1,
      sym__backquoted_id,
    STATE(12503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9432), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568701] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12388), 1,
      anon_sym_AT,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(13093), 1,
      sym_annotation,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14079), 1,
      sym_access_modifier,
    STATE(14088), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12390), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12624), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [568743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9475), 1,
      sym__backquoted_id,
    STATE(12505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568771] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12063), 1,
      sym__alpha_identifier,
    ACTIONS(12071), 1,
      sym__backquoted_id,
    ACTIONS(14048), 1,
      anon_sym_type,
    ACTIONS(14050), 1,
      sym_operator_identifier,
    STATE(10903), 1,
      sym_identifier,
    STATE(10956), 1,
      sym__soft_identifier,
    STATE(11277), 1,
      sym__type_identifier,
    STATE(12506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12067), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9530), 1,
      sym__backquoted_id,
    STATE(12507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9532), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568839] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(14052), 1,
      anon_sym_type,
    ACTIONS(14054), 1,
      sym_operator_identifier,
    STATE(7084), 1,
      sym_identifier,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(8249), 1,
      sym__type_identifier,
    STATE(12508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9562), 1,
      sym__backquoted_id,
    STATE(12509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [568933] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13764), 1,
      anon_sym_LBRACK,
    ACTIONS(13886), 1,
      anon_sym_match,
    STATE(6253), 1,
      sym_type_arguments,
    STATE(12511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [568965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11789), 1,
      sym__backquoted_id,
    STATE(12513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11787), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9598), 1,
      sym__backquoted_id,
    STATE(12514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9600), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14058), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14056), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569075] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(14060), 1,
      anon_sym_type,
    ACTIONS(14062), 1,
      sym_operator_identifier,
    STATE(7197), 1,
      sym_identifier,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(7974), 1,
      sym__type_identifier,
    STATE(12516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [569141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [569167] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(14064), 1,
      anon_sym_type,
    ACTIONS(14066), 1,
      sym_operator_identifier,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(8005), 1,
      sym_identifier,
    STATE(8683), 1,
      sym__type_identifier,
    STATE(12519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [569235] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    ACTIONS(12982), 1,
      anon_sym_derives,
    STATE(13078), 1,
      sym_derives_clause,
    STATE(14654), 1,
      sym_template_body,
    STATE(14823), 1,
      sym__definition_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14068), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [569275] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11368), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(14070), 1,
      anon_sym_type,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    STATE(14063), 1,
      sym__soft_identifier,
    STATE(14224), 1,
      sym_identifier,
    STATE(14325), 1,
      sym__type_identifier,
    STATE(12522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569315] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(14074), 1,
      anon_sym_type,
    ACTIONS(14076), 1,
      sym_operator_identifier,
    STATE(7804), 1,
      sym_identifier,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(8920), 1,
      sym__type_identifier,
    STATE(12523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [569381] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(14078), 1,
      anon_sym_type,
    ACTIONS(14080), 1,
      sym_operator_identifier,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4622), 1,
      sym_identifier,
    STATE(4755), 1,
      sym__type_identifier,
    STATE(12525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569421] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6184), 1,
      sym__alpha_identifier,
    ACTIONS(6198), 1,
      sym__backquoted_id,
    ACTIONS(14082), 1,
      sym_operator_identifier,
    STATE(7253), 1,
      sym__soft_identifier,
    STATE(8026), 1,
      sym__type_identifier,
    STATE(8052), 1,
      sym_identifier,
    STATE(12526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569458] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(14084), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11799), 1,
      sym_identifier,
    STATE(14391), 1,
      sym__function_constructor,
    STATE(12527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14086), 1,
      anon_sym_LPAREN,
    STATE(13619), 1,
      sym_arguments,
    STATE(12528), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [569524] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14089), 1,
      anon_sym_match,
    ACTIONS(14091), 1,
      sym_operator_identifier,
    STATE(5702), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569561] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14093), 1,
      sym__alpha_identifier,
    ACTIONS(14095), 1,
      anon_sym_LBRACE,
    ACTIONS(14097), 1,
      anon_sym_LBRACK,
    ACTIONS(14101), 1,
      sym__backquoted_id,
    STATE(9104), 1,
      sym__soft_identifier,
    STATE(9149), 1,
      sym_identifier,
    STATE(12530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14099), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569598] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14103), 1,
      sym__alpha_identifier,
    ACTIONS(14105), 1,
      anon_sym_LBRACE,
    ACTIONS(14107), 1,
      anon_sym_LBRACK,
    ACTIONS(14111), 1,
      sym__backquoted_id,
    STATE(5711), 1,
      sym__soft_identifier,
    STATE(5996), 1,
      sym_identifier,
    STATE(12531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14109), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12692), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14113), 1,
      anon_sym_LPAREN,
    STATE(13618), 1,
      sym_arguments,
    STATE(12533), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569689] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    STATE(12528), 1,
      aux_sym_annotation_repeat1,
    STATE(13619), 1,
      sym_arguments,
    STATE(12534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [569720] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11368), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(14116), 1,
      sym_operator_identifier,
    STATE(14063), 1,
      sym__soft_identifier,
    STATE(14265), 1,
      sym__type_identifier,
    STATE(14327), 1,
      sym_identifier,
    STATE(12535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569757] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14118), 1,
      sym__alpha_identifier,
    ACTIONS(14120), 1,
      anon_sym_LBRACE,
    ACTIONS(14122), 1,
      anon_sym_LBRACK,
    ACTIONS(14126), 1,
      sym__backquoted_id,
    STATE(10869), 1,
      sym__soft_identifier,
    STATE(11322), 1,
      sym_identifier,
    STATE(12536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569794] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12123), 1,
      sym__alpha_identifier,
    ACTIONS(12131), 1,
      sym__backquoted_id,
    ACTIONS(14128), 1,
      sym_operator_identifier,
    STATE(12777), 1,
      sym__soft_identifier,
    STATE(13009), 1,
      sym_identifier,
    STATE(13015), 1,
      sym__type_identifier,
    STATE(12537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12127), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14130), 1,
      anon_sym_with,
    STATE(12539), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569883] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12093), 1,
      sym__alpha_identifier,
    ACTIONS(12101), 1,
      sym__backquoted_id,
    ACTIONS(14133), 1,
      sym_operator_identifier,
    STATE(12137), 1,
      sym__soft_identifier,
    STATE(12590), 1,
      sym_identifier,
    STATE(12594), 1,
      sym__type_identifier,
    STATE(12540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12097), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569920] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4182), 1,
      sym__alpha_identifier,
    ACTIONS(4200), 1,
      sym__backquoted_id,
    ACTIONS(14135), 1,
      sym_operator_identifier,
    STATE(6592), 1,
      sym__soft_identifier,
    STATE(7319), 1,
      sym__type_identifier,
    STATE(7434), 1,
      sym_identifier,
    STATE(12541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569957] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14137), 1,
      anon_sym_match,
    ACTIONS(14139), 1,
      sym_operator_identifier,
    STATE(5849), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569994] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6698), 1,
      sym__backquoted_id,
    ACTIONS(14141), 1,
      sym_operator_identifier,
    STATE(5490), 1,
      sym__soft_identifier,
    STATE(6490), 1,
      sym_identifier,
    STATE(6499), 1,
      sym__type_identifier,
    STATE(12543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570031] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14089), 1,
      anon_sym_match,
    ACTIONS(14143), 1,
      sym_operator_identifier,
    STATE(5546), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570068] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4478), 1,
      sym__alpha_identifier,
    ACTIONS(4496), 1,
      sym__backquoted_id,
    ACTIONS(14145), 1,
      sym_operator_identifier,
    STATE(4748), 1,
      sym__soft_identifier,
    STATE(5068), 1,
      sym_identifier,
    STATE(5072), 1,
      sym__type_identifier,
    STATE(12545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570105] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(14149), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14147), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [570138] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(14154), 1,
      sym__automatic_semicolon,
    STATE(12665), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14152), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [570171] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(14159), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14157), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [570204] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8439), 1,
      sym__alpha_identifier,
    ACTIONS(8451), 1,
      sym__backquoted_id,
    ACTIONS(14162), 1,
      sym_operator_identifier,
    STATE(5627), 1,
      sym_identifier,
    STATE(5839), 1,
      sym__soft_identifier,
    STATE(5845), 1,
      sym__type_identifier,
    STATE(12549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8447), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570241] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12902), 1,
      sym__automatic_semicolon,
    STATE(12663), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12900), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [570274] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8763), 1,
      anon_sym_LPAREN,
    STATE(12533), 1,
      aux_sym_annotation_repeat1,
    STATE(13618), 1,
      sym_arguments,
    STATE(12551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570305] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6848), 1,
      sym__alpha_identifier,
    ACTIONS(6862), 1,
      sym__backquoted_id,
    ACTIONS(14164), 1,
      sym_operator_identifier,
    STATE(5451), 1,
      sym__soft_identifier,
    STATE(5907), 1,
      sym_identifier,
    STATE(5936), 1,
      sym__type_identifier,
    STATE(12552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6858), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570342] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(14166), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12336), 1,
      sym_identifier,
    STATE(14345), 1,
      sym__function_constructor,
    STATE(12553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570379] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14168), 1,
      anon_sym_match,
    ACTIONS(14170), 1,
      sym_operator_identifier,
    STATE(6076), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570416] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14172), 1,
      sym__alpha_identifier,
    ACTIONS(14176), 1,
      sym__backquoted_id,
    ACTIONS(14178), 1,
      sym_operator_identifier,
    STATE(4317), 1,
      sym__type_identifier,
    STATE(11314), 1,
      sym__soft_identifier,
    STATE(11373), 1,
      sym_identifier,
    STATE(12555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14174), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570453] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(14180), 1,
      sym_operator_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11852), 1,
      sym_identifier,
    STATE(14913), 1,
      sym__object_definition,
    STATE(12556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12671), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570540] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14182), 1,
      anon_sym_match,
    ACTIONS(14184), 1,
      sym_operator_identifier,
    STATE(6054), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570577] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12164), 1,
      sym__backquoted_id,
    ACTIONS(14186), 1,
      sym_operator_identifier,
    STATE(11201), 1,
      sym__soft_identifier,
    STATE(11399), 1,
      sym__type_identifier,
    STATE(11551), 1,
      sym_identifier,
    STATE(12560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12160), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570614] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(14190), 1,
      sym_operator_identifier,
    STATE(5689), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [570676] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6340), 1,
      sym__backquoted_id,
    ACTIONS(14192), 1,
      sym_operator_identifier,
    STATE(6589), 1,
      sym__soft_identifier,
    STATE(7320), 1,
      sym_identifier,
    STATE(7390), 1,
      sym__type_identifier,
    STATE(12563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570713] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7982), 1,
      sym__alpha_identifier,
    ACTIONS(7994), 1,
      sym__backquoted_id,
    ACTIONS(14194), 1,
      sym_operator_identifier,
    STATE(10023), 1,
      sym_identifier,
    STATE(10164), 1,
      sym__type_identifier,
    STATE(10344), 1,
      sym__soft_identifier,
    STATE(12564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7990), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570775] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6316), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(14196), 1,
      sym_operator_identifier,
    STATE(6992), 1,
      sym__soft_identifier,
    STATE(7544), 1,
      sym__type_identifier,
    STATE(7606), 1,
      sym_identifier,
    STATE(12566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570812] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6670), 1,
      sym__alpha_identifier,
    ACTIONS(6680), 1,
      sym__backquoted_id,
    ACTIONS(14198), 1,
      sym_operator_identifier,
    STATE(4805), 1,
      sym__soft_identifier,
    STATE(4910), 1,
      sym_identifier,
    STATE(4931), 1,
      sym__type_identifier,
    STATE(12567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6676), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570849] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4628), 1,
      sym__alpha_identifier,
    ACTIONS(4640), 1,
      sym__backquoted_id,
    ACTIONS(14200), 1,
      sym_operator_identifier,
    STATE(4741), 1,
      sym__soft_identifier,
    STATE(4986), 1,
      sym_identifier,
    STATE(5028), 1,
      sym__type_identifier,
    STATE(12568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570886] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      sym__alpha_identifier,
    ACTIONS(4712), 1,
      sym__backquoted_id,
    ACTIONS(14202), 1,
      sym_operator_identifier,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6514), 1,
      sym_identifier,
    STATE(6529), 1,
      sym__type_identifier,
    STATE(12569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4706), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [570998] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14204), 1,
      sym__alpha_identifier,
    ACTIONS(14206), 1,
      anon_sym_LBRACE,
    ACTIONS(14208), 1,
      anon_sym_LBRACK,
    ACTIONS(14212), 1,
      sym__backquoted_id,
    STATE(10920), 1,
      sym__soft_identifier,
    STATE(11007), 1,
      sym_identifier,
    STATE(12573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [571085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [571135] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14214), 1,
      sym__alpha_identifier,
    ACTIONS(14216), 1,
      anon_sym_LBRACE,
    ACTIONS(14218), 1,
      anon_sym_LBRACK,
    ACTIONS(14222), 1,
      sym__backquoted_id,
    STATE(9023), 1,
      sym__soft_identifier,
    STATE(9223), 1,
      sym_identifier,
    STATE(12578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14220), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [571197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [571222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [571247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [571272] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14224), 1,
      sym__alpha_identifier,
    ACTIONS(14226), 1,
      anon_sym_LBRACE,
    ACTIONS(14228), 1,
      anon_sym_LBRACK,
    ACTIONS(14232), 1,
      sym__backquoted_id,
    STATE(9617), 1,
      sym__soft_identifier,
    STATE(9621), 1,
      sym_identifier,
    STATE(12583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571309] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4508), 1,
      sym__alpha_identifier,
    ACTIONS(4526), 1,
      sym__backquoted_id,
    ACTIONS(14234), 1,
      sym_operator_identifier,
    STATE(5393), 1,
      sym__soft_identifier,
    STATE(6069), 1,
      sym__type_identifier,
    STATE(6095), 1,
      sym_identifier,
    STATE(12584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [571371] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14236), 1,
      sym__alpha_identifier,
    ACTIONS(14238), 1,
      anon_sym_LBRACE,
    ACTIONS(14240), 1,
      anon_sym_LBRACK,
    ACTIONS(14244), 1,
      sym__backquoted_id,
    STATE(7837), 1,
      sym_identifier,
    STATE(7941), 1,
      sym__soft_identifier,
    STATE(12586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571408] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14246), 1,
      sym__alpha_identifier,
    ACTIONS(14248), 1,
      anon_sym_LBRACE,
    ACTIONS(14250), 1,
      anon_sym_LBRACK,
    ACTIONS(14254), 1,
      sym__backquoted_id,
    STATE(7128), 1,
      sym__soft_identifier,
    STATE(7361), 1,
      sym_identifier,
    STATE(12587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [571470] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14089), 1,
      anon_sym_match,
    ACTIONS(14256), 1,
      sym_operator_identifier,
    STATE(5552), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [571532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [571557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [571582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [571632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [571657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [571682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571707] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8677), 1,
      anon_sym_LPAREN,
    STATE(12603), 1,
      aux_sym_annotation_repeat1,
    STATE(13432), 1,
      sym_arguments,
    STATE(12598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [571738] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14258), 1,
      anon_sym_match,
    ACTIONS(14260), 1,
      sym_operator_identifier,
    STATE(5999), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14262), 1,
      anon_sym_DOT,
    STATE(12601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [571827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14264), 1,
      anon_sym_LPAREN,
    STATE(13432), 1,
      sym_arguments,
    STATE(12603), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [571881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [571906] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11999), 1,
      sym__alpha_identifier,
    ACTIONS(12007), 1,
      sym__backquoted_id,
    ACTIONS(14267), 1,
      sym_operator_identifier,
    STATE(11259), 1,
      sym__soft_identifier,
    STATE(11416), 1,
      sym_identifier,
    STATE(11430), 1,
      sym__type_identifier,
    STATE(12605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12003), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571943] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    ACTIONS(13354), 1,
      anon_sym_derives,
    ACTIONS(14269), 1,
      sym__automatic_semicolon,
    STATE(13624), 1,
      sym_derives_clause,
    STATE(14924), 1,
      sym__definition_body,
    STATE(14971), 1,
      sym_template_body,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13993), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [571984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [572009] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7998), 1,
      sym__alpha_identifier,
    ACTIONS(8006), 1,
      sym__backquoted_id,
    ACTIONS(14272), 1,
      sym_operator_identifier,
    STATE(6127), 1,
      sym__type_identifier,
    STATE(6156), 1,
      sym_identifier,
    STATE(6313), 1,
      sym__soft_identifier,
    STATE(12608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572046] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8176), 1,
      sym__alpha_identifier,
    ACTIONS(8184), 1,
      sym__backquoted_id,
    ACTIONS(14274), 1,
      sym_operator_identifier,
    STATE(5633), 1,
      sym__soft_identifier,
    STATE(5736), 1,
      sym__type_identifier,
    STATE(5815), 1,
      sym_identifier,
    STATE(12609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8180), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572083] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(14276), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11737), 1,
      sym_identifier,
    STATE(12051), 1,
      sym__type_identifier,
    STATE(12610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572120] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14182), 1,
      anon_sym_match,
    ACTIONS(14278), 1,
      sym_operator_identifier,
    STATE(5947), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572157] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(14180), 1,
      sym_operator_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11852), 1,
      sym_identifier,
    STATE(14974), 1,
      sym__object_definition,
    STATE(12612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572194] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14280), 1,
      sym__alpha_identifier,
    ACTIONS(14282), 1,
      anon_sym_LBRACE,
    ACTIONS(14284), 1,
      anon_sym_LBRACK,
    ACTIONS(14288), 1,
      sym__backquoted_id,
    STATE(6252), 1,
      sym_identifier,
    STATE(6517), 1,
      sym__soft_identifier,
    STATE(12613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14290), 1,
      anon_sym_LPAREN,
    STATE(13446), 1,
      sym_arguments,
    STATE(12614), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572260] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14089), 1,
      anon_sym_match,
    ACTIONS(14293), 1,
      sym_operator_identifier,
    STATE(5817), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572297] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(489), 1,
      sym__alpha_identifier,
    ACTIONS(553), 1,
      sym__backquoted_id,
    ACTIONS(14295), 1,
      sym_operator_identifier,
    STATE(5822), 1,
      sym__soft_identifier,
    STATE(14372), 1,
      sym_identifier,
    STATE(14723), 1,
      sym__namespace_expression,
    STATE(12616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(677), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572334] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    ACTIONS(13354), 1,
      anon_sym_derives,
    STATE(13622), 1,
      sym_derives_clause,
    STATE(14937), 1,
      sym__definition_body,
    STATE(14971), 1,
      sym_template_body,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14068), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [572373] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11827), 1,
      sym__alpha_identifier,
    ACTIONS(11835), 1,
      sym__backquoted_id,
    ACTIONS(14297), 1,
      sym_operator_identifier,
    STATE(7546), 1,
      sym__soft_identifier,
    STATE(8369), 1,
      sym__type_identifier,
    STATE(8765), 1,
      sym_identifier,
    STATE(12618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11831), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572410] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14224), 1,
      sym__alpha_identifier,
    ACTIONS(14232), 1,
      sym__backquoted_id,
    ACTIONS(14299), 1,
      anon_sym_LBRACE,
    ACTIONS(14301), 1,
      anon_sym_LBRACK,
    STATE(9599), 1,
      sym_identifier,
    STATE(9617), 1,
      sym__soft_identifier,
    STATE(12619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572447] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(14303), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11465), 1,
      sym_identifier,
    STATE(14332), 1,
      sym__class_constructor,
    STATE(12620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572484] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    STATE(12614), 1,
      aux_sym_annotation_repeat1,
    STATE(13446), 1,
      sym_arguments,
    STATE(12621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572515] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14258), 1,
      anon_sym_match,
    ACTIONS(14305), 1,
      sym_operator_identifier,
    STATE(5894), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572552] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(14309), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14307), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [572585] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(14312), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11505), 1,
      sym_identifier,
    STATE(14694), 1,
      sym__object_definition,
    STATE(12624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572622] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6942), 1,
      sym__alpha_identifier,
    ACTIONS(6956), 1,
      sym__backquoted_id,
    ACTIONS(14314), 1,
      sym_operator_identifier,
    STATE(5562), 1,
      sym__soft_identifier,
    STATE(6421), 1,
      sym__type_identifier,
    STATE(6429), 1,
      sym_identifier,
    STATE(12625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572659] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(14316), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__soft_identifier,
    STATE(14185), 1,
      sym_identifier,
    STATE(14241), 1,
      sym__namespace_expression,
    STATE(12626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572696] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(14316), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__soft_identifier,
    STATE(14185), 1,
      sym_identifier,
    STATE(14273), 1,
      sym__namespace_expression,
    STATE(12627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572733] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14318), 1,
      sym__alpha_identifier,
    ACTIONS(14322), 1,
      sym__backquoted_id,
    ACTIONS(14324), 1,
      sym_operator_identifier,
    STATE(4317), 1,
      sym__type_identifier,
    STATE(11338), 1,
      sym__soft_identifier,
    STATE(11385), 1,
      sym_identifier,
    STATE(12628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14320), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572770] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(14180), 1,
      sym_operator_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11852), 1,
      sym_identifier,
    STATE(14886), 1,
      sym__object_definition,
    STATE(12629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12641), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572832] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4932), 1,
      sym__alpha_identifier,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(14326), 1,
      sym_operator_identifier,
    STATE(6010), 1,
      sym__soft_identifier,
    STATE(6270), 1,
      sym__type_identifier,
    STATE(6363), 1,
      sym_identifier,
    STATE(12631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4942), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(12632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [572896] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(14084), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11799), 1,
      sym_identifier,
    STATE(14565), 1,
      sym__function_constructor,
    STATE(12633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572933] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12969), 1,
      sym__automatic_semicolon,
    STATE(12546), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [572966] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(14166), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12336), 1,
      sym_identifier,
    STATE(14255), 1,
      sym__function_constructor,
    STATE(12635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573003] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4758), 1,
      sym__alpha_identifier,
    ACTIONS(4776), 1,
      sym__backquoted_id,
    ACTIONS(14328), 1,
      sym_operator_identifier,
    STATE(4494), 1,
      sym__soft_identifier,
    STATE(4536), 1,
      sym_identifier,
    STATE(4559), 1,
      sym__type_identifier,
    STATE(12636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4770), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573040] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(14036), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(4314), 1,
      sym_identifier,
    STATE(4317), 1,
      sym__type_identifier,
    STATE(12637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573077] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14330), 1,
      sym__alpha_identifier,
    ACTIONS(14332), 1,
      anon_sym_LBRACE,
    ACTIONS(14334), 1,
      anon_sym_LBRACK,
    ACTIONS(14338), 1,
      sym__backquoted_id,
    STATE(9761), 1,
      sym__soft_identifier,
    STATE(9763), 1,
      sym_identifier,
    STATE(12638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573114] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14340), 1,
      anon_sym_match,
    ACTIONS(14342), 1,
      sym_operator_identifier,
    STATE(5798), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573151] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14344), 1,
      sym__alpha_identifier,
    ACTIONS(14346), 1,
      anon_sym_LBRACE,
    ACTIONS(14348), 1,
      anon_sym_LBRACK,
    ACTIONS(14352), 1,
      sym__backquoted_id,
    STATE(10202), 1,
      sym__soft_identifier,
    STATE(10298), 1,
      sym_identifier,
    STATE(12640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573188] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6202), 1,
      sym__alpha_identifier,
    ACTIONS(6216), 1,
      sym__backquoted_id,
    ACTIONS(14354), 1,
      sym_operator_identifier,
    STATE(5395), 1,
      sym__soft_identifier,
    STATE(6030), 1,
      sym__type_identifier,
    STATE(6077), 1,
      sym_identifier,
    STATE(12641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [573250] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(13384), 1,
      sym_operator_identifier,
    ACTIONS(14356), 1,
      anon_sym_match,
    STATE(5667), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573287] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14358), 1,
      sym__alpha_identifier,
    ACTIONS(14360), 1,
      anon_sym_LBRACE,
    ACTIONS(14362), 1,
      anon_sym_LBRACK,
    ACTIONS(14366), 1,
      sym__backquoted_id,
    STATE(7124), 1,
      sym_identifier,
    STATE(7180), 1,
      sym__soft_identifier,
    STATE(12644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573324] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6812), 1,
      sym__alpha_identifier,
    ACTIONS(6822), 1,
      sym__backquoted_id,
    ACTIONS(14368), 1,
      sym_operator_identifier,
    STATE(6968), 1,
      sym__soft_identifier,
    STATE(8082), 1,
      sym__type_identifier,
    STATE(8151), 1,
      sym_identifier,
    STATE(12645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6818), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14370), 1,
      anon_sym_DOT,
    STATE(12646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573388] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14372), 1,
      sym__alpha_identifier,
    ACTIONS(14374), 1,
      anon_sym_LBRACE,
    ACTIONS(14376), 1,
      anon_sym_LBRACK,
    ACTIONS(14380), 1,
      sym__backquoted_id,
    STATE(10464), 1,
      sym__soft_identifier,
    STATE(10529), 1,
      sym_identifier,
    STATE(12647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573425] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      sym__backquoted_id,
    ACTIONS(14382), 1,
      sym_operator_identifier,
    STATE(5690), 1,
      sym__soft_identifier,
    STATE(6261), 1,
      sym__type_identifier,
    STATE(6306), 1,
      sym_identifier,
    STATE(12648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573462] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14384), 1,
      anon_sym_LBRACK,
    ACTIONS(14386), 1,
      anon_sym_match,
    STATE(7130), 1,
      sym_type_arguments,
    STATE(12649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573493] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12051), 1,
      sym__alpha_identifier,
    ACTIONS(12059), 1,
      sym__backquoted_id,
    ACTIONS(14388), 1,
      sym_operator_identifier,
    STATE(12842), 1,
      sym__soft_identifier,
    STATE(13331), 1,
      sym__type_identifier,
    STATE(13343), 1,
      sym_identifier,
    STATE(12650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12055), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573530] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14390), 1,
      anon_sym_match,
    ACTIONS(14392), 1,
      sym_operator_identifier,
    STATE(5524), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573567] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14372), 1,
      sym__alpha_identifier,
    ACTIONS(14380), 1,
      sym__backquoted_id,
    ACTIONS(14394), 1,
      anon_sym_LBRACE,
    ACTIONS(14396), 1,
      anon_sym_LBRACK,
    STATE(10464), 1,
      sym__soft_identifier,
    STATE(10528), 1,
      sym_identifier,
    STATE(12652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573604] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(14398), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(4352), 1,
      sym__type_identifier,
    STATE(4357), 1,
      sym_identifier,
    STATE(12653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [573691] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8056), 1,
      sym__alpha_identifier,
    ACTIONS(8068), 1,
      sym__backquoted_id,
    ACTIONS(14400), 1,
      sym_operator_identifier,
    STATE(4648), 1,
      sym__type_identifier,
    STATE(4678), 1,
      sym_identifier,
    STATE(4751), 1,
      sym__soft_identifier,
    STATE(12656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8064), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573728] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6268), 1,
      sym__alpha_identifier,
    ACTIONS(6282), 1,
      sym__backquoted_id,
    ACTIONS(14402), 1,
      sym_operator_identifier,
    STATE(7295), 1,
      sym__soft_identifier,
    STATE(8251), 1,
      sym_identifier,
    STATE(8256), 1,
      sym__type_identifier,
    STATE(12657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6278), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573765] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14137), 1,
      anon_sym_match,
    ACTIONS(14404), 1,
      sym_operator_identifier,
    STATE(5718), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573802] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14406), 1,
      sym__alpha_identifier,
    ACTIONS(14408), 1,
      anon_sym_LBRACE,
    ACTIONS(14410), 1,
      anon_sym_LBRACK,
    ACTIONS(14414), 1,
      sym__backquoted_id,
    STATE(9206), 1,
      sym_identifier,
    STATE(9368), 1,
      sym__soft_identifier,
    STATE(12659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573839] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14358), 1,
      sym__alpha_identifier,
    ACTIONS(14366), 1,
      sym__backquoted_id,
    ACTIONS(14416), 1,
      anon_sym_LBRACE,
    ACTIONS(14418), 1,
      anon_sym_LBRACK,
    STATE(7180), 1,
      sym__soft_identifier,
    STATE(7448), 1,
      sym_identifier,
    STATE(12660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [573901] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(14422), 1,
      sym__automatic_semicolon,
    STATE(12718), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14420), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [573934] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(14427), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14425), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [573967] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14430), 1,
      anon_sym_match,
    ACTIONS(14432), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574004] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(14436), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14434), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [574037] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14439), 1,
      anon_sym_match,
    ACTIONS(14441), 1,
      sym_operator_identifier,
    STATE(5643), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574074] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(14445), 1,
      anon_sym_extends,
    ACTIONS(14447), 1,
      anon_sym_LPAREN,
    STATE(14054), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14617), 1,
      sym_class_parameters,
    STATE(14879), 1,
      sym_extends_clause,
    STATE(15135), 1,
      sym_type_parameters,
    STATE(16175), 1,
      sym__full_enum_def,
    STATE(12667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14443), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [574115] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11969), 1,
      sym__alpha_identifier,
    ACTIONS(11977), 1,
      sym__backquoted_id,
    ACTIONS(14449), 1,
      sym_operator_identifier,
    STATE(13200), 1,
      sym__soft_identifier,
    STATE(13628), 1,
      sym__type_identifier,
    STATE(13631), 1,
      sym_identifier,
    STATE(12668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11973), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [574202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [574227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [574252] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11924), 1,
      sym__alpha_identifier,
    ACTIONS(11932), 1,
      sym__backquoted_id,
    ACTIONS(14451), 1,
      sym_operator_identifier,
    STATE(10906), 1,
      sym__soft_identifier,
    STATE(11313), 1,
      sym_identifier,
    STATE(11332), 1,
      sym__type_identifier,
    STATE(12673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574289] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6770), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      sym__backquoted_id,
    ACTIONS(14453), 1,
      sym_operator_identifier,
    STATE(5061), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym__type_identifier,
    STATE(5324), 1,
      sym_identifier,
    STATE(12674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6776), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574326] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4258), 1,
      sym__alpha_identifier,
    ACTIONS(4276), 1,
      sym__backquoted_id,
    ACTIONS(14455), 1,
      sym_operator_identifier,
    STATE(7266), 1,
      sym__soft_identifier,
    STATE(8185), 1,
      sym__type_identifier,
    STATE(8201), 1,
      sym_identifier,
    STATE(12675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4270), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574363] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14457), 1,
      sym__alpha_identifier,
    ACTIONS(14459), 1,
      anon_sym_LBRACE,
    ACTIONS(14461), 1,
      anon_sym_LBRACK,
    ACTIONS(14465), 1,
      sym__backquoted_id,
    STATE(8612), 1,
      sym_identifier,
    STATE(8632), 1,
      sym__soft_identifier,
    STATE(12676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14463), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574400] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14467), 1,
      sym__alpha_identifier,
    ACTIONS(14469), 1,
      anon_sym_LBRACE,
    ACTIONS(14471), 1,
      anon_sym_LBRACK,
    ACTIONS(14475), 1,
      sym__backquoted_id,
    STATE(11631), 1,
      sym__soft_identifier,
    STATE(12322), 1,
      sym_identifier,
    STATE(12677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14473), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14477), 1,
      anon_sym_LBRACK,
    STATE(13601), 1,
      sym_access_qualifier,
    STATE(12678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9254), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574466] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14330), 1,
      sym__alpha_identifier,
    ACTIONS(14338), 1,
      sym__backquoted_id,
    ACTIONS(14479), 1,
      anon_sym_LBRACE,
    ACTIONS(14481), 1,
      anon_sym_LBRACK,
    STATE(9761), 1,
      sym__soft_identifier,
    STATE(9762), 1,
      sym_identifier,
    STATE(12679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574503] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8214), 1,
      sym__alpha_identifier,
    ACTIONS(8222), 1,
      sym__backquoted_id,
    ACTIONS(14483), 1,
      sym_operator_identifier,
    STATE(7669), 1,
      sym__soft_identifier,
    STATE(7976), 1,
      sym__type_identifier,
    STATE(8154), 1,
      sym_identifier,
    STATE(12680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8218), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574540] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7452), 1,
      sym__alpha_identifier,
    ACTIONS(7466), 1,
      sym__backquoted_id,
    ACTIONS(14485), 1,
      sym_operator_identifier,
    STATE(11787), 1,
      sym__soft_identifier,
    STATE(12276), 1,
      sym__type_identifier,
    STATE(12419), 1,
      sym_identifier,
    STATE(12681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574577] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13318), 1,
      aux_sym_compound_type_repeat1,
    STATE(14447), 1,
      sym_template_body,
    STATE(14448), 1,
      sym__refinement,
    STATE(14563), 1,
      sym_arguments,
    STATE(12682), 2,
      sym_comment,
      sym_block_comment,
    STATE(14527), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [574612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [574662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574712] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14487), 1,
      anon_sym_match,
    ACTIONS(14489), 1,
      sym_operator_identifier,
    STATE(5880), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574749] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14168), 1,
      anon_sym_match,
    ACTIONS(14491), 1,
      sym_operator_identifier,
    STATE(5578), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574811] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6874), 1,
      sym__alpha_identifier,
    ACTIONS(6888), 1,
      sym__backquoted_id,
    ACTIONS(14493), 1,
      sym_operator_identifier,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(7014), 1,
      sym_identifier,
    STATE(7018), 1,
      sym__type_identifier,
    STATE(12690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6884), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574873] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(14312), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11505), 1,
      sym_identifier,
    STATE(14637), 1,
      sym__object_definition,
    STATE(12692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14495), 1,
      sym__alpha_identifier,
    ACTIONS(14497), 1,
      anon_sym_LBRACE,
    ACTIONS(14499), 1,
      anon_sym_LBRACK,
    ACTIONS(14503), 1,
      sym__backquoted_id,
    STATE(9337), 1,
      sym_identifier,
    STATE(9420), 1,
      sym__soft_identifier,
    STATE(12693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14501), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574947] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14246), 1,
      sym__alpha_identifier,
    ACTIONS(14254), 1,
      sym__backquoted_id,
    ACTIONS(14505), 1,
      anon_sym_LBRACE,
    ACTIONS(14507), 1,
      anon_sym_LBRACK,
    STATE(7041), 1,
      sym_identifier,
    STATE(7128), 1,
      sym__soft_identifier,
    STATE(12694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574984] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      sym__alpha_identifier,
    ACTIONS(4690), 1,
      sym__backquoted_id,
    ACTIONS(14509), 1,
      sym_operator_identifier,
    STATE(4644), 1,
      sym__soft_identifier,
    STATE(4927), 1,
      sym_identifier,
    STATE(4961), 1,
      sym__type_identifier,
    STATE(12695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4686), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [575046] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6798), 1,
      sym__alpha_identifier,
    ACTIONS(6808), 1,
      sym__backquoted_id,
    ACTIONS(14511), 1,
      sym_operator_identifier,
    STATE(8830), 1,
      sym__soft_identifier,
    STATE(8973), 1,
      sym_identifier,
    STATE(9132), 1,
      sym__type_identifier,
    STATE(12697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6804), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575083] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13533), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(10911), 1,
      sym_identifier,
    STATE(11333), 1,
      sym__type_identifier,
    STATE(12698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575120] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8393), 1,
      sym__alpha_identifier,
    ACTIONS(8401), 1,
      sym__backquoted_id,
    ACTIONS(14513), 1,
      sym_operator_identifier,
    STATE(8480), 1,
      sym__soft_identifier,
    STATE(8567), 1,
      sym_identifier,
    STATE(8657), 1,
      sym__type_identifier,
    STATE(12699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8397), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575157] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11951), 1,
      sym__alpha_identifier,
    ACTIONS(11959), 1,
      sym__backquoted_id,
    ACTIONS(14515), 1,
      sym_operator_identifier,
    STATE(12170), 1,
      sym__soft_identifier,
    STATE(12577), 1,
      sym__type_identifier,
    STATE(12581), 1,
      sym_identifier,
    STATE(12700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11955), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575194] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(14312), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11505), 1,
      sym_identifier,
    STATE(15347), 1,
      sym__object_definition,
    STATE(12701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575231] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14168), 1,
      anon_sym_match,
    ACTIONS(14517), 1,
      sym_operator_identifier,
    STATE(5499), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [575318] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(14519), 1,
      sym_operator_identifier,
    STATE(5598), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [575380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [575405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [575430] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8190), 1,
      sym__alpha_identifier,
    ACTIONS(8198), 1,
      sym__backquoted_id,
    ACTIONS(14521), 1,
      sym_operator_identifier,
    STATE(6959), 1,
      sym__type_identifier,
    STATE(6969), 1,
      sym_identifier,
    STATE(7274), 1,
      sym__soft_identifier,
    STATE(12709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8194), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575467] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4358), 1,
      sym__alpha_identifier,
    ACTIONS(4370), 1,
      sym__backquoted_id,
    ACTIONS(14523), 1,
      sym_operator_identifier,
    STATE(4580), 1,
      sym__soft_identifier,
    STATE(4693), 1,
      sym_identifier,
    STATE(4795), 1,
      sym__type_identifier,
    STATE(12710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [575529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [575554] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12078), 1,
      sym__alpha_identifier,
    ACTIONS(12086), 1,
      sym__backquoted_id,
    ACTIONS(14525), 1,
      sym_operator_identifier,
    STATE(11558), 1,
      sym__soft_identifier,
    STATE(11884), 1,
      sym_identifier,
    STATE(11895), 1,
      sym__type_identifier,
    STATE(12713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12082), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575616] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      sym__alpha_identifier,
    ACTIONS(6418), 1,
      sym__backquoted_id,
    ACTIONS(14527), 1,
      sym_operator_identifier,
    STATE(5584), 1,
      sym__soft_identifier,
    STATE(6614), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__type_identifier,
    STATE(12715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [575678] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6444), 1,
      sym__alpha_identifier,
    ACTIONS(6458), 1,
      sym__backquoted_id,
    ACTIONS(14529), 1,
      sym_operator_identifier,
    STATE(7972), 1,
      sym__soft_identifier,
    STATE(8276), 1,
      sym_identifier,
    STATE(8297), 1,
      sym__type_identifier,
    STATE(12717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575715] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(14533), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14531), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [575748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [575773] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14168), 1,
      anon_sym_match,
    ACTIONS(14536), 1,
      sym_operator_identifier,
    STATE(5613), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(12721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [575837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [575887] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11912), 1,
      sym__alpha_identifier,
    ACTIONS(11920), 1,
      sym__backquoted_id,
    ACTIONS(14538), 1,
      sym_operator_identifier,
    STATE(12781), 1,
      sym__soft_identifier,
    STATE(13120), 1,
      sym_identifier,
    STATE(13150), 1,
      sym__type_identifier,
    STATE(12724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [575949] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6924), 1,
      sym__alpha_identifier,
    ACTIONS(6938), 1,
      sym__backquoted_id,
    ACTIONS(14540), 1,
      sym_operator_identifier,
    STATE(5466), 1,
      sym__soft_identifier,
    STATE(5496), 1,
      sym__type_identifier,
    STATE(5507), 1,
      sym_identifier,
    STATE(12726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575986] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4322), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      sym__backquoted_id,
    ACTIONS(14542), 1,
      sym_operator_identifier,
    STATE(5625), 1,
      sym__soft_identifier,
    STATE(6556), 1,
      sym_identifier,
    STATE(6578), 1,
      sym__type_identifier,
    STATE(12727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4334), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576048] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14546), 1,
      anon_sym_catch,
    ACTIONS(14548), 1,
      anon_sym_finally,
    STATE(12661), 1,
      sym_finally_clause,
    STATE(13569), 1,
      sym_catch_clause,
    STATE(12729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576081] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14550), 1,
      sym__alpha_identifier,
    ACTIONS(14552), 1,
      anon_sym_LBRACE,
    ACTIONS(14554), 1,
      anon_sym_LBRACK,
    ACTIONS(14558), 1,
      sym__backquoted_id,
    STATE(9751), 1,
      sym__soft_identifier,
    STATE(9982), 1,
      sym_identifier,
    STATE(12730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14556), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576118] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14214), 1,
      sym__alpha_identifier,
    ACTIONS(14222), 1,
      sym__backquoted_id,
    ACTIONS(14560), 1,
      anon_sym_LBRACE,
    ACTIONS(14562), 1,
      anon_sym_LBRACK,
    STATE(8958), 1,
      sym_identifier,
    STATE(9023), 1,
      sym__soft_identifier,
    STATE(12731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14220), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576155] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14168), 1,
      anon_sym_match,
    ACTIONS(14564), 1,
      sym_operator_identifier,
    STATE(5733), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576217] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14566), 1,
      anon_sym_LBRACK,
    STATE(7044), 1,
      sym_type_arguments,
    STATE(12734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [576271] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(14568), 1,
      sym_operator_identifier,
    STATE(5783), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576333] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8160), 1,
      sym__alpha_identifier,
    ACTIONS(8172), 1,
      sym__backquoted_id,
    ACTIONS(14570), 1,
      sym_operator_identifier,
    STATE(5212), 1,
      sym__soft_identifier,
    STATE(5383), 1,
      sym__type_identifier,
    STATE(5440), 1,
      sym_identifier,
    STATE(12738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576422] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7958), 1,
      sym__alpha_identifier,
    ACTIONS(7970), 1,
      sym__backquoted_id,
    ACTIONS(14572), 1,
      sym_operator_identifier,
    STATE(11461), 1,
      sym__soft_identifier,
    STATE(11839), 1,
      sym_identifier,
    STATE(11951), 1,
      sym__type_identifier,
    STATE(12741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7966), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576459] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14574), 1,
      anon_sym_with,
    STATE(13310), 1,
      aux_sym_compound_type_repeat1,
    STATE(14662), 1,
      sym_arguments,
    STATE(14816), 1,
      sym__refinement,
    STATE(14819), 1,
      sym_template_body,
    STATE(12742), 2,
      sym_comment,
      sym_block_comment,
    STATE(14670), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7748), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [576496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14566), 1,
      anon_sym_LBRACK,
    STATE(7044), 1,
      sym_type_arguments,
    STATE(12747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576625] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14576), 1,
      anon_sym_match,
    ACTIONS(14578), 1,
      sym_operator_identifier,
    STATE(5945), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14566), 1,
      anon_sym_LBRACK,
    ACTIONS(14580), 1,
      anon_sym_match,
    STATE(7044), 1,
      sym_type_arguments,
    STATE(12750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576718] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13612), 1,
      anon_sym_POUND,
    ACTIONS(13983), 1,
      anon_sym_LPAREN,
    STATE(13801), 1,
      aux_sym_annotation_repeat1,
    STATE(13941), 1,
      sym_type_arguments,
    STATE(14269), 1,
      sym_arguments,
    STATE(12751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [576755] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8308), 1,
      sym__backquoted_id,
    ACTIONS(14582), 1,
      sym_operator_identifier,
    STATE(7660), 1,
      sym__soft_identifier,
    STATE(7863), 1,
      sym__type_identifier,
    STATE(8212), 1,
      sym_identifier,
    STATE(12752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [576817] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14566), 1,
      anon_sym_LBRACK,
    STATE(7044), 1,
      sym_type_arguments,
    STATE(12754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14566), 1,
      anon_sym_LBRACK,
    STATE(7044), 1,
      sym_type_arguments,
    STATE(12755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576875] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8246), 1,
      sym__alpha_identifier,
    ACTIONS(8254), 1,
      sym__backquoted_id,
    ACTIONS(14584), 1,
      sym_operator_identifier,
    STATE(6280), 1,
      sym__soft_identifier,
    STATE(6563), 1,
      sym__type_identifier,
    STATE(6574), 1,
      sym_identifier,
    STATE(12756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14586), 1,
      anon_sym_end,
    STATE(8099), 1,
      sym__end_marker,
    STATE(12757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [576941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576991] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(14588), 1,
      sym_operator_identifier,
    STATE(6044), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [577053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [577078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577103] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14590), 1,
      anon_sym_match,
    ACTIONS(14592), 1,
      sym_operator_identifier,
    STATE(6094), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577140] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__alpha_identifier,
    ACTIONS(4596), 1,
      sym__backquoted_id,
    ACTIONS(14594), 1,
      sym_operator_identifier,
    STATE(6881), 1,
      sym__soft_identifier,
    STATE(7644), 1,
      sym__type_identifier,
    STATE(7813), 1,
      sym_identifier,
    STATE(12765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4590), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14596), 1,
      anon_sym_STAR,
    STATE(12766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577204] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14598), 1,
      sym__alpha_identifier,
    ACTIONS(14600), 1,
      anon_sym_LBRACE,
    ACTIONS(14602), 1,
      anon_sym_LBRACK,
    ACTIONS(14606), 1,
      sym__backquoted_id,
    STATE(8655), 1,
      sym__soft_identifier,
    STATE(8753), 1,
      sym_identifier,
    STATE(12767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14604), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577241] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14608), 1,
      sym__alpha_identifier,
    ACTIONS(14610), 1,
      anon_sym_LBRACE,
    ACTIONS(14612), 1,
      anon_sym_LBRACK,
    ACTIONS(14616), 1,
      sym__backquoted_id,
    STATE(9744), 1,
      sym__soft_identifier,
    STATE(9931), 1,
      sym_identifier,
    STATE(12768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577278] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14103), 1,
      sym__alpha_identifier,
    ACTIONS(14111), 1,
      sym__backquoted_id,
    ACTIONS(14618), 1,
      anon_sym_LBRACE,
    ACTIONS(14620), 1,
      anon_sym_LBRACK,
    STATE(5711), 1,
      sym__soft_identifier,
    STATE(5727), 1,
      sym_identifier,
    STATE(12769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14109), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577340] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(14622), 1,
      sym_operator_identifier,
    STATE(5603), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [577404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [577429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [577454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [577479] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(14624), 1,
      anon_sym_LBRACK,
    ACTIONS(14626), 1,
      anon_sym_POUND,
    STATE(13692), 1,
      aux_sym_annotation_repeat1,
    STATE(13915), 1,
      sym_type_arguments,
    STATE(14153), 1,
      sym_arguments,
    STATE(12776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [577516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [577541] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14318), 1,
      sym__alpha_identifier,
    ACTIONS(14322), 1,
      sym__backquoted_id,
    ACTIONS(14628), 1,
      anon_sym_LBRACE,
    ACTIONS(14630), 1,
      anon_sym_LBRACK,
    STATE(11338), 1,
      sym__soft_identifier,
    STATE(11973), 1,
      sym_identifier,
    STATE(12778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14320), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577578] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8264), 1,
      sym__alpha_identifier,
    ACTIONS(8272), 1,
      sym__backquoted_id,
    ACTIONS(14632), 1,
      sym_operator_identifier,
    STATE(7547), 1,
      sym__type_identifier,
    STATE(7570), 1,
      sym_identifier,
    STATE(7931), 1,
      sym__soft_identifier,
    STATE(12779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [577640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [577665] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(14634), 1,
      sym_operator_identifier,
    STATE(5899), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577702] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4880), 1,
      sym__alpha_identifier,
    ACTIONS(4892), 1,
      sym__backquoted_id,
    ACTIONS(14636), 1,
      sym_operator_identifier,
    STATE(5721), 1,
      sym__soft_identifier,
    STATE(6372), 1,
      sym_identifier,
    STATE(6379), 1,
      sym__type_identifier,
    STATE(12783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4888), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [577764] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6512), 1,
      sym__alpha_identifier,
    ACTIONS(6526), 1,
      sym__backquoted_id,
    ACTIONS(14638), 1,
      sym_operator_identifier,
    STATE(6486), 1,
      sym__soft_identifier,
    STATE(7071), 1,
      sym_identifier,
    STATE(7189), 1,
      sym__type_identifier,
    STATE(12785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577801] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14384), 1,
      anon_sym_LBRACK,
    STATE(7130), 1,
      sym_type_arguments,
    STATE(12786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577880] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8018), 1,
      sym__alpha_identifier,
    ACTIONS(8030), 1,
      sym__backquoted_id,
    ACTIONS(14640), 1,
      sym_operator_identifier,
    STATE(5091), 1,
      sym_identifier,
    STATE(5118), 1,
      sym__type_identifier,
    STATE(5240), 1,
      sym__soft_identifier,
    STATE(12789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8026), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577917] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(13684), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12420), 1,
      sym_identifier,
    STATE(12797), 1,
      sym__type_identifier,
    STATE(12790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578004] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14566), 1,
      anon_sym_LBRACK,
    ACTIONS(14580), 1,
      anon_sym_match,
    STATE(7044), 1,
      sym_type_arguments,
    STATE(12793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [578035] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(14642), 1,
      sym_operator_identifier,
    STATE(6298), 1,
      sym__soft_identifier,
    STATE(6903), 1,
      sym__type_identifier,
    STATE(6917), 1,
      sym_identifier,
    STATE(12794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578072] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6378), 1,
      sym__alpha_identifier,
    ACTIONS(6392), 1,
      sym__backquoted_id,
    ACTIONS(14644), 1,
      sym_operator_identifier,
    STATE(5770), 1,
      sym__soft_identifier,
    STATE(6354), 1,
      sym__type_identifier,
    STATE(6362), 1,
      sym_identifier,
    STATE(12795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578109] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14182), 1,
      anon_sym_match,
    ACTIONS(14646), 1,
      sym_operator_identifier,
    STATE(5935), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [578171] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14648), 1,
      anon_sym_LBRACK,
    STATE(7065), 1,
      sym_type_arguments,
    STATE(12798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [578200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14648), 1,
      anon_sym_LBRACK,
    STATE(7065), 1,
      sym_type_arguments,
    STATE(12799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [578229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [578256] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14650), 1,
      sym__alpha_identifier,
    ACTIONS(14652), 1,
      anon_sym_LBRACE,
    ACTIONS(14654), 1,
      anon_sym_LBRACK,
    ACTIONS(14658), 1,
      sym__backquoted_id,
    STATE(6161), 1,
      sym_identifier,
    STATE(6296), 1,
      sym__soft_identifier,
    STATE(12801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578293] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14093), 1,
      sym__alpha_identifier,
    ACTIONS(14101), 1,
      sym__backquoted_id,
    ACTIONS(14660), 1,
      anon_sym_LBRACE,
    ACTIONS(14662), 1,
      anon_sym_LBRACK,
    STATE(9104), 1,
      sym__soft_identifier,
    STATE(9321), 1,
      sym_identifier,
    STATE(12802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14099), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578330] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8324), 1,
      sym__alpha_identifier,
    ACTIONS(8332), 1,
      sym__backquoted_id,
    ACTIONS(14664), 1,
      sym_operator_identifier,
    STATE(6835), 1,
      sym__soft_identifier,
    STATE(6869), 1,
      sym__type_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(12803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8328), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578367] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14648), 1,
      anon_sym_LBRACK,
    ACTIONS(14666), 1,
      anon_sym_match,
    STATE(7065), 1,
      sym_type_arguments,
    STATE(12804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [578398] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14668), 1,
      anon_sym_match,
    ACTIONS(14670), 1,
      sym_operator_identifier,
    STATE(5813), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14648), 1,
      anon_sym_LBRACK,
    STATE(7065), 1,
      sym_type_arguments,
    STATE(12806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [578464] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14648), 1,
      anon_sym_LBRACK,
    STATE(7065), 1,
      sym_type_arguments,
    STATE(12807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [578493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(12808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [578520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [578545] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6892), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      sym__backquoted_id,
    ACTIONS(14672), 1,
      sym_operator_identifier,
    STATE(7574), 1,
      sym__soft_identifier,
    STATE(8371), 1,
      sym_identifier,
    STATE(8446), 1,
      sym__type_identifier,
    STATE(12810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6898), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578582] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4542), 1,
      sym__alpha_identifier,
    ACTIONS(4560), 1,
      sym__backquoted_id,
    ACTIONS(14674), 1,
      sym_operator_identifier,
    STATE(4834), 1,
      sym__soft_identifier,
    STATE(5161), 1,
      sym_identifier,
    STATE(5261), 1,
      sym__type_identifier,
    STATE(12811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [578669] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14590), 1,
      anon_sym_match,
    ACTIONS(14676), 1,
      sym_operator_identifier,
    STATE(5743), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578706] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14648), 1,
      anon_sym_LBRACK,
    ACTIONS(14666), 1,
      anon_sym_match,
    STATE(7065), 1,
      sym_type_arguments,
    STATE(12815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [578737] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14089), 1,
      anon_sym_match,
    ACTIONS(14678), 1,
      sym_operator_identifier,
    STATE(5674), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [578801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [578826] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4860), 1,
      sym__alpha_identifier,
    ACTIONS(4872), 1,
      sym__backquoted_id,
    ACTIONS(14680), 1,
      sym_operator_identifier,
    STATE(4972), 1,
      sym__soft_identifier,
    STATE(5373), 1,
      sym_identifier,
    STATE(5446), 1,
      sym__type_identifier,
    STATE(12819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4868), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [578888] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14182), 1,
      anon_sym_match,
    ACTIONS(14682), 1,
      sym_operator_identifier,
    STATE(5606), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578925] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6644), 1,
      sym__alpha_identifier,
    ACTIONS(6658), 1,
      sym__backquoted_id,
    ACTIONS(14684), 1,
      sym_operator_identifier,
    STATE(4765), 1,
      sym__soft_identifier,
    STATE(4824), 1,
      sym__type_identifier,
    STATE(4850), 1,
      sym_identifier,
    STATE(12822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578962] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8098), 1,
      sym__alpha_identifier,
    ACTIONS(8106), 1,
      sym__backquoted_id,
    ACTIONS(14686), 1,
      sym_operator_identifier,
    STATE(8454), 1,
      sym__type_identifier,
    STATE(8588), 1,
      sym_identifier,
    STATE(8650), 1,
      sym__soft_identifier,
    STATE(12823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8102), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578999] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14688), 1,
      sym__alpha_identifier,
    ACTIONS(14690), 1,
      anon_sym_LBRACE,
    ACTIONS(14692), 1,
      anon_sym_LBRACK,
    ACTIONS(14696), 1,
      sym__backquoted_id,
    STATE(10078), 1,
      sym_identifier,
    STATE(10263), 1,
      sym__soft_identifier,
    STATE(12824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579036] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14280), 1,
      sym__alpha_identifier,
    ACTIONS(14288), 1,
      sym__backquoted_id,
    ACTIONS(14698), 1,
      anon_sym_LBRACE,
    ACTIONS(14700), 1,
      anon_sym_LBRACK,
    STATE(6433), 1,
      sym_identifier,
    STATE(6517), 1,
      sym__soft_identifier,
    STATE(12825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [579100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13240), 1,
      sym_arguments,
    STATE(12827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [579154] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14258), 1,
      anon_sym_match,
    ACTIONS(14702), 1,
      sym_operator_identifier,
    STATE(5782), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579216] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6766), 1,
      sym__backquoted_id,
    ACTIONS(14704), 1,
      sym_operator_identifier,
    STATE(8350), 1,
      sym__soft_identifier,
    STATE(9092), 1,
      sym_identifier,
    STATE(9397), 1,
      sym__type_identifier,
    STATE(12831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6762), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579253] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(14084), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11799), 1,
      sym_identifier,
    STATE(14412), 1,
      sym__function_constructor,
    STATE(12832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579290] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6582), 1,
      sym__alpha_identifier,
    ACTIONS(6596), 1,
      sym__backquoted_id,
    ACTIONS(14706), 1,
      sym_operator_identifier,
    STATE(9432), 1,
      sym__soft_identifier,
    STATE(9584), 1,
      sym_identifier,
    STATE(9596), 1,
      sym__type_identifier,
    STATE(12833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6592), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579327] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(14084), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11799), 1,
      sym_identifier,
    STATE(14342), 1,
      sym__function_constructor,
    STATE(12834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [579389] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13095), 1,
      sym__alpha_identifier,
    ACTIONS(13103), 1,
      sym__backquoted_id,
    ACTIONS(14708), 1,
      sym_operator_identifier,
    STATE(14409), 1,
      sym__soft_identifier,
    STATE(14494), 1,
      sym_identifier,
    STATE(15013), 1,
      sym_simple_enum_case,
    STATE(12836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13101), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579426] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14710), 1,
      sym__alpha_identifier,
    ACTIONS(14712), 1,
      anon_sym_LBRACE,
    ACTIONS(14714), 1,
      anon_sym_LBRACK,
    ACTIONS(14718), 1,
      sym__backquoted_id,
    STATE(8843), 1,
      sym__soft_identifier,
    STATE(8916), 1,
      sym_identifier,
    STATE(12837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579463] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14204), 1,
      sym__alpha_identifier,
    ACTIONS(14212), 1,
      sym__backquoted_id,
    ACTIONS(14720), 1,
      anon_sym_LBRACE,
    ACTIONS(14722), 1,
      anon_sym_LBRACK,
    STATE(10920), 1,
      sym__soft_identifier,
    STATE(11163), 1,
      sym_identifier,
    STATE(12838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579500] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12063), 1,
      sym__alpha_identifier,
    ACTIONS(12071), 1,
      sym__backquoted_id,
    ACTIONS(14724), 1,
      sym_operator_identifier,
    STATE(10956), 1,
      sym__soft_identifier,
    STATE(11266), 1,
      sym__type_identifier,
    STATE(11274), 1,
      sym_identifier,
    STATE(12839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12067), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579537] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8405), 1,
      sym__alpha_identifier,
    ACTIONS(8413), 1,
      sym__backquoted_id,
    ACTIONS(14726), 1,
      sym_operator_identifier,
    STATE(7986), 1,
      sym__soft_identifier,
    STATE(8188), 1,
      sym__type_identifier,
    STATE(8205), 1,
      sym_identifier,
    STATE(12840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8409), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14728), 1,
      anon_sym_end,
    STATE(7906), 1,
      sym__end_marker,
    STATE(12841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [579603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [579628] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14668), 1,
      anon_sym_match,
    ACTIONS(14730), 1,
      sym_operator_identifier,
    STATE(5502), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579665] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6630), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      sym__backquoted_id,
    ACTIONS(14732), 1,
      sym_operator_identifier,
    STATE(6327), 1,
      sym__soft_identifier,
    STATE(7234), 1,
      sym_identifier,
    STATE(7245), 1,
      sym__type_identifier,
    STATE(12844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6636), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579702] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(14180), 1,
      sym_operator_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(11852), 1,
      sym_identifier,
    STATE(14995), 1,
      sym__object_definition,
    STATE(12845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579764] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(489), 1,
      sym__alpha_identifier,
    ACTIONS(553), 1,
      sym__backquoted_id,
    ACTIONS(14295), 1,
      sym_operator_identifier,
    STATE(5822), 1,
      sym__soft_identifier,
    STATE(14372), 1,
      sym_identifier,
    STATE(14454), 1,
      sym__namespace_expression,
    STATE(12847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(677), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579801] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(14084), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11799), 1,
      sym_identifier,
    STATE(14467), 1,
      sym__function_constructor,
    STATE(12848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579838] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(489), 1,
      sym__alpha_identifier,
    ACTIONS(553), 1,
      sym__backquoted_id,
    ACTIONS(14295), 1,
      sym_operator_identifier,
    STATE(5822), 1,
      sym__soft_identifier,
    STATE(14372), 1,
      sym_identifier,
    STATE(14450), 1,
      sym__namespace_expression,
    STATE(12849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(677), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579875] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14734), 1,
      sym__alpha_identifier,
    ACTIONS(14736), 1,
      anon_sym_LBRACE,
    ACTIONS(14738), 1,
      anon_sym_LBRACK,
    ACTIONS(14742), 1,
      sym__backquoted_id,
    STATE(8503), 1,
      sym_identifier,
    STATE(8661), 1,
      sym__soft_identifier,
    STATE(12850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14384), 1,
      anon_sym_LBRACK,
    STATE(7130), 1,
      sym_type_arguments,
    STATE(12851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [579941] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(13570), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11357), 1,
      sym_identifier,
    STATE(12113), 1,
      sym__type_identifier,
    STATE(12852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579978] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(13492), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12942), 1,
      sym_identifier,
    STATE(13971), 1,
      sym__type_identifier,
    STATE(12853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580015] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6494), 1,
      sym__alpha_identifier,
    ACTIONS(6508), 1,
      sym__backquoted_id,
    ACTIONS(14744), 1,
      sym_operator_identifier,
    STATE(7922), 1,
      sym__soft_identifier,
    STATE(8859), 1,
      sym__type_identifier,
    STATE(8877), 1,
      sym_identifier,
    STATE(12854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6504), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580052] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11859), 1,
      sym__alpha_identifier,
    ACTIONS(11867), 1,
      sym__backquoted_id,
    ACTIONS(14166), 1,
      sym_operator_identifier,
    STATE(11376), 1,
      sym__soft_identifier,
    STATE(12336), 1,
      sym_identifier,
    STATE(14386), 1,
      sym__function_constructor,
    STATE(12855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580089] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14746), 1,
      sym__alpha_identifier,
    ACTIONS(14748), 1,
      anon_sym_LBRACE,
    ACTIONS(14750), 1,
      anon_sym_LBRACK,
    ACTIONS(14754), 1,
      sym__backquoted_id,
    STATE(7665), 1,
      sym_identifier,
    STATE(8106), 1,
      sym__soft_identifier,
    STATE(12856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14752), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14384), 1,
      anon_sym_LBRACK,
    STATE(7130), 1,
      sym_type_arguments,
    STATE(12857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [580155] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14756), 1,
      anon_sym_match,
    ACTIONS(14758), 1,
      sym_operator_identifier,
    STATE(5551), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580192] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4828), 1,
      sym__alpha_identifier,
    ACTIONS(4846), 1,
      sym__backquoted_id,
    ACTIONS(14760), 1,
      sym_operator_identifier,
    STATE(4562), 1,
      sym__soft_identifier,
    STATE(4695), 1,
      sym__type_identifier,
    STATE(4758), 1,
      sym_identifier,
    STATE(12859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580229] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6542), 1,
      sym__alpha_identifier,
    ACTIONS(6552), 1,
      sym__backquoted_id,
    ACTIONS(14762), 1,
      sym_operator_identifier,
    STATE(7256), 1,
      sym__soft_identifier,
    STATE(8074), 1,
      sym__type_identifier,
    STATE(8100), 1,
      sym_identifier,
    STATE(12860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580266] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14746), 1,
      sym__alpha_identifier,
    ACTIONS(14754), 1,
      sym__backquoted_id,
    ACTIONS(14764), 1,
      anon_sym_LBRACE,
    ACTIONS(14766), 1,
      anon_sym_LBRACK,
    STATE(7666), 1,
      sym_identifier,
    STATE(8106), 1,
      sym__soft_identifier,
    STATE(12861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14752), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [580328] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14384), 1,
      anon_sym_LBRACK,
    ACTIONS(14386), 1,
      anon_sym_match,
    STATE(7130), 1,
      sym_type_arguments,
    STATE(12863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [580359] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14566), 1,
      anon_sym_LBRACK,
    STATE(7044), 1,
      sym_type_arguments,
    STATE(12864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [580388] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14768), 1,
      anon_sym_catch,
    ACTIONS(14770), 1,
      anon_sym_finally,
    STATE(12661), 1,
      sym_finally_clause,
    STATE(13479), 1,
      sym_catch_clause,
    STATE(12865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [580421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(12866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [580448] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14258), 1,
      anon_sym_match,
    ACTIONS(14772), 1,
      sym_operator_identifier,
    STATE(5844), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580485] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5120), 1,
      sym__alpha_identifier,
    ACTIONS(5132), 1,
      sym__backquoted_id,
    ACTIONS(14774), 1,
      sym_operator_identifier,
    STATE(7527), 1,
      sym__soft_identifier,
    STATE(8299), 1,
      sym__type_identifier,
    STATE(8345), 1,
      sym_identifier,
    STATE(12868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580522] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12860), 1,
      sym__alpha_identifier,
    ACTIONS(12864), 1,
      sym__backquoted_id,
    ACTIONS(14776), 1,
      sym_operator_identifier,
    STATE(14251), 1,
      sym__soft_identifier,
    STATE(14537), 1,
      sym_identifier,
    STATE(14864), 1,
      sym_simple_enum_case,
    STATE(12869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [580584] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14778), 1,
      sym__alpha_identifier,
    ACTIONS(14780), 1,
      anon_sym_LBRACE,
    ACTIONS(14782), 1,
      anon_sym_LBRACK,
    ACTIONS(14786), 1,
      sym__backquoted_id,
    STATE(7910), 1,
      sym__soft_identifier,
    STATE(8000), 1,
      sym_identifier,
    STATE(12871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580621] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14236), 1,
      sym__alpha_identifier,
    ACTIONS(14244), 1,
      sym__backquoted_id,
    ACTIONS(14788), 1,
      anon_sym_LBRACE,
    ACTIONS(14790), 1,
      anon_sym_LBRACK,
    STATE(7941), 1,
      sym__soft_identifier,
    STATE(8016), 1,
      sym_identifier,
    STATE(12872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580658] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14792), 1,
      sym__alpha_identifier,
    ACTIONS(14794), 1,
      anon_sym_LBRACE,
    ACTIONS(14796), 1,
      anon_sym_LBRACK,
    ACTIONS(14800), 1,
      sym__backquoted_id,
    STATE(7069), 1,
      sym_identifier,
    STATE(7091), 1,
      sym__soft_identifier,
    STATE(12873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14798), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580695] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14340), 1,
      anon_sym_match,
    ACTIONS(14802), 1,
      sym_operator_identifier,
    STATE(5594), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580732] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14089), 1,
      anon_sym_match,
    ACTIONS(14804), 1,
      sym_operator_identifier,
    STATE(5492), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580769] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14457), 1,
      sym__alpha_identifier,
    ACTIONS(14465), 1,
      sym__backquoted_id,
    ACTIONS(14806), 1,
      anon_sym_LBRACE,
    ACTIONS(14808), 1,
      anon_sym_LBRACK,
    STATE(8296), 1,
      sym_identifier,
    STATE(8632), 1,
      sym__soft_identifier,
    STATE(12876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14463), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580806] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4898), 1,
      sym__alpha_identifier,
    ACTIONS(4910), 1,
      sym__backquoted_id,
    ACTIONS(14810), 1,
      sym_operator_identifier,
    STATE(6283), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_identifier,
    STATE(6938), 1,
      sym__type_identifier,
    STATE(12877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4906), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580843] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(14316), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__soft_identifier,
    STATE(14185), 1,
      sym_identifier,
    STATE(14442), 1,
      sym__namespace_expression,
    STATE(12878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580880] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11847), 1,
      sym__alpha_identifier,
    ACTIONS(11855), 1,
      sym__backquoted_id,
    ACTIONS(14812), 1,
      sym_operator_identifier,
    STATE(11565), 1,
      sym__soft_identifier,
    STATE(11977), 1,
      sym__type_identifier,
    STATE(11989), 1,
      sym_identifier,
    STATE(12879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11851), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580917] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8136), 1,
      sym__alpha_identifier,
    ACTIONS(8144), 1,
      sym__backquoted_id,
    ACTIONS(14814), 1,
      sym_operator_identifier,
    STATE(5272), 1,
      sym__soft_identifier,
    STATE(5317), 1,
      sym_identifier,
    STATE(5394), 1,
      sym__type_identifier,
    STATE(12880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14384), 1,
      anon_sym_LBRACK,
    STATE(7130), 1,
      sym_type_arguments,
    STATE(12881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [580983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [581008] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(14303), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11465), 1,
      sym_identifier,
    STATE(14361), 1,
      sym__class_constructor,
    STATE(12883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581045] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(13384), 1,
      sym_operator_identifier,
    ACTIONS(14816), 1,
      anon_sym_match,
    STATE(5667), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581082] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      sym__alpha_identifier,
    ACTIONS(6570), 1,
      sym__backquoted_id,
    ACTIONS(14818), 1,
      sym_operator_identifier,
    STATE(8445), 1,
      sym__soft_identifier,
    STATE(9292), 1,
      sym__type_identifier,
    STATE(9522), 1,
      sym_identifier,
    STATE(12885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6566), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581119] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7520), 1,
      sym__alpha_identifier,
    ACTIONS(7528), 1,
      sym__backquoted_id,
    ACTIONS(14820), 1,
      sym_operator_identifier,
    STATE(11508), 1,
      sym__soft_identifier,
    STATE(11834), 1,
      sym_identifier,
    STATE(11878), 1,
      sym__type_identifier,
    STATE(12886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581156] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14822), 1,
      anon_sym_match,
    ACTIONS(14824), 1,
      sym_operator_identifier,
    STATE(5661), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581193] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14828), 1,
      anon_sym_LPAREN,
    ACTIONS(14831), 1,
      sym__automatic_semicolon,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(12888), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__function_constructor_repeat1,
    ACTIONS(14826), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [581226] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(14303), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11465), 1,
      sym_identifier,
    STATE(14258), 1,
      sym__class_constructor,
    STATE(12889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581263] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6730), 1,
      sym__alpha_identifier,
    ACTIONS(6744), 1,
      sym__backquoted_id,
    ACTIONS(14834), 1,
      sym_operator_identifier,
    STATE(6390), 1,
      sym__soft_identifier,
    STATE(6942), 1,
      sym__type_identifier,
    STATE(7110), 1,
      sym_identifier,
    STATE(12890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581300] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14118), 1,
      sym__alpha_identifier,
    ACTIONS(14126), 1,
      sym__backquoted_id,
    ACTIONS(14836), 1,
      sym_operator_identifier,
    STATE(4317), 1,
      sym__type_identifier,
    STATE(10772), 1,
      sym_identifier,
    STATE(10869), 1,
      sym__soft_identifier,
    STATE(12891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14124), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581337] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8276), 1,
      sym__alpha_identifier,
    ACTIONS(8288), 1,
      sym__backquoted_id,
    ACTIONS(14838), 1,
      sym_operator_identifier,
    STATE(4822), 1,
      sym_identifier,
    STATE(4871), 1,
      sym__type_identifier,
    STATE(4959), 1,
      sym__soft_identifier,
    STATE(12892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8284), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581374] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4222), 1,
      sym__alpha_identifier,
    ACTIONS(4240), 1,
      sym__backquoted_id,
    ACTIONS(14840), 1,
      sym_operator_identifier,
    STATE(6328), 1,
      sym__soft_identifier,
    STATE(6944), 1,
      sym_identifier,
    STATE(7126), 1,
      sym__type_identifier,
    STATE(12893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(12894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [581438] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4290), 1,
      sym__alpha_identifier,
    ACTIONS(4308), 1,
      sym__backquoted_id,
    ACTIONS(14842), 1,
      sym_operator_identifier,
    STATE(5420), 1,
      sym__soft_identifier,
    STATE(5988), 1,
      sym__type_identifier,
    STATE(5995), 1,
      sym_identifier,
    STATE(12895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4302), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581475] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(14844), 1,
      sym_operator_identifier,
    STATE(5500), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581512] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(14848), 1,
      sym__automatic_semicolon,
    STATE(12975), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(12897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14846), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [581547] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4798), 1,
      sym__alpha_identifier,
    ACTIONS(4816), 1,
      sym__backquoted_id,
    ACTIONS(14850), 1,
      sym_operator_identifier,
    STATE(6719), 1,
      sym__soft_identifier,
    STATE(6793), 1,
      sym__type_identifier,
    STATE(6838), 1,
      sym_identifier,
    STATE(12898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4810), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581584] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(14854), 1,
      sym__automatic_semicolon,
    STATE(12888), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(12899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14852), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [581619] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14856), 1,
      anon_sym_COMMA,
    ACTIONS(14858), 1,
      anon_sym_with,
    STATE(13678), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13706), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(12900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14042), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [581652] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8419), 1,
      sym__alpha_identifier,
    ACTIONS(8431), 1,
      sym__backquoted_id,
    ACTIONS(14860), 1,
      sym_operator_identifier,
    STATE(4877), 1,
      sym__soft_identifier,
    STATE(4966), 1,
      sym_identifier,
    STATE(5011), 1,
      sym__type_identifier,
    STATE(12901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8427), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581689] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14862), 1,
      anon_sym_match,
    ACTIONS(14864), 1,
      sym_operator_identifier,
    STATE(5708), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14866), 1,
      anon_sym_DOT,
    STATE(12903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [581753] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14778), 1,
      sym__alpha_identifier,
    ACTIONS(14786), 1,
      sym__backquoted_id,
    ACTIONS(14868), 1,
      anon_sym_LBRACE,
    ACTIONS(14870), 1,
      anon_sym_LBRACK,
    STATE(7586), 1,
      sym_identifier,
    STATE(7910), 1,
      sym__soft_identifier,
    STATE(12904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581790] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14872), 1,
      anon_sym_catch,
    ACTIONS(14874), 1,
      anon_sym_finally,
    STATE(11850), 1,
      sym_finally_clause,
    STATE(13335), 1,
      sym_catch_clause,
    STATE(12905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [581823] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6784), 1,
      sym__alpha_identifier,
    ACTIONS(6794), 1,
      sym__backquoted_id,
    ACTIONS(14876), 1,
      sym_operator_identifier,
    STATE(4532), 1,
      sym__soft_identifier,
    STATE(4631), 1,
      sym__type_identifier,
    STATE(4734), 1,
      sym_identifier,
    STATE(12906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6790), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581860] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(14312), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11505), 1,
      sym_identifier,
    STATE(14592), 1,
      sym__object_definition,
    STATE(12907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581897] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14878), 1,
      anon_sym_match,
    ACTIONS(14880), 1,
      sym_operator_identifier,
    STATE(5647), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [581959] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14710), 1,
      sym__alpha_identifier,
    ACTIONS(14718), 1,
      sym__backquoted_id,
    ACTIONS(14882), 1,
      anon_sym_LBRACE,
    ACTIONS(14884), 1,
      anon_sym_LBRACK,
    STATE(8348), 1,
      sym_identifier,
    STATE(8843), 1,
      sym__soft_identifier,
    STATE(12910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581996] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4728), 1,
      sym__alpha_identifier,
    ACTIONS(4746), 1,
      sym__backquoted_id,
    ACTIONS(14886), 1,
      sym_operator_identifier,
    STATE(5528), 1,
      sym__soft_identifier,
    STATE(6662), 1,
      sym__type_identifier,
    STATE(6669), 1,
      sym_identifier,
    STATE(12911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582033] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14608), 1,
      sym__alpha_identifier,
    ACTIONS(14616), 1,
      sym__backquoted_id,
    ACTIONS(14888), 1,
      anon_sym_LBRACE,
    ACTIONS(14890), 1,
      anon_sym_LBRACK,
    STATE(9712), 1,
      sym_identifier,
    STATE(9744), 1,
      sym__soft_identifier,
    STATE(12912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582070] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8338), 1,
      sym__alpha_identifier,
    ACTIONS(8346), 1,
      sym__backquoted_id,
    ACTIONS(14892), 1,
      sym_operator_identifier,
    STATE(7232), 1,
      sym__soft_identifier,
    STATE(7311), 1,
      sym_identifier,
    STATE(7327), 1,
      sym__type_identifier,
    STATE(12913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14894), 1,
      anon_sym_STAR,
    STATE(12914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [582134] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14439), 1,
      anon_sym_match,
    ACTIONS(14896), 1,
      sym_operator_identifier,
    STATE(5779), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582171] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8352), 1,
      sym__alpha_identifier,
    ACTIONS(8360), 1,
      sym__backquoted_id,
    ACTIONS(14898), 1,
      sym_operator_identifier,
    STATE(6565), 1,
      sym__type_identifier,
    STATE(6610), 1,
      sym_identifier,
    STATE(6672), 1,
      sym__soft_identifier,
    STATE(12916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582208] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(14900), 1,
      sym_operator_identifier,
    STATE(7607), 1,
      sym__soft_identifier,
    STATE(8427), 1,
      sym__type_identifier,
    STATE(8605), 1,
      sym_identifier,
    STATE(12917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582270] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14904), 1,
      anon_sym_LPAREN,
    ACTIONS(14907), 1,
      sym__automatic_semicolon,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(12919), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__class_constructor_repeat1,
    ACTIONS(14902), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [582301] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14792), 1,
      sym__alpha_identifier,
    ACTIONS(14800), 1,
      sym__backquoted_id,
    ACTIONS(14910), 1,
      anon_sym_LBRACE,
    ACTIONS(14912), 1,
      anon_sym_LBRACK,
    STATE(6821), 1,
      sym_identifier,
    STATE(7091), 1,
      sym__soft_identifier,
    STATE(12920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14798), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582338] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14344), 1,
      sym__alpha_identifier,
    ACTIONS(14352), 1,
      sym__backquoted_id,
    ACTIONS(14914), 1,
      anon_sym_LBRACE,
    ACTIONS(14916), 1,
      anon_sym_LBRACK,
    STATE(10202), 1,
      sym__soft_identifier,
    STATE(10339), 1,
      sym_identifier,
    STATE(12921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582375] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14590), 1,
      anon_sym_match,
    ACTIONS(14918), 1,
      sym_operator_identifier,
    STATE(5800), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582412] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6910), 1,
      sym__alpha_identifier,
    ACTIONS(6920), 1,
      sym__backquoted_id,
    ACTIONS(14920), 1,
      sym_operator_identifier,
    STATE(4929), 1,
      sym__soft_identifier,
    STATE(5119), 1,
      sym__type_identifier,
    STATE(5222), 1,
      sym_identifier,
    STATE(12923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6916), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(12924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [582476] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(14922), 1,
      sym_operator_identifier,
    STATE(5892), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582513] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6364), 1,
      sym__alpha_identifier,
    ACTIONS(6374), 1,
      sym__backquoted_id,
    ACTIONS(14924), 1,
      sym_operator_identifier,
    STATE(7207), 1,
      sym__soft_identifier,
    STATE(7878), 1,
      sym__type_identifier,
    STATE(8158), 1,
      sym_identifier,
    STATE(12926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6370), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582550] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12168), 1,
      sym__alpha_identifier,
    ACTIONS(12176), 1,
      sym__backquoted_id,
    ACTIONS(14926), 1,
      sym_operator_identifier,
    STATE(11434), 1,
      sym__soft_identifier,
    STATE(12487), 1,
      sym__type_identifier,
    STATE(12517), 1,
      sym_identifier,
    STATE(12927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582587] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8455), 1,
      sym__alpha_identifier,
    ACTIONS(8463), 1,
      sym__backquoted_id,
    ACTIONS(14928), 1,
      sym_operator_identifier,
    STATE(5570), 1,
      sym__soft_identifier,
    STATE(5684), 1,
      sym_identifier,
    STATE(5713), 1,
      sym__type_identifier,
    STATE(12928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8459), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582624] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7840), 1,
      sym__alpha_identifier,
    ACTIONS(7852), 1,
      sym__backquoted_id,
    ACTIONS(14930), 1,
      sym_operator_identifier,
    STATE(11889), 1,
      sym__soft_identifier,
    STATE(12209), 1,
      sym__type_identifier,
    STATE(12263), 1,
      sym_identifier,
    STATE(12929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582661] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14768), 1,
      anon_sym_catch,
    ACTIONS(14932), 1,
      anon_sym_finally,
    STATE(12125), 1,
      sym_finally_clause,
    STATE(13519), 1,
      sym_catch_clause,
    STATE(12930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [582694] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6830), 1,
      sym__alpha_identifier,
    ACTIONS(6844), 1,
      sym__backquoted_id,
    ACTIONS(14934), 1,
      sym_operator_identifier,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(5264), 1,
      sym_identifier,
    STATE(5339), 1,
      sym__type_identifier,
    STATE(12931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582731] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13254), 1,
      anon_sym_LT_COLON,
    ACTIONS(13256), 1,
      anon_sym_GT_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(13527), 1,
      sym_lower_bound,
    STATE(14226), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14229), 1,
      sym_upper_bound,
    STATE(14619), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(14936), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(12932), 2,
      sym_comment,
      sym_block_comment,
  [582776] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11881), 1,
      sym__alpha_identifier,
    ACTIONS(11889), 1,
      sym__backquoted_id,
    ACTIONS(14938), 1,
      sym_operator_identifier,
    STATE(12703), 1,
      sym__soft_identifier,
    STATE(13220), 1,
      sym_identifier,
    STATE(13225), 1,
      sym__type_identifier,
    STATE(12933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11885), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582838] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14668), 1,
      anon_sym_match,
    ACTIONS(14940), 1,
      sym_operator_identifier,
    STATE(5832), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582875] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12108), 1,
      sym__alpha_identifier,
    ACTIONS(12116), 1,
      sym__backquoted_id,
    ACTIONS(14942), 1,
      sym_operator_identifier,
    STATE(11956), 1,
      sym__soft_identifier,
    STATE(12248), 1,
      sym_identifier,
    STATE(12259), 1,
      sym__type_identifier,
    STATE(12936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12112), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582912] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6972), 1,
      sym__alpha_identifier,
    ACTIONS(6986), 1,
      sym__backquoted_id,
    ACTIONS(14944), 1,
      sym_operator_identifier,
    STATE(5835), 1,
      sym__soft_identifier,
    STATE(6169), 1,
      sym__type_identifier,
    STATE(6182), 1,
      sym_identifier,
    STATE(12937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6982), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582949] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6710), 1,
      sym__alpha_identifier,
    ACTIONS(6724), 1,
      sym__backquoted_id,
    ACTIONS(14946), 1,
      sym_operator_identifier,
    STATE(6293), 1,
      sym__soft_identifier,
    STATE(6800), 1,
      sym_identifier,
    STATE(6812), 1,
      sym__type_identifier,
    STATE(12938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6720), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582986] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14948), 1,
      anon_sym_catch,
    ACTIONS(14950), 1,
      anon_sym_finally,
    STATE(11850), 1,
      sym_finally_clause,
    STATE(13325), 1,
      sym_catch_clause,
    STATE(12939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [583019] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14734), 1,
      sym__alpha_identifier,
    ACTIONS(14742), 1,
      sym__backquoted_id,
    ACTIONS(14952), 1,
      anon_sym_LBRACE,
    ACTIONS(14954), 1,
      anon_sym_LBRACK,
    STATE(8338), 1,
      sym_identifier,
    STATE(8661), 1,
      sym__soft_identifier,
    STATE(12940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583056] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14406), 1,
      sym__alpha_identifier,
    ACTIONS(14414), 1,
      sym__backquoted_id,
    ACTIONS(14956), 1,
      anon_sym_LBRACE,
    ACTIONS(14958), 1,
      anon_sym_LBRACK,
    STATE(9368), 1,
      sym__soft_identifier,
    STATE(9398), 1,
      sym_identifier,
    STATE(12941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [583118] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14650), 1,
      sym__alpha_identifier,
    ACTIONS(14658), 1,
      sym__backquoted_id,
    ACTIONS(14960), 1,
      anon_sym_LBRACE,
    ACTIONS(14962), 1,
      anon_sym_LBRACK,
    STATE(6296), 1,
      sym__soft_identifier,
    STATE(6630), 1,
      sym_identifier,
    STATE(12943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583155] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11936), 1,
      sym__alpha_identifier,
    ACTIONS(11944), 1,
      sym__backquoted_id,
    ACTIONS(14964), 1,
      sym_operator_identifier,
    STATE(13232), 1,
      sym__soft_identifier,
    STATE(13635), 1,
      sym__type_identifier,
    STATE(13660), 1,
      sym_identifier,
    STATE(12944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11940), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583192] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14598), 1,
      sym__alpha_identifier,
    ACTIONS(14606), 1,
      sym__backquoted_id,
    ACTIONS(14966), 1,
      anon_sym_LBRACE,
    ACTIONS(14968), 1,
      anon_sym_LBRACK,
    STATE(8488), 1,
      sym_identifier,
    STATE(8655), 1,
      sym__soft_identifier,
    STATE(12945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14604), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583229] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14688), 1,
      sym__alpha_identifier,
    ACTIONS(14696), 1,
      sym__backquoted_id,
    ACTIONS(14970), 1,
      anon_sym_LBRACE,
    ACTIONS(14972), 1,
      anon_sym_LBRACK,
    STATE(10147), 1,
      sym_identifier,
    STATE(10263), 1,
      sym__soft_identifier,
    STATE(12946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583266] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7814), 1,
      sym__backquoted_id,
    ACTIONS(7916), 1,
      anon_sym_EQ_GT,
    ACTIONS(7918), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(12947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7808), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [583297] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14974), 1,
      anon_sym_match,
    ACTIONS(14976), 1,
      sym_operator_identifier,
    STATE(5790), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583334] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14590), 1,
      anon_sym_match,
    ACTIONS(14978), 1,
      sym_operator_identifier,
    STATE(5902), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583371] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14974), 1,
      anon_sym_match,
    ACTIONS(14980), 1,
      sym_operator_identifier,
    STATE(5818), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583408] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14982), 1,
      anon_sym_match,
    ACTIONS(14984), 1,
      sym_operator_identifier,
    STATE(5842), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [583470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [583495] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14986), 1,
      anon_sym_match,
    ACTIONS(14988), 1,
      sym_operator_identifier,
    STATE(5898), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583532] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4646), 1,
      sym__alpha_identifier,
    ACTIONS(4664), 1,
      sym__backquoted_id,
    ACTIONS(14990), 1,
      sym_operator_identifier,
    STATE(5116), 1,
      sym__soft_identifier,
    STATE(5857), 1,
      sym__type_identifier,
    STATE(5881), 1,
      sym_identifier,
    STATE(12955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583594] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7896), 1,
      sym__alpha_identifier,
    ACTIONS(7908), 1,
      sym__backquoted_id,
    ACTIONS(14992), 1,
      sym_operator_identifier,
    STATE(13652), 1,
      sym__soft_identifier,
    STATE(13734), 1,
      sym_identifier,
    STATE(13912), 1,
      sym__type_identifier,
    STATE(12957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583631] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14432), 1,
      sym_operator_identifier,
    ACTIONS(14994), 1,
      anon_sym_match,
    STATE(5725), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583668] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14668), 1,
      anon_sym_match,
    ACTIONS(14996), 1,
      sym_operator_identifier,
    STATE(5924), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14998), 1,
      anon_sym_DOT,
    STATE(12961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [583757] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6614), 1,
      sym__alpha_identifier,
    ACTIONS(6624), 1,
      sym__backquoted_id,
    ACTIONS(15000), 1,
      sym_operator_identifier,
    STATE(8434), 1,
      sym__soft_identifier,
    STATE(9144), 1,
      sym_identifier,
    STATE(9234), 1,
      sym__type_identifier,
    STATE(12962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583819] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6476), 1,
      sym__alpha_identifier,
    ACTIONS(6490), 1,
      sym__backquoted_id,
    ACTIONS(15002), 1,
      sym_operator_identifier,
    STATE(6287), 1,
      sym__soft_identifier,
    STATE(6854), 1,
      sym_identifier,
    STATE(6864), 1,
      sym__type_identifier,
    STATE(12964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6486), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583856] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12025), 1,
      sym__alpha_identifier,
    ACTIONS(12033), 1,
      sym__backquoted_id,
    ACTIONS(15004), 1,
      sym_operator_identifier,
    STATE(13241), 1,
      sym__soft_identifier,
    STATE(13654), 1,
      sym__type_identifier,
    STATE(13674), 1,
      sym_identifier,
    STATE(12965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12029), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583893] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(15006), 1,
      anon_sym_extends,
    ACTIONS(15008), 1,
      anon_sym_LPAREN,
    STATE(14207), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14669), 1,
      sym_class_parameters,
    STATE(15040), 1,
      sym_extends_clause,
    STATE(15041), 1,
      sym_type_parameters,
    STATE(15729), 1,
      sym__full_enum_def,
    STATE(12966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14443), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [583934] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14756), 1,
      anon_sym_match,
    ACTIONS(15010), 1,
      sym_operator_identifier,
    STATE(5956), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [583996] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6238), 1,
      sym__alpha_identifier,
    ACTIONS(6252), 1,
      sym__backquoted_id,
    ACTIONS(15012), 1,
      sym_operator_identifier,
    STATE(7355), 1,
      sym__soft_identifier,
    STATE(7627), 1,
      sym__type_identifier,
    STATE(7772), 1,
      sym_identifier,
    STATE(12969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6248), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584033] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14384), 1,
      anon_sym_LBRACK,
    STATE(7130), 1,
      sym_type_arguments,
    STATE(12970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [584062] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14816), 1,
      anon_sym_match,
    ACTIONS(15014), 1,
      sym_operator_identifier,
    STATE(5872), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584099] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14822), 1,
      anon_sym_match,
    ACTIONS(15016), 1,
      sym_operator_identifier,
    STATE(5969), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584136] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14986), 1,
      anon_sym_match,
    ACTIONS(15018), 1,
      sym_operator_identifier,
    STATE(5922), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584173] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(15020), 1,
      sym_operator_identifier,
    STATE(6046), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584210] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(15024), 1,
      sym__automatic_semicolon,
    STATE(12888), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(12975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15022), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [584245] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4408), 1,
      sym__alpha_identifier,
    ACTIONS(4426), 1,
      sym__backquoted_id,
    ACTIONS(15026), 1,
      sym_operator_identifier,
    STATE(5262), 1,
      sym__soft_identifier,
    STATE(5581), 1,
      sym_identifier,
    STATE(5614), 1,
      sym__type_identifier,
    STATE(12976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4420), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584282] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(14303), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11465), 1,
      sym_identifier,
    STATE(14349), 1,
      sym__class_constructor,
    STATE(12977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584319] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(15028), 1,
      anon_sym_match,
    ACTIONS(15030), 1,
      sym_operator_identifier,
    STATE(5934), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584356] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8122), 1,
      sym__alpha_identifier,
    ACTIONS(8130), 1,
      sym__backquoted_id,
    ACTIONS(15032), 1,
      sym_operator_identifier,
    STATE(6717), 1,
      sym__type_identifier,
    STATE(6762), 1,
      sym_identifier,
    STATE(6765), 1,
      sym__soft_identifier,
    STATE(12979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8126), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584418] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8110), 1,
      sym__alpha_identifier,
    ACTIONS(8118), 1,
      sym__backquoted_id,
    ACTIONS(15034), 1,
      sym_operator_identifier,
    STATE(7200), 1,
      sym__soft_identifier,
    STATE(7415), 1,
      sym_identifier,
    STATE(7430), 1,
      sym__type_identifier,
    STATE(12981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8114), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584455] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6358), 1,
      sym__backquoted_id,
    ACTIONS(15036), 1,
      sym_operator_identifier,
    STATE(8182), 1,
      sym__soft_identifier,
    STATE(8524), 1,
      sym_identifier,
    STATE(8927), 1,
      sym__type_identifier,
    STATE(12982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6354), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584492] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(15038), 1,
      anon_sym_match,
    ACTIONS(15040), 1,
      sym_operator_identifier,
    STATE(5957), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584529] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14982), 1,
      anon_sym_match,
    ACTIONS(15042), 1,
      sym_operator_identifier,
    STATE(6021), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584566] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(15044), 1,
      anon_sym_match,
    ACTIONS(15046), 1,
      sym_operator_identifier,
    STATE(6055), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584603] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(14084), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(11799), 1,
      sym_identifier,
    STATE(14561), 1,
      sym__function_constructor,
    STATE(12986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584640] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4376), 1,
      sym__alpha_identifier,
    ACTIONS(4394), 1,
      sym__backquoted_id,
    ACTIONS(15048), 1,
      sym_operator_identifier,
    STATE(4882), 1,
      sym__soft_identifier,
    STATE(5279), 1,
      sym_identifier,
    STATE(5376), 1,
      sym__type_identifier,
    STATE(12987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584677] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(15038), 1,
      anon_sym_match,
    ACTIONS(15050), 1,
      sym_operator_identifier,
    STATE(6013), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584714] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12144), 1,
      sym__alpha_identifier,
    ACTIONS(12152), 1,
      sym__backquoted_id,
    ACTIONS(14312), 1,
      sym_operator_identifier,
    STATE(11225), 1,
      sym__soft_identifier,
    STATE(11505), 1,
      sym_identifier,
    STATE(14657), 1,
      sym__object_definition,
    STATE(12989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584751] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14172), 1,
      sym__alpha_identifier,
    ACTIONS(14176), 1,
      sym__backquoted_id,
    ACTIONS(15052), 1,
      anon_sym_LBRACE,
    ACTIONS(15054), 1,
      anon_sym_LBRACK,
    STATE(11314), 1,
      sym__soft_identifier,
    STATE(11876), 1,
      sym_identifier,
    STATE(12990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14174), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584788] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14495), 1,
      sym__alpha_identifier,
    ACTIONS(14503), 1,
      sym__backquoted_id,
    ACTIONS(15056), 1,
      anon_sym_LBRACE,
    ACTIONS(15058), 1,
      anon_sym_LBRACK,
    STATE(9317), 1,
      sym_identifier,
    STATE(9420), 1,
      sym__soft_identifier,
    STATE(12991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14501), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584825] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(15060), 1,
      sym_operator_identifier,
    STATE(5890), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584862] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14986), 1,
      anon_sym_match,
    ACTIONS(15062), 1,
      sym_operator_identifier,
    STATE(6086), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584924] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8839), 1,
      anon_sym_LBRACK,
    ACTIONS(8843), 1,
      anon_sym_POUND,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    STATE(4423), 1,
      sym_type_arguments,
    STATE(4485), 1,
      sym_arguments,
    STATE(13659), 1,
      aux_sym_annotation_repeat1,
    STATE(12995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [584961] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14467), 1,
      sym__alpha_identifier,
    ACTIONS(14475), 1,
      sym__backquoted_id,
    ACTIONS(15064), 1,
      sym_operator_identifier,
    STATE(4317), 1,
      sym__type_identifier,
    STATE(11562), 1,
      sym_identifier,
    STATE(11631), 1,
      sym__soft_identifier,
    STATE(12996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14473), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584998] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14862), 1,
      anon_sym_match,
    ACTIONS(15066), 1,
      sym_operator_identifier,
    STATE(6033), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585035] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(14986), 1,
      anon_sym_match,
    ACTIONS(15068), 1,
      sym_operator_identifier,
    STATE(6089), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(12998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585072] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14550), 1,
      sym__alpha_identifier,
    ACTIONS(14558), 1,
      sym__backquoted_id,
    ACTIONS(15070), 1,
      anon_sym_LBRACE,
    ACTIONS(15072), 1,
      anon_sym_LBRACK,
    STATE(9751), 1,
      sym__soft_identifier,
    STATE(9777), 1,
      sym_identifier,
    STATE(12999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14556), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585109] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13376), 1,
      sym__alpha_identifier,
    ACTIONS(13382), 1,
      sym__backquoted_id,
    ACTIONS(15028), 1,
      anon_sym_match,
    ACTIONS(15074), 1,
      sym_operator_identifier,
    STATE(6058), 1,
      sym_identifier,
    STATE(13360), 1,
      sym__soft_identifier,
    STATE(13000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585146] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8202), 1,
      sym__alpha_identifier,
    ACTIONS(8210), 1,
      sym__backquoted_id,
    ACTIONS(15076), 1,
      sym_operator_identifier,
    STATE(9125), 1,
      sym__soft_identifier,
    STATE(9276), 1,
      sym__type_identifier,
    STATE(9475), 1,
      sym_identifier,
    STATE(13001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8206), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585183] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_AT,
    ACTIONS(13612), 1,
      anon_sym_POUND,
    STATE(13941), 1,
      sym_type_arguments,
    STATE(14034), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14326), 1,
      sym_annotation,
    STATE(13002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [585220] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14546), 1,
      anon_sym_catch,
    ACTIONS(15078), 1,
      anon_sym_finally,
    STATE(12125), 1,
      sym_finally_clause,
    STATE(13508), 1,
      sym_catch_clause,
    STATE(13003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [585253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [585277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [585325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [585349] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15082), 1,
      anon_sym_match,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(13008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [585379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585427] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(15086), 1,
      anon_sym_LT_COLON,
    ACTIONS(15088), 1,
      anon_sym_GT_COLON,
    STATE(13956), 1,
      sym_type_parameters,
    STATE(14311), 1,
      sym_lower_bound,
    STATE(14496), 1,
      sym_upper_bound,
    STATE(13011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15084), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [585463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585511] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(846), 1,
      sym__alpha_identifier,
    ACTIONS(876), 1,
      sym__backquoted_id,
    ACTIONS(15090), 1,
      sym_operator_identifier,
    STATE(5575), 1,
      sym__soft_identifier,
    STATE(17513), 1,
      sym_identifier,
    STATE(13014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(856), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [585593] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15092), 1,
      anon_sym_catch,
    ACTIONS(15094), 1,
      anon_sym_finally,
    STATE(12669), 1,
      sym_finally_clause,
    STATE(13737), 1,
      sym_catch_clause,
    STATE(13017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [585625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [585699] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(15096), 1,
      sym__automatic_semicolon,
    STATE(13388), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14531), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [585731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585755] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14495), 1,
      sym__alpha_identifier,
    ACTIONS(14503), 1,
      sym__backquoted_id,
    ACTIONS(15099), 1,
      sym_operator_identifier,
    STATE(9252), 1,
      sym_identifier,
    STATE(9420), 1,
      sym__soft_identifier,
    STATE(13023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14501), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585789] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(489), 1,
      sym__alpha_identifier,
    ACTIONS(553), 1,
      sym__backquoted_id,
    ACTIONS(15101), 1,
      sym_operator_identifier,
    STATE(5822), 1,
      sym__soft_identifier,
    STATE(14468), 1,
      sym_identifier,
    STATE(13024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(677), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585823] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15103), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16553), 1,
      sym_identifier,
    STATE(13025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585881] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15082), 1,
      anon_sym_match,
    ACTIONS(15107), 1,
      anon_sym_if,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(14535), 1,
      sym_guard,
    STATE(13027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15105), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [585915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [585939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585965] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(15109), 1,
      sym__automatic_semicolon,
    STATE(13388), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14434), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [585997] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15112), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16571), 1,
      sym_identifier,
    STATE(13031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586031] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(13032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15114), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [586061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [586085] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(15116), 1,
      sym__automatic_semicolon,
    STATE(13388), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14425), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [586117] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(13035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15119), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [586147] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(15121), 1,
      sym__automatic_semicolon,
    STATE(13021), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14420), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [586179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586203] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(13568), 1,
      sym_operator_identifier,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15045), 1,
      sym_identifier,
    STATE(13038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586285] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15124), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16385), 1,
      sym_identifier,
    STATE(13041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [586441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [586465] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(15126), 1,
      anon_sym_case,
    ACTIONS(15128), 1,
      anon_sym_object,
    ACTIONS(15130), 1,
      anon_sym_given,
    ACTIONS(15132), 1,
      anon_sym_class,
    ACTIONS(15134), 1,
      anon_sym_trait,
    ACTIONS(15136), 1,
      anon_sym_val,
    ACTIONS(15138), 1,
      anon_sym_var,
    ACTIONS(15140), 1,
      anon_sym_type,
    ACTIONS(15142), 1,
      anon_sym_def,
    STATE(17619), 1,
      sym_opaque_modifier,
    STATE(13048), 2,
      sym_comment,
      sym_block_comment,
  [586509] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14734), 1,
      sym__alpha_identifier,
    ACTIONS(14742), 1,
      sym__backquoted_id,
    ACTIONS(15144), 1,
      sym_operator_identifier,
    STATE(8406), 1,
      sym_identifier,
    STATE(8661), 1,
      sym__soft_identifier,
    STATE(13049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14740), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586543] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15146), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16390), 1,
      sym_identifier,
    STATE(13050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586577] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    STATE(13723), 1,
      sym_arguments,
    STATE(13051), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [586605] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14598), 1,
      sym__alpha_identifier,
    ACTIONS(14606), 1,
      sym__backquoted_id,
    ACTIONS(15151), 1,
      sym_operator_identifier,
    STATE(8517), 1,
      sym_identifier,
    STATE(8655), 1,
      sym__soft_identifier,
    STATE(13052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14604), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [586663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [586687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9173), 1,
      anon_sym_LPAREN,
    STATE(13051), 1,
      aux_sym_annotation_repeat1,
    STATE(13723), 1,
      sym_arguments,
    STATE(13055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [586717] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15153), 1,
      anon_sym_catch,
    ACTIONS(15155), 1,
      anon_sym_finally,
    STATE(12083), 1,
      sym_finally_clause,
    STATE(13583), 1,
      sym_catch_clause,
    STATE(13056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [586749] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15157), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16352), 1,
      sym_identifier,
    STATE(13057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [586807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586831] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14746), 1,
      sym__alpha_identifier,
    ACTIONS(14754), 1,
      sym__backquoted_id,
    ACTIONS(15159), 1,
      sym_operator_identifier,
    STATE(7687), 1,
      sym_identifier,
    STATE(8106), 1,
      sym__soft_identifier,
    STATE(13060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14752), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586865] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15161), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16401), 1,
      sym_identifier,
    STATE(13061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586899] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    ACTIONS(15165), 1,
      sym__automatic_semicolon,
    STATE(14635), 1,
      sym__definition_body,
    STATE(14654), 1,
      sym_template_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15163), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [586935] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15168), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16588), 1,
      sym_identifier,
    STATE(13063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(13064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586995] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(13065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [587023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [587071] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15170), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16514), 1,
      sym_identifier,
    STATE(13068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587105] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15172), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(17326), 1,
      sym_identifier,
    STATE(13069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12641), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12671), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587283] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(13076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [587311] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(13077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [587339] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    STATE(14608), 1,
      sym__definition_body,
    STATE(14654), 1,
      sym_template_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15174), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [587373] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15176), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16416), 1,
      sym_identifier,
    STATE(13079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [587479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [587551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [587671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587695] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15178), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16431), 1,
      sym_identifier,
    STATE(13092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587729] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14177), 1,
      sym_access_modifier,
    STATE(14179), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12390), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(13093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12900), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [587765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587789] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(8565), 1,
      sym_operator_identifier,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15072), 1,
      sym_identifier,
    STATE(13095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587871] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(13197), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(17633), 1,
      sym_identifier,
    STATE(13098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587905] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14710), 1,
      sym__alpha_identifier,
    ACTIONS(14718), 1,
      sym__backquoted_id,
    ACTIONS(15180), 1,
      sym_operator_identifier,
    STATE(8385), 1,
      sym_identifier,
    STATE(8843), 1,
      sym__soft_identifier,
    STATE(13099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587939] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15182), 1,
      anon_sym_end,
    STATE(8748), 1,
      sym__end_marker,
    STATE(13100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [587991] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15184), 1,
      anon_sym_catch,
    ACTIONS(15186), 1,
      anon_sym_finally,
    STATE(12083), 1,
      sym_finally_clause,
    STATE(13708), 1,
      sym_catch_clause,
    STATE(13102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [588023] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15188), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16491), 1,
      sym_identifier,
    STATE(13103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588057] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15190), 1,
      anon_sym_LBRACK,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(13104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [588109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15190), 1,
      anon_sym_LBRACK,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(13106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588137] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15192), 1,
      anon_sym_catch,
    ACTIONS(15194), 1,
      anon_sym_finally,
    STATE(12669), 1,
      sym_finally_clause,
    STATE(13872), 1,
      sym_catch_clause,
    STATE(13107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [588169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [588193] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15196), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16449), 1,
      sym_identifier,
    STATE(13109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588227] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14344), 1,
      sym__alpha_identifier,
    ACTIONS(14352), 1,
      sym__backquoted_id,
    ACTIONS(15198), 1,
      sym_operator_identifier,
    STATE(10202), 1,
      sym__soft_identifier,
    STATE(10283), 1,
      sym_identifier,
    STATE(13110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588285] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15082), 1,
      anon_sym_match,
    ACTIONS(15107), 1,
      anon_sym_if,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(14501), 1,
      sym_guard,
    STATE(13112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15200), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [588319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [588343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588367] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15202), 1,
      anon_sym_LPAREN,
    STATE(13988), 1,
      sym_arguments,
    STATE(13115), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588395] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8917), 1,
      anon_sym_LPAREN,
    STATE(13115), 1,
      aux_sym_annotation_repeat1,
    STATE(13988), 1,
      sym_arguments,
    STATE(13116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [588449] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(15205), 1,
      sym_operator_identifier,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15081), 1,
      sym_identifier,
    STATE(13118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588483] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15205), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16501), 1,
      sym_identifier,
    STATE(13119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [588541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [588565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [588589] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(15207), 1,
      sym__automatic_semicolon,
    STATE(13388), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14147), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [588621] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(15210), 1,
      sym__automatic_semicolon,
    STATE(13030), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14152), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [588653] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(13125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15213), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [588683] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(9548), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16434), 1,
      sym_identifier,
    STATE(13126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588717] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(15215), 1,
      sym__automatic_semicolon,
    STATE(13388), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14157), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [588749] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(13436), 1,
      sym__automatic_semicolon,
    STATE(13034), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12900), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [588781] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15218), 1,
      anon_sym_LBRACK,
    STATE(7835), 1,
      sym_type_arguments,
    STATE(13129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [588833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [588857] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(13132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15220), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [588887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15222), 1,
      anon_sym_STAR,
    STATE(13134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588937] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    ACTIONS(15226), 1,
      sym__automatic_semicolon,
    STATE(14654), 1,
      sym_template_body,
    STATE(14700), 1,
      sym__definition_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15224), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [588973] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15229), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16459), 1,
      sym_identifier,
    STATE(13136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [589033] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(13138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [589061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589085] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15190), 1,
      anon_sym_LBRACK,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(13140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [589113] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15190), 1,
      anon_sym_LBRACK,
    ACTIONS(15231), 1,
      anon_sym_match,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(13141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [589143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15190), 1,
      anon_sym_LBRACK,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(13142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [589171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [589195] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14778), 1,
      sym__alpha_identifier,
    ACTIONS(14786), 1,
      sym__backquoted_id,
    ACTIONS(15233), 1,
      sym_operator_identifier,
    STATE(7910), 1,
      sym__soft_identifier,
    STATE(8069), 1,
      sym_identifier,
    STATE(13144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589229] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15235), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16462), 1,
      sym_identifier,
    STATE(13145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589263] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14792), 1,
      sym__alpha_identifier,
    ACTIONS(14800), 1,
      sym__backquoted_id,
    ACTIONS(15237), 1,
      sym_operator_identifier,
    STATE(7049), 1,
      sym_identifier,
    STATE(7091), 1,
      sym__soft_identifier,
    STATE(13146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14798), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589321] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15192), 1,
      anon_sym_catch,
    ACTIONS(15239), 1,
      anon_sym_finally,
    STATE(13131), 1,
      sym_finally_clause,
    STATE(13760), 1,
      sym_catch_clause,
    STATE(13148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [589353] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15241), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16471), 1,
      sym_identifier,
    STATE(13149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [589411] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    STATE(14654), 1,
      sym_template_body,
    STATE(14828), 1,
      sym__definition_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15243), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [589445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [589517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [589565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [589589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [589613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589637] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11984), 1,
      sym__alpha_identifier,
    ACTIONS(11990), 1,
      sym__backquoted_id,
    ACTIONS(15245), 1,
      sym_operator_identifier,
    STATE(10081), 1,
      sym__soft_identifier,
    STATE(13893), 1,
      sym_identifier,
    STATE(13160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589719] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15190), 1,
      anon_sym_LBRACK,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(13163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [589747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589771] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15190), 1,
      anon_sym_LBRACK,
    ACTIONS(15231), 1,
      anon_sym_match,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(13165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [589801] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7686), 1,
      anon_sym_case,
    ACTIONS(7688), 1,
      anon_sym_object,
    ACTIONS(7692), 1,
      anon_sym_class,
    ACTIONS(7694), 1,
      anon_sym_trait,
    ACTIONS(7696), 1,
      anon_sym_type,
    ACTIONS(7698), 1,
      anon_sym_def,
    ACTIONS(7734), 1,
      anon_sym_given,
    STATE(17368), 1,
      sym_opaque_modifier,
    STATE(13166), 2,
      sym_comment,
      sym_block_comment,
  [589845] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15247), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16482), 1,
      sym_identifier,
    STATE(13167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589879] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    ACTIONS(15249), 1,
      sym_operator_identifier,
    STATE(15015), 1,
      sym_identifier,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(13168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589913] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14071), 1,
      sym_access_modifier,
    STATE(14083), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12390), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(13169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [589949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589973] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(15136), 1,
      anon_sym_val,
    ACTIONS(15138), 1,
      anon_sym_var,
    ACTIONS(15251), 1,
      anon_sym_case,
    ACTIONS(15253), 1,
      anon_sym_object,
    ACTIONS(15255), 1,
      anon_sym_given,
    ACTIONS(15257), 1,
      anon_sym_class,
    ACTIONS(15259), 1,
      anon_sym_trait,
    ACTIONS(15261), 1,
      anon_sym_type,
    ACTIONS(15263), 1,
      anon_sym_def,
    STATE(17720), 1,
      sym_opaque_modifier,
    STATE(13171), 2,
      sym_comment,
      sym_block_comment,
  [590017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [590065] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15265), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16608), 1,
      sym_identifier,
    STATE(13174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590099] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14372), 1,
      sym__alpha_identifier,
    ACTIONS(14380), 1,
      sym__backquoted_id,
    ACTIONS(15267), 1,
      sym_operator_identifier,
    STATE(10464), 1,
      sym__soft_identifier,
    STATE(10475), 1,
      sym_identifier,
    STATE(13175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14378), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [590157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [590181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [590205] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(846), 1,
      sym__alpha_identifier,
    ACTIONS(876), 1,
      sym__backquoted_id,
    ACTIONS(15269), 1,
      sym_operator_identifier,
    STATE(5575), 1,
      sym__soft_identifier,
    STATE(17778), 1,
      sym_identifier,
    STATE(13179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(856), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590239] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15271), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16492), 1,
      sym_identifier,
    STATE(13180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [590297] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7660), 1,
      anon_sym_object,
    ACTIONS(7662), 1,
      anon_sym_given,
    ACTIONS(7664), 1,
      anon_sym_class,
    ACTIONS(7666), 1,
      anon_sym_trait,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7672), 1,
      anon_sym_type,
    ACTIONS(7674), 1,
      anon_sym_def,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7712), 1,
      anon_sym_case,
    STATE(17945), 1,
      sym_opaque_modifier,
    STATE(13182), 2,
      sym_comment,
      sym_block_comment,
  [590341] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(15273), 1,
      sym__automatic_semicolon,
    STATE(13388), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14307), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [590373] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    ACTIONS(13421), 1,
      sym__automatic_semicolon,
    STATE(13123), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [590405] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15276), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16503), 1,
      sym_identifier,
    STATE(13185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590439] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(15136), 1,
      anon_sym_val,
    ACTIONS(15138), 1,
      anon_sym_var,
    ACTIONS(15251), 1,
      anon_sym_case,
    ACTIONS(15253), 1,
      anon_sym_object,
    ACTIONS(15257), 1,
      anon_sym_class,
    ACTIONS(15259), 1,
      anon_sym_trait,
    ACTIONS(15278), 1,
      anon_sym_given,
    ACTIONS(15280), 1,
      anon_sym_type,
    ACTIONS(15282), 1,
      anon_sym_def,
    STATE(17950), 1,
      sym_opaque_modifier,
    STATE(13186), 2,
      sym_comment,
      sym_block_comment,
  [590483] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14688), 1,
      sym__alpha_identifier,
    ACTIONS(14696), 1,
      sym__backquoted_id,
    ACTIONS(15284), 1,
      sym_operator_identifier,
    STATE(10109), 1,
      sym_identifier,
    STATE(10263), 1,
      sym__soft_identifier,
    STATE(13187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14694), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [590541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [590589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [590613] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15286), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16412), 1,
      sym_identifier,
    STATE(13192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590671] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14204), 1,
      sym__alpha_identifier,
    ACTIONS(14212), 1,
      sym__backquoted_id,
    ACTIONS(15288), 1,
      sym_operator_identifier,
    STATE(10920), 1,
      sym__soft_identifier,
    STATE(11106), 1,
      sym_identifier,
    STATE(13194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590705] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7686), 1,
      anon_sym_case,
    ACTIONS(7688), 1,
      anon_sym_object,
    ACTIONS(7690), 1,
      anon_sym_given,
    ACTIONS(7692), 1,
      anon_sym_class,
    ACTIONS(7694), 1,
      anon_sym_trait,
    ACTIONS(7696), 1,
      anon_sym_type,
    ACTIONS(7698), 1,
      anon_sym_def,
    STATE(17368), 1,
      sym_opaque_modifier,
    STATE(13195), 2,
      sym_comment,
      sym_block_comment,
  [590749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [590821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [590869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590893] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15290), 1,
      anon_sym_LBRACK,
    STATE(13795), 1,
      sym_access_qualifier,
    STATE(13202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9254), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590921] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15292), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16619), 1,
      sym_identifier,
    STATE(13203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590979] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15294), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16518), 1,
      sym_identifier,
    STATE(13205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591013] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14650), 1,
      sym__alpha_identifier,
    ACTIONS(14658), 1,
      sym__backquoted_id,
    ACTIONS(15296), 1,
      sym_operator_identifier,
    STATE(6192), 1,
      sym_identifier,
    STATE(6296), 1,
      sym__soft_identifier,
    STATE(13206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591047] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15298), 1,
      anon_sym_catch,
    ACTIONS(15300), 1,
      anon_sym_finally,
    STATE(12661), 1,
      sym_finally_clause,
    STATE(13716), 1,
      sym_catch_clause,
    STATE(13207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [591079] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15082), 1,
      anon_sym_match,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(13208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [591109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13544), 1,
      sym_arguments,
    STATE(13209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591135] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15302), 1,
      anon_sym_catch,
    ACTIONS(15304), 1,
      anon_sym_finally,
    STATE(13473), 1,
      sym_finally_clause,
    STATE(13976), 1,
      sym_catch_clause,
    STATE(13210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [591167] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15298), 1,
      anon_sym_catch,
    ACTIONS(15306), 1,
      anon_sym_finally,
    STATE(12125), 1,
      sym_finally_clause,
    STATE(13991), 1,
      sym_catch_clause,
    STATE(13211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [591199] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(15126), 1,
      anon_sym_case,
    ACTIONS(15128), 1,
      anon_sym_object,
    ACTIONS(15132), 1,
      anon_sym_class,
    ACTIONS(15134), 1,
      anon_sym_trait,
    ACTIONS(15136), 1,
      anon_sym_val,
    ACTIONS(15138), 1,
      anon_sym_var,
    ACTIONS(15140), 1,
      anon_sym_type,
    ACTIONS(15142), 1,
      anon_sym_def,
    ACTIONS(15308), 1,
      anon_sym_given,
    STATE(17619), 1,
      sym_opaque_modifier,
    STATE(13212), 2,
      sym_comment,
      sym_block_comment,
  [591243] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15310), 1,
      anon_sym_catch,
    ACTIONS(15312), 1,
      anon_sym_finally,
    STATE(13403), 1,
      sym_finally_clause,
    STATE(13655), 1,
      sym_catch_clause,
    STATE(13213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [591275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591299] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15314), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16543), 1,
      sym_identifier,
    STATE(13215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12692), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591357] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7660), 1,
      anon_sym_object,
    ACTIONS(7664), 1,
      anon_sym_class,
    ACTIONS(7666), 1,
      anon_sym_trait,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7672), 1,
      anon_sym_type,
    ACTIONS(7674), 1,
      anon_sym_def,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7712), 1,
      anon_sym_case,
    ACTIONS(7714), 1,
      anon_sym_given,
    STATE(17945), 1,
      sym_opaque_modifier,
    STATE(13217), 2,
      sym_comment,
      sym_block_comment,
  [591401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [591425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [591449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591497] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15316), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16555), 1,
      sym_identifier,
    STATE(13222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [591627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591651] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(15136), 1,
      anon_sym_val,
    ACTIONS(15138), 1,
      anon_sym_var,
    ACTIONS(15251), 1,
      anon_sym_case,
    ACTIONS(15253), 1,
      anon_sym_object,
    ACTIONS(15257), 1,
      anon_sym_class,
    ACTIONS(15259), 1,
      anon_sym_trait,
    ACTIONS(15280), 1,
      anon_sym_type,
    ACTIONS(15282), 1,
      anon_sym_def,
    ACTIONS(15318), 1,
      anon_sym_given,
    STATE(17950), 1,
      sym_opaque_modifier,
    STATE(13228), 2,
      sym_comment,
      sym_block_comment,
  [591695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [591767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [591791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [591815] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15320), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16375), 1,
      sym_identifier,
    STATE(13234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [591873] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(9499), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16536), 1,
      sym_identifier,
    STATE(13236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [591931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [591955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 11,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 11,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592051] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9086), 1,
      anon_sym_LPAREN,
    STATE(13275), 1,
      aux_sym_annotation_repeat1,
    STATE(13831), 1,
      sym_arguments,
    STATE(13243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [592081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15322), 1,
      anon_sym_DOT,
    STATE(13244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592107] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14608), 1,
      sym__alpha_identifier,
    ACTIONS(14616), 1,
      sym__backquoted_id,
    ACTIONS(15324), 1,
      sym_operator_identifier,
    STATE(9744), 1,
      sym__soft_identifier,
    STATE(9955), 1,
      sym_identifier,
    STATE(13245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14614), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592165] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15326), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16565), 1,
      sym_identifier,
    STATE(13247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15328), 1,
      anon_sym_DOT,
    STATE(13248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [592225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [592249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [592273] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15330), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16629), 1,
      sym_identifier,
    STATE(13251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [592331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15332), 1,
      anon_sym_end,
    STATE(8458), 1,
      sym__end_marker,
    STATE(13253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [592385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592409] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14103), 1,
      sym__alpha_identifier,
    ACTIONS(14111), 1,
      sym__backquoted_id,
    ACTIONS(15334), 1,
      sym_operator_identifier,
    STATE(5711), 1,
      sym__soft_identifier,
    STATE(5778), 1,
      sym_identifier,
    STATE(13256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14109), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592443] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15336), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16645), 1,
      sym_identifier,
    STATE(13257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592477] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15338), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16573), 1,
      sym_identifier,
    STATE(13258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15342), 1,
      anon_sym_with,
    STATE(13260), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15340), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [592585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15347), 1,
      anon_sym_COMMA,
    STATE(13262), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15345), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592683] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14550), 1,
      sym__alpha_identifier,
    ACTIONS(14558), 1,
      sym__backquoted_id,
    ACTIONS(15350), 1,
      sym_operator_identifier,
    STATE(9751), 1,
      sym__soft_identifier,
    STATE(9990), 1,
      sym_identifier,
    STATE(13266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14556), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592741] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15352), 1,
      anon_sym_catch,
    ACTIONS(15354), 1,
      anon_sym_finally,
    STATE(13900), 1,
      sym_finally_clause,
    STATE(13960), 1,
      sym_catch_clause,
    STATE(13268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [592773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592797] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15356), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16581), 1,
      sym_identifier,
    STATE(13270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592903] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15358), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16589), 1,
      sym_identifier,
    STATE(13274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592937] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15360), 1,
      anon_sym_LPAREN,
    STATE(13831), 1,
      sym_arguments,
    STATE(13275), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [592965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(13276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [592991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [593015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [593039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593063] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15363), 1,
      anon_sym_end,
    STATE(8620), 1,
      sym__end_marker,
    STATE(13280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [593091] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15365), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16365), 1,
      sym_identifier,
    STATE(13281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593125] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15367), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16648), 1,
      sym_identifier,
    STATE(13282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [593185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [593209] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15369), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16600), 1,
      sym_identifier,
    STATE(13285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593243] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15371), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16396), 1,
      sym_identifier,
    STATE(13286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [593301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [593325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593349] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(9449), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16534), 1,
      sym_identifier,
    STATE(13290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [593431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [593455] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15302), 1,
      anon_sym_catch,
    ACTIONS(15373), 1,
      anon_sym_finally,
    STATE(13765), 1,
      sym_catch_clause,
    STATE(13905), 1,
      sym_finally_clause,
    STATE(13294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [593487] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15375), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16609), 1,
      sym_identifier,
    STATE(13295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [593545] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14246), 1,
      sym__alpha_identifier,
    ACTIONS(14254), 1,
      sym__backquoted_id,
    ACTIONS(15377), 1,
      sym_operator_identifier,
    STATE(7072), 1,
      sym_identifier,
    STATE(7128), 1,
      sym__soft_identifier,
    STATE(13297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14252), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [593603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [593627] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14457), 1,
      sym__alpha_identifier,
    ACTIONS(14465), 1,
      sym__backquoted_id,
    ACTIONS(15379), 1,
      sym_operator_identifier,
    STATE(8591), 1,
      sym_identifier,
    STATE(8632), 1,
      sym__soft_identifier,
    STATE(13300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14463), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593661] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15092), 1,
      anon_sym_catch,
    ACTIONS(15381), 1,
      anon_sym_finally,
    STATE(13131), 1,
      sym_finally_clause,
    STATE(13953), 1,
      sym_catch_clause,
    STATE(13301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [593693] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(846), 1,
      sym__alpha_identifier,
    ACTIONS(876), 1,
      sym__backquoted_id,
    ACTIONS(15383), 1,
      sym_operator_identifier,
    STATE(5575), 1,
      sym__soft_identifier,
    STATE(18271), 1,
      sym_identifier,
    STATE(13302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(856), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [593751] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14046), 1,
      anon_sym_with,
    STATE(13260), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593779] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15387), 1,
      anon_sym_catch,
    ACTIONS(15389), 1,
      anon_sym_finally,
    STATE(13403), 1,
      sym_finally_clause,
    STATE(13430), 1,
      sym_catch_clause,
    STATE(13305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [593811] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15391), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16572), 1,
      sym_identifier,
    STATE(13306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593845] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14044), 1,
      anon_sym_COMMA,
    STATE(13262), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593873] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15393), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16613), 1,
      sym_identifier,
    STATE(13308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593907] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14330), 1,
      sym__alpha_identifier,
    ACTIONS(14338), 1,
      sym__backquoted_id,
    ACTIONS(15395), 1,
      sym_operator_identifier,
    STATE(9731), 1,
      sym_identifier,
    STATE(9761), 1,
      sym__soft_identifier,
    STATE(13309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593941] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14574), 1,
      anon_sym_with,
    STATE(14343), 1,
      aux_sym_compound_type_repeat1,
    STATE(14786), 1,
      sym__refinement,
    STATE(14819), 1,
      sym_template_body,
    STATE(13310), 2,
      sym_comment,
      sym_block_comment,
    STATE(14670), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [593975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [593999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594023] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7660), 1,
      anon_sym_object,
    ACTIONS(7664), 1,
      anon_sym_class,
    ACTIONS(7666), 1,
      anon_sym_trait,
    ACTIONS(7668), 1,
      anon_sym_val,
    ACTIONS(7670), 1,
      anon_sym_var,
    ACTIONS(7676), 1,
      anon_sym_opaque,
    ACTIONS(7712), 1,
      anon_sym_case,
    ACTIONS(7760), 1,
      anon_sym_given,
    ACTIONS(7762), 1,
      anon_sym_type,
    ACTIONS(7764), 1,
      anon_sym_def,
    STATE(17907), 1,
      sym_opaque_modifier,
    STATE(13313), 2,
      sym_comment,
      sym_block_comment,
  [594067] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14406), 1,
      sym__alpha_identifier,
    ACTIONS(14414), 1,
      sym__backquoted_id,
    ACTIONS(15397), 1,
      sym_operator_identifier,
    STATE(9133), 1,
      sym_identifier,
    STATE(9368), 1,
      sym__soft_identifier,
    STATE(13314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14412), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [594125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594149] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15218), 1,
      anon_sym_LBRACK,
    ACTIONS(15399), 1,
      anon_sym_match,
    STATE(7835), 1,
      sym_type_arguments,
    STATE(13317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [594179] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14343), 1,
      aux_sym_compound_type_repeat1,
    STATE(14447), 1,
      sym_template_body,
    STATE(14472), 1,
      sym__refinement,
    STATE(13318), 2,
      sym_comment,
      sym_block_comment,
    STATE(14527), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7944), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [594211] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15401), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16620), 1,
      sym_identifier,
    STATE(13319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [594269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [594293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [594317] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13819), 1,
      anon_sym_LBRACK,
    ACTIONS(15403), 1,
      anon_sym_LT_COLON,
    ACTIONS(15405), 1,
      anon_sym_GT_COLON,
    STATE(14019), 1,
      sym_type_parameters,
    STATE(14408), 1,
      sym_lower_bound,
    STATE(14814), 1,
      sym_upper_bound,
    STATE(13323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15084), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [594353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [594377] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14950), 1,
      anon_sym_finally,
    STATE(11808), 1,
      sym_finally_clause,
    STATE(13325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [594405] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(9712), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16373), 1,
      sym_identifier,
    STATE(13326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [594487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [594511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(13330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [594537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [594561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [594585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594609] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15407), 1,
      anon_sym_end,
    STATE(8364), 1,
      sym__end_marker,
    STATE(13334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594637] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14874), 1,
      anon_sym_finally,
    STATE(11808), 1,
      sym_finally_clause,
    STATE(13335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_yield,
  [594665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [594689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [594713] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15409), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16379), 1,
      sym_identifier,
    STATE(13338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594747] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15411), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16499), 1,
      sym_identifier,
    STATE(13339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594781] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14280), 1,
      sym__alpha_identifier,
    ACTIONS(14288), 1,
      sym__backquoted_id,
    ACTIONS(15413), 1,
      sym_operator_identifier,
    STATE(6263), 1,
      sym_identifier,
    STATE(6517), 1,
      sym__soft_identifier,
    STATE(13340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [594839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4180), 2,
      anon_sym_LPAREN,
      sym__backquoted_id,
    STATE(13342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4176), 9,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [594865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [594889] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15415), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16630), 1,
      sym_identifier,
    STATE(13344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594923] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15218), 1,
      anon_sym_LBRACK,
    STATE(7835), 1,
      sym_type_arguments,
    STATE(13345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [594951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15417), 1,
      anon_sym_with,
    STATE(13346), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594977] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(15245), 1,
      sym_operator_identifier,
    STATE(4537), 1,
      sym__soft_identifier,
    STATE(13893), 1,
      sym_identifier,
    STATE(13347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [595035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [595059] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15420), 1,
      anon_sym_catch,
    ACTIONS(15422), 1,
      anon_sym_finally,
    STATE(13882), 1,
      sym_catch_clause,
    STATE(14171), 1,
      sym_finally_clause,
    STATE(13350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595091] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15424), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16638), 1,
      sym_identifier,
    STATE(13351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13614), 1,
      sym_arguments,
    STATE(13352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595151] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15426), 1,
      anon_sym_LPAREN,
    ACTIONS(15429), 1,
      sym__automatic_semicolon,
    STATE(14085), 1,
      sym_parameters,
    STATE(14200), 1,
      sym__using_parameters_clause,
    STATE(13353), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__function_constructor_repeat1,
    ACTIONS(14826), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [595183] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15218), 1,
      anon_sym_LBRACK,
    STATE(7835), 1,
      sym_type_arguments,
    STATE(13354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [595211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(13355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [595237] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15420), 1,
      anon_sym_catch,
    ACTIONS(15432), 1,
      anon_sym_finally,
    STATE(13721), 1,
      sym_catch_clause,
    STATE(13900), 1,
      sym_finally_clause,
    STATE(13356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595269] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15434), 1,
      anon_sym_catch,
    ACTIONS(15436), 1,
      anon_sym_finally,
    STATE(13164), 1,
      sym_finally_clause,
    STATE(13616), 1,
      sym_catch_clause,
    STATE(13357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [595301] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13821), 1,
      anon_sym_LPAREN,
    ACTIONS(15438), 1,
      sym__automatic_semicolon,
    STATE(13353), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14085), 1,
      sym_parameters,
    STATE(14200), 1,
      sym__using_parameters_clause,
    STATE(13358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15022), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [595335] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15440), 1,
      anon_sym_catch,
    ACTIONS(15442), 1,
      anon_sym_finally,
    STATE(11850), 1,
      sym_finally_clause,
    STATE(13566), 1,
      sym_catch_clause,
    STATE(13359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7222), 2,
      anon_sym_LPAREN,
      sym__backquoted_id,
    STATE(13360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7220), 9,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [595393] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15444), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16443), 1,
      sym_identifier,
    STATE(13361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595427] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15446), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16644), 1,
      sym_identifier,
    STATE(13362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595461] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14236), 1,
      sym__alpha_identifier,
    ACTIONS(14244), 1,
      sym__backquoted_id,
    ACTIONS(15448), 1,
      sym_operator_identifier,
    STATE(7810), 1,
      sym_identifier,
    STATE(7941), 1,
      sym__soft_identifier,
    STATE(13363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14242), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15450), 1,
      anon_sym_DOT,
    STATE(13365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [595545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(13366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [595571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [595595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [595667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [595691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [595715] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15218), 1,
      anon_sym_LBRACK,
    STATE(7835), 1,
      sym_type_arguments,
    STATE(13373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [595743] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15452), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16642), 1,
      sym_identifier,
    STATE(13374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595825] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15454), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16392), 1,
      sym_identifier,
    STATE(13377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595859] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14214), 1,
      sym__alpha_identifier,
    ACTIONS(14222), 1,
      sym__backquoted_id,
    ACTIONS(15456), 1,
      sym_operator_identifier,
    STATE(9023), 1,
      sym__soft_identifier,
    STATE(9113), 1,
      sym_identifier,
    STATE(13378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14220), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595893] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13821), 1,
      anon_sym_LPAREN,
    ACTIONS(15458), 1,
      sym__automatic_semicolon,
    STATE(13358), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14085), 1,
      sym_parameters,
    STATE(14200), 1,
      sym__using_parameters_clause,
    STATE(13379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14846), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [595927] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15352), 1,
      anon_sym_catch,
    ACTIONS(15460), 1,
      anon_sym_finally,
    STATE(13887), 1,
      sym_catch_clause,
    STATE(14171), 1,
      sym_finally_clause,
    STATE(13380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [596007] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13821), 1,
      anon_sym_LPAREN,
    ACTIONS(15462), 1,
      sym__automatic_semicolon,
    STATE(13353), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14085), 1,
      sym_parameters,
    STATE(14200), 1,
      sym__using_parameters_clause,
    STATE(13383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14852), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [596041] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14358), 1,
      sym__alpha_identifier,
    ACTIONS(14366), 1,
      sym__backquoted_id,
    ACTIONS(15464), 1,
      sym_operator_identifier,
    STATE(7149), 1,
      sym_identifier,
    STATE(7180), 1,
      sym__soft_identifier,
    STATE(13384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14364), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596075] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15466), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16599), 1,
      sym_identifier,
    STATE(13385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596133] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15468), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16552), 1,
      sym_identifier,
    STATE(13387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596167] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15470), 1,
      anon_sym_LPAREN,
    ACTIONS(15473), 1,
      sym__automatic_semicolon,
    STATE(14028), 1,
      sym_class_parameters,
    STATE(13388), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__class_constructor_repeat1,
    ACTIONS(14902), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [596197] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14224), 1,
      sym__alpha_identifier,
    ACTIONS(14232), 1,
      sym__backquoted_id,
    ACTIONS(15476), 1,
      sym_operator_identifier,
    STATE(9617), 1,
      sym__soft_identifier,
    STATE(9650), 1,
      sym_identifier,
    STATE(13389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [596255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596303] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15478), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16436), 1,
      sym_identifier,
    STATE(13393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15480), 1,
      anon_sym_STAR,
    STATE(13394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596363] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14093), 1,
      sym__alpha_identifier,
    ACTIONS(14101), 1,
      sym__backquoted_id,
    ACTIONS(15482), 1,
      sym_operator_identifier,
    STATE(9104), 1,
      sym__soft_identifier,
    STATE(9235), 1,
      sym_identifier,
    STATE(13395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14099), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15218), 1,
      anon_sym_LBRACK,
    STATE(7835), 1,
      sym_type_arguments,
    STATE(13396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596425] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15218), 1,
      anon_sym_LBRACK,
    ACTIONS(15399), 1,
      anon_sym_match,
    STATE(7835), 1,
      sym_type_arguments,
    STATE(13397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596455] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(9629), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16413), 1,
      sym_identifier,
    STATE(13398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596513] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9443), 1,
      sym__alpha_identifier,
    ACTIONS(9447), 1,
      sym__backquoted_id,
    ACTIONS(15484), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym__soft_identifier,
    STATE(16508), 1,
      sym_identifier,
    STATE(13400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9445), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [596570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [596593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596662] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15486), 1,
      anon_sym_catch,
    ACTIONS(15488), 1,
      anon_sym_finally,
    STATE(12083), 1,
      sym_finally_clause,
    STATE(13906), 1,
      sym_catch_clause,
    STATE(13406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [596693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596716] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15495), 1,
      anon_sym_SEMI,
    ACTIONS(15498), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 6,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [596745] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15503), 1,
      anon_sym_SEMI,
    ACTIONS(15506), 1,
      anon_sym_else,
    STATE(13409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [596772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [597050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597096] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15509), 1,
      anon_sym_catch,
    ACTIONS(15511), 1,
      anon_sym_finally,
    STATE(11850), 1,
      sym_finally_clause,
    STATE(13867), 1,
      sym_catch_clause,
    STATE(13424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597127] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15513), 1,
      anon_sym_SEMI,
    ACTIONS(15516), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 6,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [597156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597227] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15518), 1,
      anon_sym_SEMI,
    ACTIONS(15521), 1,
      anon_sym_else,
    STATE(13429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [597254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15389), 1,
      anon_sym_finally,
    STATE(13416), 1,
      sym_finally_clause,
    STATE(13430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [597281] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15523), 1,
      anon_sym_catch,
    ACTIONS(15525), 1,
      anon_sym_finally,
    STATE(14086), 1,
      sym_catch_clause,
    STATE(14319), 1,
      sym_finally_clause,
    STATE(13431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [597312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597360] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15527), 1,
      anon_sym_catch,
    ACTIONS(15529), 1,
      anon_sym_finally,
    STATE(14217), 1,
      sym_catch_clause,
    STATE(14319), 1,
      sym_finally_clause,
    STATE(13434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [597391] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15531), 1,
      anon_sym_SEMI,
    ACTIONS(15534), 1,
      anon_sym_else,
    STATE(13435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [597418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [597441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [597464] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15536), 1,
      anon_sym_SEMI,
    ACTIONS(15539), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [597493] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15541), 1,
      anon_sym_LBRACK,
    ACTIONS(15543), 1,
      anon_sym_match,
    STATE(8349), 1,
      sym_type_arguments,
    STATE(13439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [597522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597545] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15545), 1,
      anon_sym_SEMI,
    ACTIONS(15548), 1,
      anon_sym_else,
    STATE(13441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [597572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597595] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15551), 1,
      anon_sym_SEMI,
    ACTIONS(15554), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [597624] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15557), 1,
      anon_sym_catch,
    ACTIONS(15559), 1,
      anon_sym_finally,
    STATE(13131), 1,
      sym_finally_clause,
    STATE(14169), 1,
      sym_catch_clause,
    STATE(13444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [597655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [597701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597724] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15523), 1,
      anon_sym_catch,
    ACTIONS(15561), 1,
      anon_sym_finally,
    STATE(14133), 1,
      sym_catch_clause,
    STATE(14137), 1,
      sym_finally_clause,
    STATE(13448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [597755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [597778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597801] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15563), 1,
      anon_sym_catch,
    ACTIONS(15565), 1,
      anon_sym_finally,
    STATE(12125), 1,
      sym_finally_clause,
    STATE(14167), 1,
      sym_catch_clause,
    STATE(13451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [597901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [598016] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15567), 1,
      anon_sym_catch,
    ACTIONS(15569), 1,
      anon_sym_finally,
    STATE(13833), 1,
      sym_finally_clause,
    STATE(14033), 1,
      sym_catch_clause,
    STATE(13460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [598047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [598070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [598093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(13463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [598118] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15527), 1,
      anon_sym_catch,
    ACTIONS(15571), 1,
      anon_sym_finally,
    STATE(14129), 1,
      sym_catch_clause,
    STATE(14137), 1,
      sym_finally_clause,
    STATE(13464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [598149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [598172] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15557), 1,
      anon_sym_catch,
    ACTIONS(15573), 1,
      anon_sym_finally,
    STATE(12669), 1,
      sym_finally_clause,
    STATE(14077), 1,
      sym_catch_clause,
    STATE(13466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [598203] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7460), 1,
      anon_sym_LBRACK,
    ACTIONS(15575), 1,
      anon_sym_LT_COLON,
    ACTIONS(15577), 1,
      anon_sym_GT_COLON,
    STATE(14126), 1,
      sym_type_parameters,
    STATE(14495), 1,
      sym_lower_bound,
    STATE(14496), 1,
      sym_upper_bound,
    STATE(13467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15084), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [598238] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15579), 1,
      anon_sym_catch,
    ACTIONS(15581), 1,
      anon_sym_finally,
    STATE(13800), 1,
      sym_catch_clause,
    STATE(13833), 1,
      sym_finally_clause,
    STATE(13468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [598269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15583), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598499] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14770), 1,
      anon_sym_finally,
    STATE(12744), 1,
      sym_finally_clause,
    STATE(13479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [598526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14902), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [598967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15585), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [599038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12641), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [599084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599107] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15587), 1,
      anon_sym_LBRACK,
    ACTIONS(15589), 1,
      anon_sym_match,
    STATE(8357), 1,
      sym_type_arguments,
    STATE(13505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15587), 1,
      anon_sym_LBRACK,
    STATE(8357), 1,
      sym_type_arguments,
    STATE(13506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15078), 1,
      anon_sym_finally,
    STATE(12237), 1,
      sym_finally_clause,
    STATE(13508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [599213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15587), 1,
      anon_sym_LBRACK,
    STATE(8357), 1,
      sym_type_arguments,
    STATE(13510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599263] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15587), 1,
      anon_sym_LBRACK,
    ACTIONS(15589), 1,
      anon_sym_match,
    STATE(8357), 1,
      sym_type_arguments,
    STATE(13511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [599315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [599338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15587), 1,
      anon_sym_LBRACK,
    STATE(8357), 1,
      sym_type_arguments,
    STATE(13514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15591), 1,
      anon_sym_STAR,
    STATE(13515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15593), 1,
      anon_sym_end,
    STATE(9035), 1,
      sym__end_marker,
    STATE(13516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [599417] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13254), 1,
      anon_sym_LT_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14206), 1,
      sym_upper_bound,
    STATE(14219), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14570), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(15595), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13517), 2,
      sym_comment,
      sym_block_comment,
  [599456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15587), 1,
      anon_sym_LBRACK,
    STATE(8357), 1,
      sym_type_arguments,
    STATE(13518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599483] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14932), 1,
      anon_sym_finally,
    STATE(12237), 1,
      sym_finally_clause,
    STATE(13519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [599510] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15587), 1,
      anon_sym_LBRACK,
    STATE(8357), 1,
      sym_type_arguments,
    STATE(13520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15597), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(13522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [599608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [599631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15600), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [599677] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13254), 1,
      anon_sym_LT_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14188), 1,
      sym_upper_bound,
    STATE(14191), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14701), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(15602), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13527), 2,
      sym_comment,
      sym_block_comment,
  [599716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [599739] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7620), 1,
      sym__alpha_identifier,
    ACTIONS(7640), 1,
      sym__backquoted_id,
    STATE(15019), 1,
      sym__soft_identifier,
    STATE(15810), 1,
      sym_identifier,
    STATE(13529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7622), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [599793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15604), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [599839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15607), 1,
      anon_sym_LBRACK,
    STATE(8608), 1,
      sym_type_arguments,
    STATE(13533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [599866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15609), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15611), 1,
      anon_sym_DOT,
    STATE(13535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [599914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [599937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [599960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [599983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [600006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [600029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [600052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [600075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600121] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15613), 1,
      anon_sym_end,
    STATE(9238), 1,
      sym__end_marker,
    STATE(13545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [600148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [600171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15615), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15607), 1,
      anon_sym_LBRACK,
    STATE(8608), 1,
      sym_type_arguments,
    STATE(13548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [600221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12671), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600267] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15607), 1,
      anon_sym_LBRACK,
    STATE(8608), 1,
      sym_type_arguments,
    STATE(13551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [600294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [600340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [600363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [600386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [600409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [600432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [600455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [600478] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15620), 1,
      anon_sym_LBRACK,
    ACTIONS(15622), 1,
      anon_sym_LPAREN,
    ACTIONS(15624), 1,
      anon_sym_POUND,
    STATE(14272), 1,
      sym_type_arguments,
    STATE(14339), 1,
      aux_sym_annotation_repeat1,
    STATE(14745), 1,
      sym_arguments,
    STATE(13560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7738), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [600513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [600536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12692), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [600582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [600605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15626), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15442), 1,
      anon_sym_finally,
    STATE(11808), 1,
      sym_finally_clause,
    STATE(13566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [600655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [600678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15629), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600701] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14548), 1,
      anon_sym_finally,
    STATE(12744), 1,
      sym_finally_clause,
    STATE(13569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [600728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [600751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [600797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [600820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15631), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [600866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [600889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [600935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [600958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15634), 1,
      anon_sym_DOT,
    STATE(13580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [600983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [601029] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15155), 1,
      anon_sym_finally,
    STATE(12136), 1,
      sym_finally_clause,
    STATE(13583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
  [601056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [601125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [601148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15636), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [601378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [601401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10441), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601493] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    STATE(14936), 1,
      sym__definition_body,
    STATE(14971), 1,
      sym_template_body,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15243), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601526] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    ACTIONS(15638), 1,
      sym__automatic_semicolon,
    STATE(14930), 1,
      sym__definition_body,
    STATE(14971), 1,
      sym_template_body,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15224), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [601561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601584] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4176), 1,
      anon_sym_COLON,
    ACTIONS(4178), 1,
      sym__backquoted_id,
    STATE(13606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4174), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [601611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [601634] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [601657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [601680] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13821), 1,
      anon_sym_LPAREN,
    STATE(14065), 1,
      sym_parameters,
    STATE(14200), 1,
      sym__using_parameters_clause,
    STATE(13610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15213), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [601709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [601732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15641), 1,
      anon_sym_STAR,
    STATE(13612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [601757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [601780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15607), 1,
      anon_sym_LBRACK,
    STATE(8608), 1,
      sym_type_arguments,
    STATE(13615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [601830] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15436), 1,
      anon_sym_finally,
    STATE(13066), 1,
      sym_finally_clause,
    STATE(13616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
  [601857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15643), 1,
      anon_sym_LPAREN,
    STATE(4485), 1,
      sym_arguments,
    STATE(13617), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [601884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [601907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601930] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    STATE(14081), 1,
      sym_arguments,
    STATE(13620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15646), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [601957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [601980] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    STATE(14900), 1,
      sym__definition_body,
    STATE(14971), 1,
      sym_template_body,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15174), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [602013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [602036] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    ACTIONS(15648), 1,
      sym__automatic_semicolon,
    STATE(14898), 1,
      sym__definition_body,
    STATE(14971), 1,
      sym_template_body,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15163), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [602071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [602094] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15607), 1,
      anon_sym_LBRACK,
    ACTIONS(15651), 1,
      anon_sym_match,
    STATE(8608), 1,
      sym_type_arguments,
    STATE(13626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [602123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [602146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [602169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [602192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [602215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [602238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [602261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9360), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [602286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [602309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [602332] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13821), 1,
      anon_sym_LPAREN,
    STATE(14065), 1,
      sym_parameters,
    STATE(14200), 1,
      sym__using_parameters_clause,
    STATE(13636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15119), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [602361] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15607), 1,
      anon_sym_LBRACK,
    STATE(8608), 1,
      sym_type_arguments,
    STATE(13637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [602388] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13821), 1,
      anon_sym_LPAREN,
    STATE(14065), 1,
      sym_parameters,
    STATE(14200), 1,
      sym__using_parameters_clause,
    STATE(13638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15114), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [602417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10502), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [602440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [602463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [602486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [602509] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15653), 1,
      anon_sym_LBRACK,
    ACTIONS(15655), 1,
      anon_sym_match,
    STATE(8490), 1,
      sym_type_arguments,
    STATE(13643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [602538] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15563), 1,
      anon_sym_catch,
    ACTIONS(15657), 1,
      anon_sym_finally,
    STATE(12661), 1,
      sym_finally_clause,
    STATE(14095), 1,
      sym_catch_clause,
    STATE(13644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [602592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [602615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [602638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15541), 1,
      anon_sym_LBRACK,
    STATE(8349), 1,
      sym_type_arguments,
    STATE(13648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [602665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [602688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15541), 1,
      anon_sym_LBRACK,
    STATE(8349), 1,
      sym_type_arguments,
    STATE(13650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [602715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [602738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [602761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [602784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [602807] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15312), 1,
      anon_sym_finally,
    STATE(13416), 1,
      sym_finally_clause,
    STATE(13655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [602834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [602857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [602880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(13658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [602905] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    STATE(4485), 1,
      sym_arguments,
    STATE(13617), 1,
      aux_sym_annotation_repeat1,
    STATE(13659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [602957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [602980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [603003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [603026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [603049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [603072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 10,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [603095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [603187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [603210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [603233] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15541), 1,
      anon_sym_LBRACK,
    ACTIONS(15543), 1,
      anon_sym_match,
    STATE(8349), 1,
      sym_type_arguments,
    STATE(13673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [603262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [603285] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13821), 1,
      anon_sym_LPAREN,
    STATE(14065), 1,
      sym_parameters,
    STATE(14200), 1,
      sym__using_parameters_clause,
    STATE(13675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15220), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [603314] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15653), 1,
      anon_sym_LBRACK,
    ACTIONS(15655), 1,
      anon_sym_match,
    STATE(8490), 1,
      sym_type_arguments,
    STATE(13676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14856), 1,
      anon_sym_COMMA,
    STATE(13696), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(13679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [603441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [603464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [603487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15659), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15661), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603533] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15653), 1,
      anon_sym_LBRACK,
    STATE(8490), 1,
      sym_type_arguments,
    STATE(13685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15653), 1,
      anon_sym_LBRACK,
    STATE(8490), 1,
      sym_type_arguments,
    STATE(13686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15663), 1,
      anon_sym_STAR,
    STATE(13687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603681] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15541), 1,
      anon_sym_LBRACK,
    STATE(8349), 1,
      sym_type_arguments,
    STATE(13691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [603708] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    STATE(13694), 1,
      aux_sym_annotation_repeat1,
    STATE(14153), 1,
      sym_arguments,
    STATE(13692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [603737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15665), 1,
      anon_sym_STAR,
    STATE(13693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [603762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15667), 1,
      anon_sym_LPAREN,
    STATE(14153), 1,
      sym_arguments,
    STATE(13694), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [603789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15670), 1,
      anon_sym_with,
    STATE(13695), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15340), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15673), 1,
      anon_sym_COMMA,
    STATE(13696), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15345), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15653), 1,
      anon_sym_LBRACK,
    STATE(8490), 1,
      sym_type_arguments,
    STATE(13697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603866] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15620), 1,
      anon_sym_LBRACK,
    ACTIONS(15624), 1,
      anon_sym_POUND,
    ACTIONS(15676), 1,
      anon_sym_AT,
    STATE(14264), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14272), 1,
      sym_type_arguments,
    STATE(14711), 1,
      sym_annotation,
    STATE(13698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [603901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15653), 1,
      anon_sym_LBRACK,
    STATE(8490), 1,
      sym_type_arguments,
    STATE(13699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15653), 1,
      anon_sym_LBRACK,
    STATE(8490), 1,
      sym_type_arguments,
    STATE(13700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [603955] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15607), 1,
      anon_sym_LBRACK,
    ACTIONS(15651), 1,
      anon_sym_match,
    STATE(8608), 1,
      sym_type_arguments,
    STATE(13701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(13702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [604009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [604032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [604055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [604078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14858), 1,
      anon_sym_with,
    STATE(13695), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13817), 1,
      sym_arguments,
    STATE(13707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15186), 1,
      anon_sym_finally,
    STATE(12136), 1,
      sym_finally_clause,
    STATE(13708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_yield,
  [604157] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15541), 1,
      anon_sym_LBRACK,
    STATE(8349), 1,
      sym_type_arguments,
    STATE(13709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [604184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [604207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [604230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15678), 1,
      anon_sym_end,
    STATE(9367), 1,
      sym__end_marker,
    STATE(13712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [604257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [604280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [604324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15300), 1,
      anon_sym_finally,
    STATE(12744), 1,
      sym_finally_clause,
    STATE(13716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [604350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15680), 1,
      anon_sym_SEMI,
    ACTIONS(15683), 1,
      anon_sym_else,
    STATE(13717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [604376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604398] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15686), 1,
      anon_sym_SEMI,
    ACTIONS(15689), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [604426] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15691), 1,
      anon_sym_SEMI,
    ACTIONS(15694), 1,
      anon_sym_else,
    STATE(13720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [604452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15432), 1,
      anon_sym_finally,
    STATE(13917), 1,
      sym_finally_clause,
    STATE(13721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [604478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15696), 1,
      anon_sym_LBRACK,
    STATE(9173), 1,
      sym_type_arguments,
    STATE(13722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [604504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [604526] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15698), 1,
      anon_sym_SEMI,
    ACTIONS(15701), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [604554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15704), 1,
      anon_sym_with,
    STATE(13725), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_SEMI,
    ACTIONS(15710), 1,
      anon_sym_else,
    STATE(13726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [604604] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15713), 1,
      anon_sym_catch,
    ACTIONS(15715), 1,
      anon_sym_finally,
    STATE(13905), 1,
      sym_finally_clause,
    STATE(14293), 1,
      sym_catch_clause,
    STATE(13727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [604634] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15717), 1,
      anon_sym_catch,
    ACTIONS(15719), 1,
      anon_sym_finally,
    STATE(14013), 1,
      sym_finally_clause,
    STATE(14160), 1,
      sym_catch_clause,
    STATE(13728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [604664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [604686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15721), 1,
      anon_sym_SEMI,
    ACTIONS(15724), 1,
      anon_sym_else,
    STATE(13730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_finally,
  [604712] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15726), 1,
      anon_sym_SEMI,
    ACTIONS(15729), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_finally,
  [604740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15731), 1,
      anon_sym_SEMI,
    ACTIONS(15734), 1,
      anon_sym_else,
    STATE(13732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_finally,
  [604766] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15737), 1,
      anon_sym_SEMI,
    ACTIONS(15740), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_finally,
  [604794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [604816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [604838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(13736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [604862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15094), 1,
      anon_sym_finally,
    STATE(12719), 1,
      sym_finally_clause,
    STATE(13737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [604888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [604910] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15696), 1,
      anon_sym_LBRACK,
    ACTIONS(15743), 1,
      anon_sym_match,
    STATE(9173), 1,
      sym_type_arguments,
    STATE(13739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [604938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15696), 1,
      anon_sym_LBRACK,
    STATE(9173), 1,
      sym_type_arguments,
    STATE(13740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [604964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [604986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15696), 1,
      anon_sym_LBRACK,
    STATE(9173), 1,
      sym_type_arguments,
    STATE(13742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [605034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [605056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10502), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [605122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [605144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(13749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [605168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [605192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [605214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [605280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605368] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15745), 1,
      anon_sym_catch,
    ACTIONS(15747), 1,
      anon_sym_finally,
    STATE(13164), 1,
      sym_finally_clause,
    STATE(14165), 1,
      sym_catch_clause,
    STATE(13759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [605398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15239), 1,
      anon_sym_finally,
    STATE(13046), 1,
      sym_finally_clause,
    STATE(13760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [605424] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15749), 1,
      anon_sym_catch,
    ACTIONS(15751), 1,
      anon_sym_finally,
    STATE(12083), 1,
      sym_finally_clause,
    STATE(14114), 1,
      sym_catch_clause,
    STATE(13761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [605454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [605476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605498] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15696), 1,
      anon_sym_LBRACK,
    ACTIONS(15743), 1,
      anon_sym_match,
    STATE(9173), 1,
      sym_type_arguments,
    STATE(13764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [605526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15373), 1,
      anon_sym_finally,
    STATE(13741), 1,
      sym_finally_clause,
    STATE(13765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [605552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15696), 1,
      anon_sym_LBRACK,
    STATE(9173), 1,
      sym_type_arguments,
    STATE(13766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15753), 1,
      anon_sym_STAR,
    STATE(13767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15755), 1,
      anon_sym_LBRACK,
    STATE(9155), 1,
      sym_type_arguments,
    STATE(13768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [605628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [605650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15696), 1,
      anon_sym_LBRACK,
    STATE(9173), 1,
      sym_type_arguments,
    STATE(13770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605676] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15757), 1,
      anon_sym_SEMI,
    ACTIONS(15760), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
  [605704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [605726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [605748] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12589), 1,
      anon_sym_LPAREN,
    STATE(14344), 1,
      sym_arguments,
    STATE(13774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15646), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [605774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [605818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [605840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [605862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [605884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [605906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15763), 1,
      anon_sym_SEMI,
    ACTIONS(15766), 1,
      anon_sym_else,
    STATE(13781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [605932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [605954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [606000] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15769), 1,
      anon_sym_catch,
    ACTIONS(15771), 1,
      anon_sym_finally,
    STATE(13164), 1,
      sym_finally_clause,
    STATE(14155), 1,
      sym_catch_clause,
    STATE(13785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [606030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [606052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [606074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [606096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [606120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [606142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [606230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10441), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606252] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15773), 1,
      anon_sym_catch,
    ACTIONS(15775), 1,
      anon_sym_finally,
    STATE(12669), 1,
      sym_finally_clause,
    STATE(14271), 1,
      sym_catch_clause,
    STATE(13796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [606282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15777), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606304] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15779), 1,
      anon_sym_SEMI,
    ACTIONS(15782), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [606332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15785), 1,
      anon_sym_SEMI,
    ACTIONS(15788), 1,
      anon_sym_else,
    STATE(13799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [606358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15581), 1,
      anon_sym_finally,
    STATE(13860), 1,
      sym_finally_clause,
    STATE(13800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [606384] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13983), 1,
      anon_sym_LPAREN,
    STATE(13813), 1,
      aux_sym_annotation_repeat1,
    STATE(14269), 1,
      sym_arguments,
    STATE(13801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [606412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15791), 1,
      anon_sym_STAR,
    STATE(13802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [606436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [606458] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15793), 1,
      anon_sym_SEMI,
    ACTIONS(15796), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
  [606486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [606508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15798), 1,
      anon_sym_SEMI,
    ACTIONS(15801), 1,
      anon_sym_else,
    STATE(13806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [606534] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15523), 1,
      anon_sym_catch,
    ACTIONS(15803), 1,
      anon_sym_finally,
    STATE(14319), 1,
      sym_finally_clause,
    STATE(14369), 1,
      sym_catch_clause,
    STATE(13807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [606564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15755), 1,
      anon_sym_LBRACK,
    STATE(9155), 1,
      sym_type_arguments,
    STATE(13808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [606590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [606612] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15805), 1,
      anon_sym_catch,
    ACTIONS(15807), 1,
      anon_sym_finally,
    STATE(14099), 1,
      sym_finally_clause,
    STATE(14263), 1,
      sym_catch_clause,
    STATE(13810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [606642] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15809), 1,
      anon_sym_catch,
    ACTIONS(15811), 1,
      anon_sym_finally,
    STATE(13905), 1,
      sym_finally_clause,
    STATE(14407), 1,
      sym_catch_clause,
    STATE(13811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [606672] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13414), 1,
      anon_sym_match,
    ACTIONS(15813), 1,
      anon_sym_LBRACK,
    STATE(9311), 1,
      sym_type_arguments,
    STATE(13812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [606700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15815), 1,
      anon_sym_LPAREN,
    STATE(14269), 1,
      sym_arguments,
    STATE(13813), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [606726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15631), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606748] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15107), 1,
      anon_sym_if,
    STATE(13871), 1,
      aux_sym_enumerator_repeat1,
    STATE(14280), 1,
      sym_guard,
    STATE(13815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15818), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [606776] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15820), 1,
      anon_sym_SEMI,
    ACTIONS(15823), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [606804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15659), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15629), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606870] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15773), 1,
      anon_sym_catch,
    ACTIONS(15825), 1,
      anon_sym_finally,
    STATE(13131), 1,
      sym_finally_clause,
    STATE(14338), 1,
      sym_catch_clause,
    STATE(13820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [606900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [606922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [606944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [606966] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15755), 1,
      anon_sym_LBRACK,
    ACTIONS(15827), 1,
      anon_sym_match,
    STATE(9155), 1,
      sym_type_arguments,
    STATE(13824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [606994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15829), 1,
      anon_sym_SEMI,
    ACTIONS(15832), 1,
      anon_sym_else,
    STATE(13825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [607020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [607042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12645), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [607086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15834), 1,
      anon_sym_SEMI,
    ACTIONS(15837), 1,
      anon_sym_else,
    STATE(13829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [607112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15626), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
  [607156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [607266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15839), 1,
      anon_sym_AT,
    STATE(14326), 1,
      sym_annotation,
    STATE(13837), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [607292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15661), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15755), 1,
      anon_sym_LBRACK,
    STATE(9155), 1,
      sym_type_arguments,
    STATE(13839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [607340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15755), 1,
      anon_sym_LBRACK,
    STATE(9155), 1,
      sym_type_arguments,
    STATE(13840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [607366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [607388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [607410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [607432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [607454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [607476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [607520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [607542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [607564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(13850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [607588] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15809), 1,
      anon_sym_catch,
    ACTIONS(15842), 1,
      anon_sym_finally,
    STATE(13473), 1,
      sym_finally_clause,
    STATE(14401), 1,
      sym_catch_clause,
    STATE(13851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [607618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14826), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12631), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607750] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_LBRACE,
    ACTIONS(12842), 1,
      anon_sym_COLON,
    STATE(14720), 1,
      aux_sym_compound_type_repeat1,
    STATE(16445), 1,
      sym_template_body,
    STATE(16487), 1,
      sym__refinement,
    ACTIONS(7944), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(13858), 2,
      sym_comment,
      sym_block_comment,
    STATE(16391), 2,
      sym__indented_template_body,
      sym__braced_template_body,
  [607784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607872] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15844), 1,
      anon_sym_SEMI,
    ACTIONS(15847), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [607900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [607946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607968] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15511), 1,
      anon_sym_finally,
    STATE(11808), 1,
      sym_finally_clause,
    STATE(13867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [607994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15615), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [608038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [608060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15851), 1,
      anon_sym_if,
    STATE(14280), 1,
      sym_guard,
    STATE(13871), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerator_repeat1,
    ACTIONS(15849), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [608086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15194), 1,
      anon_sym_finally,
    STATE(12719), 1,
      sym_finally_clause,
    STATE(13872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [608112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15854), 1,
      anon_sym_LBRACK,
    STATE(9203), 1,
      sym_type_arguments,
    STATE(13873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [608138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [608160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [608182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [608204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [608226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [608248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15854), 1,
      anon_sym_LBRACK,
    STATE(9203), 1,
      sym_type_arguments,
    STATE(13879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [608274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [608298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [608320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15422), 1,
      anon_sym_finally,
    STATE(14237), 1,
      sym_finally_clause,
    STATE(13882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [608346] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15713), 1,
      anon_sym_catch,
    ACTIONS(15856), 1,
      anon_sym_finally,
    STATE(13473), 1,
      sym_finally_clause,
    STATE(14390), 1,
      sym_catch_clause,
    STATE(13883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [608376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [608398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15860), 1,
      anon_sym_COMMA,
    STATE(13885), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15858), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [608422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [608444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15460), 1,
      anon_sym_finally,
    STATE(14237), 1,
      sym_finally_clause,
    STATE(13887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [608470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [608492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [608516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [608538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9656), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [608560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [608582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15863), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [608604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [608626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7914), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [608648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11807), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [608670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15609), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15604), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [608736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [608758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [608780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [608802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [608824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11796), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [608846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [608868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15488), 1,
      anon_sym_finally,
    STATE(12136), 1,
      sym_finally_clause,
    STATE(13906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [608894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9581), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [608916] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15813), 1,
      anon_sym_LBRACK,
    STATE(9311), 1,
      sym_type_arguments,
    STATE(13908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [608942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15813), 1,
      anon_sym_LBRACK,
    STATE(9311), 1,
      sym_type_arguments,
    STATE(13909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [608968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [608990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [609034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [609056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [609078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [609100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15865), 1,
      anon_sym_STAR,
    STATE(13920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [609212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15869), 1,
      anon_sym_COMMA,
    STATE(13885), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15867), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [609238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609262] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13414), 1,
      anon_sym_match,
    ACTIONS(15813), 1,
      anon_sym_LBRACK,
    STATE(9311), 1,
      sym_type_arguments,
    STATE(13923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [609290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11789), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [609378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15854), 1,
      anon_sym_LBRACK,
    STATE(9203), 1,
      sym_type_arguments,
    STATE(13930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [609448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11779), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [609538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11775), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [609560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15600), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [609606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15636), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [609650] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15854), 1,
      anon_sym_LBRACK,
    ACTIONS(15871), 1,
      anon_sym_match,
    STATE(9203), 1,
      sym_type_arguments,
    STATE(13940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [609678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [609700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12643), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11771), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [609744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15597), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15813), 1,
      anon_sym_LBRACK,
    STATE(9311), 1,
      sym_type_arguments,
    STATE(13945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [609792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11767), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [609814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15854), 1,
      anon_sym_LBRACK,
    STATE(9203), 1,
      sym_type_arguments,
    STATE(13947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [609840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15854), 1,
      anon_sym_LBRACK,
    STATE(9203), 1,
      sym_type_arguments,
    STATE(13948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [609866] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15873), 1,
      anon_sym_SEMI,
    ACTIONS(15876), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [609894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11763), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [609916] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15879), 1,
      anon_sym_end,
    STATE(9893), 1,
      sym__end_marker,
    STATE(13951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [609942] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15755), 1,
      anon_sym_LBRACK,
    ACTIONS(15827), 1,
      anon_sym_match,
    STATE(9155), 1,
      sym_type_arguments,
    STATE(13952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [609970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15381), 1,
      anon_sym_finally,
    STATE(13046), 1,
      sym_finally_clause,
    STATE(13953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [609996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [610018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [610040] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15086), 1,
      anon_sym_LT_COLON,
    ACTIONS(15088), 1,
      anon_sym_GT_COLON,
    STATE(14360), 1,
      sym_lower_bound,
    STATE(14547), 1,
      sym_upper_bound,
    STATE(13956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15881), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [610070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11785), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [610092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9585), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [610136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15354), 1,
      anon_sym_finally,
    STATE(13917), 1,
      sym_finally_clause,
    STATE(13960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [610162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [610186] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15883), 1,
      anon_sym_SEMI,
    ACTIONS(15886), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [610214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [610258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [610280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12675), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [610324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12679), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610346] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15557), 1,
      anon_sym_catch,
    ACTIONS(15889), 1,
      anon_sym_finally,
    STATE(13131), 1,
      sym_finally_clause,
    STATE(14399), 1,
      sym_catch_clause,
    STATE(13969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [610376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [610420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [610466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [610488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15891), 1,
      anon_sym_SEMI,
    ACTIONS(15894), 1,
      anon_sym_else,
    STATE(13975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [610514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15304), 1,
      anon_sym_finally,
    STATE(13482), 1,
      sym_finally_clause,
    STATE(13976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [610540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [610562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [610584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [610606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [610650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610672] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15854), 1,
      anon_sym_LBRACK,
    ACTIONS(15871), 1,
      anon_sym_match,
    STATE(9203), 1,
      sym_type_arguments,
    STATE(13983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12694), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12696), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [610766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [610788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [610832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [610854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15306), 1,
      anon_sym_finally,
    STATE(12237), 1,
      sym_finally_clause,
    STATE(13991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [610880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [610902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12700), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15897), 1,
      anon_sym_SEMI,
    ACTIONS(15899), 1,
      anon_sym_else,
    STATE(13995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [610972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12702), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [611038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [611060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15813), 1,
      anon_sym_LBRACK,
    STATE(9311), 1,
      sym_type_arguments,
    STATE(14004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [611174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611198] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15901), 1,
      anon_sym_SEMI,
    ACTIONS(15903), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [611226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15869), 1,
      anon_sym_COMMA,
    STATE(13921), 1,
      aux_sym_derives_clause_repeat1,
    STATE(14010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15905), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15907), 1,
      anon_sym_DOT,
    STATE(14011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [611342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15909), 1,
      anon_sym_end,
    STATE(9664), 1,
      sym__end_marker,
    STATE(14014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9613), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [611412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [611434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15585), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611500] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15403), 1,
      anon_sym_LT_COLON,
    ACTIONS(15405), 1,
      anon_sym_GT_COLON,
    STATE(14261), 1,
      sym_lower_bound,
    STATE(14661), 1,
      sym_upper_bound,
    STATE(14019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15881), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [611530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14902), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15813), 1,
      anon_sym_LBRACK,
    STATE(9311), 1,
      sym_type_arguments,
    STATE(14022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [611600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [611622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [611666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15911), 1,
      anon_sym_with,
    STATE(14027), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15583), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611734] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15805), 1,
      anon_sym_catch,
    ACTIONS(15914), 1,
      anon_sym_finally,
    STATE(14262), 1,
      sym_catch_clause,
    STATE(14402), 1,
      sym_finally_clause,
    STATE(14029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [611764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [611786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(14031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [611810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [611832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15569), 1,
      anon_sym_finally,
    STATE(13860), 1,
      sym_finally_clause,
    STATE(14033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [611858] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13608), 1,
      anon_sym_AT,
    STATE(13837), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14326), 1,
      sym_annotation,
    STATE(14034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [611886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [611908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [611930] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14307), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [611959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [611980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    STATE(14039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [612003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12696), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [612049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [612070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [612091] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [612116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [612137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15920), 1,
      anon_sym_as,
    STATE(14046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15863), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [612160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [612185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [612206] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15924), 1,
      anon_sym_LBRACK,
    STATE(9670), 1,
      sym_type_arguments,
    STATE(14049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [612231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [612252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15924), 1,
      anon_sym_LBRACK,
    STATE(9670), 1,
      sym_type_arguments,
    STATE(14051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [612277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(14052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [612300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15926), 1,
      anon_sym_DOT,
    STATE(14053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [612323] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14447), 1,
      anon_sym_LPAREN,
    ACTIONS(15928), 1,
      anon_sym_extends,
    ACTIONS(15932), 1,
      sym__automatic_semicolon,
    STATE(14331), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14617), 1,
      sym_class_parameters,
    STATE(16224), 1,
      sym_extends_clause,
    ACTIONS(15930), 2,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14054), 2,
      sym_comment,
      sym_block_comment,
  [612356] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15935), 1,
      anon_sym_with,
    STATE(14324), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14485), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14042), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612383] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    ACTIONS(15937), 1,
      anon_sym_if,
    ACTIONS(15939), 1,
      anon_sym_match,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(16201), 1,
      sym_guard,
    STATE(14056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15200), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [612414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [612439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [612481] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [612508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [612529] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15943), 1,
      anon_sym_SEMI,
    ACTIONS(15945), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [612556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [612577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [612600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14826), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612621] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15947), 1,
      anon_sym_SEMI,
    ACTIONS(15950), 1,
      anon_sym_else,
    STATE(14066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
  [612646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15952), 1,
      anon_sym_SEMI,
    ACTIONS(15955), 1,
      anon_sym_else,
    STATE(14067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [612671] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15958), 1,
      anon_sym_SEMI,
    ACTIONS(15961), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
  [612698] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15964), 1,
      anon_sym_COMMA,
    ACTIONS(15966), 1,
      anon_sym_with,
    STATE(14555), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14556), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14042), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [612727] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15968), 1,
      anon_sym_SEMI,
    ACTIONS(15971), 1,
      anon_sym_else,
    STATE(14070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
  [612752] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14180), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14152), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [612781] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [612806] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14219), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14570), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(15595), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14073), 2,
      sym_comment,
      sym_block_comment,
  [612839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12700), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [612881] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15974), 1,
      anon_sym_SEMI,
    ACTIONS(15977), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_finally,
  [612908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15573), 1,
      anon_sym_finally,
    STATE(12719), 1,
      sym_finally_clause,
    STATE(14077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [612933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [612954] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14179), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12900), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [612983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12679), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15980), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [613025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12702), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613046] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14147), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [613075] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13886), 1,
      anon_sym_match,
    ACTIONS(15924), 1,
      anon_sym_LBRACK,
    STATE(9670), 1,
      sym_type_arguments,
    STATE(14084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [613102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15777), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613123] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15525), 1,
      anon_sym_finally,
    STATE(14358), 1,
      sym_finally_clause,
    STATE(14086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [613148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 8,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [613169] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14157), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [613198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [613265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [613290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15657), 1,
      anon_sym_finally,
    STATE(12744), 1,
      sym_finally_clause,
    STATE(14095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [613357] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15982), 1,
      anon_sym_SEMI,
    ACTIONS(15985), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
  [613384] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14546), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14570), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(15595), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14097), 2,
      sym_comment,
      sym_block_comment,
  [613417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12694), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15987), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [613543] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15989), 1,
      anon_sym_SEMI,
    ACTIONS(15991), 1,
      anon_sym_else,
    STATE(14104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [613568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15993), 1,
      anon_sym_COMMA,
    STATE(14105), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15858), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613591] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15996), 1,
      anon_sym_SEMI,
    ACTIONS(15999), 1,
      anon_sym_else,
    STATE(14106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
  [613616] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15935), 1,
      anon_sym_with,
    ACTIONS(16002), 1,
      anon_sym_COMMA,
    STATE(14324), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14500), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14042), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613645] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16004), 1,
      anon_sym_SEMI,
    ACTIONS(16007), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
  [613672] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16010), 1,
      anon_sym_SEMI,
    ACTIONS(16013), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [613699] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    ACTIONS(15939), 1,
      anon_sym_match,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [613726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [613747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12675), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613768] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16016), 1,
      anon_sym_COMMA,
    STATE(14105), 1,
      aux_sym_derives_clause_repeat1,
    STATE(14113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15867), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613793] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15751), 1,
      anon_sym_finally,
    STATE(12136), 1,
      sym_finally_clause,
    STATE(14114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [613818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [613860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613881] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16018), 1,
      anon_sym_SEMI,
    ACTIONS(16021), 1,
      anon_sym_else,
    STATE(14118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
  [613906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16023), 1,
      anon_sym_DOT,
    STATE(14119), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15863), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [613929] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16026), 1,
      anon_sym_SEMI,
    ACTIONS(16029), 1,
      anon_sym_else,
    STATE(14120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [613954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [613998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [614019] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16031), 1,
      anon_sym_SEMI,
    ACTIONS(16034), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_catch,
      anon_sym_finally,
  [614046] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16036), 1,
      anon_sym_SEMI,
    ACTIONS(16039), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
  [614073] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_LT_COLON,
    ACTIONS(15577), 1,
      anon_sym_GT_COLON,
    STATE(14547), 1,
      sym_upper_bound,
    STATE(14569), 1,
      sym_lower_bound,
    STATE(14126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15881), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [614102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16041), 1,
      anon_sym_COLON,
    STATE(14127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16043), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [614125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [614148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15571), 1,
      anon_sym_finally,
    STATE(14166), 1,
      sym_finally_clause,
    STATE(14129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [614173] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16045), 1,
      anon_sym_SEMI,
    ACTIONS(16048), 1,
      anon_sym_else,
    STATE(14130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [614198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16050), 1,
      anon_sym_SEMI,
    ACTIONS(16053), 1,
      anon_sym_else,
    STATE(14131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [614223] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14447), 1,
      anon_sym_LPAREN,
    ACTIONS(15928), 1,
      anon_sym_extends,
    ACTIONS(16058), 1,
      sym__automatic_semicolon,
    STATE(14331), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14617), 1,
      sym_class_parameters,
    STATE(16251), 1,
      sym_extends_clause,
    ACTIONS(16056), 2,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14132), 2,
      sym_comment,
      sym_block_comment,
  [614256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15561), 1,
      anon_sym_finally,
    STATE(14166), 1,
      sym_finally_clause,
    STATE(14133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [614281] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16061), 1,
      anon_sym_LBRACK,
    STATE(9987), 1,
      sym_type_arguments,
    STATE(14134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [614306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [614327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12643), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [614348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [614369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [614390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [614411] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16065), 1,
      anon_sym_DOT,
    STATE(14119), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16063), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [614436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [614457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [614478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [614499] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    ACTIONS(15939), 1,
      anon_sym_match,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [614526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [614549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [614570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14083), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12967), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [614599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [614620] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    ACTIONS(15939), 1,
      anon_sym_match,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14787), 1,
      aux_sym__block_repeat1,
    ACTIONS(16067), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(16069), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14149), 2,
      sym_comment,
      sym_block_comment,
  [614651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16071), 1,
      anon_sym_SEMI,
    ACTIONS(16074), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_finally,
  [614678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [614699] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14546), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14747), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16077), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14152), 2,
      sym_comment,
      sym_block_comment,
  [614732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [614753] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16079), 1,
      anon_sym_SEMI,
    ACTIONS(16082), 1,
      anon_sym_else,
    STATE(14154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
  [614778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15771), 1,
      anon_sym_finally,
    STATE(13066), 1,
      sym_finally_clause,
    STATE(14155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [614803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [614826] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    STATE(15348), 1,
      sym_template_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16085), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [614855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [614876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16061), 1,
      anon_sym_LBRACK,
    STATE(9987), 1,
      sym_type_arguments,
    STATE(14159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [614901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15719), 1,
      anon_sym_finally,
    STATE(14008), 1,
      sym_finally_clause,
    STATE(14160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
  [614926] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15008), 1,
      anon_sym_LPAREN,
    ACTIONS(16087), 1,
      anon_sym_extends,
    ACTIONS(16089), 1,
      sym__automatic_semicolon,
    STATE(14303), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14669), 1,
      sym_class_parameters,
    STATE(15870), 1,
      sym_extends_clause,
    ACTIONS(16056), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(14161), 2,
      sym_comment,
      sym_block_comment,
  [614959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [614980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [615001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [615022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15747), 1,
      anon_sym_finally,
    STATE(13066), 1,
      sym_finally_clause,
    STATE(14165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_do,
  [615047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [615068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15565), 1,
      anon_sym_finally,
    STATE(12237), 1,
      sym_finally_clause,
    STATE(14167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [615093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [615114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15559), 1,
      anon_sym_finally,
    STATE(13046), 1,
      sym_finally_clause,
    STATE(14169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [615139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [615160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [615181] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16092), 1,
      anon_sym_SEMI,
    ACTIONS(16095), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_finally,
  [615208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [615231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [615252] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16097), 1,
      anon_sym_COMMA,
    ACTIONS(16099), 1,
      anon_sym_with,
    STATE(14334), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14479), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14042), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [615302] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14214), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14420), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [615331] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    ACTIONS(15937), 1,
      anon_sym_if,
    ACTIONS(15939), 1,
      anon_sym_match,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(16143), 1,
      sym_guard,
    STATE(14178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15105), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [615362] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14425), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [615391] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14434), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [615420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [615441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [615462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [615483] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [615508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16103), 1,
      anon_sym_DOT,
    STATE(14140), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16101), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [615533] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14546), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14718), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16105), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14186), 2,
      sym_comment,
      sym_block_comment,
  [615566] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16107), 1,
      anon_sym_SEMI,
    ACTIONS(16110), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_finally,
  [615593] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14152), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14717), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16113), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14188), 2,
      sym_comment,
      sym_block_comment,
  [615626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_SEMI,
    ACTIONS(16118), 1,
      anon_sym_else,
    STATE(14189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [615651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13886), 1,
      anon_sym_match,
    ACTIONS(15924), 1,
      anon_sym_LBRACK,
    STATE(9670), 1,
      sym_type_arguments,
    STATE(14190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [615678] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14546), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14717), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16113), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14191), 2,
      sym_comment,
      sym_block_comment,
  [615711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12631), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615732] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16121), 1,
      anon_sym_SEMI,
    ACTIONS(16124), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_finally,
  [615759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16126), 1,
      anon_sym_SEMI,
    ACTIONS(16129), 1,
      anon_sym_else,
    STATE(14194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
  [615784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16016), 1,
      anon_sym_COMMA,
    STATE(14113), 1,
      aux_sym_derives_clause_repeat1,
    STATE(14195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15905), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [615830] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [615857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [615878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [615901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12645), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16131), 1,
      anon_sym_DOT,
    STATE(14201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [615945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [615968] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15924), 1,
      anon_sym_LBRACK,
    STATE(9670), 1,
      sym_type_arguments,
    STATE(14203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [615993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616035] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14186), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14690), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14206), 2,
      sym_comment,
      sym_block_comment,
  [616068] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15008), 1,
      anon_sym_LPAREN,
    ACTIONS(16087), 1,
      anon_sym_extends,
    ACTIONS(16135), 1,
      sym__automatic_semicolon,
    STATE(14303), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14669), 1,
      sym_class_parameters,
    STATE(15832), 1,
      sym_extends_clause,
    ACTIONS(15930), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(14207), 2,
      sym_comment,
      sym_block_comment,
  [616101] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15082), 1,
      anon_sym_match,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(14594), 1,
      aux_sym__block_repeat1,
    ACTIONS(16067), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(16138), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14208), 2,
      sym_comment,
      sym_block_comment,
  [616132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [616174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15924), 1,
      anon_sym_LBRACK,
    STATE(9670), 1,
      sym_type_arguments,
    STATE(14211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [616199] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16140), 1,
      anon_sym_SEMI,
    ACTIONS(16143), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_catch,
      anon_sym_finally,
  [616226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616247] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12392), 1,
      anon_sym_LPAREN,
    ACTIONS(12923), 1,
      sym__automatic_semicolon,
    STATE(12919), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13469), 1,
      sym_class_parameters,
    STATE(14214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14531), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [616276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [616320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15529), 1,
      anon_sym_finally,
    STATE(14358), 1,
      sym_finally_clause,
    STATE(14217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [616345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15924), 1,
      anon_sym_LBRACK,
    STATE(9670), 1,
      sym_type_arguments,
    STATE(14218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [616370] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14546), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14690), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14219), 2,
      sym_comment,
      sym_block_comment,
  [616403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [616445] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13813), 1,
      anon_sym_match,
    ACTIONS(16061), 1,
      anon_sym_LBRACK,
    STATE(9987), 1,
      sym_type_arguments,
    STATE(14222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [616472] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16099), 1,
      anon_sym_with,
    STATE(14334), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14440), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14042), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [616499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7574), 1,
      anon_sym_DOT,
    STATE(14224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [616522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16146), 1,
      anon_sym_SEMI,
    ACTIONS(16149), 1,
      anon_sym_else,
    STATE(14225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [616547] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14546), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14701), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(15602), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14226), 2,
      sym_comment,
      sym_block_comment,
  [616580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16152), 1,
      anon_sym_STAR,
    STATE(14227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [616603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616624] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    ACTIONS(13258), 1,
      anon_sym_LT_PERCENT,
    STATE(14191), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14701), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15100), 1,
      sym_view_bound,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(15602), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14229), 2,
      sym_comment,
      sym_block_comment,
  [616657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616678] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16154), 1,
      anon_sym_SEMI,
    ACTIONS(16157), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_finally,
  [616705] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13813), 1,
      anon_sym_match,
    ACTIONS(16061), 1,
      anon_sym_LBRACK,
    STATE(9987), 1,
      sym_type_arguments,
    STATE(14232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [616732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16159), 1,
      anon_sym_SEMI,
    ACTIONS(16162), 1,
      anon_sym_else,
    STATE(14233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [616757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16061), 1,
      anon_sym_LBRACK,
    STATE(9987), 1,
      sym_type_arguments,
    STATE(14235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [616803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16061), 1,
      anon_sym_LBRACK,
    STATE(9987), 1,
      sym_type_arguments,
    STATE(14236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [616828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616849] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16061), 1,
      anon_sym_LBRACK,
    STATE(9987), 1,
      sym_type_arguments,
    STATE(14238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [616874] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16164), 1,
      anon_sym_SEMI,
    ACTIONS(16167), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
  [616900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [616920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16172), 1,
      anon_sym_COMMA,
    STATE(14328), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16170), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [616944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16174), 1,
      anon_sym_DOT,
    STATE(14242), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15863), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [616966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16177), 1,
      anon_sym_with,
    STATE(14243), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15340), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [616988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9008), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_SEMI,
  [617010] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16180), 1,
      anon_sym_SEMI,
    ACTIONS(16183), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
  [617036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16186), 1,
      anon_sym_SEMI,
    ACTIONS(16189), 1,
      anon_sym_else,
    STATE(14246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
  [617060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [617080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [617100] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16192), 1,
      anon_sym_catch,
    ACTIONS(16194), 1,
      anon_sym_finally,
    STATE(14013), 1,
      sym_finally_clause,
    STATE(14478), 1,
      sym_catch_clause,
    STATE(14249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [617128] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16196), 1,
      anon_sym_SEMI,
    ACTIONS(16199), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [617154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [617174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7838), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [617194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [617214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [617234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16202), 1,
      anon_sym_COLON,
    STATE(14255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16204), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [617256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16206), 1,
      anon_sym_SEMI,
    ACTIONS(16209), 1,
      anon_sym_else,
    STATE(14256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [617280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [617300] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16212), 1,
      anon_sym_COLON,
    ACTIONS(16214), 1,
      anon_sym_LBRACE,
    ACTIONS(16216), 1,
      anon_sym_extends,
    ACTIONS(16218), 1,
      anon_sym_derives,
    STATE(14679), 1,
      sym_extends_clause,
    STATE(14980), 1,
      sym_enum_body,
    STATE(15633), 1,
      sym_derives_clause,
    STATE(14258), 2,
      sym_comment,
      sym_block_comment,
  [617332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7882), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [617352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16220), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [617372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15403), 1,
      anon_sym_LT_COLON,
    STATE(14806), 1,
      sym_upper_bound,
    STATE(14261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16222), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [617396] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15914), 1,
      anon_sym_finally,
    STATE(14254), 1,
      sym_finally_clause,
    STATE(14262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [617420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15807), 1,
      anon_sym_finally,
    STATE(14043), 1,
      sym_finally_clause,
    STATE(14263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [617444] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15676), 1,
      anon_sym_AT,
    STATE(14317), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14711), 1,
      sym_annotation,
    STATE(14264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8503), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [617470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7798), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [617490] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16224), 1,
      anon_sym_SEMI,
    ACTIONS(16227), 1,
      anon_sym_else,
    STATE(14266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [617514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7894), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [617534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7912), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [617554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [617574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14542), 1,
      sym_arguments,
    STATE(14270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [617596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15775), 1,
      anon_sym_finally,
    STATE(12719), 1,
      sym_finally_clause,
    STATE(14271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [617620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7932), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [617640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16172), 1,
      anon_sym_COMMA,
    STATE(14329), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16230), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [617664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [617684] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16232), 1,
      anon_sym_SEMI,
    ACTIONS(16235), 1,
      anon_sym_else,
    STATE(14275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [617708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [617728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [617748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [617768] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16238), 1,
      anon_sym_SEMI,
    ACTIONS(16241), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
  [617794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16244), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [617814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16246), 1,
      anon_sym_SEMI,
    ACTIONS(16249), 1,
      anon_sym_else,
    STATE(14281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [617838] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16252), 1,
      anon_sym_SEMI,
    ACTIONS(16255), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
  [617864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7872), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [617884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16257), 1,
      anon_sym_SEMI,
    ACTIONS(16260), 1,
      anon_sym_else,
    STATE(14284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [617908] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16262), 1,
      anon_sym_SEMI,
    ACTIONS(16264), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [617934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16266), 1,
      anon_sym_SEMI,
    ACTIONS(16268), 1,
      anon_sym_else,
    STATE(14286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [617958] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16270), 1,
      anon_sym_SEMI,
    ACTIONS(16273), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_finally,
  [617984] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16276), 1,
      anon_sym_SEMI,
    ACTIONS(16278), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
  [618010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [618030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [618050] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16282), 1,
      anon_sym_LBRACK,
    STATE(10327), 1,
      sym_type_arguments,
    STATE(14291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13394), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [618074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [618096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15715), 1,
      anon_sym_finally,
    STATE(13741), 1,
      sym_finally_clause,
    STATE(14293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [618120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7940), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [618140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [618160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16282), 1,
      anon_sym_LBRACK,
    STATE(10327), 1,
      sym_type_arguments,
    STATE(14296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [618184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12972), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [618204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16284), 1,
      anon_sym_SEMI,
    ACTIONS(16287), 1,
      anon_sym_else,
    STATE(14298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [618228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7826), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [618248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [618268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7980), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [618288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [618308] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16292), 1,
      anon_sym_LPAREN,
    ACTIONS(16295), 1,
      sym__automatic_semicolon,
    STATE(14669), 1,
      sym_class_parameters,
    ACTIONS(16290), 3,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_SEMI,
    STATE(14303), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__full_enum_def_repeat1,
  [618334] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16298), 1,
      anon_sym_catch,
    ACTIONS(16300), 1,
      anon_sym_finally,
    STATE(14013), 1,
      sym_finally_clause,
    STATE(14529), 1,
      sym_catch_clause,
    STATE(14304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [618362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16304), 1,
      anon_sym_DOT,
    STATE(14323), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16302), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [618386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [618408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16306), 1,
      anon_sym_catch,
    ACTIONS(16308), 1,
      anon_sym_finally,
    STATE(14402), 1,
      sym_finally_clause,
    STATE(14751), 1,
      sym_catch_clause,
    STATE(14307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [618436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [618456] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16310), 1,
      anon_sym_SEMI,
    ACTIONS(16313), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_finally,
  [618482] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15082), 1,
      anon_sym_match,
    ACTIONS(16067), 1,
      anon_sym_RBRACE,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(15138), 1,
      aux_sym__block_repeat1,
    ACTIONS(16315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14310), 2,
      sym_comment,
      sym_block_comment,
  [618512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15086), 1,
      anon_sym_LT_COLON,
    STATE(14551), 1,
      sym_upper_bound,
    STATE(14311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16317), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [618536] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16319), 1,
      anon_sym_LBRACE,
    ACTIONS(16323), 1,
      anon_sym_EQ,
    STATE(14699), 1,
      sym_block,
    STATE(14312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16321), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [618562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [618582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14666), 1,
      anon_sym_match,
    ACTIONS(16325), 1,
      anon_sym_LBRACK,
    STATE(10089), 1,
      sym_type_arguments,
    STATE(14314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
  [618608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16327), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [618628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [618648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16329), 1,
      anon_sym_AT,
    STATE(14711), 1,
      sym_annotation,
    STATE(14317), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8552), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [618672] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15082), 1,
      anon_sym_match,
    ACTIONS(16332), 1,
      anon_sym_RBRACE,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(15053), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16334), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14318), 2,
      sym_comment,
      sym_block_comment,
  [618702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [618722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16325), 1,
      anon_sym_LBRACK,
    STATE(10089), 1,
      sym_type_arguments,
    STATE(14320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [618746] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16306), 1,
      anon_sym_catch,
    ACTIONS(16336), 1,
      anon_sym_finally,
    STATE(14099), 1,
      sym_finally_clause,
    STATE(14575), 1,
      sym_catch_clause,
    STATE(14321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [618774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16338), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [618794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16304), 1,
      anon_sym_DOT,
    STATE(14403), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16340), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [618818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15935), 1,
      anon_sym_with,
    STATE(14243), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [618842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7580), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [618862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [618882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [618902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16172), 1,
      anon_sym_COMMA,
    STATE(14387), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16342), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [618926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16172), 1,
      anon_sym_COMMA,
    STATE(14387), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16344), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [618950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16325), 1,
      anon_sym_LBRACK,
    STATE(10089), 1,
      sym_type_arguments,
    STATE(14330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [618974] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16346), 1,
      anon_sym_LPAREN,
    ACTIONS(16349), 1,
      sym__automatic_semicolon,
    STATE(14617), 1,
      sym_class_parameters,
    ACTIONS(16290), 3,
      sym__outdent,
      anon_sym_extends,
      anon_sym_SEMI,
    STATE(14331), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__full_enum_def_repeat1,
  [619000] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16216), 1,
      anon_sym_extends,
    ACTIONS(16218), 1,
      anon_sym_derives,
    ACTIONS(16352), 1,
      anon_sym_COLON,
    ACTIONS(16354), 1,
      anon_sym_LBRACE,
    STATE(14623), 1,
      sym_enum_body,
    STATE(14629), 1,
      sym_extends_clause,
    STATE(15339), 1,
      sym_derives_clause,
    STATE(14332), 2,
      sym_comment,
      sym_block_comment,
  [619032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16356), 1,
      anon_sym_as,
    STATE(14333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15863), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [619054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16099), 1,
      anon_sym_with,
    STATE(14406), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [619078] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16358), 1,
      anon_sym_SEMI,
    ACTIONS(16361), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
  [619104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [619124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [619146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15825), 1,
      anon_sym_finally,
    STATE(13046), 1,
      sym_finally_clause,
    STATE(14338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [619170] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15622), 1,
      anon_sym_LPAREN,
    STATE(14355), 1,
      aux_sym_annotation_repeat1,
    STATE(14745), 1,
      sym_arguments,
    STATE(14339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8469), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [619196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16364), 1,
      anon_sym_SEMI,
    ACTIONS(16367), 1,
      anon_sym_else,
    STATE(14340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [619220] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16369), 1,
      anon_sym_catch,
    ACTIONS(16371), 1,
      anon_sym_finally,
    STATE(14099), 1,
      sym_finally_clause,
    STATE(14799), 1,
      sym_catch_clause,
    STATE(14341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [619248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16373), 1,
      anon_sym_COLON,
    STATE(14342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16204), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [619270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16375), 1,
      anon_sym_with,
    STATE(14343), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9032), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [619292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [619312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16378), 1,
      anon_sym_COLON,
    STATE(14345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16380), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [619334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [619354] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16325), 1,
      anon_sym_LBRACK,
    STATE(10089), 1,
      sym_type_arguments,
    STATE(14347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [619378] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    ACTIONS(15939), 1,
      anon_sym_match,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16382), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [619404] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16212), 1,
      anon_sym_COLON,
    ACTIONS(16214), 1,
      anon_sym_LBRACE,
    ACTIONS(16216), 1,
      anon_sym_extends,
    ACTIONS(16218), 1,
      anon_sym_derives,
    STATE(14715), 1,
      sym_extends_clause,
    STATE(14908), 1,
      sym_enum_body,
    STATE(15417), 1,
      sym_derives_clause,
    STATE(14349), 2,
      sym_comment,
      sym_block_comment,
  [619436] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14666), 1,
      anon_sym_match,
    ACTIONS(16325), 1,
      anon_sym_LBRACK,
    STATE(10089), 1,
      sym_type_arguments,
    STATE(14350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
  [619462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16325), 1,
      anon_sym_LBRACK,
    STATE(10089), 1,
      sym_type_arguments,
    STATE(14351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [619486] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    ACTIONS(15939), 1,
      anon_sym_match,
    ACTIONS(16332), 1,
      sym__outdent,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14904), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16384), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14352), 2,
      sym_comment,
      sym_block_comment,
  [619516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [619536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16282), 1,
      anon_sym_LBRACK,
    STATE(10327), 1,
      sym_type_arguments,
    STATE(14354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [619560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16386), 1,
      anon_sym_LPAREN,
    STATE(14745), 1,
      sym_arguments,
    STATE(14355), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8366), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [619584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [619604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [619624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13324), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [619644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13303), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [619664] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15086), 1,
      anon_sym_LT_COLON,
    STATE(14534), 1,
      sym_upper_bound,
    STATE(14360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16222), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [619688] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16216), 1,
      anon_sym_extends,
    ACTIONS(16218), 1,
      anon_sym_derives,
    ACTIONS(16352), 1,
      anon_sym_COLON,
    ACTIONS(16354), 1,
      anon_sym_LBRACE,
    STATE(14579), 1,
      sym_enum_body,
    STATE(14581), 1,
      sym_extends_clause,
    STATE(15616), 1,
      sym_derives_clause,
    STATE(14361), 2,
      sym_comment,
      sym_block_comment,
  [619720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16389), 1,
      anon_sym_SEMI,
    ACTIONS(16392), 1,
      anon_sym_else,
    STATE(14362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [619744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9008), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [619764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14451), 1,
      sym_arguments,
    STATE(14364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [619786] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16395), 1,
      anon_sym_SEMI,
    ACTIONS(16398), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
  [619812] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    ACTIONS(15939), 1,
      anon_sym_match,
    ACTIONS(16067), 1,
      sym__outdent,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14979), 1,
      aux_sym__block_repeat1,
    ACTIONS(16400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14366), 2,
      sym_comment,
      sym_block_comment,
  [619842] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16369), 1,
      anon_sym_catch,
    ACTIONS(16402), 1,
      anon_sym_finally,
    STATE(14402), 1,
      sym_finally_clause,
    STATE(14636), 1,
      sym_catch_clause,
    STATE(14367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14544), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [619870] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14580), 1,
      anon_sym_match,
    ACTIONS(16282), 1,
      anon_sym_LBRACK,
    STATE(10327), 1,
      sym_type_arguments,
    STATE(14368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_finally,
  [619896] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15803), 1,
      anon_sym_finally,
    STATE(14358), 1,
      sym_finally_clause,
    STATE(14369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [619920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [619940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16404), 1,
      anon_sym_SEMI,
    ACTIONS(16407), 1,
      anon_sym_else,
    STATE(14371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [619964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16409), 1,
      anon_sym_DOT,
    STATE(14389), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16101), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [619988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14563), 1,
      sym_arguments,
    STATE(14373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [620010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13296), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [620030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13291), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13289), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [620052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [620072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16411), 1,
      anon_sym_SEMI,
    ACTIONS(16413), 1,
      anon_sym_else,
    STATE(14377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [620096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13273), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [620116] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16415), 1,
      anon_sym_SEMI,
    ACTIONS(16417), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [620142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16282), 1,
      anon_sym_LBRACK,
    STATE(10327), 1,
      sym_type_arguments,
    STATE(14380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [620166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [620186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16282), 1,
      anon_sym_LBRACK,
    STATE(10327), 1,
      sym_type_arguments,
    STATE(14382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [620210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16419), 1,
      anon_sym_SEMI,
    ACTIONS(16422), 1,
      anon_sym_else,
    STATE(14383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
  [620234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13271), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [620254] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16424), 1,
      anon_sym_LBRACE,
    ACTIONS(16426), 1,
      anon_sym_EQ,
    STATE(14983), 1,
      sym_block,
    STATE(14385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16321), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16428), 1,
      anon_sym_COLON,
    STATE(14386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16430), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [620302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16434), 1,
      anon_sym_COMMA,
    STATE(14387), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_import_declaration_repeat1,
    ACTIONS(16432), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [620324] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16437), 1,
      anon_sym_SEMI,
    ACTIONS(16440), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
  [620350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16442), 1,
      anon_sym_DOT,
    STATE(14242), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16063), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [620374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15856), 1,
      anon_sym_finally,
    STATE(13482), 1,
      sym_finally_clause,
    STATE(14390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [620398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16444), 1,
      anon_sym_COLON,
    STATE(14391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16430), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [620420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13321), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13319), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [620442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [620462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16446), 1,
      anon_sym_SEMI,
    ACTIONS(16448), 1,
      anon_sym_else,
    STATE(14394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [620486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13232), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [620506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13277), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13275), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [620528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13244), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [620548] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15082), 1,
      anon_sym_match,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(14398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16382), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [620574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15889), 1,
      anon_sym_finally,
    STATE(13046), 1,
      sym_finally_clause,
    STATE(14399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [620598] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14580), 1,
      anon_sym_match,
    ACTIONS(16282), 1,
      anon_sym_LBRACK,
    STATE(10327), 1,
      sym_type_arguments,
    STATE(14400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_finally,
  [620624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15842), 1,
      anon_sym_finally,
    STATE(13482), 1,
      sym_finally_clause,
    STATE(14401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [620648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [620668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16450), 1,
      anon_sym_DOT,
    STATE(14403), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15863), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [620690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13238), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [620710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7566), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [620730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16453), 1,
      anon_sym_with,
    STATE(14406), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15340), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [620752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15811), 1,
      anon_sym_finally,
    STATE(13741), 1,
      sym_finally_clause,
    STATE(14407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [620776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15403), 1,
      anon_sym_LT_COLON,
    STATE(14631), 1,
      sym_upper_bound,
    STATE(14408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16317), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [620800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [620820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13363), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [620840] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16456), 1,
      anon_sym_SEMI,
    ACTIONS(16459), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [620866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16462), 1,
      anon_sym_COLON,
    STATE(14412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16380), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [620888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13225), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [620908] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(16464), 1,
      anon_sym_COLON,
    ACTIONS(16466), 1,
      sym__automatic_semicolon,
    STATE(12888), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14414), 2,
      sym_comment,
      sym_block_comment,
  [620937] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16468), 1,
      anon_sym_SEMI,
    ACTIONS(16471), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15493), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    STATE(14415), 2,
      sym_comment,
      sym_block_comment,
  [620962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [620981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16220), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [621019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5136), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [621038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621057] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16473), 1,
      anon_sym_SEMI,
    ACTIONS(16476), 1,
      anon_sym_else,
    STATE(14421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
  [621080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15661), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621099] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15082), 1,
      anon_sym_match,
    ACTIONS(16479), 1,
      anon_sym_LBRACK,
    STATE(10524), 1,
      sym_type_arguments,
    STATE(14423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13416), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [621124] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16481), 1,
      anon_sym_SEMI,
    ACTIONS(16484), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15493), 2,
      anon_sym_while,
      anon_sym_finally,
    STATE(14424), 2,
      sym_comment,
      sym_block_comment,
  [621149] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16487), 1,
      anon_sym_SEMI,
    ACTIONS(16489), 1,
      anon_sym_else,
    STATE(14425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
  [621172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16491), 1,
      anon_sym_COMMA,
    STATE(14427), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15345), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621212] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16496), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15885), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14428), 2,
      sym_comment,
      sym_block_comment,
  [621241] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16498), 1,
      anon_sym_SEMI,
    ACTIONS(16500), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15493), 2,
      anon_sym_while,
      anon_sym_finally,
    STATE(14429), 2,
      sym_comment,
      sym_block_comment,
  [621266] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16502), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15887), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14430), 2,
      sym_comment,
      sym_block_comment,
  [621295] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16504), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16298), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14431), 2,
      sym_comment,
      sym_block_comment,
  [621324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16506), 1,
      anon_sym_if,
    STATE(14989), 1,
      sym_guard,
    ACTIONS(15849), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14432), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerator_repeat1,
  [621347] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10536), 1,
      anon_sym_LPAREN,
    STATE(14880), 1,
      sym_arguments,
    STATE(14433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15646), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [621370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16509), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [621389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [621408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16511), 1,
      anon_sym_COMMA,
    STATE(14491), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16344), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621450] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16511), 1,
      anon_sym_COMMA,
    STATE(14491), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16342), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12641), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [621492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14427), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621513] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16513), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15836), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14441), 2,
      sym_comment,
      sym_block_comment,
  [621542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16515), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [621561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621580] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_if,
    STATE(14432), 1,
      aux_sym_enumerator_repeat1,
    STATE(14989), 1,
      sym_guard,
    STATE(14444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15818), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [621605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16517), 1,
      anon_sym_SEMI,
    ACTIONS(16520), 1,
      anon_sym_else,
    STATE(14445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
  [621628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [621666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [621685] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16522), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16336), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14449), 2,
      sym_comment,
      sym_block_comment,
  [621714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16511), 1,
      anon_sym_COMMA,
    STATE(14436), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16230), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621756] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16524), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16043), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14452), 2,
      sym_comment,
      sym_block_comment,
  [621785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16526), 1,
      anon_sym_SEMI,
    ACTIONS(16529), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15493), 2,
      sym__automatic_semicolon,
      sym__outdent,
    STATE(14453), 2,
      sym_comment,
      sym_block_comment,
  [621810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16511), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16170), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16531), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [621852] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    ACTIONS(15939), 1,
      anon_sym_match,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(14456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16533), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [621877] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16424), 1,
      anon_sym_LBRACE,
    ACTIONS(16535), 1,
      anon_sym_EQ,
    STATE(14983), 1,
      sym_block,
    STATE(14457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16321), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [621902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621940] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16537), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15770), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14460), 2,
      sym_comment,
      sym_block_comment,
  [621969] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16539), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15300), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14461), 2,
      sym_comment,
      sym_block_comment,
  [621998] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16541), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16090), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14462), 2,
      sym_comment,
      sym_block_comment,
  [622027] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16543), 1,
      anon_sym_COMMA,
    ACTIONS(16545), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15600), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14463), 2,
      sym_comment,
      sym_block_comment,
  [622056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16479), 1,
      anon_sym_LBRACK,
    STATE(10524), 1,
      sym_type_arguments,
    STATE(14465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13408), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [622098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16547), 1,
      anon_sym_COLON,
    STATE(14467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16204), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [622138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15863), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [622157] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16549), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16268), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14469), 2,
      sym_comment,
      sym_block_comment,
  [622186] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16551), 1,
      anon_sym_SEMI,
    ACTIONS(16554), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15493), 2,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
    STATE(14470), 2,
      sym_comment,
      sym_block_comment,
  [622211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [622230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [622249] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16319), 1,
      anon_sym_LBRACE,
    ACTIONS(16556), 1,
      anon_sym_EQ,
    STATE(14699), 1,
      sym_block,
    STATE(14473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16321), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [622274] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15082), 1,
      anon_sym_match,
    ACTIONS(16479), 1,
      anon_sym_LBRACK,
    STATE(10524), 1,
      sym_type_arguments,
    STATE(14474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16558), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [622299] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16560), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15953), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14475), 2,
      sym_comment,
      sym_block_comment,
  [622328] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16562), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16262), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14476), 2,
      sym_comment,
      sym_block_comment,
  [622357] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16564), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15885), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14477), 2,
      sym_comment,
      sym_block_comment,
  [622386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16194), 1,
      anon_sym_finally,
    STATE(14008), 1,
      sym_finally_clause,
    STATE(14478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
  [622409] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16097), 1,
      anon_sym_COMMA,
    STATE(14427), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [622451] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16566), 1,
      anon_sym_LBRACE,
    ACTIONS(16570), 1,
      sym__interpolation_identifier,
    ACTIONS(16568), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
    STATE(14481), 2,
      sym_comment,
      sym_block_comment,
    STATE(16602), 2,
      sym_block,
      sym__aliased_interpolation_identifier,
  [622476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16572), 1,
      anon_sym_SEMI,
    ACTIONS(16575), 1,
      anon_sym_else,
    STATE(14482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
  [622499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [622518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16338), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [622537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14510), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622577] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(16577), 1,
      anon_sym_COLON,
    ACTIONS(16579), 1,
      sym__automatic_semicolon,
    STATE(12888), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14487), 2,
      sym_comment,
      sym_block_comment,
  [622606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [622644] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16581), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15885), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14490), 2,
      sym_comment,
      sym_block_comment,
  [622673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16583), 1,
      anon_sym_COMMA,
    STATE(14491), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_import_declaration_repeat1,
    ACTIONS(16432), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [622713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12671), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [622732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15006), 1,
      anon_sym_extends,
    STATE(15040), 1,
      sym_extends_clause,
    STATE(14494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14443), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [622755] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_LT_COLON,
    STATE(14551), 1,
      sym_upper_bound,
    STATE(14495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16317), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [622778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16317), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [622797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [622816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12673), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [622835] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16588), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15699), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14499), 2,
      sym_comment,
      sym_block_comment,
  [622864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16002), 1,
      anon_sym_COMMA,
    STATE(14510), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16590), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [622906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16592), 1,
      anon_sym_SEMI,
    ACTIONS(16595), 1,
      anon_sym_else,
    STATE(14502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
  [622929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16598), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [622967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16600), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [622986] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16602), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15378), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14506), 2,
      sym_comment,
      sym_block_comment,
  [623015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16604), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [623034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16606), 1,
      anon_sym_with,
    STATE(14508), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15340), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [623055] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15082), 1,
      anon_sym_match,
    ACTIONS(16479), 1,
      anon_sym_LBRACK,
    STATE(10524), 1,
      sym_type_arguments,
    STATE(14509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13412), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [623080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16609), 1,
      anon_sym_COMMA,
    STATE(14510), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15345), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [623101] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16612), 1,
      anon_sym_SEMI,
    ACTIONS(16615), 1,
      anon_sym_else,
    STATE(14511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
  [623124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    STATE(14928), 1,
      sym_arguments,
    STATE(14512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15646), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [623147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [623166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16617), 1,
      anon_sym_COMMA,
    STATE(14514), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15345), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [623187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [623206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16280), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [623225] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16620), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15637), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14517), 2,
      sym_comment,
      sym_block_comment,
  [623254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [623273] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15082), 1,
      anon_sym_match,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(14519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16533), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [623298] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(16622), 1,
      anon_sym_COLON,
    ACTIONS(16624), 1,
      sym__automatic_semicolon,
    STATE(12888), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14520), 2,
      sym_comment,
      sym_block_comment,
  [623327] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(16626), 1,
      anon_sym_COLON,
    ACTIONS(16628), 1,
      sym__automatic_semicolon,
    STATE(12888), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14521), 2,
      sym_comment,
      sym_block_comment,
  [623356] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(16630), 1,
      anon_sym_COLON,
    ACTIONS(16632), 1,
      sym__automatic_semicolon,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14487), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14522), 2,
      sym_comment,
      sym_block_comment,
  [623385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12692), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [623404] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16634), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15252), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14524), 2,
      sym_comment,
      sym_block_comment,
  [623433] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16636), 1,
      anon_sym_SEMI,
    ACTIONS(16638), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15493), 2,
      anon_sym_finally,
      anon_sym_do,
    STATE(14525), 2,
      sym_comment,
      sym_block_comment,
  [623458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16640), 1,
      anon_sym_SEMI,
    ACTIONS(16642), 1,
      anon_sym_else,
    STATE(14526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
  [623481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [623500] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16319), 1,
      anon_sym_LBRACE,
    ACTIONS(16644), 1,
      anon_sym_EQ,
    STATE(14699), 1,
      sym_block,
    STATE(14528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16321), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [623525] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16300), 1,
      anon_sym_finally,
    STATE(14008), 1,
      sym_finally_clause,
    STATE(14529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_do,
  [623548] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16646), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16199), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14530), 2,
      sym_comment,
      sym_block_comment,
  [623577] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(16648), 1,
      anon_sym_COLON,
    ACTIONS(16650), 1,
      sym__automatic_semicolon,
    STATE(13797), 1,
      sym_parameters,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(14520), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14531), 2,
      sym_comment,
      sym_block_comment,
  [623606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16652), 1,
      anon_sym_LBRACE,
    ACTIONS(16656), 1,
      sym__interpolation_identifier,
    ACTIONS(16654), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
    STATE(14532), 2,
      sym_comment,
      sym_block_comment,
    STATE(16540), 2,
      sym_block,
      sym__aliased_interpolation_identifier,
  [623631] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16658), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15992), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14533), 2,
      sym_comment,
      sym_block_comment,
  [623660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16660), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [623679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15200), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [623698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16479), 1,
      anon_sym_LBRACK,
    STATE(10524), 1,
      sym_type_arguments,
    STATE(14536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [623721] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14445), 1,
      anon_sym_extends,
    STATE(14879), 1,
      sym_extends_clause,
    STATE(14537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14443), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [623744] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16662), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15563), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14538), 2,
      sym_comment,
      sym_block_comment,
  [623773] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16664), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15324), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14539), 2,
      sym_comment,
      sym_block_comment,
  [623802] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16666), 1,
      anon_sym_SEMI,
    ACTIONS(16669), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15493), 2,
      anon_sym_finally,
      anon_sym_do,
    STATE(14540), 2,
      sym_comment,
      sym_block_comment,
  [623827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16672), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [623846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [623865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14662), 1,
      sym_arguments,
    STATE(14543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [623886] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16674), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15583), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14544), 2,
      sym_comment,
      sym_block_comment,
  [623915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [623934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16678), 1,
      anon_sym_LT_PERCENT,
    STATE(15100), 1,
      sym_view_bound,
    ACTIONS(16676), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14546), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__type_parameter_repeat1,
  [623957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16222), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [623976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16327), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [623995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [624014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [624033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16681), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [624052] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16683), 1,
      anon_sym_SEMI,
    ACTIONS(16686), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15493), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    STATE(14552), 2,
      sym_comment,
      sym_block_comment,
  [624077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [624096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16689), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [624115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15966), 1,
      anon_sym_with,
    STATE(14508), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [624138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15964), 1,
      anon_sym_COMMA,
    STATE(14514), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15385), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [624161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [624180] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16691), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16135), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14558), 2,
      sym_comment,
      sym_block_comment,
  [624209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [624228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16479), 1,
      anon_sym_LBRACK,
    STATE(10524), 1,
      sym_type_arguments,
    STATE(14560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [624251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16693), 1,
      anon_sym_COLON,
    STATE(14561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16380), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [624272] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16695), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15464), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14562), 2,
      sym_comment,
      sym_block_comment,
  [624301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [624320] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16697), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15188), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14564), 2,
      sym_comment,
      sym_block_comment,
  [624349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16699), 1,
      anon_sym_COLON,
    STATE(14565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16430), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [624370] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16494), 1,
      anon_sym_COMMA,
    ACTIONS(16701), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15406), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14566), 2,
      sym_comment,
      sym_block_comment,
  [624399] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16479), 1,
      anon_sym_LBRACK,
    STATE(10524), 1,
      sym_type_arguments,
    STATE(14567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13426), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [624422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16703), 1,
      anon_sym_SEMI,
    ACTIONS(16706), 1,
      anon_sym_else,
    STATE(14568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
  [624445] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_LT_COLON,
    STATE(14534), 1,
      sym_upper_bound,
    STATE(14569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16222), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [624468] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    STATE(14626), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14570), 2,
      sym_comment,
      sym_block_comment,
  [624492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16709), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [624510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16711), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [624528] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16713), 1,
      anon_sym_COMMA,
    ACTIONS(16715), 1,
      anon_sym_RPAREN,
    STATE(15344), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14573), 2,
      sym_comment,
      sym_block_comment,
  [624554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16717), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [624572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16336), 1,
      anon_sym_finally,
    STATE(14043), 1,
      sym_finally_clause,
    STATE(14575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [624594] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16719), 1,
      anon_sym_COMMA,
    ACTIONS(16721), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16347), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14576), 2,
      sym_comment,
      sym_block_comment,
  [624620] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15493), 1,
      anon_sym_do,
    ACTIONS(16723), 1,
      anon_sym_SEMI,
    ACTIONS(16725), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14577), 2,
      sym_comment,
      sym_block_comment,
  [624644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16727), 1,
      anon_sym_SEMI,
    ACTIONS(16729), 1,
      anon_sym_else,
    STATE(14578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [624666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16731), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [624684] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16733), 1,
      anon_sym_COMMA,
    ACTIONS(16735), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15872), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14580), 2,
      sym_comment,
      sym_block_comment,
  [624710] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16218), 1,
      anon_sym_derives,
    ACTIONS(16352), 1,
      anon_sym_COLON,
    ACTIONS(16354), 1,
      anon_sym_LBRACE,
    STATE(14653), 1,
      sym_enum_body,
    STATE(15710), 1,
      sym_derives_clause,
    STATE(14581), 2,
      sym_comment,
      sym_block_comment,
  [624736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16737), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [624754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16739), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [624772] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16741), 1,
      anon_sym_COMMA,
    ACTIONS(16743), 1,
      anon_sym_RPAREN,
    STATE(15596), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14584), 2,
      sym_comment,
      sym_block_comment,
  [624798] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16747), 1,
      anon_sym_SEMI,
    ACTIONS(16749), 1,
      sym__automatic_semicolon,
    STATE(14784), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(16745), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(14585), 2,
      sym_comment,
      sym_block_comment,
  [624822] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16751), 1,
      anon_sym_RBRACE,
    ACTIONS(16753), 1,
      anon_sym_COMMA,
    ACTIONS(16755), 1,
      anon_sym_EQ_GT,
    ACTIONS(16757), 1,
      anon_sym_as,
    STATE(15349), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14586), 2,
      sym_comment,
      sym_block_comment,
  [624848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16759), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [624866] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16761), 1,
      anon_sym_COMMA,
    ACTIONS(16763), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16330), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14588), 2,
      sym_comment,
      sym_block_comment,
  [624892] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16765), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16094), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14589), 2,
      sym_comment,
      sym_block_comment,
  [624918] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_LBRACE,
    ACTIONS(13340), 1,
      anon_sym_COLON,
    STATE(14938), 1,
      sym_template_body,
    STATE(9539), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14590), 2,
      sym_comment,
      sym_block_comment,
  [624942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16769), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [624960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16771), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [624978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16586), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [624996] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14627), 1,
      aux_sym__block_repeat1,
    ACTIONS(653), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(16773), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14594), 2,
      sym_comment,
      sym_block_comment,
  [625018] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16775), 1,
      anon_sym_SEMI,
    ACTIONS(16777), 1,
      sym__automatic_semicolon,
    STATE(14686), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(16745), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(14595), 2,
      sym_comment,
      sym_block_comment,
  [625042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16781), 1,
      anon_sym_COMMA,
    STATE(14672), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16779), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [625064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16531), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [625082] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    STATE(14621), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16785), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [625104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [625122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [625140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16789), 1,
      anon_sym_EQ,
    STATE(14601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16787), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [625160] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16791), 1,
      anon_sym_COMMA,
    ACTIONS(16793), 1,
      anon_sym_RPAREN,
    STATE(15326), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14602), 2,
      sym_comment,
      sym_block_comment,
  [625186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16795), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16797), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625222] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16799), 1,
      anon_sym_COMMA,
    ACTIONS(16801), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16105), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14605), 2,
      sym_comment,
      sym_block_comment,
  [625248] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16803), 1,
      anon_sym_COMMA,
    ACTIONS(16805), 1,
      anon_sym_RPAREN,
    STATE(15560), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14606), 2,
      sym_comment,
      sym_block_comment,
  [625274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16807), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16809), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625310] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16755), 1,
      anon_sym_EQ_GT,
    ACTIONS(16757), 1,
      anon_sym_as,
    ACTIONS(16811), 1,
      anon_sym_RBRACE,
    ACTIONS(16813), 1,
      anon_sym_COMMA,
    STATE(15764), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14609), 2,
      sym_comment,
      sym_block_comment,
  [625336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16815), 1,
      anon_sym_SEMI,
    ACTIONS(16818), 1,
      anon_sym_else,
    STATE(14610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [625358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16821), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625376] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16823), 1,
      anon_sym_COMMA,
    ACTIONS(16825), 1,
      anon_sym_RPAREN,
    STATE(15613), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14612), 2,
      sym_comment,
      sym_block_comment,
  [625402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [625420] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15493), 1,
      anon_sym_do,
    ACTIONS(16827), 1,
      anon_sym_SEMI,
    ACTIONS(16830), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14614), 2,
      sym_comment,
      sym_block_comment,
  [625444] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16833), 1,
      anon_sym_COMMA,
    ACTIONS(16835), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16226), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14615), 2,
      sym_comment,
      sym_block_comment,
  [625470] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16837), 1,
      anon_sym_COMMA,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16180), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14616), 2,
      sym_comment,
      sym_block_comment,
  [625496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16841), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [625514] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(16843), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14618), 2,
      sym_comment,
      sym_block_comment,
  [625538] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    STATE(14626), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(15602), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14619), 2,
      sym_comment,
      sym_block_comment,
  [625562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14787), 1,
      aux_sym__block_repeat1,
    ACTIONS(16067), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(16069), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14620), 2,
      sym_comment,
      sym_block_comment,
  [625584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16845), 1,
      anon_sym_COMMA,
    ACTIONS(16848), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14621), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_case_definitions_repeat1,
  [625604] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16850), 1,
      anon_sym_COMMA,
    ACTIONS(16852), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16056), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14622), 2,
      sym_comment,
      sym_block_comment,
  [625630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16854), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16856), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16858), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625684] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16860), 1,
      anon_sym_COLON,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16863), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14626), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__type_parameter_repeat2,
  [625706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16382), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(16865), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14627), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [625726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16868), 1,
      anon_sym_EQ,
    STATE(14628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16787), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625746] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16218), 1,
      anon_sym_derives,
    ACTIONS(16352), 1,
      anon_sym_COLON,
    ACTIONS(16354), 1,
      anon_sym_LBRACE,
    STATE(14802), 1,
      sym_enum_body,
    STATE(15471), 1,
      sym_derives_clause,
    STATE(14629), 2,
      sym_comment,
      sym_block_comment,
  [625772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16870), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16681), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [625808] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16872), 1,
      anon_sym_COMMA,
    ACTIONS(16874), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15790), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14632), 2,
      sym_comment,
      sym_block_comment,
  [625834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7748), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [625852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16876), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16878), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16402), 1,
      anon_sym_finally,
    STATE(14254), 1,
      sym_finally_clause,
    STATE(14636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [625910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16880), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16882), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16884), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16886), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [625982] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16888), 1,
      anon_sym_COMMA,
    ACTIONS(16890), 1,
      anon_sym_RPAREN,
    STATE(15559), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14641), 2,
      sym_comment,
      sym_block_comment,
  [626008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16892), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626026] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16894), 1,
      anon_sym_COMMA,
    ACTIONS(16896), 1,
      anon_sym_RPAREN,
    STATE(15290), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14643), 2,
      sym_comment,
      sym_block_comment,
  [626052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16898), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16892), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16900), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16902), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16900), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626142] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(12978), 1,
      anon_sym_COLON,
    STATE(14822), 1,
      sym_template_body,
    STATE(6177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14649), 2,
      sym_comment,
      sym_block_comment,
  [626166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16904), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16906), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14594), 1,
      aux_sym__block_repeat1,
    ACTIONS(16067), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(16138), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14652), 2,
      sym_comment,
      sym_block_comment,
  [626224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16908), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16910), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16912), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626278] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16914), 1,
      anon_sym_COMMA,
    ACTIONS(16916), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16147), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14656), 2,
      sym_comment,
      sym_block_comment,
  [626304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16918), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11754), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [626340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16920), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16922), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16222), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [626394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10299), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [626412] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16924), 1,
      anon_sym_COMMA,
    ACTIONS(16926), 1,
      anon_sym_RPAREN,
    STATE(15542), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14663), 2,
      sym_comment,
      sym_block_comment,
  [626438] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(16928), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14664), 2,
      sym_comment,
      sym_block_comment,
  [626462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    STATE(14621), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16930), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [626484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16898), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16932), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626520] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16934), 1,
      anon_sym_COMMA,
    ACTIONS(16936), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15866), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14668), 2,
      sym_comment,
      sym_block_comment,
  [626546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16841), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [626564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9598), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [626582] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16940), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16198), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14671), 2,
      sym_comment,
      sym_block_comment,
  [626608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16781), 1,
      anon_sym_COMMA,
    STATE(14713), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16930), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [626630] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16942), 1,
      anon_sym_COMMA,
    ACTIONS(16944), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15721), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14673), 2,
      sym_comment,
      sym_block_comment,
  [626656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16781), 1,
      anon_sym_COMMA,
    STATE(14714), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16930), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [626678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15585), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [626696] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16946), 1,
      anon_sym_COMMA,
    ACTIONS(16948), 1,
      anon_sym_RPAREN,
    STATE(15272), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14676), 2,
      sym_comment,
      sym_block_comment,
  [626722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16950), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15659), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [626758] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16212), 1,
      anon_sym_COLON,
    ACTIONS(16214), 1,
      anon_sym_LBRACE,
    ACTIONS(16218), 1,
      anon_sym_derives,
    STATE(14943), 1,
      sym_enum_body,
    STATE(15516), 1,
      sym_derives_clause,
    STATE(14679), 2,
      sym_comment,
      sym_block_comment,
  [626784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15661), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [626802] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16952), 1,
      anon_sym_COMMA,
    ACTIONS(16954), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15991), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14681), 2,
      sym_comment,
      sym_block_comment,
  [626828] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16956), 1,
      anon_sym_COMMA,
    ACTIONS(16958), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14682), 2,
      sym_comment,
      sym_block_comment,
  [626854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16960), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 2,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(16962), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14684), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [626892] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16965), 1,
      anon_sym_COMMA,
    ACTIONS(16967), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16313), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14685), 2,
      sym_comment,
      sym_block_comment,
  [626918] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16775), 1,
      anon_sym_SEMI,
    ACTIONS(16969), 1,
      sym__automatic_semicolon,
    STATE(14684), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(7278), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(14686), 2,
      sym_comment,
      sym_block_comment,
  [626942] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16971), 1,
      anon_sym_COMMA,
    ACTIONS(16973), 1,
      anon_sym_RPAREN,
    STATE(15248), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14687), 2,
      sym_comment,
      sym_block_comment,
  [626968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16975), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [626986] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16977), 1,
      anon_sym_COMMA,
    ACTIONS(16979), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15731), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14689), 2,
      sym_comment,
      sym_block_comment,
  [627012] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    STATE(14626), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16105), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14690), 2,
      sym_comment,
      sym_block_comment,
  [627036] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16981), 1,
      anon_sym_COMMA,
    ACTIONS(16983), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15853), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14691), 2,
      sym_comment,
      sym_block_comment,
  [627062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15659), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [627080] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16985), 1,
      anon_sym_COMMA,
    ACTIONS(16987), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15892), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14693), 2,
      sym_comment,
      sym_block_comment,
  [627106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16989), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [627142] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(16991), 1,
      anon_sym_COMMA,
    ACTIONS(16993), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16047), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14696), 2,
      sym_comment,
      sym_block_comment,
  [627168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9562), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [627186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16995), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16999), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627240] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    STATE(14626), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16113), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14701), 2,
      sym_comment,
      sym_block_comment,
  [627264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17001), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17007), 1,
      anon_sym_EQ,
    STATE(14704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17005), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [627320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17009), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17011), 1,
      anon_sym_COMMA,
    ACTIONS(17013), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16270), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14706), 2,
      sym_comment,
      sym_block_comment,
  [627364] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17015), 1,
      anon_sym_COMMA,
    ACTIONS(17017), 1,
      anon_sym_RPAREN,
    STATE(15506), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14707), 2,
      sym_comment,
      sym_block_comment,
  [627390] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(17019), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14708), 2,
      sym_comment,
      sym_block_comment,
  [627414] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17021), 1,
      anon_sym_COMMA,
    ACTIONS(17023), 1,
      anon_sym_RPAREN,
    STATE(15236), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14709), 2,
      sym_comment,
      sym_block_comment,
  [627440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17025), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8947), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [627476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17027), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17029), 1,
      anon_sym_COMMA,
    ACTIONS(16848), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(14713), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_case_definitions_repeat1,
  [627514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16781), 1,
      anon_sym_COMMA,
    STATE(14713), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16785), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [627536] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16212), 1,
      anon_sym_COLON,
    ACTIONS(16214), 1,
      anon_sym_LBRACE,
    ACTIONS(16218), 1,
      anon_sym_derives,
    STATE(14888), 1,
      sym_enum_body,
    STATE(15360), 1,
      sym_derives_clause,
    STATE(14715), 2,
      sym_comment,
      sym_block_comment,
  [627562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17032), 1,
      anon_sym_EQ,
    STATE(14716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17005), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    STATE(14626), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(16077), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14717), 2,
      sym_comment,
      sym_block_comment,
  [627606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    STATE(14626), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(17034), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14718), 2,
      sym_comment,
      sym_block_comment,
  [627630] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17036), 1,
      anon_sym_COMMA,
    ACTIONS(17038), 1,
      anon_sym_RPAREN,
    STATE(15561), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14719), 2,
      sym_comment,
      sym_block_comment,
  [627656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17040), 1,
      anon_sym_with,
    ACTIONS(9032), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    STATE(14720), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
  [627676] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(17043), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14721), 2,
      sym_comment,
      sym_block_comment,
  [627700] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17045), 1,
      anon_sym_COMMA,
    ACTIONS(17047), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16006), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14722), 2,
      sym_comment,
      sym_block_comment,
  [627726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16515), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [627744] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17049), 1,
      anon_sym_COMMA,
    ACTIONS(17051), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16281), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14724), 2,
      sym_comment,
      sym_block_comment,
  [627770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15609), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [627788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17053), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16509), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [627824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17055), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627842] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17057), 1,
      anon_sym_COMMA,
    ACTIONS(17059), 1,
      anon_sym_RPAREN,
    STATE(15350), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14729), 2,
      sym_comment,
      sym_block_comment,
  [627868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17061), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17063), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627904] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17065), 1,
      anon_sym_COMMA,
    ACTIONS(17067), 1,
      anon_sym_RPAREN,
    STATE(15640), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14732), 2,
      sym_comment,
      sym_block_comment,
  [627930] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    ACTIONS(17071), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16197), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14733), 2,
      sym_comment,
      sym_block_comment,
  [627956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [627974] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    ACTIONS(17077), 1,
      anon_sym_RPAREN,
    STATE(15577), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14735), 2,
      sym_comment,
      sym_block_comment,
  [628000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15600), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [628018] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(17079), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14737), 2,
      sym_comment,
      sym_block_comment,
  [628042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9530), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [628060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9475), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [628078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9430), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [628096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [628114] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(17081), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14742), 2,
      sym_comment,
      sym_block_comment,
  [628138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16672), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [628156] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17083), 1,
      anon_sym_COMMA,
    ACTIONS(17085), 1,
      anon_sym_RPAREN,
    STATE(15362), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14744), 2,
      sym_comment,
      sym_block_comment,
  [628182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8228), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [628200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17087), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [628218] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    STATE(14626), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(17089), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14747), 2,
      sym_comment,
      sym_block_comment,
  [628242] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17091), 1,
      anon_sym_COMMA,
    ACTIONS(17093), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16250), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14748), 2,
      sym_comment,
      sym_block_comment,
  [628268] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(17095), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14749), 2,
      sym_comment,
      sym_block_comment,
  [628292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15600), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [628310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16308), 1,
      anon_sym_finally,
    STATE(14254), 1,
      sym_finally_clause,
    STATE(14751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [628332] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17097), 1,
      anon_sym_COMMA,
    ACTIONS(17099), 1,
      anon_sym_RPAREN,
    STATE(15201), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14752), 2,
      sym_comment,
      sym_block_comment,
  [628358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16600), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [628376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [628394] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17101), 1,
      anon_sym_COMMA,
    ACTIONS(17103), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15711), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14755), 2,
      sym_comment,
      sym_block_comment,
  [628420] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17105), 1,
      anon_sym_COMMA,
    ACTIONS(17107), 1,
      anon_sym_RPAREN,
    STATE(15496), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14756), 2,
      sym_comment,
      sym_block_comment,
  [628446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17109), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [628464] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17111), 1,
      anon_sym_COMMA,
    ACTIONS(17113), 1,
      anon_sym_RPAREN,
    STATE(15183), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14758), 2,
      sym_comment,
      sym_block_comment,
  [628490] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17115), 1,
      anon_sym_COMMA,
    ACTIONS(17117), 1,
      anon_sym_RPAREN,
    STATE(15470), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14759), 2,
      sym_comment,
      sym_block_comment,
  [628516] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13248), 1,
      anon_sym_COLON,
    STATE(14626), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15498), 1,
      sym_context_bound,
    ACTIONS(15595), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14760), 2,
      sym_comment,
      sym_block_comment,
  [628540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17119), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [628558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8815), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [628576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17121), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [628594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(17123), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14764), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [628614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15629), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [628632] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(17126), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14766), 2,
      sym_comment,
      sym_block_comment,
  [628656] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(17128), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14767), 2,
      sym_comment,
      sym_block_comment,
  [628680] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(17130), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14768), 2,
      sym_comment,
      sym_block_comment,
  [628704] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17132), 1,
      anon_sym_COMMA,
    ACTIONS(17134), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15918), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14769), 2,
      sym_comment,
      sym_block_comment,
  [628730] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(17136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14770), 2,
      sym_comment,
      sym_block_comment,
  [628754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16598), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [628772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17140), 1,
      anon_sym_EQ,
    STATE(14772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17138), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [628792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15609), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [628810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16338), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
  [628828] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    ACTIONS(17142), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14775), 2,
      sym_comment,
      sym_block_comment,
  [628852] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17144), 1,
      anon_sym_COMMA,
    ACTIONS(17146), 1,
      anon_sym_RPAREN,
    STATE(15395), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14776), 2,
      sym_comment,
      sym_block_comment,
  [628878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [628896] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    STATE(14598), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16930), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [628918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [628936] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17148), 1,
      anon_sym_COMMA,
    ACTIONS(17150), 1,
      anon_sym_RPAREN,
    STATE(15486), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14780), 2,
      sym_comment,
      sym_block_comment,
  [628962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16382), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(17152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14781), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [628982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17155), 1,
      anon_sym_SEMI,
    ACTIONS(17157), 1,
      anon_sym_else,
    STATE(14782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [629004] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15493), 1,
      anon_sym_while,
    ACTIONS(17159), 1,
      anon_sym_SEMI,
    ACTIONS(17161), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14783), 2,
      sym_comment,
      sym_block_comment,
  [629028] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16747), 1,
      anon_sym_SEMI,
    ACTIONS(17163), 1,
      sym__automatic_semicolon,
    STATE(14764), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(7278), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(14784), 2,
      sym_comment,
      sym_block_comment,
  [629052] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17165), 1,
      anon_sym_COMMA,
    ACTIONS(17167), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15969), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14785), 2,
      sym_comment,
      sym_block_comment,
  [629078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9758), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [629096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14781), 1,
      aux_sym__block_repeat1,
    ACTIONS(653), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(17169), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14787), 2,
      sym_comment,
      sym_block_comment,
  [629118] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17171), 1,
      anon_sym_COMMA,
    ACTIONS(17173), 1,
      anon_sym_RPAREN,
    STATE(15234), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14788), 2,
      sym_comment,
      sym_block_comment,
  [629144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    STATE(14665), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16779), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [629166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8825), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [629184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8879), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [629202] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17175), 1,
      anon_sym_COMMA,
    ACTIONS(17177), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15980), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14792), 2,
      sym_comment,
      sym_block_comment,
  [629228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17179), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [629246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15629), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17181), 1,
      anon_sym_EQ,
    STATE(14795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17138), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [629284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17183), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [629302] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17185), 1,
      anon_sym_COMMA,
    ACTIONS(17187), 1,
      anon_sym_RPAREN,
    STATE(15434), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14797), 2,
      sym_comment,
      sym_block_comment,
  [629328] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17189), 1,
      anon_sym_COMMA,
    ACTIONS(17191), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14798), 2,
      sym_comment,
      sym_block_comment,
  [629354] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16371), 1,
      anon_sym_finally,
    STATE(14043), 1,
      sym_finally_clause,
    STATE(14799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13365), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [629376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16689), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [629394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13610), 1,
      anon_sym_LPAREN,
    STATE(15642), 1,
      sym_arguments,
    STATE(14801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15646), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
  [629416] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17193), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [629434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17195), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [629452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17199), 1,
      anon_sym_EQ,
    STATE(14804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17197), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [629472] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17201), 1,
      anon_sym_COMMA,
    ACTIONS(17203), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15956), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14805), 2,
      sym_comment,
      sym_block_comment,
  [629498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16660), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [629516] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17205), 1,
      anon_sym_COMMA,
    ACTIONS(17207), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15903), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14807), 2,
      sym_comment,
      sym_block_comment,
  [629542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17209), 1,
      anon_sym_COLON,
    STATE(14808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16043), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_SEMI,
  [629562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15636), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17211), 1,
      anon_sym_SEMI,
    ACTIONS(17214), 1,
      anon_sym_else,
    STATE(14810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15501), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [629602] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15493), 1,
      anon_sym_while,
    ACTIONS(17217), 1,
      anon_sym_SEMI,
    ACTIONS(17220), 1,
      anon_sym_else,
    ACTIONS(15490), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14811), 2,
      sym_comment,
      sym_block_comment,
  [629626] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17223), 1,
      anon_sym_COMMA,
    ACTIONS(17225), 1,
      anon_sym_RPAREN,
    STATE(15336), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14812), 2,
      sym_comment,
      sym_block_comment,
  [629652] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    ACTIONS(17229), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16341), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14813), 2,
      sym_comment,
      sym_block_comment,
  [629678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16317), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [629696] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17231), 1,
      anon_sym_COMMA,
    ACTIONS(17233), 1,
      anon_sym_RPAREN,
    STATE(15338), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14815), 2,
      sym_comment,
      sym_block_comment,
  [629722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9740), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [629740] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17235), 1,
      anon_sym_COMMA,
    ACTIONS(17237), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15840), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14817), 2,
      sym_comment,
      sym_block_comment,
  [629766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17239), 1,
      anon_sym_COMMA,
    ACTIONS(17241), 1,
      anon_sym_RPAREN,
    STATE(15273), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14818), 2,
      sym_comment,
      sym_block_comment,
  [629792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9744), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [629810] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    ACTIONS(17245), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15811), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14820), 2,
      sym_comment,
      sym_block_comment,
  [629836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17247), 1,
      anon_sym_EQ,
    STATE(14821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17197), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [629856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17249), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [629874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17251), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [629892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15659), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15585), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629928] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17253), 1,
      anon_sym_COMMA,
    ACTIONS(17255), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15912), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14826), 2,
      sym_comment,
      sym_block_comment,
  [629954] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17257), 1,
      anon_sym_COMMA,
    ACTIONS(17259), 1,
      anon_sym_RPAREN,
    STATE(15398), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14827), 2,
      sym_comment,
      sym_block_comment,
  [629980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17261), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [629998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16769), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630015] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17265), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14830), 2,
      sym_comment,
      sym_block_comment,
  [630038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17267), 1,
      anon_sym_LBRACE,
    ACTIONS(17269), 1,
      sym__indent,
    STATE(14017), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14831), 2,
      sym_comment,
      sym_block_comment,
  [630059] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17271), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14832), 2,
      sym_comment,
      sym_block_comment,
  [630082] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16697), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14833), 2,
      sym_comment,
      sym_block_comment,
  [630105] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17267), 1,
      anon_sym_LBRACE,
    ACTIONS(17269), 1,
      sym__indent,
    STATE(14005), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14834), 2,
      sym_comment,
      sym_block_comment,
  [630126] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17275), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14835), 2,
      sym_comment,
      sym_block_comment,
  [630149] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17277), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14836), 2,
      sym_comment,
      sym_block_comment,
  [630172] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17279), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14837), 2,
      sym_comment,
      sym_block_comment,
  [630195] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17281), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14838), 2,
      sym_comment,
      sym_block_comment,
  [630218] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17283), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14839), 2,
      sym_comment,
      sym_block_comment,
  [630241] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17285), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14840), 2,
      sym_comment,
      sym_block_comment,
  [630264] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17287), 1,
      anon_sym_RBRACE,
    ACTIONS(17289), 1,
      anon_sym_case,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14841), 2,
      sym_comment,
      sym_block_comment,
  [630287] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17291), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14842), 2,
      sym_comment,
      sym_block_comment,
  [630310] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17293), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14843), 2,
      sym_comment,
      sym_block_comment,
  [630333] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17295), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14844), 2,
      sym_comment,
      sym_block_comment,
  [630356] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17297), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14845), 2,
      sym_comment,
      sym_block_comment,
  [630379] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17299), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14846), 2,
      sym_comment,
      sym_block_comment,
  [630402] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17301), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14847), 2,
      sym_comment,
      sym_block_comment,
  [630425] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17303), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14848), 2,
      sym_comment,
      sym_block_comment,
  [630448] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17305), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14849), 2,
      sym_comment,
      sym_block_comment,
  [630471] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17307), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14850), 2,
      sym_comment,
      sym_block_comment,
  [630494] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17309), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14851), 2,
      sym_comment,
      sym_block_comment,
  [630517] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17311), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14852), 2,
      sym_comment,
      sym_block_comment,
  [630540] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17313), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14853), 2,
      sym_comment,
      sym_block_comment,
  [630563] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17315), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14854), 2,
      sym_comment,
      sym_block_comment,
  [630586] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17317), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14855), 2,
      sym_comment,
      sym_block_comment,
  [630609] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17319), 1,
      anon_sym_RBRACE,
    STATE(15139), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14856), 2,
      sym_comment,
      sym_block_comment,
  [630632] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17321), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14857), 2,
      sym_comment,
      sym_block_comment,
  [630655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17073), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630689] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17323), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14860), 2,
      sym_comment,
      sym_block_comment,
  [630712] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17325), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14861), 2,
      sym_comment,
      sym_block_comment,
  [630735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16920), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17053), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16848), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [630786] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17327), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14865), 2,
      sym_comment,
      sym_block_comment,
  [630809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17009), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630826] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17329), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14867), 2,
      sym_comment,
      sym_block_comment,
  [630849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17183), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17087), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17001), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630917] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17331), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14872), 2,
      sym_comment,
      sym_block_comment,
  [630940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16717), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630957] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17333), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14874), 2,
      sym_comment,
      sym_block_comment,
  [630980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16995), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [630997] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17335), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14876), 2,
      sym_comment,
      sym_block_comment,
  [631020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16533), 1,
      sym__outdent,
    ACTIONS(17337), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14877), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__enum_block_repeat1,
  [631039] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17340), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14878), 2,
      sym_comment,
      sym_block_comment,
  [631062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17342), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [631079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15980), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [631096] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17344), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14881), 2,
      sym_comment,
      sym_block_comment,
  [631119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16932), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631136] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17346), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14883), 2,
      sym_comment,
      sym_block_comment,
  [631159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16922), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16807), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16918), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16912), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16908), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631244] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17348), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14889), 2,
      sym_comment,
      sym_block_comment,
  [631267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16906), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16975), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16900), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16900), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16892), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16892), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631369] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16581), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14896), 2,
      sym_comment,
      sym_block_comment,
  [631392] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17350), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14897), 2,
      sym_comment,
      sym_block_comment,
  [631415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16878), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16876), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16809), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631466] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17352), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14901), 2,
      sym_comment,
      sym_block_comment,
  [631489] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17354), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14902), 2,
      sym_comment,
      sym_block_comment,
  [631512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16797), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631529] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(679), 1,
      sym__outdent,
    STATE(14877), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(17356), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14904), 2,
      sym_comment,
      sym_block_comment,
  [631550] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17358), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14905), 2,
      sym_comment,
      sym_block_comment,
  [631573] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17360), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14906), 2,
      sym_comment,
      sym_block_comment,
  [631596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16739), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16731), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631630] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17362), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14909), 2,
      sym_comment,
      sym_block_comment,
  [631653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16711), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631670] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17364), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14911), 2,
      sym_comment,
      sym_block_comment,
  [631693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16759), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16771), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16795), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16821), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631761] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17366), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14916), 2,
      sym_comment,
      sym_block_comment,
  [631784] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17368), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14917), 2,
      sym_comment,
      sym_block_comment,
  [631807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16672), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [631824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16884), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16886), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16898), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16898), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631892] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17370), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14923), 2,
      sym_comment,
      sym_block_comment,
  [631915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17027), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 1,
      sym__outdent,
    ACTIONS(17372), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14925), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [631951] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17375), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14926), 2,
      sym_comment,
      sym_block_comment,
  [631974] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17377), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14927), 2,
      sym_comment,
      sym_block_comment,
  [631997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15980), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [632014] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17379), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14929), 2,
      sym_comment,
      sym_block_comment,
  [632037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16999), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632054] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17381), 1,
      anon_sym_COMMA,
    ACTIONS(17383), 1,
      anon_sym_RPAREN,
    STATE(16207), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14931), 2,
      sym_comment,
      sym_block_comment,
  [632077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16870), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17055), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17063), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632128] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17385), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14935), 2,
      sym_comment,
      sym_block_comment,
  [632151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17261), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17251), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17249), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16382), 1,
      sym__outdent,
    ACTIONS(17387), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14939), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [632221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16382), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632238] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17390), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14941), 2,
      sym_comment,
      sym_block_comment,
  [632261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17195), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17193), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632295] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17392), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14944), 2,
      sym_comment,
      sym_block_comment,
  [632318] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17394), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14945), 2,
      sym_comment,
      sym_block_comment,
  [632341] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16332), 1,
      sym__outdent,
    STATE(14904), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16384), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14946), 2,
      sym_comment,
      sym_block_comment,
  [632362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17179), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632379] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17396), 1,
      anon_sym_RBRACE,
    STATE(14841), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14948), 2,
      sym_comment,
      sym_block_comment,
  [632402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17398), 1,
      anon_sym_LBRACE,
    ACTIONS(17400), 1,
      sym__indent,
    STATE(13922), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14949), 2,
      sym_comment,
      sym_block_comment,
  [632423] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17402), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14950), 2,
      sym_comment,
      sym_block_comment,
  [632446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17121), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17119), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632480] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17404), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14953), 2,
      sym_comment,
      sym_block_comment,
  [632503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17109), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632520] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16634), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14955), 2,
      sym_comment,
      sym_block_comment,
  [632543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9995), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632560] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17406), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14957), 2,
      sym_comment,
      sym_block_comment,
  [632583] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17398), 1,
      anon_sym_LBRACE,
    ACTIONS(17400), 1,
      sym__indent,
    STATE(13902), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14958), 2,
      sym_comment,
      sym_block_comment,
  [632604] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17408), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14959), 2,
      sym_comment,
      sym_block_comment,
  [632627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17025), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16709), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632661] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16522), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14962), 2,
      sym_comment,
      sym_block_comment,
  [632684] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17410), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14963), 2,
      sym_comment,
      sym_block_comment,
  [632707] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17412), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14964), 2,
      sym_comment,
      sym_block_comment,
  [632730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16960), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16950), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632764] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17414), 1,
      anon_sym_RBRACE,
    STATE(14849), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14967), 2,
      sym_comment,
      sym_block_comment,
  [632787] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17416), 1,
      anon_sym_LBRACE,
    ACTIONS(17418), 1,
      sym__indent,
    STATE(13485), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14968), 2,
      sym_comment,
      sym_block_comment,
  [632808] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17420), 1,
      anon_sym_RBRACE,
    STATE(15079), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14969), 2,
      sym_comment,
      sym_block_comment,
  [632831] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17422), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14970), 2,
      sym_comment,
      sym_block_comment,
  [632854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16910), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16904), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16882), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16880), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17424), 1,
      anon_sym_case,
    ACTIONS(17427), 1,
      sym__outdent,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14975), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_indented_cases_repeat1,
  [632943] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17429), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14976), 2,
      sym_comment,
      sym_block_comment,
  [632966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17431), 1,
      anon_sym_LBRACE,
    ACTIONS(17433), 1,
      sym__indent,
    STATE(12161), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14977), 2,
      sym_comment,
      sym_block_comment,
  [632987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7702), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [633004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(653), 1,
      sym__outdent,
    STATE(14939), 1,
      aux_sym__block_repeat1,
    ACTIONS(17435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14979), 2,
      sym_comment,
      sym_block_comment,
  [633025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16854), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [633042] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17437), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14981), 2,
      sym_comment,
      sym_block_comment,
  [633065] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17416), 1,
      anon_sym_LBRACE,
    ACTIONS(17418), 1,
      sym__indent,
    STATE(13476), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14982), 2,
      sym_comment,
      sym_block_comment,
  [633086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16997), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [633103] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17439), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14984), 2,
      sym_comment,
      sym_block_comment,
  [633126] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16504), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(14985), 2,
      sym_comment,
      sym_block_comment,
  [633149] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17441), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(14986), 2,
      sym_comment,
      sym_block_comment,
  [633172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16737), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [633189] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17443), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14988), 2,
      sym_comment,
      sym_block_comment,
  [633212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16244), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_SEMI,
  [633229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16856), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [633246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16858), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [633263] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17445), 1,
      anon_sym_RBRACE,
    STATE(14878), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(14992), 2,
      sym_comment,
      sym_block_comment,
  [633286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16902), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [633303] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17447), 1,
      anon_sym_LBRACE,
    ACTIONS(17449), 1,
      sym__indent,
    STATE(12520), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14994), 2,
      sym_comment,
      sym_block_comment,
  [633324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16989), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [633341] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16067), 1,
      sym__outdent,
    STATE(14979), 1,
      aux_sym__block_repeat1,
    ACTIONS(16400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14996), 2,
      sym_comment,
      sym_block_comment,
  [633362] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17451), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14997), 2,
      sym_comment,
      sym_block_comment,
  [633385] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17447), 1,
      anon_sym_LBRACE,
    ACTIONS(17449), 1,
      sym__indent,
    STATE(12114), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14998), 2,
      sym_comment,
      sym_block_comment,
  [633406] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17453), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(14999), 2,
      sym_comment,
      sym_block_comment,
  [633429] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17457), 1,
      anon_sym_EQ,
    ACTIONS(17455), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15000), 2,
      sym_comment,
      sym_block_comment,
  [633450] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17459), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15001), 2,
      sym_comment,
      sym_block_comment,
  [633473] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16646), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15002), 2,
      sym_comment,
      sym_block_comment,
  [633496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17463), 1,
      anon_sym_EQ,
    ACTIONS(17461), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15003), 2,
      sym_comment,
      sym_block_comment,
  [633517] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17465), 1,
      anon_sym_LBRACE,
    ACTIONS(17467), 1,
      sym__indent,
    STATE(14370), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15004), 2,
      sym_comment,
      sym_block_comment,
  [633538] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17469), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15005), 2,
      sym_comment,
      sym_block_comment,
  [633561] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17473), 1,
      anon_sym_EQ,
    ACTIONS(17471), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15006), 2,
      sym_comment,
      sym_block_comment,
  [633582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17475), 1,
      anon_sym_case,
    ACTIONS(17478), 1,
      sym__outdent,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15007), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__indented_type_cases_repeat1,
  [633603] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17480), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15008), 2,
      sym_comment,
      sym_block_comment,
  [633626] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17482), 1,
      anon_sym_RBRACE,
    STATE(14905), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15009), 2,
      sym_comment,
      sym_block_comment,
  [633649] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17484), 1,
      anon_sym_LBRACE,
    ACTIONS(17486), 1,
      sym__indent,
    STATE(14173), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15010), 2,
      sym_comment,
      sym_block_comment,
  [633670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16755), 1,
      anon_sym_EQ_GT,
    ACTIONS(16757), 1,
      anon_sym_as,
    ACTIONS(17488), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15011), 2,
      sym_comment,
      sym_block_comment,
  [633691] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17490), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15012), 2,
      sym_comment,
      sym_block_comment,
  [633714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16848), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [633731] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17492), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15014), 2,
      sym_comment,
      sym_block_comment,
  [633754] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17494), 1,
      anon_sym_COLON,
    ACTIONS(17498), 1,
      anon_sym_EQ,
    ACTIONS(17496), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15015), 2,
      sym_comment,
      sym_block_comment,
  [633775] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17500), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15016), 2,
      sym_comment,
      sym_block_comment,
  [633798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17504), 1,
      anon_sym_EQ,
    ACTIONS(17502), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15017), 2,
      sym_comment,
      sym_block_comment,
  [633819] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17484), 1,
      anon_sym_LBRACE,
    ACTIONS(17486), 1,
      sym__indent,
    STATE(14139), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15018), 2,
      sym_comment,
      sym_block_comment,
  [633840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [633857] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17506), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15020), 2,
      sym_comment,
      sym_block_comment,
  [633880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17510), 1,
      anon_sym_COMMA,
    ACTIONS(17508), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(15021), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_identifiers_repeat1,
  [633899] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16691), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15022), 2,
      sym_comment,
      sym_block_comment,
  [633922] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17513), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15023), 2,
      sym_comment,
      sym_block_comment,
  [633945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17515), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [633962] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17517), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15025), 2,
      sym_comment,
      sym_block_comment,
  [633985] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17519), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15026), 2,
      sym_comment,
      sym_block_comment,
  [634008] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17521), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15027), 2,
      sym_comment,
      sym_block_comment,
  [634031] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17525), 1,
      anon_sym_EQ,
    ACTIONS(17523), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15028), 2,
      sym_comment,
      sym_block_comment,
  [634052] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17529), 1,
      anon_sym_COMMA,
    STATE(15021), 1,
      aux_sym_identifiers_repeat1,
    ACTIONS(17527), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(15029), 2,
      sym_comment,
      sym_block_comment,
  [634073] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17531), 1,
      anon_sym_RBRACE,
    STATE(14923), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15030), 2,
      sym_comment,
      sym_block_comment,
  [634096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17533), 1,
      anon_sym_LBRACE,
    ACTIONS(17535), 1,
      sym__indent,
    STATE(13419), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15031), 2,
      sym_comment,
      sym_block_comment,
  [634117] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17537), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15032), 2,
      sym_comment,
      sym_block_comment,
  [634140] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17539), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15033), 2,
      sym_comment,
      sym_block_comment,
  [634163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(15858), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(15034), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
  [634182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17533), 1,
      anon_sym_LBRACE,
    ACTIONS(17535), 1,
      sym__indent,
    STATE(13405), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15035), 2,
      sym_comment,
      sym_block_comment,
  [634203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16533), 1,
      anon_sym_RBRACE,
    ACTIONS(17544), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15036), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__enum_block_repeat1,
  [634222] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17547), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15037), 2,
      sym_comment,
      sym_block_comment,
  [634245] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17549), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15038), 2,
      sym_comment,
      sym_block_comment,
  [634268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4180), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [634285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17342), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [634302] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15008), 1,
      anon_sym_LPAREN,
    ACTIONS(17551), 1,
      sym__automatic_semicolon,
    STATE(14161), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14669), 1,
      sym_class_parameters,
    STATE(15041), 2,
      sym_comment,
      sym_block_comment,
  [634325] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17465), 1,
      anon_sym_LBRACE,
    ACTIONS(17467), 1,
      sym__indent,
    STATE(14375), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15042), 2,
      sym_comment,
      sym_block_comment,
  [634346] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16541), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15043), 2,
      sym_comment,
      sym_block_comment,
  [634369] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17553), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15044), 2,
      sym_comment,
      sym_block_comment,
  [634392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17555), 1,
      anon_sym_COLON,
    ACTIONS(17559), 1,
      anon_sym_EQ,
    ACTIONS(17557), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15045), 2,
      sym_comment,
      sym_block_comment,
  [634413] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17563), 1,
      anon_sym_EQ,
    ACTIONS(17561), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15046), 2,
      sym_comment,
      sym_block_comment,
  [634434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17565), 1,
      anon_sym_EQ,
    STATE(15047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17197), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [634453] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17567), 1,
      anon_sym_RBRACE,
    STATE(14944), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15048), 2,
      sym_comment,
      sym_block_comment,
  [634476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17569), 1,
      anon_sym_LBRACE,
    ACTIONS(17571), 1,
      sym__indent,
    STATE(14216), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15049), 2,
      sym_comment,
      sym_block_comment,
  [634497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      ts_builtin_sym_end,
    STATE(15147), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17573), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15050), 2,
      sym_comment,
      sym_block_comment,
  [634518] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17575), 1,
      anon_sym_RBRACE,
    STATE(15162), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15051), 2,
      sym_comment,
      sym_block_comment,
  [634541] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17577), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15052), 2,
      sym_comment,
      sym_block_comment,
  [634564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(679), 1,
      anon_sym_RBRACE,
    STATE(15036), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(17579), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15053), 2,
      sym_comment,
      sym_block_comment,
  [634585] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16701), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15054), 2,
      sym_comment,
      sym_block_comment,
  [634608] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17581), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15055), 2,
      sym_comment,
      sym_block_comment,
  [634631] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17583), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15056), 2,
      sym_comment,
      sym_block_comment,
  [634654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17585), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [634671] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17569), 1,
      anon_sym_LBRACE,
    ACTIONS(17571), 1,
      sym__indent,
    STATE(14234), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15058), 2,
      sym_comment,
      sym_block_comment,
  [634692] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(17587), 1,
      anon_sym_COLON,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(15059), 2,
      sym_comment,
      sym_block_comment,
  [634715] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17589), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15060), 2,
      sym_comment,
      sym_block_comment,
  [634738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17591), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(15061), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_tuple_type_repeat1,
  [634757] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17598), 1,
      anon_sym_EQ,
    ACTIONS(17596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15062), 2,
      sym_comment,
      sym_block_comment,
  [634778] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16524), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15063), 2,
      sym_comment,
      sym_block_comment,
  [634801] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17600), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15064), 2,
      sym_comment,
      sym_block_comment,
  [634824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17602), 1,
      anon_sym_LBRACE,
    ACTIONS(17604), 1,
      sym__indent,
    STATE(14413), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15065), 2,
      sym_comment,
      sym_block_comment,
  [634845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17606), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [634862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    STATE(15034), 1,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15867), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(15067), 2,
      sym_comment,
      sym_block_comment,
  [634883] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17610), 1,
      anon_sym_RBRACE,
    STATE(14959), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15068), 2,
      sym_comment,
      sym_block_comment,
  [634906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17612), 1,
      anon_sym_LBRACE,
    ACTIONS(17614), 1,
      sym__indent,
    STATE(14064), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15069), 2,
      sym_comment,
      sym_block_comment,
  [634927] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17616), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15070), 2,
      sym_comment,
      sym_block_comment,
  [634950] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17618), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15071), 2,
      sym_comment,
      sym_block_comment,
  [634973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17620), 1,
      anon_sym_COLON,
    ACTIONS(17624), 1,
      anon_sym_EQ,
    ACTIONS(17622), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15072), 2,
      sym_comment,
      sym_block_comment,
  [634994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17612), 1,
      anon_sym_LBRACE,
    ACTIONS(17614), 1,
      sym__indent,
    STATE(14093), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15073), 2,
      sym_comment,
      sym_block_comment,
  [635015] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17626), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15074), 2,
      sym_comment,
      sym_block_comment,
  [635038] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16658), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15075), 2,
      sym_comment,
      sym_block_comment,
  [635061] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17628), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15076), 2,
      sym_comment,
      sym_block_comment,
  [635084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17630), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15077), 2,
      sym_comment,
      sym_block_comment,
  [635107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17632), 1,
      anon_sym_EQ,
    STATE(15078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16787), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [635126] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17634), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15079), 2,
      sym_comment,
      sym_block_comment,
  [635149] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17636), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15080), 2,
      sym_comment,
      sym_block_comment,
  [635172] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17638), 1,
      anon_sym_COLON,
    ACTIONS(17641), 1,
      anon_sym_COMMA,
    ACTIONS(17644), 1,
      anon_sym_EQ,
    STATE(15029), 1,
      aux_sym_identifiers_repeat1,
    STATE(15081), 2,
      sym_comment,
      sym_block_comment,
  [635195] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17646), 1,
      anon_sym_RBRACE,
    STATE(14984), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15082), 2,
      sym_comment,
      sym_block_comment,
  [635218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17648), 1,
      anon_sym_LBRACE,
    ACTIONS(17650), 1,
      sym__indent,
    STATE(13044), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15083), 2,
      sym_comment,
      sym_block_comment,
  [635239] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17652), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15084), 2,
      sym_comment,
      sym_block_comment,
  [635262] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17654), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15085), 2,
      sym_comment,
      sym_block_comment,
  [635285] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17648), 1,
      anon_sym_LBRACE,
    ACTIONS(17650), 1,
      sym__indent,
    STATE(13153), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15086), 2,
      sym_comment,
      sym_block_comment,
  [635306] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7288), 1,
      sym__outdent,
    ACTIONS(17656), 1,
      anon_sym_SEMI,
    ACTIONS(17658), 1,
      sym__automatic_semicolon,
    STATE(14925), 1,
      aux_sym_enumerators_repeat1,
    STATE(15087), 2,
      sym_comment,
      sym_block_comment,
  [635329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7270), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [635346] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17660), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15089), 2,
      sym_comment,
      sym_block_comment,
  [635369] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17602), 1,
      anon_sym_LBRACE,
    ACTIONS(17604), 1,
      sym__indent,
    STATE(14292), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15090), 2,
      sym_comment,
      sym_block_comment,
  [635390] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17662), 1,
      anon_sym_RBRACE,
    STATE(15141), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15091), 2,
      sym_comment,
      sym_block_comment,
  [635413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9552), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [635430] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16560), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15093), 2,
      sym_comment,
      sym_block_comment,
  [635453] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(17664), 1,
      anon_sym_COLON,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(15094), 2,
      sym_comment,
      sym_block_comment,
  [635476] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(17666), 1,
      anon_sym_COLON,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(15095), 2,
      sym_comment,
      sym_block_comment,
  [635499] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17668), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15096), 2,
      sym_comment,
      sym_block_comment,
  [635522] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(17670), 1,
      anon_sym_COLON,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(15097), 2,
      sym_comment,
      sym_block_comment,
  [635545] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17672), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15098), 2,
      sym_comment,
      sym_block_comment,
  [635568] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17674), 1,
      anon_sym_COMMA,
    ACTIONS(17676), 1,
      anon_sym_RPAREN,
    STATE(15671), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15099), 2,
      sym_comment,
      sym_block_comment,
  [635591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17678), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [635608] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(17680), 1,
      anon_sym_COMMA,
    ACTIONS(17682), 1,
      anon_sym_RPAREN,
    STATE(15393), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15101), 2,
      sym_comment,
      sym_block_comment,
  [635631] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17684), 1,
      anon_sym_RBRACE,
    STATE(15060), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15102), 2,
      sym_comment,
      sym_block_comment,
  [635654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16382), 1,
      anon_sym_RBRACE,
    ACTIONS(17686), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15103), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [635673] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17689), 1,
      anon_sym_LBRACE,
    ACTIONS(17691), 1,
      sym__indent,
    STATE(12739), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15104), 2,
      sym_comment,
      sym_block_comment,
  [635694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16382), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [635711] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17693), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15106), 2,
      sym_comment,
      sym_block_comment,
  [635734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    STATE(15067), 1,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15905), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(15107), 2,
      sym_comment,
      sym_block_comment,
  [635755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17695), 1,
      anon_sym_DOT,
    STATE(15108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7572), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [635774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17431), 1,
      anon_sym_LBRACE,
    ACTIONS(17433), 1,
      sym__indent,
    STATE(12108), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15109), 2,
      sym_comment,
      sym_block_comment,
  [635795] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16332), 1,
      anon_sym_RBRACE,
    STATE(15053), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16334), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15110), 2,
      sym_comment,
      sym_block_comment,
  [635816] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17697), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15111), 2,
      sym_comment,
      sym_block_comment,
  [635839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17699), 1,
      anon_sym_COLON,
    ACTIONS(17703), 1,
      anon_sym_EQ,
    ACTIONS(17701), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15112), 2,
      sym_comment,
      sym_block_comment,
  [635860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(479), 1,
      ts_builtin_sym_end,
    STATE(15123), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17705), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15113), 2,
      sym_comment,
      sym_block_comment,
  [635881] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17689), 1,
      anon_sym_LBRACE,
    ACTIONS(17691), 1,
      sym__indent,
    STATE(12685), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15114), 2,
      sym_comment,
      sym_block_comment,
  [635902] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17707), 1,
      anon_sym_RBRACE,
    STATE(15166), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15115), 2,
      sym_comment,
      sym_block_comment,
  [635925] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17709), 1,
      anon_sym_LBRACE,
    ACTIONS(17711), 1,
      sym__indent,
    STATE(13137), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15116), 2,
      sym_comment,
      sym_block_comment,
  [635946] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17713), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15117), 2,
      sym_comment,
      sym_block_comment,
  [635969] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17715), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15118), 2,
      sym_comment,
      sym_block_comment,
  [635992] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17717), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15119), 2,
      sym_comment,
      sym_block_comment,
  [636015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      anon_sym_EQ,
    STATE(15120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17005), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [636034] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16588), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15121), 2,
      sym_comment,
      sym_block_comment,
  [636057] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16539), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15122), 2,
      sym_comment,
      sym_block_comment,
  [636080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17721), 1,
      ts_builtin_sym_end,
    ACTIONS(17723), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15123), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compilation_unit_repeat1,
  [636099] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17726), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15124), 2,
      sym_comment,
      sym_block_comment,
  [636122] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17656), 1,
      anon_sym_SEMI,
    ACTIONS(17728), 1,
      sym__automatic_semicolon,
    ACTIONS(17730), 1,
      sym__outdent,
    STATE(15087), 1,
      aux_sym_enumerators_repeat1,
    STATE(15125), 2,
      sym_comment,
      sym_block_comment,
  [636145] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17732), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15126), 2,
      sym_comment,
      sym_block_comment,
  [636168] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17734), 1,
      anon_sym_RBRACE,
    STATE(15074), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15127), 2,
      sym_comment,
      sym_block_comment,
  [636191] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17736), 1,
      anon_sym_LBRACE,
    ACTIONS(17738), 1,
      sym__indent,
    STATE(11778), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15128), 2,
      sym_comment,
      sym_block_comment,
  [636212] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(17740), 1,
      anon_sym_COLON,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(15129), 2,
      sym_comment,
      sym_block_comment,
  [636235] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(17742), 1,
      anon_sym_COLON,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(15130), 2,
      sym_comment,
      sym_block_comment,
  [636258] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17744), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15131), 2,
      sym_comment,
      sym_block_comment,
  [636281] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(17746), 1,
      anon_sym_COLON,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(15132), 2,
      sym_comment,
      sym_block_comment,
  [636304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17736), 1,
      anon_sym_LBRACE,
    ACTIONS(17738), 1,
      sym__indent,
    STATE(11712), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15133), 2,
      sym_comment,
      sym_block_comment,
  [636325] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17748), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15134), 2,
      sym_comment,
      sym_block_comment,
  [636348] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14447), 1,
      anon_sym_LPAREN,
    ACTIONS(17750), 1,
      sym__automatic_semicolon,
    STATE(14132), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14617), 1,
      sym_class_parameters,
    STATE(15135), 2,
      sym_comment,
      sym_block_comment,
  [636371] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17752), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15136), 2,
      sym_comment,
      sym_block_comment,
  [636394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17427), 1,
      anon_sym_RBRACE,
    ACTIONS(17754), 1,
      anon_sym_case,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15137), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_indented_cases_repeat1,
  [636415] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(653), 1,
      anon_sym_RBRACE,
    STATE(15103), 1,
      aux_sym__block_repeat1,
    ACTIONS(17757), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15138), 2,
      sym_comment,
      sym_block_comment,
  [636436] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17759), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15139), 2,
      sym_comment,
      sym_block_comment,
  [636459] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16620), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15140), 2,
      sym_comment,
      sym_block_comment,
  [636482] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17761), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15141), 2,
      sym_comment,
      sym_block_comment,
  [636505] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17763), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15142), 2,
      sym_comment,
      sym_block_comment,
  [636528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(459), 1,
      ts_builtin_sym_end,
    STATE(15113), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17765), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15143), 2,
      sym_comment,
      sym_block_comment,
  [636549] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17709), 1,
      anon_sym_LBRACE,
    ACTIONS(17711), 1,
      sym__indent,
    STATE(13105), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15144), 2,
      sym_comment,
      sym_block_comment,
  [636570] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16549), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15145), 2,
      sym_comment,
      sym_block_comment,
  [636593] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17767), 1,
      anon_sym_RBRACE,
    STATE(15089), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15146), 2,
      sym_comment,
      sym_block_comment,
  [636616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(459), 1,
      ts_builtin_sym_end,
    STATE(15123), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17765), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15147), 2,
      sym_comment,
      sym_block_comment,
  [636637] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(17769), 1,
      anon_sym_while,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15148), 2,
      sym_comment,
      sym_block_comment,
  [636660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17771), 1,
      anon_sym_LBRACE,
    ACTIONS(17773), 1,
      sym__indent,
    STATE(13864), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15149), 2,
      sym_comment,
      sym_block_comment,
  [636681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17775), 1,
      anon_sym_EQ,
    STATE(15150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17138), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [636700] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17777), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15151), 2,
      sym_comment,
      sym_block_comment,
  [636723] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16067), 1,
      anon_sym_RBRACE,
    STATE(15138), 1,
      aux_sym__block_repeat1,
    ACTIONS(16315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15152), 2,
      sym_comment,
      sym_block_comment,
  [636744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17771), 1,
      anon_sym_LBRACE,
    ACTIONS(17773), 1,
      sym__indent,
    STATE(13835), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15153), 2,
      sym_comment,
      sym_block_comment,
  [636765] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17779), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15154), 2,
      sym_comment,
      sym_block_comment,
  [636788] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16662), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15155), 2,
      sym_comment,
      sym_block_comment,
  [636811] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17781), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15156), 2,
      sym_comment,
      sym_block_comment,
  [636834] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17783), 1,
      anon_sym_RBRACE,
    STATE(15117), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15157), 2,
      sym_comment,
      sym_block_comment,
  [636857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17785), 1,
      anon_sym_LBRACE,
    ACTIONS(17787), 1,
      sym__indent,
    STATE(13750), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15158), 2,
      sym_comment,
      sym_block_comment,
  [636878] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    ACTIONS(17789), 1,
      sym__outdent,
    STATE(14975), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15159), 2,
      sym_comment,
      sym_block_comment,
  [636901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17791), 1,
      anon_sym_LBRACE,
    ACTIONS(17793), 1,
      sym__indent,
    STATE(12671), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15160), 2,
      sym_comment,
      sym_block_comment,
  [636922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17785), 1,
      anon_sym_LBRACE,
    ACTIONS(17787), 1,
      sym__indent,
    STATE(13848), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15161), 2,
      sym_comment,
      sym_block_comment,
  [636943] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17795), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15162), 2,
      sym_comment,
      sym_block_comment,
  [636966] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16695), 1,
      anon_sym_RPAREN,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15163), 2,
      sym_comment,
      sym_block_comment,
  [636989] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    ACTIONS(17797), 1,
      anon_sym_COLON,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(15164), 2,
      sym_comment,
      sym_block_comment,
  [637012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17791), 1,
      anon_sym_LBRACE,
    ACTIONS(17793), 1,
      sym__indent,
    STATE(12772), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15165), 2,
      sym_comment,
      sym_block_comment,
  [637033] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17799), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15166), 2,
      sym_comment,
      sym_block_comment,
  [637056] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17289), 1,
      anon_sym_case,
    ACTIONS(17801), 1,
      anon_sym_RBRACE,
    STATE(15154), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16383), 1,
      sym_case_clause,
    STATE(15167), 2,
      sym_comment,
      sym_block_comment,
  [637079] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    ACTIONS(17803), 1,
      sym__outdent,
    STATE(15007), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15168), 2,
      sym_comment,
      sym_block_comment,
  [637102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6164), 1,
      anon_sym_RBRACK,
    ACTIONS(17805), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15169), 2,
      sym_comment,
      sym_block_comment,
  [637122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17807), 1,
      anon_sym_COMMA,
    ACTIONS(17809), 1,
      anon_sym_RBRACK,
    STATE(15768), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15170), 2,
      sym_comment,
      sym_block_comment,
  [637142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17811), 1,
      anon_sym_COMMA,
    ACTIONS(17813), 1,
      anon_sym_RBRACK,
    STATE(15758), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15171), 2,
      sym_comment,
      sym_block_comment,
  [637162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17815), 1,
      anon_sym_COMMA,
    ACTIONS(17817), 1,
      anon_sym_RBRACK,
    STATE(15205), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15172), 2,
      sym_comment,
      sym_block_comment,
  [637182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17819), 1,
      anon_sym_COMMA,
    ACTIONS(17821), 1,
      anon_sym_RPAREN,
    STATE(16152), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15173), 2,
      sym_comment,
      sym_block_comment,
  [637202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17823), 1,
      anon_sym_COMMA,
    ACTIONS(17825), 1,
      anon_sym_RPAREN,
    STATE(15315), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15174), 2,
      sym_comment,
      sym_block_comment,
  [637222] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17827), 1,
      anon_sym_COMMA,
    ACTIONS(17829), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15175), 2,
      sym_comment,
      sym_block_comment,
  [637242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12047), 1,
      sym__arrow_then_type,
    ACTIONS(17831), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15176), 2,
      sym_comment,
      sym_block_comment,
  [637260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17833), 1,
      anon_sym_COMMA,
    ACTIONS(17835), 1,
      anon_sym_RBRACK,
    STATE(15175), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15177), 2,
      sym_comment,
      sym_block_comment,
  [637280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17837), 1,
      anon_sym_COMMA,
    ACTIONS(17839), 1,
      anon_sym_RPAREN,
    STATE(15991), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15178), 2,
      sym_comment,
      sym_block_comment,
  [637300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17841), 1,
      anon_sym_COMMA,
    ACTIONS(17843), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15179), 2,
      sym_comment,
      sym_block_comment,
  [637320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5190), 1,
      anon_sym_RBRACK,
    ACTIONS(17845), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15180), 2,
      sym_comment,
      sym_block_comment,
  [637340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17847), 1,
      anon_sym_COMMA,
    ACTIONS(17849), 1,
      anon_sym_RBRACK,
    STATE(15186), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15181), 2,
      sym_comment,
      sym_block_comment,
  [637360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17851), 1,
      anon_sym_COMMA,
    ACTIONS(17853), 1,
      anon_sym_RBRACK,
    STATE(15179), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15182), 2,
      sym_comment,
      sym_block_comment,
  [637380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5614), 1,
      anon_sym_RPAREN,
    ACTIONS(17855), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15183), 2,
      sym_comment,
      sym_block_comment,
  [637400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5584), 1,
      anon_sym_RPAREN,
    ACTIONS(17857), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15184), 2,
      sym_comment,
      sym_block_comment,
  [637420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17859), 1,
      anon_sym_COMMA,
    ACTIONS(17861), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15185), 2,
      sym_comment,
      sym_block_comment,
  [637440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6044), 1,
      anon_sym_RBRACK,
    ACTIONS(17863), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15186), 2,
      sym_comment,
      sym_block_comment,
  [637460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17865), 1,
      anon_sym_COMMA,
    ACTIONS(17867), 1,
      anon_sym_RBRACK,
    STATE(15185), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15187), 2,
      sym_comment,
      sym_block_comment,
  [637480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17869), 1,
      anon_sym_COMMA,
    ACTIONS(17871), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15188), 2,
      sym_comment,
      sym_block_comment,
  [637500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17873), 1,
      anon_sym_COMMA,
    ACTIONS(17875), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15189), 2,
      sym_comment,
      sym_block_comment,
  [637520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17877), 1,
      anon_sym_COMMA,
    ACTIONS(17879), 1,
      anon_sym_RBRACK,
    STATE(15180), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15190), 2,
      sym_comment,
      sym_block_comment,
  [637540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17881), 1,
      anon_sym_COMMA,
    ACTIONS(17883), 1,
      anon_sym_RBRACK,
    STATE(15189), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15191), 2,
      sym_comment,
      sym_block_comment,
  [637560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17885), 1,
      anon_sym_COMMA,
    ACTIONS(17887), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15192), 2,
      sym_comment,
      sym_block_comment,
  [637580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17889), 1,
      anon_sym_COMMA,
    ACTIONS(17891), 1,
      anon_sym_RBRACK,
    STATE(15192), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15193), 2,
      sym_comment,
      sym_block_comment,
  [637600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17893), 1,
      anon_sym_COMMA,
    ACTIONS(17895), 1,
      anon_sym_RPAREN,
    STATE(15488), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15194), 2,
      sym_comment,
      sym_block_comment,
  [637620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17897), 1,
      anon_sym_COMMA,
    ACTIONS(17899), 1,
      anon_sym_RPAREN,
    STATE(15840), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15195), 2,
      sym_comment,
      sym_block_comment,
  [637640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17901), 1,
      anon_sym_COMMA,
    ACTIONS(17903), 1,
      anon_sym_RBRACK,
    STATE(15209), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15196), 2,
      sym_comment,
      sym_block_comment,
  [637660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17905), 1,
      anon_sym_COMMA,
    ACTIONS(17907), 1,
      anon_sym_RBRACK,
    STATE(15203), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15197), 2,
      sym_comment,
      sym_block_comment,
  [637680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17909), 1,
      anon_sym_COMMA,
    ACTIONS(17911), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15198), 2,
      sym_comment,
      sym_block_comment,
  [637700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17913), 1,
      anon_sym_COMMA,
    ACTIONS(17915), 1,
      anon_sym_RBRACK,
    STATE(15198), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15199), 2,
      sym_comment,
      sym_block_comment,
  [637720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17919), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15200), 2,
      sym_comment,
      sym_block_comment,
  [637740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6066), 1,
      anon_sym_RPAREN,
    ACTIONS(17921), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15201), 2,
      sym_comment,
      sym_block_comment,
  [637760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17919), 1,
      sym__interpolated_string_end,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15202), 2,
      sym_comment,
      sym_block_comment,
  [637780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6072), 1,
      anon_sym_RBRACK,
    ACTIONS(17925), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15203), 2,
      sym_comment,
      sym_block_comment,
  [637800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17927), 1,
      anon_sym_COMMA,
    ACTIONS(17929), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15204), 2,
      sym_comment,
      sym_block_comment,
  [637820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17931), 1,
      anon_sym_COMMA,
    ACTIONS(17933), 1,
      anon_sym_RBRACK,
    STATE(15664), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15205), 2,
      sym_comment,
      sym_block_comment,
  [637840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17935), 1,
      anon_sym_COMMA,
    ACTIONS(17937), 1,
      anon_sym_RBRACK,
    STATE(15204), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15206), 2,
      sym_comment,
      sym_block_comment,
  [637860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5534), 1,
      anon_sym_RPAREN,
    ACTIONS(17939), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15207), 2,
      sym_comment,
      sym_block_comment,
  [637880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17941), 1,
      anon_sym_COMMA,
    ACTIONS(17943), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15208), 2,
      sym_comment,
      sym_block_comment,
  [637900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5708), 1,
      anon_sym_RBRACK,
    ACTIONS(17945), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15209), 2,
      sym_comment,
      sym_block_comment,
  [637920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5304), 1,
      anon_sym_RBRACK,
    ACTIONS(17947), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15210), 2,
      sym_comment,
      sym_block_comment,
  [637940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17949), 1,
      anon_sym_COMMA,
    ACTIONS(17951), 1,
      anon_sym_RBRACK,
    STATE(15208), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15211), 2,
      sym_comment,
      sym_block_comment,
  [637960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17953), 1,
      anon_sym_COMMA,
    ACTIONS(17955), 1,
      anon_sym_RPAREN,
    STATE(15903), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15212), 2,
      sym_comment,
      sym_block_comment,
  [637980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4374), 1,
      sym__indent,
    STATE(6331), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15213), 2,
      sym_comment,
      sym_block_comment,
  [637998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5774), 1,
      anon_sym_RPAREN,
    ACTIONS(17957), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15214), 2,
      sym_comment,
      sym_block_comment,
  [638018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17959), 1,
      anon_sym_COMMA,
    ACTIONS(17961), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15215), 2,
      sym_comment,
      sym_block_comment,
  [638038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17963), 1,
      anon_sym_COMMA,
    ACTIONS(17965), 1,
      anon_sym_RBRACK,
    STATE(15220), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15216), 2,
      sym_comment,
      sym_block_comment,
  [638058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17967), 1,
      anon_sym_COMMA,
    ACTIONS(17969), 1,
      anon_sym_RBRACK,
    STATE(15215), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15217), 2,
      sym_comment,
      sym_block_comment,
  [638078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5602), 1,
      anon_sym_RPAREN,
    ACTIONS(17971), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15218), 2,
      sym_comment,
      sym_block_comment,
  [638098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17973), 1,
      anon_sym_COMMA,
    ACTIONS(17975), 1,
      anon_sym_RBRACK,
    STATE(15210), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15219), 2,
      sym_comment,
      sym_block_comment,
  [638118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6092), 1,
      anon_sym_RBRACK,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15220), 2,
      sym_comment,
      sym_block_comment,
  [638138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6002), 1,
      anon_sym_RBRACK,
    ACTIONS(17979), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15221), 2,
      sym_comment,
      sym_block_comment,
  [638158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17981), 1,
      anon_sym_COMMA,
    ACTIONS(17983), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15222), 2,
      sym_comment,
      sym_block_comment,
  [638178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17985), 1,
      anon_sym_COMMA,
    ACTIONS(17987), 1,
      anon_sym_RBRACK,
    STATE(15222), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15223), 2,
      sym_comment,
      sym_block_comment,
  [638198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6012), 1,
      anon_sym_RBRACK,
    ACTIONS(17989), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15224), 2,
      sym_comment,
      sym_block_comment,
  [638218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17991), 1,
      anon_sym_COMMA,
    ACTIONS(17993), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15225), 2,
      sym_comment,
      sym_block_comment,
  [638238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17995), 1,
      anon_sym_COMMA,
    ACTIONS(17997), 1,
      anon_sym_RPAREN,
    STATE(15866), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15226), 2,
      sym_comment,
      sym_block_comment,
  [638258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15922), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9932), 1,
      sym_type_arguments,
    STATE(15227), 2,
      sym_comment,
      sym_block_comment,
  [638278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17999), 1,
      anon_sym_COMMA,
    ACTIONS(18001), 1,
      anon_sym_RBRACK,
    STATE(15225), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15228), 2,
      sym_comment,
      sym_block_comment,
  [638298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    ACTIONS(18005), 1,
      anon_sym_RPAREN,
    STATE(15524), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15229), 2,
      sym_comment,
      sym_block_comment,
  [638318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18007), 1,
      anon_sym_COMMA,
    ACTIONS(18009), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15230), 2,
      sym_comment,
      sym_block_comment,
  [638338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18011), 1,
      anon_sym_COMMA,
    ACTIONS(18013), 1,
      anon_sym_RBRACK,
    STATE(15230), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15231), 2,
      sym_comment,
      sym_block_comment,
  [638358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18015), 1,
      anon_sym_COMMA,
    ACTIONS(18017), 1,
      anon_sym_RBRACK,
    STATE(15238), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15232), 2,
      sym_comment,
      sym_block_comment,
  [638378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18019), 1,
      anon_sym_COMMA,
    ACTIONS(18021), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15233), 2,
      sym_comment,
      sym_block_comment,
  [638398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6170), 1,
      anon_sym_RPAREN,
    ACTIONS(18023), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15234), 2,
      sym_comment,
      sym_block_comment,
  [638418] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18025), 1,
      anon_sym_COMMA,
    ACTIONS(18027), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15235), 2,
      sym_comment,
      sym_block_comment,
  [638438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6026), 1,
      anon_sym_RPAREN,
    ACTIONS(18029), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15236), 2,
      sym_comment,
      sym_block_comment,
  [638458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18031), 1,
      sym__interpolated_string_end,
    STATE(15269), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15237), 2,
      sym_comment,
      sym_block_comment,
  [638478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6120), 1,
      anon_sym_RBRACK,
    ACTIONS(18033), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15238), 2,
      sym_comment,
      sym_block_comment,
  [638498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18035), 1,
      anon_sym_COMMA,
    ACTIONS(18037), 1,
      anon_sym_RBRACK,
    STATE(15235), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15239), 2,
      sym_comment,
      sym_block_comment,
  [638518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18039), 1,
      anon_sym_COMMA,
    ACTIONS(18041), 1,
      anon_sym_RPAREN,
    STATE(15582), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15240), 2,
      sym_comment,
      sym_block_comment,
  [638538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 1,
      sym__arrow_then_type,
    ACTIONS(18043), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15241), 2,
      sym_comment,
      sym_block_comment,
  [638556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18045), 1,
      anon_sym_COMMA,
    ACTIONS(18047), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15242), 2,
      sym_comment,
      sym_block_comment,
  [638576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18051), 1,
      anon_sym_RBRACK,
    STATE(15242), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15243), 2,
      sym_comment,
      sym_block_comment,
  [638596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5328), 1,
      anon_sym_RBRACK,
    ACTIONS(18053), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15244), 2,
      sym_comment,
      sym_block_comment,
  [638616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18055), 1,
      sym__interpolated_string_end,
    STATE(15202), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15245), 2,
      sym_comment,
      sym_block_comment,
  [638636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7748), 1,
      anon_sym_with,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    STATE(17826), 1,
      sym_arguments,
    STATE(15246), 2,
      sym_comment,
      sym_block_comment,
  [638656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18057), 1,
      anon_sym_COMMA,
    ACTIONS(18059), 1,
      anon_sym_RPAREN,
    STATE(15721), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15247), 2,
      sym_comment,
      sym_block_comment,
  [638676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5532), 1,
      anon_sym_RPAREN,
    ACTIONS(18061), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15248), 2,
      sym_comment,
      sym_block_comment,
  [638696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18063), 1,
      anon_sym_COMMA,
    ACTIONS(18065), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15249), 2,
      sym_comment,
      sym_block_comment,
  [638716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18067), 1,
      anon_sym_COMMA,
    ACTIONS(18069), 1,
      anon_sym_RBRACK,
    STATE(15256), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15250), 2,
      sym_comment,
      sym_block_comment,
  [638736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18071), 1,
      anon_sym_COMMA,
    ACTIONS(18073), 1,
      anon_sym_RBRACK,
    STATE(15249), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15251), 2,
      sym_comment,
      sym_block_comment,
  [638756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18075), 1,
      anon_sym_COMMA,
    ACTIONS(18077), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15252), 2,
      sym_comment,
      sym_block_comment,
  [638776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18079), 1,
      anon_sym_COMMA,
    ACTIONS(18081), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15253), 2,
      sym_comment,
      sym_block_comment,
  [638796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5640), 1,
      anon_sym_RPAREN,
    ACTIONS(18083), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15254), 2,
      sym_comment,
      sym_block_comment,
  [638816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18085), 1,
      anon_sym_COMMA,
    ACTIONS(18087), 1,
      anon_sym_RBRACK,
    STATE(15244), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15255), 2,
      sym_comment,
      sym_block_comment,
  [638836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6134), 1,
      anon_sym_RBRACK,
    ACTIONS(18089), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15256), 2,
      sym_comment,
      sym_block_comment,
  [638856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18091), 1,
      anon_sym_COMMA,
    ACTIONS(18093), 1,
      anon_sym_RBRACK,
    STATE(15253), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15257), 2,
      sym_comment,
      sym_block_comment,
  [638876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18095), 1,
      anon_sym_COMMA,
    ACTIONS(18097), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15258), 2,
      sym_comment,
      sym_block_comment,
  [638896] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18099), 1,
      anon_sym_COMMA,
    ACTIONS(18101), 1,
      anon_sym_RBRACK,
    STATE(15258), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15259), 2,
      sym_comment,
      sym_block_comment,
  [638916] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18103), 1,
      anon_sym_COMMA,
    ACTIONS(18105), 1,
      anon_sym_RBRACK,
    STATE(15281), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15260), 2,
      sym_comment,
      sym_block_comment,
  [638936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18031), 1,
      sym__interpolated_multiline_string_end,
    STATE(15267), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15261), 2,
      sym_comment,
      sym_block_comment,
  [638956] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18055), 1,
      sym__interpolated_multiline_string_end,
    STATE(15200), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15262), 2,
      sym_comment,
      sym_block_comment,
  [638976] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18107), 1,
      anon_sym_COMMA,
    ACTIONS(18109), 1,
      anon_sym_RPAREN,
    STATE(15892), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15263), 2,
      sym_comment,
      sym_block_comment,
  [638996] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18111), 1,
      anon_sym_COMMA,
    ACTIONS(18113), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15264), 2,
      sym_comment,
      sym_block_comment,
  [639016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18115), 1,
      anon_sym_COMMA,
    ACTIONS(18117), 1,
      anon_sym_RPAREN,
    STATE(15561), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15265), 2,
      sym_comment,
      sym_block_comment,
  [639036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18119), 1,
      anon_sym_COMMA,
    ACTIONS(18121), 1,
      anon_sym_RBRACK,
    STATE(15264), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15266), 2,
      sym_comment,
      sym_block_comment,
  [639056] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18123), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15267), 2,
      sym_comment,
      sym_block_comment,
  [639076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18125), 1,
      anon_sym_COMMA,
    ACTIONS(18127), 1,
      anon_sym_RBRACK,
    STATE(15274), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15268), 2,
      sym_comment,
      sym_block_comment,
  [639096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18123), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15269), 2,
      sym_comment,
      sym_block_comment,
  [639116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16479), 1,
      anon_sym_LBRACK,
    STATE(10524), 1,
      sym_type_arguments,
    STATE(15270), 2,
      sym_comment,
      sym_block_comment,
  [639136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18129), 1,
      anon_sym_COMMA,
    ACTIONS(18131), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15271), 2,
      sym_comment,
      sym_block_comment,
  [639156] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5982), 1,
      anon_sym_RPAREN,
    ACTIONS(18133), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15272), 2,
      sym_comment,
      sym_block_comment,
  [639176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5588), 1,
      anon_sym_RPAREN,
    ACTIONS(18135), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15273), 2,
      sym_comment,
      sym_block_comment,
  [639196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6148), 1,
      anon_sym_RBRACK,
    ACTIONS(18137), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15274), 2,
      sym_comment,
      sym_block_comment,
  [639216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18139), 1,
      anon_sym_COMMA,
    ACTIONS(18141), 1,
      anon_sym_RBRACK,
    STATE(15271), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15275), 2,
      sym_comment,
      sym_block_comment,
  [639236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6082), 1,
      anon_sym_RBRACK,
    ACTIONS(18143), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15276), 2,
      sym_comment,
      sym_block_comment,
  [639256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18145), 1,
      anon_sym_COMMA,
    ACTIONS(18147), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15277), 2,
      sym_comment,
      sym_block_comment,
  [639276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18149), 1,
      anon_sym_COMMA,
    ACTIONS(18151), 1,
      anon_sym_RBRACK,
    STATE(15277), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15278), 2,
      sym_comment,
      sym_block_comment,
  [639296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12482), 1,
      sym__indent,
    STATE(10011), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15279), 2,
      sym_comment,
      sym_block_comment,
  [639314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18153), 1,
      anon_sym_COMMA,
    ACTIONS(18155), 1,
      anon_sym_RBRACK,
    STATE(15224), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15280), 2,
      sym_comment,
      sym_block_comment,
  [639334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18157), 1,
      anon_sym_COMMA,
    ACTIONS(18159), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15281), 2,
      sym_comment,
      sym_block_comment,
  [639354] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5872), 1,
      anon_sym_RPAREN,
    ACTIONS(18161), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15282), 2,
      sym_comment,
      sym_block_comment,
  [639374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18163), 1,
      anon_sym_COMMA,
    ACTIONS(18165), 1,
      anon_sym_RPAREN,
    STATE(15336), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15283), 2,
      sym_comment,
      sym_block_comment,
  [639394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16325), 1,
      anon_sym_LBRACK,
    STATE(10089), 1,
      sym_type_arguments,
    STATE(15284), 2,
      sym_comment,
      sym_block_comment,
  [639414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18167), 1,
      anon_sym_COMMA,
    ACTIONS(18169), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15285), 2,
      sym_comment,
      sym_block_comment,
  [639434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18171), 1,
      anon_sym_COMMA,
    ACTIONS(18173), 1,
      anon_sym_RBRACK,
    STATE(15292), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15286), 2,
      sym_comment,
      sym_block_comment,
  [639454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18175), 1,
      anon_sym_COMMA,
    ACTIONS(18177), 1,
      anon_sym_RBRACK,
    STATE(15285), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15287), 2,
      sym_comment,
      sym_block_comment,
  [639474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5162), 1,
      anon_sym_RBRACK,
    ACTIONS(18179), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15288), 2,
      sym_comment,
      sym_block_comment,
  [639494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5370), 1,
      anon_sym_RBRACK,
    ACTIONS(18181), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15289), 2,
      sym_comment,
      sym_block_comment,
  [639514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5948), 1,
      anon_sym_RPAREN,
    ACTIONS(18183), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15290), 2,
      sym_comment,
      sym_block_comment,
  [639534] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18185), 1,
      sym__interpolated_multiline_string_end,
    STATE(15313), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15291), 2,
      sym_comment,
      sym_block_comment,
  [639554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6176), 1,
      anon_sym_RBRACK,
    ACTIONS(18187), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15292), 2,
      sym_comment,
      sym_block_comment,
  [639574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18185), 1,
      sym__interpolated_string_end,
    STATE(15314), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15293), 2,
      sym_comment,
      sym_block_comment,
  [639594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18189), 1,
      anon_sym_COMMA,
    ACTIONS(18191), 1,
      anon_sym_RPAREN,
    STATE(15651), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15294), 2,
      sym_comment,
      sym_block_comment,
  [639614] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5538), 1,
      anon_sym_RPAREN,
    ACTIONS(18193), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15295), 2,
      sym_comment,
      sym_block_comment,
  [639634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11863), 1,
      sym__arrow_then_type,
    ACTIONS(18195), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15296), 2,
      sym_comment,
      sym_block_comment,
  [639652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18197), 1,
      anon_sym_COMMA,
    ACTIONS(18199), 1,
      anon_sym_RPAREN,
    STATE(15452), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15297), 2,
      sym_comment,
      sym_block_comment,
  [639672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18201), 1,
      anon_sym_COMMA,
    ACTIONS(18203), 1,
      anon_sym_RBRACK,
    STATE(15289), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15298), 2,
      sym_comment,
      sym_block_comment,
  [639692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18205), 1,
      anon_sym_COMMA,
    ACTIONS(18207), 1,
      anon_sym_RBRACK,
    STATE(15305), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15299), 2,
      sym_comment,
      sym_block_comment,
  [639712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18209), 1,
      anon_sym_COMMA,
    ACTIONS(18211), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15300), 2,
      sym_comment,
      sym_block_comment,
  [639732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18213), 1,
      anon_sym_COMMA,
    ACTIONS(18215), 1,
      anon_sym_RPAREN,
    STATE(15234), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15301), 2,
      sym_comment,
      sym_block_comment,
  [639752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5414), 1,
      anon_sym_RPAREN,
    ACTIONS(18217), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15302), 2,
      sym_comment,
      sym_block_comment,
  [639772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18219), 1,
      anon_sym_COMMA,
    ACTIONS(18221), 1,
      anon_sym_RPAREN,
    STATE(15410), 1,
      aux_sym_bindings_repeat1,
    STATE(15303), 2,
      sym_comment,
      sym_block_comment,
  [639792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18223), 1,
      anon_sym_COMMA,
    ACTIONS(18225), 1,
      anon_sym_RBRACK,
    STATE(15310), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15304), 2,
      sym_comment,
      sym_block_comment,
  [639812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18227), 1,
      anon_sym_COMMA,
    ACTIONS(18229), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15305), 2,
      sym_comment,
      sym_block_comment,
  [639832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18231), 1,
      anon_sym_COMMA,
    ACTIONS(18233), 1,
      anon_sym_RBRACK,
    STATE(15312), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15306), 2,
      sym_comment,
      sym_block_comment,
  [639852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18235), 1,
      anon_sym_COMMA,
    ACTIONS(18237), 1,
      anon_sym_RPAREN,
    STATE(15918), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15307), 2,
      sym_comment,
      sym_block_comment,
  [639872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5670), 1,
      anon_sym_RPAREN,
    ACTIONS(18239), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15308), 2,
      sym_comment,
      sym_block_comment,
  [639892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18241), 1,
      anon_sym_COMMA,
    ACTIONS(18243), 1,
      anon_sym_RPAREN,
    STATE(15790), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15309), 2,
      sym_comment,
      sym_block_comment,
  [639912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6162), 1,
      anon_sym_RBRACK,
    ACTIONS(18245), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15310), 2,
      sym_comment,
      sym_block_comment,
  [639932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18247), 1,
      anon_sym_COMMA,
    ACTIONS(18249), 1,
      anon_sym_RBRACK,
    STATE(15320), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15311), 2,
      sym_comment,
      sym_block_comment,
  [639952] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15312), 2,
      sym_comment,
      sym_block_comment,
  [639972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18255), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15313), 2,
      sym_comment,
      sym_block_comment,
  [639992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18255), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15314), 2,
      sym_comment,
      sym_block_comment,
  [640012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5832), 1,
      anon_sym_RPAREN,
    ACTIONS(18257), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15315), 2,
      sym_comment,
      sym_block_comment,
  [640032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15607), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(8608), 1,
      sym_type_arguments,
    STATE(15316), 2,
      sym_comment,
      sym_block_comment,
  [640052] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(18259), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15317), 2,
      sym_comment,
      sym_block_comment,
  [640072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18261), 1,
      anon_sym_COMMA,
    ACTIONS(18263), 1,
      anon_sym_RBRACK,
    STATE(15341), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15318), 2,
      sym_comment,
      sym_block_comment,
  [640092] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18265), 1,
      anon_sym_COMMA,
    ACTIONS(18267), 1,
      anon_sym_RPAREN,
    STATE(15578), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15319), 2,
      sym_comment,
      sym_block_comment,
  [640112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5346), 1,
      anon_sym_RBRACK,
    ACTIONS(18269), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15320), 2,
      sym_comment,
      sym_block_comment,
  [640132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18271), 1,
      sym__interpolated_multiline_string_end,
    STATE(15442), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15321), 2,
      sym_comment,
      sym_block_comment,
  [640152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18273), 1,
      anon_sym_COMMA,
    ACTIONS(18275), 1,
      anon_sym_RBRACK,
    STATE(15328), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15322), 2,
      sym_comment,
      sym_block_comment,
  [640172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18271), 1,
      sym__interpolated_string_end,
    STATE(15444), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15323), 2,
      sym_comment,
      sym_block_comment,
  [640192] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18277), 1,
      anon_sym_COMMA,
    ACTIONS(18279), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15324), 2,
      sym_comment,
      sym_block_comment,
  [640212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18281), 1,
      anon_sym_COMMA,
    ACTIONS(18283), 1,
      anon_sym_RBRACK,
    STATE(15276), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15325), 2,
      sym_comment,
      sym_block_comment,
  [640232] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    ACTIONS(18285), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15326), 2,
      sym_comment,
      sym_block_comment,
  [640252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4220), 1,
      sym__indent,
    STATE(8347), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15327), 2,
      sym_comment,
      sym_block_comment,
  [640270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6106), 1,
      anon_sym_RBRACK,
    ACTIONS(18287), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15328), 2,
      sym_comment,
      sym_block_comment,
  [640290] = 4,
    ACTIONS(18292), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18294), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(18289), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(15329), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_block_comment_repeat1,
  [640306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18296), 1,
      anon_sym_LPAREN,
    ACTIONS(18298), 1,
      sym__automatic_semicolon,
    STATE(13493), 1,
      sym_class_parameters,
    STATE(15330), 2,
      sym_comment,
      sym_block_comment,
  [640326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7936), 1,
      anon_sym_RPAREN,
    ACTIONS(18300), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15331), 2,
      sym_comment,
      sym_block_comment,
  [640346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18302), 1,
      anon_sym_COMMA,
    ACTIONS(18304), 1,
      anon_sym_RBRACK,
    STATE(15353), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15332), 2,
      sym_comment,
      sym_block_comment,
  [640366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7938), 1,
      anon_sym_RPAREN,
    ACTIONS(18306), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15333), 2,
      sym_comment,
      sym_block_comment,
  [640386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5402), 1,
      anon_sym_RBRACK,
    ACTIONS(18308), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15334), 2,
      sym_comment,
      sym_block_comment,
  [640406] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7884), 1,
      anon_sym_RPAREN,
    ACTIONS(18310), 1,
      anon_sym_COMMA,
    STATE(15331), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15335), 2,
      sym_comment,
      sym_block_comment,
  [640426] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      anon_sym_RPAREN,
    ACTIONS(18312), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15336), 2,
      sym_comment,
      sym_block_comment,
  [640446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18314), 1,
      anon_sym_COMMA,
    ACTIONS(18316), 1,
      anon_sym_RPAREN,
    STATE(15201), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15337), 2,
      sym_comment,
      sym_block_comment,
  [640466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5490), 1,
      anon_sym_RPAREN,
    ACTIONS(18318), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15338), 2,
      sym_comment,
      sym_block_comment,
  [640486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16352), 1,
      anon_sym_COLON,
    ACTIONS(16354), 1,
      anon_sym_LBRACE,
    STATE(14803), 1,
      sym_enum_body,
    STATE(15339), 2,
      sym_comment,
      sym_block_comment,
  [640506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18320), 1,
      anon_sym_COMMA,
    ACTIONS(18322), 1,
      anon_sym_RBRACK,
    STATE(15346), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15340), 2,
      sym_comment,
      sym_block_comment,
  [640526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18324), 1,
      anon_sym_COMMA,
    ACTIONS(18326), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15341), 2,
      sym_comment,
      sym_block_comment,
  [640546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18328), 1,
      anon_sym_COMMA,
    ACTIONS(18330), 1,
      anon_sym_RBRACK,
    STATE(15221), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15342), 2,
      sym_comment,
      sym_block_comment,
  [640566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18332), 1,
      anon_sym_COMMA,
    ACTIONS(18334), 1,
      anon_sym_RBRACK,
    STATE(15372), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15343), 2,
      sym_comment,
      sym_block_comment,
  [640586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5896), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15344), 2,
      sym_comment,
      sym_block_comment,
  [640606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18338), 1,
      anon_sym_COMMA,
    ACTIONS(18340), 1,
      anon_sym_RBRACK,
    STATE(15334), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15345), 2,
      sym_comment,
      sym_block_comment,
  [640626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6040), 1,
      anon_sym_RBRACK,
    ACTIONS(18342), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15346), 2,
      sym_comment,
      sym_block_comment,
  [640646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18344), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [640662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18346), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [640678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12506), 1,
      anon_sym_RBRACE,
    ACTIONS(18348), 1,
      anon_sym_COMMA,
    STATE(15841), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15349), 2,
      sym_comment,
      sym_block_comment,
  [640698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5662), 1,
      anon_sym_RPAREN,
    ACTIONS(18350), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15350), 2,
      sym_comment,
      sym_block_comment,
  [640718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7978), 1,
      anon_sym_RPAREN,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15351), 2,
      sym_comment,
      sym_block_comment,
  [640738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18354), 1,
      anon_sym_COMMA,
    ACTIONS(18356), 1,
      anon_sym_RPAREN,
    STATE(15956), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15352), 2,
      sym_comment,
      sym_block_comment,
  [640758] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5164), 1,
      anon_sym_RBRACK,
    ACTIONS(18358), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15353), 2,
      sym_comment,
      sym_block_comment,
  [640778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7956), 1,
      anon_sym_RPAREN,
    ACTIONS(18360), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15354), 2,
      sym_comment,
      sym_block_comment,
  [640798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18362), 1,
      anon_sym_COMMA,
    ACTIONS(18364), 1,
      anon_sym_RPAREN,
    STATE(15236), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15355), 2,
      sym_comment,
      sym_block_comment,
  [640818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(18366), 1,
      anon_sym_LBRACK,
    STATE(11172), 1,
      sym_type_arguments,
    STATE(15356), 2,
      sym_comment,
      sym_block_comment,
  [640838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7956), 1,
      anon_sym_RPAREN,
    ACTIONS(18360), 1,
      anon_sym_COMMA,
    STATE(15333), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15357), 2,
      sym_comment,
      sym_block_comment,
  [640858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18368), 1,
      anon_sym_COMMA,
    ACTIONS(18370), 1,
      anon_sym_RBRACK,
    STATE(15364), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15358), 2,
      sym_comment,
      sym_block_comment,
  [640878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18372), 1,
      anon_sym_COMMA,
    ACTIONS(18374), 1,
      anon_sym_RPAREN,
    STATE(15416), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15359), 2,
      sym_comment,
      sym_block_comment,
  [640898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16212), 1,
      anon_sym_COLON,
    ACTIONS(16214), 1,
      anon_sym_LBRACE,
    STATE(14868), 1,
      sym_enum_body,
    STATE(15360), 2,
      sym_comment,
      sym_block_comment,
  [640918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18376), 1,
      sym__interpolated_multiline_string_end,
    STATE(15388), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15361), 2,
      sym_comment,
      sym_block_comment,
  [640938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5858), 1,
      anon_sym_RPAREN,
    ACTIONS(18378), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15362), 2,
      sym_comment,
      sym_block_comment,
  [640958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18380), 1,
      anon_sym_COMMA,
    ACTIONS(18382), 1,
      anon_sym_RBRACK,
    STATE(15504), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15363), 2,
      sym_comment,
      sym_block_comment,
  [640978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6022), 1,
      anon_sym_RBRACK,
    ACTIONS(18384), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15364), 2,
      sym_comment,
      sym_block_comment,
  [640998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18376), 1,
      sym__interpolated_string_end,
    STATE(15389), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15365), 2,
      sym_comment,
      sym_block_comment,
  [641018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12663), 1,
      anon_sym_RPAREN,
    ACTIONS(18386), 1,
      anon_sym_COMMA,
    STATE(15514), 1,
      aux_sym_parameters_repeat1,
    STATE(15366), 2,
      sym_comment,
      sym_block_comment,
  [641038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18388), 1,
      anon_sym_COMMA,
    ACTIONS(18390), 1,
      anon_sym_RPAREN,
    STATE(15515), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15367), 2,
      sym_comment,
      sym_block_comment,
  [641058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_COMMA,
    ACTIONS(18394), 1,
      anon_sym_RPAREN,
    STATE(15802), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15368), 2,
      sym_comment,
      sym_block_comment,
  [641078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8857), 1,
      sym__arrow_then_type,
    ACTIONS(18396), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15369), 2,
      sym_comment,
      sym_block_comment,
  [641096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11345), 1,
      sym__arrow_then_type,
    ACTIONS(18398), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15370), 2,
      sym_comment,
      sym_block_comment,
  [641114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5456), 1,
      anon_sym_RBRACK,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15371), 2,
      sym_comment,
      sym_block_comment,
  [641134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18402), 1,
      anon_sym_COMMA,
    ACTIONS(18404), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15372), 2,
      sym_comment,
      sym_block_comment,
  [641154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18406), 1,
      anon_sym_COMMA,
    ACTIONS(18408), 1,
      anon_sym_RPAREN,
    STATE(15272), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15373), 2,
      sym_comment,
      sym_block_comment,
  [641174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15374), 2,
      sym_comment,
      sym_block_comment,
  [641194] = 5,
    ACTIONS(18292), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18412), 1,
      anon_sym_STAR_SLASH,
    STATE(15329), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(18410), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(15375), 2,
      sym_comment,
      sym_block_comment,
  [641212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18414), 1,
      anon_sym_COMMA,
    ACTIONS(18416), 1,
      anon_sym_RBRACK,
    STATE(15382), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15376), 2,
      sym_comment,
      sym_block_comment,
  [641232] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7422), 1,
      anon_sym_RPAREN,
    ACTIONS(18418), 1,
      anon_sym_COMMA,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15377), 2,
      sym_comment,
      sym_block_comment,
  [641252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18420), 1,
      anon_sym_COMMA,
    ACTIONS(18422), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15378), 2,
      sym_comment,
      sym_block_comment,
  [641272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5474), 1,
      anon_sym_RPAREN,
    ACTIONS(18424), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15379), 2,
      sym_comment,
      sym_block_comment,
  [641292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5816), 1,
      anon_sym_RPAREN,
    ACTIONS(18426), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15380), 2,
      sym_comment,
      sym_block_comment,
  [641312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18428), 1,
      anon_sym_COMMA,
    ACTIONS(18430), 1,
      anon_sym_RBRACK,
    STATE(15385), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15381), 2,
      sym_comment,
      sym_block_comment,
  [641332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5972), 1,
      anon_sym_RBRACK,
    ACTIONS(18432), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15382), 2,
      sym_comment,
      sym_block_comment,
  [641352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18434), 1,
      anon_sym_COMMA,
    ACTIONS(18436), 1,
      anon_sym_RPAREN,
    STATE(16041), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15383), 2,
      sym_comment,
      sym_block_comment,
  [641372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18438), 1,
      anon_sym_COMMA,
    ACTIONS(18440), 1,
      anon_sym_RBRACK,
    STATE(15401), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15384), 2,
      sym_comment,
      sym_block_comment,
  [641392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18442), 1,
      anon_sym_COMMA,
    ACTIONS(18444), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15385), 2,
      sym_comment,
      sym_block_comment,
  [641412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18446), 1,
      anon_sym_COMMA,
    ACTIONS(18448), 1,
      anon_sym_RBRACK,
    STATE(15371), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15386), 2,
      sym_comment,
      sym_block_comment,
  [641432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18450), 1,
      anon_sym_COMMA,
    ACTIONS(18452), 1,
      anon_sym_RBRACK,
    STATE(15390), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15387), 2,
      sym_comment,
      sym_block_comment,
  [641452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18454), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15388), 2,
      sym_comment,
      sym_block_comment,
  [641472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18454), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15389), 2,
      sym_comment,
      sym_block_comment,
  [641492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18456), 1,
      anon_sym_COMMA,
    ACTIONS(18458), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15390), 2,
      sym_comment,
      sym_block_comment,
  [641512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18460), 1,
      anon_sym_COMMA,
    ACTIONS(18462), 1,
      anon_sym_RPAREN,
    STATE(15290), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15391), 2,
      sym_comment,
      sym_block_comment,
  [641532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_RPAREN,
    STATE(15980), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15392), 2,
      sym_comment,
      sym_block_comment,
  [641552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(18468), 1,
      anon_sym_COMMA,
    STATE(15815), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15393), 2,
      sym_comment,
      sym_block_comment,
  [641572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18470), 1,
      anon_sym_COMMA,
    ACTIONS(18472), 1,
      anon_sym_RBRACK,
    STATE(15400), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15394), 2,
      sym_comment,
      sym_block_comment,
  [641592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5160), 1,
      anon_sym_RPAREN,
    ACTIONS(18474), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15395), 2,
      sym_comment,
      sym_block_comment,
  [641612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(18476), 1,
      anon_sym_COMMA,
    STATE(15675), 1,
      aux_sym_parameters_repeat1,
    STATE(15396), 2,
      sym_comment,
      sym_block_comment,
  [641632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12706), 1,
      anon_sym_RPAREN,
    ACTIONS(18478), 1,
      anon_sym_COMMA,
    STATE(15675), 1,
      aux_sym_parameters_repeat1,
    STATE(15397), 2,
      sym_comment,
      sym_block_comment,
  [641652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5762), 1,
      anon_sym_RPAREN,
    ACTIONS(18480), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15398), 2,
      sym_comment,
      sym_block_comment,
  [641672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16751), 1,
      anon_sym_RBRACE,
    ACTIONS(16753), 1,
      anon_sym_COMMA,
    STATE(15349), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15399), 2,
      sym_comment,
      sym_block_comment,
  [641692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5944), 1,
      anon_sym_RBRACK,
    ACTIONS(18482), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15400), 2,
      sym_comment,
      sym_block_comment,
  [641712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5796), 1,
      anon_sym_RBRACK,
    ACTIONS(18484), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15401), 2,
      sym_comment,
      sym_block_comment,
  [641732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12411), 1,
      sym__indent,
    STATE(10965), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15402), 2,
      sym_comment,
      sym_block_comment,
  [641750] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5978), 1,
      anon_sym_RBRACK,
    ACTIONS(18486), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15403), 2,
      sym_comment,
      sym_block_comment,
  [641770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7780), 1,
      anon_sym_RPAREN,
    ACTIONS(18488), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15404), 2,
      sym_comment,
      sym_block_comment,
  [641790] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7780), 1,
      anon_sym_RPAREN,
    ACTIONS(18488), 1,
      anon_sym_COMMA,
    STATE(15351), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15405), 2,
      sym_comment,
      sym_block_comment,
  [641810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18490), 1,
      anon_sym_COMMA,
    ACTIONS(18492), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15406), 2,
      sym_comment,
      sym_block_comment,
  [641830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12474), 1,
      sym__indent,
    STATE(10588), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15407), 2,
      sym_comment,
      sym_block_comment,
  [641848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7974), 1,
      anon_sym_RPAREN,
    ACTIONS(18494), 1,
      anon_sym_COMMA,
    STATE(15354), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15408), 2,
      sym_comment,
      sym_block_comment,
  [641868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18496), 1,
      anon_sym_COMMA,
    ACTIONS(18498), 1,
      anon_sym_RPAREN,
    STATE(15326), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15409), 2,
      sym_comment,
      sym_block_comment,
  [641888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
    ACTIONS(18500), 1,
      anon_sym_COMMA,
    STATE(15579), 1,
      aux_sym_bindings_repeat1,
    STATE(15410), 2,
      sym_comment,
      sym_block_comment,
  [641908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5484), 1,
      anon_sym_RBRACK,
    ACTIONS(18502), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15411), 2,
      sym_comment,
      sym_block_comment,
  [641928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18504), 1,
      anon_sym_COMMA,
    ACTIONS(18506), 1,
      anon_sym_RBRACK,
    STATE(15418), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15412), 2,
      sym_comment,
      sym_block_comment,
  [641948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5990), 1,
      anon_sym_RBRACK,
    ACTIONS(18508), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15413), 2,
      sym_comment,
      sym_block_comment,
  [641968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17721), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [641984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18510), 1,
      anon_sym_COMMA,
    ACTIONS(18512), 1,
      anon_sym_RBRACK,
    STATE(15439), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15415), 2,
      sym_comment,
      sym_block_comment,
  [642004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5998), 1,
      anon_sym_RPAREN,
    ACTIONS(18514), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15416), 2,
      sym_comment,
      sym_block_comment,
  [642024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16212), 1,
      anon_sym_COLON,
    ACTIONS(16214), 1,
      anon_sym_LBRACE,
    STATE(14887), 1,
      sym_enum_body,
    STATE(15417), 2,
      sym_comment,
      sym_block_comment,
  [642044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5924), 1,
      anon_sym_RBRACK,
    ACTIONS(18516), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15418), 2,
      sym_comment,
      sym_block_comment,
  [642064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(18518), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15419), 2,
      sym_comment,
      sym_block_comment,
  [642084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5476), 1,
      anon_sym_RPAREN,
    ACTIONS(18520), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15420), 2,
      sym_comment,
      sym_block_comment,
  [642104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(18522), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15421), 2,
      sym_comment,
      sym_block_comment,
  [642124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(18524), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15422), 2,
      sym_comment,
      sym_block_comment,
  [642144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18526), 1,
      anon_sym_COMMA,
    ACTIONS(18528), 1,
      anon_sym_RBRACK,
    STATE(15411), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15423), 2,
      sym_comment,
      sym_block_comment,
  [642164] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(18530), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15424), 2,
      sym_comment,
      sym_block_comment,
  [642184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4876), 1,
      sym__indent,
    STATE(7722), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15425), 2,
      sym_comment,
      sym_block_comment,
  [642202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18532), 1,
      anon_sym_COMMA,
    ACTIONS(18534), 1,
      anon_sym_RBRACK,
    STATE(15428), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15426), 2,
      sym_comment,
      sym_block_comment,
  [642222] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18536), 1,
      anon_sym_COMMA,
    ACTIONS(18538), 1,
      anon_sym_RPAREN,
    STATE(15344), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15427), 2,
      sym_comment,
      sym_block_comment,
  [642242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18540), 1,
      anon_sym_COMMA,
    ACTIONS(18542), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15428), 2,
      sym_comment,
      sym_block_comment,
  [642262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5450), 1,
      anon_sym_RPAREN,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15429), 2,
      sym_comment,
      sym_block_comment,
  [642282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18546), 1,
      anon_sym_COMMA,
    ACTIONS(18548), 1,
      anon_sym_RBRACK,
    STATE(15436), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15430), 2,
      sym_comment,
      sym_block_comment,
  [642302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18552), 1,
      anon_sym_RBRACK,
    STATE(15413), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15431), 2,
      sym_comment,
      sym_block_comment,
  [642322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14648), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(7065), 1,
      sym_type_arguments,
    STATE(15432), 2,
      sym_comment,
      sym_block_comment,
  [642342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18554), 1,
      anon_sym_COMMA,
    ACTIONS(18556), 1,
      anon_sym_RPAREN,
    STATE(16006), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15433), 2,
      sym_comment,
      sym_block_comment,
  [642362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5700), 1,
      anon_sym_RPAREN,
    ACTIONS(18558), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15434), 2,
      sym_comment,
      sym_block_comment,
  [642382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5980), 1,
      anon_sym_RPAREN,
    ACTIONS(18560), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15435), 2,
      sym_comment,
      sym_block_comment,
  [642402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5886), 1,
      anon_sym_RBRACK,
    ACTIONS(18562), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15436), 2,
      sym_comment,
      sym_block_comment,
  [642422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18564), 1,
      anon_sym_COMMA,
    ACTIONS(18566), 1,
      anon_sym_RBRACK,
    STATE(15595), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15437), 2,
      sym_comment,
      sym_block_comment,
  [642442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15026), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15438), 2,
      sym_comment,
      sym_block_comment,
  [642462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5216), 1,
      anon_sym_RBRACK,
    ACTIONS(18568), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15439), 2,
      sym_comment,
      sym_block_comment,
  [642482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18570), 1,
      anon_sym_COMMA,
    ACTIONS(18572), 1,
      anon_sym_RPAREN,
    STATE(16094), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15440), 2,
      sym_comment,
      sym_block_comment,
  [642502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18574), 1,
      anon_sym_DOLLAR,
    STATE(15441), 2,
      sym_comment,
      sym_block_comment,
    STATE(16510), 2,
      sym__dollar_escape,
      sym_interpolation,
  [642520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18576), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15442), 2,
      sym_comment,
      sym_block_comment,
  [642540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18578), 1,
      anon_sym_DOLLAR,
    STATE(15443), 2,
      sym_comment,
      sym_block_comment,
    STATE(16511), 2,
      sym__dollar_escape,
      sym_interpolation,
  [642558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18576), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15444), 2,
      sym_comment,
      sym_block_comment,
  [642578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18580), 1,
      anon_sym_COMMA,
    ACTIONS(18582), 1,
      anon_sym_RPAREN,
    STATE(15362), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15445), 2,
      sym_comment,
      sym_block_comment,
  [642598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18584), 1,
      anon_sym_COMMA,
    ACTIONS(18586), 1,
      anon_sym_RBRACK,
    STATE(15462), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15446), 2,
      sym_comment,
      sym_block_comment,
  [642618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4476), 1,
      sym__indent,
    STATE(8287), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15447), 2,
      sym_comment,
      sym_block_comment,
  [642636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_RBRACK,
    STATE(15454), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15448), 2,
      sym_comment,
      sym_block_comment,
  [642656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18592), 1,
      sym__interpolated_multiline_string_end,
    STATE(15482), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15449), 2,
      sym_comment,
      sym_block_comment,
  [642676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18592), 1,
      sym__interpolated_string_end,
    STATE(15483), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15450), 2,
      sym_comment,
      sym_block_comment,
  [642696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(18594), 1,
      anon_sym_RPAREN,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15451), 2,
      sym_comment,
      sym_block_comment,
  [642716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    ACTIONS(18596), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15452), 2,
      sym_comment,
      sym_block_comment,
  [642736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5522), 1,
      anon_sym_RBRACK,
    ACTIONS(18598), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15453), 2,
      sym_comment,
      sym_block_comment,
  [642756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5856), 1,
      anon_sym_RBRACK,
    ACTIONS(18600), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15454), 2,
      sym_comment,
      sym_block_comment,
  [642776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18602), 1,
      anon_sym_COMMA,
    ACTIONS(18604), 1,
      anon_sym_RPAREN,
    STATE(15902), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15455), 2,
      sym_comment,
      sym_block_comment,
  [642796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 1,
      sym__arrow_then_type,
    ACTIONS(18606), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15456), 2,
      sym_comment,
      sym_block_comment,
  [642814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_RPAREN,
    STATE(15847), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15457), 2,
      sym_comment,
      sym_block_comment,
  [642834] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5270), 1,
      anon_sym_RPAREN,
    ACTIONS(18612), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15458), 2,
      sym_comment,
      sym_block_comment,
  [642854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13821), 1,
      anon_sym_LPAREN,
    STATE(14065), 1,
      sym_parameters,
    STATE(14200), 1,
      sym__using_parameters_clause,
    STATE(15459), 2,
      sym_comment,
      sym_block_comment,
  [642874] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7726), 1,
      anon_sym_RPAREN,
    ACTIONS(18614), 1,
      anon_sym_COMMA,
    STATE(15632), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15460), 2,
      sym_comment,
      sym_block_comment,
  [642894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18616), 1,
      anon_sym_COMMA,
    ACTIONS(18618), 1,
      anon_sym_RBRACK,
    STATE(15453), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15461), 2,
      sym_comment,
      sym_block_comment,
  [642914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15462), 2,
      sym_comment,
      sym_block_comment,
  [642934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18624), 1,
      anon_sym_COMMA,
    ACTIONS(18626), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15463), 2,
      sym_comment,
      sym_block_comment,
  [642954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18628), 1,
      anon_sym_COMMA,
    ACTIONS(18630), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15464), 2,
      sym_comment,
      sym_block_comment,
  [642974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18632), 1,
      anon_sym_COMMA,
    ACTIONS(18634), 1,
      anon_sym_RBRACK,
    STATE(15468), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15465), 2,
      sym_comment,
      sym_block_comment,
  [642994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18636), 1,
      anon_sym_COMMA,
    ACTIONS(18638), 1,
      anon_sym_RBRACK,
    STATE(15472), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15466), 2,
      sym_comment,
      sym_block_comment,
  [643014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18640), 1,
      anon_sym_COMMA,
    ACTIONS(18642), 1,
      anon_sym_RPAREN,
    STATE(15951), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15467), 2,
      sym_comment,
      sym_block_comment,
  [643034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18644), 1,
      anon_sym_COMMA,
    ACTIONS(18646), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15468), 2,
      sym_comment,
      sym_block_comment,
  [643054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18648), 1,
      sym__interpolated_multiline_string_end,
    STATE(15964), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15469), 2,
      sym_comment,
      sym_block_comment,
  [643074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5658), 1,
      anon_sym_RPAREN,
    ACTIONS(18650), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15470), 2,
      sym_comment,
      sym_block_comment,
  [643094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16352), 1,
      anon_sym_COLON,
    ACTIONS(16354), 1,
      anon_sym_LBRACE,
    STATE(14607), 1,
      sym_enum_body,
    STATE(15471), 2,
      sym_comment,
      sym_block_comment,
  [643114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5814), 1,
      anon_sym_RBRACK,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15472), 2,
      sym_comment,
      sym_block_comment,
  [643134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6052), 1,
      anon_sym_RPAREN,
    ACTIONS(18654), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15473), 2,
      sym_comment,
      sym_block_comment,
  [643154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5968), 1,
      anon_sym_RBRACK,
    ACTIONS(18656), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15474), 2,
      sym_comment,
      sym_block_comment,
  [643174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18658), 1,
      anon_sym_COMMA,
    ACTIONS(18660), 1,
      anon_sym_RPAREN,
    STATE(16047), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15475), 2,
      sym_comment,
      sym_block_comment,
  [643194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18662), 1,
      anon_sym_COMMA,
    ACTIONS(18664), 1,
      anon_sym_RBRACK,
    STATE(15521), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15476), 2,
      sym_comment,
      sym_block_comment,
  [643214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5418), 1,
      anon_sym_RPAREN,
    ACTIONS(18666), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15477), 2,
      sym_comment,
      sym_block_comment,
  [643234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18668), 1,
      anon_sym_COMMA,
    ACTIONS(18670), 1,
      anon_sym_RBRACK,
    STATE(15500), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15478), 2,
      sym_comment,
      sym_block_comment,
  [643254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18672), 1,
      anon_sym_COMMA,
    ACTIONS(18674), 1,
      anon_sym_RBRACK,
    STATE(15497), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15479), 2,
      sym_comment,
      sym_block_comment,
  [643274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12685), 1,
      anon_sym_RPAREN,
    ACTIONS(18676), 1,
      anon_sym_COMMA,
    STATE(15675), 1,
      aux_sym_parameters_repeat1,
    STATE(15480), 2,
      sym_comment,
      sym_block_comment,
  [643294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18678), 1,
      anon_sym_COMMA,
    ACTIONS(18680), 1,
      anon_sym_RPAREN,
    STATE(15398), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15481), 2,
      sym_comment,
      sym_block_comment,
  [643314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18682), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15482), 2,
      sym_comment,
      sym_block_comment,
  [643334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18682), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15483), 2,
      sym_comment,
      sym_block_comment,
  [643354] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18684), 1,
      anon_sym_COMMA,
    ACTIONS(18686), 1,
      anon_sym_RBRACK,
    STATE(15490), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15484), 2,
      sym_comment,
      sym_block_comment,
  [643374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17680), 1,
      anon_sym_COMMA,
    ACTIONS(17682), 1,
      anon_sym_RPAREN,
    STATE(15393), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15485), 2,
      sym_comment,
      sym_block_comment,
  [643394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5238), 1,
      anon_sym_RPAREN,
    ACTIONS(18688), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15486), 2,
      sym_comment,
      sym_block_comment,
  [643414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18648), 1,
      sym__interpolated_string_end,
    STATE(15973), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15487), 2,
      sym_comment,
      sym_block_comment,
  [643434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6068), 1,
      anon_sym_RPAREN,
    ACTIONS(18690), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15488), 2,
      sym_comment,
      sym_block_comment,
  [643454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12439), 1,
      sym__indent,
    STATE(10234), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15489), 2,
      sym_comment,
      sym_block_comment,
  [643472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5752), 1,
      anon_sym_RBRACK,
    ACTIONS(18692), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15490), 2,
      sym_comment,
      sym_block_comment,
  [643492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17682), 1,
      anon_sym_RPAREN,
    ACTIONS(18694), 1,
      anon_sym_COMMA,
    STATE(15396), 1,
      aux_sym_parameters_repeat1,
    STATE(15491), 2,
      sym_comment,
      sym_block_comment,
  [643512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18696), 1,
      anon_sym_COMMA,
    ACTIONS(18698), 1,
      anon_sym_RBRACK,
    STATE(15655), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15492), 2,
      sym_comment,
      sym_block_comment,
  [643532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12685), 1,
      anon_sym_RPAREN,
    ACTIONS(18676), 1,
      anon_sym_COMMA,
    STATE(15397), 1,
      aux_sym_parameters_repeat1,
    STATE(15493), 2,
      sym_comment,
      sym_block_comment,
  [643552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5552), 1,
      anon_sym_RBRACK,
    ACTIONS(18700), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15494), 2,
      sym_comment,
      sym_block_comment,
  [643572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18702), 1,
      anon_sym_COMMA,
    ACTIONS(18704), 1,
      anon_sym_RBRACK,
    STATE(15664), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15495), 2,
      sym_comment,
      sym_block_comment,
  [643592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5448), 1,
      anon_sym_RPAREN,
    ACTIONS(18706), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15496), 2,
      sym_comment,
      sym_block_comment,
  [643612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18708), 1,
      anon_sym_COMMA,
    ACTIONS(18710), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15497), 2,
      sym_comment,
      sym_block_comment,
  [643632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18712), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [643648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18714), 1,
      anon_sym_COMMA,
    ACTIONS(18716), 1,
      anon_sym_RPAREN,
    STATE(15629), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15499), 2,
      sym_comment,
      sym_block_comment,
  [643668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6090), 1,
      anon_sym_RBRACK,
    ACTIONS(18718), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15500), 2,
      sym_comment,
      sym_block_comment,
  [643688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18720), 1,
      anon_sym_COMMA,
    ACTIONS(18722), 1,
      anon_sym_RBRACK,
    STATE(15494), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15501), 2,
      sym_comment,
      sym_block_comment,
  [643708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18724), 1,
      anon_sym_COMMA,
    ACTIONS(18726), 1,
      anon_sym_RBRACK,
    STATE(15508), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15502), 2,
      sym_comment,
      sym_block_comment,
  [643728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4796), 1,
      sym__indent,
    STATE(9588), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15503), 2,
      sym_comment,
      sym_block_comment,
  [643746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18728), 1,
      anon_sym_COMMA,
    ACTIONS(18730), 1,
      anon_sym_RBRACK,
    STATE(15664), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15504), 2,
      sym_comment,
      sym_block_comment,
  [643766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12633), 1,
      anon_sym_RPAREN,
    ACTIONS(18732), 1,
      anon_sym_COMMA,
    STATE(15666), 1,
      aux_sym_parameters_repeat1,
    STATE(15505), 2,
      sym_comment,
      sym_block_comment,
  [643786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5630), 1,
      anon_sym_RPAREN,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15506), 2,
      sym_comment,
      sym_block_comment,
  [643806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18736), 1,
      anon_sym_COMMA,
    ACTIONS(18738), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15507), 2,
      sym_comment,
      sym_block_comment,
  [643826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5716), 1,
      anon_sym_RBRACK,
    ACTIONS(18740), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15508), 2,
      sym_comment,
      sym_block_comment,
  [643846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17676), 1,
      anon_sym_RPAREN,
    ACTIONS(18742), 1,
      anon_sym_COMMA,
    STATE(15669), 1,
      aux_sym_parameters_repeat1,
    STATE(15509), 2,
      sym_comment,
      sym_block_comment,
  [643866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18744), 1,
      anon_sym_COMMA,
    ACTIONS(18746), 1,
      anon_sym_RBRACK,
    STATE(15474), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15510), 2,
      sym_comment,
      sym_block_comment,
  [643886] = 5,
    ACTIONS(18292), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18748), 1,
      anon_sym_STAR_SLASH,
    STATE(15375), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(18410), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(15511), 2,
      sym_comment,
      sym_block_comment,
  [643904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17674), 1,
      anon_sym_COMMA,
    ACTIONS(17676), 1,
      anon_sym_RPAREN,
    STATE(15671), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15512), 2,
      sym_comment,
      sym_block_comment,
  [643924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18750), 1,
      anon_sym_COMMA,
    ACTIONS(18752), 1,
      anon_sym_RPAREN,
    STATE(16147), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15513), 2,
      sym_comment,
      sym_block_comment,
  [643944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12633), 1,
      anon_sym_RPAREN,
    ACTIONS(18732), 1,
      anon_sym_COMMA,
    STATE(15675), 1,
      aux_sym_parameters_repeat1,
    STATE(15514), 2,
      sym_comment,
      sym_block_comment,
  [643964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5578), 1,
      anon_sym_RPAREN,
    ACTIONS(18754), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15515), 2,
      sym_comment,
      sym_block_comment,
  [643984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16212), 1,
      anon_sym_COLON,
    ACTIONS(16214), 1,
      anon_sym_LBRACE,
    STATE(14885), 1,
      sym_enum_body,
    STATE(15516), 2,
      sym_comment,
      sym_block_comment,
  [644004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18756), 1,
      anon_sym_COMMA,
    ACTIONS(18758), 1,
      anon_sym_RPAREN,
    STATE(15434), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15517), 2,
      sym_comment,
      sym_block_comment,
  [644024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7682), 1,
      anon_sym_RPAREN,
    ACTIONS(18760), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15518), 2,
      sym_comment,
      sym_block_comment,
  [644044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6116), 1,
      anon_sym_RPAREN,
    ACTIONS(18762), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15519), 2,
      sym_comment,
      sym_block_comment,
  [644064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18764), 1,
      anon_sym_COMMA,
    ACTIONS(18766), 1,
      anon_sym_RBRACK,
    STATE(15526), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15520), 2,
      sym_comment,
      sym_block_comment,
  [644084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    ACTIONS(18768), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15521), 2,
      sym_comment,
      sym_block_comment,
  [644104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18770), 1,
      anon_sym_COMMA,
    ACTIONS(18772), 1,
      anon_sym_RPAREN,
    STATE(16198), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15522), 2,
      sym_comment,
      sym_block_comment,
  [644124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18774), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15523), 2,
      sym_comment,
      sym_block_comment,
  [644144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6118), 1,
      anon_sym_RPAREN,
    ACTIONS(18776), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15524), 2,
      sym_comment,
      sym_block_comment,
  [644164] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18778), 1,
      anon_sym_COMMA,
    ACTIONS(18780), 1,
      anon_sym_RBRACK,
    STATE(15527), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15525), 2,
      sym_comment,
      sym_block_comment,
  [644184] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5694), 1,
      anon_sym_RBRACK,
    ACTIONS(18782), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15526), 2,
      sym_comment,
      sym_block_comment,
  [644204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18784), 1,
      anon_sym_COMMA,
    ACTIONS(18786), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15527), 2,
      sym_comment,
      sym_block_comment,
  [644224] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18774), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15528), 2,
      sym_comment,
      sym_block_comment,
  [644244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12427), 1,
      sym__indent,
    STATE(11485), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15529), 2,
      sym_comment,
      sym_block_comment,
  [644262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12502), 1,
      sym__indent,
    STATE(9460), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15530), 2,
      sym_comment,
      sym_block_comment,
  [644280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18788), 1,
      anon_sym_COMMA,
    ACTIONS(18790), 1,
      anon_sym_RBRACK,
    STATE(15537), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15531), 2,
      sym_comment,
      sym_block_comment,
  [644300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5596), 1,
      anon_sym_RBRACK,
    ACTIONS(18792), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15532), 2,
      sym_comment,
      sym_block_comment,
  [644320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18794), 1,
      anon_sym_COMMA,
    ACTIONS(18796), 1,
      anon_sym_RBRACK,
    STATE(15403), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15533), 2,
      sym_comment,
      sym_block_comment,
  [644340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13313), 1,
      anon_sym_LPAREN,
    STATE(13827), 1,
      sym__using_parameters_clause,
    STATE(13852), 1,
      sym_parameters,
    STATE(15534), 2,
      sym_comment,
      sym_block_comment,
  [644360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18798), 1,
      anon_sym_COMMA,
    ACTIONS(18800), 1,
      anon_sym_RPAREN,
    STATE(15470), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15535), 2,
      sym_comment,
      sym_block_comment,
  [644380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12616), 1,
      anon_sym_RPAREN,
    ACTIONS(18802), 1,
      anon_sym_COMMA,
    STATE(16055), 1,
      aux_sym_parameters_repeat1,
    STATE(15536), 2,
      sym_comment,
      sym_block_comment,
  [644400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18804), 1,
      anon_sym_COMMA,
    ACTIONS(18806), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15537), 2,
      sym_comment,
      sym_block_comment,
  [644420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18808), 1,
      anon_sym_COMMA,
    ACTIONS(18810), 1,
      anon_sym_RBRACK,
    STATE(15544), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15538), 2,
      sym_comment,
      sym_block_comment,
  [644440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(18812), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15539), 2,
      sym_comment,
      sym_block_comment,
  [644460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15541), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(8349), 1,
      sym_type_arguments,
    STATE(15540), 2,
      sym_comment,
      sym_block_comment,
  [644480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5424), 1,
      anon_sym_RBRACK,
    ACTIONS(18814), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15541), 2,
      sym_comment,
      sym_block_comment,
  [644500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5608), 1,
      anon_sym_RPAREN,
    ACTIONS(18816), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15542), 2,
      sym_comment,
      sym_block_comment,
  [644520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18818), 1,
      anon_sym_COMMA,
    ACTIONS(18820), 1,
      anon_sym_RBRACK,
    STATE(15532), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15543), 2,
      sym_comment,
      sym_block_comment,
  [644540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5654), 1,
      anon_sym_RBRACK,
    ACTIONS(18822), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15544), 2,
      sym_comment,
      sym_block_comment,
  [644560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18824), 1,
      anon_sym_COMMA,
    ACTIONS(18826), 1,
      anon_sym_RBRACK,
    STATE(16012), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15545), 2,
      sym_comment,
      sym_block_comment,
  [644580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(18828), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15546), 2,
      sym_comment,
      sym_block_comment,
  [644600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(18830), 1,
      anon_sym_RPAREN,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15547), 2,
      sym_comment,
      sym_block_comment,
  [644620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5956), 1,
      anon_sym_RBRACK,
    ACTIONS(18832), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15548), 2,
      sym_comment,
      sym_block_comment,
  [644640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18834), 1,
      anon_sym_COMMA,
    ACTIONS(18836), 1,
      anon_sym_RBRACK,
    STATE(15594), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15549), 2,
      sym_comment,
      sym_block_comment,
  [644660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(18838), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15550), 2,
      sym_comment,
      sym_block_comment,
  [644680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18840), 1,
      anon_sym_COMMA,
    ACTIONS(18842), 1,
      anon_sym_RPAREN,
    STATE(16180), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15551), 2,
      sym_comment,
      sym_block_comment,
  [644700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(18844), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15552), 2,
      sym_comment,
      sym_block_comment,
  [644720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18846), 1,
      anon_sym_COMMA,
    ACTIONS(18848), 1,
      anon_sym_RPAREN,
    STATE(15506), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15553), 2,
      sym_comment,
      sym_block_comment,
  [644740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18850), 1,
      sym__interpolated_multiline_string_end,
    STATE(15569), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15554), 2,
      sym_comment,
      sym_block_comment,
  [644760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18850), 1,
      sym__interpolated_string_end,
    STATE(15570), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15555), 2,
      sym_comment,
      sym_block_comment,
  [644780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18852), 1,
      anon_sym_COMMA,
    ACTIONS(18854), 1,
      anon_sym_RBRACK,
    STATE(15562), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15556), 2,
      sym_comment,
      sym_block_comment,
  [644800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18856), 1,
      anon_sym_COMMA,
    ACTIONS(18858), 1,
      anon_sym_RPAREN,
    STATE(15965), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15557), 2,
      sym_comment,
      sym_block_comment,
  [644820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10901), 1,
      sym__arrow_then_type,
    ACTIONS(18860), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15558), 2,
      sym_comment,
      sym_block_comment,
  [644838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5314), 1,
      anon_sym_RPAREN,
    ACTIONS(18862), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15559), 2,
      sym_comment,
      sym_block_comment,
  [644858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5562), 1,
      anon_sym_RPAREN,
    ACTIONS(18864), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15560), 2,
      sym_comment,
      sym_block_comment,
  [644878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6146), 1,
      anon_sym_RPAREN,
    ACTIONS(18866), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15561), 2,
      sym_comment,
      sym_block_comment,
  [644898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5626), 1,
      anon_sym_RBRACK,
    ACTIONS(18868), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15562), 2,
      sym_comment,
      sym_block_comment,
  [644918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18870), 1,
      anon_sym_COMMA,
    ACTIONS(18872), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15563), 2,
      sym_comment,
      sym_block_comment,
  [644938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18874), 1,
      anon_sym_COMMA,
    ACTIONS(18876), 1,
      anon_sym_RBRACK,
    STATE(15566), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15564), 2,
      sym_comment,
      sym_block_comment,
  [644958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18878), 1,
      anon_sym_COMMA,
    ACTIONS(18880), 1,
      anon_sym_RBRACK,
    STATE(15169), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15565), 2,
      sym_comment,
      sym_block_comment,
  [644978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18882), 1,
      anon_sym_COMMA,
    ACTIONS(18884), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15566), 2,
      sym_comment,
      sym_block_comment,
  [644998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(18886), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15567), 2,
      sym_comment,
      sym_block_comment,
  [645016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12358), 1,
      sym__indent,
    STATE(10915), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15568), 2,
      sym_comment,
      sym_block_comment,
  [645034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18888), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15569), 2,
      sym_comment,
      sym_block_comment,
  [645054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(18888), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15570), 2,
      sym_comment,
      sym_block_comment,
  [645074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18890), 1,
      anon_sym_COMMA,
    ACTIONS(18892), 1,
      anon_sym_RPAREN,
    STATE(15542), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15571), 2,
      sym_comment,
      sym_block_comment,
  [645094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5656), 1,
      anon_sym_RBRACK,
    ACTIONS(18894), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15572), 2,
      sym_comment,
      sym_block_comment,
  [645114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16843), 1,
      anon_sym_RPAREN,
    ACTIONS(18896), 1,
      anon_sym_COMMA,
    STATE(15573), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_tuple_expression_repeat1,
  [645132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18899), 1,
      anon_sym_COMMA,
    ACTIONS(18901), 1,
      anon_sym_RBRACK,
    STATE(15580), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15574), 2,
      sym_comment,
      sym_block_comment,
  [645152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18903), 1,
      anon_sym_COLON,
    ACTIONS(18905), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15575), 2,
      sym_comment,
      sym_block_comment,
  [645170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18907), 1,
      anon_sym_COLON,
    ACTIONS(18909), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15576), 2,
      sym_comment,
      sym_block_comment,
  [645188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5392), 1,
      anon_sym_RPAREN,
    ACTIONS(18911), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15577), 2,
      sym_comment,
      sym_block_comment,
  [645208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6132), 1,
      anon_sym_RPAREN,
    ACTIONS(18913), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15578), 2,
      sym_comment,
      sym_block_comment,
  [645228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18915), 1,
      anon_sym_COMMA,
    ACTIONS(18918), 1,
      anon_sym_RPAREN,
    STATE(15579), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_bindings_repeat1,
  [645246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5592), 1,
      anon_sym_RBRACK,
    ACTIONS(18920), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15580), 2,
      sym_comment,
      sym_block_comment,
  [645266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(18922), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15581), 2,
      sym_comment,
      sym_block_comment,
  [645284] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5962), 1,
      anon_sym_RPAREN,
    ACTIONS(18924), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15582), 2,
      sym_comment,
      sym_block_comment,
  [645304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18926), 1,
      anon_sym_COMMA,
    ACTIONS(18928), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15583), 2,
      sym_comment,
      sym_block_comment,
  [645324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18930), 1,
      anon_sym_COMMA,
    ACTIONS(18932), 1,
      anon_sym_RBRACK,
    STATE(15572), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15584), 2,
      sym_comment,
      sym_block_comment,
  [645344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18934), 1,
      anon_sym_COLON,
    ACTIONS(18936), 1,
      anon_sym_COMMA,
    STATE(15585), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_val_declaration_repeat1,
  [645362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18939), 1,
      anon_sym_COMMA,
    ACTIONS(18941), 1,
      anon_sym_RBRACK,
    STATE(15733), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15586), 2,
      sym_comment,
      sym_block_comment,
  [645382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18943), 1,
      anon_sym_COMMA,
    ACTIONS(18945), 1,
      anon_sym_RBRACK,
    STATE(15548), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15587), 2,
      sym_comment,
      sym_block_comment,
  [645402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18947), 1,
      anon_sym_COMMA,
    ACTIONS(18949), 1,
      anon_sym_RBRACK,
    STATE(15612), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15588), 2,
      sym_comment,
      sym_block_comment,
  [645422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18951), 1,
      anon_sym_COMMA,
    ACTIONS(18953), 1,
      anon_sym_RPAREN,
    STATE(15560), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15589), 2,
      sym_comment,
      sym_block_comment,
  [645442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4606), 1,
      sym__indent,
    STATE(10017), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15590), 2,
      sym_comment,
      sym_block_comment,
  [645460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18955), 1,
      anon_sym_COMMA,
    ACTIONS(18957), 1,
      anon_sym_RPAREN,
    STATE(16226), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15591), 2,
      sym_comment,
      sym_block_comment,
  [645480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18959), 1,
      anon_sym_COMMA,
    ACTIONS(18961), 1,
      anon_sym_RBRACK,
    STATE(15598), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15592), 2,
      sym_comment,
      sym_block_comment,
  [645500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6070), 1,
      anon_sym_RPAREN,
    ACTIONS(18963), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15593), 2,
      sym_comment,
      sym_block_comment,
  [645520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5288), 1,
      anon_sym_RBRACK,
    ACTIONS(18965), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15594), 2,
      sym_comment,
      sym_block_comment,
  [645540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5510), 1,
      anon_sym_RBRACK,
    ACTIONS(18967), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15595), 2,
      sym_comment,
      sym_block_comment,
  [645560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5520), 1,
      anon_sym_RPAREN,
    ACTIONS(18969), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15596), 2,
      sym_comment,
      sym_block_comment,
  [645580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15126), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15597), 2,
      sym_comment,
      sym_block_comment,
  [645600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5550), 1,
      anon_sym_RBRACK,
    ACTIONS(18971), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15598), 2,
      sym_comment,
      sym_block_comment,
  [645620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18973), 1,
      anon_sym_COMMA,
    ACTIONS(18975), 1,
      anon_sym_RPAREN,
    STATE(16250), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15599), 2,
      sym_comment,
      sym_block_comment,
  [645640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3952), 1,
      anon_sym_RPAREN,
    ACTIONS(18977), 1,
      anon_sym_COMMA,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15600), 2,
      sym_comment,
      sym_block_comment,
  [645660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18979), 1,
      anon_sym_COMMA,
    ACTIONS(18981), 1,
      anon_sym_RPAREN,
    STATE(16071), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15601), 2,
      sym_comment,
      sym_block_comment,
  [645680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12343), 1,
      sym__arrow_then_type,
    ACTIONS(18983), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15602), 2,
      sym_comment,
      sym_block_comment,
  [645698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18985), 1,
      anon_sym_COMMA,
    ACTIONS(18987), 1,
      anon_sym_RPAREN,
    STATE(15473), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15603), 2,
      sym_comment,
      sym_block_comment,
  [645718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4466), 1,
      sym__indent,
    STATE(10382), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15604), 2,
      sym_comment,
      sym_block_comment,
  [645736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12665), 1,
      anon_sym_RPAREN,
    ACTIONS(18989), 1,
      anon_sym_COMMA,
    STATE(15480), 1,
      aux_sym_parameters_repeat1,
    STATE(15605), 2,
      sym_comment,
      sym_block_comment,
  [645756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18991), 1,
      anon_sym_COMMA,
    ACTIONS(18993), 1,
      anon_sym_RBRACK,
    STATE(15495), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15606), 2,
      sym_comment,
      sym_block_comment,
  [645776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18995), 1,
      anon_sym_COMMA,
    ACTIONS(18997), 1,
      anon_sym_RPAREN,
    STATE(15596), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15607), 2,
      sym_comment,
      sym_block_comment,
  [645796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12486), 1,
      sym__indent,
    STATE(10697), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15608), 2,
      sym_comment,
      sym_block_comment,
  [645814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18999), 1,
      anon_sym_COMMA,
    ACTIONS(19001), 1,
      anon_sym_RBRACK,
    STATE(15615), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15609), 2,
      sym_comment,
      sym_block_comment,
  [645834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19003), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19006), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_interpolated_string_repeat2,
  [645852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19008), 1,
      sym__interpolated_string_middle,
    ACTIONS(19011), 1,
      sym__interpolated_string_end,
    STATE(15611), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_interpolated_string_repeat1,
  [645870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19013), 1,
      anon_sym_COMMA,
    ACTIONS(19015), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15612), 2,
      sym_comment,
      sym_block_comment,
  [645890] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5444), 1,
      anon_sym_RPAREN,
    ACTIONS(19017), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15613), 2,
      sym_comment,
      sym_block_comment,
  [645910] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5736), 1,
      anon_sym_RBRACK,
    ACTIONS(19019), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15614), 2,
      sym_comment,
      sym_block_comment,
  [645930] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5514), 1,
      anon_sym_RBRACK,
    ACTIONS(19021), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15615), 2,
      sym_comment,
      sym_block_comment,
  [645950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16352), 1,
      anon_sym_COLON,
    ACTIONS(16354), 1,
      anon_sym_LBRACE,
    STATE(14655), 1,
      sym_enum_body,
    STATE(15616), 2,
      sym_comment,
      sym_block_comment,
  [645970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15653), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(8490), 1,
      sym_type_arguments,
    STATE(15617), 2,
      sym_comment,
      sym_block_comment,
  [645990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 1,
      sym__arrow_then_type,
    ACTIONS(19023), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15618), 2,
      sym_comment,
      sym_block_comment,
  [646008] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5768), 1,
      anon_sym_RPAREN,
    ACTIONS(19025), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15619), 2,
      sym_comment,
      sym_block_comment,
  [646028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19027), 1,
      sym__interpolated_multiline_string_end,
    STATE(15647), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15620), 2,
      sym_comment,
      sym_block_comment,
  [646048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19027), 1,
      sym__interpolated_string_end,
    STATE(15648), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15621), 2,
      sym_comment,
      sym_block_comment,
  [646068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19029), 1,
      anon_sym_COMMA,
    ACTIONS(19031), 1,
      anon_sym_RBRACK,
    STATE(15614), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15622), 2,
      sym_comment,
      sym_block_comment,
  [646088] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7782), 1,
      anon_sym_RPAREN,
    ACTIONS(19033), 1,
      anon_sym_COMMA,
    STATE(15717), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15623), 2,
      sym_comment,
      sym_block_comment,
  [646108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19035), 1,
      anon_sym_COMMA,
    ACTIONS(19037), 1,
      anon_sym_RPAREN,
    STATE(15613), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15624), 2,
      sym_comment,
      sym_block_comment,
  [646128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19039), 1,
      anon_sym_COMMA,
    ACTIONS(19041), 1,
      anon_sym_RBRACK,
    STATE(15631), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15625), 2,
      sym_comment,
      sym_block_comment,
  [646148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19043), 1,
      anon_sym_COMMA,
    ACTIONS(19045), 1,
      anon_sym_RBRACK,
    STATE(15635), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15626), 2,
      sym_comment,
      sym_block_comment,
  [646168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19047), 1,
      anon_sym_COMMA,
    ACTIONS(19049), 1,
      anon_sym_RPAREN,
    STATE(16002), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15627), 2,
      sym_comment,
      sym_block_comment,
  [646188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7818), 1,
      anon_sym_RPAREN,
    ACTIONS(19051), 1,
      anon_sym_COMMA,
    STATE(15719), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15628), 2,
      sym_comment,
      sym_block_comment,
  [646208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5718), 1,
      anon_sym_RPAREN,
    ACTIONS(19053), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15629), 2,
      sym_comment,
      sym_block_comment,
  [646228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17369), 1,
      sym__arrow_then_type,
    ACTIONS(19055), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15630), 2,
      sym_comment,
      sym_block_comment,
  [646246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5434), 1,
      anon_sym_RBRACK,
    ACTIONS(19057), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15631), 2,
      sym_comment,
      sym_block_comment,
  [646266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7818), 1,
      anon_sym_RPAREN,
    ACTIONS(19051), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15632), 2,
      sym_comment,
      sym_block_comment,
  [646286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16212), 1,
      anon_sym_COLON,
    ACTIONS(16214), 1,
      anon_sym_LBRACE,
    STATE(14942), 1,
      sym_enum_body,
    STATE(15633), 2,
      sym_comment,
      sym_block_comment,
  [646306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19059), 1,
      anon_sym_COMMA,
    ACTIONS(19061), 1,
      anon_sym_RPAREN,
    STATE(15559), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15634), 2,
      sym_comment,
      sym_block_comment,
  [646326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19063), 1,
      anon_sym_COMMA,
    ACTIONS(19065), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15635), 2,
      sym_comment,
      sym_block_comment,
  [646346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19067), 1,
      anon_sym_COMMA,
    ACTIONS(19069), 1,
      anon_sym_RPAREN,
    STATE(16270), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15636), 2,
      sym_comment,
      sym_block_comment,
  [646366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19071), 1,
      anon_sym_COMMA,
    ACTIONS(19073), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15637), 2,
      sym_comment,
      sym_block_comment,
  [646386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16779), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [646402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19075), 1,
      anon_sym_COMMA,
    ACTIONS(19077), 1,
      anon_sym_RBRACK,
    STATE(15643), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15639), 2,
      sym_comment,
      sym_block_comment,
  [646422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6076), 1,
      anon_sym_RPAREN,
    ACTIONS(19079), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15640), 2,
      sym_comment,
      sym_block_comment,
  [646442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19081), 1,
      anon_sym_COMMA,
    ACTIONS(19083), 1,
      anon_sym_RBRACK,
    STATE(15659), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15641), 2,
      sym_comment,
      sym_block_comment,
  [646462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15980), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
  [646478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5400), 1,
      anon_sym_RBRACK,
    ACTIONS(19085), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15643), 2,
      sym_comment,
      sym_block_comment,
  [646498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19087), 1,
      anon_sym_COMMA,
    ACTIONS(19089), 1,
      anon_sym_RBRACK,
    STATE(15663), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15644), 2,
      sym_comment,
      sym_block_comment,
  [646518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5930), 1,
      anon_sym_RBRACK,
    ACTIONS(19091), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15645), 2,
      sym_comment,
      sym_block_comment,
  [646538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19093), 1,
      anon_sym_LPAREN,
    ACTIONS(19095), 1,
      sym__automatic_semicolon,
    STATE(14020), 1,
      sym_class_parameters,
    STATE(15646), 2,
      sym_comment,
      sym_block_comment,
  [646558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19097), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15647), 2,
      sym_comment,
      sym_block_comment,
  [646578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19097), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15648), 2,
      sym_comment,
      sym_block_comment,
  [646598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16811), 1,
      anon_sym_RBRACE,
    ACTIONS(16813), 1,
      anon_sym_COMMA,
    STATE(15764), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15649), 2,
      sym_comment,
      sym_block_comment,
  [646618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19099), 1,
      anon_sym_COMMA,
    ACTIONS(19101), 1,
      anon_sym_RBRACK,
    STATE(15654), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15650), 2,
      sym_comment,
      sym_block_comment,
  [646638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5498), 1,
      anon_sym_RPAREN,
    ACTIONS(19103), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15651), 2,
      sym_comment,
      sym_block_comment,
  [646658] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19105), 1,
      sym__interpolated_string_end,
    STATE(15523), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15652), 2,
      sym_comment,
      sym_block_comment,
  [646678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19105), 1,
      sym__interpolated_multiline_string_end,
    STATE(15528), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15653), 2,
      sym_comment,
      sym_block_comment,
  [646698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5390), 1,
      anon_sym_RBRACK,
    ACTIONS(19107), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15654), 2,
      sym_comment,
      sym_block_comment,
  [646718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19109), 1,
      anon_sym_COMMA,
    ACTIONS(19111), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15655), 2,
      sym_comment,
      sym_block_comment,
  [646738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19113), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [646754] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19115), 1,
      anon_sym_COMMA,
    ACTIONS(19117), 1,
      anon_sym_RBRACK,
    STATE(15685), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15657), 2,
      sym_comment,
      sym_block_comment,
  [646774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5374), 1,
      anon_sym_RPAREN,
    ACTIONS(19119), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15658), 2,
      sym_comment,
      sym_block_comment,
  [646794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6060), 1,
      anon_sym_RBRACK,
    ACTIONS(19121), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15659), 2,
      sym_comment,
      sym_block_comment,
  [646814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12453), 1,
      sym__indent,
    STATE(10933), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15660), 2,
      sym_comment,
      sym_block_comment,
  [646832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19123), 1,
      anon_sym_COMMA,
    ACTIONS(19125), 1,
      anon_sym_RBRACK,
    STATE(15665), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15661), 2,
      sym_comment,
      sym_block_comment,
  [646852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19127), 1,
      anon_sym_COMMA,
    ACTIONS(19129), 1,
      anon_sym_RBRACK,
    STATE(15664), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15662), 2,
      sym_comment,
      sym_block_comment,
  [646872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19131), 1,
      anon_sym_COMMA,
    ACTIONS(19133), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15663), 2,
      sym_comment,
      sym_block_comment,
  [646892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19135), 1,
      anon_sym_COMMA,
    ACTIONS(19138), 1,
      anon_sym_RBRACK,
    STATE(15664), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_type_parameters_repeat1,
  [646910] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5364), 1,
      anon_sym_RBRACK,
    ACTIONS(19140), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15665), 2,
      sym_comment,
      sym_block_comment,
  [646930] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12601), 1,
      anon_sym_RPAREN,
    ACTIONS(19142), 1,
      anon_sym_COMMA,
    STATE(15675), 1,
      aux_sym_parameters_repeat1,
    STATE(15666), 2,
      sym_comment,
      sym_block_comment,
  [646950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4998), 1,
      anon_sym_RPAREN,
    ACTIONS(19144), 1,
      anon_sym_COMMA,
    STATE(15815), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15667), 2,
      sym_comment,
      sym_block_comment,
  [646970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12435), 1,
      sym__indent,
    STATE(10348), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15668), 2,
      sym_comment,
      sym_block_comment,
  [646988] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    ACTIONS(19146), 1,
      anon_sym_COMMA,
    STATE(15675), 1,
      aux_sym_parameters_repeat1,
    STATE(15669), 2,
      sym_comment,
      sym_block_comment,
  [647008] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5766), 1,
      anon_sym_RBRACK,
    ACTIONS(19148), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15670), 2,
      sym_comment,
      sym_block_comment,
  [647028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    ACTIONS(19150), 1,
      anon_sym_COMMA,
    STATE(15815), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15671), 2,
      sym_comment,
      sym_block_comment,
  [647048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19152), 1,
      anon_sym_COMMA,
    ACTIONS(19154), 1,
      anon_sym_RBRACK,
    STATE(15676), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15672), 2,
      sym_comment,
      sym_block_comment,
  [647068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19156), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15673), 2,
      sym_comment,
      sym_block_comment,
  [647088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17598), 1,
      anon_sym_EQ,
    ACTIONS(17596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15674), 2,
      sym_comment,
      sym_block_comment,
  [647106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19158), 1,
      anon_sym_COMMA,
    ACTIONS(19161), 1,
      anon_sym_RPAREN,
    STATE(15675), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_parameters_repeat1,
  [647124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5336), 1,
      anon_sym_RBRACK,
    ACTIONS(19163), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15676), 2,
      sym_comment,
      sym_block_comment,
  [647144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17594), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [647160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19165), 1,
      anon_sym_COMMA,
    ACTIONS(19167), 1,
      anon_sym_RBRACK,
    STATE(15645), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15678), 2,
      sym_comment,
      sym_block_comment,
  [647180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15025), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15679), 2,
      sym_comment,
      sym_block_comment,
  [647200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19169), 1,
      anon_sym_COMMA,
    ACTIONS(19171), 1,
      anon_sym_RBRACK,
    STATE(15696), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15680), 2,
      sym_comment,
      sym_block_comment,
  [647220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6098), 1,
      anon_sym_RPAREN,
    ACTIONS(19173), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15681), 2,
      sym_comment,
      sym_block_comment,
  [647240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15080), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(7667), 1,
      sym_type_arguments,
    STATE(15682), 2,
      sym_comment,
      sym_block_comment,
  [647260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19175), 1,
      anon_sym_COMMA,
    ACTIONS(19177), 1,
      anon_sym_RBRACK,
    STATE(15687), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15683), 2,
      sym_comment,
      sym_block_comment,
  [647280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15813), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9311), 1,
      sym_type_arguments,
    STATE(15684), 2,
      sym_comment,
      sym_block_comment,
  [647300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5320), 1,
      anon_sym_RBRACK,
    ACTIONS(19179), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15685), 2,
      sym_comment,
      sym_block_comment,
  [647320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19181), 1,
      anon_sym_COMMA,
    ACTIONS(19183), 1,
      anon_sym_RPAREN,
    STATE(16330), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15686), 2,
      sym_comment,
      sym_block_comment,
  [647340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5324), 1,
      anon_sym_RBRACK,
    ACTIONS(19185), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15687), 2,
      sym_comment,
      sym_block_comment,
  [647360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19187), 1,
      sym__interpolated_multiline_string_end,
    STATE(15707), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15688), 2,
      sym_comment,
      sym_block_comment,
  [647380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19187), 1,
      sym__interpolated_string_end,
    STATE(15708), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15689), 2,
      sym_comment,
      sym_block_comment,
  [647400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19189), 1,
      anon_sym_COMMA,
    ACTIONS(19191), 1,
      anon_sym_RPAREN,
    STATE(16104), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15690), 2,
      sym_comment,
      sym_block_comment,
  [647420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19193), 1,
      anon_sym_COMMA,
    ACTIONS(19195), 1,
      anon_sym_RBRACK,
    STATE(15670), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15691), 2,
      sym_comment,
      sym_block_comment,
  [647440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13503), 1,
      sym__arrow_then_type,
    ACTIONS(19197), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15692), 2,
      sym_comment,
      sym_block_comment,
  [647458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19156), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15693), 2,
      sym_comment,
      sym_block_comment,
  [647478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19199), 1,
      anon_sym_COMMA,
    ACTIONS(19201), 1,
      anon_sym_RBRACK,
    STATE(15698), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15694), 2,
      sym_comment,
      sym_block_comment,
  [647498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11781), 1,
      anon_sym_RPAREN,
    ACTIONS(19203), 1,
      anon_sym_COMMA,
    STATE(15695), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_case_class_pattern_repeat1,
  [647516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19206), 1,
      anon_sym_COMMA,
    ACTIONS(19208), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15696), 2,
      sym_comment,
      sym_block_comment,
  [647536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7420), 1,
      anon_sym_RPAREN,
    ACTIONS(19210), 1,
      anon_sym_COMMA,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15697), 2,
      sym_comment,
      sym_block_comment,
  [647556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5308), 1,
      anon_sym_RBRACK,
    ACTIONS(19212), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15698), 2,
      sym_comment,
      sym_block_comment,
  [647576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19214), 1,
      anon_sym_COMMA,
    ACTIONS(19216), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15699), 2,
      sym_comment,
      sym_block_comment,
  [647596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16558), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [647612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19218), 1,
      anon_sym_COMMA,
    ACTIONS(19220), 1,
      anon_sym_RBRACK,
    STATE(15703), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15701), 2,
      sym_comment,
      sym_block_comment,
  [647632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19222), 1,
      anon_sym_COMMA,
    ACTIONS(19224), 1,
      anon_sym_RPAREN,
    STATE(15801), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15702), 2,
      sym_comment,
      sym_block_comment,
  [647652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19226), 1,
      anon_sym_COMMA,
    ACTIONS(19228), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15703), 2,
      sym_comment,
      sym_block_comment,
  [647672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19230), 1,
      anon_sym_COMMA,
    ACTIONS(19232), 1,
      anon_sym_RBRACK,
    STATE(15714), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15704), 2,
      sym_comment,
      sym_block_comment,
  [647692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19234), 1,
      anon_sym_COMMA,
    ACTIONS(19236), 1,
      anon_sym_RBRACK,
    STATE(15709), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15705), 2,
      sym_comment,
      sym_block_comment,
  [647712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5910), 1,
      anon_sym_RBRACK,
    ACTIONS(19238), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15706), 2,
      sym_comment,
      sym_block_comment,
  [647732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19240), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15707), 2,
      sym_comment,
      sym_block_comment,
  [647752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19240), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15708), 2,
      sym_comment,
      sym_block_comment,
  [647772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5300), 1,
      anon_sym_RBRACK,
    ACTIONS(19242), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15709), 2,
      sym_comment,
      sym_block_comment,
  [647792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16352), 1,
      anon_sym_COLON,
    ACTIONS(16354), 1,
      anon_sym_LBRACE,
    STATE(14796), 1,
      sym_enum_body,
    STATE(15710), 2,
      sym_comment,
      sym_block_comment,
  [647812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5338), 1,
      anon_sym_RPAREN,
    ACTIONS(19244), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 2,
      sym_comment,
      sym_block_comment,
  [647832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19246), 1,
      anon_sym_COMMA,
    ACTIONS(19248), 1,
      anon_sym_RPAREN,
    STATE(16313), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15712), 2,
      sym_comment,
      sym_block_comment,
  [647852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19250), 1,
      anon_sym_COMMA,
    ACTIONS(19252), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15713), 2,
      sym_comment,
      sym_block_comment,
  [647872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5916), 1,
      anon_sym_RBRACK,
    ACTIONS(19254), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15714), 2,
      sym_comment,
      sym_block_comment,
  [647892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7878), 1,
      anon_sym_RPAREN,
    ACTIONS(19256), 1,
      anon_sym_COMMA,
    STATE(15822), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15715), 2,
      sym_comment,
      sym_block_comment,
  [647912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19258), 1,
      anon_sym_COMMA,
    ACTIONS(19260), 1,
      anon_sym_RBRACK,
    STATE(15720), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15716), 2,
      sym_comment,
      sym_block_comment,
  [647932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7878), 1,
      anon_sym_RPAREN,
    ACTIONS(19256), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15717), 2,
      sym_comment,
      sym_block_comment,
  [647952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4216), 1,
      sym__indent,
    STATE(6883), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15718), 2,
      sym_comment,
      sym_block_comment,
  [647970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7930), 1,
      anon_sym_RPAREN,
    ACTIONS(19262), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15719), 2,
      sym_comment,
      sym_block_comment,
  [647990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5274), 1,
      anon_sym_RBRACK,
    ACTIONS(19264), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15720), 2,
      sym_comment,
      sym_block_comment,
  [648010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6128), 1,
      anon_sym_RPAREN,
    ACTIONS(19266), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15721), 2,
      sym_comment,
      sym_block_comment,
  [648030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17563), 1,
      anon_sym_EQ,
    ACTIONS(17561), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15722), 2,
      sym_comment,
      sym_block_comment,
  [648048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19268), 1,
      anon_sym_COMMA,
    ACTIONS(19270), 1,
      anon_sym_RBRACK,
    STATE(15727), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15723), 2,
      sym_comment,
      sym_block_comment,
  [648068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19272), 1,
      anon_sym_COMMA,
    ACTIONS(19275), 1,
      anon_sym_RPAREN,
    STATE(15724), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_class_parameters_repeat1,
  [648086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19277), 1,
      anon_sym_COMMA,
    ACTIONS(19279), 1,
      anon_sym_RBRACK,
    STATE(15728), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15725), 2,
      sym_comment,
      sym_block_comment,
  [648106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19281), 1,
      anon_sym_COMMA,
    ACTIONS(19283), 1,
      anon_sym_RBRACK,
    STATE(15541), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15726), 2,
      sym_comment,
      sym_block_comment,
  [648126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19285), 1,
      anon_sym_COMMA,
    ACTIONS(19287), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15727), 2,
      sym_comment,
      sym_block_comment,
  [648146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5258), 1,
      anon_sym_RBRACK,
    ACTIONS(19289), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15728), 2,
      sym_comment,
      sym_block_comment,
  [648166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19291), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [648182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19293), 1,
      anon_sym_COMMA,
    ACTIONS(19295), 1,
      anon_sym_RBRACK,
    STATE(15706), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15730), 2,
      sym_comment,
      sym_block_comment,
  [648202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5688), 1,
      anon_sym_RPAREN,
    ACTIONS(19297), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15731), 2,
      sym_comment,
      sym_block_comment,
  [648222] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19299), 1,
      anon_sym_COMMA,
    ACTIONS(19301), 1,
      anon_sym_RBRACK,
    STATE(15735), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15732), 2,
      sym_comment,
      sym_block_comment,
  [648242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5352), 1,
      anon_sym_RBRACK,
    ACTIONS(19303), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15733), 2,
      sym_comment,
      sym_block_comment,
  [648262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19305), 1,
      anon_sym_COMMA,
    ACTIONS(19307), 1,
      anon_sym_RPAREN,
    STATE(16281), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15734), 2,
      sym_comment,
      sym_block_comment,
  [648282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5242), 1,
      anon_sym_RBRACK,
    ACTIONS(19309), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15735), 2,
      sym_comment,
      sym_block_comment,
  [648302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16282), 1,
      anon_sym_LBRACK,
    STATE(10327), 1,
      sym_type_arguments,
    STATE(15736), 2,
      sym_comment,
      sym_block_comment,
  [648322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16533), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [648338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19311), 1,
      anon_sym_COMMA,
    ACTIONS(19313), 1,
      anon_sym_RBRACK,
    STATE(15743), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15738), 2,
      sym_comment,
      sym_block_comment,
  [648358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19315), 1,
      anon_sym_COMMA,
    ACTIONS(19317), 1,
      anon_sym_RBRACK,
    STATE(15742), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15739), 2,
      sym_comment,
      sym_block_comment,
  [648378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16930), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [648394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4570), 1,
      sym__indent,
    STATE(7951), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15741), 2,
      sym_comment,
      sym_block_comment,
  [648412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5222), 1,
      anon_sym_RBRACK,
    ACTIONS(19319), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15742), 2,
      sym_comment,
      sym_block_comment,
  [648432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19321), 1,
      anon_sym_COMMA,
    ACTIONS(19323), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15743), 2,
      sym_comment,
      sym_block_comment,
  [648452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19325), 1,
      sym__interpolated_multiline_string_end,
    STATE(15792), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15744), 2,
      sym_comment,
      sym_block_comment,
  [648472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19327), 1,
      anon_sym_COMMA,
    ACTIONS(19329), 1,
      anon_sym_RBRACK,
    STATE(15747), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15745), 2,
      sym_comment,
      sym_block_comment,
  [648492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5868), 1,
      anon_sym_RBRACK,
    ACTIONS(19331), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15746), 2,
      sym_comment,
      sym_block_comment,
  [648512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5210), 1,
      anon_sym_RBRACK,
    ACTIONS(19333), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15747), 2,
      sym_comment,
      sym_block_comment,
  [648532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19325), 1,
      sym__interpolated_string_end,
    STATE(15800), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15748), 2,
      sym_comment,
      sym_block_comment,
  [648552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19335), 1,
      anon_sym_COMMA,
    ACTIONS(19337), 1,
      anon_sym_RBRACK,
    STATE(15751), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15749), 2,
      sym_comment,
      sym_block_comment,
  [648572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5904), 1,
      anon_sym_RPAREN,
    ACTIONS(19339), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15750), 2,
      sym_comment,
      sym_block_comment,
  [648592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5206), 1,
      anon_sym_RBRACK,
    ACTIONS(19341), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15751), 2,
      sym_comment,
      sym_block_comment,
  [648612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19343), 1,
      anon_sym_COMMA,
    ACTIONS(19345), 1,
      anon_sym_RPAREN,
    STATE(16148), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15752), 2,
      sym_comment,
      sym_block_comment,
  [648632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19347), 1,
      anon_sym_COMMA,
    ACTIONS(19349), 1,
      anon_sym_RBRACK,
    STATE(15755), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15753), 2,
      sym_comment,
      sym_block_comment,
  [648652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15987), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [648668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5202), 1,
      anon_sym_RBRACK,
    ACTIONS(19351), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15755), 2,
      sym_comment,
      sym_block_comment,
  [648688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19353), 1,
      anon_sym_COMMA,
    ACTIONS(19355), 1,
      anon_sym_RBRACK,
    STATE(15746), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15756), 2,
      sym_comment,
      sym_block_comment,
  [648708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19357), 1,
      anon_sym_COMMA,
    ACTIONS(19359), 1,
      anon_sym_RBRACK,
    STATE(15759), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15757), 2,
      sym_comment,
      sym_block_comment,
  [648728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19361), 1,
      anon_sym_COMMA,
    ACTIONS(19363), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15758), 2,
      sym_comment,
      sym_block_comment,
  [648748] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5176), 1,
      anon_sym_RBRACK,
    ACTIONS(19365), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15759), 2,
      sym_comment,
      sym_block_comment,
  [648768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13016), 1,
      sym__arrow_then_type,
    ACTIONS(19367), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15760), 2,
      sym_comment,
      sym_block_comment,
  [648786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19369), 1,
      anon_sym_COMMA,
    ACTIONS(19371), 1,
      anon_sym_RBRACK,
    STATE(15763), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15761), 2,
      sym_comment,
      sym_block_comment,
  [648806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19373), 1,
      anon_sym_COMMA,
    ACTIONS(19375), 1,
      anon_sym_RPAREN,
    STATE(15658), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15762), 2,
      sym_comment,
      sym_block_comment,
  [648826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5150), 1,
      anon_sym_RBRACK,
    ACTIONS(19377), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15763), 2,
      sym_comment,
      sym_block_comment,
  [648846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12372), 1,
      anon_sym_RBRACE,
    ACTIONS(19379), 1,
      anon_sym_COMMA,
    STATE(15841), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15764), 2,
      sym_comment,
      sym_block_comment,
  [648866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19381), 1,
      anon_sym_COMMA,
    ACTIONS(19383), 1,
      anon_sym_RBRACK,
    STATE(15767), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15765), 2,
      sym_comment,
      sym_block_comment,
  [648886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19385), 1,
      anon_sym_COMMA,
    ACTIONS(19387), 1,
      anon_sym_RPAREN,
    STATE(16347), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15766), 2,
      sym_comment,
      sym_block_comment,
  [648906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5142), 1,
      anon_sym_RBRACK,
    ACTIONS(19389), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15767), 2,
      sym_comment,
      sym_block_comment,
  [648926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19391), 1,
      anon_sym_COMMA,
    ACTIONS(19393), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15768), 2,
      sym_comment,
      sym_block_comment,
  [648946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19395), 1,
      anon_sym_COMMA,
    ACTIONS(19397), 1,
      anon_sym_RBRACK,
    STATE(15771), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15769), 2,
      sym_comment,
      sym_block_comment,
  [648966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19399), 1,
      anon_sym_COMMA,
    ACTIONS(19401), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15770), 2,
      sym_comment,
      sym_block_comment,
  [648986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5184), 1,
      anon_sym_RBRACK,
    ACTIONS(19403), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15771), 2,
      sym_comment,
      sym_block_comment,
  [649006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19405), 1,
      anon_sym_COMMA,
    ACTIONS(19408), 1,
      anon_sym_RBRACK,
    STATE(15772), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_type_lambda_repeat1,
  [649024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19410), 1,
      anon_sym_COMMA,
    ACTIONS(19412), 1,
      anon_sym_RBRACK,
    STATE(15775), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15773), 2,
      sym_comment,
      sym_block_comment,
  [649044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19414), 1,
      anon_sym_COMMA,
    ACTIONS(19416), 1,
      anon_sym_RBRACK,
    STATE(15778), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15774), 2,
      sym_comment,
      sym_block_comment,
  [649064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5196), 1,
      anon_sym_RBRACK,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15775), 2,
      sym_comment,
      sym_block_comment,
  [649084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19420), 1,
      anon_sym_COMMA,
    ACTIONS(19422), 1,
      anon_sym_RBRACK,
    STATE(15805), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15776), 2,
      sym_comment,
      sym_block_comment,
  [649104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19424), 1,
      anon_sym_COMMA,
    ACTIONS(19426), 1,
      anon_sym_RBRACK,
    STATE(15779), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15777), 2,
      sym_comment,
      sym_block_comment,
  [649124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19428), 1,
      anon_sym_COMMA,
    ACTIONS(19430), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15778), 2,
      sym_comment,
      sym_block_comment,
  [649144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5220), 1,
      anon_sym_RBRACK,
    ACTIONS(19432), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15779), 2,
      sym_comment,
      sym_block_comment,
  [649164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(19434), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15780), 2,
      sym_comment,
      sym_block_comment,
  [649182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19437), 1,
      anon_sym_COMMA,
    ACTIONS(19439), 1,
      anon_sym_RBRACK,
    STATE(15783), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15781), 2,
      sym_comment,
      sym_block_comment,
  [649202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__indent,
    STATE(6661), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15782), 2,
      sym_comment,
      sym_block_comment,
  [649220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5232), 1,
      anon_sym_RBRACK,
    ACTIONS(19441), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15783), 2,
      sym_comment,
      sym_block_comment,
  [649240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5878), 1,
      anon_sym_RBRACK,
    ACTIONS(19443), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15784), 2,
      sym_comment,
      sym_block_comment,
  [649260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19445), 1,
      anon_sym_COMMA,
    ACTIONS(19447), 1,
      anon_sym_RBRACK,
    STATE(15787), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15785), 2,
      sym_comment,
      sym_block_comment,
  [649280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5984), 1,
      anon_sym_RBRACK,
    ACTIONS(19449), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15786), 2,
      sym_comment,
      sym_block_comment,
  [649300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5240), 1,
      anon_sym_RBRACK,
    ACTIONS(19451), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15787), 2,
      sym_comment,
      sym_block_comment,
  [649320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15916), 1,
      anon_sym_STAR,
    ACTIONS(19453), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15788), 2,
      sym_comment,
      sym_block_comment,
  [649338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19455), 1,
      anon_sym_COMMA,
    ACTIONS(19457), 1,
      anon_sym_RBRACK,
    STATE(15791), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15789), 2,
      sym_comment,
      sym_block_comment,
  [649358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5158), 1,
      anon_sym_RPAREN,
    ACTIONS(19459), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15790), 2,
      sym_comment,
      sym_block_comment,
  [649378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5252), 1,
      anon_sym_RBRACK,
    ACTIONS(19461), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15791), 2,
      sym_comment,
      sym_block_comment,
  [649398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19463), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15792), 2,
      sym_comment,
      sym_block_comment,
  [649418] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19465), 1,
      anon_sym_COMMA,
    ACTIONS(19467), 1,
      anon_sym_RBRACK,
    STATE(15795), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15793), 2,
      sym_comment,
      sym_block_comment,
  [649438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19469), 1,
      anon_sym_COMMA,
    ACTIONS(19471), 1,
      anon_sym_RBRACK,
    STATE(15813), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15794), 2,
      sym_comment,
      sym_block_comment,
  [649458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5278), 1,
      anon_sym_RBRACK,
    ACTIONS(19473), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15795), 2,
      sym_comment,
      sym_block_comment,
  [649478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19475), 1,
      anon_sym_COMMA,
    ACTIONS(19477), 1,
      anon_sym_RBRACK,
    STATE(15786), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15796), 2,
      sym_comment,
      sym_block_comment,
  [649498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19479), 1,
      anon_sym_COMMA,
    ACTIONS(19481), 1,
      anon_sym_RBRACK,
    STATE(15799), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15797), 2,
      sym_comment,
      sym_block_comment,
  [649518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17525), 1,
      anon_sym_EQ,
    ACTIONS(17523), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15798), 2,
      sym_comment,
      sym_block_comment,
  [649536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5298), 1,
      anon_sym_RBRACK,
    ACTIONS(19483), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15799), 2,
      sym_comment,
      sym_block_comment,
  [649556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19463), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15800), 2,
      sym_comment,
      sym_block_comment,
  [649576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5350), 1,
      anon_sym_RPAREN,
    ACTIONS(19485), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15801), 2,
      sym_comment,
      sym_block_comment,
  [649596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5710), 1,
      anon_sym_RPAREN,
    ACTIONS(19487), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15802), 2,
      sym_comment,
      sym_block_comment,
  [649616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19489), 1,
      anon_sym_COMMA,
    ACTIONS(19491), 1,
      anon_sym_RPAREN,
    STATE(16154), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15803), 2,
      sym_comment,
      sym_block_comment,
  [649636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19493), 1,
      anon_sym_COMMA,
    ACTIONS(19495), 1,
      anon_sym_RBRACK,
    STATE(15806), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15804), 2,
      sym_comment,
      sym_block_comment,
  [649656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5750), 1,
      anon_sym_RBRACK,
    ACTIONS(19497), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15805), 2,
      sym_comment,
      sym_block_comment,
  [649676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19499), 1,
      anon_sym_COMMA,
    ACTIONS(19501), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15806), 2,
      sym_comment,
      sym_block_comment,
  [649696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12403), 1,
      sym__indent,
    STATE(9065), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15807), 2,
      sym_comment,
      sym_block_comment,
  [649714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19503), 1,
      anon_sym_COMMA,
    ACTIONS(19505), 1,
      anon_sym_RBRACK,
    STATE(15784), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15808), 2,
      sym_comment,
      sym_block_comment,
  [649734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19507), 1,
      anon_sym_COMMA,
    ACTIONS(19509), 1,
      anon_sym_RBRACK,
    STATE(15824), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15809), 2,
      sym_comment,
      sym_block_comment,
  [649754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17508), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
  [649770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5724), 1,
      anon_sym_RPAREN,
    ACTIONS(19511), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15811), 2,
      sym_comment,
      sym_block_comment,
  [649790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4622), 1,
      sym__indent,
    STATE(9628), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15812), 2,
      sym_comment,
      sym_block_comment,
  [649808] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5376), 1,
      anon_sym_RBRACK,
    ACTIONS(19513), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15813), 2,
      sym_comment,
      sym_block_comment,
  [649828] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19515), 1,
      anon_sym_COMMA,
    ACTIONS(19517), 1,
      anon_sym_RPAREN,
    STATE(16341), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15814), 2,
      sym_comment,
      sym_block_comment,
  [649848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19453), 1,
      anon_sym_RPAREN,
    ACTIONS(19519), 1,
      anon_sym_COMMA,
    STATE(15815), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__using_parameters_clause_repeat1,
  [649866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6030), 1,
      anon_sym_RBRACK,
    ACTIONS(19522), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15816), 2,
      sym_comment,
      sym_block_comment,
  [649886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12079), 1,
      sym__arrow_then_type,
    ACTIONS(19524), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15817), 2,
      sym_comment,
      sym_block_comment,
  [649904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6062), 1,
      anon_sym_RPAREN,
    ACTIONS(19526), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15818), 2,
      sym_comment,
      sym_block_comment,
  [649924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7930), 1,
      anon_sym_RPAREN,
    ACTIONS(19262), 1,
      anon_sym_COMMA,
    STATE(15860), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15819), 2,
      sym_comment,
      sym_block_comment,
  [649944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19528), 1,
      sym__interpolated_multiline_string_end,
    STATE(15848), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15820), 2,
      sym_comment,
      sym_block_comment,
  [649964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19530), 1,
      anon_sym_COMMA,
    ACTIONS(19532), 1,
      anon_sym_RBRACK,
    STATE(15816), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15821), 2,
      sym_comment,
      sym_block_comment,
  [649984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7824), 1,
      anon_sym_RPAREN,
    ACTIONS(19534), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15822), 2,
      sym_comment,
      sym_block_comment,
  [650004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19528), 1,
      sym__interpolated_string_end,
    STATE(15851), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15823), 2,
      sym_comment,
      sym_block_comment,
  [650024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19536), 1,
      anon_sym_COMMA,
    ACTIONS(19538), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15824), 2,
      sym_comment,
      sym_block_comment,
  [650044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19540), 1,
      anon_sym_COMMA,
    ACTIONS(19542), 1,
      anon_sym_RPAREN,
    STATE(15207), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15825), 2,
      sym_comment,
      sym_block_comment,
  [650064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17504), 1,
      anon_sym_EQ,
    ACTIONS(17502), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15826), 2,
      sym_comment,
      sym_block_comment,
  [650082] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19544), 1,
      anon_sym_COMMA,
    ACTIONS(19546), 1,
      anon_sym_RPAREN,
    STATE(16014), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15827), 2,
      sym_comment,
      sym_block_comment,
  [650102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13396), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(5740), 1,
      sym_type_arguments,
    STATE(15828), 2,
      sym_comment,
      sym_block_comment,
  [650122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19548), 1,
      anon_sym_COMMA,
    ACTIONS(19550), 1,
      anon_sym_RPAREN,
    STATE(16225), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15829), 2,
      sym_comment,
      sym_block_comment,
  [650142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12197), 1,
      sym__arrow_then_type,
    ACTIONS(19552), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15830), 2,
      sym_comment,
      sym_block_comment,
  [650160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19554), 1,
      anon_sym_COMMA,
    ACTIONS(19556), 1,
      anon_sym_RBRACK,
    STATE(15662), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15831), 2,
      sym_comment,
      sym_block_comment,
  [650180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19558), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [650196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19560), 1,
      anon_sym_COMMA,
    ACTIONS(19562), 1,
      anon_sym_RPAREN,
    STATE(15577), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15833), 2,
      sym_comment,
      sym_block_comment,
  [650216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19564), 1,
      anon_sym_COMMA,
    ACTIONS(19566), 1,
      anon_sym_RBRACK,
    STATE(15713), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15834), 2,
      sym_comment,
      sym_block_comment,
  [650236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4472), 1,
      sym__indent,
    STATE(9272), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15835), 2,
      sym_comment,
      sym_block_comment,
  [650254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15836), 2,
      sym_comment,
      sym_block_comment,
  [650274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19572), 1,
      anon_sym_COMMA,
    ACTIONS(19574), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15837), 2,
      sym_comment,
      sym_block_comment,
  [650294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6086), 1,
      anon_sym_RBRACK,
    ACTIONS(19576), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15838), 2,
      sym_comment,
      sym_block_comment,
  [650314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19578), 1,
      sym__interpolated_string_end,
    STATE(15673), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15839), 2,
      sym_comment,
      sym_block_comment,
  [650334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5194), 1,
      anon_sym_RPAREN,
    ACTIONS(19580), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15840), 2,
      sym_comment,
      sym_block_comment,
  [650354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17488), 1,
      anon_sym_RBRACE,
    ACTIONS(19582), 1,
      anon_sym_COMMA,
    STATE(15841), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_namespace_selectors_repeat1,
  [650372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(19585), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15842), 2,
      sym_comment,
      sym_block_comment,
  [650392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5862), 1,
      anon_sym_RBRACK,
    ACTIONS(19587), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15843), 2,
      sym_comment,
      sym_block_comment,
  [650412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19589), 1,
      anon_sym_COMMA,
    ACTIONS(19591), 1,
      anon_sym_RBRACK,
    STATE(15838), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15844), 2,
      sym_comment,
      sym_block_comment,
  [650432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19593), 1,
      anon_sym_COMMA,
    ACTIONS(19595), 1,
      anon_sym_RBRACK,
    STATE(15856), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15845), 2,
      sym_comment,
      sym_block_comment,
  [650452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19597), 1,
      anon_sym_COMMA,
    ACTIONS(19599), 1,
      anon_sym_RBRACK,
    STATE(15873), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15846), 2,
      sym_comment,
      sym_block_comment,
  [650472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5282), 1,
      anon_sym_RPAREN,
    ACTIONS(19601), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15847), 2,
      sym_comment,
      sym_block_comment,
  [650492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19603), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15848), 2,
      sym_comment,
      sym_block_comment,
  [650512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8857), 1,
      sym__arrow_then_type,
    ACTIONS(19605), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15849), 2,
      sym_comment,
      sym_block_comment,
  [650530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19607), 1,
      anon_sym_COMMA,
    ACTIONS(19609), 1,
      anon_sym_RPAREN,
    STATE(15681), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15850), 2,
      sym_comment,
      sym_block_comment,
  [650550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19603), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15851), 2,
      sym_comment,
      sym_block_comment,
  [650570] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19611), 1,
      anon_sym_COMMA,
    ACTIONS(19613), 1,
      anon_sym_RBRACK,
    STATE(15864), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15852), 2,
      sym_comment,
      sym_block_comment,
  [650590] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5616), 1,
      anon_sym_RPAREN,
    ACTIONS(19615), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15853), 2,
      sym_comment,
      sym_block_comment,
  [650610] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19578), 1,
      sym__interpolated_multiline_string_end,
    STATE(15693), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15854), 2,
      sym_comment,
      sym_block_comment,
  [650630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17473), 1,
      anon_sym_EQ,
    ACTIONS(17471), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15855), 2,
      sym_comment,
      sym_block_comment,
  [650648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5488), 1,
      anon_sym_RBRACK,
    ACTIONS(19617), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15856), 2,
      sym_comment,
      sym_block_comment,
  [650668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4674), 1,
      sym__indent,
    STATE(8668), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15857), 2,
      sym_comment,
      sym_block_comment,
  [650686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      sym__indent,
    STATE(10710), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15858), 2,
      sym_comment,
      sym_block_comment,
  [650704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(19619), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15859), 2,
      sym_comment,
      sym_block_comment,
  [650724] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7822), 1,
      anon_sym_RPAREN,
    ACTIONS(19621), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15860), 2,
      sym_comment,
      sym_block_comment,
  [650744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(19623), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15861), 2,
      sym_comment,
      sym_block_comment,
  [650764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6182), 1,
      anon_sym_RBRACK,
    ACTIONS(19625), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15862), 2,
      sym_comment,
      sym_block_comment,
  [650784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(19627), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15863), 2,
      sym_comment,
      sym_block_comment,
  [650804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19629), 1,
      anon_sym_COMMA,
    ACTIONS(19631), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15864), 2,
      sym_comment,
      sym_block_comment,
  [650824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    ACTIONS(19633), 1,
      anon_sym_COLON,
    STATE(15585), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15865), 2,
      sym_comment,
      sym_block_comment,
  [650844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5312), 1,
      anon_sym_RPAREN,
    ACTIONS(19635), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15866), 2,
      sym_comment,
      sym_block_comment,
  [650864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19637), 1,
      anon_sym_COMMA,
    ACTIONS(19639), 1,
      anon_sym_RBRACK,
    STATE(15843), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15867), 2,
      sym_comment,
      sym_block_comment,
  [650884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17463), 1,
      anon_sym_EQ,
    ACTIONS(17461), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15868), 2,
      sym_comment,
      sym_block_comment,
  [650902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19641), 1,
      anon_sym_COMMA,
    ACTIONS(19643), 1,
      anon_sym_RBRACK,
    STATE(15862), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15869), 2,
      sym_comment,
      sym_block_comment,
  [650922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19645), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [650938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15076), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15871), 2,
      sym_comment,
      sym_block_comment,
  [650958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5758), 1,
      anon_sym_RPAREN,
    ACTIONS(19647), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15872), 2,
      sym_comment,
      sym_block_comment,
  [650978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5396), 1,
      anon_sym_RBRACK,
    ACTIONS(19649), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15873), 2,
      sym_comment,
      sym_block_comment,
  [650998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19651), 1,
      anon_sym_COMMA,
    ACTIONS(19653), 1,
      anon_sym_RPAREN,
    STATE(16197), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15874), 2,
      sym_comment,
      sym_block_comment,
  [651018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19655), 1,
      anon_sym_COMMA,
    ACTIONS(19657), 1,
      anon_sym_RBRACK,
    STATE(15878), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15875), 2,
      sym_comment,
      sym_block_comment,
  [651038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17457), 1,
      anon_sym_EQ,
    ACTIONS(17455), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15876), 2,
      sym_comment,
      sym_block_comment,
  [651056] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14566), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(7044), 1,
      sym_type_arguments,
    STATE(15877), 2,
      sym_comment,
      sym_block_comment,
  [651076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19659), 1,
      anon_sym_COMMA,
    ACTIONS(19661), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15878), 2,
      sym_comment,
      sym_block_comment,
  [651096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19663), 1,
      anon_sym_COMMA,
    ACTIONS(19665), 1,
      anon_sym_RPAREN,
    STATE(15593), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15879), 2,
      sym_comment,
      sym_block_comment,
  [651116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19667), 1,
      sym__interpolated_multiline_string_end,
    STATE(15907), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15880), 2,
      sym_comment,
      sym_block_comment,
  [651136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19667), 1,
      sym__interpolated_string_end,
    STATE(15901), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15881), 2,
      sym_comment,
      sym_block_comment,
  [651156] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19669), 1,
      anon_sym_COMMA,
    ACTIONS(19671), 1,
      anon_sym_RBRACK,
    STATE(15894), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15882), 2,
      sym_comment,
      sym_block_comment,
  [651176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19673), 1,
      anon_sym_COMMA,
    ACTIONS(19675), 1,
      anon_sym_RPAREN,
    STATE(16274), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15883), 2,
      sym_comment,
      sym_block_comment,
  [651196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13647), 1,
      sym__arrow_then_type,
    ACTIONS(19677), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15884), 2,
      sym_comment,
      sym_block_comment,
  [651214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19679), 1,
      anon_sym_COMMA,
    ACTIONS(19681), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15885), 2,
      sym_comment,
      sym_block_comment,
  [651234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19683), 1,
      anon_sym_COMMA,
    ACTIONS(19685), 1,
      anon_sym_RBRACK,
    STATE(15891), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15886), 2,
      sym_comment,
      sym_block_comment,
  [651254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19687), 1,
      anon_sym_COMMA,
    ACTIONS(19689), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15887), 2,
      sym_comment,
      sym_block_comment,
  [651274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4256), 1,
      sym__indent,
    STATE(8039), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15888), 2,
      sym_comment,
      sym_block_comment,
  [651292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19691), 1,
      anon_sym_COMMA,
    ACTIONS(19693), 1,
      anon_sym_RPAREN,
    STATE(15477), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15889), 2,
      sym_comment,
      sym_block_comment,
  [651312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6130), 1,
      anon_sym_RBRACK,
    ACTIONS(19695), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15890), 2,
      sym_comment,
      sym_block_comment,
  [651332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19697), 1,
      anon_sym_COMMA,
    ACTIONS(19699), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15891), 2,
      sym_comment,
      sym_block_comment,
  [651352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5330), 1,
      anon_sym_RPAREN,
    ACTIONS(19701), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15892), 2,
      sym_comment,
      sym_block_comment,
  [651372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19703), 1,
      anon_sym_COMMA,
    ACTIONS(19705), 1,
      anon_sym_RBRACK,
    STATE(15897), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15893), 2,
      sym_comment,
      sym_block_comment,
  [651392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19707), 1,
      anon_sym_COMMA,
    ACTIONS(19709), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15894), 2,
      sym_comment,
      sym_block_comment,
  [651412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15136), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(15895), 2,
      sym_comment,
      sym_block_comment,
  [651432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19711), 1,
      anon_sym_COMMA,
    ACTIONS(19713), 1,
      anon_sym_RBRACK,
    STATE(15988), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15896), 2,
      sym_comment,
      sym_block_comment,
  [651452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19715), 1,
      anon_sym_COMMA,
    ACTIONS(19717), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15897), 2,
      sym_comment,
      sym_block_comment,
  [651472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5840), 1,
      anon_sym_RBRACK,
    ACTIONS(19719), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15898), 2,
      sym_comment,
      sym_block_comment,
  [651492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19721), 1,
      anon_sym_COMMA,
    ACTIONS(19723), 1,
      anon_sym_RBRACK,
    STATE(15890), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15899), 2,
      sym_comment,
      sym_block_comment,
  [651512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19725), 1,
      anon_sym_COMMA,
    ACTIONS(19727), 1,
      anon_sym_RBRACK,
    STATE(15904), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15900), 2,
      sym_comment,
      sym_block_comment,
  [651532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19729), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15901), 2,
      sym_comment,
      sym_block_comment,
  [651552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6064), 1,
      anon_sym_RPAREN,
    ACTIONS(19731), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15902), 2,
      sym_comment,
      sym_block_comment,
  [651572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6088), 1,
      anon_sym_RPAREN,
    ACTIONS(19733), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15903), 2,
      sym_comment,
      sym_block_comment,
  [651592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19735), 1,
      anon_sym_COMMA,
    ACTIONS(19737), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15904), 2,
      sym_comment,
      sym_block_comment,
  [651612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13764), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(6253), 1,
      sym_type_arguments,
    STATE(15905), 2,
      sym_comment,
      sym_block_comment,
  [651632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19739), 1,
      anon_sym_COMMA,
    ACTIONS(19741), 1,
      anon_sym_RPAREN,
    STATE(15519), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15906), 2,
      sym_comment,
      sym_block_comment,
  [651652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19729), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15907), 2,
      sym_comment,
      sym_block_comment,
  [651672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12399), 1,
      sym__indent,
    STATE(10519), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15908), 2,
      sym_comment,
      sym_block_comment,
  [651690] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19743), 1,
      anon_sym_COMMA,
    ACTIONS(19745), 1,
      anon_sym_RBRACK,
    STATE(15911), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15909), 2,
      sym_comment,
      sym_block_comment,
  [651710] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19747), 1,
      anon_sym_COMMA,
    ACTIONS(19749), 1,
      anon_sym_RBRACK,
    STATE(15898), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15910), 2,
      sym_comment,
      sym_block_comment,
  [651730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19751), 1,
      anon_sym_COMMA,
    ACTIONS(19753), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15911), 2,
      sym_comment,
      sym_block_comment,
  [651750] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5780), 1,
      anon_sym_RPAREN,
    ACTIONS(19755), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15912), 2,
      sym_comment,
      sym_block_comment,
  [651770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14384), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(7130), 1,
      sym_type_arguments,
    STATE(15913), 2,
      sym_comment,
      sym_block_comment,
  [651790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12419), 1,
      sym__indent,
    STATE(10879), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15914), 2,
      sym_comment,
      sym_block_comment,
  [651808] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5422), 1,
      anon_sym_RBRACK,
    ACTIONS(19757), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15915), 2,
      sym_comment,
      sym_block_comment,
  [651828] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6000), 1,
      anon_sym_RBRACK,
    ACTIONS(19759), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15916), 2,
      sym_comment,
      sym_block_comment,
  [651848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19761), 1,
      sym__interpolated_multiline_string_end,
    STATE(15960), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15917), 2,
      sym_comment,
      sym_block_comment,
  [651868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5372), 1,
      anon_sym_RPAREN,
    ACTIONS(19763), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15918), 2,
      sym_comment,
      sym_block_comment,
  [651888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19761), 1,
      sym__interpolated_string_end,
    STATE(15962), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15919), 2,
      sym_comment,
      sym_block_comment,
  [651908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19765), 1,
      anon_sym_COMMA,
    ACTIONS(19767), 1,
      anon_sym_RPAREN,
    STATE(16305), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15920), 2,
      sym_comment,
      sym_block_comment,
  [651928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19769), 1,
      anon_sym_COMMA,
    ACTIONS(19771), 1,
      anon_sym_RBRACK,
    STATE(15916), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15921), 2,
      sym_comment,
      sym_block_comment,
  [651948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19773), 1,
      anon_sym_COMMA,
    ACTIONS(19775), 1,
      anon_sym_RPAREN,
    STATE(16105), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15922), 2,
      sym_comment,
      sym_block_comment,
  [651968] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19777), 1,
      anon_sym_COMMA,
    ACTIONS(19779), 1,
      anon_sym_RBRACK,
    STATE(15924), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15923), 2,
      sym_comment,
      sym_block_comment,
  [651988] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19781), 1,
      anon_sym_COMMA,
    ACTIONS(19783), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15924), 2,
      sym_comment,
      sym_block_comment,
  [652008] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19785), 1,
      anon_sym_COMMA,
    ACTIONS(19787), 1,
      anon_sym_RPAREN,
    STATE(15496), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15925), 2,
      sym_comment,
      sym_block_comment,
  [652028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19789), 1,
      anon_sym_COMMA,
    ACTIONS(19791), 1,
      anon_sym_RPAREN,
    STATE(15435), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15926), 2,
      sym_comment,
      sym_block_comment,
  [652048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19793), 1,
      anon_sym_COMMA,
    ACTIONS(19795), 1,
      anon_sym_RBRACK,
    STATE(15950), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15927), 2,
      sym_comment,
      sym_block_comment,
  [652068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 1,
      sym__arrow_then_type,
    ACTIONS(19797), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15928), 2,
      sym_comment,
      sym_block_comment,
  [652086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13579), 1,
      sym__arrow_then_type,
    ACTIONS(19799), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15929), 2,
      sym_comment,
      sym_block_comment,
  [652104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19801), 1,
      anon_sym_COMMA,
    ACTIONS(19803), 1,
      anon_sym_RBRACK,
    STATE(16150), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15930), 2,
      sym_comment,
      sym_block_comment,
  [652124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5818), 1,
      anon_sym_RBRACK,
    ACTIONS(19805), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15931), 2,
      sym_comment,
      sym_block_comment,
  [652144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12079), 1,
      sym__arrow_then_type,
    ACTIONS(19807), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15932), 2,
      sym_comment,
      sym_block_comment,
  [652162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12047), 1,
      sym__arrow_then_type,
    ACTIONS(19809), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15933), 2,
      sym_comment,
      sym_block_comment,
  [652180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13503), 1,
      sym__arrow_then_type,
    ACTIONS(19811), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15934), 2,
      sym_comment,
      sym_block_comment,
  [652198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13016), 1,
      sym__arrow_then_type,
    ACTIONS(19813), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15935), 2,
      sym_comment,
      sym_block_comment,
  [652216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12197), 1,
      sym__arrow_then_type,
    ACTIONS(19815), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15936), 2,
      sym_comment,
      sym_block_comment,
  [652234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13647), 1,
      sym__arrow_then_type,
    ACTIONS(19817), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15937), 2,
      sym_comment,
      sym_block_comment,
  [652252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13579), 1,
      sym__arrow_then_type,
    ACTIONS(19819), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15938), 2,
      sym_comment,
      sym_block_comment,
  [652270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11647), 1,
      sym__arrow_then_type,
    ACTIONS(19821), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15939), 2,
      sym_comment,
      sym_block_comment,
  [652288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12173), 1,
      sym__arrow_then_type,
    ACTIONS(19823), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15940), 2,
      sym_comment,
      sym_block_comment,
  [652306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12538), 1,
      sym__arrow_then_type,
    ACTIONS(19825), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15941), 2,
      sym_comment,
      sym_block_comment,
  [652324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13794), 1,
      sym__arrow_then_type,
    ACTIONS(19827), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15942), 2,
      sym_comment,
      sym_block_comment,
  [652342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13805), 1,
      sym__arrow_then_type,
    ACTIONS(19829), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15943), 2,
      sym_comment,
      sym_block_comment,
  [652360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13133), 1,
      sym__arrow_then_type,
    ACTIONS(19831), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15944), 2,
      sym_comment,
      sym_block_comment,
  [652378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13904), 1,
      sym__arrow_then_type,
    ACTIONS(19833), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15945), 2,
      sym_comment,
      sym_block_comment,
  [652396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11908), 1,
      sym__arrow_then_type,
    ACTIONS(19835), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15946), 2,
      sym_comment,
      sym_block_comment,
  [652414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13246), 1,
      sym__arrow_then_type,
    ACTIONS(19837), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15947), 2,
      sym_comment,
      sym_block_comment,
  [652432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13570), 1,
      sym__arrow_then_type,
    ACTIONS(19839), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15948), 2,
      sym_comment,
      sym_block_comment,
  [652450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12478), 1,
      sym__indent,
    STATE(9948), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15949), 2,
      sym_comment,
      sym_block_comment,
  [652468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19841), 1,
      anon_sym_COMMA,
    ACTIONS(19843), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15950), 2,
      sym_comment,
      sym_block_comment,
  [652488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5256), 1,
      anon_sym_RPAREN,
    ACTIONS(19845), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15951), 2,
      sym_comment,
      sym_block_comment,
  [652508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12498), 1,
      sym__indent,
    STATE(9793), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15952), 2,
      sym_comment,
      sym_block_comment,
  [652526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19847), 1,
      anon_sym_COMMA,
    ACTIONS(19849), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15953), 2,
      sym_comment,
      sym_block_comment,
  [652546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5888), 1,
      anon_sym_RBRACK,
    ACTIONS(19851), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15954), 2,
      sym_comment,
      sym_block_comment,
  [652566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19853), 1,
      anon_sym_COMMA,
    ACTIONS(19855), 1,
      anon_sym_RBRACK,
    STATE(15972), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15955), 2,
      sym_comment,
      sym_block_comment,
  [652586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5168), 1,
      anon_sym_RPAREN,
    ACTIONS(19857), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15956), 2,
      sym_comment,
      sym_block_comment,
  [652606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19859), 1,
      anon_sym_COMMA,
    ACTIONS(19861), 1,
      anon_sym_RBRACK,
    STATE(15967), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15957), 2,
      sym_comment,
      sym_block_comment,
  [652626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19863), 1,
      anon_sym_COMMA,
    ACTIONS(19865), 1,
      anon_sym_RBRACK,
    STATE(15837), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15958), 2,
      sym_comment,
      sym_block_comment,
  [652646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19867), 1,
      anon_sym_COMMA,
    ACTIONS(19869), 1,
      anon_sym_RBRACK,
    STATE(15931), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15959), 2,
      sym_comment,
      sym_block_comment,
  [652666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19871), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15960), 2,
      sym_comment,
      sym_block_comment,
  [652686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19873), 1,
      anon_sym_COMMA,
    ACTIONS(19875), 1,
      anon_sym_RBRACK,
    STATE(15954), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15961), 2,
      sym_comment,
      sym_block_comment,
  [652706] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19871), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15962), 2,
      sym_comment,
      sym_block_comment,
  [652726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19877), 1,
      anon_sym_COMMA,
    ACTIONS(19879), 1,
      anon_sym_RPAREN,
    STATE(16061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15963), 2,
      sym_comment,
      sym_block_comment,
  [652746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19881), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15964), 2,
      sym_comment,
      sym_block_comment,
  [652766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6166), 1,
      anon_sym_RPAREN,
    ACTIONS(19883), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15965), 2,
      sym_comment,
      sym_block_comment,
  [652786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19885), 1,
      anon_sym_COMMA,
    ACTIONS(19887), 1,
      anon_sym_RPAREN,
    STATE(15282), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15966), 2,
      sym_comment,
      sym_block_comment,
  [652806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5192), 1,
      anon_sym_RBRACK,
    ACTIONS(19889), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15967), 2,
      sym_comment,
      sym_block_comment,
  [652826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4318), 1,
      sym__indent,
    STATE(8329), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15968), 2,
      sym_comment,
      sym_block_comment,
  [652844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5800), 1,
      anon_sym_RPAREN,
    ACTIONS(19891), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15969), 2,
      sym_comment,
      sym_block_comment,
  [652864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5770), 1,
      anon_sym_RBRACK,
    ACTIONS(19893), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15970), 2,
      sym_comment,
      sym_block_comment,
  [652884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19895), 1,
      anon_sym_COMMA,
    ACTIONS(19897), 1,
      anon_sym_RBRACK,
    STATE(15975), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15971), 2,
      sym_comment,
      sym_block_comment,
  [652904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5462), 1,
      anon_sym_RBRACK,
    ACTIONS(19899), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15972), 2,
      sym_comment,
      sym_block_comment,
  [652924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19881), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15973), 2,
      sym_comment,
      sym_block_comment,
  [652944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15854), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9203), 1,
      sym_type_arguments,
    STATE(15974), 2,
      sym_comment,
      sym_block_comment,
  [652964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19901), 1,
      anon_sym_COMMA,
    ACTIONS(19903), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15975), 2,
      sym_comment,
      sym_block_comment,
  [652984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19905), 1,
      sym__interpolated_multiline_string_end,
    STATE(15999), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15976), 2,
      sym_comment,
      sym_block_comment,
  [653004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7732), 1,
      anon_sym_RPAREN,
    ACTIONS(19907), 1,
      anon_sym_COMMA,
    STATE(16168), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15977), 2,
      sym_comment,
      sym_block_comment,
  [653024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5822), 1,
      anon_sym_RBRACK,
    ACTIONS(19909), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15978), 2,
      sym_comment,
      sym_block_comment,
  [653044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19905), 1,
      sym__interpolated_string_end,
    STATE(16000), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15979), 2,
      sym_comment,
      sym_block_comment,
  [653064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5458), 1,
      anon_sym_RPAREN,
    ACTIONS(19911), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15980), 2,
      sym_comment,
      sym_block_comment,
  [653084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(19913), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(15981), 2,
      sym_comment,
      sym_block_comment,
  [653104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19915), 1,
      anon_sym_COMMA,
    ACTIONS(19917), 1,
      anon_sym_RPAREN,
    STATE(16114), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15982), 2,
      sym_comment,
      sym_block_comment,
  [653124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11080), 1,
      sym__arrow_then_type,
    ACTIONS(19919), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15983), 2,
      sym_comment,
      sym_block_comment,
  [653142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19921), 1,
      anon_sym_COMMA,
    ACTIONS(19923), 1,
      anon_sym_RBRACK,
    STATE(15978), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15984), 2,
      sym_comment,
      sym_block_comment,
  [653162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19925), 1,
      anon_sym_COMMA,
    ACTIONS(19927), 1,
      anon_sym_RPAREN,
    STATE(15420), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15985), 2,
      sym_comment,
      sym_block_comment,
  [653182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19929), 1,
      anon_sym_COMMA,
    ACTIONS(19931), 1,
      anon_sym_RBRACK,
    STATE(15990), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15986), 2,
      sym_comment,
      sym_block_comment,
  [653202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5802), 1,
      anon_sym_RBRACK,
    ACTIONS(19933), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15987), 2,
      sym_comment,
      sym_block_comment,
  [653222] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5380), 1,
      anon_sym_RBRACK,
    ACTIONS(19935), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15988), 2,
      sym_comment,
      sym_block_comment,
  [653242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19937), 1,
      anon_sym_COMMA,
    ACTIONS(19939), 1,
      anon_sym_RPAREN,
    STATE(15214), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15989), 2,
      sym_comment,
      sym_block_comment,
  [653262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19941), 1,
      anon_sym_COMMA,
    ACTIONS(19943), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15990), 2,
      sym_comment,
      sym_block_comment,
  [653282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6042), 1,
      anon_sym_RPAREN,
    ACTIONS(19945), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15991), 2,
      sym_comment,
      sym_block_comment,
  [653302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19947), 1,
      anon_sym_COMMA,
    ACTIONS(19949), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15992), 2,
      sym_comment,
      sym_block_comment,
  [653322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19951), 1,
      anon_sym_COMMA,
    ACTIONS(19953), 1,
      anon_sym_RBRACK,
    STATE(16018), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15993), 2,
      sym_comment,
      sym_block_comment,
  [653342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19955), 1,
      anon_sym_COMMA,
    ACTIONS(19957), 1,
      anon_sym_RBRACK,
    STATE(15996), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15994), 2,
      sym_comment,
      sym_block_comment,
  [653362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19959), 1,
      anon_sym_COMMA,
    ACTIONS(19961), 1,
      anon_sym_RBRACK,
    STATE(16003), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15995), 2,
      sym_comment,
      sym_block_comment,
  [653382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19963), 1,
      anon_sym_COMMA,
    ACTIONS(19965), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15996), 2,
      sym_comment,
      sym_block_comment,
  [653402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15037), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(15997), 2,
      sym_comment,
      sym_block_comment,
  [653422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12431), 1,
      sym__indent,
    STATE(8816), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15998), 2,
      sym_comment,
      sym_block_comment,
  [653440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19967), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15999), 2,
      sym_comment,
      sym_block_comment,
  [653460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(19967), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16000), 2,
      sym_comment,
      sym_block_comment,
  [653480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5686), 1,
      anon_sym_RBRACK,
    ACTIONS(19969), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16001), 2,
      sym_comment,
      sym_block_comment,
  [653500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5934), 1,
      anon_sym_RPAREN,
    ACTIONS(19971), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16002), 2,
      sym_comment,
      sym_block_comment,
  [653520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5530), 1,
      anon_sym_RBRACK,
    ACTIONS(19973), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16003), 2,
      sym_comment,
      sym_block_comment,
  [653540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12423), 1,
      sym__indent,
    STATE(11162), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16004), 2,
      sym_comment,
      sym_block_comment,
  [653558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19975), 1,
      anon_sym_COMMA,
    ACTIONS(19977), 1,
      anon_sym_RBRACK,
    STATE(16010), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16005), 2,
      sym_comment,
      sym_block_comment,
  [653578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5486), 1,
      anon_sym_RPAREN,
    ACTIONS(19979), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16006), 2,
      sym_comment,
      sym_block_comment,
  [653598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19981), 1,
      anon_sym_COMMA,
    ACTIONS(19983), 1,
      anon_sym_RBRACK,
    STATE(15987), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16007), 2,
      sym_comment,
      sym_block_comment,
  [653618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14853), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16008), 2,
      sym_comment,
      sym_block_comment,
  [653638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19985), 1,
      anon_sym_COMMA,
    ACTIONS(19987), 1,
      anon_sym_RBRACK,
    STATE(16017), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16009), 2,
      sym_comment,
      sym_block_comment,
  [653658] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19989), 1,
      anon_sym_COMMA,
    ACTIONS(19991), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16010), 2,
      sym_comment,
      sym_block_comment,
  [653678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14865), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16011), 2,
      sym_comment,
      sym_block_comment,
  [653698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19993), 1,
      anon_sym_COMMA,
    ACTIONS(19995), 1,
      anon_sym_RBRACK,
    STATE(15664), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16012), 2,
      sym_comment,
      sym_block_comment,
  [653718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19997), 1,
      anon_sym_COMMA,
    ACTIONS(19999), 1,
      anon_sym_RBRACK,
    STATE(16001), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16013), 2,
      sym_comment,
      sym_block_comment,
  [653738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6034), 1,
      anon_sym_RPAREN,
    ACTIONS(20001), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16014), 2,
      sym_comment,
      sym_block_comment,
  [653758] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15755), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9155), 1,
      sym_type_arguments,
    STATE(16015), 2,
      sym_comment,
      sym_block_comment,
  [653778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20003), 1,
      anon_sym_COMMA,
    ACTIONS(20005), 1,
      anon_sym_RPAREN,
    STATE(15969), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16016), 2,
      sym_comment,
      sym_block_comment,
  [653798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20007), 1,
      anon_sym_COMMA,
    ACTIONS(20009), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16017), 2,
      sym_comment,
      sym_block_comment,
  [653818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5478), 1,
      anon_sym_RBRACK,
    ACTIONS(20011), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16018), 2,
      sym_comment,
      sym_block_comment,
  [653838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12637), 1,
      anon_sym_RPAREN,
    ACTIONS(20013), 1,
      anon_sym_COMMA,
    STATE(16179), 1,
      aux_sym_parameters_repeat1,
    STATE(16019), 2,
      sym_comment,
      sym_block_comment,
  [653858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 1,
      sym__arrow_then_type,
    ACTIONS(20015), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16020), 2,
      sym_comment,
      sym_block_comment,
  [653876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12079), 1,
      sym__arrow_then_type,
    ACTIONS(20017), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16021), 2,
      sym_comment,
      sym_block_comment,
  [653894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12047), 1,
      sym__arrow_then_type,
    ACTIONS(20019), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16022), 2,
      sym_comment,
      sym_block_comment,
  [653912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13016), 1,
      sym__arrow_then_type,
    ACTIONS(20021), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16023), 2,
      sym_comment,
      sym_block_comment,
  [653930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12197), 1,
      sym__arrow_then_type,
    ACTIONS(20023), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16024), 2,
      sym_comment,
      sym_block_comment,
  [653948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11647), 1,
      sym__arrow_then_type,
    ACTIONS(20025), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16025), 2,
      sym_comment,
      sym_block_comment,
  [653966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12173), 1,
      sym__arrow_then_type,
    ACTIONS(20027), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16026), 2,
      sym_comment,
      sym_block_comment,
  [653984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11908), 1,
      sym__arrow_then_type,
    ACTIONS(20029), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16027), 2,
      sym_comment,
      sym_block_comment,
  [654002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20031), 1,
      anon_sym_COMMA,
    ACTIONS(20033), 1,
      anon_sym_RPAREN,
    STATE(16056), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16028), 2,
      sym_comment,
      sym_block_comment,
  [654022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20035), 1,
      anon_sym_COMMA,
    ACTIONS(20037), 1,
      anon_sym_RBRACK,
    STATE(16035), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16029), 2,
      sym_comment,
      sym_block_comment,
  [654042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20039), 1,
      sym__interpolated_multiline_string_end,
    STATE(16053), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16030), 2,
      sym_comment,
      sym_block_comment,
  [654062] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14845), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16031), 2,
      sym_comment,
      sym_block_comment,
  [654082] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17383), 1,
      anon_sym_RPAREN,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    STATE(16184), 1,
      aux_sym_parameters_repeat1,
    STATE(16032), 2,
      sym_comment,
      sym_block_comment,
  [654102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20043), 1,
      anon_sym_COMMA,
    ACTIONS(20045), 1,
      anon_sym_RPAREN,
    STATE(15338), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16033), 2,
      sym_comment,
      sym_block_comment,
  [654122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20039), 1,
      sym__interpolated_string_end,
    STATE(16054), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16034), 2,
      sym_comment,
      sym_block_comment,
  [654142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20047), 1,
      anon_sym_COMMA,
    ACTIONS(20049), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16035), 2,
      sym_comment,
      sym_block_comment,
  [654162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20051), 1,
      anon_sym_COMMA,
    ACTIONS(20053), 1,
      anon_sym_RPAREN,
    STATE(16085), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16036), 2,
      sym_comment,
      sym_block_comment,
  [654182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11647), 1,
      sym__arrow_then_type,
    ACTIONS(20055), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16037), 2,
      sym_comment,
      sym_block_comment,
  [654200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7934), 1,
      anon_sym_RPAREN,
    ACTIONS(20057), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16038), 2,
      sym_comment,
      sym_block_comment,
  [654220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5786), 1,
      anon_sym_RBRACK,
    ACTIONS(20059), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16039), 2,
      sym_comment,
      sym_block_comment,
  [654240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20061), 1,
      anon_sym_COMMA,
    ACTIONS(20063), 1,
      anon_sym_RBRACK,
    STATE(16064), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16040), 2,
      sym_comment,
      sym_block_comment,
  [654260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5212), 1,
      anon_sym_RPAREN,
    ACTIONS(20065), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16041), 2,
      sym_comment,
      sym_block_comment,
  [654280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12362), 1,
      sym__indent,
    STATE(12232), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16042), 2,
      sym_comment,
      sym_block_comment,
  [654298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20067), 1,
      anon_sym_COMMA,
    ACTIONS(20069), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16043), 2,
      sym_comment,
      sym_block_comment,
  [654318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5618), 1,
      anon_sym_RBRACK,
    ACTIONS(20071), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16044), 2,
      sym_comment,
      sym_block_comment,
  [654338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20073), 1,
      anon_sym_COMMA,
    ACTIONS(20075), 1,
      anon_sym_RBRACK,
    STATE(16046), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16045), 2,
      sym_comment,
      sym_block_comment,
  [654358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20077), 1,
      anon_sym_COMMA,
    ACTIONS(20079), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16046), 2,
      sym_comment,
      sym_block_comment,
  [654378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5526), 1,
      anon_sym_RPAREN,
    ACTIONS(20081), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16047), 2,
      sym_comment,
      sym_block_comment,
  [654398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14835), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16048), 2,
      sym_comment,
      sym_block_comment,
  [654418] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20083), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16049), 2,
      sym_comment,
      sym_block_comment,
  [654438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20085), 1,
      anon_sym_COMMA,
    ACTIONS(20087), 1,
      anon_sym_RBRACK,
    STATE(16059), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16050), 2,
      sym_comment,
      sym_block_comment,
  [654458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20089), 1,
      anon_sym_COMMA,
    ACTIONS(20091), 1,
      anon_sym_RBRACK,
    STATE(16039), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16051), 2,
      sym_comment,
      sym_block_comment,
  [654478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20093), 1,
      anon_sym_COMMA,
    ACTIONS(20095), 1,
      anon_sym_RBRACK,
    STATE(16044), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16052), 2,
      sym_comment,
      sym_block_comment,
  [654498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20097), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16053), 2,
      sym_comment,
      sym_block_comment,
  [654518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20097), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16054), 2,
      sym_comment,
      sym_block_comment,
  [654538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12637), 1,
      anon_sym_RPAREN,
    ACTIONS(20013), 1,
      anon_sym_COMMA,
    STATE(15675), 1,
      aux_sym_parameters_repeat1,
    STATE(16055), 2,
      sym_comment,
      sym_block_comment,
  [654558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5528), 1,
      anon_sym_RPAREN,
    ACTIONS(20099), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16056), 2,
      sym_comment,
      sym_block_comment,
  [654578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20101), 1,
      anon_sym_COMMA,
    ACTIONS(20103), 1,
      anon_sym_RPAREN,
    STATE(15853), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16057), 2,
      sym_comment,
      sym_block_comment,
  [654598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(14950), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16058), 2,
      sym_comment,
      sym_block_comment,
  [654618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5732), 1,
      anon_sym_RBRACK,
    ACTIONS(20105), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16059), 2,
      sym_comment,
      sym_block_comment,
  [654638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4626), 1,
      sym__indent,
    STATE(9435), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16060), 2,
      sym_comment,
      sym_block_comment,
  [654656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5812), 1,
      anon_sym_RPAREN,
    ACTIONS(20107), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16061), 2,
      sym_comment,
      sym_block_comment,
  [654676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16604), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [654692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14842), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16063), 2,
      sym_comment,
      sym_block_comment,
  [654712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5492), 1,
      anon_sym_RBRACK,
    ACTIONS(20109), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16064), 2,
      sym_comment,
      sym_block_comment,
  [654732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20111), 1,
      anon_sym_COMMA,
    ACTIONS(20113), 1,
      anon_sym_RPAREN,
    STATE(15912), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16065), 2,
      sym_comment,
      sym_block_comment,
  [654752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14917), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16066), 2,
      sym_comment,
      sym_block_comment,
  [654772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20115), 1,
      anon_sym_COMMA,
    ACTIONS(20117), 1,
      anon_sym_RBRACK,
    STATE(16070), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16067), 2,
      sym_comment,
      sym_block_comment,
  [654792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15218), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(7835), 1,
      sym_type_arguments,
    STATE(16068), 2,
      sym_comment,
      sym_block_comment,
  [654812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7926), 1,
      anon_sym_RPAREN,
    ACTIONS(20119), 1,
      anon_sym_COMMA,
    STATE(16038), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16069), 2,
      sym_comment,
      sym_block_comment,
  [654832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20121), 1,
      anon_sym_COMMA,
    ACTIONS(20123), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16070), 2,
      sym_comment,
      sym_block_comment,
  [654852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5742), 1,
      anon_sym_RPAREN,
    ACTIONS(20125), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16071), 2,
      sym_comment,
      sym_block_comment,
  [654872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20127), 1,
      anon_sym_COMMA,
    ACTIONS(20129), 1,
      anon_sym_RPAREN,
    STATE(15248), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16072), 2,
      sym_comment,
      sym_block_comment,
  [654892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 1,
      sym__arrow_then_type,
    ACTIONS(20131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16073), 2,
      sym_comment,
      sym_block_comment,
  [654910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12079), 1,
      sym__arrow_then_type,
    ACTIONS(20133), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16074), 2,
      sym_comment,
      sym_block_comment,
  [654928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12047), 1,
      sym__arrow_then_type,
    ACTIONS(20135), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16075), 2,
      sym_comment,
      sym_block_comment,
  [654946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13016), 1,
      sym__arrow_then_type,
    ACTIONS(20137), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16076), 2,
      sym_comment,
      sym_block_comment,
  [654964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12197), 1,
      sym__arrow_then_type,
    ACTIONS(20139), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16077), 2,
      sym_comment,
      sym_block_comment,
  [654982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11647), 1,
      sym__arrow_then_type,
    ACTIONS(20141), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16078), 2,
      sym_comment,
      sym_block_comment,
  [655000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12173), 1,
      sym__arrow_then_type,
    ACTIONS(20143), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16079), 2,
      sym_comment,
      sym_block_comment,
  [655018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11908), 1,
      sym__arrow_then_type,
    ACTIONS(20145), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16080), 2,
      sym_comment,
      sym_block_comment,
  [655036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12415), 1,
      sym__indent,
    STATE(11301), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16081), 2,
      sym_comment,
      sym_block_comment,
  [655054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20147), 1,
      anon_sym_COMMA,
    ACTIONS(20149), 1,
      anon_sym_RBRACK,
    STATE(15915), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16082), 2,
      sym_comment,
      sym_block_comment,
  [655074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5544), 1,
      anon_sym_RBRACK,
    ACTIONS(20151), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16083), 2,
      sym_comment,
      sym_block_comment,
  [655094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20153), 1,
      sym__interpolated_multiline_string_end,
    STATE(16102), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16084), 2,
      sym_comment,
      sym_block_comment,
  [655114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5690), 1,
      anon_sym_RPAREN,
    ACTIONS(20155), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16085), 2,
      sym_comment,
      sym_block_comment,
  [655134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20153), 1,
      sym__interpolated_string_end,
    STATE(16103), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16086), 2,
      sym_comment,
      sym_block_comment,
  [655154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20157), 1,
      anon_sym_COMMA,
    ACTIONS(20159), 1,
      anon_sym_RPAREN,
    STATE(15640), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16087), 2,
      sym_comment,
      sym_block_comment,
  [655174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20161), 1,
      anon_sym_COMMA,
    ACTIONS(20163), 1,
      anon_sym_RBRACK,
    STATE(16093), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16088), 2,
      sym_comment,
      sym_block_comment,
  [655194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14837), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16089), 2,
      sym_comment,
      sym_block_comment,
  [655214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20165), 1,
      anon_sym_COMMA,
    ACTIONS(20167), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16090), 2,
      sym_comment,
      sym_block_comment,
  [655234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20169), 1,
      anon_sym_COMMA,
    ACTIONS(20171), 1,
      anon_sym_RBRACK,
    STATE(16083), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16091), 2,
      sym_comment,
      sym_block_comment,
  [655254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20173), 1,
      anon_sym_COMMA,
    ACTIONS(20175), 1,
      anon_sym_RBRACK,
    STATE(15664), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16092), 2,
      sym_comment,
      sym_block_comment,
  [655274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20177), 1,
      anon_sym_COMMA,
    ACTIONS(20179), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16093), 2,
      sym_comment,
      sym_block_comment,
  [655294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5988), 1,
      anon_sym_RPAREN,
    ACTIONS(20181), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16094), 2,
      sym_comment,
      sym_block_comment,
  [655314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20183), 1,
      anon_sym_COMMA,
    ACTIONS(20185), 1,
      anon_sym_RBRACK,
    STATE(16097), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16095), 2,
      sym_comment,
      sym_block_comment,
  [655334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7926), 1,
      anon_sym_RPAREN,
    ACTIONS(20119), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16096), 2,
      sym_comment,
      sym_block_comment,
  [655354] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20187), 1,
      anon_sym_COMMA,
    ACTIONS(20189), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16097), 2,
      sym_comment,
      sym_block_comment,
  [655374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20191), 1,
      anon_sym_COMMA,
    ACTIONS(20193), 1,
      anon_sym_RBRACK,
    STATE(15970), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16098), 2,
      sym_comment,
      sym_block_comment,
  [655394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20195), 1,
      anon_sym_COMMA,
    ACTIONS(20197), 1,
      anon_sym_RPAREN,
    STATE(15295), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16099), 2,
      sym_comment,
      sym_block_comment,
  [655414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20199), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16100), 2,
      sym_comment,
      sym_block_comment,
  [655434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20201), 1,
      anon_sym_COMMA,
    ACTIONS(20203), 1,
      anon_sym_RBRACK,
    STATE(16106), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16101), 2,
      sym_comment,
      sym_block_comment,
  [655454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20205), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16102), 2,
      sym_comment,
      sym_block_comment,
  [655474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20205), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16103), 2,
      sym_comment,
      sym_block_comment,
  [655494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5898), 1,
      anon_sym_RPAREN,
    ACTIONS(20207), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16104), 2,
      sym_comment,
      sym_block_comment,
  [655514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5838), 1,
      anon_sym_RPAREN,
    ACTIONS(20209), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16105), 2,
      sym_comment,
      sym_block_comment,
  [655534] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6110), 1,
      anon_sym_RBRACK,
    ACTIONS(20211), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16106), 2,
      sym_comment,
      sym_block_comment,
  [655554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5554), 1,
      anon_sym_RBRACK,
    ACTIONS(20213), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16107), 2,
      sym_comment,
      sym_block_comment,
  [655574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12443), 1,
      sym__indent,
    STATE(10695), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16108), 2,
      sym_comment,
      sym_block_comment,
  [655592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(14832), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16109), 2,
      sym_comment,
      sym_block_comment,
  [655612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14861), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16110), 2,
      sym_comment,
      sym_block_comment,
  [655632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5500), 1,
      anon_sym_RBRACK,
    ACTIONS(20215), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16111), 2,
      sym_comment,
      sym_block_comment,
  [655652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12464), 1,
      sym__indent,
    STATE(11177), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16112), 2,
      sym_comment,
      sym_block_comment,
  [655670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20217), 1,
      anon_sym_COMMA,
    ACTIONS(20219), 1,
      anon_sym_RBRACK,
    STATE(16121), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16113), 2,
      sym_comment,
      sym_block_comment,
  [655690] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5504), 1,
      anon_sym_RPAREN,
    ACTIONS(20221), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16114), 2,
      sym_comment,
      sym_block_comment,
  [655710] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20223), 1,
      anon_sym_COMMA,
    ACTIONS(20225), 1,
      anon_sym_RPAREN,
    STATE(15350), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16115), 2,
      sym_comment,
      sym_block_comment,
  [655730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15118), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16116), 2,
      sym_comment,
      sym_block_comment,
  [655750] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20227), 1,
      anon_sym_COMMA,
    ACTIONS(20229), 1,
      anon_sym_RPAREN,
    STATE(15872), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16117), 2,
      sym_comment,
      sym_block_comment,
  [655770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15696), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9173), 1,
      sym_type_arguments,
    STATE(16118), 2,
      sym_comment,
      sym_block_comment,
  [655790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16779), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [655806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(20231), 1,
      anon_sym_RPAREN,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16120), 2,
      sym_comment,
      sym_block_comment,
  [655826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20233), 1,
      anon_sym_COMMA,
    ACTIONS(20235), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16121), 2,
      sym_comment,
      sym_block_comment,
  [655846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 1,
      sym__arrow_then_type,
    ACTIONS(20237), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16122), 2,
      sym_comment,
      sym_block_comment,
  [655864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12079), 1,
      sym__arrow_then_type,
    ACTIONS(20239), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16123), 2,
      sym_comment,
      sym_block_comment,
  [655882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13016), 1,
      sym__arrow_then_type,
    ACTIONS(20241), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16124), 2,
      sym_comment,
      sym_block_comment,
  [655900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20243), 1,
      anon_sym_COMMA,
    ACTIONS(20245), 1,
      anon_sym_RBRACK,
    STATE(16111), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16125), 2,
      sym_comment,
      sym_block_comment,
  [655920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20247), 1,
      sym__interpolated_multiline_string_end,
    STATE(16140), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16126), 2,
      sym_comment,
      sym_block_comment,
  [655940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20247), 1,
      sym__interpolated_string_end,
    STATE(16145), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16127), 2,
      sym_comment,
      sym_block_comment,
  [655960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20249), 1,
      anon_sym_COMMA,
    ACTIONS(20251), 1,
      anon_sym_RPAREN,
    STATE(15818), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16128), 2,
      sym_comment,
      sym_block_comment,
  [655980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12538), 1,
      sym__arrow_then_type,
    ACTIONS(20253), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16129), 2,
      sym_comment,
      sym_block_comment,
  [655998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20255), 1,
      anon_sym_COMMA,
    ACTIONS(20257), 1,
      anon_sym_RBRACK,
    STATE(16136), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16130), 2,
      sym_comment,
      sym_block_comment,
  [656018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20259), 1,
      anon_sym_COMMA,
    ACTIONS(20261), 1,
      anon_sym_RPAREN,
    STATE(15184), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16131), 2,
      sym_comment,
      sym_block_comment,
  [656038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20263), 1,
      anon_sym_COMMA,
    ACTIONS(20265), 1,
      anon_sym_RPAREN,
    STATE(15379), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16132), 2,
      sym_comment,
      sym_block_comment,
  [656058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14883), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16133), 2,
      sym_comment,
      sym_block_comment,
  [656078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20267), 1,
      anon_sym_COMMA,
    ACTIONS(20269), 1,
      anon_sym_RBRACK,
    STATE(16161), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16134), 2,
      sym_comment,
      sym_block_comment,
  [656098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20271), 1,
      anon_sym_COMMA,
    ACTIONS(20273), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16135), 2,
      sym_comment,
      sym_block_comment,
  [656118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20275), 1,
      anon_sym_COMMA,
    ACTIONS(20277), 1,
      anon_sym_RBRACK,
    STATE(15772), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16136), 2,
      sym_comment,
      sym_block_comment,
  [656138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7378), 1,
      anon_sym_RPAREN,
    ACTIONS(20279), 1,
      anon_sym_COMMA,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16137), 2,
      sym_comment,
      sym_block_comment,
  [656158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20281), 1,
      anon_sym_COMMA,
    ACTIONS(20283), 1,
      anon_sym_RBRACK,
    STATE(16162), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16138), 2,
      sym_comment,
      sym_block_comment,
  [656178] = 6,
    ACTIONS(18292), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(20287), 1,
      sym__comment_text,
    ACTIONS(20289), 1,
      anon_sym_GT,
    STATE(18497), 1,
      sym_using_directive,
    STATE(16139), 2,
      sym_comment,
      sym_block_comment,
  [656198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20291), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16140), 2,
      sym_comment,
      sym_block_comment,
  [656218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20293), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16141), 2,
      sym_comment,
      sym_block_comment,
  [656238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12460), 1,
      sym__indent,
    STATE(10449), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16142), 2,
      sym_comment,
      sym_block_comment,
  [656256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15200), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [656272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5420), 1,
      anon_sym_RBRACK,
    ACTIONS(20295), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16144), 2,
      sym_comment,
      sym_block_comment,
  [656292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20291), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16145), 2,
      sym_comment,
      sym_block_comment,
  [656312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15159), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16146), 2,
      sym_comment,
      sym_block_comment,
  [656332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5566), 1,
      anon_sym_RPAREN,
    ACTIONS(20297), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16147), 2,
      sym_comment,
      sym_block_comment,
  [656352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5810), 1,
      anon_sym_RPAREN,
    ACTIONS(20299), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16148), 2,
      sym_comment,
      sym_block_comment,
  [656372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5734), 1,
      anon_sym_RBRACK,
    ACTIONS(20301), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16149), 2,
      sym_comment,
      sym_block_comment,
  [656392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5842), 1,
      anon_sym_RBRACK,
    ACTIONS(20303), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16150), 2,
      sym_comment,
      sym_block_comment,
  [656412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20305), 1,
      anon_sym_COMMA,
    ACTIONS(20307), 1,
      anon_sym_RBRACK,
    STATE(16144), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16151), 2,
      sym_comment,
      sym_block_comment,
  [656432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    ACTIONS(20309), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16152), 2,
      sym_comment,
      sym_block_comment,
  [656452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15168), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16153), 2,
      sym_comment,
      sym_block_comment,
  [656472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5986), 1,
      anon_sym_RPAREN,
    ACTIONS(20311), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16154), 2,
      sym_comment,
      sym_block_comment,
  [656492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14906), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16155), 2,
      sym_comment,
      sym_block_comment,
  [656512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4618), 1,
      sym__indent,
    STATE(9697), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16156), 2,
      sym_comment,
      sym_block_comment,
  [656530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7820), 1,
      anon_sym_RPAREN,
    ACTIONS(20313), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16157), 2,
      sym_comment,
      sym_block_comment,
  [656550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20315), 1,
      anon_sym_COMMA,
    ACTIONS(20317), 1,
      anon_sym_RBRACK,
    STATE(16149), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16158), 2,
      sym_comment,
      sym_block_comment,
  [656570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 1,
      sym__arrow_then_type,
    ACTIONS(20319), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16159), 2,
      sym_comment,
      sym_block_comment,
  [656588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12079), 1,
      sym__arrow_then_type,
    ACTIONS(20321), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16160), 2,
      sym_comment,
      sym_block_comment,
  [656606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5586), 1,
      anon_sym_RBRACK,
    ACTIONS(20323), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16161), 2,
      sym_comment,
      sym_block_comment,
  [656626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6054), 1,
      anon_sym_RBRACK,
    ACTIONS(20325), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16162), 2,
      sym_comment,
      sym_block_comment,
  [656646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20327), 1,
      anon_sym_COMMA,
    ACTIONS(20329), 1,
      anon_sym_RBRACK,
    STATE(16107), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16163), 2,
      sym_comment,
      sym_block_comment,
  [656666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7862), 1,
      anon_sym_RPAREN,
    ACTIONS(20331), 1,
      anon_sym_COMMA,
    STATE(16212), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16164), 2,
      sym_comment,
      sym_block_comment,
  [656686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20333), 1,
      anon_sym_COMMA,
    ACTIONS(20335), 1,
      anon_sym_RPAREN,
    STATE(15302), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16165), 2,
      sym_comment,
      sym_block_comment,
  [656706] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_RPAREN,
    STATE(15811), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16166), 2,
      sym_comment,
      sym_block_comment,
  [656726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7820), 1,
      anon_sym_RPAREN,
    ACTIONS(20313), 1,
      anon_sym_COMMA,
    STATE(16096), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16167), 2,
      sym_comment,
      sym_block_comment,
  [656746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7862), 1,
      anon_sym_RPAREN,
    ACTIONS(20331), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16168), 2,
      sym_comment,
      sym_block_comment,
  [656766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4286), 1,
      sym__indent,
    STATE(10175), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16169), 2,
      sym_comment,
      sym_block_comment,
  [656784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12173), 1,
      sym__arrow_then_type,
    ACTIONS(20341), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16170), 2,
      sym_comment,
      sym_block_comment,
  [656802] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20343), 1,
      anon_sym_COMMA,
    ACTIONS(20345), 1,
      anon_sym_RPAREN,
    STATE(15218), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16171), 2,
      sym_comment,
      sym_block_comment,
  [656822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20347), 1,
      anon_sym_COMMA,
    ACTIONS(20349), 1,
      anon_sym_RBRACK,
    STATE(16200), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16172), 2,
      sym_comment,
      sym_block_comment,
  [656842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4350), 1,
      sym__indent,
    STATE(9550), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16173), 2,
      sym_comment,
      sym_block_comment,
  [656860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4250), 1,
      sym__indent,
    STATE(9597), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16174), 2,
      sym_comment,
      sym_block_comment,
  [656878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19291), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [656894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20351), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16176), 2,
      sym_comment,
      sym_block_comment,
  [656914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5344), 1,
      anon_sym_RBRACK,
    ACTIONS(20353), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16177), 2,
      sym_comment,
      sym_block_comment,
  [656934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5870), 1,
      anon_sym_RBRACK,
    ACTIONS(20355), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16178), 2,
      sym_comment,
      sym_block_comment,
  [656954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12667), 1,
      anon_sym_RPAREN,
    ACTIONS(20357), 1,
      anon_sym_COMMA,
    STATE(15675), 1,
      aux_sym_parameters_repeat1,
    STATE(16179), 2,
      sym_comment,
      sym_block_comment,
  [656974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5612), 1,
      anon_sym_RPAREN,
    ACTIONS(20359), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16180), 2,
      sym_comment,
      sym_block_comment,
  [656994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15151), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16181), 2,
      sym_comment,
      sym_block_comment,
  [657014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14926), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16182), 2,
      sym_comment,
      sym_block_comment,
  [657034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20361), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16183), 2,
      sym_comment,
      sym_block_comment,
  [657054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5068), 1,
      anon_sym_RPAREN,
    ACTIONS(20363), 1,
      anon_sym_COMMA,
    STATE(15675), 1,
      aux_sym_parameters_repeat1,
    STATE(16184), 2,
      sym_comment,
      sym_block_comment,
  [657074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20361), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16185), 2,
      sym_comment,
      sym_block_comment,
  [657094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15941), 1,
      anon_sym_match,
    ACTIONS(16061), 1,
      anon_sym_LBRACK,
    STATE(9987), 1,
      sym_type_arguments,
    STATE(16186), 2,
      sym_comment,
      sym_block_comment,
  [657114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16533), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [657130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15156), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16188), 2,
      sym_comment,
      sym_block_comment,
  [657150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    ACTIONS(20365), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16189), 2,
      sym_comment,
      sym_block_comment,
  [657170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16930), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [657186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20367), 1,
      sym__interpolated_multiline_string_end,
    STATE(16221), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16191), 2,
      sym_comment,
      sym_block_comment,
  [657206] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20369), 1,
      anon_sym_COMMA,
    ACTIONS(20371), 1,
      anon_sym_RBRACK,
    STATE(16177), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16192), 2,
      sym_comment,
      sym_block_comment,
  [657226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20367), 1,
      sym__interpolated_string_end,
    STATE(16223), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16193), 2,
      sym_comment,
      sym_block_comment,
  [657246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 1,
      sym__arrow_then_type,
    ACTIONS(20373), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16194), 2,
      sym_comment,
      sym_block_comment,
  [657264] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20375), 1,
      anon_sym_COMMA,
    ACTIONS(20377), 1,
      anon_sym_RPAREN,
    STATE(15750), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16195), 2,
      sym_comment,
      sym_block_comment,
  [657284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13794), 1,
      sym__arrow_then_type,
    ACTIONS(20379), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16196), 2,
      sym_comment,
      sym_block_comment,
  [657302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      anon_sym_RPAREN,
    ACTIONS(20381), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16197), 2,
      sym_comment,
      sym_block_comment,
  [657322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5966), 1,
      anon_sym_RPAREN,
    ACTIONS(20383), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16198), 2,
      sym_comment,
      sym_block_comment,
  [657342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20385), 1,
      anon_sym_COMMA,
    ACTIONS(20387), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16199), 2,
      sym_comment,
      sym_block_comment,
  [657362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5604), 1,
      anon_sym_RBRACK,
    ACTIONS(20389), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16200), 2,
      sym_comment,
      sym_block_comment,
  [657382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16590), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [657398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13570), 1,
      sym__arrow_then_type,
    ACTIONS(20391), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16202), 2,
      sym_comment,
      sym_block_comment,
  [657416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20393), 1,
      anon_sym_COMMA,
    ACTIONS(20395), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16203), 2,
      sym_comment,
      sym_block_comment,
  [657436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14945), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16204), 2,
      sym_comment,
      sym_block_comment,
  [657456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20397), 1,
      sym__interpolated_string_end,
    STATE(16183), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16205), 2,
      sym_comment,
      sym_block_comment,
  [657476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20397), 1,
      sym__interpolated_multiline_string_end,
    STATE(16185), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16206), 2,
      sym_comment,
      sym_block_comment,
  [657496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5068), 1,
      anon_sym_RPAREN,
    ACTIONS(20399), 1,
      anon_sym_COMMA,
    STATE(15815), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16207), 2,
      sym_comment,
      sym_block_comment,
  [657516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7424), 1,
      anon_sym_RPAREN,
    ACTIONS(20401), 1,
      anon_sym_COMMA,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16208), 2,
      sym_comment,
      sym_block_comment,
  [657536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20403), 1,
      anon_sym_COMMA,
    ACTIONS(20405), 1,
      anon_sym_RBRACK,
    STATE(16189), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16209), 2,
      sym_comment,
      sym_block_comment,
  [657556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20407), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16210), 2,
      sym_comment,
      sym_block_comment,
  [657576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10461), 1,
      anon_sym_COMMA,
    ACTIONS(20409), 1,
      anon_sym_RPAREN,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16211), 2,
      sym_comment,
      sym_block_comment,
  [657596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7884), 1,
      anon_sym_RPAREN,
    ACTIONS(18310), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16212), 2,
      sym_comment,
      sym_block_comment,
  [657616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20411), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16213), 2,
      sym_comment,
      sym_block_comment,
  [657636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    ACTIONS(20413), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16214), 2,
      sym_comment,
      sym_block_comment,
  [657656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15131), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16215), 2,
      sym_comment,
      sym_block_comment,
  [657676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4722), 1,
      sym__indent,
    STATE(9332), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16216), 2,
      sym_comment,
      sym_block_comment,
  [657694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20415), 1,
      anon_sym_COMMA,
    ACTIONS(20417), 1,
      anon_sym_RPAREN,
    STATE(15731), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16217), 2,
      sym_comment,
      sym_block_comment,
  [657714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17381), 1,
      anon_sym_COMMA,
    ACTIONS(17383), 1,
      anon_sym_RPAREN,
    STATE(16207), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16218), 2,
      sym_comment,
      sym_block_comment,
  [657734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5244), 1,
      anon_sym_RBRACK,
    ACTIONS(20419), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16219), 2,
      sym_comment,
      sym_block_comment,
  [657754] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20421), 1,
      anon_sym_COMMA,
    ACTIONS(20423), 1,
      anon_sym_RBRACK,
    STATE(16231), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16220), 2,
      sym_comment,
      sym_block_comment,
  [657774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20425), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16221), 2,
      sym_comment,
      sym_block_comment,
  [657794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15142), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16222), 2,
      sym_comment,
      sym_block_comment,
  [657814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20425), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16223), 2,
      sym_comment,
      sym_block_comment,
  [657834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19558), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [657850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5518), 1,
      anon_sym_RPAREN,
    ACTIONS(20427), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16225), 2,
      sym_comment,
      sym_block_comment,
  [657870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5660), 1,
      anon_sym_RPAREN,
    ACTIONS(20429), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16226), 2,
      sym_comment,
      sym_block_comment,
  [657890] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15064), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16227), 2,
      sym_comment,
      sym_block_comment,
  [657910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 1,
      sym__arrow_then_type,
    ACTIONS(20431), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16228), 2,
      sym_comment,
      sym_block_comment,
  [657928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20433), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16229), 2,
      sym_comment,
      sym_block_comment,
  [657948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20433), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16230), 2,
      sym_comment,
      sym_block_comment,
  [657968] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5892), 1,
      anon_sym_RBRACK,
    ACTIONS(20435), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16231), 2,
      sym_comment,
      sym_block_comment,
  [657988] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14963), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16232), 2,
      sym_comment,
      sym_block_comment,
  [658008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4576), 1,
      sym__indent,
    STATE(10886), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16233), 2,
      sym_comment,
      sym_block_comment,
  [658026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_RBRACK,
    STATE(16219), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16234), 2,
      sym_comment,
      sym_block_comment,
  [658046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7654), 1,
      anon_sym_RPAREN,
    ACTIONS(20441), 1,
      anon_sym_COMMA,
    STATE(16157), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16235), 2,
      sym_comment,
      sym_block_comment,
  [658066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7978), 1,
      anon_sym_RPAREN,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    STATE(16242), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16236), 2,
      sym_comment,
      sym_block_comment,
  [658086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15027), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16237), 2,
      sym_comment,
      sym_block_comment,
  [658106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20443), 1,
      anon_sym_COMMA,
    ACTIONS(20445), 1,
      anon_sym_RBRACK,
    STATE(16319), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16238), 2,
      sym_comment,
      sym_block_comment,
  [658126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20447), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16239), 2,
      sym_comment,
      sym_block_comment,
  [658146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20447), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16240), 2,
      sym_comment,
      sym_block_comment,
  [658166] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    ACTIONS(20449), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16241), 2,
      sym_comment,
      sym_block_comment,
  [658186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7976), 1,
      anon_sym_RPAREN,
    ACTIONS(20451), 1,
      anon_sym_COMMA,
    STATE(15724), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16242), 2,
      sym_comment,
      sym_block_comment,
  [658206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13246), 1,
      sym__arrow_then_type,
    ACTIONS(20453), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16243), 2,
      sym_comment,
      sym_block_comment,
  [658224] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20455), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16244), 2,
      sym_comment,
      sym_block_comment,
  [658244] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20457), 1,
      anon_sym_COMMA,
    ACTIONS(20459), 1,
      anon_sym_RPAREN,
    STATE(15486), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16245), 2,
      sym_comment,
      sym_block_comment,
  [658264] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20461), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16246), 2,
      sym_comment,
      sym_block_comment,
  [658284] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20463), 1,
      sym__interpolated_string_end,
    STATE(16229), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16247), 2,
      sym_comment,
      sym_block_comment,
  [658304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20463), 1,
      sym__interpolated_multiline_string_end,
    STATE(16230), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16248), 2,
      sym_comment,
      sym_block_comment,
  [658324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15111), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16249), 2,
      sym_comment,
      sym_block_comment,
  [658344] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5952), 1,
      anon_sym_RPAREN,
    ACTIONS(20465), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16250), 2,
      sym_comment,
      sym_block_comment,
  [658364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19645), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [658380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20467), 1,
      anon_sym_COMMA,
    ACTIONS(20469), 1,
      anon_sym_RBRACK,
    STATE(16178), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16252), 2,
      sym_comment,
      sym_block_comment,
  [658400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13557), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(6165), 1,
      sym_type_arguments,
    STATE(16253), 2,
      sym_comment,
      sym_block_comment,
  [658420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20471), 1,
      sym__interpolated_multiline_string_end,
    STATE(16269), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16254), 2,
      sym_comment,
      sym_block_comment,
  [658440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20471), 1,
      sym__interpolated_string_end,
    STATE(16271), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16255), 2,
      sym_comment,
      sym_block_comment,
  [658460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15124), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16256), 2,
      sym_comment,
      sym_block_comment,
  [658480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20473), 1,
      anon_sym_COMMA,
    ACTIONS(20475), 1,
      anon_sym_RPAREN,
    STATE(15619), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16257), 2,
      sym_comment,
      sym_block_comment,
  [658500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13805), 1,
      sym__arrow_then_type,
    ACTIONS(20477), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16258), 2,
      sym_comment,
      sym_block_comment,
  [658518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(14986), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16259), 2,
      sym_comment,
      sym_block_comment,
  [658538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20479), 1,
      anon_sym_COMMA,
    ACTIONS(20481), 1,
      anon_sym_RBRACK,
    STATE(16241), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16260), 2,
      sym_comment,
      sym_block_comment,
  [658558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5642), 1,
      anon_sym_RBRACK,
    ACTIONS(20483), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16261), 2,
      sym_comment,
      sym_block_comment,
  [658578] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20485), 1,
      anon_sym_COMMA,
    ACTIONS(20487), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16262), 2,
      sym_comment,
      sym_block_comment,
  [658598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12490), 1,
      sym__indent,
    STATE(10447), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16263), 2,
      sym_comment,
      sym_block_comment,
  [658616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(14911), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16264), 2,
      sym_comment,
      sym_block_comment,
  [658636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20489), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16265), 2,
      sym_comment,
      sym_block_comment,
  [658656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20491), 1,
      anon_sym_COMMA,
    ACTIONS(20493), 1,
      anon_sym_RBRACK,
    STATE(16278), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16266), 2,
      sym_comment,
      sym_block_comment,
  [658676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5156), 1,
      anon_sym_RBRACK,
    ACTIONS(20495), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16267), 2,
      sym_comment,
      sym_block_comment,
  [658696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20497), 1,
      anon_sym_COMMA,
    ACTIONS(20499), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16268), 2,
      sym_comment,
      sym_block_comment,
  [658716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20501), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16269), 2,
      sym_comment,
      sym_block_comment,
  [658736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5740), 1,
      anon_sym_RPAREN,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16270), 2,
      sym_comment,
      sym_block_comment,
  [658756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20501), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16271), 2,
      sym_comment,
      sym_block_comment,
  [658776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20505), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16272), 2,
      sym_comment,
      sym_block_comment,
  [658796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20505), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16273), 2,
      sym_comment,
      sym_block_comment,
  [658816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5412), 1,
      anon_sym_RPAREN,
    ACTIONS(20507), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16274), 2,
      sym_comment,
      sym_block_comment,
  [658836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20509), 1,
      anon_sym_COMMA,
    ACTIONS(20511), 1,
      anon_sym_RPAREN,
    STATE(15308), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16275), 2,
      sym_comment,
      sym_block_comment,
  [658856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20513), 1,
      anon_sym_COMMA,
    ACTIONS(20515), 1,
      anon_sym_RBRACK,
    STATE(16267), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16276), 2,
      sym_comment,
      sym_block_comment,
  [658876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20517), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16277), 2,
      sym_comment,
      sym_block_comment,
  [658896] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5760), 1,
      anon_sym_RBRACK,
    ACTIONS(20519), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16278), 2,
      sym_comment,
      sym_block_comment,
  [658916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4540), 1,
      sym__indent,
    STATE(5722), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16279), 2,
      sym_comment,
      sym_block_comment,
  [658934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15005), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16280), 2,
      sym_comment,
      sym_block_comment,
  [658954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5906), 1,
      anon_sym_RPAREN,
    ACTIONS(20521), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16281), 2,
      sym_comment,
      sym_block_comment,
  [658974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15032), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16282), 2,
      sym_comment,
      sym_block_comment,
  [658994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11744), 1,
      sym__arrow_then_type,
    ACTIONS(20523), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16283), 2,
      sym_comment,
      sym_block_comment,
  [659012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(14839), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16284), 2,
      sym_comment,
      sym_block_comment,
  [659032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15190), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(16285), 2,
      sym_comment,
      sym_block_comment,
  [659052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16382), 1,
      sym__arrow_then_type,
    ACTIONS(20525), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16286), 2,
      sym_comment,
      sym_block_comment,
  [659070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20527), 1,
      anon_sym_COMMA,
    ACTIONS(20529), 1,
      anon_sym_RPAREN,
    STATE(15395), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16287), 2,
      sym_comment,
      sym_block_comment,
  [659090] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20531), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16288), 2,
      sym_comment,
      sym_block_comment,
  [659110] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15096), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16289), 2,
      sym_comment,
      sym_block_comment,
  [659130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20533), 1,
      anon_sym_COMMA,
    ACTIONS(20535), 1,
      anon_sym_RPAREN,
    STATE(16214), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16290), 2,
      sym_comment,
      sym_block_comment,
  [659150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20537), 1,
      sym__interpolated_multiline_string_end,
    STATE(16301), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16291), 2,
      sym_comment,
      sym_block_comment,
  [659170] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20537), 1,
      sym__interpolated_string_end,
    STATE(16304), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16292), 2,
      sym_comment,
      sym_block_comment,
  [659190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20539), 1,
      anon_sym_COMMA,
    ACTIONS(20541), 1,
      anon_sym_RPAREN,
    STATE(15273), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16293), 2,
      sym_comment,
      sym_block_comment,
  [659210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20543), 1,
      sym__interpolated_string_end,
    STATE(16272), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16294), 2,
      sym_comment,
      sym_block_comment,
  [659230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20543), 1,
      sym__interpolated_multiline_string_end,
    STATE(16273), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16295), 2,
      sym_comment,
      sym_block_comment,
  [659250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13133), 1,
      sym__arrow_then_type,
    ACTIONS(20545), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16296), 2,
      sym_comment,
      sym_block_comment,
  [659268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20547), 1,
      anon_sym_COMMA,
    ACTIONS(20549), 1,
      anon_sym_RBRACK,
    STATE(16092), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16297), 2,
      sym_comment,
      sym_block_comment,
  [659288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20551), 1,
      anon_sym_COMMA,
    ACTIONS(20553), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16298), 2,
      sym_comment,
      sym_block_comment,
  [659308] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15023), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16299), 2,
      sym_comment,
      sym_block_comment,
  [659328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20555), 1,
      anon_sym_COMMA,
    ACTIONS(20557), 1,
      anon_sym_RBRACK,
    STATE(16312), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16300), 2,
      sym_comment,
      sym_block_comment,
  [659348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20559), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16301), 2,
      sym_comment,
      sym_block_comment,
  [659368] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(14846), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16302), 2,
      sym_comment,
      sym_block_comment,
  [659388] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20561), 1,
      anon_sym_COMMA,
    ACTIONS(20563), 1,
      anon_sym_RBRACK,
    STATE(16261), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16303), 2,
      sym_comment,
      sym_block_comment,
  [659408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20559), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16304), 2,
      sym_comment,
      sym_block_comment,
  [659428] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5144), 1,
      anon_sym_RPAREN,
    ACTIONS(20565), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16305), 2,
      sym_comment,
      sym_block_comment,
  [659448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4356), 1,
      sym__indent,
    STATE(6986), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16306), 2,
      sym_comment,
      sym_block_comment,
  [659466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20567), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16307), 2,
      sym_comment,
      sym_block_comment,
  [659486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20569), 1,
      sym__interpolated_string_end,
    STATE(16239), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16308), 2,
      sym_comment,
      sym_block_comment,
  [659506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5260), 1,
      anon_sym_RBRACK,
    ACTIONS(20571), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16309), 2,
      sym_comment,
      sym_block_comment,
  [659526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20573), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16310), 2,
      sym_comment,
      sym_block_comment,
  [659546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20569), 1,
      sym__interpolated_multiline_string_end,
    STATE(16240), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16311), 2,
      sym_comment,
      sym_block_comment,
  [659566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5574), 1,
      anon_sym_RBRACK,
    ACTIONS(20575), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16312), 2,
      sym_comment,
      sym_block_comment,
  [659586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5790), 1,
      anon_sym_RPAREN,
    ACTIONS(20577), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16313), 2,
      sym_comment,
      sym_block_comment,
  [659606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12519), 1,
      sym__indent,
    STATE(9888), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16314), 2,
      sym_comment,
      sym_block_comment,
  [659624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(15014), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16315), 2,
      sym_comment,
      sym_block_comment,
  [659644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20579), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16316), 2,
      sym_comment,
      sym_block_comment,
  [659664] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20579), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16317), 2,
      sym_comment,
      sym_block_comment,
  [659684] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5664), 1,
      anon_sym_RBRACK,
    ACTIONS(20581), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16318), 2,
      sym_comment,
      sym_block_comment,
  [659704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5620), 1,
      anon_sym_RBRACK,
    ACTIONS(20583), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16319), 2,
      sym_comment,
      sym_block_comment,
  [659724] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20585), 1,
      anon_sym_COMMA,
    ACTIONS(20587), 1,
      anon_sym_RBRACK,
    STATE(16309), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16320), 2,
      sym_comment,
      sym_block_comment,
  [659744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15587), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(8357), 1,
      sym_type_arguments,
    STATE(16321), 2,
      sym_comment,
      sym_block_comment,
  [659764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15077), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16322), 2,
      sym_comment,
      sym_block_comment,
  [659784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17273), 1,
      anon_sym_case,
    STATE(15044), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16564), 1,
      sym_type_case_clause,
    STATE(16323), 2,
      sym_comment,
      sym_block_comment,
  [659804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20589), 1,
      sym__interpolated_multiline_string_end,
    STATE(16342), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16324), 2,
      sym_comment,
      sym_block_comment,
  [659824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20589), 1,
      sym__interpolated_string_end,
    STATE(16344), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16325), 2,
      sym_comment,
      sym_block_comment,
  [659844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20591), 1,
      anon_sym_COMMA,
    ACTIONS(20593), 1,
      anon_sym_RBRACK,
    STATE(16345), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16326), 2,
      sym_comment,
      sym_block_comment,
  [659864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20595), 1,
      anon_sym_COMMA,
    ACTIONS(20597), 1,
      anon_sym_RPAREN,
    STATE(15429), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16327), 2,
      sym_comment,
      sym_block_comment,
  [659884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(14852), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16328), 2,
      sym_comment,
      sym_block_comment,
  [659904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13904), 1,
      sym__arrow_then_type,
    ACTIONS(20599), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16329), 2,
      sym_comment,
      sym_block_comment,
  [659922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5926), 1,
      anon_sym_RPAREN,
    ACTIONS(20601), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16330), 2,
      sym_comment,
      sym_block_comment,
  [659942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20603), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16331), 2,
      sym_comment,
      sym_block_comment,
  [659962] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20605), 1,
      anon_sym_COMMA,
    ACTIONS(20607), 1,
      anon_sym_RPAREN,
    STATE(15183), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16332), 2,
      sym_comment,
      sym_block_comment,
  [659982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15924), 1,
      anon_sym_LBRACK,
    ACTIONS(15941), 1,
      anon_sym_match,
    STATE(9670), 1,
      sym_type_arguments,
    STATE(16333), 2,
      sym_comment,
      sym_block_comment,
  [660002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11908), 1,
      sym__arrow_then_type,
    ACTIONS(20609), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16334), 2,
      sym_comment,
      sym_block_comment,
  [660020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20611), 1,
      anon_sym_COMMA,
    ACTIONS(20613), 1,
      anon_sym_RPAREN,
    STATE(15458), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16335), 2,
      sym_comment,
      sym_block_comment,
  [660040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20615), 1,
      anon_sym_COMMA,
    ACTIONS(20617), 1,
      anon_sym_RPAREN,
    STATE(15573), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16336), 2,
      sym_comment,
      sym_block_comment,
  [660060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20619), 1,
      sym__interpolated_string_end,
    STATE(16316), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16337), 2,
      sym_comment,
      sym_block_comment,
  [660080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20619), 1,
      sym__interpolated_multiline_string_end,
    STATE(16317), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16338), 2,
      sym_comment,
      sym_block_comment,
  [660100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20621), 1,
      anon_sym_COMMA,
    ACTIONS(20623), 1,
      anon_sym_RBRACK,
    STATE(16318), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16339), 2,
      sym_comment,
      sym_block_comment,
  [660120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      sym__indent,
    STATE(7082), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16340), 2,
      sym_comment,
      sym_block_comment,
  [660138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5876), 1,
      anon_sym_RPAREN,
    ACTIONS(20625), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16341), 2,
      sym_comment,
      sym_block_comment,
  [660158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17917), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20627), 1,
      sym__interpolated_multiline_string_end,
    STATE(15610), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16342), 2,
      sym_comment,
      sym_block_comment,
  [660178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15918), 1,
      anon_sym_LBRACK,
    ACTIONS(20629), 1,
      anon_sym_match,
    STATE(9758), 1,
      sym_type_arguments,
    STATE(16343), 2,
      sym_comment,
      sym_block_comment,
  [660198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17923), 1,
      sym__interpolated_string_middle,
    ACTIONS(20627), 1,
      sym__interpolated_string_end,
    STATE(15611), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16344), 2,
      sym_comment,
      sym_block_comment,
  [660218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5442), 1,
      anon_sym_RBRACK,
    ACTIONS(20631), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16345), 2,
      sym_comment,
      sym_block_comment,
  [660238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20633), 1,
      anon_sym_COMMA,
    ACTIONS(20635), 1,
      anon_sym_RPAREN,
    STATE(15254), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16346), 2,
      sym_comment,
      sym_block_comment,
  [660258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5902), 1,
      anon_sym_RPAREN,
    ACTIONS(20637), 1,
      anon_sym_COMMA,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16347), 2,
      sym_comment,
      sym_block_comment,
  [660278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17263), 1,
      anon_sym_case,
    STATE(14970), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16592), 1,
      sym_case_clause,
    STATE(16348), 2,
      sym_comment,
      sym_block_comment,
  [660298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20639), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16349), 2,
      sym_comment,
      sym_block_comment,
  [660313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20641), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16350), 2,
      sym_comment,
      sym_block_comment,
  [660328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20643), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16351), 2,
      sym_comment,
      sym_block_comment,
  [660343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20645), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16352), 2,
      sym_comment,
      sym_block_comment,
  [660358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20647), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16353), 2,
      sym_comment,
      sym_block_comment,
  [660373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20649), 1,
      anon_sym_COLON,
    ACTIONS(20651), 1,
      anon_sym_EQ,
    STATE(16354), 2,
      sym_comment,
      sym_block_comment,
  [660390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20653), 1,
      anon_sym_COLON,
    ACTIONS(20655), 1,
      anon_sym_EQ,
    STATE(16355), 2,
      sym_comment,
      sym_block_comment,
  [660407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20657), 1,
      anon_sym_LPAREN,
    STATE(13899), 1,
      sym_parenthesized_expression,
    STATE(16356), 2,
      sym_comment,
      sym_block_comment,
  [660424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11785), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16357), 2,
      sym_comment,
      sym_block_comment,
  [660439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20659), 1,
      sym__indent,
    STATE(11821), 1,
      sym__indented_type_cases,
    STATE(16358), 2,
      sym_comment,
      sym_block_comment,
  [660456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20661), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16359), 2,
      sym_comment,
      sym_block_comment,
  [660471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20663), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16360), 2,
      sym_comment,
      sym_block_comment,
  [660486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20665), 1,
      anon_sym_LPAREN,
    STATE(12151), 1,
      sym_parenthesized_expression,
    STATE(16361), 2,
      sym_comment,
      sym_block_comment,
  [660503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7660), 1,
      anon_sym_object,
    ACTIONS(7664), 1,
      anon_sym_class,
    STATE(16362), 2,
      sym_comment,
      sym_block_comment,
  [660520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20667), 1,
      sym__indent,
    STATE(16420), 1,
      sym__indented_type_cases,
    STATE(16363), 2,
      sym_comment,
      sym_block_comment,
  [660537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20669), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16364), 2,
      sym_comment,
      sym_block_comment,
  [660552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20671), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16365), 2,
      sym_comment,
      sym_block_comment,
  [660567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20673), 1,
      anon_sym_COLON,
    ACTIONS(20675), 1,
      anon_sym_EQ,
    STATE(16366), 2,
      sym_comment,
      sym_block_comment,
  [660584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20677), 1,
      anon_sym_COLON,
    ACTIONS(20679), 1,
      anon_sym_EQ,
    STATE(16367), 2,
      sym_comment,
      sym_block_comment,
  [660601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20681), 1,
      sym__indent,
    STATE(11534), 1,
      sym__indented_type_cases,
    STATE(16368), 2,
      sym_comment,
      sym_block_comment,
  [660618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20683), 1,
      anon_sym_LPAREN,
    STATE(14374), 1,
      sym_parenthesized_expression,
    STATE(16369), 2,
      sym_comment,
      sym_block_comment,
  [660635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20685), 1,
      sym__indent,
    STATE(12397), 1,
      sym__indented_type_cases,
    STATE(16370), 2,
      sym_comment,
      sym_block_comment,
  [660652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20687), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16371), 2,
      sym_comment,
      sym_block_comment,
  [660667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20689), 1,
      anon_sym_COLON,
    ACTIONS(20691), 1,
      anon_sym_EQ,
    STATE(16372), 2,
      sym_comment,
      sym_block_comment,
  [660684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20693), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16373), 2,
      sym_comment,
      sym_block_comment,
  [660699] = 3,
    ACTIONS(18292), 1,
      anon_sym_SLASH_STAR,
    STATE(16374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(20695), 3,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
      anon_sym_STAR_SLASH,
  [660712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20697), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16375), 2,
      sym_comment,
      sym_block_comment,
  [660727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20699), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16376), 2,
      sym_comment,
      sym_block_comment,
  [660742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20701), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16377), 2,
      sym_comment,
      sym_block_comment,
  [660757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20703), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16378), 2,
      sym_comment,
      sym_block_comment,
  [660772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20705), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16379), 2,
      sym_comment,
      sym_block_comment,
  [660787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20707), 1,
      anon_sym_COLON,
    ACTIONS(20709), 1,
      anon_sym_EQ,
    STATE(16380), 2,
      sym_comment,
      sym_block_comment,
  [660804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20711), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16381), 2,
      sym_comment,
      sym_block_comment,
  [660819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11796), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16382), 2,
      sym_comment,
      sym_block_comment,
  [660834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20713), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(16383), 2,
      sym_comment,
      sym_block_comment,
  [660849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20715), 1,
      anon_sym_LPAREN,
    STATE(12762), 1,
      sym_parenthesized_expression,
    STATE(16384), 2,
      sym_comment,
      sym_block_comment,
  [660866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20717), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16385), 2,
      sym_comment,
      sym_block_comment,
  [660881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20719), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16386), 2,
      sym_comment,
      sym_block_comment,
  [660896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20721), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16387), 2,
      sym_comment,
      sym_block_comment,
  [660911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20723), 1,
      sym__indent,
    STATE(11949), 1,
      sym__indented_type_cases,
    STATE(16388), 2,
      sym_comment,
      sym_block_comment,
  [660928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20725), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16389), 2,
      sym_comment,
      sym_block_comment,
  [660943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20727), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16390), 2,
      sym_comment,
      sym_block_comment,
  [660958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9598), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16391), 2,
      sym_comment,
      sym_block_comment,
  [660973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20729), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16392), 2,
      sym_comment,
      sym_block_comment,
  [660988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20731), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16393), 2,
      sym_comment,
      sym_block_comment,
  [661003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20733), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16394), 2,
      sym_comment,
      sym_block_comment,
  [661018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20735), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16395), 2,
      sym_comment,
      sym_block_comment,
  [661033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20737), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16396), 2,
      sym_comment,
      sym_block_comment,
  [661048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20739), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16397), 2,
      sym_comment,
      sym_block_comment,
  [661063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10054), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(16398), 2,
      sym_comment,
      sym_block_comment,
  [661078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20741), 1,
      anon_sym_LPAREN,
    STATE(13748), 1,
      sym_parenthesized_expression,
    STATE(16399), 2,
      sym_comment,
      sym_block_comment,
  [661095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20743), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16400), 2,
      sym_comment,
      sym_block_comment,
  [661110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20745), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16401), 2,
      sym_comment,
      sym_block_comment,
  [661125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20747), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16402), 2,
      sym_comment,
      sym_block_comment,
  [661140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20749), 1,
      sym__indent,
    STATE(11868), 1,
      sym__indented_type_cases,
    STATE(16403), 2,
      sym_comment,
      sym_block_comment,
  [661157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7914), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16404), 2,
      sym_comment,
      sym_block_comment,
  [661172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11807), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16405), 2,
      sym_comment,
      sym_block_comment,
  [661187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20751), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16406), 2,
      sym_comment,
      sym_block_comment,
  [661202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20753), 1,
      sym__indent,
    STATE(13299), 1,
      sym__indented_type_cases,
    STATE(16407), 2,
      sym_comment,
      sym_block_comment,
  [661219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20755), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16408), 2,
      sym_comment,
      sym_block_comment,
  [661234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20757), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16409), 2,
      sym_comment,
      sym_block_comment,
  [661249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20759), 1,
      sym__indent,
    STATE(12077), 1,
      sym__indented_type_cases,
    STATE(16410), 2,
      sym_comment,
      sym_block_comment,
  [661266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20761), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16411), 2,
      sym_comment,
      sym_block_comment,
  [661281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20763), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16412), 2,
      sym_comment,
      sym_block_comment,
  [661296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20765), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16413), 2,
      sym_comment,
      sym_block_comment,
  [661311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20767), 1,
      anon_sym_LPAREN,
    STATE(13862), 1,
      sym_parenthesized_expression,
    STATE(16414), 2,
      sym_comment,
      sym_block_comment,
  [661328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20769), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16415), 2,
      sym_comment,
      sym_block_comment,
  [661343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20771), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16416), 2,
      sym_comment,
      sym_block_comment,
  [661358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20773), 1,
      anon_sym_COLON,
    ACTIONS(20775), 1,
      anon_sym_EQ,
    STATE(16417), 2,
      sym_comment,
      sym_block_comment,
  [661375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20777), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16418), 2,
      sym_comment,
      sym_block_comment,
  [661390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20779), 1,
      anon_sym_COLON,
    ACTIONS(20781), 1,
      anon_sym_EQ,
    STATE(16419), 2,
      sym_comment,
      sym_block_comment,
  [661407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11789), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16420), 2,
      sym_comment,
      sym_block_comment,
  [661422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20783), 1,
      sym__indent,
    STATE(11360), 1,
      sym__indented_type_cases,
    STATE(16421), 2,
      sym_comment,
      sym_block_comment,
  [661439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15253), 1,
      anon_sym_object,
    ACTIONS(15257), 1,
      anon_sym_class,
    STATE(16422), 2,
      sym_comment,
      sym_block_comment,
  [661456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20785), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16423), 2,
      sym_comment,
      sym_block_comment,
  [661471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11779), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16424), 2,
      sym_comment,
      sym_block_comment,
  [661486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11775), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16425), 2,
      sym_comment,
      sym_block_comment,
  [661501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20787), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16426), 2,
      sym_comment,
      sym_block_comment,
  [661516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11771), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16427), 2,
      sym_comment,
      sym_block_comment,
  [661531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20789), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16428), 2,
      sym_comment,
      sym_block_comment,
  [661546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11767), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16429), 2,
      sym_comment,
      sym_block_comment,
  [661561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20791), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16430), 2,
      sym_comment,
      sym_block_comment,
  [661576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20793), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16431), 2,
      sym_comment,
      sym_block_comment,
  [661591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20795), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16432), 2,
      sym_comment,
      sym_block_comment,
  [661606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9562), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16433), 2,
      sym_comment,
      sym_block_comment,
  [661621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20797), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16434), 2,
      sym_comment,
      sym_block_comment,
  [661636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20799), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16435), 2,
      sym_comment,
      sym_block_comment,
  [661651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20801), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16436), 2,
      sym_comment,
      sym_block_comment,
  [661666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20803), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16437), 2,
      sym_comment,
      sym_block_comment,
  [661681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20805), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16438), 2,
      sym_comment,
      sym_block_comment,
  [661696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10054), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16439), 2,
      sym_comment,
      sym_block_comment,
  [661711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11763), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16440), 2,
      sym_comment,
      sym_block_comment,
  [661726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9995), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(16441), 2,
      sym_comment,
      sym_block_comment,
  [661741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20807), 1,
      sym__indent,
    STATE(14731), 1,
      sym_with_template_body,
    STATE(16442), 2,
      sym_comment,
      sym_block_comment,
  [661758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20809), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16443), 2,
      sym_comment,
      sym_block_comment,
  [661773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20811), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16444), 2,
      sym_comment,
      sym_block_comment,
  [661788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9744), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16445), 2,
      sym_comment,
      sym_block_comment,
  [661803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9740), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16446), 2,
      sym_comment,
      sym_block_comment,
  [661818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20813), 1,
      anon_sym_LPAREN,
    STATE(11784), 1,
      sym_parenthesized_expression,
    STATE(16447), 2,
      sym_comment,
      sym_block_comment,
  [661835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20815), 1,
      sym__indent,
    STATE(10918), 1,
      sym__indented_type_cases,
    STATE(16448), 2,
      sym_comment,
      sym_block_comment,
  [661852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20817), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16449), 2,
      sym_comment,
      sym_block_comment,
  [661867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20819), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16450), 2,
      sym_comment,
      sym_block_comment,
  [661882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16043), 1,
      anon_sym_EQ_GT,
    ACTIONS(20821), 1,
      anon_sym_COLON,
    STATE(16451), 2,
      sym_comment,
      sym_block_comment,
  [661899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20823), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16452), 2,
      sym_comment,
      sym_block_comment,
  [661914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20825), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16453), 2,
      sym_comment,
      sym_block_comment,
  [661929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9995), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16454), 2,
      sym_comment,
      sym_block_comment,
  [661944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20827), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16455), 2,
      sym_comment,
      sym_block_comment,
  [661959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20829), 1,
      anon_sym_LPAREN,
    STATE(13020), 1,
      sym_parenthesized_expression,
    STATE(16456), 2,
      sym_comment,
      sym_block_comment,
  [661976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20831), 1,
      anon_sym_LPAREN,
    STATE(14278), 1,
      sym_parenthesized_expression,
    STATE(16457), 2,
      sym_comment,
      sym_block_comment,
  [661993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20833), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16458), 2,
      sym_comment,
      sym_block_comment,
  [662008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20835), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16459), 2,
      sym_comment,
      sym_block_comment,
  [662023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20837), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16460), 2,
      sym_comment,
      sym_block_comment,
  [662038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20839), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16461), 2,
      sym_comment,
      sym_block_comment,
  [662053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20841), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16462), 2,
      sym_comment,
      sym_block_comment,
  [662068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20843), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16463), 2,
      sym_comment,
      sym_block_comment,
  [662083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20845), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16464), 2,
      sym_comment,
      sym_block_comment,
  [662098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20847), 1,
      anon_sym_object,
    ACTIONS(20849), 1,
      anon_sym_class,
    STATE(16465), 2,
      sym_comment,
      sym_block_comment,
  [662115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20851), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16466), 2,
      sym_comment,
      sym_block_comment,
  [662130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20853), 1,
      sym__indent,
    STATE(13927), 1,
      sym__indented_type_cases,
    STATE(16467), 2,
      sym_comment,
      sym_block_comment,
  [662147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20855), 1,
      sym__indent,
    STATE(12513), 1,
      sym__indented_type_cases,
    STATE(16468), 2,
      sym_comment,
      sym_block_comment,
  [662164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20857), 1,
      anon_sym_LPAREN,
    STATE(12725), 1,
      sym_parenthesized_expression,
    STATE(16469), 2,
      sym_comment,
      sym_block_comment,
  [662181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20859), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(16470), 2,
      sym_comment,
      sym_block_comment,
  [662196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20861), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16471), 2,
      sym_comment,
      sym_block_comment,
  [662211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20863), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16472), 2,
      sym_comment,
      sym_block_comment,
  [662226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20865), 1,
      sym__indent,
    STATE(13589), 1,
      sym__indented_type_cases,
    STATE(16473), 2,
      sym_comment,
      sym_block_comment,
  [662243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20867), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16474), 2,
      sym_comment,
      sym_block_comment,
  [662258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20869), 1,
      sym__indent,
    STATE(17330), 1,
      sym__indented_type_cases,
    STATE(16475), 2,
      sym_comment,
      sym_block_comment,
  [662275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9530), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16476), 2,
      sym_comment,
      sym_block_comment,
  [662290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20871), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16477), 2,
      sym_comment,
      sym_block_comment,
  [662305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20873), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16478), 2,
      sym_comment,
      sym_block_comment,
  [662320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20875), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16479), 2,
      sym_comment,
      sym_block_comment,
  [662335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20877), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16480), 2,
      sym_comment,
      sym_block_comment,
  [662350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20879), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16481), 2,
      sym_comment,
      sym_block_comment,
  [662365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20881), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16482), 2,
      sym_comment,
      sym_block_comment,
  [662380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20883), 1,
      sym__indent,
    STATE(8839), 1,
      sym__indented_type_cases,
    STATE(16483), 2,
      sym_comment,
      sym_block_comment,
  [662397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20885), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16484), 2,
      sym_comment,
      sym_block_comment,
  [662412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20887), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16485), 2,
      sym_comment,
      sym_block_comment,
  [662427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20889), 1,
      anon_sym_object,
    ACTIONS(20891), 1,
      anon_sym_class,
    STATE(16486), 2,
      sym_comment,
      sym_block_comment,
  [662444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9758), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16487), 2,
      sym_comment,
      sym_block_comment,
  [662459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20893), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16488), 2,
      sym_comment,
      sym_block_comment,
  [662474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20895), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16489), 2,
      sym_comment,
      sym_block_comment,
  [662489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20897), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16490), 2,
      sym_comment,
      sym_block_comment,
  [662504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20899), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16491), 2,
      sym_comment,
      sym_block_comment,
  [662519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20901), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16492), 2,
      sym_comment,
      sym_block_comment,
  [662534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20903), 1,
      anon_sym_LPAREN,
    STATE(13045), 1,
      sym_parenthesized_expression,
    STATE(16493), 2,
      sym_comment,
      sym_block_comment,
  [662551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20905), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16494), 2,
      sym_comment,
      sym_block_comment,
  [662566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20907), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16495), 2,
      sym_comment,
      sym_block_comment,
  [662581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18918), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16496), 2,
      sym_comment,
      sym_block_comment,
  [662596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18922), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16497), 2,
      sym_comment,
      sym_block_comment,
  [662611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20909), 1,
      sym__indent,
    STATE(13553), 1,
      sym__indented_type_cases,
    STATE(16498), 2,
      sym_comment,
      sym_block_comment,
  [662628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20911), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16499), 2,
      sym_comment,
      sym_block_comment,
  [662643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20913), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16500), 2,
      sym_comment,
      sym_block_comment,
  [662658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20915), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(16501), 2,
      sym_comment,
      sym_block_comment,
  [662673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20917), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16502), 2,
      sym_comment,
      sym_block_comment,
  [662688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20919), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16503), 2,
      sym_comment,
      sym_block_comment,
  [662703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20921), 1,
      sym__indent,
    STATE(14934), 1,
      sym_with_template_body,
    STATE(16504), 2,
      sym_comment,
      sym_block_comment,
  [662720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20923), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16505), 2,
      sym_comment,
      sym_block_comment,
  [662735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20925), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16506), 2,
      sym_comment,
      sym_block_comment,
  [662750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20927), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16507), 2,
      sym_comment,
      sym_block_comment,
  [662765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20929), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16508), 2,
      sym_comment,
      sym_block_comment,
  [662780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20879), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(20931), 1,
      anon_sym_EQ_GT,
    STATE(16509), 2,
      sym_comment,
      sym_block_comment,
  [662797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19006), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(16510), 2,
      sym_comment,
      sym_block_comment,
  [662812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19011), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16511), 2,
      sym_comment,
      sym_block_comment,
  [662827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20933), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16512), 2,
      sym_comment,
      sym_block_comment,
  [662842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20935), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16513), 2,
      sym_comment,
      sym_block_comment,
  [662857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20937), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16514), 2,
      sym_comment,
      sym_block_comment,
  [662872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18886), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16515), 2,
      sym_comment,
      sym_block_comment,
  [662887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20939), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16516), 2,
      sym_comment,
      sym_block_comment,
  [662902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20941), 1,
      anon_sym_LPAREN,
    STATE(14059), 1,
      sym_parenthesized_expression,
    STATE(16517), 2,
      sym_comment,
      sym_block_comment,
  [662919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20943), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16518), 2,
      sym_comment,
      sym_block_comment,
  [662934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20945), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16519), 2,
      sym_comment,
      sym_block_comment,
  [662949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20947), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16520), 2,
      sym_comment,
      sym_block_comment,
  [662964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20949), 1,
      sym__indent,
    STATE(13113), 1,
      sym__indented_type_cases,
    STATE(16521), 2,
      sym_comment,
      sym_block_comment,
  [662981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9475), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16522), 2,
      sym_comment,
      sym_block_comment,
  [662996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15128), 1,
      anon_sym_object,
    ACTIONS(15132), 1,
      anon_sym_class,
    STATE(16523), 2,
      sym_comment,
      sym_block_comment,
  [663013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20951), 1,
      anon_sym_COLON,
    ACTIONS(20953), 1,
      anon_sym_EQ,
    STATE(16524), 2,
      sym_comment,
      sym_block_comment,
  [663030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20955), 1,
      anon_sym_COLON,
    ACTIONS(20957), 1,
      anon_sym_EQ,
    STATE(16525), 2,
      sym_comment,
      sym_block_comment,
  [663047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20959), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16526), 2,
      sym_comment,
      sym_block_comment,
  [663062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20961), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16527), 2,
      sym_comment,
      sym_block_comment,
  [663077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20963), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16528), 2,
      sym_comment,
      sym_block_comment,
  [663092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20965), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16529), 2,
      sym_comment,
      sym_block_comment,
  [663107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20967), 1,
      sym__indent,
    STATE(13114), 1,
      sym__indented_type_cases,
    STATE(16530), 2,
      sym_comment,
      sym_block_comment,
  [663124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19161), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16531), 2,
      sym_comment,
      sym_block_comment,
  [663139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20969), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16532), 2,
      sym_comment,
      sym_block_comment,
  [663154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20971), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16533), 2,
      sym_comment,
      sym_block_comment,
  [663169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20973), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16534), 2,
      sym_comment,
      sym_block_comment,
  [663184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20975), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16535), 2,
      sym_comment,
      sym_block_comment,
  [663199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20977), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16536), 2,
      sym_comment,
      sym_block_comment,
  [663214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20979), 1,
      anon_sym_LPAREN,
    STATE(14146), 1,
      sym_parenthesized_expression,
    STATE(16537), 2,
      sym_comment,
      sym_block_comment,
  [663231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20981), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(16538), 2,
      sym_comment,
      sym_block_comment,
  [663246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20983), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(16539), 2,
      sym_comment,
      sym_block_comment,
  [663261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20985), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(16540), 2,
      sym_comment,
      sym_block_comment,
  [663276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20987), 1,
      sym__indent,
    STATE(12206), 1,
      sym__indented_type_cases,
    STATE(16541), 2,
      sym_comment,
      sym_block_comment,
  [663293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20989), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16542), 2,
      sym_comment,
      sym_block_comment,
  [663308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20991), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16543), 2,
      sym_comment,
      sym_block_comment,
  [663323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20993), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16544), 2,
      sym_comment,
      sym_block_comment,
  [663338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20995), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16545), 2,
      sym_comment,
      sym_block_comment,
  [663353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19275), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16546), 2,
      sym_comment,
      sym_block_comment,
  [663368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20997), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16547), 2,
      sym_comment,
      sym_block_comment,
  [663383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7688), 1,
      anon_sym_object,
    ACTIONS(7692), 1,
      anon_sym_class,
    STATE(16548), 2,
      sym_comment,
      sym_block_comment,
  [663400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20999), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16549), 2,
      sym_comment,
      sym_block_comment,
  [663415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11754), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16550), 2,
      sym_comment,
      sym_block_comment,
  [663430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21001), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16551), 2,
      sym_comment,
      sym_block_comment,
  [663445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21003), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16552), 2,
      sym_comment,
      sym_block_comment,
  [663460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21005), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16553), 2,
      sym_comment,
      sym_block_comment,
  [663475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21007), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(16554), 2,
      sym_comment,
      sym_block_comment,
  [663490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21009), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16555), 2,
      sym_comment,
      sym_block_comment,
  [663505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9430), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16556), 2,
      sym_comment,
      sym_block_comment,
  [663520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21011), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16557), 2,
      sym_comment,
      sym_block_comment,
  [663535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21013), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16558), 2,
      sym_comment,
      sym_block_comment,
  [663550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21015), 1,
      anon_sym_LPAREN,
    STATE(13418), 1,
      sym_parenthesized_expression,
    STATE(16559), 2,
      sym_comment,
      sym_block_comment,
  [663567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21017), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16560), 2,
      sym_comment,
      sym_block_comment,
  [663582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19453), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16561), 2,
      sym_comment,
      sym_block_comment,
  [663597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21019), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16562), 2,
      sym_comment,
      sym_block_comment,
  [663612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16598), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(16563), 2,
      sym_comment,
      sym_block_comment,
  [663627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21021), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16564), 2,
      sym_comment,
      sym_block_comment,
  [663642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21023), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16565), 2,
      sym_comment,
      sym_block_comment,
  [663657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21025), 1,
      sym__indent,
    STATE(13627), 1,
      sym__indented_type_cases,
    STATE(16566), 2,
      sym_comment,
      sym_block_comment,
  [663674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21027), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16567), 2,
      sym_comment,
      sym_block_comment,
  [663689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21029), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16568), 2,
      sym_comment,
      sym_block_comment,
  [663704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21031), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16569), 2,
      sym_comment,
      sym_block_comment,
  [663719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21033), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16570), 2,
      sym_comment,
      sym_block_comment,
  [663734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21035), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16571), 2,
      sym_comment,
      sym_block_comment,
  [663749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21037), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16572), 2,
      sym_comment,
      sym_block_comment,
  [663764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21039), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16573), 2,
      sym_comment,
      sym_block_comment,
  [663779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21041), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16574), 2,
      sym_comment,
      sym_block_comment,
  [663794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21043), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16575), 2,
      sym_comment,
      sym_block_comment,
  [663809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21045), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16576), 2,
      sym_comment,
      sym_block_comment,
  [663824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17488), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(16577), 2,
      sym_comment,
      sym_block_comment,
  [663839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21047), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(16578), 2,
      sym_comment,
      sym_block_comment,
  [663854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21049), 1,
      anon_sym_LPAREN,
    STATE(14170), 1,
      sym_parenthesized_expression,
    STATE(16579), 2,
      sym_comment,
      sym_block_comment,
  [663871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21051), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16580), 2,
      sym_comment,
      sym_block_comment,
  [663886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21053), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16581), 2,
      sym_comment,
      sym_block_comment,
  [663901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21055), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16582), 2,
      sym_comment,
      sym_block_comment,
  [663916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21057), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16583), 2,
      sym_comment,
      sym_block_comment,
  [663931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21059), 1,
      sym__indent,
    STATE(13556), 1,
      sym__indented_type_cases,
    STATE(16584), 2,
      sym_comment,
      sym_block_comment,
  [663948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21061), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16585), 2,
      sym_comment,
      sym_block_comment,
  [663963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21063), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16586), 2,
      sym_comment,
      sym_block_comment,
  [663978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21065), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16587), 2,
      sym_comment,
      sym_block_comment,
  [663993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21067), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16588), 2,
      sym_comment,
      sym_block_comment,
  [664008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21069), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16589), 2,
      sym_comment,
      sym_block_comment,
  [664023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21071), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16590), 2,
      sym_comment,
      sym_block_comment,
  [664038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21073), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16591), 2,
      sym_comment,
      sym_block_comment,
  [664053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20713), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16592), 2,
      sym_comment,
      sym_block_comment,
  [664068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21075), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16593), 2,
      sym_comment,
      sym_block_comment,
  [664083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21077), 1,
      anon_sym_LPAREN,
    STATE(12256), 1,
      sym_parenthesized_expression,
    STATE(16594), 2,
      sym_comment,
      sym_block_comment,
  [664100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21079), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16595), 2,
      sym_comment,
      sym_block_comment,
  [664115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21081), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16596), 2,
      sym_comment,
      sym_block_comment,
  [664130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21083), 1,
      sym__indent,
    STATE(11141), 1,
      sym__indented_type_cases,
    STATE(16597), 2,
      sym_comment,
      sym_block_comment,
  [664147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21085), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16598), 2,
      sym_comment,
      sym_block_comment,
  [664162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21087), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16599), 2,
      sym_comment,
      sym_block_comment,
  [664177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21089), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16600), 2,
      sym_comment,
      sym_block_comment,
  [664192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21091), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16601), 2,
      sym_comment,
      sym_block_comment,
  [664207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20985), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16602), 2,
      sym_comment,
      sym_block_comment,
  [664222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20983), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16603), 2,
      sym_comment,
      sym_block_comment,
  [664237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20981), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16604), 2,
      sym_comment,
      sym_block_comment,
  [664252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21093), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16605), 2,
      sym_comment,
      sym_block_comment,
  [664267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21095), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16606), 2,
      sym_comment,
      sym_block_comment,
  [664282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21097), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16607), 2,
      sym_comment,
      sym_block_comment,
  [664297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21099), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16608), 2,
      sym_comment,
      sym_block_comment,
  [664312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21101), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16609), 2,
      sym_comment,
      sym_block_comment,
  [664327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21103), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16610), 2,
      sym_comment,
      sym_block_comment,
  [664342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21105), 1,
      anon_sym_LPAREN,
    STATE(13484), 1,
      sym_parenthesized_expression,
    STATE(16611), 2,
      sym_comment,
      sym_block_comment,
  [664359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21107), 1,
      sym__indent,
    STATE(11700), 1,
      sym__indented_type_cases,
    STATE(16612), 2,
      sym_comment,
      sym_block_comment,
  [664376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21109), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16613), 2,
      sym_comment,
      sym_block_comment,
  [664391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21111), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16614), 2,
      sym_comment,
      sym_block_comment,
  [664406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21113), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16615), 2,
      sym_comment,
      sym_block_comment,
  [664421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21115), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16616), 2,
      sym_comment,
      sym_block_comment,
  [664436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21117), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16617), 2,
      sym_comment,
      sym_block_comment,
  [664451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21119), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16618), 2,
      sym_comment,
      sym_block_comment,
  [664466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21121), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16619), 2,
      sym_comment,
      sym_block_comment,
  [664481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21123), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16620), 2,
      sym_comment,
      sym_block_comment,
  [664496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21125), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16621), 2,
      sym_comment,
      sym_block_comment,
  [664511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21127), 1,
      sym__indent,
    STATE(13828), 1,
      sym__indented_type_cases,
    STATE(16622), 2,
      sym_comment,
      sym_block_comment,
  [664528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21129), 1,
      anon_sym_LPAREN,
    STATE(13919), 1,
      sym_parenthesized_expression,
    STATE(16623), 2,
      sym_comment,
      sym_block_comment,
  [664545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21131), 1,
      sym__indent,
    STATE(12330), 1,
      sym__indented_type_cases,
    STATE(16624), 2,
      sym_comment,
      sym_block_comment,
  [664562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21133), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16625), 2,
      sym_comment,
      sym_block_comment,
  [664577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20859), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16626), 2,
      sym_comment,
      sym_block_comment,
  [664592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9656), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16627), 2,
      sym_comment,
      sym_block_comment,
  [664607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21135), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16628), 2,
      sym_comment,
      sym_block_comment,
  [664622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21137), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16629), 2,
      sym_comment,
      sym_block_comment,
  [664637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21139), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16630), 2,
      sym_comment,
      sym_block_comment,
  [664652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21141), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16631), 2,
      sym_comment,
      sym_block_comment,
  [664667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21143), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16632), 2,
      sym_comment,
      sym_block_comment,
  [664682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9585), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16633), 2,
      sym_comment,
      sym_block_comment,
  [664697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5136), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(16634), 2,
      sym_comment,
      sym_block_comment,
  [664712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9581), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16635), 2,
      sym_comment,
      sym_block_comment,
  [664727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21145), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16636), 2,
      sym_comment,
      sym_block_comment,
  [664742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21147), 1,
      sym__indent,
    STATE(12565), 1,
      sym__indented_type_cases,
    STATE(16637), 2,
      sym_comment,
      sym_block_comment,
  [664759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21149), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16638), 2,
      sym_comment,
      sym_block_comment,
  [664774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21151), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16639), 2,
      sym_comment,
      sym_block_comment,
  [664789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21153), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16640), 2,
      sym_comment,
      sym_block_comment,
  [664804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21155), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16641), 2,
      sym_comment,
      sym_block_comment,
  [664819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21157), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16642), 2,
      sym_comment,
      sym_block_comment,
  [664834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21159), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16643), 2,
      sym_comment,
      sym_block_comment,
  [664849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21161), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16644), 2,
      sym_comment,
      sym_block_comment,
  [664864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21163), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16645), 2,
      sym_comment,
      sym_block_comment,
  [664879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21165), 1,
      sym__indent,
    STATE(13769), 1,
      sym__indented_type_cases,
    STATE(16646), 2,
      sym_comment,
      sym_block_comment,
  [664896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21167), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16647), 2,
      sym_comment,
      sym_block_comment,
  [664911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21169), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16648), 2,
      sym_comment,
      sym_block_comment,
  [664926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21171), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16649), 2,
      sym_comment,
      sym_block_comment,
  [664941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21173), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16650), 2,
      sym_comment,
      sym_block_comment,
  [664956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21175), 1,
      anon_sym_RPAREN,
    STATE(16651), 2,
      sym_comment,
      sym_block_comment,
  [664970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21177), 1,
      anon_sym_RPAREN,
    STATE(16652), 2,
      sym_comment,
      sym_block_comment,
  [664984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21179), 1,
      anon_sym_EQ_GT_GT,
    STATE(16653), 2,
      sym_comment,
      sym_block_comment,
  [664998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21181), 1,
      anon_sym_EQ_GT_GT,
    STATE(16654), 2,
      sym_comment,
      sym_block_comment,
  [665012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21183), 1,
      anon_sym_EQ_GT_GT,
    STATE(16655), 2,
      sym_comment,
      sym_block_comment,
  [665026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21185), 1,
      anon_sym_RBRACE,
    STATE(16656), 2,
      sym_comment,
      sym_block_comment,
  [665040] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21187), 1,
      sym__outdent,
    STATE(16657), 2,
      sym_comment,
      sym_block_comment,
  [665054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21189), 1,
      sym__outdent,
    STATE(16658), 2,
      sym_comment,
      sym_block_comment,
  [665068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11518), 1,
      anon_sym_DOT,
    STATE(16659), 2,
      sym_comment,
      sym_block_comment,
  [665082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21191), 1,
      anon_sym_COLON,
    STATE(16660), 2,
      sym_comment,
      sym_block_comment,
  [665096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11508), 1,
      anon_sym_DOT,
    STATE(16661), 2,
      sym_comment,
      sym_block_comment,
  [665110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21193), 1,
      anon_sym_RBRACE,
    STATE(16662), 2,
      sym_comment,
      sym_block_comment,
  [665124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21195), 1,
      anon_sym_RBRACE,
    STATE(16663), 2,
      sym_comment,
      sym_block_comment,
  [665138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16041), 1,
      anon_sym_COLON,
    STATE(16664), 2,
      sym_comment,
      sym_block_comment,
  [665152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21195), 1,
      anon_sym_RPAREN,
    STATE(16665), 2,
      sym_comment,
      sym_block_comment,
  [665166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21197), 1,
      anon_sym_RPAREN,
    STATE(16666), 2,
      sym_comment,
      sym_block_comment,
  [665180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21199), 1,
      sym__outdent,
    STATE(16667), 2,
      sym_comment,
      sym_block_comment,
  [665194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21201), 1,
      anon_sym_do,
    STATE(16668), 2,
      sym_comment,
      sym_block_comment,
  [665208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21203), 1,
      anon_sym_EQ_GT_GT,
    STATE(16669), 2,
      sym_comment,
      sym_block_comment,
  [665222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21205), 1,
      anon_sym_EQ_GT_GT,
    STATE(16670), 2,
      sym_comment,
      sym_block_comment,
  [665236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21207), 1,
      anon_sym_RBRACE,
    STATE(16671), 2,
      sym_comment,
      sym_block_comment,
  [665250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21209), 1,
      anon_sym_EQ_GT_GT,
    STATE(16672), 2,
      sym_comment,
      sym_block_comment,
  [665264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21211), 1,
      anon_sym_EQ_GT_GT,
    STATE(16673), 2,
      sym_comment,
      sym_block_comment,
  [665278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21213), 1,
      anon_sym_else,
    STATE(16674), 2,
      sym_comment,
      sym_block_comment,
  [665292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21215), 1,
      sym__outdent,
    STATE(16675), 2,
      sym_comment,
      sym_block_comment,
  [665306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21217), 1,
      anon_sym_EQ_GT,
    STATE(16676), 2,
      sym_comment,
      sym_block_comment,
  [665320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21219), 1,
      anon_sym_else,
    STATE(16677), 2,
      sym_comment,
      sym_block_comment,
  [665334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21221), 1,
      anon_sym_RPAREN,
    STATE(16678), 2,
      sym_comment,
      sym_block_comment,
  [665348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21223), 1,
      anon_sym_EQ_GT_GT,
    STATE(16679), 2,
      sym_comment,
      sym_block_comment,
  [665362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10362), 1,
      anon_sym_DOT,
    STATE(16680), 2,
      sym_comment,
      sym_block_comment,
  [665376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21225), 1,
      anon_sym_EQ_GT_GT,
    STATE(16681), 2,
      sym_comment,
      sym_block_comment,
  [665390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21227), 1,
      anon_sym_EQ_GT_GT,
    STATE(16682), 2,
      sym_comment,
      sym_block_comment,
  [665404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21229), 1,
      anon_sym_EQ_GT_GT,
    STATE(16683), 2,
      sym_comment,
      sym_block_comment,
  [665418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21231), 1,
      anon_sym_RPAREN,
    STATE(16684), 2,
      sym_comment,
      sym_block_comment,
  [665432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21233), 1,
      sym__outdent,
    STATE(16685), 2,
      sym_comment,
      sym_block_comment,
  [665446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21235), 1,
      anon_sym_else,
    STATE(16686), 2,
      sym_comment,
      sym_block_comment,
  [665460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21237), 1,
      anon_sym_else,
    STATE(16687), 2,
      sym_comment,
      sym_block_comment,
  [665474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21239), 1,
      anon_sym_COLON,
    STATE(16688), 2,
      sym_comment,
      sym_block_comment,
  [665488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11747), 1,
      anon_sym_DOT,
    STATE(16689), 2,
      sym_comment,
      sym_block_comment,
  [665502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21241), 1,
      sym__outdent,
    STATE(16690), 2,
      sym_comment,
      sym_block_comment,
  [665516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21243), 1,
      anon_sym_do,
    STATE(16691), 2,
      sym_comment,
      sym_block_comment,
  [665530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21245), 1,
      anon_sym_RPAREN,
    STATE(16692), 2,
      sym_comment,
      sym_block_comment,
  [665544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21247), 1,
      anon_sym_RBRACK,
    STATE(16693), 2,
      sym_comment,
      sym_block_comment,
  [665558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21249), 1,
      anon_sym_RBRACE,
    STATE(16694), 2,
      sym_comment,
      sym_block_comment,
  [665572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21251), 1,
      sym__outdent,
    STATE(16695), 2,
      sym_comment,
      sym_block_comment,
  [665586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21253), 1,
      anon_sym_RBRACE,
    STATE(16696), 2,
      sym_comment,
      sym_block_comment,
  [665600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21253), 1,
      anon_sym_RPAREN,
    STATE(16697), 2,
      sym_comment,
      sym_block_comment,
  [665614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21247), 1,
      anon_sym_RBRACE,
    STATE(16698), 2,
      sym_comment,
      sym_block_comment,
  [665628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21255), 1,
      anon_sym_RBRACK,
    STATE(16699), 2,
      sym_comment,
      sym_block_comment,
  [665642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9581), 1,
      anon_sym_EQ_GT,
    STATE(16700), 2,
      sym_comment,
      sym_block_comment,
  [665656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21255), 1,
      anon_sym_RBRACE,
    STATE(16701), 2,
      sym_comment,
      sym_block_comment,
  [665670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21257), 1,
      anon_sym_EQ_GT,
    STATE(16702), 2,
      sym_comment,
      sym_block_comment,
  [665684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9585), 1,
      anon_sym_EQ_GT,
    STATE(16703), 2,
      sym_comment,
      sym_block_comment,
  [665698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21259), 1,
      anon_sym_RPAREN,
    STATE(16704), 2,
      sym_comment,
      sym_block_comment,
  [665712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21261), 1,
      anon_sym_EQ_GT_GT,
    STATE(16705), 2,
      sym_comment,
      sym_block_comment,
  [665726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21263), 1,
      anon_sym_RPAREN,
    STATE(16706), 2,
      sym_comment,
      sym_block_comment,
  [665740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21265), 1,
      anon_sym_EQ_GT_GT,
    STATE(16707), 2,
      sym_comment,
      sym_block_comment,
  [665754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21267), 1,
      anon_sym_EQ_GT_GT,
    STATE(16708), 2,
      sym_comment,
      sym_block_comment,
  [665768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21269), 1,
      anon_sym_EQ_GT_GT,
    STATE(16709), 2,
      sym_comment,
      sym_block_comment,
  [665782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21259), 1,
      anon_sym_RBRACE,
    STATE(16710), 2,
      sym_comment,
      sym_block_comment,
  [665796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21271), 1,
      sym__outdent,
    STATE(16711), 2,
      sym_comment,
      sym_block_comment,
  [665810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21273), 1,
      sym__outdent,
    STATE(16712), 2,
      sym_comment,
      sym_block_comment,
  [665824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21275), 1,
      anon_sym_RBRACE,
    STATE(16713), 2,
      sym_comment,
      sym_block_comment,
  [665838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21277), 1,
      anon_sym_COLON,
    STATE(16714), 2,
      sym_comment,
      sym_block_comment,
  [665852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10606), 1,
      anon_sym_DOT,
    STATE(16715), 2,
      sym_comment,
      sym_block_comment,
  [665866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21279), 1,
      anon_sym_RBRACE,
    STATE(16716), 2,
      sym_comment,
      sym_block_comment,
  [665880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9656), 1,
      anon_sym_EQ_GT,
    STATE(16717), 2,
      sym_comment,
      sym_block_comment,
  [665894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21281), 1,
      anon_sym_COLON,
    STATE(16718), 2,
      sym_comment,
      sym_block_comment,
  [665908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21283), 1,
      anon_sym_else,
    STATE(16719), 2,
      sym_comment,
      sym_block_comment,
  [665922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21285), 1,
      anon_sym_RPAREN,
    STATE(16720), 2,
      sym_comment,
      sym_block_comment,
  [665936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21287), 1,
      anon_sym_do,
    STATE(16721), 2,
      sym_comment,
      sym_block_comment,
  [665950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21289), 1,
      sym__outdent,
    STATE(16722), 2,
      sym_comment,
      sym_block_comment,
  [665964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21291), 1,
      anon_sym_else,
    STATE(16723), 2,
      sym_comment,
      sym_block_comment,
  [665978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21293), 1,
      anon_sym_do,
    STATE(16724), 2,
      sym_comment,
      sym_block_comment,
  [665992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21295), 1,
      anon_sym_EQ_GT_GT,
    STATE(16725), 2,
      sym_comment,
      sym_block_comment,
  [666006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21297), 1,
      anon_sym_EQ_GT_GT,
    STATE(16726), 2,
      sym_comment,
      sym_block_comment,
  [666020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21299), 1,
      anon_sym_RBRACK,
    STATE(16727), 2,
      sym_comment,
      sym_block_comment,
  [666034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21301), 1,
      anon_sym_EQ_GT_GT,
    STATE(16728), 2,
      sym_comment,
      sym_block_comment,
  [666048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21303), 1,
      anon_sym_EQ_GT,
    STATE(16729), 2,
      sym_comment,
      sym_block_comment,
  [666062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21305), 1,
      anon_sym_EQ_GT_GT,
    STATE(16730), 2,
      sym_comment,
      sym_block_comment,
  [666076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21307), 1,
      anon_sym_EQ_GT_GT,
    STATE(16731), 2,
      sym_comment,
      sym_block_comment,
  [666090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21309), 1,
      anon_sym_do,
    STATE(16732), 2,
      sym_comment,
      sym_block_comment,
  [666104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21311), 1,
      anon_sym_EQ_GT_GT,
    STATE(16733), 2,
      sym_comment,
      sym_block_comment,
  [666118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21313), 1,
      anon_sym_EQ_GT_GT,
    STATE(16734), 2,
      sym_comment,
      sym_block_comment,
  [666132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21315), 1,
      anon_sym_EQ_GT_GT,
    STATE(16735), 2,
      sym_comment,
      sym_block_comment,
  [666146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21317), 1,
      anon_sym_EQ_GT,
    STATE(16736), 2,
      sym_comment,
      sym_block_comment,
  [666160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21319), 1,
      anon_sym_LPAREN,
    STATE(16737), 2,
      sym_comment,
      sym_block_comment,
  [666174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21321), 1,
      anon_sym_COLON,
    STATE(16738), 2,
      sym_comment,
      sym_block_comment,
  [666188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11814), 1,
      anon_sym_DOT,
    STATE(16739), 2,
      sym_comment,
      sym_block_comment,
  [666202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21323), 1,
      anon_sym_else,
    STATE(16740), 2,
      sym_comment,
      sym_block_comment,
  [666216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21325), 1,
      sym__outdent,
    STATE(16741), 2,
      sym_comment,
      sym_block_comment,
  [666230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21327), 1,
      anon_sym_EQ_GT,
    STATE(16742), 2,
      sym_comment,
      sym_block_comment,
  [666244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21329), 1,
      anon_sym_RPAREN,
    STATE(16743), 2,
      sym_comment,
      sym_block_comment,
  [666258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21331), 1,
      anon_sym_RBRACE,
    STATE(16744), 2,
      sym_comment,
      sym_block_comment,
  [666272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21333), 1,
      anon_sym_else,
    STATE(16745), 2,
      sym_comment,
      sym_block_comment,
  [666286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21335), 1,
      anon_sym_EQ_GT,
    STATE(16746), 2,
      sym_comment,
      sym_block_comment,
  [666300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21337), 1,
      anon_sym_RBRACE,
    STATE(16747), 2,
      sym_comment,
      sym_block_comment,
  [666314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21339), 1,
      sym__outdent,
    STATE(16748), 2,
      sym_comment,
      sym_block_comment,
  [666328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21341), 1,
      sym__outdent,
    STATE(16749), 2,
      sym_comment,
      sym_block_comment,
  [666342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21343), 1,
      anon_sym_RBRACE,
    STATE(16750), 2,
      sym_comment,
      sym_block_comment,
  [666356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21345), 1,
      anon_sym_RPAREN,
    STATE(16751), 2,
      sym_comment,
      sym_block_comment,
  [666370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21343), 1,
      anon_sym_RPAREN,
    STATE(16752), 2,
      sym_comment,
      sym_block_comment,
  [666384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21347), 1,
      anon_sym_RBRACK,
    STATE(16753), 2,
      sym_comment,
      sym_block_comment,
  [666398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21347), 1,
      anon_sym_RBRACE,
    STATE(16754), 2,
      sym_comment,
      sym_block_comment,
  [666412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21349), 1,
      anon_sym_EQ_GT,
    STATE(16755), 2,
      sym_comment,
      sym_block_comment,
  [666426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21351), 1,
      anon_sym_RBRACK,
    STATE(16756), 2,
      sym_comment,
      sym_block_comment,
  [666440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21351), 1,
      anon_sym_RBRACE,
    STATE(16757), 2,
      sym_comment,
      sym_block_comment,
  [666454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21353), 1,
      anon_sym_EQ_GT_GT,
    STATE(16758), 2,
      sym_comment,
      sym_block_comment,
  [666468] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21355), 1,
      anon_sym_RPAREN,
    STATE(16759), 2,
      sym_comment,
      sym_block_comment,
  [666482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21357), 1,
      anon_sym_EQ_GT_GT,
    STATE(16760), 2,
      sym_comment,
      sym_block_comment,
  [666496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21359), 1,
      anon_sym_EQ_GT_GT,
    STATE(16761), 2,
      sym_comment,
      sym_block_comment,
  [666510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21361), 1,
      anon_sym_EQ_GT_GT,
    STATE(16762), 2,
      sym_comment,
      sym_block_comment,
  [666524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21363), 1,
      sym__outdent,
    STATE(16763), 2,
      sym_comment,
      sym_block_comment,
  [666538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21365), 1,
      anon_sym_else,
    STATE(16764), 2,
      sym_comment,
      sym_block_comment,
  [666552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21367), 1,
      anon_sym_COLON,
    STATE(16765), 2,
      sym_comment,
      sym_block_comment,
  [666566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11442), 1,
      anon_sym_DOT,
    STATE(16766), 2,
      sym_comment,
      sym_block_comment,
  [666580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21369), 1,
      anon_sym_RPAREN,
    STATE(16767), 2,
      sym_comment,
      sym_block_comment,
  [666594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21371), 1,
      anon_sym_RPAREN,
    STATE(16768), 2,
      sym_comment,
      sym_block_comment,
  [666608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21373), 1,
      sym__outdent,
    STATE(16769), 2,
      sym_comment,
      sym_block_comment,
  [666622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21375), 1,
      anon_sym_LPAREN,
    STATE(16770), 2,
      sym_comment,
      sym_block_comment,
  [666636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21369), 1,
      anon_sym_RBRACE,
    STATE(16771), 2,
      sym_comment,
      sym_block_comment,
  [666650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21377), 1,
      anon_sym_else,
    STATE(16772), 2,
      sym_comment,
      sym_block_comment,
  [666664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21379), 1,
      sym__outdent,
    STATE(16773), 2,
      sym_comment,
      sym_block_comment,
  [666678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21331), 1,
      anon_sym_RPAREN,
    STATE(16774), 2,
      sym_comment,
      sym_block_comment,
  [666692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21381), 1,
      anon_sym_do,
    STATE(16775), 2,
      sym_comment,
      sym_block_comment,
  [666706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21383), 1,
      anon_sym_RBRACE,
    STATE(16776), 2,
      sym_comment,
      sym_block_comment,
  [666720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21383), 1,
      anon_sym_RBRACK,
    STATE(16777), 2,
      sym_comment,
      sym_block_comment,
  [666734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21385), 1,
      anon_sym_RBRACE,
    STATE(16778), 2,
      sym_comment,
      sym_block_comment,
  [666748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9774), 1,
      anon_sym_DOT,
    STATE(16779), 2,
      sym_comment,
      sym_block_comment,
  [666762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21387), 1,
      anon_sym_EQ_GT,
    STATE(16780), 2,
      sym_comment,
      sym_block_comment,
  [666776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21389), 1,
      anon_sym_do,
    STATE(16781), 2,
      sym_comment,
      sym_block_comment,
  [666790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21391), 1,
      anon_sym_COLON,
    STATE(16782), 2,
      sym_comment,
      sym_block_comment,
  [666804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21393), 1,
      anon_sym_EQ_GT_GT,
    STATE(16783), 2,
      sym_comment,
      sym_block_comment,
  [666818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21395), 1,
      anon_sym_RBRACE,
    STATE(16784), 2,
      sym_comment,
      sym_block_comment,
  [666832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21397), 1,
      anon_sym_EQ_GT_GT,
    STATE(16785), 2,
      sym_comment,
      sym_block_comment,
  [666846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21399), 1,
      anon_sym_EQ_GT_GT,
    STATE(16786), 2,
      sym_comment,
      sym_block_comment,
  [666860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21401), 1,
      anon_sym_EQ_GT_GT,
    STATE(16787), 2,
      sym_comment,
      sym_block_comment,
  [666874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21403), 1,
      anon_sym_else,
    STATE(16788), 2,
      sym_comment,
      sym_block_comment,
  [666888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21395), 1,
      anon_sym_RBRACK,
    STATE(16789), 2,
      sym_comment,
      sym_block_comment,
  [666902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21405), 1,
      anon_sym_COLON,
    STATE(16790), 2,
      sym_comment,
      sym_block_comment,
  [666916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11104), 1,
      anon_sym_DOT,
    STATE(16791), 2,
      sym_comment,
      sym_block_comment,
  [666930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21407), 1,
      sym__outdent,
    STATE(16792), 2,
      sym_comment,
      sym_block_comment,
  [666944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21409), 1,
      anon_sym_RPAREN,
    STATE(16793), 2,
      sym_comment,
      sym_block_comment,
  [666958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21411), 1,
      anon_sym_do,
    STATE(16794), 2,
      sym_comment,
      sym_block_comment,
  [666972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21413), 1,
      anon_sym_RBRACE,
    STATE(16795), 2,
      sym_comment,
      sym_block_comment,
  [666986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21415), 1,
      anon_sym_RPAREN,
    STATE(16796), 2,
      sym_comment,
      sym_block_comment,
  [667000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21417), 1,
      sym__outdent,
    STATE(16797), 2,
      sym_comment,
      sym_block_comment,
  [667014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21419), 1,
      anon_sym_RBRACE,
    STATE(16798), 2,
      sym_comment,
      sym_block_comment,
  [667028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21419), 1,
      anon_sym_RPAREN,
    STATE(16799), 2,
      sym_comment,
      sym_block_comment,
  [667042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21421), 1,
      anon_sym_EQ_GT_GT,
    STATE(16800), 2,
      sym_comment,
      sym_block_comment,
  [667056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21423), 1,
      anon_sym_RBRACE,
    STATE(16801), 2,
      sym_comment,
      sym_block_comment,
  [667070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21425), 1,
      anon_sym_else,
    STATE(16802), 2,
      sym_comment,
      sym_block_comment,
  [667084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21427), 1,
      anon_sym_EQ_GT_GT,
    STATE(16803), 2,
      sym_comment,
      sym_block_comment,
  [667098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21429), 1,
      anon_sym_else,
    STATE(16804), 2,
      sym_comment,
      sym_block_comment,
  [667112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21431), 1,
      anon_sym_EQ_GT,
    STATE(16805), 2,
      sym_comment,
      sym_block_comment,
  [667126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21433), 1,
      anon_sym_EQ_GT_GT,
    STATE(16806), 2,
      sym_comment,
      sym_block_comment,
  [667140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21435), 1,
      sym__outdent,
    STATE(16807), 2,
      sym_comment,
      sym_block_comment,
  [667154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21437), 1,
      anon_sym_EQ_GT_GT,
    STATE(16808), 2,
      sym_comment,
      sym_block_comment,
  [667168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21439), 1,
      anon_sym_EQ_GT_GT,
    STATE(16809), 2,
      sym_comment,
      sym_block_comment,
  [667182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21441), 1,
      anon_sym_EQ_GT_GT,
    STATE(16810), 2,
      sym_comment,
      sym_block_comment,
  [667196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21443), 1,
      anon_sym_EQ_GT_GT,
    STATE(16811), 2,
      sym_comment,
      sym_block_comment,
  [667210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21445), 1,
      anon_sym_EQ_GT_GT,
    STATE(16812), 2,
      sym_comment,
      sym_block_comment,
  [667224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21447), 1,
      anon_sym_RPAREN,
    STATE(16813), 2,
      sym_comment,
      sym_block_comment,
  [667238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21449), 1,
      sym__outdent,
    STATE(16814), 2,
      sym_comment,
      sym_block_comment,
  [667252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21451), 1,
      anon_sym_COLON,
    STATE(16815), 2,
      sym_comment,
      sym_block_comment,
  [667266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10698), 1,
      anon_sym_DOT,
    STATE(16816), 2,
      sym_comment,
      sym_block_comment,
  [667280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21453), 1,
      anon_sym_RPAREN,
    STATE(16817), 2,
      sym_comment,
      sym_block_comment,
  [667294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21455), 1,
      anon_sym_else,
    STATE(16818), 2,
      sym_comment,
      sym_block_comment,
  [667308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21457), 1,
      anon_sym_else,
    STATE(16819), 2,
      sym_comment,
      sym_block_comment,
  [667322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21459), 1,
      sym__outdent,
    STATE(16820), 2,
      sym_comment,
      sym_block_comment,
  [667336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16131), 1,
      anon_sym_DOT,
    STATE(16821), 2,
      sym_comment,
      sym_block_comment,
  [667350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21461), 1,
      sym__outdent,
    STATE(16822), 2,
      sym_comment,
      sym_block_comment,
  [667364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21463), 1,
      anon_sym_LPAREN,
    STATE(16823), 2,
      sym_comment,
      sym_block_comment,
  [667378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21465), 1,
      anon_sym_EQ_GT,
    STATE(16824), 2,
      sym_comment,
      sym_block_comment,
  [667392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21467), 1,
      anon_sym_RPAREN,
    STATE(16825), 2,
      sym_comment,
      sym_block_comment,
  [667406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21469), 1,
      anon_sym_RPAREN,
    STATE(16826), 2,
      sym_comment,
      sym_block_comment,
  [667420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21471), 1,
      sym__outdent,
    STATE(16827), 2,
      sym_comment,
      sym_block_comment,
  [667434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21473), 1,
      anon_sym_else,
    STATE(16828), 2,
      sym_comment,
      sym_block_comment,
  [667448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21475), 1,
      sym__outdent,
    STATE(16829), 2,
      sym_comment,
      sym_block_comment,
  [667462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21477), 1,
      anon_sym_EQ_GT,
    STATE(16830), 2,
      sym_comment,
      sym_block_comment,
  [667476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21479), 1,
      anon_sym_RBRACK,
    STATE(16831), 2,
      sym_comment,
      sym_block_comment,
  [667490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21479), 1,
      anon_sym_RBRACE,
    STATE(16832), 2,
      sym_comment,
      sym_block_comment,
  [667504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21481), 1,
      anon_sym_EQ_GT_GT,
    STATE(16833), 2,
      sym_comment,
      sym_block_comment,
  [667518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21483), 1,
      anon_sym_EQ_GT_GT,
    STATE(16834), 2,
      sym_comment,
      sym_block_comment,
  [667532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21485), 1,
      anon_sym_EQ_GT_GT,
    STATE(16835), 2,
      sym_comment,
      sym_block_comment,
  [667546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21487), 1,
      anon_sym_EQ_GT_GT,
    STATE(16836), 2,
      sym_comment,
      sym_block_comment,
  [667560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21489), 1,
      anon_sym_RPAREN,
    STATE(16837), 2,
      sym_comment,
      sym_block_comment,
  [667574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21299), 1,
      anon_sym_RBRACE,
    STATE(16838), 2,
      sym_comment,
      sym_block_comment,
  [667588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21491), 1,
      anon_sym_COLON,
    STATE(16839), 2,
      sym_comment,
      sym_block_comment,
  [667602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11685), 1,
      anon_sym_DOT,
    STATE(16840), 2,
      sym_comment,
      sym_block_comment,
  [667616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21493), 1,
      anon_sym_do,
    STATE(16841), 2,
      sym_comment,
      sym_block_comment,
  [667630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21495), 1,
      sym__outdent,
    STATE(16842), 2,
      sym_comment,
      sym_block_comment,
  [667644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21497), 1,
      anon_sym_RPAREN,
    STATE(16843), 2,
      sym_comment,
      sym_block_comment,
  [667658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12635), 1,
      anon_sym_DOT,
    STATE(16844), 2,
      sym_comment,
      sym_block_comment,
  [667672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21497), 1,
      anon_sym_RBRACE,
    STATE(16845), 2,
      sym_comment,
      sym_block_comment,
  [667686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21499), 1,
      anon_sym_RBRACE,
    STATE(16846), 2,
      sym_comment,
      sym_block_comment,
  [667700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21501), 1,
      sym__outdent,
    STATE(16847), 2,
      sym_comment,
      sym_block_comment,
  [667714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21503), 1,
      sym__outdent,
    STATE(16848), 2,
      sym_comment,
      sym_block_comment,
  [667728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21505), 1,
      anon_sym_RBRACE,
    STATE(16849), 2,
      sym_comment,
      sym_block_comment,
  [667742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21505), 1,
      anon_sym_RPAREN,
    STATE(16850), 2,
      sym_comment,
      sym_block_comment,
  [667756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21507), 1,
      anon_sym_EQ_GT_GT,
    STATE(16851), 2,
      sym_comment,
      sym_block_comment,
  [667770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21509), 1,
      anon_sym_RBRACE,
    STATE(16852), 2,
      sym_comment,
      sym_block_comment,
  [667784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21511), 1,
      sym__outdent,
    STATE(16853), 2,
      sym_comment,
      sym_block_comment,
  [667798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21513), 1,
      anon_sym_EQ_GT,
    STATE(16854), 2,
      sym_comment,
      sym_block_comment,
  [667812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21515), 1,
      anon_sym_else,
    STATE(16855), 2,
      sym_comment,
      sym_block_comment,
  [667826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21517), 1,
      anon_sym_RPAREN,
    STATE(16856), 2,
      sym_comment,
      sym_block_comment,
  [667840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21519), 1,
      anon_sym_EQ_GT_GT,
    STATE(16857), 2,
      sym_comment,
      sym_block_comment,
  [667854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21521), 1,
      anon_sym_EQ_GT_GT,
    STATE(16858), 2,
      sym_comment,
      sym_block_comment,
  [667868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21523), 1,
      anon_sym_EQ_GT_GT,
    STATE(16859), 2,
      sym_comment,
      sym_block_comment,
  [667882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21525), 1,
      anon_sym_EQ_GT_GT,
    STATE(16860), 2,
      sym_comment,
      sym_block_comment,
  [667896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21527), 1,
      anon_sym_COLON,
    STATE(16861), 2,
      sym_comment,
      sym_block_comment,
  [667910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21529), 1,
      anon_sym_RPAREN,
    STATE(16862), 2,
      sym_comment,
      sym_block_comment,
  [667924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21531), 1,
      anon_sym_COLON,
    STATE(16863), 2,
      sym_comment,
      sym_block_comment,
  [667938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13386), 1,
      anon_sym_DOT,
    STATE(16864), 2,
      sym_comment,
      sym_block_comment,
  [667952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21533), 1,
      anon_sym_do,
    STATE(16865), 2,
      sym_comment,
      sym_block_comment,
  [667966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21535), 1,
      anon_sym_EQ_GT_GT,
    STATE(16866), 2,
      sym_comment,
      sym_block_comment,
  [667980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21537), 1,
      sym__outdent,
    STATE(16867), 2,
      sym_comment,
      sym_block_comment,
  [667994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21539), 1,
      anon_sym_else,
    STATE(16868), 2,
      sym_comment,
      sym_block_comment,
  [668008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21541), 1,
      anon_sym_RBRACE,
    STATE(16869), 2,
      sym_comment,
      sym_block_comment,
  [668022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21543), 1,
      anon_sym_EQ_GT_GT,
    STATE(16870), 2,
      sym_comment,
      sym_block_comment,
  [668036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21545), 1,
      anon_sym_EQ_GT_GT,
    STATE(16871), 2,
      sym_comment,
      sym_block_comment,
  [668050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21547), 1,
      anon_sym_do,
    STATE(16872), 2,
      sym_comment,
      sym_block_comment,
  [668064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21549), 1,
      anon_sym_EQ_GT_GT,
    STATE(16873), 2,
      sym_comment,
      sym_block_comment,
  [668078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21551), 1,
      anon_sym_else,
    STATE(16874), 2,
      sym_comment,
      sym_block_comment,
  [668092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21553), 1,
      sym__outdent,
    STATE(16875), 2,
      sym_comment,
      sym_block_comment,
  [668106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21555), 1,
      anon_sym_EQ_GT,
    STATE(16876), 2,
      sym_comment,
      sym_block_comment,
  [668120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21557), 1,
      anon_sym_EQ_GT_GT,
    STATE(16877), 2,
      sym_comment,
      sym_block_comment,
  [668134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21559), 1,
      anon_sym_RPAREN,
    STATE(16878), 2,
      sym_comment,
      sym_block_comment,
  [668148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21561), 1,
      anon_sym_EQ_GT_GT,
    STATE(16879), 2,
      sym_comment,
      sym_block_comment,
  [668162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21563), 1,
      anon_sym_EQ_GT_GT,
    STATE(16880), 2,
      sym_comment,
      sym_block_comment,
  [668176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21565), 1,
      anon_sym_EQ_GT_GT,
    STATE(16881), 2,
      sym_comment,
      sym_block_comment,
  [668190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21567), 1,
      anon_sym_EQ_GT_GT,
    STATE(16882), 2,
      sym_comment,
      sym_block_comment,
  [668204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21569), 1,
      anon_sym_RBRACE,
    STATE(16883), 2,
      sym_comment,
      sym_block_comment,
  [668218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21571), 1,
      anon_sym_else,
    STATE(16884), 2,
      sym_comment,
      sym_block_comment,
  [668232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20821), 1,
      anon_sym_COLON,
    STATE(16885), 2,
      sym_comment,
      sym_block_comment,
  [668246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9732), 1,
      anon_sym_DOT,
    STATE(16886), 2,
      sym_comment,
      sym_block_comment,
  [668260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21573), 1,
      anon_sym_EQ_GT_GT,
    STATE(16887), 2,
      sym_comment,
      sym_block_comment,
  [668274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21575), 1,
      anon_sym_LPAREN,
    STATE(16888), 2,
      sym_comment,
      sym_block_comment,
  [668288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21577), 1,
      sym__outdent,
    STATE(16889), 2,
      sym_comment,
      sym_block_comment,
  [668302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21579), 1,
      sym__outdent,
    STATE(16890), 2,
      sym_comment,
      sym_block_comment,
  [668316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21581), 1,
      anon_sym_RBRACE,
    STATE(16891), 2,
      sym_comment,
      sym_block_comment,
  [668330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21581), 1,
      anon_sym_RPAREN,
    STATE(16892), 2,
      sym_comment,
      sym_block_comment,
  [668344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21583), 1,
      anon_sym_RPAREN,
    STATE(16893), 2,
      sym_comment,
      sym_block_comment,
  [668358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7752), 1,
      anon_sym_DOT,
    STATE(16894), 2,
      sym_comment,
      sym_block_comment,
  [668372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21585), 1,
      anon_sym_RPAREN,
    STATE(16895), 2,
      sym_comment,
      sym_block_comment,
  [668386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21587), 1,
      sym__outdent,
    STATE(16896), 2,
      sym_comment,
      sym_block_comment,
  [668400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21589), 1,
      anon_sym_COLON,
    STATE(16897), 2,
      sym_comment,
      sym_block_comment,
  [668414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21591), 1,
      anon_sym_EQ_GT,
    STATE(16898), 2,
      sym_comment,
      sym_block_comment,
  [668428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21593), 1,
      anon_sym_EQ_GT_GT,
    STATE(16899), 2,
      sym_comment,
      sym_block_comment,
  [668442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21595), 1,
      anon_sym_RBRACK,
    STATE(16900), 2,
      sym_comment,
      sym_block_comment,
  [668456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21597), 1,
      anon_sym_EQ_GT_GT,
    STATE(16901), 2,
      sym_comment,
      sym_block_comment,
  [668470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21599), 1,
      anon_sym_EQ_GT_GT,
    STATE(16902), 2,
      sym_comment,
      sym_block_comment,
  [668484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21601), 1,
      anon_sym_EQ_GT_GT,
    STATE(16903), 2,
      sym_comment,
      sym_block_comment,
  [668498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21603), 1,
      anon_sym_EQ_GT_GT,
    STATE(16904), 2,
      sym_comment,
      sym_block_comment,
  [668512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21595), 1,
      anon_sym_RBRACE,
    STATE(16905), 2,
      sym_comment,
      sym_block_comment,
  [668526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21605), 1,
      anon_sym_RBRACK,
    STATE(16906), 2,
      sym_comment,
      sym_block_comment,
  [668540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21607), 1,
      anon_sym_COLON,
    STATE(16907), 2,
      sym_comment,
      sym_block_comment,
  [668554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8599), 1,
      anon_sym_DOT,
    STATE(16908), 2,
      sym_comment,
      sym_block_comment,
  [668568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21605), 1,
      anon_sym_RBRACE,
    STATE(16909), 2,
      sym_comment,
      sym_block_comment,
  [668582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21609), 1,
      anon_sym_else,
    STATE(16910), 2,
      sym_comment,
      sym_block_comment,
  [668596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21611), 1,
      anon_sym_RPAREN,
    STATE(16911), 2,
      sym_comment,
      sym_block_comment,
  [668610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21611), 1,
      anon_sym_RBRACE,
    STATE(16912), 2,
      sym_comment,
      sym_block_comment,
  [668624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21613), 1,
      anon_sym_RPAREN,
    STATE(16913), 2,
      sym_comment,
      sym_block_comment,
  [668638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21615), 1,
      sym__outdent,
    STATE(16914), 2,
      sym_comment,
      sym_block_comment,
  [668652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21617), 1,
      anon_sym_else,
    STATE(16915), 2,
      sym_comment,
      sym_block_comment,
  [668666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21619), 1,
      sym__outdent,
    STATE(16916), 2,
      sym_comment,
      sym_block_comment,
  [668680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21621), 1,
      anon_sym_do,
    STATE(16917), 2,
      sym_comment,
      sym_block_comment,
  [668694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21623), 1,
      anon_sym_EQ_GT_GT,
    STATE(16918), 2,
      sym_comment,
      sym_block_comment,
  [668708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21625), 1,
      anon_sym_RPAREN,
    STATE(16919), 2,
      sym_comment,
      sym_block_comment,
  [668722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21627), 1,
      anon_sym_EQ_GT,
    STATE(16920), 2,
      sym_comment,
      sym_block_comment,
  [668736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21629), 1,
      anon_sym_RBRACE,
    STATE(16921), 2,
      sym_comment,
      sym_block_comment,
  [668750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21631), 1,
      sym__outdent,
    STATE(16922), 2,
      sym_comment,
      sym_block_comment,
  [668764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21633), 1,
      anon_sym_EQ_GT_GT,
    STATE(16923), 2,
      sym_comment,
      sym_block_comment,
  [668778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21635), 1,
      anon_sym_EQ_GT_GT,
    STATE(16924), 2,
      sym_comment,
      sym_block_comment,
  [668792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21637), 1,
      anon_sym_EQ_GT_GT,
    STATE(16925), 2,
      sym_comment,
      sym_block_comment,
  [668806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21639), 1,
      anon_sym_EQ_GT_GT,
    STATE(16926), 2,
      sym_comment,
      sym_block_comment,
  [668820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21641), 1,
      anon_sym_RBRACE,
    STATE(16927), 2,
      sym_comment,
      sym_block_comment,
  [668834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21641), 1,
      anon_sym_RPAREN,
    STATE(16928), 2,
      sym_comment,
      sym_block_comment,
  [668848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21643), 1,
      anon_sym_COLON,
    STATE(16929), 2,
      sym_comment,
      sym_block_comment,
  [668862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9554), 1,
      anon_sym_DOT,
    STATE(16930), 2,
      sym_comment,
      sym_block_comment,
  [668876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21645), 1,
      anon_sym_RBRACE,
    STATE(16931), 2,
      sym_comment,
      sym_block_comment,
  [668890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21647), 1,
      anon_sym_RPAREN,
    STATE(16932), 2,
      sym_comment,
      sym_block_comment,
  [668904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21649), 1,
      sym__outdent,
    STATE(16933), 2,
      sym_comment,
      sym_block_comment,
  [668918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21651), 1,
      anon_sym_else,
    STATE(16934), 2,
      sym_comment,
      sym_block_comment,
  [668932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21625), 1,
      anon_sym_RBRACE,
    STATE(16935), 2,
      sym_comment,
      sym_block_comment,
  [668946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21653), 1,
      anon_sym_EQ_GT,
    STATE(16936), 2,
      sym_comment,
      sym_block_comment,
  [668960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21655), 1,
      anon_sym_do,
    STATE(16937), 2,
      sym_comment,
      sym_block_comment,
  [668974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21657), 1,
      anon_sym_RPAREN,
    STATE(16938), 2,
      sym_comment,
      sym_block_comment,
  [668988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21659), 1,
      sym__outdent,
    STATE(16939), 2,
      sym_comment,
      sym_block_comment,
  [669002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21661), 1,
      anon_sym_else,
    STATE(16940), 2,
      sym_comment,
      sym_block_comment,
  [669016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21663), 1,
      anon_sym_RBRACE,
    STATE(16941), 2,
      sym_comment,
      sym_block_comment,
  [669030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21665), 1,
      anon_sym_EQ_GT,
    STATE(16942), 2,
      sym_comment,
      sym_block_comment,
  [669044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21667), 1,
      anon_sym_RBRACE,
    STATE(16943), 2,
      sym_comment,
      sym_block_comment,
  [669058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21669), 1,
      anon_sym_else,
    STATE(16944), 2,
      sym_comment,
      sym_block_comment,
  [669072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21671), 1,
      anon_sym_EQ_GT_GT,
    STATE(16945), 2,
      sym_comment,
      sym_block_comment,
  [669086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21673), 1,
      anon_sym_EQ_GT_GT,
    STATE(16946), 2,
      sym_comment,
      sym_block_comment,
  [669100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21675), 1,
      anon_sym_EQ_GT_GT,
    STATE(16947), 2,
      sym_comment,
      sym_block_comment,
  [669114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21677), 1,
      anon_sym_EQ_GT_GT,
    STATE(16948), 2,
      sym_comment,
      sym_block_comment,
  [669128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21679), 1,
      anon_sym_do,
    STATE(16949), 2,
      sym_comment,
      sym_block_comment,
  [669142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21681), 1,
      anon_sym_else,
    STATE(16950), 2,
      sym_comment,
      sym_block_comment,
  [669156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21683), 1,
      anon_sym_COLON,
    STATE(16951), 2,
      sym_comment,
      sym_block_comment,
  [669170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10990), 1,
      anon_sym_DOT,
    STATE(16952), 2,
      sym_comment,
      sym_block_comment,
  [669184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21685), 1,
      sym__outdent,
    STATE(16953), 2,
      sym_comment,
      sym_block_comment,
  [669198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21687), 1,
      anon_sym_COLON,
    STATE(16954), 2,
      sym_comment,
      sym_block_comment,
  [669212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21689), 1,
      anon_sym_RPAREN,
    STATE(16955), 2,
      sym_comment,
      sym_block_comment,
  [669226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10638), 1,
      anon_sym_DOT,
    STATE(16956), 2,
      sym_comment,
      sym_block_comment,
  [669240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21691), 1,
      anon_sym_RBRACE,
    STATE(16957), 2,
      sym_comment,
      sym_block_comment,
  [669254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21693), 1,
      anon_sym_else,
    STATE(16958), 2,
      sym_comment,
      sym_block_comment,
  [669268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21695), 1,
      anon_sym_RBRACE,
    STATE(16959), 2,
      sym_comment,
      sym_block_comment,
  [669282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21697), 1,
      sym__outdent,
    STATE(16960), 2,
      sym_comment,
      sym_block_comment,
  [669296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21699), 1,
      anon_sym_RBRACE,
    STATE(16961), 2,
      sym_comment,
      sym_block_comment,
  [669310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21701), 1,
      sym__outdent,
    STATE(16962), 2,
      sym_comment,
      sym_block_comment,
  [669324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21699), 1,
      anon_sym_RPAREN,
    STATE(16963), 2,
      sym_comment,
      sym_block_comment,
  [669338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21703), 1,
      anon_sym_EQ_GT,
    STATE(16964), 2,
      sym_comment,
      sym_block_comment,
  [669352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21705), 1,
      anon_sym_EQ_GT_GT,
    STATE(16965), 2,
      sym_comment,
      sym_block_comment,
  [669366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21707), 1,
      anon_sym_RBRACE,
    STATE(16966), 2,
      sym_comment,
      sym_block_comment,
  [669380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21709), 1,
      anon_sym_EQ_GT_GT,
    STATE(16967), 2,
      sym_comment,
      sym_block_comment,
  [669394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21711), 1,
      anon_sym_EQ_GT_GT,
    STATE(16968), 2,
      sym_comment,
      sym_block_comment,
  [669408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21713), 1,
      anon_sym_EQ_GT_GT,
    STATE(16969), 2,
      sym_comment,
      sym_block_comment,
  [669422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21715), 1,
      anon_sym_EQ_GT_GT,
    STATE(16970), 2,
      sym_comment,
      sym_block_comment,
  [669436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21717), 1,
      anon_sym_EQ_GT_GT,
    STATE(16971), 2,
      sym_comment,
      sym_block_comment,
  [669450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21719), 1,
      anon_sym_RPAREN,
    STATE(16972), 2,
      sym_comment,
      sym_block_comment,
  [669464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21721), 1,
      anon_sym_COLON,
    STATE(16973), 2,
      sym_comment,
      sym_block_comment,
  [669478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10728), 1,
      anon_sym_DOT,
    STATE(16974), 2,
      sym_comment,
      sym_block_comment,
  [669492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21723), 1,
      anon_sym_EQ_GT_GT,
    STATE(16975), 2,
      sym_comment,
      sym_block_comment,
  [669506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21725), 1,
      anon_sym_RPAREN,
    STATE(16976), 2,
      sym_comment,
      sym_block_comment,
  [669520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21727), 1,
      sym__outdent,
    STATE(16977), 2,
      sym_comment,
      sym_block_comment,
  [669534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21729), 1,
      anon_sym_EQ_GT_GT,
    STATE(16978), 2,
      sym_comment,
      sym_block_comment,
  [669548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21731), 1,
      anon_sym_RPAREN,
    STATE(16979), 2,
      sym_comment,
      sym_block_comment,
  [669562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21733), 1,
      anon_sym_RBRACK,
    STATE(16980), 2,
      sym_comment,
      sym_block_comment,
  [669576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21735), 1,
      sym__outdent,
    STATE(16981), 2,
      sym_comment,
      sym_block_comment,
  [669590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21733), 1,
      anon_sym_RBRACE,
    STATE(16982), 2,
      sym_comment,
      sym_block_comment,
  [669604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21737), 1,
      anon_sym_RBRACK,
    STATE(16983), 2,
      sym_comment,
      sym_block_comment,
  [669618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21737), 1,
      anon_sym_RBRACE,
    STATE(16984), 2,
      sym_comment,
      sym_block_comment,
  [669632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21739), 1,
      anon_sym_RPAREN,
    STATE(16985), 2,
      sym_comment,
      sym_block_comment,
  [669646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21741), 1,
      anon_sym_EQ_GT,
    STATE(16986), 2,
      sym_comment,
      sym_block_comment,
  [669660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21743), 1,
      anon_sym_else,
    STATE(16987), 2,
      sym_comment,
      sym_block_comment,
  [669674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21745), 1,
      anon_sym_RPAREN,
    STATE(16988), 2,
      sym_comment,
      sym_block_comment,
  [669688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21747), 1,
      anon_sym_EQ_GT_GT,
    STATE(16989), 2,
      sym_comment,
      sym_block_comment,
  [669702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21749), 1,
      anon_sym_EQ_GT_GT,
    STATE(16990), 2,
      sym_comment,
      sym_block_comment,
  [669716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21751), 1,
      anon_sym_EQ_GT_GT,
    STATE(16991), 2,
      sym_comment,
      sym_block_comment,
  [669730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21753), 1,
      anon_sym_EQ_GT_GT,
    STATE(16992), 2,
      sym_comment,
      sym_block_comment,
  [669744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21755), 1,
      sym__outdent,
    STATE(16993), 2,
      sym_comment,
      sym_block_comment,
  [669758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21745), 1,
      anon_sym_RBRACE,
    STATE(16994), 2,
      sym_comment,
      sym_block_comment,
  [669772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21757), 1,
      anon_sym_COLON,
    STATE(16995), 2,
      sym_comment,
      sym_block_comment,
  [669786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10145), 1,
      anon_sym_DOT,
    STATE(16996), 2,
      sym_comment,
      sym_block_comment,
  [669800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21759), 1,
      anon_sym_else,
    STATE(16997), 2,
      sym_comment,
      sym_block_comment,
  [669814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21761), 1,
      sym__outdent,
    STATE(16998), 2,
      sym_comment,
      sym_block_comment,
  [669828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21763), 1,
      anon_sym_else,
    STATE(16999), 2,
      sym_comment,
      sym_block_comment,
  [669842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21765), 1,
      anon_sym_do,
    STATE(17000), 2,
      sym_comment,
      sym_block_comment,
  [669856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21767), 1,
      anon_sym_RBRACE,
    STATE(17001), 2,
      sym_comment,
      sym_block_comment,
  [669870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10624), 1,
      anon_sym_DOT,
    STATE(17002), 2,
      sym_comment,
      sym_block_comment,
  [669884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21769), 1,
      anon_sym_COLON,
    STATE(17003), 2,
      sym_comment,
      sym_block_comment,
  [669898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21771), 1,
      anon_sym_RBRACE,
    STATE(17004), 2,
      sym_comment,
      sym_block_comment,
  [669912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21773), 1,
      sym__outdent,
    STATE(17005), 2,
      sym_comment,
      sym_block_comment,
  [669926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21775), 1,
      anon_sym_RPAREN,
    STATE(17006), 2,
      sym_comment,
      sym_block_comment,
  [669940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21777), 1,
      anon_sym_do,
    STATE(17007), 2,
      sym_comment,
      sym_block_comment,
  [669954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21779), 1,
      anon_sym_EQ_GT,
    STATE(17008), 2,
      sym_comment,
      sym_block_comment,
  [669968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15907), 1,
      anon_sym_DOT,
    STATE(17009), 2,
      sym_comment,
      sym_block_comment,
  [669982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21781), 1,
      sym__outdent,
    STATE(17010), 2,
      sym_comment,
      sym_block_comment,
  [669996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21783), 1,
      anon_sym_EQ_GT_GT,
    STATE(17011), 2,
      sym_comment,
      sym_block_comment,
  [670010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21785), 1,
      anon_sym_EQ_GT_GT,
    STATE(17012), 2,
      sym_comment,
      sym_block_comment,
  [670024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21787), 1,
      anon_sym_EQ_GT_GT,
    STATE(17013), 2,
      sym_comment,
      sym_block_comment,
  [670038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21789), 1,
      anon_sym_EQ_GT_GT,
    STATE(17014), 2,
      sym_comment,
      sym_block_comment,
  [670052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21791), 1,
      anon_sym_LPAREN,
    STATE(17015), 2,
      sym_comment,
      sym_block_comment,
  [670066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21793), 1,
      anon_sym_EQ_GT,
    STATE(17016), 2,
      sym_comment,
      sym_block_comment,
  [670080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21795), 1,
      anon_sym_COLON,
    STATE(17017), 2,
      sym_comment,
      sym_block_comment,
  [670094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11680), 1,
      anon_sym_DOT,
    STATE(17018), 2,
      sym_comment,
      sym_block_comment,
  [670108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21797), 1,
      anon_sym_RBRACE,
    STATE(17019), 2,
      sym_comment,
      sym_block_comment,
  [670122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21799), 1,
      anon_sym_else,
    STATE(17020), 2,
      sym_comment,
      sym_block_comment,
  [670136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21801), 1,
      sym__outdent,
    STATE(17021), 2,
      sym_comment,
      sym_block_comment,
  [670150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21803), 1,
      anon_sym_RBRACE,
    STATE(17022), 2,
      sym_comment,
      sym_block_comment,
  [670164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9598), 1,
      anon_sym_EQ_GT,
    STATE(17023), 2,
      sym_comment,
      sym_block_comment,
  [670178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9562), 1,
      anon_sym_EQ_GT,
    STATE(17024), 2,
      sym_comment,
      sym_block_comment,
  [670192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21803), 1,
      anon_sym_RPAREN,
    STATE(17025), 2,
      sym_comment,
      sym_block_comment,
  [670206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9530), 1,
      anon_sym_EQ_GT,
    STATE(17026), 2,
      sym_comment,
      sym_block_comment,
  [670220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11754), 1,
      anon_sym_EQ_GT,
    STATE(17027), 2,
      sym_comment,
      sym_block_comment,
  [670234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9475), 1,
      anon_sym_EQ_GT,
    STATE(17028), 2,
      sym_comment,
      sym_block_comment,
  [670248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21805), 1,
      anon_sym_RPAREN,
    STATE(17029), 2,
      sym_comment,
      sym_block_comment,
  [670262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21807), 1,
      anon_sym_EQ_GT,
    STATE(17030), 2,
      sym_comment,
      sym_block_comment,
  [670276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21809), 1,
      sym__outdent,
    STATE(17031), 2,
      sym_comment,
      sym_block_comment,
  [670290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21811), 1,
      anon_sym_EQ_GT_GT,
    STATE(17032), 2,
      sym_comment,
      sym_block_comment,
  [670304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21813), 1,
      anon_sym_EQ_GT_GT,
    STATE(17033), 2,
      sym_comment,
      sym_block_comment,
  [670318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21815), 1,
      anon_sym_EQ_GT_GT,
    STATE(17034), 2,
      sym_comment,
      sym_block_comment,
  [670332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21817), 1,
      anon_sym_EQ_GT_GT,
    STATE(17035), 2,
      sym_comment,
      sym_block_comment,
  [670346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9430), 1,
      anon_sym_EQ_GT,
    STATE(17036), 2,
      sym_comment,
      sym_block_comment,
  [670360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21819), 1,
      anon_sym_else,
    STATE(17037), 2,
      sym_comment,
      sym_block_comment,
  [670374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21821), 1,
      anon_sym_COLON,
    STATE(17038), 2,
      sym_comment,
      sym_block_comment,
  [670388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11493), 1,
      anon_sym_DOT,
    STATE(17039), 2,
      sym_comment,
      sym_block_comment,
  [670402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21823), 1,
      sym__outdent,
    STATE(17040), 2,
      sym_comment,
      sym_block_comment,
  [670416] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21825), 1,
      anon_sym_else,
    STATE(17041), 2,
      sym_comment,
      sym_block_comment,
  [670430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21827), 1,
      anon_sym_RPAREN,
    STATE(17042), 2,
      sym_comment,
      sym_block_comment,
  [670444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21829), 1,
      anon_sym_RPAREN,
    STATE(17043), 2,
      sym_comment,
      sym_block_comment,
  [670458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21831), 1,
      sym__outdent,
    STATE(17044), 2,
      sym_comment,
      sym_block_comment,
  [670472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21833), 1,
      anon_sym_else,
    STATE(17045), 2,
      sym_comment,
      sym_block_comment,
  [670486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21835), 1,
      anon_sym_EQ_GT_GT,
    STATE(17046), 2,
      sym_comment,
      sym_block_comment,
  [670500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21837), 1,
      anon_sym_else,
    STATE(17047), 2,
      sym_comment,
      sym_block_comment,
  [670514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21839), 1,
      anon_sym_EQ_GT_GT,
    STATE(17048), 2,
      sym_comment,
      sym_block_comment,
  [670528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21841), 1,
      anon_sym_do,
    STATE(17049), 2,
      sym_comment,
      sym_block_comment,
  [670542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21843), 1,
      anon_sym_EQ_GT_GT,
    STATE(17050), 2,
      sym_comment,
      sym_block_comment,
  [670556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21845), 1,
      anon_sym_EQ_GT,
    STATE(17051), 2,
      sym_comment,
      sym_block_comment,
  [670570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21847), 1,
      sym__outdent,
    STATE(17052), 2,
      sym_comment,
      sym_block_comment,
  [670584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21849), 1,
      anon_sym_EQ_GT_GT,
    STATE(17053), 2,
      sym_comment,
      sym_block_comment,
  [670598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21851), 1,
      anon_sym_EQ_GT_GT,
    STATE(17054), 2,
      sym_comment,
      sym_block_comment,
  [670612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21853), 1,
      anon_sym_EQ_GT_GT,
    STATE(17055), 2,
      sym_comment,
      sym_block_comment,
  [670626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21855), 1,
      anon_sym_EQ_GT_GT,
    STATE(17056), 2,
      sym_comment,
      sym_block_comment,
  [670640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21857), 1,
      anon_sym_EQ_GT,
    STATE(17057), 2,
      sym_comment,
      sym_block_comment,
  [670654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21859), 1,
      anon_sym_RBRACE,
    STATE(17058), 2,
      sym_comment,
      sym_block_comment,
  [670668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21861), 1,
      anon_sym_COLON,
    STATE(17059), 2,
      sym_comment,
      sym_block_comment,
  [670682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11261), 1,
      anon_sym_DOT,
    STATE(17060), 2,
      sym_comment,
      sym_block_comment,
  [670696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21863), 1,
      anon_sym_RPAREN,
    STATE(17061), 2,
      sym_comment,
      sym_block_comment,
  [670710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21865), 1,
      anon_sym_EQ_GT_GT,
    STATE(17062), 2,
      sym_comment,
      sym_block_comment,
  [670724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21867), 1,
      sym__outdent,
    STATE(17063), 2,
      sym_comment,
      sym_block_comment,
  [670738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21869), 1,
      anon_sym_RBRACE,
    STATE(17064), 2,
      sym_comment,
      sym_block_comment,
  [670752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21869), 1,
      anon_sym_RPAREN,
    STATE(17065), 2,
      sym_comment,
      sym_block_comment,
  [670766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21871), 1,
      anon_sym_RBRACE,
    STATE(17066), 2,
      sym_comment,
      sym_block_comment,
  [670780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21873), 1,
      anon_sym_RBRACK,
    STATE(17067), 2,
      sym_comment,
      sym_block_comment,
  [670794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21875), 1,
      anon_sym_EQ_GT_GT,
    STATE(17068), 2,
      sym_comment,
      sym_block_comment,
  [670808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21877), 1,
      anon_sym_RPAREN,
    STATE(17069), 2,
      sym_comment,
      sym_block_comment,
  [670822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21873), 1,
      anon_sym_RBRACE,
    STATE(17070), 2,
      sym_comment,
      sym_block_comment,
  [670836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21879), 1,
      anon_sym_RPAREN,
    STATE(17071), 2,
      sym_comment,
      sym_block_comment,
  [670850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21881), 1,
      anon_sym_EQ_GT,
    STATE(17072), 2,
      sym_comment,
      sym_block_comment,
  [670864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21883), 1,
      anon_sym_EQ_GT,
    STATE(17073), 2,
      sym_comment,
      sym_block_comment,
  [670878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21885), 1,
      anon_sym_EQ_GT_GT,
    STATE(17074), 2,
      sym_comment,
      sym_block_comment,
  [670892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21887), 1,
      anon_sym_EQ_GT_GT,
    STATE(17075), 2,
      sym_comment,
      sym_block_comment,
  [670906] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21889), 1,
      anon_sym_EQ_GT_GT,
    STATE(17076), 2,
      sym_comment,
      sym_block_comment,
  [670920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21891), 1,
      anon_sym_EQ_GT_GT,
    STATE(17077), 2,
      sym_comment,
      sym_block_comment,
  [670934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21893), 1,
      sym__outdent,
    STATE(17078), 2,
      sym_comment,
      sym_block_comment,
  [670948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21895), 1,
      anon_sym_RBRACK,
    STATE(17079), 2,
      sym_comment,
      sym_block_comment,
  [670962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21897), 1,
      anon_sym_COLON,
    STATE(17080), 2,
      sym_comment,
      sym_block_comment,
  [670976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10510), 1,
      anon_sym_DOT,
    STATE(17081), 2,
      sym_comment,
      sym_block_comment,
  [670990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21895), 1,
      anon_sym_RBRACE,
    STATE(17082), 2,
      sym_comment,
      sym_block_comment,
  [671004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21899), 1,
      anon_sym_else,
    STATE(17083), 2,
      sym_comment,
      sym_block_comment,
  [671018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21901), 1,
      anon_sym_RPAREN,
    STATE(17084), 2,
      sym_comment,
      sym_block_comment,
  [671032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21903), 1,
      anon_sym_RPAREN,
    STATE(17085), 2,
      sym_comment,
      sym_block_comment,
  [671046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21901), 1,
      anon_sym_RBRACE,
    STATE(17086), 2,
      sym_comment,
      sym_block_comment,
  [671060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21905), 1,
      sym__outdent,
    STATE(17087), 2,
      sym_comment,
      sym_block_comment,
  [671074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21907), 1,
      anon_sym_else,
    STATE(17088), 2,
      sym_comment,
      sym_block_comment,
  [671088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21909), 1,
      sym__outdent,
    STATE(17089), 2,
      sym_comment,
      sym_block_comment,
  [671102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21911), 1,
      anon_sym_RBRACK,
    STATE(17090), 2,
      sym_comment,
      sym_block_comment,
  [671116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21913), 1,
      anon_sym_do,
    STATE(17091), 2,
      sym_comment,
      sym_block_comment,
  [671130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21915), 1,
      anon_sym_EQ_GT_GT,
    STATE(17092), 2,
      sym_comment,
      sym_block_comment,
  [671144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21917), 1,
      anon_sym_EQ_GT,
    STATE(17093), 2,
      sym_comment,
      sym_block_comment,
  [671158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21919), 1,
      anon_sym_do,
    STATE(17094), 2,
      sym_comment,
      sym_block_comment,
  [671172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21921), 1,
      anon_sym_EQ_GT_GT,
    STATE(17095), 2,
      sym_comment,
      sym_block_comment,
  [671186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21923), 1,
      anon_sym_EQ_GT_GT,
    STATE(17096), 2,
      sym_comment,
      sym_block_comment,
  [671200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21925), 1,
      anon_sym_EQ_GT_GT,
    STATE(17097), 2,
      sym_comment,
      sym_block_comment,
  [671214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21927), 1,
      anon_sym_EQ_GT_GT,
    STATE(17098), 2,
      sym_comment,
      sym_block_comment,
  [671228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21929), 1,
      anon_sym_RBRACE,
    STATE(17099), 2,
      sym_comment,
      sym_block_comment,
  [671242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21931), 1,
      sym__outdent,
    STATE(17100), 2,
      sym_comment,
      sym_block_comment,
  [671256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21933), 1,
      anon_sym_COLON,
    STATE(17101), 2,
      sym_comment,
      sym_block_comment,
  [671270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9615), 1,
      anon_sym_DOT,
    STATE(17102), 2,
      sym_comment,
      sym_block_comment,
  [671284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21935), 1,
      anon_sym_RBRACE,
    STATE(17103), 2,
      sym_comment,
      sym_block_comment,
  [671298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21935), 1,
      anon_sym_RPAREN,
    STATE(17104), 2,
      sym_comment,
      sym_block_comment,
  [671312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21937), 1,
      anon_sym_LPAREN,
    STATE(17105), 2,
      sym_comment,
      sym_block_comment,
  [671326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21939), 1,
      anon_sym_RPAREN,
    STATE(17106), 2,
      sym_comment,
      sym_block_comment,
  [671340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21941), 1,
      sym__outdent,
    STATE(17107), 2,
      sym_comment,
      sym_block_comment,
  [671354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21943), 1,
      anon_sym_EQ_GT_GT,
    STATE(17108), 2,
      sym_comment,
      sym_block_comment,
  [671368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21945), 1,
      anon_sym_EQ_GT_GT,
    STATE(17109), 2,
      sym_comment,
      sym_block_comment,
  [671382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21947), 1,
      anon_sym_do,
    STATE(17110), 2,
      sym_comment,
      sym_block_comment,
  [671396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21949), 1,
      anon_sym_else,
    STATE(17111), 2,
      sym_comment,
      sym_block_comment,
  [671410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11871), 1,
      anon_sym_DOT,
    STATE(17112), 2,
      sym_comment,
      sym_block_comment,
  [671424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21951), 1,
      anon_sym_with,
    STATE(17113), 2,
      sym_comment,
      sym_block_comment,
  [671438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21953), 1,
      anon_sym_EQ_GT,
    STATE(17114), 2,
      sym_comment,
      sym_block_comment,
  [671452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21955), 1,
      anon_sym_RBRACE,
    STATE(17115), 2,
      sym_comment,
      sym_block_comment,
  [671466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21957), 1,
      anon_sym_EQ_GT_GT,
    STATE(17116), 2,
      sym_comment,
      sym_block_comment,
  [671480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21959), 1,
      anon_sym_EQ_GT_GT,
    STATE(17117), 2,
      sym_comment,
      sym_block_comment,
  [671494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21961), 1,
      anon_sym_EQ_GT_GT,
    STATE(17118), 2,
      sym_comment,
      sym_block_comment,
  [671508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21963), 1,
      anon_sym_EQ_GT_GT,
    STATE(17119), 2,
      sym_comment,
      sym_block_comment,
  [671522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21965), 1,
      anon_sym_else,
    STATE(17120), 2,
      sym_comment,
      sym_block_comment,
  [671536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21967), 1,
      sym__outdent,
    STATE(17121), 2,
      sym_comment,
      sym_block_comment,
  [671550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21969), 1,
      anon_sym_COLON,
    STATE(17122), 2,
      sym_comment,
      sym_block_comment,
  [671564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10636), 1,
      anon_sym_DOT,
    STATE(17123), 2,
      sym_comment,
      sym_block_comment,
  [671578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21971), 1,
      anon_sym_RBRACK,
    STATE(17124), 2,
      sym_comment,
      sym_block_comment,
  [671592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21973), 1,
      anon_sym_COLON,
    STATE(17125), 2,
      sym_comment,
      sym_block_comment,
  [671606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21975), 1,
      anon_sym_else,
    STATE(17126), 2,
      sym_comment,
      sym_block_comment,
  [671620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21977), 1,
      anon_sym_else,
    STATE(17127), 2,
      sym_comment,
      sym_block_comment,
  [671634] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21979), 1,
      sym__outdent,
    STATE(17128), 2,
      sym_comment,
      sym_block_comment,
  [671648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21971), 1,
      anon_sym_RBRACE,
    STATE(17129), 2,
      sym_comment,
      sym_block_comment,
  [671662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21981), 1,
      anon_sym_do,
    STATE(17130), 2,
      sym_comment,
      sym_block_comment,
  [671676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21983), 1,
      anon_sym_RPAREN,
    STATE(17131), 2,
      sym_comment,
      sym_block_comment,
  [671690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21985), 1,
      anon_sym_RBRACE,
    STATE(17132), 2,
      sym_comment,
      sym_block_comment,
  [671704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21987), 1,
      anon_sym_else,
    STATE(17133), 2,
      sym_comment,
      sym_block_comment,
  [671718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21989), 1,
      sym__outdent,
    STATE(17134), 2,
      sym_comment,
      sym_block_comment,
  [671732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21991), 1,
      anon_sym_EQ_GT,
    STATE(17135), 2,
      sym_comment,
      sym_block_comment,
  [671746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21667), 1,
      anon_sym_RPAREN,
    STATE(17136), 2,
      sym_comment,
      sym_block_comment,
  [671760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21993), 1,
      anon_sym_EQ_GT_GT,
    STATE(17137), 2,
      sym_comment,
      sym_block_comment,
  [671774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21995), 1,
      anon_sym_EQ_GT_GT,
    STATE(17138), 2,
      sym_comment,
      sym_block_comment,
  [671788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21997), 1,
      anon_sym_EQ_GT_GT,
    STATE(17139), 2,
      sym_comment,
      sym_block_comment,
  [671802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21999), 1,
      anon_sym_EQ_GT_GT,
    STATE(17140), 2,
      sym_comment,
      sym_block_comment,
  [671816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22001), 1,
      anon_sym_COLON,
    STATE(17141), 2,
      sym_comment,
      sym_block_comment,
  [671830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22003), 1,
      sym__outdent,
    STATE(17142), 2,
      sym_comment,
      sym_block_comment,
  [671844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22005), 1,
      anon_sym_COLON,
    STATE(17143), 2,
      sym_comment,
      sym_block_comment,
  [671858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10712), 1,
      anon_sym_DOT,
    STATE(17144), 2,
      sym_comment,
      sym_block_comment,
  [671872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22007), 1,
      anon_sym_RBRACE,
    STATE(17145), 2,
      sym_comment,
      sym_block_comment,
  [671886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22009), 1,
      sym__outdent,
    STATE(17146), 2,
      sym_comment,
      sym_block_comment,
  [671900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22011), 1,
      sym__outdent,
    STATE(17147), 2,
      sym_comment,
      sym_block_comment,
  [671914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22013), 1,
      anon_sym_RBRACE,
    STATE(17148), 2,
      sym_comment,
      sym_block_comment,
  [671928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22013), 1,
      anon_sym_RPAREN,
    STATE(17149), 2,
      sym_comment,
      sym_block_comment,
  [671942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22015), 1,
      anon_sym_RPAREN,
    STATE(17150), 2,
      sym_comment,
      sym_block_comment,
  [671956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22017), 1,
      sym__outdent,
    STATE(17151), 2,
      sym_comment,
      sym_block_comment,
  [671970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22019), 1,
      anon_sym_else,
    STATE(17152), 2,
      sym_comment,
      sym_block_comment,
  [671984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11547), 1,
      anon_sym_DOT,
    STATE(17153), 2,
      sym_comment,
      sym_block_comment,
  [671998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22021), 1,
      anon_sym_RPAREN,
    STATE(17154), 2,
      sym_comment,
      sym_block_comment,
  [672012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22023), 1,
      anon_sym_RBRACE,
    STATE(17155), 2,
      sym_comment,
      sym_block_comment,
  [672026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22025), 1,
      anon_sym_EQ_GT,
    STATE(17156), 2,
      sym_comment,
      sym_block_comment,
  [672040] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22027), 1,
      anon_sym_RPAREN,
    STATE(17157), 2,
      sym_comment,
      sym_block_comment,
  [672054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22029), 1,
      anon_sym_EQ_GT_GT,
    STATE(17158), 2,
      sym_comment,
      sym_block_comment,
  [672068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22031), 1,
      anon_sym_EQ_GT_GT,
    STATE(17159), 2,
      sym_comment,
      sym_block_comment,
  [672082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22033), 1,
      anon_sym_EQ_GT_GT,
    STATE(17160), 2,
      sym_comment,
      sym_block_comment,
  [672096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22035), 1,
      anon_sym_EQ_GT_GT,
    STATE(17161), 2,
      sym_comment,
      sym_block_comment,
  [672110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22037), 1,
      sym__outdent,
    STATE(17162), 2,
      sym_comment,
      sym_block_comment,
  [672124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22039), 1,
      anon_sym_else,
    STATE(17163), 2,
      sym_comment,
      sym_block_comment,
  [672138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22041), 1,
      anon_sym_COLON,
    STATE(17164), 2,
      sym_comment,
      sym_block_comment,
  [672152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11080), 1,
      anon_sym_DOT,
    STATE(17165), 2,
      sym_comment,
      sym_block_comment,
  [672166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15926), 1,
      anon_sym_DOT,
    STATE(17166), 2,
      sym_comment,
      sym_block_comment,
  [672180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22043), 1,
      anon_sym_COLON,
    STATE(17167), 2,
      sym_comment,
      sym_block_comment,
  [672194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22045), 1,
      anon_sym_RBRACK,
    STATE(17168), 2,
      sym_comment,
      sym_block_comment,
  [672208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22045), 1,
      anon_sym_RBRACE,
    STATE(17169), 2,
      sym_comment,
      sym_block_comment,
  [672222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22047), 1,
      anon_sym_RBRACK,
    STATE(17170), 2,
      sym_comment,
      sym_block_comment,
  [672236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22047), 1,
      anon_sym_RBRACE,
    STATE(17171), 2,
      sym_comment,
      sym_block_comment,
  [672250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22049), 1,
      anon_sym_do,
    STATE(17172), 2,
      sym_comment,
      sym_block_comment,
  [672264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22051), 1,
      anon_sym_EQ_GT_GT,
    STATE(17173), 2,
      sym_comment,
      sym_block_comment,
  [672278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22053), 1,
      anon_sym_else,
    STATE(17174), 2,
      sym_comment,
      sym_block_comment,
  [672292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22055), 1,
      anon_sym_RPAREN,
    STATE(17175), 2,
      sym_comment,
      sym_block_comment,
  [672306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22023), 1,
      anon_sym_RPAREN,
    STATE(17176), 2,
      sym_comment,
      sym_block_comment,
  [672320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22057), 1,
      anon_sym_EQ_GT,
    STATE(17177), 2,
      sym_comment,
      sym_block_comment,
  [672334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22059), 1,
      anon_sym_EQ_GT_GT,
    STATE(17178), 2,
      sym_comment,
      sym_block_comment,
  [672348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22061), 1,
      anon_sym_EQ_GT_GT,
    STATE(17179), 2,
      sym_comment,
      sym_block_comment,
  [672362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22063), 1,
      anon_sym_EQ_GT_GT,
    STATE(17180), 2,
      sym_comment,
      sym_block_comment,
  [672376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22065), 1,
      anon_sym_EQ_GT_GT,
    STATE(17181), 2,
      sym_comment,
      sym_block_comment,
  [672390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22067), 1,
      anon_sym_EQ_GT_GT,
    STATE(17182), 2,
      sym_comment,
      sym_block_comment,
  [672404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22069), 1,
      anon_sym_RBRACE,
    STATE(17183), 2,
      sym_comment,
      sym_block_comment,
  [672418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22071), 1,
      sym__outdent,
    STATE(17184), 2,
      sym_comment,
      sym_block_comment,
  [672432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22073), 1,
      anon_sym_COLON,
    STATE(17185), 2,
      sym_comment,
      sym_block_comment,
  [672446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11022), 1,
      anon_sym_DOT,
    STATE(17186), 2,
      sym_comment,
      sym_block_comment,
  [672460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22055), 1,
      anon_sym_RBRACE,
    STATE(17187), 2,
      sym_comment,
      sym_block_comment,
  [672474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22075), 1,
      anon_sym_RBRACE,
    STATE(17188), 2,
      sym_comment,
      sym_block_comment,
  [672488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22077), 1,
      anon_sym_RBRACE,
    STATE(17189), 2,
      sym_comment,
      sym_block_comment,
  [672502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22079), 1,
      sym__outdent,
    STATE(17190), 2,
      sym_comment,
      sym_block_comment,
  [672516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22081), 1,
      sym__outdent,
    STATE(17191), 2,
      sym_comment,
      sym_block_comment,
  [672530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22083), 1,
      anon_sym_EQ_GT_GT,
    STATE(17192), 2,
      sym_comment,
      sym_block_comment,
  [672544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22085), 1,
      anon_sym_RBRACE,
    STATE(17193), 2,
      sym_comment,
      sym_block_comment,
  [672558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22085), 1,
      anon_sym_RPAREN,
    STATE(17194), 2,
      sym_comment,
      sym_block_comment,
  [672572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22087), 1,
      anon_sym_RPAREN,
    STATE(17195), 2,
      sym_comment,
      sym_block_comment,
  [672586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22089), 1,
      anon_sym_RBRACE,
    STATE(17196), 2,
      sym_comment,
      sym_block_comment,
  [672600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22091), 1,
      sym__outdent,
    STATE(17197), 2,
      sym_comment,
      sym_block_comment,
  [672614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22093), 1,
      anon_sym_EQ_GT,
    STATE(17198), 2,
      sym_comment,
      sym_block_comment,
  [672628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22095), 1,
      anon_sym_else,
    STATE(17199), 2,
      sym_comment,
      sym_block_comment,
  [672642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22097), 1,
      anon_sym_EQ_GT_GT,
    STATE(17200), 2,
      sym_comment,
      sym_block_comment,
  [672656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22099), 1,
      anon_sym_EQ_GT_GT,
    STATE(17201), 2,
      sym_comment,
      sym_block_comment,
  [672670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22101), 1,
      anon_sym_EQ_GT_GT,
    STATE(17202), 2,
      sym_comment,
      sym_block_comment,
  [672684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22103), 1,
      anon_sym_EQ_GT_GT,
    STATE(17203), 2,
      sym_comment,
      sym_block_comment,
  [672698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22105), 1,
      anon_sym_RPAREN,
    STATE(17204), 2,
      sym_comment,
      sym_block_comment,
  [672712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22107), 1,
      anon_sym_RPAREN,
    STATE(17205), 2,
      sym_comment,
      sym_block_comment,
  [672726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22109), 1,
      anon_sym_COLON,
    STATE(17206), 2,
      sym_comment,
      sym_block_comment,
  [672740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11640), 1,
      anon_sym_DOT,
    STATE(17207), 2,
      sym_comment,
      sym_block_comment,
  [672754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22111), 1,
      anon_sym_EQ_GT_GT,
    STATE(17208), 2,
      sym_comment,
      sym_block_comment,
  [672768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22113), 1,
      anon_sym_EQ_GT_GT,
    STATE(17209), 2,
      sym_comment,
      sym_block_comment,
  [672782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22115), 1,
      anon_sym_RPAREN,
    STATE(17210), 2,
      sym_comment,
      sym_block_comment,
  [672796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22117), 1,
      anon_sym_do,
    STATE(17211), 2,
      sym_comment,
      sym_block_comment,
  [672810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22119), 1,
      sym__outdent,
    STATE(17212), 2,
      sym_comment,
      sym_block_comment,
  [672824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22121), 1,
      anon_sym_EQ_GT_GT,
    STATE(17213), 2,
      sym_comment,
      sym_block_comment,
  [672838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22123), 1,
      anon_sym_RPAREN,
    STATE(17214), 2,
      sym_comment,
      sym_block_comment,
  [672852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22125), 1,
      anon_sym_RBRACE,
    STATE(17215), 2,
      sym_comment,
      sym_block_comment,
  [672866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21911), 1,
      anon_sym_RBRACE,
    STATE(17216), 2,
      sym_comment,
      sym_block_comment,
  [672880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22127), 1,
      anon_sym_else,
    STATE(17217), 2,
      sym_comment,
      sym_block_comment,
  [672894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22129), 1,
      anon_sym_RPAREN,
    STATE(17218), 2,
      sym_comment,
      sym_block_comment,
  [672908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22131), 1,
      anon_sym_EQ_GT,
    STATE(17219), 2,
      sym_comment,
      sym_block_comment,
  [672922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22133), 1,
      anon_sym_do,
    STATE(17220), 2,
      sym_comment,
      sym_block_comment,
  [672936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22135), 1,
      anon_sym_EQ_GT_GT,
    STATE(17221), 2,
      sym_comment,
      sym_block_comment,
  [672950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22137), 1,
      anon_sym_EQ_GT_GT,
    STATE(17222), 2,
      sym_comment,
      sym_block_comment,
  [672964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22139), 1,
      anon_sym_EQ_GT_GT,
    STATE(17223), 2,
      sym_comment,
      sym_block_comment,
  [672978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22141), 1,
      anon_sym_EQ_GT_GT,
    STATE(17224), 2,
      sym_comment,
      sym_block_comment,
  [672992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11763), 1,
      anon_sym_EQ_GT,
    STATE(17225), 2,
      sym_comment,
      sym_block_comment,
  [673006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22143), 1,
      anon_sym_RBRACK,
    STATE(17226), 2,
      sym_comment,
      sym_block_comment,
  [673020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22145), 1,
      anon_sym_COLON,
    STATE(17227), 2,
      sym_comment,
      sym_block_comment,
  [673034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11008), 1,
      anon_sym_DOT,
    STATE(17228), 2,
      sym_comment,
      sym_block_comment,
  [673048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22147), 1,
      anon_sym_RPAREN,
    STATE(17229), 2,
      sym_comment,
      sym_block_comment,
  [673062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_DOT,
    STATE(17230), 2,
      sym_comment,
      sym_block_comment,
  [673076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22149), 1,
      sym__outdent,
    STATE(17231), 2,
      sym_comment,
      sym_block_comment,
  [673090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22151), 1,
      anon_sym_RPAREN,
    STATE(17232), 2,
      sym_comment,
      sym_block_comment,
  [673104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22153), 1,
      anon_sym_EQ_GT,
    STATE(17233), 2,
      sym_comment,
      sym_block_comment,
  [673118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22155), 1,
      anon_sym_do,
    STATE(17234), 2,
      sym_comment,
      sym_block_comment,
  [673132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22157), 1,
      anon_sym_else,
    STATE(17235), 2,
      sym_comment,
      sym_block_comment,
  [673146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22159), 1,
      anon_sym_RBRACE,
    STATE(17236), 2,
      sym_comment,
      sym_block_comment,
  [673160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22161), 1,
      sym__outdent,
    STATE(17237), 2,
      sym_comment,
      sym_block_comment,
  [673174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22163), 1,
      sym__outdent,
    STATE(17238), 2,
      sym_comment,
      sym_block_comment,
  [673188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22165), 1,
      anon_sym_RPAREN,
    STATE(17239), 2,
      sym_comment,
      sym_block_comment,
  [673202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22167), 1,
      anon_sym_EQ_GT,
    STATE(17240), 2,
      sym_comment,
      sym_block_comment,
  [673216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11767), 1,
      anon_sym_EQ_GT,
    STATE(17241), 2,
      sym_comment,
      sym_block_comment,
  [673230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22169), 1,
      anon_sym_EQ_GT_GT,
    STATE(17242), 2,
      sym_comment,
      sym_block_comment,
  [673244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22171), 1,
      anon_sym_EQ_GT_GT,
    STATE(17243), 2,
      sym_comment,
      sym_block_comment,
  [673258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22173), 1,
      anon_sym_EQ_GT_GT,
    STATE(17244), 2,
      sym_comment,
      sym_block_comment,
  [673272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22175), 1,
      anon_sym_EQ_GT_GT,
    STATE(17245), 2,
      sym_comment,
      sym_block_comment,
  [673286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22177), 1,
      sym__outdent,
    STATE(17246), 2,
      sym_comment,
      sym_block_comment,
  [673300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22179), 1,
      anon_sym_RPAREN,
    STATE(17247), 2,
      sym_comment,
      sym_block_comment,
  [673314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22181), 1,
      anon_sym_COLON,
    STATE(17248), 2,
      sym_comment,
      sym_block_comment,
  [673328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12808), 1,
      anon_sym_DOT,
    STATE(17249), 2,
      sym_comment,
      sym_block_comment,
  [673342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22183), 1,
      anon_sym_RPAREN,
    STATE(17250), 2,
      sym_comment,
      sym_block_comment,
  [673356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22185), 1,
      anon_sym_RBRACE,
    STATE(17251), 2,
      sym_comment,
      sym_block_comment,
  [673370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11771), 1,
      anon_sym_EQ_GT,
    STATE(17252), 2,
      sym_comment,
      sym_block_comment,
  [673384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7696), 1,
      anon_sym_type,
    STATE(17253), 2,
      sym_comment,
      sym_block_comment,
  [673398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22187), 1,
      anon_sym_else,
    STATE(17254), 2,
      sym_comment,
      sym_block_comment,
  [673412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22189), 1,
      anon_sym_else,
    STATE(17255), 2,
      sym_comment,
      sym_block_comment,
  [673426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22159), 1,
      anon_sym_RBRACK,
    STATE(17256), 2,
      sym_comment,
      sym_block_comment,
  [673440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22191), 1,
      anon_sym_RBRACE,
    STATE(17257), 2,
      sym_comment,
      sym_block_comment,
  [673454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22193), 1,
      sym__outdent,
    STATE(17258), 2,
      sym_comment,
      sym_block_comment,
  [673468] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22195), 1,
      sym__outdent,
    STATE(17259), 2,
      sym_comment,
      sym_block_comment,
  [673482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22197), 1,
      anon_sym_RPAREN,
    STATE(17260), 2,
      sym_comment,
      sym_block_comment,
  [673496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22199), 1,
      anon_sym_EQ_GT,
    STATE(17261), 2,
      sym_comment,
      sym_block_comment,
  [673510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22201), 1,
      sym__outdent,
    STATE(17262), 2,
      sym_comment,
      sym_block_comment,
  [673524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22203), 1,
      anon_sym_EQ_GT_GT,
    STATE(17263), 2,
      sym_comment,
      sym_block_comment,
  [673538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22205), 1,
      anon_sym_EQ_GT_GT,
    STATE(17264), 2,
      sym_comment,
      sym_block_comment,
  [673552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22207), 1,
      anon_sym_EQ_GT_GT,
    STATE(17265), 2,
      sym_comment,
      sym_block_comment,
  [673566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22209), 1,
      anon_sym_EQ_GT_GT,
    STATE(17266), 2,
      sym_comment,
      sym_block_comment,
  [673580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22211), 1,
      anon_sym_RPAREN,
    STATE(17267), 2,
      sym_comment,
      sym_block_comment,
  [673594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22213), 1,
      anon_sym_EQ_GT,
    STATE(17268), 2,
      sym_comment,
      sym_block_comment,
  [673608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12336), 1,
      anon_sym_DOT,
    STATE(17269), 2,
      sym_comment,
      sym_block_comment,
  [673622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11775), 1,
      anon_sym_EQ_GT,
    STATE(17270), 2,
      sym_comment,
      sym_block_comment,
  [673636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20931), 1,
      anon_sym_EQ_GT,
    STATE(17271), 2,
      sym_comment,
      sym_block_comment,
  [673650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22215), 1,
      anon_sym_else,
    STATE(17272), 2,
      sym_comment,
      sym_block_comment,
  [673664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22217), 1,
      anon_sym_RPAREN,
    STATE(17273), 2,
      sym_comment,
      sym_block_comment,
  [673678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22219), 1,
      sym__outdent,
    STATE(17274), 2,
      sym_comment,
      sym_block_comment,
  [673692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22221), 1,
      anon_sym_RPAREN,
    STATE(17275), 2,
      sym_comment,
      sym_block_comment,
  [673706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22223), 1,
      anon_sym_RBRACE,
    STATE(17276), 2,
      sym_comment,
      sym_block_comment,
  [673720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22225), 1,
      anon_sym_RBRACE,
    STATE(17277), 2,
      sym_comment,
      sym_block_comment,
  [673734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22227), 1,
      anon_sym_else,
    STATE(17278), 2,
      sym_comment,
      sym_block_comment,
  [673748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22229), 1,
      anon_sym_EQ_GT_GT,
    STATE(17279), 2,
      sym_comment,
      sym_block_comment,
  [673762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22231), 1,
      sym__outdent,
    STATE(17280), 2,
      sym_comment,
      sym_block_comment,
  [673776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22233), 1,
      anon_sym_EQ_GT,
    STATE(17281), 2,
      sym_comment,
      sym_block_comment,
  [673790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22143), 1,
      anon_sym_RBRACE,
    STATE(17282), 2,
      sym_comment,
      sym_block_comment,
  [673804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22235), 1,
      anon_sym_EQ_GT_GT,
    STATE(17283), 2,
      sym_comment,
      sym_block_comment,
  [673818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22237), 1,
      anon_sym_EQ_GT_GT,
    STATE(17284), 2,
      sym_comment,
      sym_block_comment,
  [673832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22239), 1,
      anon_sym_EQ_GT_GT,
    STATE(17285), 2,
      sym_comment,
      sym_block_comment,
  [673846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22241), 1,
      anon_sym_EQ_GT_GT,
    STATE(17286), 2,
      sym_comment,
      sym_block_comment,
  [673860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22243), 1,
      anon_sym_RBRACK,
    STATE(17287), 2,
      sym_comment,
      sym_block_comment,
  [673874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22245), 1,
      anon_sym_RBRACE,
    STATE(17288), 2,
      sym_comment,
      sym_block_comment,
  [673888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8905), 1,
      anon_sym_DOT,
    STATE(17289), 2,
      sym_comment,
      sym_block_comment,
  [673902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22243), 1,
      anon_sym_RBRACE,
    STATE(17290), 2,
      sym_comment,
      sym_block_comment,
  [673916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22247), 1,
      sym__outdent,
    STATE(17291), 2,
      sym_comment,
      sym_block_comment,
  [673930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22249), 1,
      anon_sym_RPAREN,
    STATE(17292), 2,
      sym_comment,
      sym_block_comment,
  [673944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22251), 1,
      anon_sym_RPAREN,
    STATE(17293), 2,
      sym_comment,
      sym_block_comment,
  [673958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22251), 1,
      anon_sym_RBRACE,
    STATE(17294), 2,
      sym_comment,
      sym_block_comment,
  [673972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22253), 1,
      anon_sym_RPAREN,
    STATE(17295), 2,
      sym_comment,
      sym_block_comment,
  [673986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22245), 1,
      anon_sym_RPAREN,
    STATE(17296), 2,
      sym_comment,
      sym_block_comment,
  [674000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22255), 1,
      sym__outdent,
    STATE(17297), 2,
      sym_comment,
      sym_block_comment,
  [674014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22257), 1,
      sym__outdent,
    STATE(17298), 2,
      sym_comment,
      sym_block_comment,
  [674028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22259), 1,
      anon_sym_RPAREN,
    STATE(17299), 2,
      sym_comment,
      sym_block_comment,
  [674042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22261), 1,
      anon_sym_RBRACE,
    STATE(17300), 2,
      sym_comment,
      sym_block_comment,
  [674056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22263), 1,
      anon_sym_EQ_GT,
    STATE(17301), 2,
      sym_comment,
      sym_block_comment,
  [674070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11779), 1,
      anon_sym_EQ_GT,
    STATE(17302), 2,
      sym_comment,
      sym_block_comment,
  [674084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22265), 1,
      anon_sym_EQ_GT_GT,
    STATE(17303), 2,
      sym_comment,
      sym_block_comment,
  [674098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22267), 1,
      anon_sym_EQ_GT_GT,
    STATE(17304), 2,
      sym_comment,
      sym_block_comment,
  [674112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22269), 1,
      anon_sym_EQ_GT_GT,
    STATE(17305), 2,
      sym_comment,
      sym_block_comment,
  [674126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22271), 1,
      anon_sym_EQ_GT_GT,
    STATE(17306), 2,
      sym_comment,
      sym_block_comment,
  [674140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22273), 1,
      anon_sym_RBRACE,
    STATE(17307), 2,
      sym_comment,
      sym_block_comment,
  [674154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22275), 1,
      anon_sym_RPAREN,
    STATE(17308), 2,
      sym_comment,
      sym_block_comment,
  [674168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8736), 1,
      anon_sym_DOT,
    STATE(17309), 2,
      sym_comment,
      sym_block_comment,
  [674182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22277), 1,
      sym__outdent,
    STATE(17310), 2,
      sym_comment,
      sym_block_comment,
  [674196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22279), 1,
      anon_sym_RPAREN,
    STATE(17311), 2,
      sym_comment,
      sym_block_comment,
  [674210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22281), 1,
      anon_sym_RPAREN,
    STATE(17312), 2,
      sym_comment,
      sym_block_comment,
  [674224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22283), 1,
      anon_sym_EQ_GT_GT,
    STATE(17313), 2,
      sym_comment,
      sym_block_comment,
  [674238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22285), 1,
      sym__outdent,
    STATE(17314), 2,
      sym_comment,
      sym_block_comment,
  [674252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22287), 1,
      anon_sym_EQ_GT_GT,
    STATE(17315), 2,
      sym_comment,
      sym_block_comment,
  [674266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22289), 1,
      anon_sym_do,
    STATE(17316), 2,
      sym_comment,
      sym_block_comment,
  [674280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13000), 1,
      anon_sym_DOT,
    STATE(17317), 2,
      sym_comment,
      sym_block_comment,
  [674294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22291), 1,
      sym__outdent,
    STATE(17318), 2,
      sym_comment,
      sym_block_comment,
  [674308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22293), 1,
      anon_sym_RPAREN,
    STATE(17319), 2,
      sym_comment,
      sym_block_comment,
  [674322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22295), 1,
      anon_sym_RBRACE,
    STATE(17320), 2,
      sym_comment,
      sym_block_comment,
  [674336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22297), 1,
      sym__outdent,
    STATE(17321), 2,
      sym_comment,
      sym_block_comment,
  [674350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22299), 1,
      anon_sym_EQ_GT_GT,
    STATE(17322), 2,
      sym_comment,
      sym_block_comment,
  [674364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22301), 1,
      anon_sym_EQ_GT_GT,
    STATE(17323), 2,
      sym_comment,
      sym_block_comment,
  [674378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22303), 1,
      anon_sym_EQ_GT_GT,
    STATE(17324), 2,
      sym_comment,
      sym_block_comment,
  [674392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22305), 1,
      anon_sym_EQ_GT_GT,
    STATE(17325), 2,
      sym_comment,
      sym_block_comment,
  [674406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22307), 1,
      anon_sym_COLON,
    STATE(17326), 2,
      sym_comment,
      sym_block_comment,
  [674420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11785), 1,
      anon_sym_EQ_GT,
    STATE(17327), 2,
      sym_comment,
      sym_block_comment,
  [674434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9684), 1,
      anon_sym_DOT,
    STATE(17328), 2,
      sym_comment,
      sym_block_comment,
  [674448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22309), 1,
      anon_sym_RBRACE,
    STATE(17329), 2,
      sym_comment,
      sym_block_comment,
  [674462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11789), 1,
      anon_sym_EQ_GT,
    STATE(17330), 2,
      sym_comment,
      sym_block_comment,
  [674476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22311), 1,
      sym__outdent,
    STATE(17331), 2,
      sym_comment,
      sym_block_comment,
  [674490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22313), 1,
      anon_sym_EQ_GT_GT,
    STATE(17332), 2,
      sym_comment,
      sym_block_comment,
  [674504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22315), 1,
      anon_sym_RPAREN,
    STATE(17333), 2,
      sym_comment,
      sym_block_comment,
  [674518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22317), 1,
      sym__outdent,
    STATE(17334), 2,
      sym_comment,
      sym_block_comment,
  [674532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22319), 1,
      anon_sym_else,
    STATE(17335), 2,
      sym_comment,
      sym_block_comment,
  [674546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22321), 1,
      sym__outdent,
    STATE(17336), 2,
      sym_comment,
      sym_block_comment,
  [674560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22323), 1,
      anon_sym_RPAREN,
    STATE(17337), 2,
      sym_comment,
      sym_block_comment,
  [674574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22325), 1,
      anon_sym_do,
    STATE(17338), 2,
      sym_comment,
      sym_block_comment,
  [674588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22327), 1,
      anon_sym_RBRACE,
    STATE(17339), 2,
      sym_comment,
      sym_block_comment,
  [674602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22329), 1,
      sym__outdent,
    STATE(17340), 2,
      sym_comment,
      sym_block_comment,
  [674616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22331), 1,
      anon_sym_EQ_GT_GT,
    STATE(17341), 2,
      sym_comment,
      sym_block_comment,
  [674630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22333), 1,
      anon_sym_EQ_GT_GT,
    STATE(17342), 2,
      sym_comment,
      sym_block_comment,
  [674644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22335), 1,
      anon_sym_EQ_GT_GT,
    STATE(17343), 2,
      sym_comment,
      sym_block_comment,
  [674658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22337), 1,
      anon_sym_EQ_GT_GT,
    STATE(17344), 2,
      sym_comment,
      sym_block_comment,
  [674672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22339), 1,
      anon_sym_RBRACE,
    STATE(17345), 2,
      sym_comment,
      sym_block_comment,
  [674686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22341), 1,
      anon_sym_RPAREN,
    STATE(17346), 2,
      sym_comment,
      sym_block_comment,
  [674700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8709), 1,
      anon_sym_DOT,
    STATE(17347), 2,
      sym_comment,
      sym_block_comment,
  [674714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7698), 1,
      anon_sym_def,
    STATE(17348), 2,
      sym_comment,
      sym_block_comment,
  [674728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22343), 1,
      anon_sym_COLON,
    STATE(17349), 2,
      sym_comment,
      sym_block_comment,
  [674742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22345), 1,
      sym__outdent,
    STATE(17350), 2,
      sym_comment,
      sym_block_comment,
  [674756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22347), 1,
      anon_sym_RPAREN,
    STATE(17351), 2,
      sym_comment,
      sym_block_comment,
  [674770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22349), 1,
      sym__outdent,
    STATE(17352), 2,
      sym_comment,
      sym_block_comment,
  [674784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22351), 1,
      anon_sym_COLON,
    STATE(17353), 2,
      sym_comment,
      sym_block_comment,
  [674798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22353), 1,
      anon_sym_else,
    STATE(17354), 2,
      sym_comment,
      sym_block_comment,
  [674812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22355), 1,
      sym__outdent,
    STATE(17355), 2,
      sym_comment,
      sym_block_comment,
  [674826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22357), 1,
      anon_sym_else,
    STATE(17356), 2,
      sym_comment,
      sym_block_comment,
  [674840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11625), 1,
      anon_sym_DOT,
    STATE(17357), 2,
      sym_comment,
      sym_block_comment,
  [674854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22359), 1,
      anon_sym_RPAREN,
    STATE(17358), 2,
      sym_comment,
      sym_block_comment,
  [674868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22361), 1,
      sym__outdent,
    STATE(17359), 2,
      sym_comment,
      sym_block_comment,
  [674882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22363), 1,
      anon_sym_EQ_GT_GT,
    STATE(17360), 2,
      sym_comment,
      sym_block_comment,
  [674896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22365), 1,
      anon_sym_EQ_GT_GT,
    STATE(17361), 2,
      sym_comment,
      sym_block_comment,
  [674910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22367), 1,
      anon_sym_EQ_GT_GT,
    STATE(17362), 2,
      sym_comment,
      sym_block_comment,
  [674924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22369), 1,
      anon_sym_EQ_GT_GT,
    STATE(17363), 2,
      sym_comment,
      sym_block_comment,
  [674938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22371), 1,
      anon_sym_RPAREN,
    STATE(17364), 2,
      sym_comment,
      sym_block_comment,
  [674952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22373), 1,
      anon_sym_RPAREN,
    STATE(17365), 2,
      sym_comment,
      sym_block_comment,
  [674966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9473), 1,
      anon_sym_DOT,
    STATE(17366), 2,
      sym_comment,
      sym_block_comment,
  [674980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22375), 1,
      anon_sym_RBRACE,
    STATE(17367), 2,
      sym_comment,
      sym_block_comment,
  [674994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15140), 1,
      anon_sym_type,
    STATE(17368), 2,
      sym_comment,
      sym_block_comment,
  [675008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11796), 1,
      anon_sym_EQ_GT,
    STATE(17369), 2,
      sym_comment,
      sym_block_comment,
  [675022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22377), 1,
      anon_sym_else,
    STATE(17370), 2,
      sym_comment,
      sym_block_comment,
  [675036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22379), 1,
      anon_sym_else,
    STATE(17371), 2,
      sym_comment,
      sym_block_comment,
  [675050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11807), 1,
      anon_sym_EQ_GT,
    STATE(17372), 2,
      sym_comment,
      sym_block_comment,
  [675064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22381), 1,
      sym__outdent,
    STATE(17373), 2,
      sym_comment,
      sym_block_comment,
  [675078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22383), 1,
      anon_sym_EQ_GT_GT,
    STATE(17374), 2,
      sym_comment,
      sym_block_comment,
  [675092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22385), 1,
      anon_sym_RPAREN,
    STATE(17375), 2,
      sym_comment,
      sym_block_comment,
  [675106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7914), 1,
      anon_sym_EQ_GT,
    STATE(17376), 2,
      sym_comment,
      sym_block_comment,
  [675120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22387), 1,
      anon_sym_EQ_GT,
    STATE(17377), 2,
      sym_comment,
      sym_block_comment,
  [675134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22389), 1,
      sym__outdent,
    STATE(17378), 2,
      sym_comment,
      sym_block_comment,
  [675148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22391), 1,
      anon_sym_EQ_GT_GT,
    STATE(17379), 2,
      sym_comment,
      sym_block_comment,
  [675162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22393), 1,
      anon_sym_EQ_GT_GT,
    STATE(17380), 2,
      sym_comment,
      sym_block_comment,
  [675176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22395), 1,
      anon_sym_EQ_GT_GT,
    STATE(17381), 2,
      sym_comment,
      sym_block_comment,
  [675190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22397), 1,
      anon_sym_EQ_GT_GT,
    STATE(17382), 2,
      sym_comment,
      sym_block_comment,
  [675204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22399), 1,
      anon_sym_RBRACE,
    STATE(17383), 2,
      sym_comment,
      sym_block_comment,
  [675218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22401), 1,
      anon_sym_EQ_GT_GT,
    STATE(17384), 2,
      sym_comment,
      sym_block_comment,
  [675232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9604), 1,
      anon_sym_DOT,
    STATE(17385), 2,
      sym_comment,
      sym_block_comment,
  [675246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22403), 1,
      anon_sym_EQ_GT_GT,
    STATE(17386), 2,
      sym_comment,
      sym_block_comment,
  [675260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22405), 1,
      sym__outdent,
    STATE(17387), 2,
      sym_comment,
      sym_block_comment,
  [675274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22407), 1,
      sym__outdent,
    STATE(17388), 2,
      sym_comment,
      sym_block_comment,
  [675288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22409), 1,
      sym__outdent,
    STATE(17389), 2,
      sym_comment,
      sym_block_comment,
  [675302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22411), 1,
      anon_sym_RPAREN,
    STATE(17390), 2,
      sym_comment,
      sym_block_comment,
  [675316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22413), 1,
      anon_sym_RBRACE,
    STATE(17391), 2,
      sym_comment,
      sym_block_comment,
  [675330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22415), 1,
      anon_sym_EQ_GT_GT,
    STATE(17392), 2,
      sym_comment,
      sym_block_comment,
  [675344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22417), 1,
      anon_sym_do,
    STATE(17393), 2,
      sym_comment,
      sym_block_comment,
  [675358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22419), 1,
      anon_sym_RPAREN,
    STATE(17394), 2,
      sym_comment,
      sym_block_comment,
  [675372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22421), 1,
      anon_sym_RPAREN,
    STATE(17395), 2,
      sym_comment,
      sym_block_comment,
  [675386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22423), 1,
      sym__outdent,
    STATE(17396), 2,
      sym_comment,
      sym_block_comment,
  [675400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22425), 1,
      anon_sym_RPAREN,
    STATE(17397), 2,
      sym_comment,
      sym_block_comment,
  [675414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22427), 1,
      anon_sym_EQ_GT_GT,
    STATE(17398), 2,
      sym_comment,
      sym_block_comment,
  [675428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22429), 1,
      anon_sym_EQ_GT_GT,
    STATE(17399), 2,
      sym_comment,
      sym_block_comment,
  [675442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22431), 1,
      anon_sym_EQ_GT_GT,
    STATE(17400), 2,
      sym_comment,
      sym_block_comment,
  [675456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22433), 1,
      anon_sym_EQ_GT_GT,
    STATE(17401), 2,
      sym_comment,
      sym_block_comment,
  [675470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22435), 1,
      anon_sym_EQ_GT_GT,
    STATE(17402), 2,
      sym_comment,
      sym_block_comment,
  [675484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22437), 1,
      sym__outdent,
    STATE(17403), 2,
      sym_comment,
      sym_block_comment,
  [675498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11087), 1,
      anon_sym_DOT,
    STATE(17404), 2,
      sym_comment,
      sym_block_comment,
  [675512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22439), 1,
      anon_sym_RBRACK,
    STATE(17405), 2,
      sym_comment,
      sym_block_comment,
  [675526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22441), 1,
      anon_sym_RBRACK,
    STATE(17406), 2,
      sym_comment,
      sym_block_comment,
  [675540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22441), 1,
      anon_sym_RBRACE,
    STATE(17407), 2,
      sym_comment,
      sym_block_comment,
  [675554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22443), 1,
      anon_sym_RBRACK,
    STATE(17408), 2,
      sym_comment,
      sym_block_comment,
  [675568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22445), 1,
      anon_sym_RPAREN,
    STATE(17409), 2,
      sym_comment,
      sym_block_comment,
  [675582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22443), 1,
      anon_sym_RBRACE,
    STATE(17410), 2,
      sym_comment,
      sym_block_comment,
  [675596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22447), 1,
      anon_sym_RBRACE,
    STATE(17411), 2,
      sym_comment,
      sym_block_comment,
  [675610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22449), 1,
      sym__outdent,
    STATE(17412), 2,
      sym_comment,
      sym_block_comment,
  [675624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22451), 1,
      anon_sym_RPAREN,
    STATE(17413), 2,
      sym_comment,
      sym_block_comment,
  [675638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22451), 1,
      anon_sym_RBRACE,
    STATE(17414), 2,
      sym_comment,
      sym_block_comment,
  [675652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22453), 1,
      anon_sym_RBRACE,
    STATE(17415), 2,
      sym_comment,
      sym_block_comment,
  [675666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22455), 1,
      sym__outdent,
    STATE(17416), 2,
      sym_comment,
      sym_block_comment,
  [675680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22457), 1,
      anon_sym_EQ_GT_GT,
    STATE(17417), 2,
      sym_comment,
      sym_block_comment,
  [675694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22459), 1,
      anon_sym_EQ_GT_GT,
    STATE(17418), 2,
      sym_comment,
      sym_block_comment,
  [675708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22461), 1,
      anon_sym_EQ_GT_GT,
    STATE(17419), 2,
      sym_comment,
      sym_block_comment,
  [675722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22463), 1,
      anon_sym_EQ_GT_GT,
    STATE(17420), 2,
      sym_comment,
      sym_block_comment,
  [675736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9991), 1,
      anon_sym_DOT,
    STATE(17421), 2,
      sym_comment,
      sym_block_comment,
  [675750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22465), 1,
      sym__outdent,
    STATE(17422), 2,
      sym_comment,
      sym_block_comment,
  [675764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22467), 1,
      sym__outdent,
    STATE(17423), 2,
      sym_comment,
      sym_block_comment,
  [675778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22469), 1,
      sym__outdent,
    STATE(17424), 2,
      sym_comment,
      sym_block_comment,
  [675792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22471), 1,
      anon_sym_RBRACE,
    STATE(17425), 2,
      sym_comment,
      sym_block_comment,
  [675806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22473), 1,
      anon_sym_EQ_GT,
    STATE(17426), 2,
      sym_comment,
      sym_block_comment,
  [675820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22471), 1,
      anon_sym_RPAREN,
    STATE(17427), 2,
      sym_comment,
      sym_block_comment,
  [675834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22475), 1,
      sym__outdent,
    STATE(17428), 2,
      sym_comment,
      sym_block_comment,
  [675848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22477), 1,
      anon_sym_RPAREN,
    STATE(17429), 2,
      sym_comment,
      sym_block_comment,
  [675862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22479), 1,
      anon_sym_EQ_GT_GT,
    STATE(17430), 2,
      sym_comment,
      sym_block_comment,
  [675876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22481), 1,
      anon_sym_EQ_GT_GT,
    STATE(17431), 2,
      sym_comment,
      sym_block_comment,
  [675890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22483), 1,
      anon_sym_EQ_GT_GT,
    STATE(17432), 2,
      sym_comment,
      sym_block_comment,
  [675904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22485), 1,
      anon_sym_EQ_GT_GT,
    STATE(17433), 2,
      sym_comment,
      sym_block_comment,
  [675918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14370), 1,
      anon_sym_DOT,
    STATE(17434), 2,
      sym_comment,
      sym_block_comment,
  [675932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22487), 1,
      anon_sym_RBRACE,
    STATE(17435), 2,
      sym_comment,
      sym_block_comment,
  [675946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22489), 1,
      anon_sym_RBRACE,
    STATE(17436), 2,
      sym_comment,
      sym_block_comment,
  [675960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22491), 1,
      anon_sym_RBRACE,
    STATE(17437), 2,
      sym_comment,
      sym_block_comment,
  [675974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22493), 1,
      anon_sym_RPAREN,
    STATE(17438), 2,
      sym_comment,
      sym_block_comment,
  [675988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22495), 1,
      sym__outdent,
    STATE(17439), 2,
      sym_comment,
      sym_block_comment,
  [676002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22439), 1,
      anon_sym_RBRACE,
    STATE(17440), 2,
      sym_comment,
      sym_block_comment,
  [676016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22497), 1,
      anon_sym_RPAREN,
    STATE(17441), 2,
      sym_comment,
      sym_block_comment,
  [676030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22499), 1,
      anon_sym_do,
    STATE(17442), 2,
      sym_comment,
      sym_block_comment,
  [676044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22501), 1,
      anon_sym_EQ_GT_GT,
    STATE(17443), 2,
      sym_comment,
      sym_block_comment,
  [676058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22503), 1,
      anon_sym_EQ_GT_GT,
    STATE(17444), 2,
      sym_comment,
      sym_block_comment,
  [676072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22505), 1,
      anon_sym_EQ_GT_GT,
    STATE(17445), 2,
      sym_comment,
      sym_block_comment,
  [676086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22507), 1,
      anon_sym_EQ_GT_GT,
    STATE(17446), 2,
      sym_comment,
      sym_block_comment,
  [676100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13260), 1,
      anon_sym_DOT,
    STATE(17447), 2,
      sym_comment,
      sym_block_comment,
  [676114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22509), 1,
      anon_sym_else,
    STATE(17448), 2,
      sym_comment,
      sym_block_comment,
  [676128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22511), 1,
      anon_sym_RBRACE,
    STATE(17449), 2,
      sym_comment,
      sym_block_comment,
  [676142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22513), 1,
      sym__outdent,
    STATE(17450), 2,
      sym_comment,
      sym_block_comment,
  [676156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22515), 1,
      anon_sym_RPAREN,
    STATE(17451), 2,
      sym_comment,
      sym_block_comment,
  [676170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22517), 1,
      anon_sym_RBRACE,
    STATE(17452), 2,
      sym_comment,
      sym_block_comment,
  [676184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22497), 1,
      anon_sym_RBRACE,
    STATE(17453), 2,
      sym_comment,
      sym_block_comment,
  [676198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22519), 1,
      anon_sym_RPAREN,
    STATE(17454), 2,
      sym_comment,
      sym_block_comment,
  [676212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22521), 1,
      anon_sym_else,
    STATE(17455), 2,
      sym_comment,
      sym_block_comment,
  [676226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22523), 1,
      anon_sym_EQ_GT_GT,
    STATE(17456), 2,
      sym_comment,
      sym_block_comment,
  [676240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22525), 1,
      anon_sym_EQ_GT_GT,
    STATE(17457), 2,
      sym_comment,
      sym_block_comment,
  [676254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22527), 1,
      anon_sym_EQ_GT_GT,
    STATE(17458), 2,
      sym_comment,
      sym_block_comment,
  [676268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22529), 1,
      anon_sym_EQ_GT_GT,
    STATE(17459), 2,
      sym_comment,
      sym_block_comment,
  [676282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13266), 1,
      anon_sym_DOT,
    STATE(17460), 2,
      sym_comment,
      sym_block_comment,
  [676296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22531), 1,
      sym__outdent,
    STATE(17461), 2,
      sym_comment,
      sym_block_comment,
  [676310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22533), 1,
      anon_sym_EQ_GT,
    STATE(17462), 2,
      sym_comment,
      sym_block_comment,
  [676324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22535), 1,
      anon_sym_RPAREN,
    STATE(17463), 2,
      sym_comment,
      sym_block_comment,
  [676338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22537), 1,
      anon_sym_RBRACE,
    STATE(17464), 2,
      sym_comment,
      sym_block_comment,
  [676352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22539), 1,
      sym__outdent,
    STATE(17465), 2,
      sym_comment,
      sym_block_comment,
  [676366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22541), 1,
      anon_sym_else,
    STATE(17466), 2,
      sym_comment,
      sym_block_comment,
  [676380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22543), 1,
      sym__outdent,
    STATE(17467), 2,
      sym_comment,
      sym_block_comment,
  [676394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22545), 1,
      anon_sym_RBRACE,
    STATE(17468), 2,
      sym_comment,
      sym_block_comment,
  [676408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22547), 1,
      anon_sym_EQ_GT_GT,
    STATE(17469), 2,
      sym_comment,
      sym_block_comment,
  [676422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22549), 1,
      anon_sym_EQ_GT_GT,
    STATE(17470), 2,
      sym_comment,
      sym_block_comment,
  [676436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22551), 1,
      anon_sym_EQ_GT_GT,
    STATE(17471), 2,
      sym_comment,
      sym_block_comment,
  [676450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22553), 1,
      anon_sym_EQ_GT_GT,
    STATE(17472), 2,
      sym_comment,
      sym_block_comment,
  [676464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11244), 1,
      anon_sym_DOT,
    STATE(17473), 2,
      sym_comment,
      sym_block_comment,
  [676478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22555), 1,
      anon_sym_EQ_GT_GT,
    STATE(17474), 2,
      sym_comment,
      sym_block_comment,
  [676492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22557), 1,
      anon_sym_do,
    STATE(17475), 2,
      sym_comment,
      sym_block_comment,
  [676506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22559), 1,
      anon_sym_RPAREN,
    STATE(17476), 2,
      sym_comment,
      sym_block_comment,
  [676520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22561), 1,
      anon_sym_RPAREN,
    STATE(17477), 2,
      sym_comment,
      sym_block_comment,
  [676534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22563), 1,
      sym__outdent,
    STATE(17478), 2,
      sym_comment,
      sym_block_comment,
  [676548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22565), 1,
      anon_sym_RBRACE,
    STATE(17479), 2,
      sym_comment,
      sym_block_comment,
  [676562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22567), 1,
      anon_sym_EQ_GT,
    STATE(17480), 2,
      sym_comment,
      sym_block_comment,
  [676576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22569), 1,
      anon_sym_RBRACE,
    STATE(17481), 2,
      sym_comment,
      sym_block_comment,
  [676590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22571), 1,
      anon_sym_EQ_GT_GT,
    STATE(17482), 2,
      sym_comment,
      sym_block_comment,
  [676604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22573), 1,
      anon_sym_EQ_GT_GT,
    STATE(17483), 2,
      sym_comment,
      sym_block_comment,
  [676618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22575), 1,
      anon_sym_EQ_GT_GT,
    STATE(17484), 2,
      sym_comment,
      sym_block_comment,
  [676632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22577), 1,
      anon_sym_EQ_GT_GT,
    STATE(17485), 2,
      sym_comment,
      sym_block_comment,
  [676646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9501), 1,
      anon_sym_DOT,
    STATE(17486), 2,
      sym_comment,
      sym_block_comment,
  [676660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22579), 1,
      anon_sym_RBRACE,
    STATE(17487), 2,
      sym_comment,
      sym_block_comment,
  [676674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22581), 1,
      sym__outdent,
    STATE(17488), 2,
      sym_comment,
      sym_block_comment,
  [676688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22579), 1,
      anon_sym_RPAREN,
    STATE(17489), 2,
      sym_comment,
      sym_block_comment,
  [676702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22583), 1,
      anon_sym_else,
    STATE(17490), 2,
      sym_comment,
      sym_block_comment,
  [676716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22585), 1,
      sym__outdent,
    STATE(17491), 2,
      sym_comment,
      sym_block_comment,
  [676730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22587), 1,
      anon_sym_RBRACE,
    STATE(17492), 2,
      sym_comment,
      sym_block_comment,
  [676744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22589), 1,
      sym__outdent,
    STATE(17493), 2,
      sym_comment,
      sym_block_comment,
  [676758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22591), 1,
      anon_sym_EQ,
    STATE(17494), 2,
      sym_comment,
      sym_block_comment,
  [676772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22593), 1,
      anon_sym_EQ_GT_GT,
    STATE(17495), 2,
      sym_comment,
      sym_block_comment,
  [676786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22595), 1,
      anon_sym_EQ_GT_GT,
    STATE(17496), 2,
      sym_comment,
      sym_block_comment,
  [676800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22597), 1,
      anon_sym_EQ_GT_GT,
    STATE(17497), 2,
      sym_comment,
      sym_block_comment,
  [676814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22599), 1,
      anon_sym_EQ_GT_GT,
    STATE(17498), 2,
      sym_comment,
      sym_block_comment,
  [676828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11235), 1,
      anon_sym_DOT,
    STATE(17499), 2,
      sym_comment,
      sym_block_comment,
  [676842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22601), 1,
      anon_sym_RPAREN,
    STATE(17500), 2,
      sym_comment,
      sym_block_comment,
  [676856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22603), 1,
      anon_sym_RPAREN,
    STATE(17501), 2,
      sym_comment,
      sym_block_comment,
  [676870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22605), 1,
      sym__outdent,
    STATE(17502), 2,
      sym_comment,
      sym_block_comment,
  [676884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22607), 1,
      anon_sym_EQ,
    STATE(17503), 2,
      sym_comment,
      sym_block_comment,
  [676898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22609), 1,
      anon_sym_RBRACE,
    STATE(17504), 2,
      sym_comment,
      sym_block_comment,
  [676912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15142), 1,
      anon_sym_def,
    STATE(17505), 2,
      sym_comment,
      sym_block_comment,
  [676926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22611), 1,
      anon_sym_else,
    STATE(17506), 2,
      sym_comment,
      sym_block_comment,
  [676940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22613), 1,
      anon_sym_RBRACE,
    STATE(17507), 2,
      sym_comment,
      sym_block_comment,
  [676954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22615), 1,
      anon_sym_EQ_GT_GT,
    STATE(17508), 2,
      sym_comment,
      sym_block_comment,
  [676968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22617), 1,
      anon_sym_EQ_GT_GT,
    STATE(17509), 2,
      sym_comment,
      sym_block_comment,
  [676982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22619), 1,
      anon_sym_EQ_GT_GT,
    STATE(17510), 2,
      sym_comment,
      sym_block_comment,
  [676996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22621), 1,
      anon_sym_EQ_GT_GT,
    STATE(17511), 2,
      sym_comment,
      sym_block_comment,
  [677010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11220), 1,
      anon_sym_DOT,
    STATE(17512), 2,
      sym_comment,
      sym_block_comment,
  [677024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22623), 1,
      anon_sym_RBRACK,
    STATE(17513), 2,
      sym_comment,
      sym_block_comment,
  [677038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22625), 1,
      anon_sym_do,
    STATE(17514), 2,
      sym_comment,
      sym_block_comment,
  [677052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22613), 1,
      anon_sym_RPAREN,
    STATE(17515), 2,
      sym_comment,
      sym_block_comment,
  [677066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22627), 1,
      anon_sym_do,
    STATE(17516), 2,
      sym_comment,
      sym_block_comment,
  [677080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22629), 1,
      anon_sym_EQ_GT_GT,
    STATE(17517), 2,
      sym_comment,
      sym_block_comment,
  [677094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22631), 1,
      anon_sym_RPAREN,
    STATE(17518), 2,
      sym_comment,
      sym_block_comment,
  [677108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22633), 1,
      sym__outdent,
    STATE(17519), 2,
      sym_comment,
      sym_block_comment,
  [677122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22635), 1,
      anon_sym_RPAREN,
    STATE(17520), 2,
      sym_comment,
      sym_block_comment,
  [677136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22637), 1,
      anon_sym_EQ_GT_GT,
    STATE(17521), 2,
      sym_comment,
      sym_block_comment,
  [677150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22639), 1,
      anon_sym_EQ_GT_GT,
    STATE(17522), 2,
      sym_comment,
      sym_block_comment,
  [677164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22641), 1,
      anon_sym_EQ_GT_GT,
    STATE(17523), 2,
      sym_comment,
      sym_block_comment,
  [677178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22643), 1,
      anon_sym_EQ_GT_GT,
    STATE(17524), 2,
      sym_comment,
      sym_block_comment,
  [677192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10512), 1,
      anon_sym_DOT,
    STATE(17525), 2,
      sym_comment,
      sym_block_comment,
  [677206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22645), 1,
      anon_sym_RBRACE,
    STATE(17526), 2,
      sym_comment,
      sym_block_comment,
  [677220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22647), 1,
      sym__outdent,
    STATE(17527), 2,
      sym_comment,
      sym_block_comment,
  [677234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22649), 1,
      anon_sym_EQ_GT_GT,
    STATE(17528), 2,
      sym_comment,
      sym_block_comment,
  [677248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22651), 1,
      sym__outdent,
    STATE(17529), 2,
      sym_comment,
      sym_block_comment,
  [677262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11535), 1,
      anon_sym_DOT,
    STATE(17530), 2,
      sym_comment,
      sym_block_comment,
  [677276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22653), 1,
      sym__outdent,
    STATE(17531), 2,
      sym_comment,
      sym_block_comment,
  [677290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22655), 1,
      anon_sym_RPAREN,
    STATE(17532), 2,
      sym_comment,
      sym_block_comment,
  [677304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22657), 1,
      anon_sym_else,
    STATE(17533), 2,
      sym_comment,
      sym_block_comment,
  [677318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22659), 1,
      anon_sym_EQ_GT_GT,
    STATE(17534), 2,
      sym_comment,
      sym_block_comment,
  [677332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22661), 1,
      anon_sym_EQ_GT_GT,
    STATE(17535), 2,
      sym_comment,
      sym_block_comment,
  [677346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22663), 1,
      anon_sym_EQ_GT_GT,
    STATE(17536), 2,
      sym_comment,
      sym_block_comment,
  [677360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22665), 1,
      anon_sym_EQ_GT_GT,
    STATE(17537), 2,
      sym_comment,
      sym_block_comment,
  [677374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10229), 1,
      anon_sym_DOT,
    STATE(17538), 2,
      sym_comment,
      sym_block_comment,
  [677388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22667), 1,
      anon_sym_RBRACE,
    STATE(17539), 2,
      sym_comment,
      sym_block_comment,
  [677402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22669), 1,
      anon_sym_RPAREN,
    STATE(17540), 2,
      sym_comment,
      sym_block_comment,
  [677416] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22645), 1,
      anon_sym_RBRACK,
    STATE(17541), 2,
      sym_comment,
      sym_block_comment,
  [677430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22671), 1,
      anon_sym_RPAREN,
    STATE(17542), 2,
      sym_comment,
      sym_block_comment,
  [677444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22673), 1,
      sym__outdent,
    STATE(17543), 2,
      sym_comment,
      sym_block_comment,
  [677458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22675), 1,
      anon_sym_else,
    STATE(17544), 2,
      sym_comment,
      sym_block_comment,
  [677472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22677), 1,
      anon_sym_COLON,
    STATE(17545), 2,
      sym_comment,
      sym_block_comment,
  [677486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22679), 1,
      anon_sym_EQ_GT_GT,
    STATE(17546), 2,
      sym_comment,
      sym_block_comment,
  [677500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22681), 1,
      anon_sym_EQ_GT_GT,
    STATE(17547), 2,
      sym_comment,
      sym_block_comment,
  [677514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22683), 1,
      anon_sym_EQ_GT_GT,
    STATE(17548), 2,
      sym_comment,
      sym_block_comment,
  [677528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22685), 1,
      anon_sym_EQ_GT_GT,
    STATE(17549), 2,
      sym_comment,
      sym_block_comment,
  [677542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15634), 1,
      anon_sym_DOT,
    STATE(17550), 2,
      sym_comment,
      sym_block_comment,
  [677556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22687), 1,
      anon_sym_RBRACE,
    STATE(17551), 2,
      sym_comment,
      sym_block_comment,
  [677570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22689), 1,
      anon_sym_RBRACE,
    STATE(17552), 2,
      sym_comment,
      sym_block_comment,
  [677584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22691), 1,
      anon_sym_RBRACK,
    STATE(17553), 2,
      sym_comment,
      sym_block_comment,
  [677598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22691), 1,
      anon_sym_RBRACE,
    STATE(17554), 2,
      sym_comment,
      sym_block_comment,
  [677612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22693), 1,
      anon_sym_RBRACK,
    STATE(17555), 2,
      sym_comment,
      sym_block_comment,
  [677626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22693), 1,
      anon_sym_RBRACE,
    STATE(17556), 2,
      sym_comment,
      sym_block_comment,
  [677640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22695), 1,
      sym__outdent,
    STATE(17557), 2,
      sym_comment,
      sym_block_comment,
  [677654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22697), 1,
      anon_sym_EQ_GT_GT,
    STATE(17558), 2,
      sym_comment,
      sym_block_comment,
  [677668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22699), 1,
      anon_sym_EQ_GT_GT,
    STATE(17559), 2,
      sym_comment,
      sym_block_comment,
  [677682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22701), 1,
      anon_sym_EQ_GT_GT,
    STATE(17560), 2,
      sym_comment,
      sym_block_comment,
  [677696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22703), 1,
      anon_sym_EQ_GT_GT,
    STATE(17561), 2,
      sym_comment,
      sym_block_comment,
  [677710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9979), 1,
      anon_sym_DOT,
    STATE(17562), 2,
      sym_comment,
      sym_block_comment,
  [677724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22687), 1,
      anon_sym_RBRACK,
    STATE(17563), 2,
      sym_comment,
      sym_block_comment,
  [677738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22705), 1,
      anon_sym_RPAREN,
    STATE(17564), 2,
      sym_comment,
      sym_block_comment,
  [677752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22705), 1,
      anon_sym_RBRACE,
    STATE(17565), 2,
      sym_comment,
      sym_block_comment,
  [677766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22707), 1,
      anon_sym_RPAREN,
    STATE(17566), 2,
      sym_comment,
      sym_block_comment,
  [677780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22709), 1,
      sym__outdent,
    STATE(17567), 2,
      sym_comment,
      sym_block_comment,
  [677794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22711), 1,
      anon_sym_do,
    STATE(17568), 2,
      sym_comment,
      sym_block_comment,
  [677808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22713), 1,
      sym__outdent,
    STATE(17569), 2,
      sym_comment,
      sym_block_comment,
  [677822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22715), 1,
      anon_sym_EQ_GT_GT,
    STATE(17570), 2,
      sym_comment,
      sym_block_comment,
  [677836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22717), 1,
      anon_sym_EQ_GT_GT,
    STATE(17571), 2,
      sym_comment,
      sym_block_comment,
  [677850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22719), 1,
      anon_sym_EQ_GT_GT,
    STATE(17572), 2,
      sym_comment,
      sym_block_comment,
  [677864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22721), 1,
      anon_sym_EQ_GT_GT,
    STATE(17573), 2,
      sym_comment,
      sym_block_comment,
  [677878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11510), 1,
      anon_sym_DOT,
    STATE(17574), 2,
      sym_comment,
      sym_block_comment,
  [677892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22723), 1,
      anon_sym_RBRACE,
    STATE(17575), 2,
      sym_comment,
      sym_block_comment,
  [677906] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22725), 1,
      anon_sym_EQ_GT_GT,
    STATE(17576), 2,
      sym_comment,
      sym_block_comment,
  [677920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22727), 1,
      anon_sym_EQ_GT_GT,
    STATE(17577), 2,
      sym_comment,
      sym_block_comment,
  [677934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22729), 1,
      anon_sym_RBRACE,
    STATE(17578), 2,
      sym_comment,
      sym_block_comment,
  [677948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22731), 1,
      anon_sym_RBRACE,
    STATE(17579), 2,
      sym_comment,
      sym_block_comment,
  [677962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22733), 1,
      sym__outdent,
    STATE(17580), 2,
      sym_comment,
      sym_block_comment,
  [677976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22735), 1,
      anon_sym_EQ_GT_GT,
    STATE(17581), 2,
      sym_comment,
      sym_block_comment,
  [677990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22737), 1,
      anon_sym_EQ_GT_GT,
    STATE(17582), 2,
      sym_comment,
      sym_block_comment,
  [678004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22739), 1,
      anon_sym_EQ_GT_GT,
    STATE(17583), 2,
      sym_comment,
      sym_block_comment,
  [678018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22741), 1,
      anon_sym_EQ_GT_GT,
    STATE(17584), 2,
      sym_comment,
      sym_block_comment,
  [678032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13209), 1,
      anon_sym_DOT,
    STATE(17585), 2,
      sym_comment,
      sym_block_comment,
  [678046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22743), 1,
      anon_sym_EQ_GT_GT,
    STATE(17586), 2,
      sym_comment,
      sym_block_comment,
  [678060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(583), 1,
      sym__outdent,
    STATE(17587), 2,
      sym_comment,
      sym_block_comment,
  [678074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22745), 1,
      sym__outdent,
    STATE(17588), 2,
      sym_comment,
      sym_block_comment,
  [678088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22747), 1,
      anon_sym_do,
    STATE(17589), 2,
      sym_comment,
      sym_block_comment,
  [678102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22749), 1,
      anon_sym_RBRACE,
    STATE(17590), 2,
      sym_comment,
      sym_block_comment,
  [678116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22749), 1,
      anon_sym_RPAREN,
    STATE(17591), 2,
      sym_comment,
      sym_block_comment,
  [678130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10883), 1,
      anon_sym_DOT,
    STATE(17592), 2,
      sym_comment,
      sym_block_comment,
  [678144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22751), 1,
      sym__outdent,
    STATE(17593), 2,
      sym_comment,
      sym_block_comment,
  [678158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22753), 1,
      anon_sym_RPAREN,
    STATE(17594), 2,
      sym_comment,
      sym_block_comment,
  [678172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22755), 1,
      anon_sym_RPAREN,
    STATE(17595), 2,
      sym_comment,
      sym_block_comment,
  [678186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22757), 1,
      sym__outdent,
    STATE(17596), 2,
      sym_comment,
      sym_block_comment,
  [678200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22759), 1,
      anon_sym_else,
    STATE(17597), 2,
      sym_comment,
      sym_block_comment,
  [678214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22761), 1,
      anon_sym_RPAREN,
    STATE(17598), 2,
      sym_comment,
      sym_block_comment,
  [678228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8336), 1,
      anon_sym_DOT,
    STATE(17599), 2,
      sym_comment,
      sym_block_comment,
  [678242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22763), 1,
      anon_sym_RBRACE,
    STATE(17600), 2,
      sym_comment,
      sym_block_comment,
  [678256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22765), 1,
      anon_sym_RBRACE,
    STATE(17601), 2,
      sym_comment,
      sym_block_comment,
  [678270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22767), 1,
      sym__outdent,
    STATE(17602), 2,
      sym_comment,
      sym_block_comment,
  [678284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22769), 1,
      anon_sym_EQ_GT_GT,
    STATE(17603), 2,
      sym_comment,
      sym_block_comment,
  [678298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22771), 1,
      sym__outdent,
    STATE(17604), 2,
      sym_comment,
      sym_block_comment,
  [678312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9004), 1,
      anon_sym_DOT,
    STATE(17605), 2,
      sym_comment,
      sym_block_comment,
  [678326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22773), 1,
      anon_sym_RBRACE,
    STATE(17606), 2,
      sym_comment,
      sym_block_comment,
  [678340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22775), 1,
      anon_sym_else,
    STATE(17607), 2,
      sym_comment,
      sym_block_comment,
  [678354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22777), 1,
      anon_sym_EQ_GT_GT,
    STATE(17608), 2,
      sym_comment,
      sym_block_comment,
  [678368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22779), 1,
      anon_sym_RPAREN,
    STATE(17609), 2,
      sym_comment,
      sym_block_comment,
  [678382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22781), 1,
      anon_sym_RPAREN,
    STATE(17610), 2,
      sym_comment,
      sym_block_comment,
  [678396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8881), 1,
      anon_sym_DOT,
    STATE(17611), 2,
      sym_comment,
      sym_block_comment,
  [678410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22783), 1,
      sym__outdent,
    STATE(17612), 2,
      sym_comment,
      sym_block_comment,
  [678424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22785), 1,
      sym__outdent,
    STATE(17613), 2,
      sym_comment,
      sym_block_comment,
  [678438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22787), 1,
      anon_sym_RPAREN,
    STATE(17614), 2,
      sym_comment,
      sym_block_comment,
  [678452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22789), 1,
      anon_sym_else,
    STATE(17615), 2,
      sym_comment,
      sym_block_comment,
  [678466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22791), 1,
      anon_sym_else,
    STATE(17616), 2,
      sym_comment,
      sym_block_comment,
  [678480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8740), 1,
      anon_sym_DOT,
    STATE(17617), 2,
      sym_comment,
      sym_block_comment,
  [678494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22793), 1,
      anon_sym_EQ_GT_GT,
    STATE(17618), 2,
      sym_comment,
      sym_block_comment,
  [678508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22795), 1,
      anon_sym_type,
    STATE(17619), 2,
      sym_comment,
      sym_block_comment,
  [678522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22797), 1,
      sym__outdent,
    STATE(17620), 2,
      sym_comment,
      sym_block_comment,
  [678536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22799), 1,
      anon_sym_RPAREN,
    STATE(17621), 2,
      sym_comment,
      sym_block_comment,
  [678550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22801), 1,
      anon_sym_do,
    STATE(17622), 2,
      sym_comment,
      sym_block_comment,
  [678564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10341), 1,
      anon_sym_DOT,
    STATE(17623), 2,
      sym_comment,
      sym_block_comment,
  [678578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22803), 1,
      anon_sym_RBRACE,
    STATE(17624), 2,
      sym_comment,
      sym_block_comment,
  [678592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22805), 1,
      anon_sym_else,
    STATE(17625), 2,
      sym_comment,
      sym_block_comment,
  [678606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22807), 1,
      sym__outdent,
    STATE(17626), 2,
      sym_comment,
      sym_block_comment,
  [678620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22809), 1,
      anon_sym_EQ_GT,
    STATE(17627), 2,
      sym_comment,
      sym_block_comment,
  [678634] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22811), 1,
      anon_sym_RBRACE,
    STATE(17628), 2,
      sym_comment,
      sym_block_comment,
  [678648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14866), 1,
      anon_sym_DOT,
    STATE(17629), 2,
      sym_comment,
      sym_block_comment,
  [678662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22813), 1,
      anon_sym_RBRACE,
    STATE(17630), 2,
      sym_comment,
      sym_block_comment,
  [678676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22815), 1,
      sym__outdent,
    STATE(17631), 2,
      sym_comment,
      sym_block_comment,
  [678690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22817), 1,
      anon_sym_EQ_GT,
    STATE(17632), 2,
      sym_comment,
      sym_block_comment,
  [678704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22819), 1,
      anon_sym_COLON,
    STATE(17633), 2,
      sym_comment,
      sym_block_comment,
  [678718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22821), 1,
      anon_sym_RBRACE,
    STATE(17634), 2,
      sym_comment,
      sym_block_comment,
  [678732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10383), 1,
      anon_sym_DOT,
    STATE(17635), 2,
      sym_comment,
      sym_block_comment,
  [678746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22823), 1,
      sym__outdent,
    STATE(17636), 2,
      sym_comment,
      sym_block_comment,
  [678760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22825), 1,
      sym__outdent,
    STATE(17637), 2,
      sym_comment,
      sym_block_comment,
  [678774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22827), 1,
      anon_sym_RPAREN,
    STATE(17638), 2,
      sym_comment,
      sym_block_comment,
  [678788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22829), 1,
      anon_sym_EQ_GT,
    STATE(17639), 2,
      sym_comment,
      sym_block_comment,
  [678802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22811), 1,
      anon_sym_RPAREN,
    STATE(17640), 2,
      sym_comment,
      sym_block_comment,
  [678816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10385), 1,
      anon_sym_DOT,
    STATE(17641), 2,
      sym_comment,
      sym_block_comment,
  [678830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22831), 1,
      anon_sym_RBRACE,
    STATE(17642), 2,
      sym_comment,
      sym_block_comment,
  [678844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22833), 1,
      sym__outdent,
    STATE(17643), 2,
      sym_comment,
      sym_block_comment,
  [678858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22835), 1,
      anon_sym_COLON,
    STATE(17644), 2,
      sym_comment,
      sym_block_comment,
  [678872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11558), 1,
      anon_sym_DOT,
    STATE(17645), 2,
      sym_comment,
      sym_block_comment,
  [678886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22831), 1,
      anon_sym_RPAREN,
    STATE(17646), 2,
      sym_comment,
      sym_block_comment,
  [678900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10123), 1,
      anon_sym_DOT,
    STATE(17647), 2,
      sym_comment,
      sym_block_comment,
  [678914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22837), 1,
      sym__outdent,
    STATE(17648), 2,
      sym_comment,
      sym_block_comment,
  [678928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22839), 1,
      anon_sym_RPAREN,
    STATE(17649), 2,
      sym_comment,
      sym_block_comment,
  [678942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22841), 1,
      anon_sym_RPAREN,
    STATE(17650), 2,
      sym_comment,
      sym_block_comment,
  [678956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22843), 1,
      anon_sym_RPAREN,
    STATE(17651), 2,
      sym_comment,
      sym_block_comment,
  [678970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22845), 1,
      anon_sym_RBRACE,
    STATE(17652), 2,
      sym_comment,
      sym_block_comment,
  [678984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11072), 1,
      anon_sym_DOT,
    STATE(17653), 2,
      sym_comment,
      sym_block_comment,
  [678998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22847), 1,
      sym__outdent,
    STATE(17654), 2,
      sym_comment,
      sym_block_comment,
  [679012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22849), 1,
      anon_sym_else,
    STATE(17655), 2,
      sym_comment,
      sym_block_comment,
  [679026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22851), 1,
      anon_sym_else,
    STATE(17656), 2,
      sym_comment,
      sym_block_comment,
  [679040] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22853), 1,
      anon_sym_RBRACE,
    STATE(17657), 2,
      sym_comment,
      sym_block_comment,
  [679054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22765), 1,
      anon_sym_RBRACK,
    STATE(17658), 2,
      sym_comment,
      sym_block_comment,
  [679068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10393), 1,
      anon_sym_DOT,
    STATE(17659), 2,
      sym_comment,
      sym_block_comment,
  [679082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22855), 1,
      anon_sym_RPAREN,
    STATE(17660), 2,
      sym_comment,
      sym_block_comment,
  [679096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22857), 1,
      anon_sym_RBRACE,
    STATE(17661), 2,
      sym_comment,
      sym_block_comment,
  [679110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22859), 1,
      anon_sym_RBRACE,
    STATE(17662), 2,
      sym_comment,
      sym_block_comment,
  [679124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22861), 1,
      anon_sym_EQ_GT,
    STATE(17663), 2,
      sym_comment,
      sym_block_comment,
  [679138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22863), 1,
      sym__outdent,
    STATE(17664), 2,
      sym_comment,
      sym_block_comment,
  [679152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14998), 1,
      anon_sym_DOT,
    STATE(17665), 2,
      sym_comment,
      sym_block_comment,
  [679166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22865), 1,
      anon_sym_RBRACE,
    STATE(17666), 2,
      sym_comment,
      sym_block_comment,
  [679180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22867), 1,
      sym__outdent,
    STATE(17667), 2,
      sym_comment,
      sym_block_comment,
  [679194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22869), 1,
      anon_sym_RPAREN,
    STATE(17668), 2,
      sym_comment,
      sym_block_comment,
  [679208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22859), 1,
      anon_sym_RBRACK,
    STATE(17669), 2,
      sym_comment,
      sym_block_comment,
  [679222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22871), 1,
      sym__outdent,
    STATE(17670), 2,
      sym_comment,
      sym_block_comment,
  [679236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11571), 1,
      anon_sym_DOT,
    STATE(17671), 2,
      sym_comment,
      sym_block_comment,
  [679250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22873), 1,
      sym__outdent,
    STATE(17672), 2,
      sym_comment,
      sym_block_comment,
  [679264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22875), 1,
      sym__outdent,
    STATE(17673), 2,
      sym_comment,
      sym_block_comment,
  [679278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22877), 1,
      anon_sym_RPAREN,
    STATE(17674), 2,
      sym_comment,
      sym_block_comment,
  [679292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22879), 1,
      anon_sym_else,
    STATE(17675), 2,
      sym_comment,
      sym_block_comment,
  [679306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22881), 1,
      anon_sym_RPAREN,
    STATE(17676), 2,
      sym_comment,
      sym_block_comment,
  [679320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10730), 1,
      anon_sym_DOT,
    STATE(17677), 2,
      sym_comment,
      sym_block_comment,
  [679334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22883), 1,
      anon_sym_RPAREN,
    STATE(17678), 2,
      sym_comment,
      sym_block_comment,
  [679348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22885), 1,
      anon_sym_RBRACE,
    STATE(17679), 2,
      sym_comment,
      sym_block_comment,
  [679362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22887), 1,
      anon_sym_do,
    STATE(17680), 2,
      sym_comment,
      sym_block_comment,
  [679376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22889), 1,
      anon_sym_RBRACK,
    STATE(17681), 2,
      sym_comment,
      sym_block_comment,
  [679390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22891), 1,
      anon_sym_RPAREN,
    STATE(17682), 2,
      sym_comment,
      sym_block_comment,
  [679404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12669), 1,
      anon_sym_DOT,
    STATE(17683), 2,
      sym_comment,
      sym_block_comment,
  [679418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22893), 1,
      anon_sym_RBRACE,
    STATE(17684), 2,
      sym_comment,
      sym_block_comment,
  [679432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22895), 1,
      sym__outdent,
    STATE(17685), 2,
      sym_comment,
      sym_block_comment,
  [679446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22897), 1,
      anon_sym_EQ_GT,
    STATE(17686), 2,
      sym_comment,
      sym_block_comment,
  [679460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22899), 1,
      sym__outdent,
    STATE(17687), 2,
      sym_comment,
      sym_block_comment,
  [679474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22901), 1,
      anon_sym_RPAREN,
    STATE(17688), 2,
      sym_comment,
      sym_block_comment,
  [679488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11537), 1,
      anon_sym_DOT,
    STATE(17689), 2,
      sym_comment,
      sym_block_comment,
  [679502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22903), 1,
      anon_sym_RPAREN,
    STATE(17690), 2,
      sym_comment,
      sym_block_comment,
  [679516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17695), 1,
      anon_sym_DOT,
    STATE(17691), 2,
      sym_comment,
      sym_block_comment,
  [679530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22905), 1,
      anon_sym_do,
    STATE(17692), 2,
      sym_comment,
      sym_block_comment,
  [679544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22907), 1,
      sym__outdent,
    STATE(17693), 2,
      sym_comment,
      sym_block_comment,
  [679558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22909), 1,
      anon_sym_RBRACK,
    STATE(17694), 2,
      sym_comment,
      sym_block_comment,
  [679572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13107), 1,
      anon_sym_DOT,
    STATE(17695), 2,
      sym_comment,
      sym_block_comment,
  [679586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22909), 1,
      anon_sym_RBRACE,
    STATE(17696), 2,
      sym_comment,
      sym_block_comment,
  [679600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22911), 1,
      anon_sym_RBRACK,
    STATE(17697), 2,
      sym_comment,
      sym_block_comment,
  [679614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22913), 1,
      anon_sym_RBRACE,
    STATE(17698), 2,
      sym_comment,
      sym_block_comment,
  [679628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22915), 1,
      anon_sym_RPAREN,
    STATE(17699), 2,
      sym_comment,
      sym_block_comment,
  [679642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22911), 1,
      anon_sym_RBRACE,
    STATE(17700), 2,
      sym_comment,
      sym_block_comment,
  [679656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8959), 1,
      anon_sym_DOT,
    STATE(17701), 2,
      sym_comment,
      sym_block_comment,
  [679670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22917), 1,
      anon_sym_RBRACE,
    STATE(17702), 2,
      sym_comment,
      sym_block_comment,
  [679684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22919), 1,
      sym__outdent,
    STATE(17703), 2,
      sym_comment,
      sym_block_comment,
  [679698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22921), 1,
      anon_sym_RPAREN,
    STATE(17704), 2,
      sym_comment,
      sym_block_comment,
  [679712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22923), 1,
      anon_sym_RBRACE,
    STATE(17705), 2,
      sym_comment,
      sym_block_comment,
  [679726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22921), 1,
      anon_sym_RBRACE,
    STATE(17706), 2,
      sym_comment,
      sym_block_comment,
  [679740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8517), 1,
      anon_sym_DOT,
    STATE(17707), 2,
      sym_comment,
      sym_block_comment,
  [679754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22917), 1,
      anon_sym_RPAREN,
    STATE(17708), 2,
      sym_comment,
      sym_block_comment,
  [679768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22925), 1,
      sym__outdent,
    STATE(17709), 2,
      sym_comment,
      sym_block_comment,
  [679782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22927), 1,
      anon_sym_RBRACE,
    STATE(17710), 2,
      sym_comment,
      sym_block_comment,
  [679796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22929), 1,
      anon_sym_RPAREN,
    STATE(17711), 2,
      sym_comment,
      sym_block_comment,
  [679810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22931), 1,
      sym__outdent,
    STATE(17712), 2,
      sym_comment,
      sym_block_comment,
  [679824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9223), 1,
      anon_sym_DOT,
    STATE(17713), 2,
      sym_comment,
      sym_block_comment,
  [679838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22933), 1,
      anon_sym_else,
    STATE(17714), 2,
      sym_comment,
      sym_block_comment,
  [679852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22935), 1,
      sym__outdent,
    STATE(17715), 2,
      sym_comment,
      sym_block_comment,
  [679866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22937), 1,
      anon_sym_RPAREN,
    STATE(17716), 2,
      sym_comment,
      sym_block_comment,
  [679880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22939), 1,
      anon_sym_LPAREN,
    STATE(17717), 2,
      sym_comment,
      sym_block_comment,
  [679894] = 4,
    ACTIONS(18292), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(22941), 1,
      sym_using_directive_value,
    STATE(17718), 2,
      sym_comment,
      sym_block_comment,
  [679908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9947), 1,
      anon_sym_DOT,
    STATE(17719), 2,
      sym_comment,
      sym_block_comment,
  [679922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22943), 1,
      anon_sym_type,
    STATE(17720), 2,
      sym_comment,
      sym_block_comment,
  [679936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22945), 1,
      anon_sym_RPAREN,
    STATE(17721), 2,
      sym_comment,
      sym_block_comment,
  [679950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22947), 1,
      sym__outdent,
    STATE(17722), 2,
      sym_comment,
      sym_block_comment,
  [679964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22853), 1,
      anon_sym_RBRACK,
    STATE(17723), 2,
      sym_comment,
      sym_block_comment,
  [679978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22949), 1,
      anon_sym_else,
    STATE(17724), 2,
      sym_comment,
      sym_block_comment,
  [679992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9133), 1,
      anon_sym_DOT,
    STATE(17725), 2,
      sym_comment,
      sym_block_comment,
  [680006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22951), 1,
      anon_sym_RPAREN,
    STATE(17726), 2,
      sym_comment,
      sym_block_comment,
  [680020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22953), 1,
      sym__outdent,
    STATE(17727), 2,
      sym_comment,
      sym_block_comment,
  [680034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22955), 1,
      anon_sym_RBRACE,
    STATE(17728), 2,
      sym_comment,
      sym_block_comment,
  [680048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22957), 1,
      anon_sym_else,
    STATE(17729), 2,
      sym_comment,
      sym_block_comment,
  [680062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22959), 1,
      anon_sym_COLON,
    STATE(17730), 2,
      sym_comment,
      sym_block_comment,
  [680076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13434), 1,
      anon_sym_DOT,
    STATE(17731), 2,
      sym_comment,
      sym_block_comment,
  [680090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22961), 1,
      anon_sym_EQ_GT,
    STATE(17732), 2,
      sym_comment,
      sym_block_comment,
  [680104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22963), 1,
      anon_sym_RPAREN,
    STATE(17733), 2,
      sym_comment,
      sym_block_comment,
  [680118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22965), 1,
      anon_sym_RPAREN,
    STATE(17734), 2,
      sym_comment,
      sym_block_comment,
  [680132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22967), 1,
      anon_sym_RPAREN,
    STATE(17735), 2,
      sym_comment,
      sym_block_comment,
  [680146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12597), 1,
      anon_sym_DOT,
    STATE(17736), 2,
      sym_comment,
      sym_block_comment,
  [680160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10825), 1,
      anon_sym_DOT,
    STATE(17737), 2,
      sym_comment,
      sym_block_comment,
  [680174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17209), 1,
      anon_sym_COLON,
    STATE(17738), 2,
      sym_comment,
      sym_block_comment,
  [680188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22969), 1,
      anon_sym_do,
    STATE(17739), 2,
      sym_comment,
      sym_block_comment,
  [680202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22971), 1,
      anon_sym_RPAREN,
    STATE(17740), 2,
      sym_comment,
      sym_block_comment,
  [680216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22973), 1,
      sym__outdent,
    STATE(17741), 2,
      sym_comment,
      sym_block_comment,
  [680230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22975), 1,
      sym__outdent,
    STATE(17742), 2,
      sym_comment,
      sym_block_comment,
  [680244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15322), 1,
      anon_sym_DOT,
    STATE(17743), 2,
      sym_comment,
      sym_block_comment,
  [680258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22977), 1,
      anon_sym_RPAREN,
    STATE(17744), 2,
      sym_comment,
      sym_block_comment,
  [680272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22979), 1,
      anon_sym_RBRACE,
    STATE(17745), 2,
      sym_comment,
      sym_block_comment,
  [680286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22981), 1,
      sym__outdent,
    STATE(17746), 2,
      sym_comment,
      sym_block_comment,
  [680300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22983), 1,
      anon_sym_RBRACE,
    STATE(17747), 2,
      sym_comment,
      sym_block_comment,
  [680314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22985), 1,
      anon_sym_else,
    STATE(17748), 2,
      sym_comment,
      sym_block_comment,
  [680328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9163), 1,
      anon_sym_DOT,
    STATE(17749), 2,
      sym_comment,
      sym_block_comment,
  [680342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22987), 1,
      anon_sym_EQ,
    STATE(17750), 2,
      sym_comment,
      sym_block_comment,
  [680356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22989), 1,
      anon_sym_EQ,
    STATE(17751), 2,
      sym_comment,
      sym_block_comment,
  [680370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22991), 1,
      anon_sym_else,
    STATE(17752), 2,
      sym_comment,
      sym_block_comment,
  [680384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22993), 1,
      anon_sym_RPAREN,
    STATE(17753), 2,
      sym_comment,
      sym_block_comment,
  [680398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22995), 1,
      anon_sym_RPAREN,
    STATE(17754), 2,
      sym_comment,
      sym_block_comment,
  [680412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10850), 1,
      anon_sym_DOT,
    STATE(17755), 2,
      sym_comment,
      sym_block_comment,
  [680426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22997), 1,
      anon_sym_RBRACE,
    STATE(17756), 2,
      sym_comment,
      sym_block_comment,
  [680440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22999), 1,
      anon_sym_RBRACE,
    STATE(17757), 2,
      sym_comment,
      sym_block_comment,
  [680454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22999), 1,
      anon_sym_RPAREN,
    STATE(17758), 2,
      sym_comment,
      sym_block_comment,
  [680468] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23001), 1,
      anon_sym_RPAREN,
    STATE(17759), 2,
      sym_comment,
      sym_block_comment,
  [680482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23003), 1,
      sym__outdent,
    STATE(17760), 2,
      sym_comment,
      sym_block_comment,
  [680496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15328), 1,
      anon_sym_DOT,
    STATE(17761), 2,
      sym_comment,
      sym_block_comment,
  [680510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23005), 1,
      sym__outdent,
    STATE(17762), 2,
      sym_comment,
      sym_block_comment,
  [680524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23007), 1,
      anon_sym_RPAREN,
    STATE(17763), 2,
      sym_comment,
      sym_block_comment,
  [680538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23009), 1,
      sym__outdent,
    STATE(17764), 2,
      sym_comment,
      sym_block_comment,
  [680552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23011), 1,
      anon_sym_else,
    STATE(17765), 2,
      sym_comment,
      sym_block_comment,
  [680566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23013), 1,
      anon_sym_EQ_GT_GT,
    STATE(17766), 2,
      sym_comment,
      sym_block_comment,
  [680580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10046), 1,
      anon_sym_DOT,
    STATE(17767), 2,
      sym_comment,
      sym_block_comment,
  [680594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23015), 1,
      sym__outdent,
    STATE(17768), 2,
      sym_comment,
      sym_block_comment,
  [680608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23017), 1,
      anon_sym_RBRACK,
    STATE(17769), 2,
      sym_comment,
      sym_block_comment,
  [680622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23017), 1,
      anon_sym_RBRACE,
    STATE(17770), 2,
      sym_comment,
      sym_block_comment,
  [680636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23019), 1,
      anon_sym_RBRACK,
    STATE(17771), 2,
      sym_comment,
      sym_block_comment,
  [680650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23019), 1,
      anon_sym_RBRACE,
    STATE(17772), 2,
      sym_comment,
      sym_block_comment,
  [680664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10741), 1,
      anon_sym_DOT,
    STATE(17773), 2,
      sym_comment,
      sym_block_comment,
  [680678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23021), 1,
      anon_sym_RPAREN,
    STATE(17774), 2,
      sym_comment,
      sym_block_comment,
  [680692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23023), 1,
      anon_sym_EQ_GT_GT,
    STATE(17775), 2,
      sym_comment,
      sym_block_comment,
  [680706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23025), 1,
      anon_sym_RPAREN,
    STATE(17776), 2,
      sym_comment,
      sym_block_comment,
  [680720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23027), 1,
      anon_sym_RBRACE,
    STATE(17777), 2,
      sym_comment,
      sym_block_comment,
  [680734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23029), 1,
      anon_sym_RBRACK,
    STATE(17778), 2,
      sym_comment,
      sym_block_comment,
  [680748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8651), 1,
      anon_sym_DOT,
    STATE(17779), 2,
      sym_comment,
      sym_block_comment,
  [680762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23031), 1,
      sym__outdent,
    STATE(17780), 2,
      sym_comment,
      sym_block_comment,
  [680776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23033), 1,
      anon_sym_else,
    STATE(17781), 2,
      sym_comment,
      sym_block_comment,
  [680790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23035), 1,
      anon_sym_else,
    STATE(17782), 2,
      sym_comment,
      sym_block_comment,
  [680804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23037), 1,
      sym__outdent,
    STATE(17783), 2,
      sym_comment,
      sym_block_comment,
  [680818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23039), 1,
      anon_sym_EQ_GT_GT,
    STATE(17784), 2,
      sym_comment,
      sym_block_comment,
  [680832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12043), 1,
      anon_sym_DOT,
    STATE(17785), 2,
      sym_comment,
      sym_block_comment,
  [680846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23041), 1,
      sym__outdent,
    STATE(17786), 2,
      sym_comment,
      sym_block_comment,
  [680860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23043), 1,
      anon_sym_do,
    STATE(17787), 2,
      sym_comment,
      sym_block_comment,
  [680874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15263), 1,
      anon_sym_def,
    STATE(17788), 2,
      sym_comment,
      sym_block_comment,
  [680888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23045), 1,
      anon_sym_RPAREN,
    STATE(17789), 2,
      sym_comment,
      sym_block_comment,
  [680902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23047), 1,
      anon_sym_COLON,
    STATE(17790), 2,
      sym_comment,
      sym_block_comment,
  [680916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9037), 1,
      anon_sym_DOT,
    STATE(17791), 2,
      sym_comment,
      sym_block_comment,
  [680930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23049), 1,
      sym__outdent,
    STATE(17792), 2,
      sym_comment,
      sym_block_comment,
  [680944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23051), 1,
      anon_sym_RPAREN,
    STATE(17793), 2,
      sym_comment,
      sym_block_comment,
  [680958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23053), 1,
      sym__outdent,
    STATE(17794), 2,
      sym_comment,
      sym_block_comment,
  [680972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23055), 1,
      sym__outdent,
    STATE(17795), 2,
      sym_comment,
      sym_block_comment,
  [680986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23057), 1,
      anon_sym_EQ_GT_GT,
    STATE(17796), 2,
      sym_comment,
      sym_block_comment,
  [681000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10829), 1,
      anon_sym_DOT,
    STATE(17797), 2,
      sym_comment,
      sym_block_comment,
  [681014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23059), 1,
      anon_sym_else,
    STATE(17798), 2,
      sym_comment,
      sym_block_comment,
  [681028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23061), 1,
      anon_sym_EQ_GT_GT,
    STATE(17799), 2,
      sym_comment,
      sym_block_comment,
  [681042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23063), 1,
      anon_sym_EQ_GT,
    STATE(17800), 2,
      sym_comment,
      sym_block_comment,
  [681056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23065), 1,
      anon_sym_RBRACE,
    STATE(17801), 2,
      sym_comment,
      sym_block_comment,
  [681070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23067), 1,
      anon_sym_RPAREN,
    STATE(17802), 2,
      sym_comment,
      sym_block_comment,
  [681084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9682), 1,
      anon_sym_DOT,
    STATE(17803), 2,
      sym_comment,
      sym_block_comment,
  [681098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23069), 1,
      sym__outdent,
    STATE(17804), 2,
      sym_comment,
      sym_block_comment,
  [681112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23071), 1,
      anon_sym_RPAREN,
    STATE(17805), 2,
      sym_comment,
      sym_block_comment,
  [681126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23073), 1,
      sym__outdent,
    STATE(17806), 2,
      sym_comment,
      sym_block_comment,
  [681140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23067), 1,
      anon_sym_RBRACE,
    STATE(17807), 2,
      sym_comment,
      sym_block_comment,
  [681154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23075), 1,
      anon_sym_RBRACE,
    STATE(17808), 2,
      sym_comment,
      sym_block_comment,
  [681168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13848), 1,
      anon_sym_DOT,
    STATE(17809), 2,
      sym_comment,
      sym_block_comment,
  [681182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23077), 1,
      anon_sym_RBRACE,
    STATE(17810), 2,
      sym_comment,
      sym_block_comment,
  [681196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23079), 1,
      sym__outdent,
    STATE(17811), 2,
      sym_comment,
      sym_block_comment,
  [681210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23081), 1,
      anon_sym_RBRACE,
    STATE(17812), 2,
      sym_comment,
      sym_block_comment,
  [681224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23083), 1,
      sym__outdent,
    STATE(17813), 2,
      sym_comment,
      sym_block_comment,
  [681238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23085), 1,
      sym__outdent,
    STATE(17814), 2,
      sym_comment,
      sym_block_comment,
  [681252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10787), 1,
      anon_sym_DOT,
    STATE(17815), 2,
      sym_comment,
      sym_block_comment,
  [681266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23087), 1,
      anon_sym_RPAREN,
    STATE(17816), 2,
      sym_comment,
      sym_block_comment,
  [681280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23081), 1,
      anon_sym_RPAREN,
    STATE(17817), 2,
      sym_comment,
      sym_block_comment,
  [681294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23089), 1,
      anon_sym_RPAREN,
    STATE(17818), 2,
      sym_comment,
      sym_block_comment,
  [681308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23091), 1,
      sym__outdent,
    STATE(17819), 2,
      sym_comment,
      sym_block_comment,
  [681322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23093), 1,
      anon_sym_RPAREN,
    STATE(17820), 2,
      sym_comment,
      sym_block_comment,
  [681336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15450), 1,
      anon_sym_DOT,
    STATE(17821), 2,
      sym_comment,
      sym_block_comment,
  [681350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23095), 1,
      sym__outdent,
    STATE(17822), 2,
      sym_comment,
      sym_block_comment,
  [681364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23097), 1,
      anon_sym_RBRACK,
    STATE(17823), 2,
      sym_comment,
      sym_block_comment,
  [681378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23097), 1,
      anon_sym_RBRACE,
    STATE(17824), 2,
      sym_comment,
      sym_block_comment,
  [681392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23099), 1,
      anon_sym_RBRACK,
    STATE(17825), 2,
      sym_comment,
      sym_block_comment,
  [681406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10299), 1,
      anon_sym_with,
    STATE(17826), 2,
      sym_comment,
      sym_block_comment,
  [681420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10992), 1,
      anon_sym_DOT,
    STATE(17827), 2,
      sym_comment,
      sym_block_comment,
  [681434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23101), 1,
      anon_sym_EQ_GT,
    STATE(17828), 2,
      sym_comment,
      sym_block_comment,
  [681448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23103), 1,
      anon_sym_EQ_GT_GT,
    STATE(17829), 2,
      sym_comment,
      sym_block_comment,
  [681462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23105), 1,
      anon_sym_do,
    STATE(17830), 2,
      sym_comment,
      sym_block_comment,
  [681476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23099), 1,
      anon_sym_RBRACE,
    STATE(17831), 2,
      sym_comment,
      sym_block_comment,
  [681490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23107), 1,
      sym__outdent,
    STATE(17832), 2,
      sym_comment,
      sym_block_comment,
  [681504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12710), 1,
      anon_sym_DOT,
    STATE(17833), 2,
      sym_comment,
      sym_block_comment,
  [681518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23109), 1,
      sym__outdent,
    STATE(17834), 2,
      sym_comment,
      sym_block_comment,
  [681532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23111), 1,
      anon_sym_RPAREN,
    STATE(17835), 2,
      sym_comment,
      sym_block_comment,
  [681546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23113), 1,
      anon_sym_RPAREN,
    STATE(17836), 2,
      sym_comment,
      sym_block_comment,
  [681560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23111), 1,
      anon_sym_RBRACE,
    STATE(17837), 2,
      sym_comment,
      sym_block_comment,
  [681574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23115), 1,
      anon_sym_EQ_GT_GT,
    STATE(17838), 2,
      sym_comment,
      sym_block_comment,
  [681588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8875), 1,
      anon_sym_DOT,
    STATE(17839), 2,
      sym_comment,
      sym_block_comment,
  [681602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23117), 1,
      sym__outdent,
    STATE(17840), 2,
      sym_comment,
      sym_block_comment,
  [681616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23119), 1,
      anon_sym_else,
    STATE(17841), 2,
      sym_comment,
      sym_block_comment,
  [681630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23121), 1,
      anon_sym_else,
    STATE(17842), 2,
      sym_comment,
      sym_block_comment,
  [681644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23123), 1,
      anon_sym_RBRACE,
    STATE(17843), 2,
      sym_comment,
      sym_block_comment,
  [681658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23125), 1,
      anon_sym_RPAREN,
    STATE(17844), 2,
      sym_comment,
      sym_block_comment,
  [681672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9609), 1,
      anon_sym_DOT,
    STATE(17845), 2,
      sym_comment,
      sym_block_comment,
  [681686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23127), 1,
      sym__outdent,
    STATE(17846), 2,
      sym_comment,
      sym_block_comment,
  [681700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23129), 1,
      anon_sym_else,
    STATE(17847), 2,
      sym_comment,
      sym_block_comment,
  [681714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23131), 1,
      anon_sym_EQ_GT_GT,
    STATE(17848), 2,
      sym_comment,
      sym_block_comment,
  [681728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23133), 1,
      anon_sym_RBRACE,
    STATE(17849), 2,
      sym_comment,
      sym_block_comment,
  [681742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23135), 1,
      sym__outdent,
    STATE(17850), 2,
      sym_comment,
      sym_block_comment,
  [681756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13949), 1,
      anon_sym_DOT,
    STATE(17851), 2,
      sym_comment,
      sym_block_comment,
  [681770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23137), 1,
      anon_sym_EQ_GT_GT,
    STATE(17852), 2,
      sym_comment,
      sym_block_comment,
  [681784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23139), 1,
      anon_sym_RBRACE,
    STATE(17853), 2,
      sym_comment,
      sym_block_comment,
  [681798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23141), 1,
      anon_sym_RPAREN,
    STATE(17854), 2,
      sym_comment,
      sym_block_comment,
  [681812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23143), 1,
      anon_sym_RBRACE,
    STATE(17855), 2,
      sym_comment,
      sym_block_comment,
  [681826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23145), 1,
      anon_sym_do,
    STATE(17856), 2,
      sym_comment,
      sym_block_comment,
  [681840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9705), 1,
      anon_sym_DOT,
    STATE(17857), 2,
      sym_comment,
      sym_block_comment,
  [681854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23147), 1,
      sym__outdent,
    STATE(17858), 2,
      sym_comment,
      sym_block_comment,
  [681868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23149), 1,
      anon_sym_else,
    STATE(17859), 2,
      sym_comment,
      sym_block_comment,
  [681882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23151), 1,
      anon_sym_RBRACE,
    STATE(17860), 2,
      sym_comment,
      sym_block_comment,
  [681896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23153), 1,
      anon_sym_RBRACE,
    STATE(17861), 2,
      sym_comment,
      sym_block_comment,
  [681910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23155), 1,
      sym__outdent,
    STATE(17862), 2,
      sym_comment,
      sym_block_comment,
  [681924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10403), 1,
      anon_sym_DOT,
    STATE(17863), 2,
      sym_comment,
      sym_block_comment,
  [681938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23157), 1,
      anon_sym_RPAREN,
    STATE(17864), 2,
      sym_comment,
      sym_block_comment,
  [681952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23159), 1,
      anon_sym_do,
    STATE(17865), 2,
      sym_comment,
      sym_block_comment,
  [681966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23161), 1,
      anon_sym_RPAREN,
    STATE(17866), 2,
      sym_comment,
      sym_block_comment,
  [681980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15611), 1,
      anon_sym_DOT,
    STATE(17867), 2,
      sym_comment,
      sym_block_comment,
  [681994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23163), 1,
      anon_sym_RBRACE,
    STATE(17868), 2,
      sym_comment,
      sym_block_comment,
  [682008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14262), 1,
      anon_sym_DOT,
    STATE(17869), 2,
      sym_comment,
      sym_block_comment,
  [682022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23165), 1,
      anon_sym_RBRACE,
    STATE(17870), 2,
      sym_comment,
      sym_block_comment,
  [682036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23167), 1,
      anon_sym_RBRACE,
    STATE(17871), 2,
      sym_comment,
      sym_block_comment,
  [682050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23163), 1,
      anon_sym_RPAREN,
    STATE(17872), 2,
      sym_comment,
      sym_block_comment,
  [682064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23169), 1,
      anon_sym_RBRACE,
    STATE(17873), 2,
      sym_comment,
      sym_block_comment,
  [682078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23171), 1,
      sym__outdent,
    STATE(17874), 2,
      sym_comment,
      sym_block_comment,
  [682092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23173), 1,
      anon_sym_RBRACE,
    STATE(17875), 2,
      sym_comment,
      sym_block_comment,
  [682106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23173), 1,
      anon_sym_RPAREN,
    STATE(17876), 2,
      sym_comment,
      sym_block_comment,
  [682120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23175), 1,
      anon_sym_EQ_GT_GT,
    STATE(17877), 2,
      sym_comment,
      sym_block_comment,
  [682134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23177), 1,
      anon_sym_EQ_GT_GT,
    STATE(17878), 2,
      sym_comment,
      sym_block_comment,
  [682148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23179), 1,
      sym__outdent,
    STATE(17879), 2,
      sym_comment,
      sym_block_comment,
  [682162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23181), 1,
      anon_sym_RPAREN,
    STATE(17880), 2,
      sym_comment,
      sym_block_comment,
  [682176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23183), 1,
      sym__outdent,
    STATE(17881), 2,
      sym_comment,
      sym_block_comment,
  [682190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23185), 1,
      anon_sym_RBRACE,
    STATE(17882), 2,
      sym_comment,
      sym_block_comment,
  [682204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23187), 1,
      sym__outdent,
    STATE(17883), 2,
      sym_comment,
      sym_block_comment,
  [682218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23189), 1,
      anon_sym_RPAREN,
    STATE(17884), 2,
      sym_comment,
      sym_block_comment,
  [682232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23191), 1,
      sym__outdent,
    STATE(17885), 2,
      sym_comment,
      sym_block_comment,
  [682246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23193), 1,
      anon_sym_RBRACE,
    STATE(17886), 2,
      sym_comment,
      sym_block_comment,
  [682260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23195), 1,
      anon_sym_else,
    STATE(17887), 2,
      sym_comment,
      sym_block_comment,
  [682274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23197), 1,
      sym__indent,
    STATE(17888), 2,
      sym_comment,
      sym_block_comment,
  [682288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23199), 1,
      anon_sym_EQ_GT_GT,
    STATE(17889), 2,
      sym_comment,
      sym_block_comment,
  [682302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23201), 1,
      anon_sym_RPAREN,
    STATE(17890), 2,
      sym_comment,
      sym_block_comment,
  [682316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23203), 1,
      sym__outdent,
    STATE(17891), 2,
      sym_comment,
      sym_block_comment,
  [682330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23205), 1,
      anon_sym_else,
    STATE(17892), 2,
      sym_comment,
      sym_block_comment,
  [682344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23207), 1,
      sym__outdent,
    STATE(17893), 2,
      sym_comment,
      sym_block_comment,
  [682358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12988), 1,
      anon_sym_DOT,
    STATE(17894), 2,
      sym_comment,
      sym_block_comment,
  [682372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23209), 1,
      sym__outdent,
    STATE(17895), 2,
      sym_comment,
      sym_block_comment,
  [682386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23211), 1,
      anon_sym_RPAREN,
    STATE(17896), 2,
      sym_comment,
      sym_block_comment,
  [682400] = 4,
    ACTIONS(18292), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(23213), 1,
      sym_using_directive_key,
    STATE(17897), 2,
      sym_comment,
      sym_block_comment,
  [682414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23215), 1,
      anon_sym_RPAREN,
    STATE(17898), 2,
      sym_comment,
      sym_block_comment,
  [682428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23217), 1,
      anon_sym_COLON,
    STATE(17899), 2,
      sym_comment,
      sym_block_comment,
  [682442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23219), 1,
      anon_sym_else,
    STATE(17900), 2,
      sym_comment,
      sym_block_comment,
  [682456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23221), 1,
      sym__outdent,
    STATE(17901), 2,
      sym_comment,
      sym_block_comment,
  [682470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23223), 1,
      anon_sym_RPAREN,
    STATE(17902), 2,
      sym_comment,
      sym_block_comment,
  [682484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23225), 1,
      anon_sym_RBRACE,
    STATE(17903), 2,
      sym_comment,
      sym_block_comment,
  [682498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23225), 1,
      anon_sym_RBRACK,
    STATE(17904), 2,
      sym_comment,
      sym_block_comment,
  [682512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23227), 1,
      anon_sym_RBRACE,
    STATE(17905), 2,
      sym_comment,
      sym_block_comment,
  [682526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23229), 1,
      anon_sym_RBRACE,
    STATE(17906), 2,
      sym_comment,
      sym_block_comment,
  [682540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15261), 1,
      anon_sym_type,
    STATE(17907), 2,
      sym_comment,
      sym_block_comment,
  [682554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23231), 1,
      anon_sym_type,
    STATE(17908), 2,
      sym_comment,
      sym_block_comment,
  [682568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23233), 1,
      anon_sym_else,
    STATE(17909), 2,
      sym_comment,
      sym_block_comment,
  [682582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23235), 1,
      anon_sym_EQ_GT_GT,
    STATE(17910), 2,
      sym_comment,
      sym_block_comment,
  [682596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23237), 1,
      anon_sym_EQ_GT_GT,
    STATE(17911), 2,
      sym_comment,
      sym_block_comment,
  [682610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23239), 1,
      anon_sym_EQ_GT_GT,
    STATE(17912), 2,
      sym_comment,
      sym_block_comment,
  [682624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23241), 1,
      anon_sym_do,
    STATE(17913), 2,
      sym_comment,
      sym_block_comment,
  [682638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23243), 1,
      sym__outdent,
    STATE(17914), 2,
      sym_comment,
      sym_block_comment,
  [682652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23245), 1,
      anon_sym_EQ_GT_GT,
    STATE(17915), 2,
      sym_comment,
      sym_block_comment,
  [682666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23247), 1,
      anon_sym_do,
    STATE(17916), 2,
      sym_comment,
      sym_block_comment,
  [682680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23227), 1,
      anon_sym_RBRACK,
    STATE(17917), 2,
      sym_comment,
      sym_block_comment,
  [682694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23249), 1,
      anon_sym_RPAREN,
    STATE(17918), 2,
      sym_comment,
      sym_block_comment,
  [682708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23251), 1,
      anon_sym_RBRACE,
    STATE(17919), 2,
      sym_comment,
      sym_block_comment,
  [682722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23253), 1,
      anon_sym_EQ_GT,
    STATE(17920), 2,
      sym_comment,
      sym_block_comment,
  [682736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23255), 1,
      sym__outdent,
    STATE(17921), 2,
      sym_comment,
      sym_block_comment,
  [682750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23257), 1,
      anon_sym_RPAREN,
    STATE(17922), 2,
      sym_comment,
      sym_block_comment,
  [682764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23259), 1,
      anon_sym_RBRACE,
    STATE(17923), 2,
      sym_comment,
      sym_block_comment,
  [682778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23261), 1,
      sym__outdent,
    STATE(17924), 2,
      sym_comment,
      sym_block_comment,
  [682792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23263), 1,
      anon_sym_RPAREN,
    STATE(17925), 2,
      sym_comment,
      sym_block_comment,
  [682806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23265), 1,
      anon_sym_RPAREN,
    STATE(17926), 2,
      sym_comment,
      sym_block_comment,
  [682820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23267), 1,
      anon_sym_RBRACK,
    STATE(17927), 2,
      sym_comment,
      sym_block_comment,
  [682834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23267), 1,
      anon_sym_RBRACE,
    STATE(17928), 2,
      sym_comment,
      sym_block_comment,
  [682848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23269), 1,
      anon_sym_else,
    STATE(17929), 2,
      sym_comment,
      sym_block_comment,
  [682862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23271), 1,
      anon_sym_RBRACK,
    STATE(17930), 2,
      sym_comment,
      sym_block_comment,
  [682876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23271), 1,
      anon_sym_RBRACE,
    STATE(17931), 2,
      sym_comment,
      sym_block_comment,
  [682890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23273), 1,
      sym__outdent,
    STATE(17932), 2,
      sym_comment,
      sym_block_comment,
  [682904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23275), 1,
      anon_sym_RPAREN,
    STATE(17933), 2,
      sym_comment,
      sym_block_comment,
  [682918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23275), 1,
      anon_sym_RBRACE,
    STATE(17934), 2,
      sym_comment,
      sym_block_comment,
  [682932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23277), 1,
      anon_sym_RBRACE,
    STATE(17935), 2,
      sym_comment,
      sym_block_comment,
  [682946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7672), 1,
      anon_sym_type,
    STATE(17936), 2,
      sym_comment,
      sym_block_comment,
  [682960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23279), 1,
      anon_sym_RPAREN,
    STATE(17937), 2,
      sym_comment,
      sym_block_comment,
  [682974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23281), 1,
      sym__outdent,
    STATE(17938), 2,
      sym_comment,
      sym_block_comment,
  [682988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7764), 1,
      anon_sym_def,
    STATE(17939), 2,
      sym_comment,
      sym_block_comment,
  [683002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23283), 1,
      anon_sym_RPAREN,
    STATE(17940), 2,
      sym_comment,
      sym_block_comment,
  [683016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23285), 1,
      sym__indent,
    STATE(17941), 2,
      sym_comment,
      sym_block_comment,
  [683030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23287), 1,
      sym__outdent,
    STATE(17942), 2,
      sym_comment,
      sym_block_comment,
  [683044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23289), 1,
      sym__indent,
    STATE(17943), 2,
      sym_comment,
      sym_block_comment,
  [683058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23291), 1,
      anon_sym_RBRACE,
    STATE(17944), 2,
      sym_comment,
      sym_block_comment,
  [683072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15280), 1,
      anon_sym_type,
    STATE(17945), 2,
      sym_comment,
      sym_block_comment,
  [683086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23293), 1,
      sym__outdent,
    STATE(17946), 2,
      sym_comment,
      sym_block_comment,
  [683100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23295), 1,
      sym__indent,
    STATE(17947), 2,
      sym_comment,
      sym_block_comment,
  [683114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23297), 1,
      anon_sym_RPAREN,
    STATE(17948), 2,
      sym_comment,
      sym_block_comment,
  [683128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23299), 1,
      anon_sym_else,
    STATE(17949), 2,
      sym_comment,
      sym_block_comment,
  [683142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23301), 1,
      anon_sym_type,
    STATE(17950), 2,
      sym_comment,
      sym_block_comment,
  [683156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23303), 1,
      sym__outdent,
    STATE(17951), 2,
      sym_comment,
      sym_block_comment,
  [683170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23305), 1,
      sym__outdent,
    STATE(17952), 2,
      sym_comment,
      sym_block_comment,
  [683184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23307), 1,
      anon_sym_RPAREN,
    STATE(17953), 2,
      sym_comment,
      sym_block_comment,
  [683198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23309), 1,
      sym__outdent,
    STATE(17954), 2,
      sym_comment,
      sym_block_comment,
  [683212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23311), 1,
      anon_sym_do,
    STATE(17955), 2,
      sym_comment,
      sym_block_comment,
  [683226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23313), 1,
      anon_sym_RPAREN,
    STATE(17956), 2,
      sym_comment,
      sym_block_comment,
  [683240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23315), 1,
      sym__outdent,
    STATE(17957), 2,
      sym_comment,
      sym_block_comment,
  [683254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23317), 1,
      anon_sym_RBRACE,
    STATE(17958), 2,
      sym_comment,
      sym_block_comment,
  [683268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23319), 1,
      anon_sym_RPAREN,
    STATE(17959), 2,
      sym_comment,
      sym_block_comment,
  [683282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23321), 1,
      anon_sym_else,
    STATE(17960), 2,
      sym_comment,
      sym_block_comment,
  [683296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23323), 1,
      anon_sym_RBRACE,
    STATE(17961), 2,
      sym_comment,
      sym_block_comment,
  [683310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23279), 1,
      anon_sym_RBRACE,
    STATE(17962), 2,
      sym_comment,
      sym_block_comment,
  [683324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23325), 1,
      anon_sym_LPAREN,
    STATE(17963), 2,
      sym_comment,
      sym_block_comment,
  [683338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23327), 1,
      anon_sym_else,
    STATE(17964), 2,
      sym_comment,
      sym_block_comment,
  [683352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23329), 1,
      anon_sym_do,
    STATE(17965), 2,
      sym_comment,
      sym_block_comment,
  [683366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23331), 1,
      sym__indent,
    STATE(17966), 2,
      sym_comment,
      sym_block_comment,
  [683380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23333), 1,
      sym__outdent,
    STATE(17967), 2,
      sym_comment,
      sym_block_comment,
  [683394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23335), 1,
      anon_sym_else,
    STATE(17968), 2,
      sym_comment,
      sym_block_comment,
  [683408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23337), 1,
      anon_sym_else,
    STATE(17969), 2,
      sym_comment,
      sym_block_comment,
  [683422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23339), 1,
      anon_sym_RPAREN,
    STATE(17970), 2,
      sym_comment,
      sym_block_comment,
  [683436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23341), 1,
      sym__outdent,
    STATE(17971), 2,
      sym_comment,
      sym_block_comment,
  [683450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23343), 1,
      anon_sym_RPAREN,
    STATE(17972), 2,
      sym_comment,
      sym_block_comment,
  [683464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23345), 1,
      anon_sym_else,
    STATE(17973), 2,
      sym_comment,
      sym_block_comment,
  [683478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23347), 1,
      anon_sym_EQ_GT,
    STATE(17974), 2,
      sym_comment,
      sym_block_comment,
  [683492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23349), 1,
      anon_sym_then,
    STATE(17975), 2,
      sym_comment,
      sym_block_comment,
  [683506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 1,
      sym__indent,
    STATE(17976), 2,
      sym_comment,
      sym_block_comment,
  [683520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23351), 1,
      sym__outdent,
    STATE(17977), 2,
      sym_comment,
      sym_block_comment,
  [683534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23353), 1,
      anon_sym_RPAREN,
    STATE(17978), 2,
      sym_comment,
      sym_block_comment,
  [683548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23355), 1,
      anon_sym_do,
    STATE(17979), 2,
      sym_comment,
      sym_block_comment,
  [683562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23357), 1,
      sym__outdent,
    STATE(17980), 2,
      sym_comment,
      sym_block_comment,
  [683576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23359), 1,
      sym__outdent,
    STATE(17981), 2,
      sym_comment,
      sym_block_comment,
  [683590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23361), 1,
      sym__outdent,
    STATE(17982), 2,
      sym_comment,
      sym_block_comment,
  [683604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23363), 1,
      anon_sym_RPAREN,
    STATE(17983), 2,
      sym_comment,
      sym_block_comment,
  [683618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23365), 1,
      sym__indent,
    STATE(17984), 2,
      sym_comment,
      sym_block_comment,
  [683632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23367), 1,
      anon_sym_RPAREN,
    STATE(17985), 2,
      sym_comment,
      sym_block_comment,
  [683646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23369), 1,
      anon_sym_RPAREN,
    STATE(17986), 2,
      sym_comment,
      sym_block_comment,
  [683660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23371), 1,
      anon_sym_RBRACE,
    STATE(17987), 2,
      sym_comment,
      sym_block_comment,
  [683674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23373), 1,
      anon_sym_RPAREN,
    STATE(17988), 2,
      sym_comment,
      sym_block_comment,
  [683688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23375), 1,
      sym__outdent,
    STATE(17989), 2,
      sym_comment,
      sym_block_comment,
  [683702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23377), 1,
      anon_sym_RBRACE,
    STATE(17990), 2,
      sym_comment,
      sym_block_comment,
  [683716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23379), 1,
      sym__indent,
    STATE(17991), 2,
      sym_comment,
      sym_block_comment,
  [683730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23377), 1,
      anon_sym_RPAREN,
    STATE(17992), 2,
      sym_comment,
      sym_block_comment,
  [683744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23381), 1,
      anon_sym_RPAREN,
    STATE(17993), 2,
      sym_comment,
      sym_block_comment,
  [683758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23383), 1,
      anon_sym_RBRACE,
    STATE(17994), 2,
      sym_comment,
      sym_block_comment,
  [683772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23385), 1,
      anon_sym_RBRACK,
    STATE(17995), 2,
      sym_comment,
      sym_block_comment,
  [683786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23385), 1,
      anon_sym_RBRACE,
    STATE(17996), 2,
      sym_comment,
      sym_block_comment,
  [683800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12535), 1,
      anon_sym_DOT,
    STATE(17997), 2,
      sym_comment,
      sym_block_comment,
  [683814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23387), 1,
      sym__indent,
    STATE(17998), 2,
      sym_comment,
      sym_block_comment,
  [683828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23389), 1,
      sym__outdent,
    STATE(17999), 2,
      sym_comment,
      sym_block_comment,
  [683842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23391), 1,
      anon_sym_RBRACK,
    STATE(18000), 2,
      sym_comment,
      sym_block_comment,
  [683856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23393), 1,
      anon_sym_RPAREN,
    STATE(18001), 2,
      sym_comment,
      sym_block_comment,
  [683870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23391), 1,
      anon_sym_RBRACE,
    STATE(18002), 2,
      sym_comment,
      sym_block_comment,
  [683884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23395), 1,
      anon_sym_RPAREN,
    STATE(18003), 2,
      sym_comment,
      sym_block_comment,
  [683898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7748), 1,
      anon_sym_with,
    STATE(18004), 2,
      sym_comment,
      sym_block_comment,
  [683912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23397), 1,
      sym__indent,
    STATE(18005), 2,
      sym_comment,
      sym_block_comment,
  [683926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23399), 1,
      sym__outdent,
    STATE(18006), 2,
      sym_comment,
      sym_block_comment,
  [683940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23401), 1,
      anon_sym_RPAREN,
    STATE(18007), 2,
      sym_comment,
      sym_block_comment,
  [683954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23403), 1,
      anon_sym_RPAREN,
    STATE(18008), 2,
      sym_comment,
      sym_block_comment,
  [683968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23401), 1,
      anon_sym_RBRACE,
    STATE(18009), 2,
      sym_comment,
      sym_block_comment,
  [683982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23405), 1,
      sym__outdent,
    STATE(18010), 2,
      sym_comment,
      sym_block_comment,
  [683996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23407), 1,
      anon_sym_RBRACE,
    STATE(18011), 2,
      sym_comment,
      sym_block_comment,
  [684010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23409), 1,
      sym__indent,
    STATE(18012), 2,
      sym_comment,
      sym_block_comment,
  [684024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23411), 1,
      anon_sym_else,
    STATE(18013), 2,
      sym_comment,
      sym_block_comment,
  [684038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23413), 1,
      sym__outdent,
    STATE(18014), 2,
      sym_comment,
      sym_block_comment,
  [684052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23415), 1,
      anon_sym_RPAREN,
    STATE(18015), 2,
      sym_comment,
      sym_block_comment,
  [684066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23417), 1,
      sym__outdent,
    STATE(18016), 2,
      sym_comment,
      sym_block_comment,
  [684080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23419), 1,
      anon_sym_else,
    STATE(18017), 2,
      sym_comment,
      sym_block_comment,
  [684094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23421), 1,
      anon_sym_RBRACE,
    STATE(18018), 2,
      sym_comment,
      sym_block_comment,
  [684108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23423), 1,
      sym__indent,
    STATE(18019), 2,
      sym_comment,
      sym_block_comment,
  [684122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23425), 1,
      sym__outdent,
    STATE(18020), 2,
      sym_comment,
      sym_block_comment,
  [684136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23427), 1,
      anon_sym_RPAREN,
    STATE(18021), 2,
      sym_comment,
      sym_block_comment,
  [684150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23429), 1,
      anon_sym_EQ_GT_GT,
    STATE(18022), 2,
      sym_comment,
      sym_block_comment,
  [684164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23431), 1,
      anon_sym_do,
    STATE(18023), 2,
      sym_comment,
      sym_block_comment,
  [684178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23433), 1,
      sym__outdent,
    STATE(18024), 2,
      sym_comment,
      sym_block_comment,
  [684192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23435), 1,
      anon_sym_with,
    STATE(18025), 2,
      sym_comment,
      sym_block_comment,
  [684206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23437), 1,
      sym__indent,
    STATE(18026), 2,
      sym_comment,
      sym_block_comment,
  [684220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23439), 1,
      anon_sym_RPAREN,
    STATE(18027), 2,
      sym_comment,
      sym_block_comment,
  [684234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9093), 1,
      anon_sym_DOT,
    STATE(18028), 2,
      sym_comment,
      sym_block_comment,
  [684248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23441), 1,
      anon_sym_COLON,
    STATE(18029), 2,
      sym_comment,
      sym_block_comment,
  [684262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23443), 1,
      anon_sym_EQ_GT_GT,
    STATE(18030), 2,
      sym_comment,
      sym_block_comment,
  [684276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23445), 1,
      anon_sym_do,
    STATE(18031), 2,
      sym_comment,
      sym_block_comment,
  [684290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23447), 1,
      anon_sym_do,
    STATE(18032), 2,
      sym_comment,
      sym_block_comment,
  [684304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23449), 1,
      sym__indent,
    STATE(18033), 2,
      sym_comment,
      sym_block_comment,
  [684318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23451), 1,
      anon_sym_EQ_GT_GT,
    STATE(18034), 2,
      sym_comment,
      sym_block_comment,
  [684332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23453), 1,
      anon_sym_RBRACE,
    STATE(18035), 2,
      sym_comment,
      sym_block_comment,
  [684346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23455), 1,
      anon_sym_RBRACE,
    STATE(18036), 2,
      sym_comment,
      sym_block_comment,
  [684360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23457), 1,
      sym__outdent,
    STATE(18037), 2,
      sym_comment,
      sym_block_comment,
  [684374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11754), 1,
      anon_sym_with,
    STATE(18038), 2,
      sym_comment,
      sym_block_comment,
  [684388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23459), 1,
      anon_sym_RBRACE,
    STATE(18039), 2,
      sym_comment,
      sym_block_comment,
  [684402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23461), 1,
      sym__indent,
    STATE(18040), 2,
      sym_comment,
      sym_block_comment,
  [684416] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23463), 1,
      anon_sym_RBRACE,
    STATE(18041), 2,
      sym_comment,
      sym_block_comment,
  [684430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23465), 1,
      anon_sym_EQ_GT_GT,
    STATE(18042), 2,
      sym_comment,
      sym_block_comment,
  [684444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23463), 1,
      anon_sym_RPAREN,
    STATE(18043), 2,
      sym_comment,
      sym_block_comment,
  [684458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23467), 1,
      sym__outdent,
    STATE(18044), 2,
      sym_comment,
      sym_block_comment,
  [684472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23469), 1,
      anon_sym_RPAREN,
    STATE(18045), 2,
      sym_comment,
      sym_block_comment,
  [684486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23471), 1,
      anon_sym_RPAREN,
    STATE(18046), 2,
      sym_comment,
      sym_block_comment,
  [684500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23473), 1,
      sym__indent,
    STATE(18047), 2,
      sym_comment,
      sym_block_comment,
  [684514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23475), 1,
      sym__outdent,
    STATE(18048), 2,
      sym_comment,
      sym_block_comment,
  [684528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23477), 1,
      anon_sym_else,
    STATE(18049), 2,
      sym_comment,
      sym_block_comment,
  [684542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23479), 1,
      sym__outdent,
    STATE(18050), 2,
      sym_comment,
      sym_block_comment,
  [684556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23481), 1,
      sym__outdent,
    STATE(18051), 2,
      sym_comment,
      sym_block_comment,
  [684570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23483), 1,
      sym__outdent,
    STATE(18052), 2,
      sym_comment,
      sym_block_comment,
  [684584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23485), 1,
      anon_sym_RPAREN,
    STATE(18053), 2,
      sym_comment,
      sym_block_comment,
  [684598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23487), 1,
      sym__indent,
    STATE(18054), 2,
      sym_comment,
      sym_block_comment,
  [684612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23489), 1,
      anon_sym_else,
    STATE(18055), 2,
      sym_comment,
      sym_block_comment,
  [684626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23491), 1,
      anon_sym_RBRACE,
    STATE(18056), 2,
      sym_comment,
      sym_block_comment,
  [684640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23493), 1,
      anon_sym_RPAREN,
    STATE(18057), 2,
      sym_comment,
      sym_block_comment,
  [684654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23495), 1,
      anon_sym_else,
    STATE(18058), 2,
      sym_comment,
      sym_block_comment,
  [684668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23497), 1,
      anon_sym_EQ_GT_GT,
    STATE(18059), 2,
      sym_comment,
      sym_block_comment,
  [684682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23499), 1,
      sym__outdent,
    STATE(18060), 2,
      sym_comment,
      sym_block_comment,
  [684696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23501), 1,
      sym__indent,
    STATE(18061), 2,
      sym_comment,
      sym_block_comment,
  [684710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23503), 1,
      anon_sym_else,
    STATE(18062), 2,
      sym_comment,
      sym_block_comment,
  [684724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23505), 1,
      anon_sym_EQ_GT_GT,
    STATE(18063), 2,
      sym_comment,
      sym_block_comment,
  [684738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23507), 1,
      sym__outdent,
    STATE(18064), 2,
      sym_comment,
      sym_block_comment,
  [684752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23509), 1,
      sym__outdent,
    STATE(18065), 2,
      sym_comment,
      sym_block_comment,
  [684766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23511), 1,
      anon_sym_RPAREN,
    STATE(18066), 2,
      sym_comment,
      sym_block_comment,
  [684780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23513), 1,
      anon_sym_do,
    STATE(18067), 2,
      sym_comment,
      sym_block_comment,
  [684794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23515), 1,
      sym__indent,
    STATE(18068), 2,
      sym_comment,
      sym_block_comment,
  [684808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23517), 1,
      anon_sym_EQ_GT_GT,
    STATE(18069), 2,
      sym_comment,
      sym_block_comment,
  [684822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23519), 1,
      anon_sym_RPAREN,
    STATE(18070), 2,
      sym_comment,
      sym_block_comment,
  [684836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23521), 1,
      sym__outdent,
    STATE(18071), 2,
      sym_comment,
      sym_block_comment,
  [684850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23523), 1,
      anon_sym_RPAREN,
    STATE(18072), 2,
      sym_comment,
      sym_block_comment,
  [684864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23525), 1,
      anon_sym_EQ_GT_GT,
    STATE(18073), 2,
      sym_comment,
      sym_block_comment,
  [684878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23527), 1,
      anon_sym_RBRACE,
    STATE(18074), 2,
      sym_comment,
      sym_block_comment,
  [684892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23529), 1,
      sym__indent,
    STATE(18075), 2,
      sym_comment,
      sym_block_comment,
  [684906] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23531), 1,
      anon_sym_RBRACE,
    STATE(18076), 2,
      sym_comment,
      sym_block_comment,
  [684920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22889), 1,
      anon_sym_RBRACE,
    STATE(18077), 2,
      sym_comment,
      sym_block_comment,
  [684934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23533), 1,
      sym__outdent,
    STATE(18078), 2,
      sym_comment,
      sym_block_comment,
  [684948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23535), 1,
      anon_sym_RBRACK,
    STATE(18079), 2,
      sym_comment,
      sym_block_comment,
  [684962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23535), 1,
      anon_sym_RBRACE,
    STATE(18080), 2,
      sym_comment,
      sym_block_comment,
  [684976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23537), 1,
      sym__indent,
    STATE(18081), 2,
      sym_comment,
      sym_block_comment,
  [684990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23539), 1,
      anon_sym_RBRACE,
    STATE(18082), 2,
      sym_comment,
      sym_block_comment,
  [685004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23541), 1,
      anon_sym_RBRACK,
    STATE(18083), 2,
      sym_comment,
      sym_block_comment,
  [685018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23539), 1,
      anon_sym_RPAREN,
    STATE(18084), 2,
      sym_comment,
      sym_block_comment,
  [685032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23541), 1,
      anon_sym_RBRACE,
    STATE(18085), 2,
      sym_comment,
      sym_block_comment,
  [685046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23543), 1,
      anon_sym_RPAREN,
    STATE(18086), 2,
      sym_comment,
      sym_block_comment,
  [685060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23545), 1,
      sym__indent,
    STATE(18087), 2,
      sym_comment,
      sym_block_comment,
  [685074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23547), 1,
      sym__outdent,
    STATE(18088), 2,
      sym_comment,
      sym_block_comment,
  [685088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23549), 1,
      anon_sym_RPAREN,
    STATE(18089), 2,
      sym_comment,
      sym_block_comment,
  [685102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23551), 1,
      anon_sym_RPAREN,
    STATE(18090), 2,
      sym_comment,
      sym_block_comment,
  [685116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23549), 1,
      anon_sym_RBRACE,
    STATE(18091), 2,
      sym_comment,
      sym_block_comment,
  [685130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23553), 1,
      sym__outdent,
    STATE(18092), 2,
      sym_comment,
      sym_block_comment,
  [685144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23555), 1,
      sym__indent,
    STATE(18093), 2,
      sym_comment,
      sym_block_comment,
  [685158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23557), 1,
      sym__outdent,
    STATE(18094), 2,
      sym_comment,
      sym_block_comment,
  [685172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23559), 1,
      anon_sym_RPAREN,
    STATE(18095), 2,
      sym_comment,
      sym_block_comment,
  [685186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23561), 1,
      anon_sym_else,
    STATE(18096), 2,
      sym_comment,
      sym_block_comment,
  [685200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23563), 1,
      sym__outdent,
    STATE(18097), 2,
      sym_comment,
      sym_block_comment,
  [685214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23565), 1,
      anon_sym_EQ_GT,
    STATE(18098), 2,
      sym_comment,
      sym_block_comment,
  [685228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23567), 1,
      sym__indent,
    STATE(18099), 2,
      sym_comment,
      sym_block_comment,
  [685242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23569), 1,
      anon_sym_RBRACE,
    STATE(18100), 2,
      sym_comment,
      sym_block_comment,
  [685256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23571), 1,
      anon_sym_RBRACE,
    STATE(18101), 2,
      sym_comment,
      sym_block_comment,
  [685270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23573), 1,
      sym__outdent,
    STATE(18102), 2,
      sym_comment,
      sym_block_comment,
  [685284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23575), 1,
      anon_sym_else,
    STATE(18103), 2,
      sym_comment,
      sym_block_comment,
  [685298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23577), 1,
      anon_sym_RBRACE,
    STATE(18104), 2,
      sym_comment,
      sym_block_comment,
  [685312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23579), 1,
      sym__indent,
    STATE(18105), 2,
      sym_comment,
      sym_block_comment,
  [685326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23581), 1,
      anon_sym_RPAREN,
    STATE(18106), 2,
      sym_comment,
      sym_block_comment,
  [685340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23583), 1,
      anon_sym_RBRACE,
    STATE(18107), 2,
      sym_comment,
      sym_block_comment,
  [685354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23585), 1,
      sym__outdent,
    STATE(18108), 2,
      sym_comment,
      sym_block_comment,
  [685368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23587), 1,
      anon_sym_RPAREN,
    STATE(18109), 2,
      sym_comment,
      sym_block_comment,
  [685382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23589), 1,
      anon_sym_RBRACE,
    STATE(18110), 2,
      sym_comment,
      sym_block_comment,
  [685396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23591), 1,
      sym__indent,
    STATE(18111), 2,
      sym_comment,
      sym_block_comment,
  [685410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23593), 1,
      anon_sym_RPAREN,
    STATE(18112), 2,
      sym_comment,
      sym_block_comment,
  [685424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23595), 1,
      sym__outdent,
    STATE(18113), 2,
      sym_comment,
      sym_block_comment,
  [685438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23597), 1,
      anon_sym_RPAREN,
    STATE(18114), 2,
      sym_comment,
      sym_block_comment,
  [685452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23599), 1,
      anon_sym_RBRACK,
    STATE(18115), 2,
      sym_comment,
      sym_block_comment,
  [685466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23601), 1,
      anon_sym_RPAREN,
    STATE(18116), 2,
      sym_comment,
      sym_block_comment,
  [685480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23603), 1,
      sym__indent,
    STATE(18117), 2,
      sym_comment,
      sym_block_comment,
  [685494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23605), 1,
      anon_sym_RBRACE,
    STATE(18118), 2,
      sym_comment,
      sym_block_comment,
  [685508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23367), 1,
      anon_sym_RBRACE,
    STATE(18119), 2,
      sym_comment,
      sym_block_comment,
  [685522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23607), 1,
      anon_sym_RPAREN,
    STATE(18120), 2,
      sym_comment,
      sym_block_comment,
  [685536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23609), 1,
      anon_sym_COLON,
    STATE(18121), 2,
      sym_comment,
      sym_block_comment,
  [685550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23611), 1,
      sym__outdent,
    STATE(18122), 2,
      sym_comment,
      sym_block_comment,
  [685564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23613), 1,
      sym__indent,
    STATE(18123), 2,
      sym_comment,
      sym_block_comment,
  [685578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23615), 1,
      sym__outdent,
    STATE(18124), 2,
      sym_comment,
      sym_block_comment,
  [685592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23617), 1,
      anon_sym_do,
    STATE(18125), 2,
      sym_comment,
      sym_block_comment,
  [685606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23619), 1,
      anon_sym_RBRACE,
    STATE(18126), 2,
      sym_comment,
      sym_block_comment,
  [685620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23621), 1,
      anon_sym_RBRACE,
    STATE(18127), 2,
      sym_comment,
      sym_block_comment,
  [685634] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23623), 1,
      sym__outdent,
    STATE(18128), 2,
      sym_comment,
      sym_block_comment,
  [685648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23625), 1,
      sym__indent,
    STATE(18129), 2,
      sym_comment,
      sym_block_comment,
  [685662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23627), 1,
      sym__outdent,
    STATE(18130), 2,
      sym_comment,
      sym_block_comment,
  [685676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23629), 1,
      anon_sym_RPAREN,
    STATE(18131), 2,
      sym_comment,
      sym_block_comment,
  [685690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23631), 1,
      anon_sym_RPAREN,
    STATE(18132), 2,
      sym_comment,
      sym_block_comment,
  [685704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23633), 1,
      sym__outdent,
    STATE(18133), 2,
      sym_comment,
      sym_block_comment,
  [685718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23635), 1,
      anon_sym_RBRACE,
    STATE(18134), 2,
      sym_comment,
      sym_block_comment,
  [685732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23637), 1,
      sym__indent,
    STATE(18135), 2,
      sym_comment,
      sym_block_comment,
  [685746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23639), 1,
      anon_sym_RPAREN,
    STATE(18136), 2,
      sym_comment,
      sym_block_comment,
  [685760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10902), 1,
      anon_sym_DOT,
    STATE(18137), 2,
      sym_comment,
      sym_block_comment,
  [685774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23641), 1,
      sym__outdent,
    STATE(18138), 2,
      sym_comment,
      sym_block_comment,
  [685788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23643), 1,
      anon_sym_RBRACE,
    STATE(18139), 2,
      sym_comment,
      sym_block_comment,
  [685802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23645), 1,
      anon_sym_RPAREN,
    STATE(18140), 2,
      sym_comment,
      sym_block_comment,
  [685816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23647), 1,
      sym__indent,
    STATE(18141), 2,
      sym_comment,
      sym_block_comment,
  [685830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23649), 1,
      sym__outdent,
    STATE(18142), 2,
      sym_comment,
      sym_block_comment,
  [685844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23651), 1,
      anon_sym_do,
    STATE(18143), 2,
      sym_comment,
      sym_block_comment,
  [685858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23653), 1,
      anon_sym_RBRACE,
    STATE(18144), 2,
      sym_comment,
      sym_block_comment,
  [685872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23655), 1,
      anon_sym_RBRACE,
    STATE(18145), 2,
      sym_comment,
      sym_block_comment,
  [685886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23657), 1,
      sym__outdent,
    STATE(18146), 2,
      sym_comment,
      sym_block_comment,
  [685900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23659), 1,
      sym__indent,
    STATE(18147), 2,
      sym_comment,
      sym_block_comment,
  [685914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23661), 1,
      sym__outdent,
    STATE(18148), 2,
      sym_comment,
      sym_block_comment,
  [685928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23663), 1,
      sym__outdent,
    STATE(18149), 2,
      sym_comment,
      sym_block_comment,
  [685942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23665), 1,
      sym__outdent,
    STATE(18150), 2,
      sym_comment,
      sym_block_comment,
  [685956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23667), 1,
      anon_sym_RPAREN,
    STATE(18151), 2,
      sym_comment,
      sym_block_comment,
  [685970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23655), 1,
      anon_sym_RPAREN,
    STATE(18152), 2,
      sym_comment,
      sym_block_comment,
  [685984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23669), 1,
      sym__indent,
    STATE(18153), 2,
      sym_comment,
      sym_block_comment,
  [685998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23671), 1,
      anon_sym_RPAREN,
    STATE(18154), 2,
      sym_comment,
      sym_block_comment,
  [686012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23673), 1,
      anon_sym_RBRACE,
    STATE(18155), 2,
      sym_comment,
      sym_block_comment,
  [686026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23675), 1,
      sym__outdent,
    STATE(18156), 2,
      sym_comment,
      sym_block_comment,
  [686040] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23677), 1,
      anon_sym_RPAREN,
    STATE(18157), 2,
      sym_comment,
      sym_block_comment,
  [686054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23679), 1,
      anon_sym_using,
    STATE(18158), 2,
      sym_comment,
      sym_block_comment,
  [686068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23681), 1,
      sym__indent,
    STATE(18159), 2,
      sym_comment,
      sym_block_comment,
  [686082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23683), 1,
      sym__outdent,
    STATE(18160), 2,
      sym_comment,
      sym_block_comment,
  [686096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23685), 1,
      anon_sym_RBRACE,
    STATE(18161), 2,
      sym_comment,
      sym_block_comment,
  [686110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23687), 1,
      anon_sym_RPAREN,
    STATE(18162), 2,
      sym_comment,
      sym_block_comment,
  [686124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23689), 1,
      anon_sym_else,
    STATE(18163), 2,
      sym_comment,
      sym_block_comment,
  [686138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23691), 1,
      anon_sym_do,
    STATE(18164), 2,
      sym_comment,
      sym_block_comment,
  [686152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23693), 1,
      sym__indent,
    STATE(18165), 2,
      sym_comment,
      sym_block_comment,
  [686166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23695), 1,
      sym__outdent,
    STATE(18166), 2,
      sym_comment,
      sym_block_comment,
  [686180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23697), 1,
      anon_sym_RBRACE,
    STATE(18167), 2,
      sym_comment,
      sym_block_comment,
  [686194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23699), 1,
      sym__outdent,
    STATE(18168), 2,
      sym_comment,
      sym_block_comment,
  [686208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23701), 1,
      sym__outdent,
    STATE(18169), 2,
      sym_comment,
      sym_block_comment,
  [686222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23703), 1,
      anon_sym_COLON,
    STATE(18170), 2,
      sym_comment,
      sym_block_comment,
  [686236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23705), 1,
      sym__indent,
    STATE(18171), 2,
      sym_comment,
      sym_block_comment,
  [686250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23707), 1,
      anon_sym_RPAREN,
    STATE(18172), 2,
      sym_comment,
      sym_block_comment,
  [686264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23709), 1,
      anon_sym_RPAREN,
    STATE(18173), 2,
      sym_comment,
      sym_block_comment,
  [686278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23711), 1,
      sym__outdent,
    STATE(18174), 2,
      sym_comment,
      sym_block_comment,
  [686292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23713), 1,
      sym__outdent,
    STATE(18175), 2,
      sym_comment,
      sym_block_comment,
  [686306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23715), 1,
      anon_sym_RPAREN,
    STATE(18176), 2,
      sym_comment,
      sym_block_comment,
  [686320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23717), 1,
      sym__indent,
    STATE(18177), 2,
      sym_comment,
      sym_block_comment,
  [686334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23719), 1,
      sym__outdent,
    STATE(18178), 2,
      sym_comment,
      sym_block_comment,
  [686348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23721), 1,
      anon_sym_RBRACE,
    STATE(18179), 2,
      sym_comment,
      sym_block_comment,
  [686362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23723), 1,
      anon_sym_RBRACE,
    STATE(18180), 2,
      sym_comment,
      sym_block_comment,
  [686376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23725), 1,
      anon_sym_RPAREN,
    STATE(18181), 2,
      sym_comment,
      sym_block_comment,
  [686390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23727), 1,
      anon_sym_RBRACE,
    STATE(18182), 2,
      sym_comment,
      sym_block_comment,
  [686404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23729), 1,
      sym__indent,
    STATE(18183), 2,
      sym_comment,
      sym_block_comment,
  [686418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23731), 1,
      sym__outdent,
    STATE(18184), 2,
      sym_comment,
      sym_block_comment,
  [686432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23733), 1,
      anon_sym_RPAREN,
    STATE(18185), 2,
      sym_comment,
      sym_block_comment,
  [686446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23735), 1,
      anon_sym_RBRACE,
    STATE(18186), 2,
      sym_comment,
      sym_block_comment,
  [686460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23737), 1,
      sym__outdent,
    STATE(18187), 2,
      sym_comment,
      sym_block_comment,
  [686474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23739), 1,
      sym__outdent,
    STATE(18188), 2,
      sym_comment,
      sym_block_comment,
  [686488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23741), 1,
      sym__indent,
    STATE(18189), 2,
      sym_comment,
      sym_block_comment,
  [686502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23743), 1,
      sym__outdent,
    STATE(18190), 2,
      sym_comment,
      sym_block_comment,
  [686516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23745), 1,
      anon_sym_EQ,
    STATE(18191), 2,
      sym_comment,
      sym_block_comment,
  [686530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23747), 1,
      anon_sym_RPAREN,
    STATE(18192), 2,
      sym_comment,
      sym_block_comment,
  [686544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23749), 1,
      anon_sym_EQ,
    STATE(18193), 2,
      sym_comment,
      sym_block_comment,
  [686558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23751), 1,
      sym__outdent,
    STATE(18194), 2,
      sym_comment,
      sym_block_comment,
  [686572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23753), 1,
      sym__indent,
    STATE(18195), 2,
      sym_comment,
      sym_block_comment,
  [686586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23755), 1,
      anon_sym_RPAREN,
    STATE(18196), 2,
      sym_comment,
      sym_block_comment,
  [686600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23757), 1,
      sym__outdent,
    STATE(18197), 2,
      sym_comment,
      sym_block_comment,
  [686614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23759), 1,
      anon_sym_RBRACE,
    STATE(18198), 2,
      sym_comment,
      sym_block_comment,
  [686628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23761), 1,
      anon_sym_else,
    STATE(18199), 2,
      sym_comment,
      sym_block_comment,
  [686642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23763), 1,
      anon_sym_RPAREN,
    STATE(18200), 2,
      sym_comment,
      sym_block_comment,
  [686656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23765), 1,
      sym__indent,
    STATE(18201), 2,
      sym_comment,
      sym_block_comment,
  [686670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23767), 1,
      sym__outdent,
    STATE(18202), 2,
      sym_comment,
      sym_block_comment,
  [686684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23727), 1,
      anon_sym_RBRACK,
    STATE(18203), 2,
      sym_comment,
      sym_block_comment,
  [686698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23769), 1,
      sym__outdent,
    STATE(18204), 2,
      sym_comment,
      sym_block_comment,
  [686712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23771), 1,
      sym__outdent,
    STATE(18205), 2,
      sym_comment,
      sym_block_comment,
  [686726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7762), 1,
      anon_sym_type,
    STATE(18206), 2,
      sym_comment,
      sym_block_comment,
  [686740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23773), 1,
      sym__indent,
    STATE(18207), 2,
      sym_comment,
      sym_block_comment,
  [686754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23775), 1,
      sym__outdent,
    STATE(18208), 2,
      sym_comment,
      sym_block_comment,
  [686768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23777), 1,
      anon_sym_RPAREN,
    STATE(18209), 2,
      sym_comment,
      sym_block_comment,
  [686782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23779), 1,
      anon_sym_RPAREN,
    STATE(18210), 2,
      sym_comment,
      sym_block_comment,
  [686796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23781), 1,
      sym__outdent,
    STATE(18211), 2,
      sym_comment,
      sym_block_comment,
  [686810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23783), 1,
      sym__outdent,
    STATE(18212), 2,
      sym_comment,
      sym_block_comment,
  [686824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23785), 1,
      sym__indent,
    STATE(18213), 2,
      sym_comment,
      sym_block_comment,
  [686838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23787), 1,
      anon_sym_RPAREN,
    STATE(18214), 2,
      sym_comment,
      sym_block_comment,
  [686852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23789), 1,
      sym__outdent,
    STATE(18215), 2,
      sym_comment,
      sym_block_comment,
  [686866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23791), 1,
      anon_sym_RBRACE,
    STATE(18216), 2,
      sym_comment,
      sym_block_comment,
  [686880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23793), 1,
      sym__outdent,
    STATE(18217), 2,
      sym_comment,
      sym_block_comment,
  [686894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23795), 1,
      anon_sym_RPAREN,
    STATE(18218), 2,
      sym_comment,
      sym_block_comment,
  [686908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23797), 1,
      sym__indent,
    STATE(18219), 2,
      sym_comment,
      sym_block_comment,
  [686922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23799), 1,
      sym__outdent,
    STATE(18220), 2,
      sym_comment,
      sym_block_comment,
  [686936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23801), 1,
      anon_sym_RPAREN,
    STATE(18221), 2,
      sym_comment,
      sym_block_comment,
  [686950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23803), 1,
      anon_sym_RBRACE,
    STATE(18222), 2,
      sym_comment,
      sym_block_comment,
  [686964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23805), 1,
      sym__outdent,
    STATE(18223), 2,
      sym_comment,
      sym_block_comment,
  [686978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23807), 1,
      sym__outdent,
    STATE(18224), 2,
      sym_comment,
      sym_block_comment,
  [686992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23809), 1,
      sym__indent,
    STATE(18225), 2,
      sym_comment,
      sym_block_comment,
  [687006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23811), 1,
      anon_sym_RPAREN,
    STATE(18226), 2,
      sym_comment,
      sym_block_comment,
  [687020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23813), 1,
      anon_sym_RBRACE,
    STATE(18227), 2,
      sym_comment,
      sym_block_comment,
  [687034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23815), 1,
      sym__outdent,
    STATE(18228), 2,
      sym_comment,
      sym_block_comment,
  [687048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23817), 1,
      anon_sym_RPAREN,
    STATE(18229), 2,
      sym_comment,
      sym_block_comment,
  [687062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23819), 1,
      ts_builtin_sym_end,
    STATE(18230), 2,
      sym_comment,
      sym_block_comment,
  [687076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23821), 1,
      sym__indent,
    STATE(18231), 2,
      sym_comment,
      sym_block_comment,
  [687090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23823), 1,
      sym__outdent,
    STATE(18232), 2,
      sym_comment,
      sym_block_comment,
  [687104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23825), 1,
      anon_sym_RBRACE,
    STATE(18233), 2,
      sym_comment,
      sym_block_comment,
  [687118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23827), 1,
      anon_sym_RPAREN,
    STATE(18234), 2,
      sym_comment,
      sym_block_comment,
  [687132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23599), 1,
      anon_sym_RBRACE,
    STATE(18235), 2,
      sym_comment,
      sym_block_comment,
  [687146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23829), 1,
      anon_sym_RBRACK,
    STATE(18236), 2,
      sym_comment,
      sym_block_comment,
  [687160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23831), 1,
      sym__indent,
    STATE(18237), 2,
      sym_comment,
      sym_block_comment,
  [687174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23833), 1,
      sym__outdent,
    STATE(18238), 2,
      sym_comment,
      sym_block_comment,
  [687188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23829), 1,
      anon_sym_RBRACE,
    STATE(18239), 2,
      sym_comment,
      sym_block_comment,
  [687202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23835), 1,
      anon_sym_RBRACE,
    STATE(18240), 2,
      sym_comment,
      sym_block_comment,
  [687216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23837), 1,
      anon_sym_RBRACK,
    STATE(18241), 2,
      sym_comment,
      sym_block_comment,
  [687230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23837), 1,
      anon_sym_RBRACE,
    STATE(18242), 2,
      sym_comment,
      sym_block_comment,
  [687244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23839), 1,
      sym__indent,
    STATE(18243), 2,
      sym_comment,
      sym_block_comment,
  [687258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23841), 1,
      sym__outdent,
    STATE(18244), 2,
      sym_comment,
      sym_block_comment,
  [687272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23843), 1,
      anon_sym_EQ_GT_GT,
    STATE(18245), 2,
      sym_comment,
      sym_block_comment,
  [687286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23845), 1,
      sym__outdent,
    STATE(18246), 2,
      sym_comment,
      sym_block_comment,
  [687300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23847), 1,
      anon_sym_RPAREN,
    STATE(18247), 2,
      sym_comment,
      sym_block_comment,
  [687314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23847), 1,
      anon_sym_RBRACE,
    STATE(18248), 2,
      sym_comment,
      sym_block_comment,
  [687328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23849), 1,
      sym__indent,
    STATE(18249), 2,
      sym_comment,
      sym_block_comment,
  [687342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23851), 1,
      anon_sym_RPAREN,
    STATE(18250), 2,
      sym_comment,
      sym_block_comment,
  [687356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23853), 1,
      anon_sym_RPAREN,
    STATE(18251), 2,
      sym_comment,
      sym_block_comment,
  [687370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23855), 1,
      sym__outdent,
    STATE(18252), 2,
      sym_comment,
      sym_block_comment,
  [687384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23857), 1,
      sym__outdent,
    STATE(18253), 2,
      sym_comment,
      sym_block_comment,
  [687398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23859), 1,
      anon_sym_RBRACE,
    STATE(18254), 2,
      sym_comment,
      sym_block_comment,
  [687412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23861), 1,
      sym__indent,
    STATE(18255), 2,
      sym_comment,
      sym_block_comment,
  [687426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23863), 1,
      anon_sym_RPAREN,
    STATE(18256), 2,
      sym_comment,
      sym_block_comment,
  [687440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23865), 1,
      sym__outdent,
    STATE(18257), 2,
      sym_comment,
      sym_block_comment,
  [687454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23867), 1,
      anon_sym_RBRACE,
    STATE(18258), 2,
      sym_comment,
      sym_block_comment,
  [687468] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23869), 1,
      anon_sym_RPAREN,
    STATE(18259), 2,
      sym_comment,
      sym_block_comment,
  [687482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23871), 1,
      sym__outdent,
    STATE(18260), 2,
      sym_comment,
      sym_block_comment,
  [687496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23873), 1,
      sym__indent,
    STATE(18261), 2,
      sym_comment,
      sym_block_comment,
  [687510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23875), 1,
      anon_sym_RBRACE,
    STATE(18262), 2,
      sym_comment,
      sym_block_comment,
  [687524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23877), 1,
      anon_sym_RBRACE,
    STATE(18263), 2,
      sym_comment,
      sym_block_comment,
  [687538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23879), 1,
      sym__outdent,
    STATE(18264), 2,
      sym_comment,
      sym_block_comment,
  [687552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23859), 1,
      anon_sym_RPAREN,
    STATE(18265), 2,
      sym_comment,
      sym_block_comment,
  [687566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23881), 1,
      sym__outdent,
    STATE(18266), 2,
      sym_comment,
      sym_block_comment,
  [687580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23883), 1,
      sym__indent,
    STATE(18267), 2,
      sym_comment,
      sym_block_comment,
  [687594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23885), 1,
      anon_sym_RPAREN,
    STATE(18268), 2,
      sym_comment,
      sym_block_comment,
  [687608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23887), 1,
      anon_sym_RPAREN,
    STATE(18269), 2,
      sym_comment,
      sym_block_comment,
  [687622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23889), 1,
      sym__outdent,
    STATE(18270), 2,
      sym_comment,
      sym_block_comment,
  [687636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23891), 1,
      anon_sym_RBRACK,
    STATE(18271), 2,
      sym_comment,
      sym_block_comment,
  [687650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23893), 1,
      anon_sym_RPAREN,
    STATE(18272), 2,
      sym_comment,
      sym_block_comment,
  [687664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23895), 1,
      sym__indent,
    STATE(18273), 2,
      sym_comment,
      sym_block_comment,
  [687678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23897), 1,
      sym__outdent,
    STATE(18274), 2,
      sym_comment,
      sym_block_comment,
  [687692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22971), 1,
      anon_sym_RBRACE,
    STATE(18275), 2,
      sym_comment,
      sym_block_comment,
  [687706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23899), 1,
      anon_sym_RBRACE,
    STATE(18276), 2,
      sym_comment,
      sym_block_comment,
  [687720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23901), 1,
      anon_sym_RPAREN,
    STATE(18277), 2,
      sym_comment,
      sym_block_comment,
  [687734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23903), 1,
      anon_sym_RBRACE,
    STATE(18278), 2,
      sym_comment,
      sym_block_comment,
  [687748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23905), 1,
      sym__indent,
    STATE(18279), 2,
      sym_comment,
      sym_block_comment,
  [687762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23907), 1,
      sym__outdent,
    STATE(18280), 2,
      sym_comment,
      sym_block_comment,
  [687776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23909), 1,
      anon_sym_RPAREN,
    STATE(18281), 2,
      sym_comment,
      sym_block_comment,
  [687790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23911), 1,
      anon_sym_RBRACE,
    STATE(18282), 2,
      sym_comment,
      sym_block_comment,
  [687804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23903), 1,
      anon_sym_RBRACK,
    STATE(18283), 2,
      sym_comment,
      sym_block_comment,
  [687818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23913), 1,
      anon_sym_RBRACE,
    STATE(18284), 2,
      sym_comment,
      sym_block_comment,
  [687832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23915), 1,
      sym__indent,
    STATE(18285), 2,
      sym_comment,
      sym_block_comment,
  [687846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23917), 1,
      sym__outdent,
    STATE(18286), 2,
      sym_comment,
      sym_block_comment,
  [687860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9062), 1,
      anon_sym_DOT,
    STATE(18287), 2,
      sym_comment,
      sym_block_comment,
  [687874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23919), 1,
      sym__outdent,
    STATE(18288), 2,
      sym_comment,
      sym_block_comment,
  [687888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23921), 1,
      anon_sym_COLON,
    STATE(18289), 2,
      sym_comment,
      sym_block_comment,
  [687902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23923), 1,
      anon_sym_do,
    STATE(18290), 2,
      sym_comment,
      sym_block_comment,
  [687916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23925), 1,
      sym__indent,
    STATE(18291), 2,
      sym_comment,
      sym_block_comment,
  [687930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23927), 1,
      anon_sym_RPAREN,
    STATE(18292), 2,
      sym_comment,
      sym_block_comment,
  [687944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23913), 1,
      anon_sym_RBRACK,
    STATE(18293), 2,
      sym_comment,
      sym_block_comment,
  [687958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23929), 1,
      anon_sym_RPAREN,
    STATE(18294), 2,
      sym_comment,
      sym_block_comment,
  [687972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23931), 1,
      anon_sym_RPAREN,
    STATE(18295), 2,
      sym_comment,
      sym_block_comment,
  [687986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23933), 1,
      sym__outdent,
    STATE(18296), 2,
      sym_comment,
      sym_block_comment,
  [688000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23935), 1,
      sym__indent,
    STATE(18297), 2,
      sym_comment,
      sym_block_comment,
  [688014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23937), 1,
      sym__outdent,
    STATE(18298), 2,
      sym_comment,
      sym_block_comment,
  [688028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23939), 1,
      anon_sym_else,
    STATE(18299), 2,
      sym_comment,
      sym_block_comment,
  [688042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23941), 1,
      anon_sym_RPAREN,
    STATE(18300), 2,
      sym_comment,
      sym_block_comment,
  [688056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23943), 1,
      sym__outdent,
    STATE(18301), 2,
      sym_comment,
      sym_block_comment,
  [688070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23945), 1,
      anon_sym_RBRACE,
    STATE(18302), 2,
      sym_comment,
      sym_block_comment,
  [688084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23947), 1,
      sym__indent,
    STATE(18303), 2,
      sym_comment,
      sym_block_comment,
  [688098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23949), 1,
      anon_sym_RBRACE,
    STATE(18304), 2,
      sym_comment,
      sym_block_comment,
  [688112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23951), 1,
      anon_sym_EQ_GT_GT,
    STATE(18305), 2,
      sym_comment,
      sym_block_comment,
  [688126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23953), 1,
      anon_sym_RPAREN,
    STATE(18306), 2,
      sym_comment,
      sym_block_comment,
  [688140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23955), 1,
      sym__outdent,
    STATE(18307), 2,
      sym_comment,
      sym_block_comment,
  [688154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23957), 1,
      sym__indent,
    STATE(18308), 2,
      sym_comment,
      sym_block_comment,
  [688168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23959), 1,
      anon_sym_RBRACE,
    STATE(18309), 2,
      sym_comment,
      sym_block_comment,
  [688182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23961), 1,
      sym__outdent,
    STATE(18310), 2,
      sym_comment,
      sym_block_comment,
  [688196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23963), 1,
      anon_sym_RPAREN,
    STATE(18311), 2,
      sym_comment,
      sym_block_comment,
  [688210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23965), 1,
      sym__outdent,
    STATE(18312), 2,
      sym_comment,
      sym_block_comment,
  [688224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23967), 1,
      sym__indent,
    STATE(18313), 2,
      sym_comment,
      sym_block_comment,
  [688238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23969), 1,
      sym__outdent,
    STATE(18314), 2,
      sym_comment,
      sym_block_comment,
  [688252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23971), 1,
      anon_sym_RPAREN,
    STATE(18315), 2,
      sym_comment,
      sym_block_comment,
  [688266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23973), 1,
      anon_sym_RPAREN,
    STATE(18316), 2,
      sym_comment,
      sym_block_comment,
  [688280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23975), 1,
      anon_sym_RPAREN,
    STATE(18317), 2,
      sym_comment,
      sym_block_comment,
  [688294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23977), 1,
      sym__indent,
    STATE(18318), 2,
      sym_comment,
      sym_block_comment,
  [688308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23979), 1,
      sym__outdent,
    STATE(18319), 2,
      sym_comment,
      sym_block_comment,
  [688322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23981), 1,
      anon_sym_RBRACE,
    STATE(18320), 2,
      sym_comment,
      sym_block_comment,
  [688336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23983), 1,
      anon_sym_RPAREN,
    STATE(18321), 2,
      sym_comment,
      sym_block_comment,
  [688350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23985), 1,
      anon_sym_RPAREN,
    STATE(18322), 2,
      sym_comment,
      sym_block_comment,
  [688364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23987), 1,
      sym__indent,
    STATE(18323), 2,
      sym_comment,
      sym_block_comment,
  [688378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23989), 1,
      anon_sym_RBRACE,
    STATE(18324), 2,
      sym_comment,
      sym_block_comment,
  [688392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23991), 1,
      sym__outdent,
    STATE(18325), 2,
      sym_comment,
      sym_block_comment,
  [688406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23993), 1,
      anon_sym_RPAREN,
    STATE(18326), 2,
      sym_comment,
      sym_block_comment,
  [688420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23995), 1,
      anon_sym_EQ_GT,
    STATE(18327), 2,
      sym_comment,
      sym_block_comment,
  [688434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23997), 1,
      sym__indent,
    STATE(18328), 2,
      sym_comment,
      sym_block_comment,
  [688448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23999), 1,
      sym__outdent,
    STATE(18329), 2,
      sym_comment,
      sym_block_comment,
  [688462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24001), 1,
      sym__outdent,
    STATE(18330), 2,
      sym_comment,
      sym_block_comment,
  [688476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24003), 1,
      sym__outdent,
    STATE(18331), 2,
      sym_comment,
      sym_block_comment,
  [688490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24005), 1,
      anon_sym_EQ_GT,
    STATE(18332), 2,
      sym_comment,
      sym_block_comment,
  [688504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24007), 1,
      sym__indent,
    STATE(18333), 2,
      sym_comment,
      sym_block_comment,
  [688518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24009), 1,
      anon_sym_RPAREN,
    STATE(18334), 2,
      sym_comment,
      sym_block_comment,
  [688532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24011), 1,
      anon_sym_RPAREN,
    STATE(18335), 2,
      sym_comment,
      sym_block_comment,
  [688546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24013), 1,
      sym__outdent,
    STATE(18336), 2,
      sym_comment,
      sym_block_comment,
  [688560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24015), 1,
      anon_sym_RBRACE,
    STATE(18337), 2,
      sym_comment,
      sym_block_comment,
  [688574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24017), 1,
      sym__indent,
    STATE(18338), 2,
      sym_comment,
      sym_block_comment,
  [688588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24019), 1,
      anon_sym_RPAREN,
    STATE(18339), 2,
      sym_comment,
      sym_block_comment,
  [688602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24021), 1,
      sym__outdent,
    STATE(18340), 2,
      sym_comment,
      sym_block_comment,
  [688616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24023), 1,
      anon_sym_RBRACE,
    STATE(18341), 2,
      sym_comment,
      sym_block_comment,
  [688630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24025), 1,
      sym__outdent,
    STATE(18342), 2,
      sym_comment,
      sym_block_comment,
  [688644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24027), 1,
      sym__indent,
    STATE(18343), 2,
      sym_comment,
      sym_block_comment,
  [688658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24029), 1,
      anon_sym_RPAREN,
    STATE(18344), 2,
      sym_comment,
      sym_block_comment,
  [688672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24031), 1,
      anon_sym_RPAREN,
    STATE(18345), 2,
      sym_comment,
      sym_block_comment,
  [688686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24033), 1,
      sym__outdent,
    STATE(18346), 2,
      sym_comment,
      sym_block_comment,
  [688700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24035), 1,
      anon_sym_RPAREN,
    STATE(18347), 2,
      sym_comment,
      sym_block_comment,
  [688714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24037), 1,
      sym__indent,
    STATE(18348), 2,
      sym_comment,
      sym_block_comment,
  [688728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24039), 1,
      sym__outdent,
    STATE(18349), 2,
      sym_comment,
      sym_block_comment,
  [688742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24041), 1,
      anon_sym_RBRACE,
    STATE(18350), 2,
      sym_comment,
      sym_block_comment,
  [688756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24043), 1,
      anon_sym_RPAREN,
    STATE(18351), 2,
      sym_comment,
      sym_block_comment,
  [688770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24045), 1,
      sym__outdent,
    STATE(18352), 2,
      sym_comment,
      sym_block_comment,
  [688784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24047), 1,
      sym__indent,
    STATE(18353), 2,
      sym_comment,
      sym_block_comment,
  [688798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24049), 1,
      anon_sym_RBRACE,
    STATE(18354), 2,
      sym_comment,
      sym_block_comment,
  [688812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24051), 1,
      sym__outdent,
    STATE(18355), 2,
      sym_comment,
      sym_block_comment,
  [688826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24053), 1,
      anon_sym_RPAREN,
    STATE(18356), 2,
      sym_comment,
      sym_block_comment,
  [688840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24055), 1,
      anon_sym_EQ,
    STATE(18357), 2,
      sym_comment,
      sym_block_comment,
  [688854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24057), 1,
      sym__indent,
    STATE(18358), 2,
      sym_comment,
      sym_block_comment,
  [688868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24059), 1,
      anon_sym_RPAREN,
    STATE(18359), 2,
      sym_comment,
      sym_block_comment,
  [688882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24061), 1,
      sym__outdent,
    STATE(18360), 2,
      sym_comment,
      sym_block_comment,
  [688896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24063), 1,
      sym__outdent,
    STATE(18361), 2,
      sym_comment,
      sym_block_comment,
  [688910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24065), 1,
      anon_sym_else,
    STATE(18362), 2,
      sym_comment,
      sym_block_comment,
  [688924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24067), 1,
      sym__indent,
    STATE(18363), 2,
      sym_comment,
      sym_block_comment,
  [688938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24069), 1,
      anon_sym_RPAREN,
    STATE(18364), 2,
      sym_comment,
      sym_block_comment,
  [688952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24071), 1,
      anon_sym_RPAREN,
    STATE(18365), 2,
      sym_comment,
      sym_block_comment,
  [688966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24073), 1,
      anon_sym_RBRACE,
    STATE(18366), 2,
      sym_comment,
      sym_block_comment,
  [688980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24075), 1,
      anon_sym_EQ,
    STATE(18367), 2,
      sym_comment,
      sym_block_comment,
  [688994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24077), 1,
      sym__indent,
    STATE(18368), 2,
      sym_comment,
      sym_block_comment,
  [689008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24079), 1,
      sym__outdent,
    STATE(18369), 2,
      sym_comment,
      sym_block_comment,
  [689022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24081), 1,
      anon_sym_else,
    STATE(18370), 2,
      sym_comment,
      sym_block_comment,
  [689036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24083), 1,
      anon_sym_RBRACE,
    STATE(18371), 2,
      sym_comment,
      sym_block_comment,
  [689050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24085), 1,
      anon_sym_RBRACE,
    STATE(18372), 2,
      sym_comment,
      sym_block_comment,
  [689064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24087), 1,
      sym__indent,
    STATE(18373), 2,
      sym_comment,
      sym_block_comment,
  [689078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24089), 1,
      sym__indent,
    STATE(18374), 2,
      sym_comment,
      sym_block_comment,
  [689092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24091), 1,
      sym__indent,
    STATE(18375), 2,
      sym_comment,
      sym_block_comment,
  [689106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24093), 1,
      sym__indent,
    STATE(18376), 2,
      sym_comment,
      sym_block_comment,
  [689120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24095), 1,
      sym__indent,
    STATE(18377), 2,
      sym_comment,
      sym_block_comment,
  [689134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24097), 1,
      sym__indent,
    STATE(18378), 2,
      sym_comment,
      sym_block_comment,
  [689148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24099), 1,
      sym__indent,
    STATE(18379), 2,
      sym_comment,
      sym_block_comment,
  [689162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24101), 1,
      sym__indent,
    STATE(18380), 2,
      sym_comment,
      sym_block_comment,
  [689176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24103), 1,
      sym__indent,
    STATE(18381), 2,
      sym_comment,
      sym_block_comment,
  [689190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24105), 1,
      sym__indent,
    STATE(18382), 2,
      sym_comment,
      sym_block_comment,
  [689204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24107), 1,
      sym__indent,
    STATE(18383), 2,
      sym_comment,
      sym_block_comment,
  [689218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24109), 1,
      sym__indent,
    STATE(18384), 2,
      sym_comment,
      sym_block_comment,
  [689232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24111), 1,
      sym__indent,
    STATE(18385), 2,
      sym_comment,
      sym_block_comment,
  [689246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24113), 1,
      sym__indent,
    STATE(18386), 2,
      sym_comment,
      sym_block_comment,
  [689260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24115), 1,
      sym__indent,
    STATE(18387), 2,
      sym_comment,
      sym_block_comment,
  [689274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24117), 1,
      sym__indent,
    STATE(18388), 2,
      sym_comment,
      sym_block_comment,
  [689288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24119), 1,
      sym__indent,
    STATE(18389), 2,
      sym_comment,
      sym_block_comment,
  [689302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24121), 1,
      sym__indent,
    STATE(18390), 2,
      sym_comment,
      sym_block_comment,
  [689316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24123), 1,
      sym__indent,
    STATE(18391), 2,
      sym_comment,
      sym_block_comment,
  [689330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24125), 1,
      sym__indent,
    STATE(18392), 2,
      sym_comment,
      sym_block_comment,
  [689344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24127), 1,
      sym__indent,
    STATE(18393), 2,
      sym_comment,
      sym_block_comment,
  [689358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24129), 1,
      sym__indent,
    STATE(18394), 2,
      sym_comment,
      sym_block_comment,
  [689372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24131), 1,
      sym__indent,
    STATE(18395), 2,
      sym_comment,
      sym_block_comment,
  [689386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24133), 1,
      sym__indent,
    STATE(18396), 2,
      sym_comment,
      sym_block_comment,
  [689400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24135), 1,
      sym__indent,
    STATE(18397), 2,
      sym_comment,
      sym_block_comment,
  [689414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24137), 1,
      sym__indent,
    STATE(18398), 2,
      sym_comment,
      sym_block_comment,
  [689428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24139), 1,
      sym__indent,
    STATE(18399), 2,
      sym_comment,
      sym_block_comment,
  [689442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24141), 1,
      sym__indent,
    STATE(18400), 2,
      sym_comment,
      sym_block_comment,
  [689456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24143), 1,
      sym__indent,
    STATE(18401), 2,
      sym_comment,
      sym_block_comment,
  [689470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24145), 1,
      sym__indent,
    STATE(18402), 2,
      sym_comment,
      sym_block_comment,
  [689484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24147), 1,
      sym__indent,
    STATE(18403), 2,
      sym_comment,
      sym_block_comment,
  [689498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24149), 1,
      sym__indent,
    STATE(18404), 2,
      sym_comment,
      sym_block_comment,
  [689512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24151), 1,
      sym__indent,
    STATE(18405), 2,
      sym_comment,
      sym_block_comment,
  [689526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24153), 1,
      sym__indent,
    STATE(18406), 2,
      sym_comment,
      sym_block_comment,
  [689540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24155), 1,
      sym__indent,
    STATE(18407), 2,
      sym_comment,
      sym_block_comment,
  [689554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24157), 1,
      sym__indent,
    STATE(18408), 2,
      sym_comment,
      sym_block_comment,
  [689568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24159), 1,
      sym__indent,
    STATE(18409), 2,
      sym_comment,
      sym_block_comment,
  [689582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24161), 1,
      sym__indent,
    STATE(18410), 2,
      sym_comment,
      sym_block_comment,
  [689596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24163), 1,
      sym__indent,
    STATE(18411), 2,
      sym_comment,
      sym_block_comment,
  [689610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24165), 1,
      sym__indent,
    STATE(18412), 2,
      sym_comment,
      sym_block_comment,
  [689624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24167), 1,
      sym__indent,
    STATE(18413), 2,
      sym_comment,
      sym_block_comment,
  [689638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24169), 1,
      sym__indent,
    STATE(18414), 2,
      sym_comment,
      sym_block_comment,
  [689652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24171), 1,
      sym__indent,
    STATE(18415), 2,
      sym_comment,
      sym_block_comment,
  [689666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24173), 1,
      sym__indent,
    STATE(18416), 2,
      sym_comment,
      sym_block_comment,
  [689680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24175), 1,
      sym__indent,
    STATE(18417), 2,
      sym_comment,
      sym_block_comment,
  [689694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24177), 1,
      sym__indent,
    STATE(18418), 2,
      sym_comment,
      sym_block_comment,
  [689708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24179), 1,
      sym__indent,
    STATE(18419), 2,
      sym_comment,
      sym_block_comment,
  [689722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24181), 1,
      sym__indent,
    STATE(18420), 2,
      sym_comment,
      sym_block_comment,
  [689736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24183), 1,
      sym__indent,
    STATE(18421), 2,
      sym_comment,
      sym_block_comment,
  [689750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24185), 1,
      sym__indent,
    STATE(18422), 2,
      sym_comment,
      sym_block_comment,
  [689764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24187), 1,
      sym__indent,
    STATE(18423), 2,
      sym_comment,
      sym_block_comment,
  [689778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24189), 1,
      sym__indent,
    STATE(18424), 2,
      sym_comment,
      sym_block_comment,
  [689792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24191), 1,
      sym__indent,
    STATE(18425), 2,
      sym_comment,
      sym_block_comment,
  [689806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24193), 1,
      sym__indent,
    STATE(18426), 2,
      sym_comment,
      sym_block_comment,
  [689820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24195), 1,
      sym__indent,
    STATE(18427), 2,
      sym_comment,
      sym_block_comment,
  [689834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24197), 1,
      sym__indent,
    STATE(18428), 2,
      sym_comment,
      sym_block_comment,
  [689848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24199), 1,
      sym__indent,
    STATE(18429), 2,
      sym_comment,
      sym_block_comment,
  [689862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7674), 1,
      anon_sym_def,
    STATE(18430), 2,
      sym_comment,
      sym_block_comment,
  [689876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24201), 1,
      sym__outdent,
    STATE(18431), 2,
      sym_comment,
      sym_block_comment,
  [689890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24203), 1,
      anon_sym_do,
    STATE(18432), 2,
      sym_comment,
      sym_block_comment,
  [689904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15282), 1,
      anon_sym_def,
    STATE(18433), 2,
      sym_comment,
      sym_block_comment,
  [689918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24205), 1,
      anon_sym_RPAREN,
    STATE(18434), 2,
      sym_comment,
      sym_block_comment,
  [689932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24207), 1,
      anon_sym_RPAREN,
    STATE(18435), 2,
      sym_comment,
      sym_block_comment,
  [689946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24209), 1,
      sym__outdent,
    STATE(18436), 2,
      sym_comment,
      sym_block_comment,
  [689960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24211), 1,
      sym__outdent,
    STATE(18437), 2,
      sym_comment,
      sym_block_comment,
  [689974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24213), 1,
      sym__outdent,
    STATE(18438), 2,
      sym_comment,
      sym_block_comment,
  [689988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24215), 1,
      anon_sym_RPAREN,
    STATE(18439), 2,
      sym_comment,
      sym_block_comment,
  [690002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24217), 1,
      sym__outdent,
    STATE(18440), 2,
      sym_comment,
      sym_block_comment,
  [690016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24219), 1,
      anon_sym_RBRACE,
    STATE(18441), 2,
      sym_comment,
      sym_block_comment,
  [690030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24221), 1,
      anon_sym_RBRACE,
    STATE(18442), 2,
      sym_comment,
      sym_block_comment,
  [690044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24223), 1,
      anon_sym_RPAREN,
    STATE(18443), 2,
      sym_comment,
      sym_block_comment,
  [690058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24225), 1,
      anon_sym_RPAREN,
    STATE(18444), 2,
      sym_comment,
      sym_block_comment,
  [690072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24227), 1,
      sym__outdent,
    STATE(18445), 2,
      sym_comment,
      sym_block_comment,
  [690086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24229), 1,
      anon_sym_EQ,
    STATE(18446), 2,
      sym_comment,
      sym_block_comment,
  [690100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24231), 1,
      anon_sym_EQ,
    STATE(18447), 2,
      sym_comment,
      sym_block_comment,
  [690114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24233), 1,
      anon_sym_EQ_GT_GT,
    STATE(18448), 2,
      sym_comment,
      sym_block_comment,
  [690128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24235), 1,
      sym__outdent,
    STATE(18449), 2,
      sym_comment,
      sym_block_comment,
  [690142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24237), 1,
      sym__outdent,
    STATE(18450), 2,
      sym_comment,
      sym_block_comment,
  [690156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24239), 1,
      anon_sym_RPAREN,
    STATE(18451), 2,
      sym_comment,
      sym_block_comment,
  [690170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24241), 1,
      sym__outdent,
    STATE(18452), 2,
      sym_comment,
      sym_block_comment,
  [690184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24243), 1,
      anon_sym_else,
    STATE(18453), 2,
      sym_comment,
      sym_block_comment,
  [690198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24245), 1,
      anon_sym_RPAREN,
    STATE(18454), 2,
      sym_comment,
      sym_block_comment,
  [690212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24247), 1,
      anon_sym_else,
    STATE(18455), 2,
      sym_comment,
      sym_block_comment,
  [690226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24249), 1,
      anon_sym_RPAREN,
    STATE(18456), 2,
      sym_comment,
      sym_block_comment,
  [690240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24251), 1,
      anon_sym_EQ_GT_GT,
    STATE(18457), 2,
      sym_comment,
      sym_block_comment,
  [690254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24253), 1,
      anon_sym_EQ_GT_GT,
    STATE(18458), 2,
      sym_comment,
      sym_block_comment,
  [690268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24255), 1,
      sym__outdent,
    STATE(18459), 2,
      sym_comment,
      sym_block_comment,
  [690282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24257), 1,
      anon_sym_RPAREN,
    STATE(18460), 2,
      sym_comment,
      sym_block_comment,
  [690296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24259), 1,
      anon_sym_RBRACE,
    STATE(18461), 2,
      sym_comment,
      sym_block_comment,
  [690310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24261), 1,
      anon_sym_RBRACE,
    STATE(18462), 2,
      sym_comment,
      sym_block_comment,
  [690324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24263), 1,
      sym__outdent,
    STATE(18463), 2,
      sym_comment,
      sym_block_comment,
  [690338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24265), 1,
      anon_sym_EQ_GT_GT,
    STATE(18464), 2,
      sym_comment,
      sym_block_comment,
  [690352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24267), 1,
      sym__outdent,
    STATE(18465), 2,
      sym_comment,
      sym_block_comment,
  [690366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24269), 1,
      anon_sym_EQ_GT_GT,
    STATE(18466), 2,
      sym_comment,
      sym_block_comment,
  [690380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24271), 1,
      anon_sym_RPAREN,
    STATE(18467), 2,
      sym_comment,
      sym_block_comment,
  [690394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24273), 1,
      sym__outdent,
    STATE(18468), 2,
      sym_comment,
      sym_block_comment,
  [690408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24275), 1,
      anon_sym_RPAREN,
    STATE(18469), 2,
      sym_comment,
      sym_block_comment,
  [690422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24277), 1,
      anon_sym_RPAREN,
    STATE(18470), 2,
      sym_comment,
      sym_block_comment,
  [690436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24279), 1,
      anon_sym_RBRACE,
    STATE(18471), 2,
      sym_comment,
      sym_block_comment,
  [690450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24281), 1,
      sym__outdent,
    STATE(18472), 2,
      sym_comment,
      sym_block_comment,
  [690464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24283), 1,
      sym__outdent,
    STATE(18473), 2,
      sym_comment,
      sym_block_comment,
  [690478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24285), 1,
      anon_sym_RPAREN,
    STATE(18474), 2,
      sym_comment,
      sym_block_comment,
  [690492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24287), 1,
      anon_sym_RPAREN,
    STATE(18475), 2,
      sym_comment,
      sym_block_comment,
  [690506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24289), 1,
      anon_sym_RBRACK,
    STATE(18476), 2,
      sym_comment,
      sym_block_comment,
  [690520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24289), 1,
      anon_sym_RBRACE,
    STATE(18477), 2,
      sym_comment,
      sym_block_comment,
  [690534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24291), 1,
      anon_sym_RBRACK,
    STATE(18478), 2,
      sym_comment,
      sym_block_comment,
  [690548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24291), 1,
      anon_sym_RBRACE,
    STATE(18479), 2,
      sym_comment,
      sym_block_comment,
  [690562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24293), 1,
      anon_sym_RPAREN,
    STATE(18480), 2,
      sym_comment,
      sym_block_comment,
  [690576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24295), 1,
      anon_sym_RPAREN,
    STATE(18481), 2,
      sym_comment,
      sym_block_comment,
  [690590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24295), 1,
      anon_sym_RBRACE,
    STATE(18482), 2,
      sym_comment,
      sym_block_comment,
  [690604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24297), 1,
      sym__outdent,
    STATE(18483), 2,
      sym_comment,
      sym_block_comment,
  [690618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24299), 1,
      sym__outdent,
    STATE(18484), 2,
      sym_comment,
      sym_block_comment,
  [690632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24301), 1,
      anon_sym_RBRACE,
    STATE(18485), 2,
      sym_comment,
      sym_block_comment,
  [690646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24303), 1,
      anon_sym_RPAREN,
    STATE(18486), 2,
      sym_comment,
      sym_block_comment,
  [690660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24305), 1,
      sym__outdent,
    STATE(18487), 2,
      sym_comment,
      sym_block_comment,
  [690674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24307), 1,
      anon_sym_RBRACE,
    STATE(18488), 2,
      sym_comment,
      sym_block_comment,
  [690688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24309), 1,
      anon_sym_RPAREN,
    STATE(18489), 2,
      sym_comment,
      sym_block_comment,
  [690702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24311), 1,
      sym__outdent,
    STATE(18490), 2,
      sym_comment,
      sym_block_comment,
  [690716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24313), 1,
      anon_sym_RPAREN,
    STATE(18491), 2,
      sym_comment,
      sym_block_comment,
  [690730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24315), 1,
      anon_sym_EQ_GT,
    STATE(18492), 2,
      sym_comment,
      sym_block_comment,
  [690744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24317), 1,
      anon_sym_EQ_GT_GT,
    STATE(18493), 2,
      sym_comment,
      sym_block_comment,
  [690758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24319), 1,
      sym__outdent,
    STATE(18494), 2,
      sym_comment,
      sym_block_comment,
  [690772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24321), 1,
      anon_sym_else,
    STATE(18495), 2,
      sym_comment,
      sym_block_comment,
  [690786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24323), 1,
      anon_sym_RBRACE,
    STATE(18496), 2,
      sym_comment,
      sym_block_comment,
  [690800] = 1,
    ACTIONS(24325), 1,
      ts_builtin_sym_end,
  [690804] = 1,
    ACTIONS(24327), 1,
      ts_builtin_sym_end,
  [690808] = 1,
    ACTIONS(24329), 1,
      ts_builtin_sym_end,
  [690812] = 1,
    ACTIONS(24331), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2415)] = 0,
  [SMALL_STATE(2416)] = 145,
  [SMALL_STATE(2417)] = 290,
  [SMALL_STATE(2418)] = 435,
  [SMALL_STATE(2419)] = 580,
  [SMALL_STATE(2420)] = 725,
  [SMALL_STATE(2421)] = 870,
  [SMALL_STATE(2422)] = 1015,
  [SMALL_STATE(2423)] = 1160,
  [SMALL_STATE(2424)] = 1305,
  [SMALL_STATE(2425)] = 1450,
  [SMALL_STATE(2426)] = 1595,
  [SMALL_STATE(2427)] = 1740,
  [SMALL_STATE(2428)] = 1885,
  [SMALL_STATE(2429)] = 2030,
  [SMALL_STATE(2430)] = 2175,
  [SMALL_STATE(2431)] = 2320,
  [SMALL_STATE(2432)] = 2465,
  [SMALL_STATE(2433)] = 2610,
  [SMALL_STATE(2434)] = 2755,
  [SMALL_STATE(2435)] = 2900,
  [SMALL_STATE(2436)] = 3045,
  [SMALL_STATE(2437)] = 3190,
  [SMALL_STATE(2438)] = 3335,
  [SMALL_STATE(2439)] = 3480,
  [SMALL_STATE(2440)] = 3625,
  [SMALL_STATE(2441)] = 3770,
  [SMALL_STATE(2442)] = 3915,
  [SMALL_STATE(2443)] = 4060,
  [SMALL_STATE(2444)] = 4205,
  [SMALL_STATE(2445)] = 4350,
  [SMALL_STATE(2446)] = 4495,
  [SMALL_STATE(2447)] = 4640,
  [SMALL_STATE(2448)] = 4785,
  [SMALL_STATE(2449)] = 4930,
  [SMALL_STATE(2450)] = 5075,
  [SMALL_STATE(2451)] = 5220,
  [SMALL_STATE(2452)] = 5365,
  [SMALL_STATE(2453)] = 5510,
  [SMALL_STATE(2454)] = 5655,
  [SMALL_STATE(2455)] = 5800,
  [SMALL_STATE(2456)] = 5945,
  [SMALL_STATE(2457)] = 6090,
  [SMALL_STATE(2458)] = 6235,
  [SMALL_STATE(2459)] = 6380,
  [SMALL_STATE(2460)] = 6525,
  [SMALL_STATE(2461)] = 6670,
  [SMALL_STATE(2462)] = 6815,
  [SMALL_STATE(2463)] = 6960,
  [SMALL_STATE(2464)] = 7034,
  [SMALL_STATE(2465)] = 7108,
  [SMALL_STATE(2466)] = 7182,
  [SMALL_STATE(2467)] = 7256,
  [SMALL_STATE(2468)] = 7330,
  [SMALL_STATE(2469)] = 7404,
  [SMALL_STATE(2470)] = 7478,
  [SMALL_STATE(2471)] = 7623,
  [SMALL_STATE(2472)] = 7766,
  [SMALL_STATE(2473)] = 7909,
  [SMALL_STATE(2474)] = 8052,
  [SMALL_STATE(2475)] = 8125,
  [SMALL_STATE(2476)] = 8270,
  [SMALL_STATE(2477)] = 8404,
  [SMALL_STATE(2478)] = 8538,
  [SMALL_STATE(2479)] = 8672,
  [SMALL_STATE(2480)] = 8806,
  [SMALL_STATE(2481)] = 8940,
  [SMALL_STATE(2482)] = 9074,
  [SMALL_STATE(2483)] = 9208,
  [SMALL_STATE(2484)] = 9342,
  [SMALL_STATE(2485)] = 9476,
  [SMALL_STATE(2486)] = 9610,
  [SMALL_STATE(2487)] = 9744,
  [SMALL_STATE(2488)] = 9878,
  [SMALL_STATE(2489)] = 10012,
  [SMALL_STATE(2490)] = 10146,
  [SMALL_STATE(2491)] = 10280,
  [SMALL_STATE(2492)] = 10414,
  [SMALL_STATE(2493)] = 10548,
  [SMALL_STATE(2494)] = 10682,
  [SMALL_STATE(2495)] = 10816,
  [SMALL_STATE(2496)] = 10950,
  [SMALL_STATE(2497)] = 11084,
  [SMALL_STATE(2498)] = 11218,
  [SMALL_STATE(2499)] = 11352,
  [SMALL_STATE(2500)] = 11486,
  [SMALL_STATE(2501)] = 11615,
  [SMALL_STATE(2502)] = 11744,
  [SMALL_STATE(2503)] = 11873,
  [SMALL_STATE(2504)] = 12002,
  [SMALL_STATE(2505)] = 12131,
  [SMALL_STATE(2506)] = 12260,
  [SMALL_STATE(2507)] = 12389,
  [SMALL_STATE(2508)] = 12518,
  [SMALL_STATE(2509)] = 12647,
  [SMALL_STATE(2510)] = 12776,
  [SMALL_STATE(2511)] = 12905,
  [SMALL_STATE(2512)] = 13034,
  [SMALL_STATE(2513)] = 13163,
  [SMALL_STATE(2514)] = 13292,
  [SMALL_STATE(2515)] = 13421,
  [SMALL_STATE(2516)] = 13550,
  [SMALL_STATE(2517)] = 13679,
  [SMALL_STATE(2518)] = 13808,
  [SMALL_STATE(2519)] = 13937,
  [SMALL_STATE(2520)] = 14066,
  [SMALL_STATE(2521)] = 14195,
  [SMALL_STATE(2522)] = 14324,
  [SMALL_STATE(2523)] = 14453,
  [SMALL_STATE(2524)] = 14582,
  [SMALL_STATE(2525)] = 14711,
  [SMALL_STATE(2526)] = 14840,
  [SMALL_STATE(2527)] = 14969,
  [SMALL_STATE(2528)] = 15098,
  [SMALL_STATE(2529)] = 15227,
  [SMALL_STATE(2530)] = 15356,
  [SMALL_STATE(2531)] = 15485,
  [SMALL_STATE(2532)] = 15614,
  [SMALL_STATE(2533)] = 15743,
  [SMALL_STATE(2534)] = 15872,
  [SMALL_STATE(2535)] = 16001,
  [SMALL_STATE(2536)] = 16130,
  [SMALL_STATE(2537)] = 16259,
  [SMALL_STATE(2538)] = 16388,
  [SMALL_STATE(2539)] = 16517,
  [SMALL_STATE(2540)] = 16646,
  [SMALL_STATE(2541)] = 16775,
  [SMALL_STATE(2542)] = 16904,
  [SMALL_STATE(2543)] = 17033,
  [SMALL_STATE(2544)] = 17162,
  [SMALL_STATE(2545)] = 17291,
  [SMALL_STATE(2546)] = 17420,
  [SMALL_STATE(2547)] = 17549,
  [SMALL_STATE(2548)] = 17678,
  [SMALL_STATE(2549)] = 17807,
  [SMALL_STATE(2550)] = 17936,
  [SMALL_STATE(2551)] = 18065,
  [SMALL_STATE(2552)] = 18194,
  [SMALL_STATE(2553)] = 18323,
  [SMALL_STATE(2554)] = 18452,
  [SMALL_STATE(2555)] = 18581,
  [SMALL_STATE(2556)] = 18710,
  [SMALL_STATE(2557)] = 18839,
  [SMALL_STATE(2558)] = 18968,
  [SMALL_STATE(2559)] = 19097,
  [SMALL_STATE(2560)] = 19226,
  [SMALL_STATE(2561)] = 19355,
  [SMALL_STATE(2562)] = 19484,
  [SMALL_STATE(2563)] = 19613,
  [SMALL_STATE(2564)] = 19742,
  [SMALL_STATE(2565)] = 19871,
  [SMALL_STATE(2566)] = 20000,
  [SMALL_STATE(2567)] = 20129,
  [SMALL_STATE(2568)] = 20258,
  [SMALL_STATE(2569)] = 20387,
  [SMALL_STATE(2570)] = 20516,
  [SMALL_STATE(2571)] = 20645,
  [SMALL_STATE(2572)] = 20774,
  [SMALL_STATE(2573)] = 20903,
  [SMALL_STATE(2574)] = 21032,
  [SMALL_STATE(2575)] = 21161,
  [SMALL_STATE(2576)] = 21290,
  [SMALL_STATE(2577)] = 21419,
  [SMALL_STATE(2578)] = 21548,
  [SMALL_STATE(2579)] = 21677,
  [SMALL_STATE(2580)] = 21806,
  [SMALL_STATE(2581)] = 21935,
  [SMALL_STATE(2582)] = 22064,
  [SMALL_STATE(2583)] = 22193,
  [SMALL_STATE(2584)] = 22322,
  [SMALL_STATE(2585)] = 22451,
  [SMALL_STATE(2586)] = 22580,
  [SMALL_STATE(2587)] = 22709,
  [SMALL_STATE(2588)] = 22838,
  [SMALL_STATE(2589)] = 22967,
  [SMALL_STATE(2590)] = 23096,
  [SMALL_STATE(2591)] = 23225,
  [SMALL_STATE(2592)] = 23354,
  [SMALL_STATE(2593)] = 23483,
  [SMALL_STATE(2594)] = 23612,
  [SMALL_STATE(2595)] = 23741,
  [SMALL_STATE(2596)] = 23870,
  [SMALL_STATE(2597)] = 23999,
  [SMALL_STATE(2598)] = 24128,
  [SMALL_STATE(2599)] = 24257,
  [SMALL_STATE(2600)] = 24386,
  [SMALL_STATE(2601)] = 24515,
  [SMALL_STATE(2602)] = 24644,
  [SMALL_STATE(2603)] = 24773,
  [SMALL_STATE(2604)] = 24902,
  [SMALL_STATE(2605)] = 25031,
  [SMALL_STATE(2606)] = 25160,
  [SMALL_STATE(2607)] = 25289,
  [SMALL_STATE(2608)] = 25418,
  [SMALL_STATE(2609)] = 25547,
  [SMALL_STATE(2610)] = 25676,
  [SMALL_STATE(2611)] = 25805,
  [SMALL_STATE(2612)] = 25934,
  [SMALL_STATE(2613)] = 26063,
  [SMALL_STATE(2614)] = 26192,
  [SMALL_STATE(2615)] = 26321,
  [SMALL_STATE(2616)] = 26450,
  [SMALL_STATE(2617)] = 26579,
  [SMALL_STATE(2618)] = 26708,
  [SMALL_STATE(2619)] = 26837,
  [SMALL_STATE(2620)] = 26966,
  [SMALL_STATE(2621)] = 27095,
  [SMALL_STATE(2622)] = 27224,
  [SMALL_STATE(2623)] = 27353,
  [SMALL_STATE(2624)] = 27482,
  [SMALL_STATE(2625)] = 27611,
  [SMALL_STATE(2626)] = 27740,
  [SMALL_STATE(2627)] = 27869,
  [SMALL_STATE(2628)] = 27998,
  [SMALL_STATE(2629)] = 28127,
  [SMALL_STATE(2630)] = 28256,
  [SMALL_STATE(2631)] = 28385,
  [SMALL_STATE(2632)] = 28514,
  [SMALL_STATE(2633)] = 28643,
  [SMALL_STATE(2634)] = 28716,
  [SMALL_STATE(2635)] = 28845,
  [SMALL_STATE(2636)] = 28974,
  [SMALL_STATE(2637)] = 29103,
  [SMALL_STATE(2638)] = 29232,
  [SMALL_STATE(2639)] = 29361,
  [SMALL_STATE(2640)] = 29487,
  [SMALL_STATE(2641)] = 29559,
  [SMALL_STATE(2642)] = 29685,
  [SMALL_STATE(2643)] = 29811,
  [SMALL_STATE(2644)] = 29937,
  [SMALL_STATE(2645)] = 30063,
  [SMALL_STATE(2646)] = 30135,
  [SMALL_STATE(2647)] = 30261,
  [SMALL_STATE(2648)] = 30387,
  [SMALL_STATE(2649)] = 30513,
  [SMALL_STATE(2650)] = 30639,
  [SMALL_STATE(2651)] = 30765,
  [SMALL_STATE(2652)] = 30836,
  [SMALL_STATE(2653)] = 30907,
  [SMALL_STATE(2654)] = 30978,
  [SMALL_STATE(2655)] = 31049,
  [SMALL_STATE(2656)] = 31172,
  [SMALL_STATE(2657)] = 31294,
  [SMALL_STATE(2658)] = 31416,
  [SMALL_STATE(2659)] = 31538,
  [SMALL_STATE(2660)] = 31660,
  [SMALL_STATE(2661)] = 31782,
  [SMALL_STATE(2662)] = 31904,
  [SMALL_STATE(2663)] = 32026,
  [SMALL_STATE(2664)] = 32148,
  [SMALL_STATE(2665)] = 32270,
  [SMALL_STATE(2666)] = 32392,
  [SMALL_STATE(2667)] = 32514,
  [SMALL_STATE(2668)] = 32636,
  [SMALL_STATE(2669)] = 32758,
  [SMALL_STATE(2670)] = 32880,
  [SMALL_STATE(2671)] = 33002,
  [SMALL_STATE(2672)] = 33124,
  [SMALL_STATE(2673)] = 33246,
  [SMALL_STATE(2674)] = 33368,
  [SMALL_STATE(2675)] = 33490,
  [SMALL_STATE(2676)] = 33612,
  [SMALL_STATE(2677)] = 33734,
  [SMALL_STATE(2678)] = 33856,
  [SMALL_STATE(2679)] = 33978,
  [SMALL_STATE(2680)] = 34100,
  [SMALL_STATE(2681)] = 34222,
  [SMALL_STATE(2682)] = 34344,
  [SMALL_STATE(2683)] = 34466,
  [SMALL_STATE(2684)] = 34588,
  [SMALL_STATE(2685)] = 34710,
  [SMALL_STATE(2686)] = 34832,
  [SMALL_STATE(2687)] = 34954,
  [SMALL_STATE(2688)] = 35076,
  [SMALL_STATE(2689)] = 35198,
  [SMALL_STATE(2690)] = 35320,
  [SMALL_STATE(2691)] = 35442,
  [SMALL_STATE(2692)] = 35564,
  [SMALL_STATE(2693)] = 35686,
  [SMALL_STATE(2694)] = 35808,
  [SMALL_STATE(2695)] = 35930,
  [SMALL_STATE(2696)] = 36052,
  [SMALL_STATE(2697)] = 36174,
  [SMALL_STATE(2698)] = 36296,
  [SMALL_STATE(2699)] = 36418,
  [SMALL_STATE(2700)] = 36540,
  [SMALL_STATE(2701)] = 36662,
  [SMALL_STATE(2702)] = 36784,
  [SMALL_STATE(2703)] = 36906,
  [SMALL_STATE(2704)] = 37028,
  [SMALL_STATE(2705)] = 37150,
  [SMALL_STATE(2706)] = 37272,
  [SMALL_STATE(2707)] = 37394,
  [SMALL_STATE(2708)] = 37516,
  [SMALL_STATE(2709)] = 37638,
  [SMALL_STATE(2710)] = 37760,
  [SMALL_STATE(2711)] = 37882,
  [SMALL_STATE(2712)] = 38004,
  [SMALL_STATE(2713)] = 38126,
  [SMALL_STATE(2714)] = 38248,
  [SMALL_STATE(2715)] = 38370,
  [SMALL_STATE(2716)] = 38492,
  [SMALL_STATE(2717)] = 38614,
  [SMALL_STATE(2718)] = 38736,
  [SMALL_STATE(2719)] = 38858,
  [SMALL_STATE(2720)] = 38980,
  [SMALL_STATE(2721)] = 39102,
  [SMALL_STATE(2722)] = 39224,
  [SMALL_STATE(2723)] = 39346,
  [SMALL_STATE(2724)] = 39468,
  [SMALL_STATE(2725)] = 39590,
  [SMALL_STATE(2726)] = 39712,
  [SMALL_STATE(2727)] = 39834,
  [SMALL_STATE(2728)] = 39956,
  [SMALL_STATE(2729)] = 40078,
  [SMALL_STATE(2730)] = 40200,
  [SMALL_STATE(2731)] = 40322,
  [SMALL_STATE(2732)] = 40444,
  [SMALL_STATE(2733)] = 40566,
  [SMALL_STATE(2734)] = 40688,
  [SMALL_STATE(2735)] = 40810,
  [SMALL_STATE(2736)] = 40932,
  [SMALL_STATE(2737)] = 41054,
  [SMALL_STATE(2738)] = 41176,
  [SMALL_STATE(2739)] = 41298,
  [SMALL_STATE(2740)] = 41420,
  [SMALL_STATE(2741)] = 41542,
  [SMALL_STATE(2742)] = 41664,
  [SMALL_STATE(2743)] = 41786,
  [SMALL_STATE(2744)] = 41908,
  [SMALL_STATE(2745)] = 42030,
  [SMALL_STATE(2746)] = 42152,
  [SMALL_STATE(2747)] = 42274,
  [SMALL_STATE(2748)] = 42396,
  [SMALL_STATE(2749)] = 42518,
  [SMALL_STATE(2750)] = 42640,
  [SMALL_STATE(2751)] = 42762,
  [SMALL_STATE(2752)] = 42884,
  [SMALL_STATE(2753)] = 43006,
  [SMALL_STATE(2754)] = 43128,
  [SMALL_STATE(2755)] = 43250,
  [SMALL_STATE(2756)] = 43372,
  [SMALL_STATE(2757)] = 43494,
  [SMALL_STATE(2758)] = 43616,
  [SMALL_STATE(2759)] = 43738,
  [SMALL_STATE(2760)] = 43860,
  [SMALL_STATE(2761)] = 43982,
  [SMALL_STATE(2762)] = 44104,
  [SMALL_STATE(2763)] = 44226,
  [SMALL_STATE(2764)] = 44348,
  [SMALL_STATE(2765)] = 44470,
  [SMALL_STATE(2766)] = 44592,
  [SMALL_STATE(2767)] = 44714,
  [SMALL_STATE(2768)] = 44836,
  [SMALL_STATE(2769)] = 44958,
  [SMALL_STATE(2770)] = 45080,
  [SMALL_STATE(2771)] = 45202,
  [SMALL_STATE(2772)] = 45324,
  [SMALL_STATE(2773)] = 45446,
  [SMALL_STATE(2774)] = 45568,
  [SMALL_STATE(2775)] = 45690,
  [SMALL_STATE(2776)] = 45812,
  [SMALL_STATE(2777)] = 45934,
  [SMALL_STATE(2778)] = 46056,
  [SMALL_STATE(2779)] = 46178,
  [SMALL_STATE(2780)] = 46300,
  [SMALL_STATE(2781)] = 46422,
  [SMALL_STATE(2782)] = 46544,
  [SMALL_STATE(2783)] = 46666,
  [SMALL_STATE(2784)] = 46788,
  [SMALL_STATE(2785)] = 46910,
  [SMALL_STATE(2786)] = 47032,
  [SMALL_STATE(2787)] = 47154,
  [SMALL_STATE(2788)] = 47276,
  [SMALL_STATE(2789)] = 47398,
  [SMALL_STATE(2790)] = 47520,
  [SMALL_STATE(2791)] = 47642,
  [SMALL_STATE(2792)] = 47764,
  [SMALL_STATE(2793)] = 47886,
  [SMALL_STATE(2794)] = 48008,
  [SMALL_STATE(2795)] = 48130,
  [SMALL_STATE(2796)] = 48252,
  [SMALL_STATE(2797)] = 48374,
  [SMALL_STATE(2798)] = 48496,
  [SMALL_STATE(2799)] = 48618,
  [SMALL_STATE(2800)] = 48740,
  [SMALL_STATE(2801)] = 48862,
  [SMALL_STATE(2802)] = 48984,
  [SMALL_STATE(2803)] = 49106,
  [SMALL_STATE(2804)] = 49228,
  [SMALL_STATE(2805)] = 49350,
  [SMALL_STATE(2806)] = 49472,
  [SMALL_STATE(2807)] = 49594,
  [SMALL_STATE(2808)] = 49716,
  [SMALL_STATE(2809)] = 49838,
  [SMALL_STATE(2810)] = 49960,
  [SMALL_STATE(2811)] = 50082,
  [SMALL_STATE(2812)] = 50204,
  [SMALL_STATE(2813)] = 50326,
  [SMALL_STATE(2814)] = 50448,
  [SMALL_STATE(2815)] = 50570,
  [SMALL_STATE(2816)] = 50692,
  [SMALL_STATE(2817)] = 50762,
  [SMALL_STATE(2818)] = 50884,
  [SMALL_STATE(2819)] = 51006,
  [SMALL_STATE(2820)] = 51128,
  [SMALL_STATE(2821)] = 51250,
  [SMALL_STATE(2822)] = 51372,
  [SMALL_STATE(2823)] = 51494,
  [SMALL_STATE(2824)] = 51616,
  [SMALL_STATE(2825)] = 51738,
  [SMALL_STATE(2826)] = 51860,
  [SMALL_STATE(2827)] = 51982,
  [SMALL_STATE(2828)] = 52104,
  [SMALL_STATE(2829)] = 52226,
  [SMALL_STATE(2830)] = 52348,
  [SMALL_STATE(2831)] = 52470,
  [SMALL_STATE(2832)] = 52592,
  [SMALL_STATE(2833)] = 52714,
  [SMALL_STATE(2834)] = 52836,
  [SMALL_STATE(2835)] = 52958,
  [SMALL_STATE(2836)] = 53080,
  [SMALL_STATE(2837)] = 53202,
  [SMALL_STATE(2838)] = 53324,
  [SMALL_STATE(2839)] = 53446,
  [SMALL_STATE(2840)] = 53568,
  [SMALL_STATE(2841)] = 53690,
  [SMALL_STATE(2842)] = 53812,
  [SMALL_STATE(2843)] = 53934,
  [SMALL_STATE(2844)] = 54056,
  [SMALL_STATE(2845)] = 54178,
  [SMALL_STATE(2846)] = 54300,
  [SMALL_STATE(2847)] = 54422,
  [SMALL_STATE(2848)] = 54544,
  [SMALL_STATE(2849)] = 54666,
  [SMALL_STATE(2850)] = 54788,
  [SMALL_STATE(2851)] = 54910,
  [SMALL_STATE(2852)] = 55032,
  [SMALL_STATE(2853)] = 55154,
  [SMALL_STATE(2854)] = 55276,
  [SMALL_STATE(2855)] = 55398,
  [SMALL_STATE(2856)] = 55520,
  [SMALL_STATE(2857)] = 55642,
  [SMALL_STATE(2858)] = 55764,
  [SMALL_STATE(2859)] = 55886,
  [SMALL_STATE(2860)] = 56008,
  [SMALL_STATE(2861)] = 56130,
  [SMALL_STATE(2862)] = 56252,
  [SMALL_STATE(2863)] = 56374,
  [SMALL_STATE(2864)] = 56496,
  [SMALL_STATE(2865)] = 56618,
  [SMALL_STATE(2866)] = 56740,
  [SMALL_STATE(2867)] = 56862,
  [SMALL_STATE(2868)] = 56984,
  [SMALL_STATE(2869)] = 57106,
  [SMALL_STATE(2870)] = 57228,
  [SMALL_STATE(2871)] = 57350,
  [SMALL_STATE(2872)] = 57472,
  [SMALL_STATE(2873)] = 57594,
  [SMALL_STATE(2874)] = 57716,
  [SMALL_STATE(2875)] = 57838,
  [SMALL_STATE(2876)] = 57960,
  [SMALL_STATE(2877)] = 58082,
  [SMALL_STATE(2878)] = 58204,
  [SMALL_STATE(2879)] = 58326,
  [SMALL_STATE(2880)] = 58448,
  [SMALL_STATE(2881)] = 58570,
  [SMALL_STATE(2882)] = 58692,
  [SMALL_STATE(2883)] = 58814,
  [SMALL_STATE(2884)] = 58884,
  [SMALL_STATE(2885)] = 59006,
  [SMALL_STATE(2886)] = 59128,
  [SMALL_STATE(2887)] = 59250,
  [SMALL_STATE(2888)] = 59372,
  [SMALL_STATE(2889)] = 59494,
  [SMALL_STATE(2890)] = 59616,
  [SMALL_STATE(2891)] = 59738,
  [SMALL_STATE(2892)] = 59860,
  [SMALL_STATE(2893)] = 59982,
  [SMALL_STATE(2894)] = 60104,
  [SMALL_STATE(2895)] = 60226,
  [SMALL_STATE(2896)] = 60348,
  [SMALL_STATE(2897)] = 60470,
  [SMALL_STATE(2898)] = 60592,
  [SMALL_STATE(2899)] = 60714,
  [SMALL_STATE(2900)] = 60836,
  [SMALL_STATE(2901)] = 60958,
  [SMALL_STATE(2902)] = 61080,
  [SMALL_STATE(2903)] = 61202,
  [SMALL_STATE(2904)] = 61324,
  [SMALL_STATE(2905)] = 61446,
  [SMALL_STATE(2906)] = 61568,
  [SMALL_STATE(2907)] = 61690,
  [SMALL_STATE(2908)] = 61812,
  [SMALL_STATE(2909)] = 61934,
  [SMALL_STATE(2910)] = 62056,
  [SMALL_STATE(2911)] = 62178,
  [SMALL_STATE(2912)] = 62300,
  [SMALL_STATE(2913)] = 62422,
  [SMALL_STATE(2914)] = 62544,
  [SMALL_STATE(2915)] = 62666,
  [SMALL_STATE(2916)] = 62788,
  [SMALL_STATE(2917)] = 62910,
  [SMALL_STATE(2918)] = 63032,
  [SMALL_STATE(2919)] = 63154,
  [SMALL_STATE(2920)] = 63276,
  [SMALL_STATE(2921)] = 63398,
  [SMALL_STATE(2922)] = 63520,
  [SMALL_STATE(2923)] = 63642,
  [SMALL_STATE(2924)] = 63764,
  [SMALL_STATE(2925)] = 63886,
  [SMALL_STATE(2926)] = 64008,
  [SMALL_STATE(2927)] = 64130,
  [SMALL_STATE(2928)] = 64252,
  [SMALL_STATE(2929)] = 64374,
  [SMALL_STATE(2930)] = 64496,
  [SMALL_STATE(2931)] = 64618,
  [SMALL_STATE(2932)] = 64740,
  [SMALL_STATE(2933)] = 64862,
  [SMALL_STATE(2934)] = 64984,
  [SMALL_STATE(2935)] = 65106,
  [SMALL_STATE(2936)] = 65228,
  [SMALL_STATE(2937)] = 65350,
  [SMALL_STATE(2938)] = 65472,
  [SMALL_STATE(2939)] = 65594,
  [SMALL_STATE(2940)] = 65716,
  [SMALL_STATE(2941)] = 65838,
  [SMALL_STATE(2942)] = 65960,
  [SMALL_STATE(2943)] = 66082,
  [SMALL_STATE(2944)] = 66204,
  [SMALL_STATE(2945)] = 66326,
  [SMALL_STATE(2946)] = 66448,
  [SMALL_STATE(2947)] = 66570,
  [SMALL_STATE(2948)] = 66692,
  [SMALL_STATE(2949)] = 66814,
  [SMALL_STATE(2950)] = 66936,
  [SMALL_STATE(2951)] = 67058,
  [SMALL_STATE(2952)] = 67180,
  [SMALL_STATE(2953)] = 67302,
  [SMALL_STATE(2954)] = 67424,
  [SMALL_STATE(2955)] = 67546,
  [SMALL_STATE(2956)] = 67668,
  [SMALL_STATE(2957)] = 67790,
  [SMALL_STATE(2958)] = 67912,
  [SMALL_STATE(2959)] = 68034,
  [SMALL_STATE(2960)] = 68156,
  [SMALL_STATE(2961)] = 68278,
  [SMALL_STATE(2962)] = 68400,
  [SMALL_STATE(2963)] = 68522,
  [SMALL_STATE(2964)] = 68644,
  [SMALL_STATE(2965)] = 68766,
  [SMALL_STATE(2966)] = 68888,
  [SMALL_STATE(2967)] = 69010,
  [SMALL_STATE(2968)] = 69132,
  [SMALL_STATE(2969)] = 69254,
  [SMALL_STATE(2970)] = 69376,
  [SMALL_STATE(2971)] = 69498,
  [SMALL_STATE(2972)] = 69620,
  [SMALL_STATE(2973)] = 69742,
  [SMALL_STATE(2974)] = 69864,
  [SMALL_STATE(2975)] = 69986,
  [SMALL_STATE(2976)] = 70108,
  [SMALL_STATE(2977)] = 70230,
  [SMALL_STATE(2978)] = 70352,
  [SMALL_STATE(2979)] = 70474,
  [SMALL_STATE(2980)] = 70596,
  [SMALL_STATE(2981)] = 70718,
  [SMALL_STATE(2982)] = 70840,
  [SMALL_STATE(2983)] = 70962,
  [SMALL_STATE(2984)] = 71084,
  [SMALL_STATE(2985)] = 71206,
  [SMALL_STATE(2986)] = 71328,
  [SMALL_STATE(2987)] = 71450,
  [SMALL_STATE(2988)] = 71572,
  [SMALL_STATE(2989)] = 71694,
  [SMALL_STATE(2990)] = 71816,
  [SMALL_STATE(2991)] = 71938,
  [SMALL_STATE(2992)] = 72060,
  [SMALL_STATE(2993)] = 72182,
  [SMALL_STATE(2994)] = 72304,
  [SMALL_STATE(2995)] = 72426,
  [SMALL_STATE(2996)] = 72548,
  [SMALL_STATE(2997)] = 72670,
  [SMALL_STATE(2998)] = 72792,
  [SMALL_STATE(2999)] = 72914,
  [SMALL_STATE(3000)] = 73036,
  [SMALL_STATE(3001)] = 73158,
  [SMALL_STATE(3002)] = 73280,
  [SMALL_STATE(3003)] = 73402,
  [SMALL_STATE(3004)] = 73524,
  [SMALL_STATE(3005)] = 73646,
  [SMALL_STATE(3006)] = 73768,
  [SMALL_STATE(3007)] = 73890,
  [SMALL_STATE(3008)] = 74012,
  [SMALL_STATE(3009)] = 74134,
  [SMALL_STATE(3010)] = 74256,
  [SMALL_STATE(3011)] = 74378,
  [SMALL_STATE(3012)] = 74500,
  [SMALL_STATE(3013)] = 74622,
  [SMALL_STATE(3014)] = 74744,
  [SMALL_STATE(3015)] = 74866,
  [SMALL_STATE(3016)] = 74988,
  [SMALL_STATE(3017)] = 75110,
  [SMALL_STATE(3018)] = 75232,
  [SMALL_STATE(3019)] = 75354,
  [SMALL_STATE(3020)] = 75476,
  [SMALL_STATE(3021)] = 75546,
  [SMALL_STATE(3022)] = 75668,
  [SMALL_STATE(3023)] = 75790,
  [SMALL_STATE(3024)] = 75912,
  [SMALL_STATE(3025)] = 76034,
  [SMALL_STATE(3026)] = 76156,
  [SMALL_STATE(3027)] = 76278,
  [SMALL_STATE(3028)] = 76400,
  [SMALL_STATE(3029)] = 76522,
  [SMALL_STATE(3030)] = 76644,
  [SMALL_STATE(3031)] = 76766,
  [SMALL_STATE(3032)] = 76888,
  [SMALL_STATE(3033)] = 77010,
  [SMALL_STATE(3034)] = 77132,
  [SMALL_STATE(3035)] = 77254,
  [SMALL_STATE(3036)] = 77376,
  [SMALL_STATE(3037)] = 77498,
  [SMALL_STATE(3038)] = 77620,
  [SMALL_STATE(3039)] = 77742,
  [SMALL_STATE(3040)] = 77864,
  [SMALL_STATE(3041)] = 77986,
  [SMALL_STATE(3042)] = 78108,
  [SMALL_STATE(3043)] = 78230,
  [SMALL_STATE(3044)] = 78352,
  [SMALL_STATE(3045)] = 78474,
  [SMALL_STATE(3046)] = 78596,
  [SMALL_STATE(3047)] = 78718,
  [SMALL_STATE(3048)] = 78840,
  [SMALL_STATE(3049)] = 78962,
  [SMALL_STATE(3050)] = 79084,
  [SMALL_STATE(3051)] = 79206,
  [SMALL_STATE(3052)] = 79328,
  [SMALL_STATE(3053)] = 79450,
  [SMALL_STATE(3054)] = 79572,
  [SMALL_STATE(3055)] = 79694,
  [SMALL_STATE(3056)] = 79816,
  [SMALL_STATE(3057)] = 79938,
  [SMALL_STATE(3058)] = 80008,
  [SMALL_STATE(3059)] = 80130,
  [SMALL_STATE(3060)] = 80252,
  [SMALL_STATE(3061)] = 80374,
  [SMALL_STATE(3062)] = 80496,
  [SMALL_STATE(3063)] = 80618,
  [SMALL_STATE(3064)] = 80740,
  [SMALL_STATE(3065)] = 80862,
  [SMALL_STATE(3066)] = 80984,
  [SMALL_STATE(3067)] = 81106,
  [SMALL_STATE(3068)] = 81228,
  [SMALL_STATE(3069)] = 81350,
  [SMALL_STATE(3070)] = 81472,
  [SMALL_STATE(3071)] = 81594,
  [SMALL_STATE(3072)] = 81716,
  [SMALL_STATE(3073)] = 81838,
  [SMALL_STATE(3074)] = 81960,
  [SMALL_STATE(3075)] = 82082,
  [SMALL_STATE(3076)] = 82204,
  [SMALL_STATE(3077)] = 82326,
  [SMALL_STATE(3078)] = 82448,
  [SMALL_STATE(3079)] = 82570,
  [SMALL_STATE(3080)] = 82692,
  [SMALL_STATE(3081)] = 82814,
  [SMALL_STATE(3082)] = 82936,
  [SMALL_STATE(3083)] = 83058,
  [SMALL_STATE(3084)] = 83180,
  [SMALL_STATE(3085)] = 83302,
  [SMALL_STATE(3086)] = 83424,
  [SMALL_STATE(3087)] = 83546,
  [SMALL_STATE(3088)] = 83668,
  [SMALL_STATE(3089)] = 83790,
  [SMALL_STATE(3090)] = 83912,
  [SMALL_STATE(3091)] = 84034,
  [SMALL_STATE(3092)] = 84156,
  [SMALL_STATE(3093)] = 84278,
  [SMALL_STATE(3094)] = 84400,
  [SMALL_STATE(3095)] = 84522,
  [SMALL_STATE(3096)] = 84644,
  [SMALL_STATE(3097)] = 84766,
  [SMALL_STATE(3098)] = 84888,
  [SMALL_STATE(3099)] = 85010,
  [SMALL_STATE(3100)] = 85132,
  [SMALL_STATE(3101)] = 85254,
  [SMALL_STATE(3102)] = 85376,
  [SMALL_STATE(3103)] = 85498,
  [SMALL_STATE(3104)] = 85620,
  [SMALL_STATE(3105)] = 85742,
  [SMALL_STATE(3106)] = 85864,
  [SMALL_STATE(3107)] = 85986,
  [SMALL_STATE(3108)] = 86108,
  [SMALL_STATE(3109)] = 86230,
  [SMALL_STATE(3110)] = 86352,
  [SMALL_STATE(3111)] = 86474,
  [SMALL_STATE(3112)] = 86596,
  [SMALL_STATE(3113)] = 86718,
  [SMALL_STATE(3114)] = 86840,
  [SMALL_STATE(3115)] = 86962,
  [SMALL_STATE(3116)] = 87084,
  [SMALL_STATE(3117)] = 87206,
  [SMALL_STATE(3118)] = 87328,
  [SMALL_STATE(3119)] = 87450,
  [SMALL_STATE(3120)] = 87572,
  [SMALL_STATE(3121)] = 87694,
  [SMALL_STATE(3122)] = 87816,
  [SMALL_STATE(3123)] = 87938,
  [SMALL_STATE(3124)] = 88060,
  [SMALL_STATE(3125)] = 88182,
  [SMALL_STATE(3126)] = 88304,
  [SMALL_STATE(3127)] = 88426,
  [SMALL_STATE(3128)] = 88548,
  [SMALL_STATE(3129)] = 88670,
  [SMALL_STATE(3130)] = 88792,
  [SMALL_STATE(3131)] = 88914,
  [SMALL_STATE(3132)] = 89036,
  [SMALL_STATE(3133)] = 89158,
  [SMALL_STATE(3134)] = 89280,
  [SMALL_STATE(3135)] = 89402,
  [SMALL_STATE(3136)] = 89524,
  [SMALL_STATE(3137)] = 89646,
  [SMALL_STATE(3138)] = 89768,
  [SMALL_STATE(3139)] = 89890,
  [SMALL_STATE(3140)] = 90012,
  [SMALL_STATE(3141)] = 90134,
  [SMALL_STATE(3142)] = 90256,
  [SMALL_STATE(3143)] = 90378,
  [SMALL_STATE(3144)] = 90500,
  [SMALL_STATE(3145)] = 90622,
  [SMALL_STATE(3146)] = 90744,
  [SMALL_STATE(3147)] = 90866,
  [SMALL_STATE(3148)] = 90988,
  [SMALL_STATE(3149)] = 91110,
  [SMALL_STATE(3150)] = 91232,
  [SMALL_STATE(3151)] = 91354,
  [SMALL_STATE(3152)] = 91476,
  [SMALL_STATE(3153)] = 91598,
  [SMALL_STATE(3154)] = 91720,
  [SMALL_STATE(3155)] = 91842,
  [SMALL_STATE(3156)] = 91964,
  [SMALL_STATE(3157)] = 92086,
  [SMALL_STATE(3158)] = 92208,
  [SMALL_STATE(3159)] = 92330,
  [SMALL_STATE(3160)] = 92452,
  [SMALL_STATE(3161)] = 92574,
  [SMALL_STATE(3162)] = 92696,
  [SMALL_STATE(3163)] = 92818,
  [SMALL_STATE(3164)] = 92940,
  [SMALL_STATE(3165)] = 93062,
  [SMALL_STATE(3166)] = 93184,
  [SMALL_STATE(3167)] = 93306,
  [SMALL_STATE(3168)] = 93428,
  [SMALL_STATE(3169)] = 93550,
  [SMALL_STATE(3170)] = 93672,
  [SMALL_STATE(3171)] = 93794,
  [SMALL_STATE(3172)] = 93916,
  [SMALL_STATE(3173)] = 94038,
  [SMALL_STATE(3174)] = 94160,
  [SMALL_STATE(3175)] = 94282,
  [SMALL_STATE(3176)] = 94404,
  [SMALL_STATE(3177)] = 94526,
  [SMALL_STATE(3178)] = 94648,
  [SMALL_STATE(3179)] = 94770,
  [SMALL_STATE(3180)] = 94892,
  [SMALL_STATE(3181)] = 95014,
  [SMALL_STATE(3182)] = 95136,
  [SMALL_STATE(3183)] = 95255,
  [SMALL_STATE(3184)] = 95374,
  [SMALL_STATE(3185)] = 95493,
  [SMALL_STATE(3186)] = 95612,
  [SMALL_STATE(3187)] = 95731,
  [SMALL_STATE(3188)] = 95850,
  [SMALL_STATE(3189)] = 95969,
  [SMALL_STATE(3190)] = 96088,
  [SMALL_STATE(3191)] = 96207,
  [SMALL_STATE(3192)] = 96326,
  [SMALL_STATE(3193)] = 96445,
  [SMALL_STATE(3194)] = 96564,
  [SMALL_STATE(3195)] = 96683,
  [SMALL_STATE(3196)] = 96802,
  [SMALL_STATE(3197)] = 96921,
  [SMALL_STATE(3198)] = 97040,
  [SMALL_STATE(3199)] = 97159,
  [SMALL_STATE(3200)] = 97278,
  [SMALL_STATE(3201)] = 97397,
  [SMALL_STATE(3202)] = 97516,
  [SMALL_STATE(3203)] = 97585,
  [SMALL_STATE(3204)] = 97704,
  [SMALL_STATE(3205)] = 97823,
  [SMALL_STATE(3206)] = 97942,
  [SMALL_STATE(3207)] = 98061,
  [SMALL_STATE(3208)] = 98180,
  [SMALL_STATE(3209)] = 98299,
  [SMALL_STATE(3210)] = 98418,
  [SMALL_STATE(3211)] = 98537,
  [SMALL_STATE(3212)] = 98656,
  [SMALL_STATE(3213)] = 98775,
  [SMALL_STATE(3214)] = 98894,
  [SMALL_STATE(3215)] = 99013,
  [SMALL_STATE(3216)] = 99132,
  [SMALL_STATE(3217)] = 99251,
  [SMALL_STATE(3218)] = 99370,
  [SMALL_STATE(3219)] = 99489,
  [SMALL_STATE(3220)] = 99608,
  [SMALL_STATE(3221)] = 99727,
  [SMALL_STATE(3222)] = 99846,
  [SMALL_STATE(3223)] = 99965,
  [SMALL_STATE(3224)] = 100084,
  [SMALL_STATE(3225)] = 100203,
  [SMALL_STATE(3226)] = 100322,
  [SMALL_STATE(3227)] = 100441,
  [SMALL_STATE(3228)] = 100560,
  [SMALL_STATE(3229)] = 100679,
  [SMALL_STATE(3230)] = 100798,
  [SMALL_STATE(3231)] = 100917,
  [SMALL_STATE(3232)] = 101036,
  [SMALL_STATE(3233)] = 101155,
  [SMALL_STATE(3234)] = 101274,
  [SMALL_STATE(3235)] = 101393,
  [SMALL_STATE(3236)] = 101512,
  [SMALL_STATE(3237)] = 101631,
  [SMALL_STATE(3238)] = 101750,
  [SMALL_STATE(3239)] = 101869,
  [SMALL_STATE(3240)] = 101988,
  [SMALL_STATE(3241)] = 102107,
  [SMALL_STATE(3242)] = 102226,
  [SMALL_STATE(3243)] = 102345,
  [SMALL_STATE(3244)] = 102464,
  [SMALL_STATE(3245)] = 102583,
  [SMALL_STATE(3246)] = 102702,
  [SMALL_STATE(3247)] = 102821,
  [SMALL_STATE(3248)] = 102940,
  [SMALL_STATE(3249)] = 103059,
  [SMALL_STATE(3250)] = 103178,
  [SMALL_STATE(3251)] = 103297,
  [SMALL_STATE(3252)] = 103416,
  [SMALL_STATE(3253)] = 103535,
  [SMALL_STATE(3254)] = 103654,
  [SMALL_STATE(3255)] = 103773,
  [SMALL_STATE(3256)] = 103892,
  [SMALL_STATE(3257)] = 104011,
  [SMALL_STATE(3258)] = 104130,
  [SMALL_STATE(3259)] = 104249,
  [SMALL_STATE(3260)] = 104368,
  [SMALL_STATE(3261)] = 104487,
  [SMALL_STATE(3262)] = 104606,
  [SMALL_STATE(3263)] = 104725,
  [SMALL_STATE(3264)] = 104844,
  [SMALL_STATE(3265)] = 104963,
  [SMALL_STATE(3266)] = 105082,
  [SMALL_STATE(3267)] = 105201,
  [SMALL_STATE(3268)] = 105320,
  [SMALL_STATE(3269)] = 105439,
  [SMALL_STATE(3270)] = 105558,
  [SMALL_STATE(3271)] = 105677,
  [SMALL_STATE(3272)] = 105796,
  [SMALL_STATE(3273)] = 105915,
  [SMALL_STATE(3274)] = 106034,
  [SMALL_STATE(3275)] = 106153,
  [SMALL_STATE(3276)] = 106272,
  [SMALL_STATE(3277)] = 106391,
  [SMALL_STATE(3278)] = 106510,
  [SMALL_STATE(3279)] = 106629,
  [SMALL_STATE(3280)] = 106748,
  [SMALL_STATE(3281)] = 106867,
  [SMALL_STATE(3282)] = 106986,
  [SMALL_STATE(3283)] = 107105,
  [SMALL_STATE(3284)] = 107224,
  [SMALL_STATE(3285)] = 107343,
  [SMALL_STATE(3286)] = 107462,
  [SMALL_STATE(3287)] = 107581,
  [SMALL_STATE(3288)] = 107700,
  [SMALL_STATE(3289)] = 107819,
  [SMALL_STATE(3290)] = 107938,
  [SMALL_STATE(3291)] = 108057,
  [SMALL_STATE(3292)] = 108176,
  [SMALL_STATE(3293)] = 108295,
  [SMALL_STATE(3294)] = 108414,
  [SMALL_STATE(3295)] = 108533,
  [SMALL_STATE(3296)] = 108652,
  [SMALL_STATE(3297)] = 108771,
  [SMALL_STATE(3298)] = 108890,
  [SMALL_STATE(3299)] = 109009,
  [SMALL_STATE(3300)] = 109128,
  [SMALL_STATE(3301)] = 109247,
  [SMALL_STATE(3302)] = 109366,
  [SMALL_STATE(3303)] = 109485,
  [SMALL_STATE(3304)] = 109604,
  [SMALL_STATE(3305)] = 109723,
  [SMALL_STATE(3306)] = 109842,
  [SMALL_STATE(3307)] = 109961,
  [SMALL_STATE(3308)] = 110080,
  [SMALL_STATE(3309)] = 110199,
  [SMALL_STATE(3310)] = 110318,
  [SMALL_STATE(3311)] = 110437,
  [SMALL_STATE(3312)] = 110556,
  [SMALL_STATE(3313)] = 110675,
  [SMALL_STATE(3314)] = 110794,
  [SMALL_STATE(3315)] = 110913,
  [SMALL_STATE(3316)] = 111032,
  [SMALL_STATE(3317)] = 111151,
  [SMALL_STATE(3318)] = 111270,
  [SMALL_STATE(3319)] = 111389,
  [SMALL_STATE(3320)] = 111508,
  [SMALL_STATE(3321)] = 111627,
  [SMALL_STATE(3322)] = 111746,
  [SMALL_STATE(3323)] = 111865,
  [SMALL_STATE(3324)] = 111984,
  [SMALL_STATE(3325)] = 112103,
  [SMALL_STATE(3326)] = 112222,
  [SMALL_STATE(3327)] = 112341,
  [SMALL_STATE(3328)] = 112460,
  [SMALL_STATE(3329)] = 112579,
  [SMALL_STATE(3330)] = 112698,
  [SMALL_STATE(3331)] = 112817,
  [SMALL_STATE(3332)] = 112936,
  [SMALL_STATE(3333)] = 113055,
  [SMALL_STATE(3334)] = 113174,
  [SMALL_STATE(3335)] = 113293,
  [SMALL_STATE(3336)] = 113412,
  [SMALL_STATE(3337)] = 113531,
  [SMALL_STATE(3338)] = 113650,
  [SMALL_STATE(3339)] = 113769,
  [SMALL_STATE(3340)] = 113888,
  [SMALL_STATE(3341)] = 114007,
  [SMALL_STATE(3342)] = 114126,
  [SMALL_STATE(3343)] = 114245,
  [SMALL_STATE(3344)] = 114364,
  [SMALL_STATE(3345)] = 114483,
  [SMALL_STATE(3346)] = 114602,
  [SMALL_STATE(3347)] = 114721,
  [SMALL_STATE(3348)] = 114840,
  [SMALL_STATE(3349)] = 114959,
  [SMALL_STATE(3350)] = 115078,
  [SMALL_STATE(3351)] = 115197,
  [SMALL_STATE(3352)] = 115316,
  [SMALL_STATE(3353)] = 115435,
  [SMALL_STATE(3354)] = 115554,
  [SMALL_STATE(3355)] = 115673,
  [SMALL_STATE(3356)] = 115792,
  [SMALL_STATE(3357)] = 115911,
  [SMALL_STATE(3358)] = 116030,
  [SMALL_STATE(3359)] = 116149,
  [SMALL_STATE(3360)] = 116268,
  [SMALL_STATE(3361)] = 116387,
  [SMALL_STATE(3362)] = 116506,
  [SMALL_STATE(3363)] = 116625,
  [SMALL_STATE(3364)] = 116744,
  [SMALL_STATE(3365)] = 116863,
  [SMALL_STATE(3366)] = 116982,
  [SMALL_STATE(3367)] = 117101,
  [SMALL_STATE(3368)] = 117220,
  [SMALL_STATE(3369)] = 117339,
  [SMALL_STATE(3370)] = 117458,
  [SMALL_STATE(3371)] = 117577,
  [SMALL_STATE(3372)] = 117696,
  [SMALL_STATE(3373)] = 117815,
  [SMALL_STATE(3374)] = 117934,
  [SMALL_STATE(3375)] = 118053,
  [SMALL_STATE(3376)] = 118172,
  [SMALL_STATE(3377)] = 118291,
  [SMALL_STATE(3378)] = 118410,
  [SMALL_STATE(3379)] = 118529,
  [SMALL_STATE(3380)] = 118648,
  [SMALL_STATE(3381)] = 118767,
  [SMALL_STATE(3382)] = 118886,
  [SMALL_STATE(3383)] = 119005,
  [SMALL_STATE(3384)] = 119124,
  [SMALL_STATE(3385)] = 119243,
  [SMALL_STATE(3386)] = 119362,
  [SMALL_STATE(3387)] = 119481,
  [SMALL_STATE(3388)] = 119600,
  [SMALL_STATE(3389)] = 119719,
  [SMALL_STATE(3390)] = 119838,
  [SMALL_STATE(3391)] = 119957,
  [SMALL_STATE(3392)] = 120076,
  [SMALL_STATE(3393)] = 120195,
  [SMALL_STATE(3394)] = 120314,
  [SMALL_STATE(3395)] = 120433,
  [SMALL_STATE(3396)] = 120552,
  [SMALL_STATE(3397)] = 120671,
  [SMALL_STATE(3398)] = 120790,
  [SMALL_STATE(3399)] = 120909,
  [SMALL_STATE(3400)] = 121028,
  [SMALL_STATE(3401)] = 121147,
  [SMALL_STATE(3402)] = 121266,
  [SMALL_STATE(3403)] = 121385,
  [SMALL_STATE(3404)] = 121504,
  [SMALL_STATE(3405)] = 121623,
  [SMALL_STATE(3406)] = 121742,
  [SMALL_STATE(3407)] = 121861,
  [SMALL_STATE(3408)] = 121980,
  [SMALL_STATE(3409)] = 122099,
  [SMALL_STATE(3410)] = 122218,
  [SMALL_STATE(3411)] = 122337,
  [SMALL_STATE(3412)] = 122456,
  [SMALL_STATE(3413)] = 122575,
  [SMALL_STATE(3414)] = 122694,
  [SMALL_STATE(3415)] = 122813,
  [SMALL_STATE(3416)] = 122932,
  [SMALL_STATE(3417)] = 123051,
  [SMALL_STATE(3418)] = 123170,
  [SMALL_STATE(3419)] = 123289,
  [SMALL_STATE(3420)] = 123408,
  [SMALL_STATE(3421)] = 123527,
  [SMALL_STATE(3422)] = 123646,
  [SMALL_STATE(3423)] = 123765,
  [SMALL_STATE(3424)] = 123884,
  [SMALL_STATE(3425)] = 124003,
  [SMALL_STATE(3426)] = 124122,
  [SMALL_STATE(3427)] = 124241,
  [SMALL_STATE(3428)] = 124360,
  [SMALL_STATE(3429)] = 124479,
  [SMALL_STATE(3430)] = 124598,
  [SMALL_STATE(3431)] = 124717,
  [SMALL_STATE(3432)] = 124836,
  [SMALL_STATE(3433)] = 124955,
  [SMALL_STATE(3434)] = 125074,
  [SMALL_STATE(3435)] = 125193,
  [SMALL_STATE(3436)] = 125312,
  [SMALL_STATE(3437)] = 125431,
  [SMALL_STATE(3438)] = 125550,
  [SMALL_STATE(3439)] = 125669,
  [SMALL_STATE(3440)] = 125788,
  [SMALL_STATE(3441)] = 125907,
  [SMALL_STATE(3442)] = 126026,
  [SMALL_STATE(3443)] = 126145,
  [SMALL_STATE(3444)] = 126264,
  [SMALL_STATE(3445)] = 126383,
  [SMALL_STATE(3446)] = 126502,
  [SMALL_STATE(3447)] = 126621,
  [SMALL_STATE(3448)] = 126740,
  [SMALL_STATE(3449)] = 126859,
  [SMALL_STATE(3450)] = 126978,
  [SMALL_STATE(3451)] = 127097,
  [SMALL_STATE(3452)] = 127216,
  [SMALL_STATE(3453)] = 127335,
  [SMALL_STATE(3454)] = 127454,
  [SMALL_STATE(3455)] = 127573,
  [SMALL_STATE(3456)] = 127692,
  [SMALL_STATE(3457)] = 127811,
  [SMALL_STATE(3458)] = 127930,
  [SMALL_STATE(3459)] = 128049,
  [SMALL_STATE(3460)] = 128168,
  [SMALL_STATE(3461)] = 128287,
  [SMALL_STATE(3462)] = 128406,
  [SMALL_STATE(3463)] = 128525,
  [SMALL_STATE(3464)] = 128644,
  [SMALL_STATE(3465)] = 128763,
  [SMALL_STATE(3466)] = 128882,
  [SMALL_STATE(3467)] = 129001,
  [SMALL_STATE(3468)] = 129120,
  [SMALL_STATE(3469)] = 129239,
  [SMALL_STATE(3470)] = 129358,
  [SMALL_STATE(3471)] = 129477,
  [SMALL_STATE(3472)] = 129596,
  [SMALL_STATE(3473)] = 129715,
  [SMALL_STATE(3474)] = 129834,
  [SMALL_STATE(3475)] = 129953,
  [SMALL_STATE(3476)] = 130072,
  [SMALL_STATE(3477)] = 130191,
  [SMALL_STATE(3478)] = 130310,
  [SMALL_STATE(3479)] = 130429,
  [SMALL_STATE(3480)] = 130548,
  [SMALL_STATE(3481)] = 130667,
  [SMALL_STATE(3482)] = 130786,
  [SMALL_STATE(3483)] = 130905,
  [SMALL_STATE(3484)] = 131024,
  [SMALL_STATE(3485)] = 131143,
  [SMALL_STATE(3486)] = 131262,
  [SMALL_STATE(3487)] = 131381,
  [SMALL_STATE(3488)] = 131500,
  [SMALL_STATE(3489)] = 131619,
  [SMALL_STATE(3490)] = 131738,
  [SMALL_STATE(3491)] = 131857,
  [SMALL_STATE(3492)] = 131976,
  [SMALL_STATE(3493)] = 132095,
  [SMALL_STATE(3494)] = 132214,
  [SMALL_STATE(3495)] = 132333,
  [SMALL_STATE(3496)] = 132452,
  [SMALL_STATE(3497)] = 132571,
  [SMALL_STATE(3498)] = 132690,
  [SMALL_STATE(3499)] = 132809,
  [SMALL_STATE(3500)] = 132928,
  [SMALL_STATE(3501)] = 133047,
  [SMALL_STATE(3502)] = 133166,
  [SMALL_STATE(3503)] = 133285,
  [SMALL_STATE(3504)] = 133404,
  [SMALL_STATE(3505)] = 133523,
  [SMALL_STATE(3506)] = 133642,
  [SMALL_STATE(3507)] = 133761,
  [SMALL_STATE(3508)] = 133880,
  [SMALL_STATE(3509)] = 133999,
  [SMALL_STATE(3510)] = 134118,
  [SMALL_STATE(3511)] = 134237,
  [SMALL_STATE(3512)] = 134356,
  [SMALL_STATE(3513)] = 134475,
  [SMALL_STATE(3514)] = 134594,
  [SMALL_STATE(3515)] = 134713,
  [SMALL_STATE(3516)] = 134832,
  [SMALL_STATE(3517)] = 134951,
  [SMALL_STATE(3518)] = 135070,
  [SMALL_STATE(3519)] = 135189,
  [SMALL_STATE(3520)] = 135308,
  [SMALL_STATE(3521)] = 135427,
  [SMALL_STATE(3522)] = 135546,
  [SMALL_STATE(3523)] = 135665,
  [SMALL_STATE(3524)] = 135784,
  [SMALL_STATE(3525)] = 135903,
  [SMALL_STATE(3526)] = 136022,
  [SMALL_STATE(3527)] = 136141,
  [SMALL_STATE(3528)] = 136260,
  [SMALL_STATE(3529)] = 136379,
  [SMALL_STATE(3530)] = 136498,
  [SMALL_STATE(3531)] = 136617,
  [SMALL_STATE(3532)] = 136736,
  [SMALL_STATE(3533)] = 136855,
  [SMALL_STATE(3534)] = 136974,
  [SMALL_STATE(3535)] = 137093,
  [SMALL_STATE(3536)] = 137212,
  [SMALL_STATE(3537)] = 137331,
  [SMALL_STATE(3538)] = 137450,
  [SMALL_STATE(3539)] = 137569,
  [SMALL_STATE(3540)] = 137688,
  [SMALL_STATE(3541)] = 137807,
  [SMALL_STATE(3542)] = 137926,
  [SMALL_STATE(3543)] = 138045,
  [SMALL_STATE(3544)] = 138164,
  [SMALL_STATE(3545)] = 138283,
  [SMALL_STATE(3546)] = 138402,
  [SMALL_STATE(3547)] = 138521,
  [SMALL_STATE(3548)] = 138640,
  [SMALL_STATE(3549)] = 138759,
  [SMALL_STATE(3550)] = 138878,
  [SMALL_STATE(3551)] = 138997,
  [SMALL_STATE(3552)] = 139116,
  [SMALL_STATE(3553)] = 139235,
  [SMALL_STATE(3554)] = 139354,
  [SMALL_STATE(3555)] = 139473,
  [SMALL_STATE(3556)] = 139592,
  [SMALL_STATE(3557)] = 139711,
  [SMALL_STATE(3558)] = 139830,
  [SMALL_STATE(3559)] = 139949,
  [SMALL_STATE(3560)] = 140068,
  [SMALL_STATE(3561)] = 140187,
  [SMALL_STATE(3562)] = 140306,
  [SMALL_STATE(3563)] = 140425,
  [SMALL_STATE(3564)] = 140544,
  [SMALL_STATE(3565)] = 140663,
  [SMALL_STATE(3566)] = 140782,
  [SMALL_STATE(3567)] = 140901,
  [SMALL_STATE(3568)] = 141020,
  [SMALL_STATE(3569)] = 141139,
  [SMALL_STATE(3570)] = 141258,
  [SMALL_STATE(3571)] = 141377,
  [SMALL_STATE(3572)] = 141496,
  [SMALL_STATE(3573)] = 141615,
  [SMALL_STATE(3574)] = 141734,
  [SMALL_STATE(3575)] = 141853,
  [SMALL_STATE(3576)] = 141972,
  [SMALL_STATE(3577)] = 142091,
  [SMALL_STATE(3578)] = 142210,
  [SMALL_STATE(3579)] = 142329,
  [SMALL_STATE(3580)] = 142448,
  [SMALL_STATE(3581)] = 142567,
  [SMALL_STATE(3582)] = 142686,
  [SMALL_STATE(3583)] = 142805,
  [SMALL_STATE(3584)] = 142924,
  [SMALL_STATE(3585)] = 143043,
  [SMALL_STATE(3586)] = 143112,
  [SMALL_STATE(3587)] = 143231,
  [SMALL_STATE(3588)] = 143350,
  [SMALL_STATE(3589)] = 143469,
  [SMALL_STATE(3590)] = 143588,
  [SMALL_STATE(3591)] = 143707,
  [SMALL_STATE(3592)] = 143826,
  [SMALL_STATE(3593)] = 143945,
  [SMALL_STATE(3594)] = 144014,
  [SMALL_STATE(3595)] = 144133,
  [SMALL_STATE(3596)] = 144252,
  [SMALL_STATE(3597)] = 144371,
  [SMALL_STATE(3598)] = 144490,
  [SMALL_STATE(3599)] = 144609,
  [SMALL_STATE(3600)] = 144728,
  [SMALL_STATE(3601)] = 144847,
  [SMALL_STATE(3602)] = 144966,
  [SMALL_STATE(3603)] = 145085,
  [SMALL_STATE(3604)] = 145204,
  [SMALL_STATE(3605)] = 145323,
  [SMALL_STATE(3606)] = 145442,
  [SMALL_STATE(3607)] = 145561,
  [SMALL_STATE(3608)] = 145680,
  [SMALL_STATE(3609)] = 145799,
  [SMALL_STATE(3610)] = 145918,
  [SMALL_STATE(3611)] = 146037,
  [SMALL_STATE(3612)] = 146156,
  [SMALL_STATE(3613)] = 146275,
  [SMALL_STATE(3614)] = 146394,
  [SMALL_STATE(3615)] = 146513,
  [SMALL_STATE(3616)] = 146632,
  [SMALL_STATE(3617)] = 146751,
  [SMALL_STATE(3618)] = 146870,
  [SMALL_STATE(3619)] = 146989,
  [SMALL_STATE(3620)] = 147108,
  [SMALL_STATE(3621)] = 147227,
  [SMALL_STATE(3622)] = 147346,
  [SMALL_STATE(3623)] = 147465,
  [SMALL_STATE(3624)] = 147584,
  [SMALL_STATE(3625)] = 147703,
  [SMALL_STATE(3626)] = 147822,
  [SMALL_STATE(3627)] = 147941,
  [SMALL_STATE(3628)] = 148060,
  [SMALL_STATE(3629)] = 148179,
  [SMALL_STATE(3630)] = 148298,
  [SMALL_STATE(3631)] = 148417,
  [SMALL_STATE(3632)] = 148536,
  [SMALL_STATE(3633)] = 148655,
  [SMALL_STATE(3634)] = 148774,
  [SMALL_STATE(3635)] = 148893,
  [SMALL_STATE(3636)] = 149012,
  [SMALL_STATE(3637)] = 149131,
  [SMALL_STATE(3638)] = 149250,
  [SMALL_STATE(3639)] = 149369,
  [SMALL_STATE(3640)] = 149488,
  [SMALL_STATE(3641)] = 149557,
  [SMALL_STATE(3642)] = 149676,
  [SMALL_STATE(3643)] = 149795,
  [SMALL_STATE(3644)] = 149914,
  [SMALL_STATE(3645)] = 150033,
  [SMALL_STATE(3646)] = 150152,
  [SMALL_STATE(3647)] = 150271,
  [SMALL_STATE(3648)] = 150390,
  [SMALL_STATE(3649)] = 150509,
  [SMALL_STATE(3650)] = 150628,
  [SMALL_STATE(3651)] = 150747,
  [SMALL_STATE(3652)] = 150866,
  [SMALL_STATE(3653)] = 150985,
  [SMALL_STATE(3654)] = 151104,
  [SMALL_STATE(3655)] = 151223,
  [SMALL_STATE(3656)] = 151342,
  [SMALL_STATE(3657)] = 151461,
  [SMALL_STATE(3658)] = 151580,
  [SMALL_STATE(3659)] = 151699,
  [SMALL_STATE(3660)] = 151818,
  [SMALL_STATE(3661)] = 151937,
  [SMALL_STATE(3662)] = 152056,
  [SMALL_STATE(3663)] = 152175,
  [SMALL_STATE(3664)] = 152294,
  [SMALL_STATE(3665)] = 152413,
  [SMALL_STATE(3666)] = 152532,
  [SMALL_STATE(3667)] = 152651,
  [SMALL_STATE(3668)] = 152770,
  [SMALL_STATE(3669)] = 152889,
  [SMALL_STATE(3670)] = 153008,
  [SMALL_STATE(3671)] = 153127,
  [SMALL_STATE(3672)] = 153246,
  [SMALL_STATE(3673)] = 153365,
  [SMALL_STATE(3674)] = 153484,
  [SMALL_STATE(3675)] = 153603,
  [SMALL_STATE(3676)] = 153722,
  [SMALL_STATE(3677)] = 153841,
  [SMALL_STATE(3678)] = 153960,
  [SMALL_STATE(3679)] = 154079,
  [SMALL_STATE(3680)] = 154198,
  [SMALL_STATE(3681)] = 154317,
  [SMALL_STATE(3682)] = 154436,
  [SMALL_STATE(3683)] = 154555,
  [SMALL_STATE(3684)] = 154674,
  [SMALL_STATE(3685)] = 154793,
  [SMALL_STATE(3686)] = 154912,
  [SMALL_STATE(3687)] = 155031,
  [SMALL_STATE(3688)] = 155150,
  [SMALL_STATE(3689)] = 155269,
  [SMALL_STATE(3690)] = 155388,
  [SMALL_STATE(3691)] = 155507,
  [SMALL_STATE(3692)] = 155626,
  [SMALL_STATE(3693)] = 155745,
  [SMALL_STATE(3694)] = 155864,
  [SMALL_STATE(3695)] = 155983,
  [SMALL_STATE(3696)] = 156102,
  [SMALL_STATE(3697)] = 156221,
  [SMALL_STATE(3698)] = 156340,
  [SMALL_STATE(3699)] = 156459,
  [SMALL_STATE(3700)] = 156578,
  [SMALL_STATE(3701)] = 156697,
  [SMALL_STATE(3702)] = 156816,
  [SMALL_STATE(3703)] = 156935,
  [SMALL_STATE(3704)] = 157054,
  [SMALL_STATE(3705)] = 157173,
  [SMALL_STATE(3706)] = 157292,
  [SMALL_STATE(3707)] = 157411,
  [SMALL_STATE(3708)] = 157530,
  [SMALL_STATE(3709)] = 157649,
  [SMALL_STATE(3710)] = 157768,
  [SMALL_STATE(3711)] = 157887,
  [SMALL_STATE(3712)] = 158006,
  [SMALL_STATE(3713)] = 158125,
  [SMALL_STATE(3714)] = 158244,
  [SMALL_STATE(3715)] = 158363,
  [SMALL_STATE(3716)] = 158482,
  [SMALL_STATE(3717)] = 158601,
  [SMALL_STATE(3718)] = 158720,
  [SMALL_STATE(3719)] = 158839,
  [SMALL_STATE(3720)] = 158958,
  [SMALL_STATE(3721)] = 159077,
  [SMALL_STATE(3722)] = 159196,
  [SMALL_STATE(3723)] = 159315,
  [SMALL_STATE(3724)] = 159434,
  [SMALL_STATE(3725)] = 159553,
  [SMALL_STATE(3726)] = 159672,
  [SMALL_STATE(3727)] = 159791,
  [SMALL_STATE(3728)] = 159910,
  [SMALL_STATE(3729)] = 160029,
  [SMALL_STATE(3730)] = 160148,
  [SMALL_STATE(3731)] = 160267,
  [SMALL_STATE(3732)] = 160386,
  [SMALL_STATE(3733)] = 160505,
  [SMALL_STATE(3734)] = 160624,
  [SMALL_STATE(3735)] = 160743,
  [SMALL_STATE(3736)] = 160862,
  [SMALL_STATE(3737)] = 160981,
  [SMALL_STATE(3738)] = 161100,
  [SMALL_STATE(3739)] = 161219,
  [SMALL_STATE(3740)] = 161338,
  [SMALL_STATE(3741)] = 161457,
  [SMALL_STATE(3742)] = 161576,
  [SMALL_STATE(3743)] = 161695,
  [SMALL_STATE(3744)] = 161814,
  [SMALL_STATE(3745)] = 161933,
  [SMALL_STATE(3746)] = 162052,
  [SMALL_STATE(3747)] = 162171,
  [SMALL_STATE(3748)] = 162290,
  [SMALL_STATE(3749)] = 162409,
  [SMALL_STATE(3750)] = 162528,
  [SMALL_STATE(3751)] = 162647,
  [SMALL_STATE(3752)] = 162766,
  [SMALL_STATE(3753)] = 162885,
  [SMALL_STATE(3754)] = 163004,
  [SMALL_STATE(3755)] = 163123,
  [SMALL_STATE(3756)] = 163242,
  [SMALL_STATE(3757)] = 163361,
  [SMALL_STATE(3758)] = 163480,
  [SMALL_STATE(3759)] = 163599,
  [SMALL_STATE(3760)] = 163718,
  [SMALL_STATE(3761)] = 163837,
  [SMALL_STATE(3762)] = 163956,
  [SMALL_STATE(3763)] = 164075,
  [SMALL_STATE(3764)] = 164194,
  [SMALL_STATE(3765)] = 164313,
  [SMALL_STATE(3766)] = 164432,
  [SMALL_STATE(3767)] = 164551,
  [SMALL_STATE(3768)] = 164670,
  [SMALL_STATE(3769)] = 164789,
  [SMALL_STATE(3770)] = 164908,
  [SMALL_STATE(3771)] = 165027,
  [SMALL_STATE(3772)] = 165146,
  [SMALL_STATE(3773)] = 165265,
  [SMALL_STATE(3774)] = 165384,
  [SMALL_STATE(3775)] = 165503,
  [SMALL_STATE(3776)] = 165622,
  [SMALL_STATE(3777)] = 165741,
  [SMALL_STATE(3778)] = 165860,
  [SMALL_STATE(3779)] = 165979,
  [SMALL_STATE(3780)] = 166098,
  [SMALL_STATE(3781)] = 166217,
  [SMALL_STATE(3782)] = 166336,
  [SMALL_STATE(3783)] = 166455,
  [SMALL_STATE(3784)] = 166574,
  [SMALL_STATE(3785)] = 166693,
  [SMALL_STATE(3786)] = 166812,
  [SMALL_STATE(3787)] = 166931,
  [SMALL_STATE(3788)] = 167050,
  [SMALL_STATE(3789)] = 167169,
  [SMALL_STATE(3790)] = 167288,
  [SMALL_STATE(3791)] = 167407,
  [SMALL_STATE(3792)] = 167526,
  [SMALL_STATE(3793)] = 167645,
  [SMALL_STATE(3794)] = 167764,
  [SMALL_STATE(3795)] = 167883,
  [SMALL_STATE(3796)] = 168002,
  [SMALL_STATE(3797)] = 168121,
  [SMALL_STATE(3798)] = 168240,
  [SMALL_STATE(3799)] = 168359,
  [SMALL_STATE(3800)] = 168478,
  [SMALL_STATE(3801)] = 168597,
  [SMALL_STATE(3802)] = 168716,
  [SMALL_STATE(3803)] = 168835,
  [SMALL_STATE(3804)] = 168954,
  [SMALL_STATE(3805)] = 169073,
  [SMALL_STATE(3806)] = 169192,
  [SMALL_STATE(3807)] = 169311,
  [SMALL_STATE(3808)] = 169430,
  [SMALL_STATE(3809)] = 169549,
  [SMALL_STATE(3810)] = 169668,
  [SMALL_STATE(3811)] = 169787,
  [SMALL_STATE(3812)] = 169906,
  [SMALL_STATE(3813)] = 170025,
  [SMALL_STATE(3814)] = 170144,
  [SMALL_STATE(3815)] = 170263,
  [SMALL_STATE(3816)] = 170382,
  [SMALL_STATE(3817)] = 170501,
  [SMALL_STATE(3818)] = 170620,
  [SMALL_STATE(3819)] = 170739,
  [SMALL_STATE(3820)] = 170858,
  [SMALL_STATE(3821)] = 170977,
  [SMALL_STATE(3822)] = 171096,
  [SMALL_STATE(3823)] = 171215,
  [SMALL_STATE(3824)] = 171334,
  [SMALL_STATE(3825)] = 171453,
  [SMALL_STATE(3826)] = 171572,
  [SMALL_STATE(3827)] = 171691,
  [SMALL_STATE(3828)] = 171760,
  [SMALL_STATE(3829)] = 171879,
  [SMALL_STATE(3830)] = 171998,
  [SMALL_STATE(3831)] = 172117,
  [SMALL_STATE(3832)] = 172236,
  [SMALL_STATE(3833)] = 172355,
  [SMALL_STATE(3834)] = 172474,
  [SMALL_STATE(3835)] = 172593,
  [SMALL_STATE(3836)] = 172712,
  [SMALL_STATE(3837)] = 172831,
  [SMALL_STATE(3838)] = 172950,
  [SMALL_STATE(3839)] = 173069,
  [SMALL_STATE(3840)] = 173188,
  [SMALL_STATE(3841)] = 173307,
  [SMALL_STATE(3842)] = 173426,
  [SMALL_STATE(3843)] = 173545,
  [SMALL_STATE(3844)] = 173664,
  [SMALL_STATE(3845)] = 173783,
  [SMALL_STATE(3846)] = 173902,
  [SMALL_STATE(3847)] = 174021,
  [SMALL_STATE(3848)] = 174140,
  [SMALL_STATE(3849)] = 174259,
  [SMALL_STATE(3850)] = 174378,
  [SMALL_STATE(3851)] = 174497,
  [SMALL_STATE(3852)] = 174616,
  [SMALL_STATE(3853)] = 174735,
  [SMALL_STATE(3854)] = 174854,
  [SMALL_STATE(3855)] = 174973,
  [SMALL_STATE(3856)] = 175042,
  [SMALL_STATE(3857)] = 175161,
  [SMALL_STATE(3858)] = 175280,
  [SMALL_STATE(3859)] = 175399,
  [SMALL_STATE(3860)] = 175518,
  [SMALL_STATE(3861)] = 175637,
  [SMALL_STATE(3862)] = 175756,
  [SMALL_STATE(3863)] = 175875,
  [SMALL_STATE(3864)] = 175994,
  [SMALL_STATE(3865)] = 176113,
  [SMALL_STATE(3866)] = 176232,
  [SMALL_STATE(3867)] = 176351,
  [SMALL_STATE(3868)] = 176470,
  [SMALL_STATE(3869)] = 176589,
  [SMALL_STATE(3870)] = 176708,
  [SMALL_STATE(3871)] = 176827,
  [SMALL_STATE(3872)] = 176946,
  [SMALL_STATE(3873)] = 177065,
  [SMALL_STATE(3874)] = 177184,
  [SMALL_STATE(3875)] = 177303,
  [SMALL_STATE(3876)] = 177422,
  [SMALL_STATE(3877)] = 177541,
  [SMALL_STATE(3878)] = 177660,
  [SMALL_STATE(3879)] = 177779,
  [SMALL_STATE(3880)] = 177898,
  [SMALL_STATE(3881)] = 178017,
  [SMALL_STATE(3882)] = 178136,
  [SMALL_STATE(3883)] = 178255,
  [SMALL_STATE(3884)] = 178374,
  [SMALL_STATE(3885)] = 178493,
  [SMALL_STATE(3886)] = 178612,
  [SMALL_STATE(3887)] = 178731,
  [SMALL_STATE(3888)] = 178850,
  [SMALL_STATE(3889)] = 178969,
  [SMALL_STATE(3890)] = 179088,
  [SMALL_STATE(3891)] = 179207,
  [SMALL_STATE(3892)] = 179326,
  [SMALL_STATE(3893)] = 179445,
  [SMALL_STATE(3894)] = 179564,
  [SMALL_STATE(3895)] = 179683,
  [SMALL_STATE(3896)] = 179802,
  [SMALL_STATE(3897)] = 179921,
  [SMALL_STATE(3898)] = 180040,
  [SMALL_STATE(3899)] = 180159,
  [SMALL_STATE(3900)] = 180278,
  [SMALL_STATE(3901)] = 180397,
  [SMALL_STATE(3902)] = 180516,
  [SMALL_STATE(3903)] = 180635,
  [SMALL_STATE(3904)] = 180754,
  [SMALL_STATE(3905)] = 180873,
  [SMALL_STATE(3906)] = 180992,
  [SMALL_STATE(3907)] = 181111,
  [SMALL_STATE(3908)] = 181230,
  [SMALL_STATE(3909)] = 181349,
  [SMALL_STATE(3910)] = 181468,
  [SMALL_STATE(3911)] = 181587,
  [SMALL_STATE(3912)] = 181706,
  [SMALL_STATE(3913)] = 181825,
  [SMALL_STATE(3914)] = 181944,
  [SMALL_STATE(3915)] = 182063,
  [SMALL_STATE(3916)] = 182182,
  [SMALL_STATE(3917)] = 182301,
  [SMALL_STATE(3918)] = 182420,
  [SMALL_STATE(3919)] = 182539,
  [SMALL_STATE(3920)] = 182658,
  [SMALL_STATE(3921)] = 182777,
  [SMALL_STATE(3922)] = 182896,
  [SMALL_STATE(3923)] = 183015,
  [SMALL_STATE(3924)] = 183134,
  [SMALL_STATE(3925)] = 183253,
  [SMALL_STATE(3926)] = 183372,
  [SMALL_STATE(3927)] = 183491,
  [SMALL_STATE(3928)] = 183610,
  [SMALL_STATE(3929)] = 183729,
  [SMALL_STATE(3930)] = 183848,
  [SMALL_STATE(3931)] = 183967,
  [SMALL_STATE(3932)] = 184086,
  [SMALL_STATE(3933)] = 184205,
  [SMALL_STATE(3934)] = 184324,
  [SMALL_STATE(3935)] = 184443,
  [SMALL_STATE(3936)] = 184562,
  [SMALL_STATE(3937)] = 184681,
  [SMALL_STATE(3938)] = 184800,
  [SMALL_STATE(3939)] = 184919,
  [SMALL_STATE(3940)] = 185038,
  [SMALL_STATE(3941)] = 185157,
  [SMALL_STATE(3942)] = 185276,
  [SMALL_STATE(3943)] = 185395,
  [SMALL_STATE(3944)] = 185514,
  [SMALL_STATE(3945)] = 185633,
  [SMALL_STATE(3946)] = 185752,
  [SMALL_STATE(3947)] = 185871,
  [SMALL_STATE(3948)] = 185990,
  [SMALL_STATE(3949)] = 186109,
  [SMALL_STATE(3950)] = 186228,
  [SMALL_STATE(3951)] = 186347,
  [SMALL_STATE(3952)] = 186466,
  [SMALL_STATE(3953)] = 186585,
  [SMALL_STATE(3954)] = 186704,
  [SMALL_STATE(3955)] = 186823,
  [SMALL_STATE(3956)] = 186942,
  [SMALL_STATE(3957)] = 187061,
  [SMALL_STATE(3958)] = 187180,
  [SMALL_STATE(3959)] = 187299,
  [SMALL_STATE(3960)] = 187418,
  [SMALL_STATE(3961)] = 187537,
  [SMALL_STATE(3962)] = 187656,
  [SMALL_STATE(3963)] = 187775,
  [SMALL_STATE(3964)] = 187894,
  [SMALL_STATE(3965)] = 188013,
  [SMALL_STATE(3966)] = 188132,
  [SMALL_STATE(3967)] = 188200,
  [SMALL_STATE(3968)] = 188268,
  [SMALL_STATE(3969)] = 188336,
  [SMALL_STATE(3970)] = 188404,
  [SMALL_STATE(3971)] = 188472,
  [SMALL_STATE(3972)] = 188587,
  [SMALL_STATE(3973)] = 188702,
  [SMALL_STATE(3974)] = 188817,
  [SMALL_STATE(3975)] = 188932,
  [SMALL_STATE(3976)] = 189047,
  [SMALL_STATE(3977)] = 189162,
  [SMALL_STATE(3978)] = 189277,
  [SMALL_STATE(3979)] = 189392,
  [SMALL_STATE(3980)] = 189507,
  [SMALL_STATE(3981)] = 189622,
  [SMALL_STATE(3982)] = 189737,
  [SMALL_STATE(3983)] = 189852,
  [SMALL_STATE(3984)] = 189967,
  [SMALL_STATE(3985)] = 190082,
  [SMALL_STATE(3986)] = 190197,
  [SMALL_STATE(3987)] = 190312,
  [SMALL_STATE(3988)] = 190427,
  [SMALL_STATE(3989)] = 190542,
  [SMALL_STATE(3990)] = 190657,
  [SMALL_STATE(3991)] = 190772,
  [SMALL_STATE(3992)] = 190887,
  [SMALL_STATE(3993)] = 191002,
  [SMALL_STATE(3994)] = 191117,
  [SMALL_STATE(3995)] = 191232,
  [SMALL_STATE(3996)] = 191347,
  [SMALL_STATE(3997)] = 191462,
  [SMALL_STATE(3998)] = 191577,
  [SMALL_STATE(3999)] = 191692,
  [SMALL_STATE(4000)] = 191807,
  [SMALL_STATE(4001)] = 191922,
  [SMALL_STATE(4002)] = 192037,
  [SMALL_STATE(4003)] = 192152,
  [SMALL_STATE(4004)] = 192267,
  [SMALL_STATE(4005)] = 192382,
  [SMALL_STATE(4006)] = 192497,
  [SMALL_STATE(4007)] = 192612,
  [SMALL_STATE(4008)] = 192727,
  [SMALL_STATE(4009)] = 192842,
  [SMALL_STATE(4010)] = 192957,
  [SMALL_STATE(4011)] = 193072,
  [SMALL_STATE(4012)] = 193187,
  [SMALL_STATE(4013)] = 193302,
  [SMALL_STATE(4014)] = 193417,
  [SMALL_STATE(4015)] = 193532,
  [SMALL_STATE(4016)] = 193647,
  [SMALL_STATE(4017)] = 193762,
  [SMALL_STATE(4018)] = 193877,
  [SMALL_STATE(4019)] = 193940,
  [SMALL_STATE(4020)] = 194007,
  [SMALL_STATE(4021)] = 194122,
  [SMALL_STATE(4022)] = 194237,
  [SMALL_STATE(4023)] = 194352,
  [SMALL_STATE(4024)] = 194467,
  [SMALL_STATE(4025)] = 194582,
  [SMALL_STATE(4026)] = 194697,
  [SMALL_STATE(4027)] = 194812,
  [SMALL_STATE(4028)] = 194927,
  [SMALL_STATE(4029)] = 194990,
  [SMALL_STATE(4030)] = 195105,
  [SMALL_STATE(4031)] = 195215,
  [SMALL_STATE(4032)] = 195327,
  [SMALL_STATE(4033)] = 195439,
  [SMALL_STATE(4034)] = 195549,
  [SMALL_STATE(4035)] = 195661,
  [SMALL_STATE(4036)] = 195773,
  [SMALL_STATE(4037)] = 195885,
  [SMALL_STATE(4038)] = 195997,
  [SMALL_STATE(4039)] = 196109,
  [SMALL_STATE(4040)] = 196221,
  [SMALL_STATE(4041)] = 196333,
  [SMALL_STATE(4042)] = 196445,
  [SMALL_STATE(4043)] = 196557,
  [SMALL_STATE(4044)] = 196667,
  [SMALL_STATE(4045)] = 196779,
  [SMALL_STATE(4046)] = 196891,
  [SMALL_STATE(4047)] = 197003,
  [SMALL_STATE(4048)] = 197115,
  [SMALL_STATE(4049)] = 197227,
  [SMALL_STATE(4050)] = 197339,
  [SMALL_STATE(4051)] = 197451,
  [SMALL_STATE(4052)] = 197563,
  [SMALL_STATE(4053)] = 197675,
  [SMALL_STATE(4054)] = 197787,
  [SMALL_STATE(4055)] = 197899,
  [SMALL_STATE(4056)] = 198011,
  [SMALL_STATE(4057)] = 198123,
  [SMALL_STATE(4058)] = 198235,
  [SMALL_STATE(4059)] = 198347,
  [SMALL_STATE(4060)] = 198459,
  [SMALL_STATE(4061)] = 198569,
  [SMALL_STATE(4062)] = 198681,
  [SMALL_STATE(4063)] = 198793,
  [SMALL_STATE(4064)] = 198905,
  [SMALL_STATE(4065)] = 198967,
  [SMALL_STATE(4066)] = 199029,
  [SMALL_STATE(4067)] = 199141,
  [SMALL_STATE(4068)] = 199253,
  [SMALL_STATE(4069)] = 199365,
  [SMALL_STATE(4070)] = 199477,
  [SMALL_STATE(4071)] = 199589,
  [SMALL_STATE(4072)] = 199701,
  [SMALL_STATE(4073)] = 199813,
  [SMALL_STATE(4074)] = 199925,
  [SMALL_STATE(4075)] = 200037,
  [SMALL_STATE(4076)] = 200149,
  [SMALL_STATE(4077)] = 200261,
  [SMALL_STATE(4078)] = 200373,
  [SMALL_STATE(4079)] = 200485,
  [SMALL_STATE(4080)] = 200597,
  [SMALL_STATE(4081)] = 200709,
  [SMALL_STATE(4082)] = 200821,
  [SMALL_STATE(4083)] = 200933,
  [SMALL_STATE(4084)] = 201045,
  [SMALL_STATE(4085)] = 201157,
  [SMALL_STATE(4086)] = 201269,
  [SMALL_STATE(4087)] = 201381,
  [SMALL_STATE(4088)] = 201493,
  [SMALL_STATE(4089)] = 201605,
  [SMALL_STATE(4090)] = 201717,
  [SMALL_STATE(4091)] = 201829,
  [SMALL_STATE(4092)] = 201941,
  [SMALL_STATE(4093)] = 202053,
  [SMALL_STATE(4094)] = 202165,
  [SMALL_STATE(4095)] = 202277,
  [SMALL_STATE(4096)] = 202389,
  [SMALL_STATE(4097)] = 202501,
  [SMALL_STATE(4098)] = 202613,
  [SMALL_STATE(4099)] = 202725,
  [SMALL_STATE(4100)] = 202837,
  [SMALL_STATE(4101)] = 202949,
  [SMALL_STATE(4102)] = 203061,
  [SMALL_STATE(4103)] = 203173,
  [SMALL_STATE(4104)] = 203285,
  [SMALL_STATE(4105)] = 203397,
  [SMALL_STATE(4106)] = 203509,
  [SMALL_STATE(4107)] = 203621,
  [SMALL_STATE(4108)] = 203733,
  [SMALL_STATE(4109)] = 203845,
  [SMALL_STATE(4110)] = 203957,
  [SMALL_STATE(4111)] = 204019,
  [SMALL_STATE(4112)] = 204131,
  [SMALL_STATE(4113)] = 204243,
  [SMALL_STATE(4114)] = 204355,
  [SMALL_STATE(4115)] = 204467,
  [SMALL_STATE(4116)] = 204579,
  [SMALL_STATE(4117)] = 204691,
  [SMALL_STATE(4118)] = 204803,
  [SMALL_STATE(4119)] = 204915,
  [SMALL_STATE(4120)] = 205027,
  [SMALL_STATE(4121)] = 205139,
  [SMALL_STATE(4122)] = 205251,
  [SMALL_STATE(4123)] = 205363,
  [SMALL_STATE(4124)] = 205475,
  [SMALL_STATE(4125)] = 205587,
  [SMALL_STATE(4126)] = 205699,
  [SMALL_STATE(4127)] = 205761,
  [SMALL_STATE(4128)] = 205873,
  [SMALL_STATE(4129)] = 205985,
  [SMALL_STATE(4130)] = 206097,
  [SMALL_STATE(4131)] = 206209,
  [SMALL_STATE(4132)] = 206321,
  [SMALL_STATE(4133)] = 206433,
  [SMALL_STATE(4134)] = 206545,
  [SMALL_STATE(4135)] = 206657,
  [SMALL_STATE(4136)] = 206769,
  [SMALL_STATE(4137)] = 206881,
  [SMALL_STATE(4138)] = 206993,
  [SMALL_STATE(4139)] = 207105,
  [SMALL_STATE(4140)] = 207217,
  [SMALL_STATE(4141)] = 207329,
  [SMALL_STATE(4142)] = 207441,
  [SMALL_STATE(4143)] = 207553,
  [SMALL_STATE(4144)] = 207665,
  [SMALL_STATE(4145)] = 207777,
  [SMALL_STATE(4146)] = 207889,
  [SMALL_STATE(4147)] = 208001,
  [SMALL_STATE(4148)] = 208113,
  [SMALL_STATE(4149)] = 208225,
  [SMALL_STATE(4150)] = 208337,
  [SMALL_STATE(4151)] = 208398,
  [SMALL_STATE(4152)] = 208459,
  [SMALL_STATE(4153)] = 208520,
  [SMALL_STATE(4154)] = 208629,
  [SMALL_STATE(4155)] = 208690,
  [SMALL_STATE(4156)] = 208799,
  [SMALL_STATE(4157)] = 208860,
  [SMALL_STATE(4158)] = 208921,
  [SMALL_STATE(4159)] = 208982,
  [SMALL_STATE(4160)] = 209043,
  [SMALL_STATE(4161)] = 209103,
  [SMALL_STATE(4162)] = 209163,
  [SMALL_STATE(4163)] = 209269,
  [SMALL_STATE(4164)] = 209329,
  [SMALL_STATE(4165)] = 209389,
  [SMALL_STATE(4166)] = 209449,
  [SMALL_STATE(4167)] = 209555,
  [SMALL_STATE(4168)] = 209615,
  [SMALL_STATE(4169)] = 209675,
  [SMALL_STATE(4170)] = 209735,
  [SMALL_STATE(4171)] = 209795,
  [SMALL_STATE(4172)] = 209901,
  [SMALL_STATE(4173)] = 210007,
  [SMALL_STATE(4174)] = 210067,
  [SMALL_STATE(4175)] = 210126,
  [SMALL_STATE(4176)] = 210185,
  [SMALL_STATE(4177)] = 210244,
  [SMALL_STATE(4178)] = 210303,
  [SMALL_STATE(4179)] = 210362,
  [SMALL_STATE(4180)] = 210421,
  [SMALL_STATE(4181)] = 210478,
  [SMALL_STATE(4182)] = 210537,
  [SMALL_STATE(4183)] = 210596,
  [SMALL_STATE(4184)] = 210655,
  [SMALL_STATE(4185)] = 210714,
  [SMALL_STATE(4186)] = 210771,
  [SMALL_STATE(4187)] = 210830,
  [SMALL_STATE(4188)] = 210889,
  [SMALL_STATE(4189)] = 210947,
  [SMALL_STATE(4190)] = 211005,
  [SMALL_STATE(4191)] = 211105,
  [SMALL_STATE(4192)] = 211163,
  [SMALL_STATE(4193)] = 211221,
  [SMALL_STATE(4194)] = 211287,
  [SMALL_STATE(4195)] = 211387,
  [SMALL_STATE(4196)] = 211445,
  [SMALL_STATE(4197)] = 211503,
  [SMALL_STATE(4198)] = 211561,
  [SMALL_STATE(4199)] = 211619,
  [SMALL_STATE(4200)] = 211677,
  [SMALL_STATE(4201)] = 211734,
  [SMALL_STATE(4202)] = 211791,
  [SMALL_STATE(4203)] = 211848,
  [SMALL_STATE(4204)] = 211905,
  [SMALL_STATE(4205)] = 211999,
  [SMALL_STATE(4206)] = 212093,
  [SMALL_STATE(4207)] = 212187,
  [SMALL_STATE(4208)] = 212281,
  [SMALL_STATE(4209)] = 212375,
  [SMALL_STATE(4210)] = 212469,
  [SMALL_STATE(4211)] = 212563,
  [SMALL_STATE(4212)] = 212657,
  [SMALL_STATE(4213)] = 212751,
  [SMALL_STATE(4214)] = 212845,
  [SMALL_STATE(4215)] = 212939,
  [SMALL_STATE(4216)] = 213033,
  [SMALL_STATE(4217)] = 213127,
  [SMALL_STATE(4218)] = 213221,
  [SMALL_STATE(4219)] = 213315,
  [SMALL_STATE(4220)] = 213409,
  [SMALL_STATE(4221)] = 213503,
  [SMALL_STATE(4222)] = 213597,
  [SMALL_STATE(4223)] = 213691,
  [SMALL_STATE(4224)] = 213785,
  [SMALL_STATE(4225)] = 213841,
  [SMALL_STATE(4226)] = 213935,
  [SMALL_STATE(4227)] = 214029,
  [SMALL_STATE(4228)] = 214123,
  [SMALL_STATE(4229)] = 214217,
  [SMALL_STATE(4230)] = 214311,
  [SMALL_STATE(4231)] = 214405,
  [SMALL_STATE(4232)] = 214499,
  [SMALL_STATE(4233)] = 214593,
  [SMALL_STATE(4234)] = 214687,
  [SMALL_STATE(4235)] = 214781,
  [SMALL_STATE(4236)] = 214875,
  [SMALL_STATE(4237)] = 214969,
  [SMALL_STATE(4238)] = 215063,
  [SMALL_STATE(4239)] = 215157,
  [SMALL_STATE(4240)] = 215251,
  [SMALL_STATE(4241)] = 215345,
  [SMALL_STATE(4242)] = 215439,
  [SMALL_STATE(4243)] = 215533,
  [SMALL_STATE(4244)] = 215627,
  [SMALL_STATE(4245)] = 215721,
  [SMALL_STATE(4246)] = 215815,
  [SMALL_STATE(4247)] = 215909,
  [SMALL_STATE(4248)] = 216003,
  [SMALL_STATE(4249)] = 216097,
  [SMALL_STATE(4250)] = 216191,
  [SMALL_STATE(4251)] = 216285,
  [SMALL_STATE(4252)] = 216379,
  [SMALL_STATE(4253)] = 216473,
  [SMALL_STATE(4254)] = 216567,
  [SMALL_STATE(4255)] = 216661,
  [SMALL_STATE(4256)] = 216755,
  [SMALL_STATE(4257)] = 216849,
  [SMALL_STATE(4258)] = 216943,
  [SMALL_STATE(4259)] = 217037,
  [SMALL_STATE(4260)] = 217131,
  [SMALL_STATE(4261)] = 217225,
  [SMALL_STATE(4262)] = 217319,
  [SMALL_STATE(4263)] = 217413,
  [SMALL_STATE(4264)] = 217507,
  [SMALL_STATE(4265)] = 217601,
  [SMALL_STATE(4266)] = 217708,
  [SMALL_STATE(4267)] = 217799,
  [SMALL_STATE(4268)] = 217890,
  [SMALL_STATE(4269)] = 217981,
  [SMALL_STATE(4270)] = 218072,
  [SMALL_STATE(4271)] = 218163,
  [SMALL_STATE(4272)] = 218254,
  [SMALL_STATE(4273)] = 218345,
  [SMALL_STATE(4274)] = 218402,
  [SMALL_STATE(4275)] = 218493,
  [SMALL_STATE(4276)] = 218584,
  [SMALL_STATE(4277)] = 218675,
  [SMALL_STATE(4278)] = 218766,
  [SMALL_STATE(4279)] = 218857,
  [SMALL_STATE(4280)] = 218914,
  [SMALL_STATE(4281)] = 219021,
  [SMALL_STATE(4282)] = 219078,
  [SMALL_STATE(4283)] = 219169,
  [SMALL_STATE(4284)] = 219276,
  [SMALL_STATE(4285)] = 219367,
  [SMALL_STATE(4286)] = 219424,
  [SMALL_STATE(4287)] = 219481,
  [SMALL_STATE(4288)] = 219588,
  [SMALL_STATE(4289)] = 219695,
  [SMALL_STATE(4290)] = 219752,
  [SMALL_STATE(4291)] = 219807,
  [SMALL_STATE(4292)] = 219914,
  [SMALL_STATE(4293)] = 220021,
  [SMALL_STATE(4294)] = 220076,
  [SMALL_STATE(4295)] = 220183,
  [SMALL_STATE(4296)] = 220274,
  [SMALL_STATE(4297)] = 220381,
  [SMALL_STATE(4298)] = 220472,
  [SMALL_STATE(4299)] = 220579,
  [SMALL_STATE(4300)] = 220686,
  [SMALL_STATE(4301)] = 220793,
  [SMALL_STATE(4302)] = 220900,
  [SMALL_STATE(4303)] = 220991,
  [SMALL_STATE(4304)] = 221048,
  [SMALL_STATE(4305)] = 221139,
  [SMALL_STATE(4306)] = 221246,
  [SMALL_STATE(4307)] = 221353,
  [SMALL_STATE(4308)] = 221410,
  [SMALL_STATE(4309)] = 221501,
  [SMALL_STATE(4310)] = 221592,
  [SMALL_STATE(4311)] = 221649,
  [SMALL_STATE(4312)] = 221701,
  [SMALL_STATE(4313)] = 221753,
  [SMALL_STATE(4314)] = 221804,
  [SMALL_STATE(4315)] = 221855,
  [SMALL_STATE(4316)] = 221906,
  [SMALL_STATE(4317)] = 221970,
  [SMALL_STATE(4318)] = 222018,
  [SMALL_STATE(4319)] = 222110,
  [SMALL_STATE(4320)] = 222174,
  [SMALL_STATE(4321)] = 222266,
  [SMALL_STATE(4322)] = 222358,
  [SMALL_STATE(4323)] = 222450,
  [SMALL_STATE(4324)] = 222542,
  [SMALL_STATE(4325)] = 222633,
  [SMALL_STATE(4326)] = 222724,
  [SMALL_STATE(4327)] = 222815,
  [SMALL_STATE(4328)] = 222908,
  [SMALL_STATE(4329)] = 222999,
  [SMALL_STATE(4330)] = 223092,
  [SMALL_STATE(4331)] = 223157,
  [SMALL_STATE(4332)] = 223250,
  [SMALL_STATE(4333)] = 223341,
  [SMALL_STATE(4334)] = 223432,
  [SMALL_STATE(4335)] = 223523,
  [SMALL_STATE(4336)] = 223616,
  [SMALL_STATE(4337)] = 223709,
  [SMALL_STATE(4338)] = 223770,
  [SMALL_STATE(4339)] = 223831,
  [SMALL_STATE(4340)] = 223880,
  [SMALL_STATE(4341)] = 223971,
  [SMALL_STATE(4342)] = 224064,
  [SMALL_STATE(4343)] = 224155,
  [SMALL_STATE(4344)] = 224218,
  [SMALL_STATE(4345)] = 224311,
  [SMALL_STATE(4346)] = 224402,
  [SMALL_STATE(4347)] = 224488,
  [SMALL_STATE(4348)] = 224574,
  [SMALL_STATE(4349)] = 224660,
  [SMALL_STATE(4350)] = 224746,
  [SMALL_STATE(4351)] = 224832,
  [SMALL_STATE(4352)] = 224896,
  [SMALL_STATE(4353)] = 224942,
  [SMALL_STATE(4354)] = 225028,
  [SMALL_STATE(4355)] = 225114,
  [SMALL_STATE(4356)] = 225174,
  [SMALL_STATE(4357)] = 225260,
  [SMALL_STATE(4358)] = 225306,
  [SMALL_STATE(4359)] = 225368,
  [SMALL_STATE(4360)] = 225454,
  [SMALL_STATE(4361)] = 225540,
  [SMALL_STATE(4362)] = 225626,
  [SMALL_STATE(4363)] = 225712,
  [SMALL_STATE(4364)] = 225798,
  [SMALL_STATE(4365)] = 225884,
  [SMALL_STATE(4366)] = 225930,
  [SMALL_STATE(4367)] = 226016,
  [SMALL_STATE(4368)] = 226076,
  [SMALL_STATE(4369)] = 226122,
  [SMALL_STATE(4370)] = 226208,
  [SMALL_STATE(4371)] = 226294,
  [SMALL_STATE(4372)] = 226380,
  [SMALL_STATE(4373)] = 226438,
  [SMALL_STATE(4374)] = 226524,
  [SMALL_STATE(4375)] = 226610,
  [SMALL_STATE(4376)] = 226696,
  [SMALL_STATE(4377)] = 226782,
  [SMALL_STATE(4378)] = 226868,
  [SMALL_STATE(4379)] = 226954,
  [SMALL_STATE(4380)] = 227040,
  [SMALL_STATE(4381)] = 227104,
  [SMALL_STATE(4382)] = 227150,
  [SMALL_STATE(4383)] = 227236,
  [SMALL_STATE(4384)] = 227322,
  [SMALL_STATE(4385)] = 227408,
  [SMALL_STATE(4386)] = 227494,
  [SMALL_STATE(4387)] = 227580,
  [SMALL_STATE(4388)] = 227666,
  [SMALL_STATE(4389)] = 227726,
  [SMALL_STATE(4390)] = 227812,
  [SMALL_STATE(4391)] = 227898,
  [SMALL_STATE(4392)] = 227984,
  [SMALL_STATE(4393)] = 228030,
  [SMALL_STATE(4394)] = 228116,
  [SMALL_STATE(4395)] = 228202,
  [SMALL_STATE(4396)] = 228288,
  [SMALL_STATE(4397)] = 228374,
  [SMALL_STATE(4398)] = 228460,
  [SMALL_STATE(4399)] = 228520,
  [SMALL_STATE(4400)] = 228606,
  [SMALL_STATE(4401)] = 228692,
  [SMALL_STATE(4402)] = 228778,
  [SMALL_STATE(4403)] = 228838,
  [SMALL_STATE(4404)] = 228924,
  [SMALL_STATE(4405)] = 229010,
  [SMALL_STATE(4406)] = 229096,
  [SMALL_STATE(4407)] = 229142,
  [SMALL_STATE(4408)] = 229228,
  [SMALL_STATE(4409)] = 229314,
  [SMALL_STATE(4410)] = 229360,
  [SMALL_STATE(4411)] = 229446,
  [SMALL_STATE(4412)] = 229514,
  [SMALL_STATE(4413)] = 229574,
  [SMALL_STATE(4414)] = 229660,
  [SMALL_STATE(4415)] = 229746,
  [SMALL_STATE(4416)] = 229832,
  [SMALL_STATE(4417)] = 229892,
  [SMALL_STATE(4418)] = 229978,
  [SMALL_STATE(4419)] = 230064,
  [SMALL_STATE(4420)] = 230150,
  [SMALL_STATE(4421)] = 230236,
  [SMALL_STATE(4422)] = 230322,
  [SMALL_STATE(4423)] = 230408,
  [SMALL_STATE(4424)] = 230454,
  [SMALL_STATE(4425)] = 230540,
  [SMALL_STATE(4426)] = 230626,
  [SMALL_STATE(4427)] = 230712,
  [SMALL_STATE(4428)] = 230758,
  [SMALL_STATE(4429)] = 230844,
  [SMALL_STATE(4430)] = 230930,
  [SMALL_STATE(4431)] = 230992,
  [SMALL_STATE(4432)] = 231078,
  [SMALL_STATE(4433)] = 231164,
  [SMALL_STATE(4434)] = 231250,
  [SMALL_STATE(4435)] = 231336,
  [SMALL_STATE(4436)] = 231396,
  [SMALL_STATE(4437)] = 231482,
  [SMALL_STATE(4438)] = 231568,
  [SMALL_STATE(4439)] = 231654,
  [SMALL_STATE(4440)] = 231740,
  [SMALL_STATE(4441)] = 231798,
  [SMALL_STATE(4442)] = 231884,
  [SMALL_STATE(4443)] = 231970,
  [SMALL_STATE(4444)] = 232056,
  [SMALL_STATE(4445)] = 232142,
  [SMALL_STATE(4446)] = 232228,
  [SMALL_STATE(4447)] = 232274,
  [SMALL_STATE(4448)] = 232360,
  [SMALL_STATE(4449)] = 232446,
  [SMALL_STATE(4450)] = 232532,
  [SMALL_STATE(4451)] = 232618,
  [SMALL_STATE(4452)] = 232701,
  [SMALL_STATE(4453)] = 232784,
  [SMALL_STATE(4454)] = 232843,
  [SMALL_STATE(4455)] = 232900,
  [SMALL_STATE(4456)] = 232967,
  [SMALL_STATE(4457)] = 233050,
  [SMALL_STATE(4458)] = 233109,
  [SMALL_STATE(4459)] = 233168,
  [SMALL_STATE(4460)] = 233217,
  [SMALL_STATE(4461)] = 233300,
  [SMALL_STATE(4462)] = 233383,
  [SMALL_STATE(4463)] = 233446,
  [SMALL_STATE(4464)] = 233529,
  [SMALL_STATE(4465)] = 233588,
  [SMALL_STATE(4466)] = 233659,
  [SMALL_STATE(4467)] = 233706,
  [SMALL_STATE(4468)] = 233765,
  [SMALL_STATE(4469)] = 233824,
  [SMALL_STATE(4470)] = 233907,
  [SMALL_STATE(4471)] = 233990,
  [SMALL_STATE(4472)] = 234037,
  [SMALL_STATE(4473)] = 234120,
  [SMALL_STATE(4474)] = 234179,
  [SMALL_STATE(4475)] = 234262,
  [SMALL_STATE(4476)] = 234323,
  [SMALL_STATE(4477)] = 234384,
  [SMALL_STATE(4478)] = 234467,
  [SMALL_STATE(4479)] = 234550,
  [SMALL_STATE(4480)] = 234607,
  [SMALL_STATE(4481)] = 234690,
  [SMALL_STATE(4482)] = 234773,
  [SMALL_STATE(4483)] = 234856,
  [SMALL_STATE(4484)] = 234913,
  [SMALL_STATE(4485)] = 234974,
  [SMALL_STATE(4486)] = 235019,
  [SMALL_STATE(4487)] = 235086,
  [SMALL_STATE(4488)] = 235145,
  [SMALL_STATE(4489)] = 235204,
  [SMALL_STATE(4490)] = 235265,
  [SMALL_STATE(4491)] = 235348,
  [SMALL_STATE(4492)] = 235407,
  [SMALL_STATE(4493)] = 235468,
  [SMALL_STATE(4494)] = 235551,
  [SMALL_STATE(4495)] = 235598,
  [SMALL_STATE(4496)] = 235657,
  [SMALL_STATE(4497)] = 235740,
  [SMALL_STATE(4498)] = 235823,
  [SMALL_STATE(4499)] = 235906,
  [SMALL_STATE(4500)] = 235989,
  [SMALL_STATE(4501)] = 236052,
  [SMALL_STATE(4502)] = 236135,
  [SMALL_STATE(4503)] = 236194,
  [SMALL_STATE(4504)] = 236253,
  [SMALL_STATE(4505)] = 236336,
  [SMALL_STATE(4506)] = 236419,
  [SMALL_STATE(4507)] = 236502,
  [SMALL_STATE(4508)] = 236559,
  [SMALL_STATE(4509)] = 236608,
  [SMALL_STATE(4510)] = 236669,
  [SMALL_STATE(4511)] = 236752,
  [SMALL_STATE(4512)] = 236811,
  [SMALL_STATE(4513)] = 236894,
  [SMALL_STATE(4514)] = 236977,
  [SMALL_STATE(4515)] = 237028,
  [SMALL_STATE(4516)] = 237111,
  [SMALL_STATE(4517)] = 237172,
  [SMALL_STATE(4518)] = 237219,
  [SMALL_STATE(4519)] = 237302,
  [SMALL_STATE(4520)] = 237385,
  [SMALL_STATE(4521)] = 237444,
  [SMALL_STATE(4522)] = 237527,
  [SMALL_STATE(4523)] = 237610,
  [SMALL_STATE(4524)] = 237693,
  [SMALL_STATE(4525)] = 237754,
  [SMALL_STATE(4526)] = 237837,
  [SMALL_STATE(4527)] = 237920,
  [SMALL_STATE(4528)] = 237973,
  [SMALL_STATE(4529)] = 238032,
  [SMALL_STATE(4530)] = 238099,
  [SMALL_STATE(4531)] = 238162,
  [SMALL_STATE(4532)] = 238208,
  [SMALL_STATE(4533)] = 238254,
  [SMALL_STATE(4534)] = 238324,
  [SMALL_STATE(4535)] = 238374,
  [SMALL_STATE(4536)] = 238430,
  [SMALL_STATE(4537)] = 238476,
  [SMALL_STATE(4538)] = 238522,
  [SMALL_STATE(4539)] = 238570,
  [SMALL_STATE(4540)] = 238640,
  [SMALL_STATE(4541)] = 238696,
  [SMALL_STATE(4542)] = 238754,
  [SMALL_STATE(4543)] = 238800,
  [SMALL_STATE(4544)] = 238858,
  [SMALL_STATE(4545)] = 238910,
  [SMALL_STATE(4546)] = 238970,
  [SMALL_STATE(4547)] = 239030,
  [SMALL_STATE(4548)] = 239078,
  [SMALL_STATE(4549)] = 239126,
  [SMALL_STATE(4550)] = 239172,
  [SMALL_STATE(4551)] = 239218,
  [SMALL_STATE(4552)] = 239276,
  [SMALL_STATE(4553)] = 239326,
  [SMALL_STATE(4554)] = 239386,
  [SMALL_STATE(4555)] = 239446,
  [SMALL_STATE(4556)] = 239508,
  [SMALL_STATE(4557)] = 239554,
  [SMALL_STATE(4558)] = 239614,
  [SMALL_STATE(4559)] = 239670,
  [SMALL_STATE(4560)] = 239716,
  [SMALL_STATE(4561)] = 239766,
  [SMALL_STATE(4562)] = 239826,
  [SMALL_STATE(4563)] = 239872,
  [SMALL_STATE(4564)] = 239918,
  [SMALL_STATE(4565)] = 239964,
  [SMALL_STATE(4566)] = 240022,
  [SMALL_STATE(4567)] = 240068,
  [SMALL_STATE(4568)] = 240148,
  [SMALL_STATE(4569)] = 240194,
  [SMALL_STATE(4570)] = 240260,
  [SMALL_STATE(4571)] = 240318,
  [SMALL_STATE(4572)] = 240364,
  [SMALL_STATE(4573)] = 240410,
  [SMALL_STATE(4574)] = 240468,
  [SMALL_STATE(4575)] = 240526,
  [SMALL_STATE(4576)] = 240584,
  [SMALL_STATE(4577)] = 240644,
  [SMALL_STATE(4578)] = 240690,
  [SMALL_STATE(4579)] = 240756,
  [SMALL_STATE(4580)] = 240802,
  [SMALL_STATE(4581)] = 240848,
  [SMALL_STATE(4582)] = 240906,
  [SMALL_STATE(4583)] = 240964,
  [SMALL_STATE(4584)] = 241012,
  [SMALL_STATE(4585)] = 241072,
  [SMALL_STATE(4586)] = 241138,
  [SMALL_STATE(4587)] = 241198,
  [SMALL_STATE(4588)] = 241248,
  [SMALL_STATE(4589)] = 241308,
  [SMALL_STATE(4590)] = 241358,
  [SMALL_STATE(4591)] = 241416,
  [SMALL_STATE(4592)] = 241474,
  [SMALL_STATE(4593)] = 241524,
  [SMALL_STATE(4594)] = 241582,
  [SMALL_STATE(4595)] = 241628,
  [SMALL_STATE(4596)] = 241688,
  [SMALL_STATE(4597)] = 241746,
  [SMALL_STATE(4598)] = 241802,
  [SMALL_STATE(4599)] = 241860,
  [SMALL_STATE(4600)] = 241912,
  [SMALL_STATE(4601)] = 241968,
  [SMALL_STATE(4602)] = 242026,
  [SMALL_STATE(4603)] = 242092,
  [SMALL_STATE(4604)] = 242150,
  [SMALL_STATE(4605)] = 242208,
  [SMALL_STATE(4606)] = 242254,
  [SMALL_STATE(4607)] = 242300,
  [SMALL_STATE(4608)] = 242346,
  [SMALL_STATE(4609)] = 242398,
  [SMALL_STATE(4610)] = 242444,
  [SMALL_STATE(4611)] = 242490,
  [SMALL_STATE(4612)] = 242548,
  [SMALL_STATE(4613)] = 242614,
  [SMALL_STATE(4614)] = 242672,
  [SMALL_STATE(4615)] = 242728,
  [SMALL_STATE(4616)] = 242790,
  [SMALL_STATE(4617)] = 242842,
  [SMALL_STATE(4618)] = 242900,
  [SMALL_STATE(4619)] = 242960,
  [SMALL_STATE(4620)] = 243010,
  [SMALL_STATE(4621)] = 243058,
  [SMALL_STATE(4622)] = 243110,
  [SMALL_STATE(4623)] = 243158,
  [SMALL_STATE(4624)] = 243220,
  [SMALL_STATE(4625)] = 243272,
  [SMALL_STATE(4626)] = 243330,
  [SMALL_STATE(4627)] = 243376,
  [SMALL_STATE(4628)] = 243421,
  [SMALL_STATE(4629)] = 243472,
  [SMALL_STATE(4630)] = 243517,
  [SMALL_STATE(4631)] = 243562,
  [SMALL_STATE(4632)] = 243607,
  [SMALL_STATE(4633)] = 243652,
  [SMALL_STATE(4634)] = 243709,
  [SMALL_STATE(4635)] = 243754,
  [SMALL_STATE(4636)] = 243799,
  [SMALL_STATE(4637)] = 243858,
  [SMALL_STATE(4638)] = 243915,
  [SMALL_STATE(4639)] = 243962,
  [SMALL_STATE(4640)] = 244007,
  [SMALL_STATE(4641)] = 244068,
  [SMALL_STATE(4642)] = 244119,
  [SMALL_STATE(4643)] = 244164,
  [SMALL_STATE(4644)] = 244209,
  [SMALL_STATE(4645)] = 244254,
  [SMALL_STATE(4646)] = 244299,
  [SMALL_STATE(4647)] = 244344,
  [SMALL_STATE(4648)] = 244395,
  [SMALL_STATE(4649)] = 244440,
  [SMALL_STATE(4650)] = 244485,
  [SMALL_STATE(4651)] = 244542,
  [SMALL_STATE(4652)] = 244587,
  [SMALL_STATE(4653)] = 244652,
  [SMALL_STATE(4654)] = 244697,
  [SMALL_STATE(4655)] = 244754,
  [SMALL_STATE(4656)] = 244799,
  [SMALL_STATE(4657)] = 244844,
  [SMALL_STATE(4658)] = 244905,
  [SMALL_STATE(4659)] = 244964,
  [SMALL_STATE(4660)] = 245021,
  [SMALL_STATE(4661)] = 245080,
  [SMALL_STATE(4662)] = 245125,
  [SMALL_STATE(4663)] = 245170,
  [SMALL_STATE(4664)] = 245215,
  [SMALL_STATE(4665)] = 245260,
  [SMALL_STATE(4666)] = 245307,
  [SMALL_STATE(4667)] = 245360,
  [SMALL_STATE(4668)] = 245409,
  [SMALL_STATE(4669)] = 245464,
  [SMALL_STATE(4670)] = 245509,
  [SMALL_STATE(4671)] = 245554,
  [SMALL_STATE(4672)] = 245609,
  [SMALL_STATE(4673)] = 245654,
  [SMALL_STATE(4674)] = 245723,
  [SMALL_STATE(4675)] = 245788,
  [SMALL_STATE(4676)] = 245835,
  [SMALL_STATE(4677)] = 245886,
  [SMALL_STATE(4678)] = 245943,
  [SMALL_STATE(4679)] = 245988,
  [SMALL_STATE(4680)] = 246033,
  [SMALL_STATE(4681)] = 246080,
  [SMALL_STATE(4682)] = 246139,
  [SMALL_STATE(4683)] = 246196,
  [SMALL_STATE(4684)] = 246255,
  [SMALL_STATE(4685)] = 246312,
  [SMALL_STATE(4686)] = 246361,
  [SMALL_STATE(4687)] = 246406,
  [SMALL_STATE(4688)] = 246467,
  [SMALL_STATE(4689)] = 246524,
  [SMALL_STATE(4690)] = 246573,
  [SMALL_STATE(4691)] = 246642,
  [SMALL_STATE(4692)] = 246693,
  [SMALL_STATE(4693)] = 246752,
  [SMALL_STATE(4694)] = 246797,
  [SMALL_STATE(4695)] = 246854,
  [SMALL_STATE(4696)] = 246899,
  [SMALL_STATE(4697)] = 246956,
  [SMALL_STATE(4698)] = 247013,
  [SMALL_STATE(4699)] = 247070,
  [SMALL_STATE(4700)] = 247117,
  [SMALL_STATE(4701)] = 247166,
  [SMALL_STATE(4702)] = 247225,
  [SMALL_STATE(4703)] = 247282,
  [SMALL_STATE(4704)] = 247327,
  [SMALL_STATE(4705)] = 247382,
  [SMALL_STATE(4706)] = 247427,
  [SMALL_STATE(4707)] = 247474,
  [SMALL_STATE(4708)] = 247525,
  [SMALL_STATE(4709)] = 247582,
  [SMALL_STATE(4710)] = 247627,
  [SMALL_STATE(4711)] = 247676,
  [SMALL_STATE(4712)] = 247731,
  [SMALL_STATE(4713)] = 247776,
  [SMALL_STATE(4714)] = 247821,
  [SMALL_STATE(4715)] = 247876,
  [SMALL_STATE(4716)] = 247925,
  [SMALL_STATE(4717)] = 247982,
  [SMALL_STATE(4718)] = 248039,
  [SMALL_STATE(4719)] = 248098,
  [SMALL_STATE(4720)] = 248143,
  [SMALL_STATE(4721)] = 248188,
  [SMALL_STATE(4722)] = 248233,
  [SMALL_STATE(4723)] = 248298,
  [SMALL_STATE(4724)] = 248355,
  [SMALL_STATE(4725)] = 248412,
  [SMALL_STATE(4726)] = 248457,
  [SMALL_STATE(4727)] = 248508,
  [SMALL_STATE(4728)] = 248553,
  [SMALL_STATE(4729)] = 248602,
  [SMALL_STATE(4730)] = 248659,
  [SMALL_STATE(4731)] = 248720,
  [SMALL_STATE(4732)] = 248765,
  [SMALL_STATE(4733)] = 248820,
  [SMALL_STATE(4734)] = 248877,
  [SMALL_STATE(4735)] = 248922,
  [SMALL_STATE(4736)] = 248967,
  [SMALL_STATE(4737)] = 249012,
  [SMALL_STATE(4738)] = 249061,
  [SMALL_STATE(4739)] = 249120,
  [SMALL_STATE(4740)] = 249179,
  [SMALL_STATE(4741)] = 249230,
  [SMALL_STATE(4742)] = 249275,
  [SMALL_STATE(4743)] = 249324,
  [SMALL_STATE(4744)] = 249383,
  [SMALL_STATE(4745)] = 249438,
  [SMALL_STATE(4746)] = 249483,
  [SMALL_STATE(4747)] = 249528,
  [SMALL_STATE(4748)] = 249575,
  [SMALL_STATE(4749)] = 249620,
  [SMALL_STATE(4750)] = 249665,
  [SMALL_STATE(4751)] = 249710,
  [SMALL_STATE(4752)] = 249755,
  [SMALL_STATE(4753)] = 249806,
  [SMALL_STATE(4754)] = 249863,
  [SMALL_STATE(4755)] = 249928,
  [SMALL_STATE(4756)] = 249973,
  [SMALL_STATE(4757)] = 250020,
  [SMALL_STATE(4758)] = 250071,
  [SMALL_STATE(4759)] = 250116,
  [SMALL_STATE(4760)] = 250173,
  [SMALL_STATE(4761)] = 250232,
  [SMALL_STATE(4762)] = 250277,
  [SMALL_STATE(4763)] = 250324,
  [SMALL_STATE(4764)] = 250369,
  [SMALL_STATE(4765)] = 250414,
  [SMALL_STATE(4766)] = 250459,
  [SMALL_STATE(4767)] = 250514,
  [SMALL_STATE(4768)] = 250561,
  [SMALL_STATE(4769)] = 250606,
  [SMALL_STATE(4770)] = 250655,
  [SMALL_STATE(4771)] = 250706,
  [SMALL_STATE(4772)] = 250765,
  [SMALL_STATE(4773)] = 250810,
  [SMALL_STATE(4774)] = 250855,
  [SMALL_STATE(4775)] = 250900,
  [SMALL_STATE(4776)] = 250945,
  [SMALL_STATE(4777)] = 250994,
  [SMALL_STATE(4778)] = 251059,
  [SMALL_STATE(4779)] = 251116,
  [SMALL_STATE(4780)] = 251175,
  [SMALL_STATE(4781)] = 251220,
  [SMALL_STATE(4782)] = 251277,
  [SMALL_STATE(4783)] = 251326,
  [SMALL_STATE(4784)] = 251371,
  [SMALL_STATE(4785)] = 251416,
  [SMALL_STATE(4786)] = 251461,
  [SMALL_STATE(4787)] = 251506,
  [SMALL_STATE(4788)] = 251551,
  [SMALL_STATE(4789)] = 251606,
  [SMALL_STATE(4790)] = 251663,
  [SMALL_STATE(4791)] = 251712,
  [SMALL_STATE(4792)] = 251757,
  [SMALL_STATE(4793)] = 251806,
  [SMALL_STATE(4794)] = 251853,
  [SMALL_STATE(4795)] = 251898,
  [SMALL_STATE(4796)] = 251943,
  [SMALL_STATE(4797)] = 251988,
  [SMALL_STATE(4798)] = 252033,
  [SMALL_STATE(4799)] = 252102,
  [SMALL_STATE(4800)] = 252147,
  [SMALL_STATE(4801)] = 252212,
  [SMALL_STATE(4802)] = 252257,
  [SMALL_STATE(4803)] = 252316,
  [SMALL_STATE(4804)] = 252367,
  [SMALL_STATE(4805)] = 252412,
  [SMALL_STATE(4806)] = 252457,
  [SMALL_STATE(4807)] = 252504,
  [SMALL_STATE(4808)] = 252551,
  [SMALL_STATE(4809)] = 252595,
  [SMALL_STATE(4810)] = 252659,
  [SMALL_STATE(4811)] = 252703,
  [SMALL_STATE(4812)] = 252763,
  [SMALL_STATE(4813)] = 252807,
  [SMALL_STATE(4814)] = 252851,
  [SMALL_STATE(4815)] = 252895,
  [SMALL_STATE(4816)] = 252953,
  [SMALL_STATE(4817)] = 252997,
  [SMALL_STATE(4818)] = 253053,
  [SMALL_STATE(4819)] = 253097,
  [SMALL_STATE(4820)] = 253141,
  [SMALL_STATE(4821)] = 253185,
  [SMALL_STATE(4822)] = 253229,
  [SMALL_STATE(4823)] = 253273,
  [SMALL_STATE(4824)] = 253317,
  [SMALL_STATE(4825)] = 253361,
  [SMALL_STATE(4826)] = 253405,
  [SMALL_STATE(4827)] = 253449,
  [SMALL_STATE(4828)] = 253493,
  [SMALL_STATE(4829)] = 253537,
  [SMALL_STATE(4830)] = 253581,
  [SMALL_STATE(4831)] = 253645,
  [SMALL_STATE(4832)] = 253689,
  [SMALL_STATE(4833)] = 253733,
  [SMALL_STATE(4834)] = 253777,
  [SMALL_STATE(4835)] = 253821,
  [SMALL_STATE(4836)] = 253879,
  [SMALL_STATE(4837)] = 253935,
  [SMALL_STATE(4838)] = 253979,
  [SMALL_STATE(4839)] = 254029,
  [SMALL_STATE(4840)] = 254085,
  [SMALL_STATE(4841)] = 254143,
  [SMALL_STATE(4842)] = 254187,
  [SMALL_STATE(4843)] = 254233,
  [SMALL_STATE(4844)] = 254277,
  [SMALL_STATE(4845)] = 254321,
  [SMALL_STATE(4846)] = 254365,
  [SMALL_STATE(4847)] = 254429,
  [SMALL_STATE(4848)] = 254483,
  [SMALL_STATE(4849)] = 254527,
  [SMALL_STATE(4850)] = 254583,
  [SMALL_STATE(4851)] = 254627,
  [SMALL_STATE(4852)] = 254671,
  [SMALL_STATE(4853)] = 254715,
  [SMALL_STATE(4854)] = 254759,
  [SMALL_STATE(4855)] = 254815,
  [SMALL_STATE(4856)] = 254871,
  [SMALL_STATE(4857)] = 254917,
  [SMALL_STATE(4858)] = 254975,
  [SMALL_STATE(4859)] = 255019,
  [SMALL_STATE(4860)] = 255063,
  [SMALL_STATE(4861)] = 255113,
  [SMALL_STATE(4862)] = 255167,
  [SMALL_STATE(4863)] = 255217,
  [SMALL_STATE(4864)] = 255261,
  [SMALL_STATE(4865)] = 255311,
  [SMALL_STATE(4866)] = 255355,
  [SMALL_STATE(4867)] = 255399,
  [SMALL_STATE(4868)] = 255445,
  [SMALL_STATE(4869)] = 255509,
  [SMALL_STATE(4870)] = 255553,
  [SMALL_STATE(4871)] = 255609,
  [SMALL_STATE(4872)] = 255653,
  [SMALL_STATE(4873)] = 255697,
  [SMALL_STATE(4874)] = 255753,
  [SMALL_STATE(4875)] = 255817,
  [SMALL_STATE(4876)] = 255861,
  [SMALL_STATE(4877)] = 255909,
  [SMALL_STATE(4878)] = 255953,
  [SMALL_STATE(4879)] = 255997,
  [SMALL_STATE(4880)] = 256041,
  [SMALL_STATE(4881)] = 256099,
  [SMALL_STATE(4882)] = 256143,
  [SMALL_STATE(4883)] = 256187,
  [SMALL_STATE(4884)] = 256235,
  [SMALL_STATE(4885)] = 256289,
  [SMALL_STATE(4886)] = 256333,
  [SMALL_STATE(4887)] = 256389,
  [SMALL_STATE(4888)] = 256433,
  [SMALL_STATE(4889)] = 256489,
  [SMALL_STATE(4890)] = 256535,
  [SMALL_STATE(4891)] = 256591,
  [SMALL_STATE(4892)] = 256635,
  [SMALL_STATE(4893)] = 256703,
  [SMALL_STATE(4894)] = 256757,
  [SMALL_STATE(4895)] = 256801,
  [SMALL_STATE(4896)] = 256845,
  [SMALL_STATE(4897)] = 256889,
  [SMALL_STATE(4898)] = 256935,
  [SMALL_STATE(4899)] = 256993,
  [SMALL_STATE(4900)] = 257043,
  [SMALL_STATE(4901)] = 257087,
  [SMALL_STATE(4902)] = 257155,
  [SMALL_STATE(4903)] = 257199,
  [SMALL_STATE(4904)] = 257255,
  [SMALL_STATE(4905)] = 257303,
  [SMALL_STATE(4906)] = 257357,
  [SMALL_STATE(4907)] = 257405,
  [SMALL_STATE(4908)] = 257455,
  [SMALL_STATE(4909)] = 257501,
  [SMALL_STATE(4910)] = 257551,
  [SMALL_STATE(4911)] = 257595,
  [SMALL_STATE(4912)] = 257641,
  [SMALL_STATE(4913)] = 257685,
  [SMALL_STATE(4914)] = 257731,
  [SMALL_STATE(4915)] = 257789,
  [SMALL_STATE(4916)] = 257833,
  [SMALL_STATE(4917)] = 257877,
  [SMALL_STATE(4918)] = 257941,
  [SMALL_STATE(4919)] = 257997,
  [SMALL_STATE(4920)] = 258051,
  [SMALL_STATE(4921)] = 258095,
  [SMALL_STATE(4922)] = 258147,
  [SMALL_STATE(4923)] = 258191,
  [SMALL_STATE(4924)] = 258239,
  [SMALL_STATE(4925)] = 258283,
  [SMALL_STATE(4926)] = 258333,
  [SMALL_STATE(4927)] = 258401,
  [SMALL_STATE(4928)] = 258445,
  [SMALL_STATE(4929)] = 258495,
  [SMALL_STATE(4930)] = 258539,
  [SMALL_STATE(4931)] = 258583,
  [SMALL_STATE(4932)] = 258627,
  [SMALL_STATE(4933)] = 258677,
  [SMALL_STATE(4934)] = 258733,
  [SMALL_STATE(4935)] = 258783,
  [SMALL_STATE(4936)] = 258829,
  [SMALL_STATE(4937)] = 258885,
  [SMALL_STATE(4938)] = 258931,
  [SMALL_STATE(4939)] = 258981,
  [SMALL_STATE(4940)] = 259029,
  [SMALL_STATE(4941)] = 259073,
  [SMALL_STATE(4942)] = 259117,
  [SMALL_STATE(4943)] = 259161,
  [SMALL_STATE(4944)] = 259205,
  [SMALL_STATE(4945)] = 259251,
  [SMALL_STATE(4946)] = 259311,
  [SMALL_STATE(4947)] = 259359,
  [SMALL_STATE(4948)] = 259403,
  [SMALL_STATE(4949)] = 259459,
  [SMALL_STATE(4950)] = 259505,
  [SMALL_STATE(4951)] = 259549,
  [SMALL_STATE(4952)] = 259609,
  [SMALL_STATE(4953)] = 259653,
  [SMALL_STATE(4954)] = 259701,
  [SMALL_STATE(4955)] = 259759,
  [SMALL_STATE(4956)] = 259805,
  [SMALL_STATE(4957)] = 259849,
  [SMALL_STATE(4958)] = 259893,
  [SMALL_STATE(4959)] = 259943,
  [SMALL_STATE(4960)] = 259987,
  [SMALL_STATE(4961)] = 260043,
  [SMALL_STATE(4962)] = 260087,
  [SMALL_STATE(4963)] = 260131,
  [SMALL_STATE(4964)] = 260175,
  [SMALL_STATE(4965)] = 260219,
  [SMALL_STATE(4966)] = 260263,
  [SMALL_STATE(4967)] = 260307,
  [SMALL_STATE(4968)] = 260351,
  [SMALL_STATE(4969)] = 260401,
  [SMALL_STATE(4970)] = 260445,
  [SMALL_STATE(4971)] = 260493,
  [SMALL_STATE(4972)] = 260549,
  [SMALL_STATE(4973)] = 260593,
  [SMALL_STATE(4974)] = 260637,
  [SMALL_STATE(4975)] = 260681,
  [SMALL_STATE(4976)] = 260739,
  [SMALL_STATE(4977)] = 260783,
  [SMALL_STATE(4978)] = 260827,
  [SMALL_STATE(4979)] = 260881,
  [SMALL_STATE(4980)] = 260925,
  [SMALL_STATE(4981)] = 260973,
  [SMALL_STATE(4982)] = 261017,
  [SMALL_STATE(4983)] = 261075,
  [SMALL_STATE(4984)] = 261121,
  [SMALL_STATE(4985)] = 261175,
  [SMALL_STATE(4986)] = 261219,
  [SMALL_STATE(4987)] = 261263,
  [SMALL_STATE(4988)] = 261313,
  [SMALL_STATE(4989)] = 261357,
  [SMALL_STATE(4990)] = 261425,
  [SMALL_STATE(4991)] = 261469,
  [SMALL_STATE(4992)] = 261523,
  [SMALL_STATE(4993)] = 261579,
  [SMALL_STATE(4994)] = 261623,
  [SMALL_STATE(4995)] = 261667,
  [SMALL_STATE(4996)] = 261715,
  [SMALL_STATE(4997)] = 261771,
  [SMALL_STATE(4998)] = 261817,
  [SMALL_STATE(4999)] = 261863,
  [SMALL_STATE(5000)] = 261907,
  [SMALL_STATE(5001)] = 261955,
  [SMALL_STATE(5002)] = 261999,
  [SMALL_STATE(5003)] = 262055,
  [SMALL_STATE(5004)] = 262111,
  [SMALL_STATE(5005)] = 262159,
  [SMALL_STATE(5006)] = 262203,
  [SMALL_STATE(5007)] = 262249,
  [SMALL_STATE(5008)] = 262299,
  [SMALL_STATE(5009)] = 262343,
  [SMALL_STATE(5010)] = 262395,
  [SMALL_STATE(5011)] = 262451,
  [SMALL_STATE(5012)] = 262495,
  [SMALL_STATE(5013)] = 262539,
  [SMALL_STATE(5014)] = 262583,
  [SMALL_STATE(5015)] = 262629,
  [SMALL_STATE(5016)] = 262687,
  [SMALL_STATE(5017)] = 262745,
  [SMALL_STATE(5018)] = 262789,
  [SMALL_STATE(5019)] = 262845,
  [SMALL_STATE(5020)] = 262889,
  [SMALL_STATE(5021)] = 262943,
  [SMALL_STATE(5022)] = 262987,
  [SMALL_STATE(5023)] = 263031,
  [SMALL_STATE(5024)] = 263085,
  [SMALL_STATE(5025)] = 263129,
  [SMALL_STATE(5026)] = 263173,
  [SMALL_STATE(5027)] = 263229,
  [SMALL_STATE(5028)] = 263273,
  [SMALL_STATE(5029)] = 263317,
  [SMALL_STATE(5030)] = 263375,
  [SMALL_STATE(5031)] = 263421,
  [SMALL_STATE(5032)] = 263465,
  [SMALL_STATE(5033)] = 263519,
  [SMALL_STATE(5034)] = 263563,
  [SMALL_STATE(5035)] = 263619,
  [SMALL_STATE(5036)] = 263683,
  [SMALL_STATE(5037)] = 263727,
  [SMALL_STATE(5038)] = 263781,
  [SMALL_STATE(5039)] = 263841,
  [SMALL_STATE(5040)] = 263885,
  [SMALL_STATE(5041)] = 263931,
  [SMALL_STATE(5042)] = 263975,
  [SMALL_STATE(5043)] = 264031,
  [SMALL_STATE(5044)] = 264087,
  [SMALL_STATE(5045)] = 264145,
  [SMALL_STATE(5046)] = 264189,
  [SMALL_STATE(5047)] = 264233,
  [SMALL_STATE(5048)] = 264281,
  [SMALL_STATE(5049)] = 264335,
  [SMALL_STATE(5050)] = 264391,
  [SMALL_STATE(5051)] = 264439,
  [SMALL_STATE(5052)] = 264495,
  [SMALL_STATE(5053)] = 264541,
  [SMALL_STATE(5054)] = 264597,
  [SMALL_STATE(5055)] = 264641,
  [SMALL_STATE(5056)] = 264689,
  [SMALL_STATE(5057)] = 264737,
  [SMALL_STATE(5058)] = 264781,
  [SMALL_STATE(5059)] = 264825,
  [SMALL_STATE(5060)] = 264873,
  [SMALL_STATE(5061)] = 264921,
  [SMALL_STATE(5062)] = 264965,
  [SMALL_STATE(5063)] = 265009,
  [SMALL_STATE(5064)] = 265053,
  [SMALL_STATE(5065)] = 265107,
  [SMALL_STATE(5066)] = 265163,
  [SMALL_STATE(5067)] = 265221,
  [SMALL_STATE(5068)] = 265265,
  [SMALL_STATE(5069)] = 265309,
  [SMALL_STATE(5070)] = 265353,
  [SMALL_STATE(5071)] = 265411,
  [SMALL_STATE(5072)] = 265455,
  [SMALL_STATE(5073)] = 265499,
  [SMALL_STATE(5074)] = 265543,
  [SMALL_STATE(5075)] = 265587,
  [SMALL_STATE(5076)] = 265633,
  [SMALL_STATE(5077)] = 265691,
  [SMALL_STATE(5078)] = 265741,
  [SMALL_STATE(5079)] = 265785,
  [SMALL_STATE(5080)] = 265833,
  [SMALL_STATE(5081)] = 265877,
  [SMALL_STATE(5082)] = 265921,
  [SMALL_STATE(5083)] = 265965,
  [SMALL_STATE(5084)] = 266009,
  [SMALL_STATE(5085)] = 266065,
  [SMALL_STATE(5086)] = 266109,
  [SMALL_STATE(5087)] = 266153,
  [SMALL_STATE(5088)] = 266207,
  [SMALL_STATE(5089)] = 266260,
  [SMALL_STATE(5090)] = 266311,
  [SMALL_STATE(5091)] = 266356,
  [SMALL_STATE(5092)] = 266399,
  [SMALL_STATE(5093)] = 266444,
  [SMALL_STATE(5094)] = 266491,
  [SMALL_STATE(5095)] = 266544,
  [SMALL_STATE(5096)] = 266589,
  [SMALL_STATE(5097)] = 266644,
  [SMALL_STATE(5098)] = 266691,
  [SMALL_STATE(5099)] = 266744,
  [SMALL_STATE(5100)] = 266791,
  [SMALL_STATE(5101)] = 266838,
  [SMALL_STATE(5102)] = 266883,
  [SMALL_STATE(5103)] = 266926,
  [SMALL_STATE(5104)] = 266981,
  [SMALL_STATE(5105)] = 267024,
  [SMALL_STATE(5106)] = 267067,
  [SMALL_STATE(5107)] = 267110,
  [SMALL_STATE(5108)] = 267153,
  [SMALL_STATE(5109)] = 267206,
  [SMALL_STATE(5110)] = 267249,
  [SMALL_STATE(5111)] = 267312,
  [SMALL_STATE(5112)] = 267357,
  [SMALL_STATE(5113)] = 267414,
  [SMALL_STATE(5114)] = 267469,
  [SMALL_STATE(5115)] = 267512,
  [SMALL_STATE(5116)] = 267555,
  [SMALL_STATE(5117)] = 267598,
  [SMALL_STATE(5118)] = 267651,
  [SMALL_STATE(5119)] = 267694,
  [SMALL_STATE(5120)] = 267737,
  [SMALL_STATE(5121)] = 267792,
  [SMALL_STATE(5122)] = 267835,
  [SMALL_STATE(5123)] = 267878,
  [SMALL_STATE(5124)] = 267921,
  [SMALL_STATE(5125)] = 267964,
  [SMALL_STATE(5126)] = 268007,
  [SMALL_STATE(5127)] = 268062,
  [SMALL_STATE(5128)] = 268125,
  [SMALL_STATE(5129)] = 268168,
  [SMALL_STATE(5130)] = 268225,
  [SMALL_STATE(5131)] = 268282,
  [SMALL_STATE(5132)] = 268337,
  [SMALL_STATE(5133)] = 268380,
  [SMALL_STATE(5134)] = 268423,
  [SMALL_STATE(5135)] = 268486,
  [SMALL_STATE(5136)] = 268529,
  [SMALL_STATE(5137)] = 268572,
  [SMALL_STATE(5138)] = 268615,
  [SMALL_STATE(5139)] = 268682,
  [SMALL_STATE(5140)] = 268725,
  [SMALL_STATE(5141)] = 268792,
  [SMALL_STATE(5142)] = 268855,
  [SMALL_STATE(5143)] = 268910,
  [SMALL_STATE(5144)] = 268955,
  [SMALL_STATE(5145)] = 268998,
  [SMALL_STATE(5146)] = 269051,
  [SMALL_STATE(5147)] = 269094,
  [SMALL_STATE(5148)] = 269139,
  [SMALL_STATE(5149)] = 269184,
  [SMALL_STATE(5150)] = 269227,
  [SMALL_STATE(5151)] = 269270,
  [SMALL_STATE(5152)] = 269317,
  [SMALL_STATE(5153)] = 269372,
  [SMALL_STATE(5154)] = 269415,
  [SMALL_STATE(5155)] = 269468,
  [SMALL_STATE(5156)] = 269511,
  [SMALL_STATE(5157)] = 269564,
  [SMALL_STATE(5158)] = 269619,
  [SMALL_STATE(5159)] = 269662,
  [SMALL_STATE(5160)] = 269719,
  [SMALL_STATE(5161)] = 269762,
  [SMALL_STATE(5162)] = 269805,
  [SMALL_STATE(5163)] = 269862,
  [SMALL_STATE(5164)] = 269905,
  [SMALL_STATE(5165)] = 269974,
  [SMALL_STATE(5166)] = 270029,
  [SMALL_STATE(5167)] = 270074,
  [SMALL_STATE(5168)] = 270133,
  [SMALL_STATE(5169)] = 270176,
  [SMALL_STATE(5170)] = 270231,
  [SMALL_STATE(5171)] = 270288,
  [SMALL_STATE(5172)] = 270331,
  [SMALL_STATE(5173)] = 270384,
  [SMALL_STATE(5174)] = 270433,
  [SMALL_STATE(5175)] = 270500,
  [SMALL_STATE(5176)] = 270559,
  [SMALL_STATE(5177)] = 270602,
  [SMALL_STATE(5178)] = 270645,
  [SMALL_STATE(5179)] = 270688,
  [SMALL_STATE(5180)] = 270731,
  [SMALL_STATE(5181)] = 270798,
  [SMALL_STATE(5182)] = 270851,
  [SMALL_STATE(5183)] = 270894,
  [SMALL_STATE(5184)] = 270937,
  [SMALL_STATE(5185)] = 271004,
  [SMALL_STATE(5186)] = 271047,
  [SMALL_STATE(5187)] = 271090,
  [SMALL_STATE(5188)] = 271133,
  [SMALL_STATE(5189)] = 271176,
  [SMALL_STATE(5190)] = 271243,
  [SMALL_STATE(5191)] = 271300,
  [SMALL_STATE(5192)] = 271343,
  [SMALL_STATE(5193)] = 271390,
  [SMALL_STATE(5194)] = 271433,
  [SMALL_STATE(5195)] = 271490,
  [SMALL_STATE(5196)] = 271533,
  [SMALL_STATE(5197)] = 271578,
  [SMALL_STATE(5198)] = 271633,
  [SMALL_STATE(5199)] = 271676,
  [SMALL_STATE(5200)] = 271721,
  [SMALL_STATE(5201)] = 271768,
  [SMALL_STATE(5202)] = 271823,
  [SMALL_STATE(5203)] = 271876,
  [SMALL_STATE(5204)] = 271921,
  [SMALL_STATE(5205)] = 271964,
  [SMALL_STATE(5206)] = 272017,
  [SMALL_STATE(5207)] = 272072,
  [SMALL_STATE(5208)] = 272115,
  [SMALL_STATE(5209)] = 272162,
  [SMALL_STATE(5210)] = 272219,
  [SMALL_STATE(5211)] = 272268,
  [SMALL_STATE(5212)] = 272331,
  [SMALL_STATE(5213)] = 272374,
  [SMALL_STATE(5214)] = 272417,
  [SMALL_STATE(5215)] = 272474,
  [SMALL_STATE(5216)] = 272521,
  [SMALL_STATE(5217)] = 272574,
  [SMALL_STATE(5218)] = 272629,
  [SMALL_STATE(5219)] = 272672,
  [SMALL_STATE(5220)] = 272717,
  [SMALL_STATE(5221)] = 272760,
  [SMALL_STATE(5222)] = 272803,
  [SMALL_STATE(5223)] = 272846,
  [SMALL_STATE(5224)] = 272889,
  [SMALL_STATE(5225)] = 272932,
  [SMALL_STATE(5226)] = 272979,
  [SMALL_STATE(5227)] = 273034,
  [SMALL_STATE(5228)] = 273077,
  [SMALL_STATE(5229)] = 273126,
  [SMALL_STATE(5230)] = 273181,
  [SMALL_STATE(5231)] = 273236,
  [SMALL_STATE(5232)] = 273281,
  [SMALL_STATE(5233)] = 273334,
  [SMALL_STATE(5234)] = 273377,
  [SMALL_STATE(5235)] = 273432,
  [SMALL_STATE(5236)] = 273475,
  [SMALL_STATE(5237)] = 273520,
  [SMALL_STATE(5238)] = 273575,
  [SMALL_STATE(5239)] = 273618,
  [SMALL_STATE(5240)] = 273673,
  [SMALL_STATE(5241)] = 273716,
  [SMALL_STATE(5242)] = 273759,
  [SMALL_STATE(5243)] = 273802,
  [SMALL_STATE(5244)] = 273859,
  [SMALL_STATE(5245)] = 273902,
  [SMALL_STATE(5246)] = 273945,
  [SMALL_STATE(5247)] = 274000,
  [SMALL_STATE(5248)] = 274047,
  [SMALL_STATE(5249)] = 274090,
  [SMALL_STATE(5250)] = 274133,
  [SMALL_STATE(5251)] = 274200,
  [SMALL_STATE(5252)] = 274255,
  [SMALL_STATE(5253)] = 274298,
  [SMALL_STATE(5254)] = 274341,
  [SMALL_STATE(5255)] = 274384,
  [SMALL_STATE(5256)] = 274427,
  [SMALL_STATE(5257)] = 274476,
  [SMALL_STATE(5258)] = 274519,
  [SMALL_STATE(5259)] = 274574,
  [SMALL_STATE(5260)] = 274619,
  [SMALL_STATE(5261)] = 274674,
  [SMALL_STATE(5262)] = 274717,
  [SMALL_STATE(5263)] = 274760,
  [SMALL_STATE(5264)] = 274813,
  [SMALL_STATE(5265)] = 274856,
  [SMALL_STATE(5266)] = 274899,
  [SMALL_STATE(5267)] = 274942,
  [SMALL_STATE(5268)] = 274985,
  [SMALL_STATE(5269)] = 275028,
  [SMALL_STATE(5270)] = 275071,
  [SMALL_STATE(5271)] = 275114,
  [SMALL_STATE(5272)] = 275177,
  [SMALL_STATE(5273)] = 275220,
  [SMALL_STATE(5274)] = 275267,
  [SMALL_STATE(5275)] = 275324,
  [SMALL_STATE(5276)] = 275375,
  [SMALL_STATE(5277)] = 275418,
  [SMALL_STATE(5278)] = 275461,
  [SMALL_STATE(5279)] = 275504,
  [SMALL_STATE(5280)] = 275547,
  [SMALL_STATE(5281)] = 275590,
  [SMALL_STATE(5282)] = 275633,
  [SMALL_STATE(5283)] = 275676,
  [SMALL_STATE(5284)] = 275719,
  [SMALL_STATE(5285)] = 275772,
  [SMALL_STATE(5286)] = 275817,
  [SMALL_STATE(5287)] = 275860,
  [SMALL_STATE(5288)] = 275917,
  [SMALL_STATE(5289)] = 275962,
  [SMALL_STATE(5290)] = 276015,
  [SMALL_STATE(5291)] = 276064,
  [SMALL_STATE(5292)] = 276113,
  [SMALL_STATE(5293)] = 276168,
  [SMALL_STATE(5294)] = 276211,
  [SMALL_STATE(5295)] = 276254,
  [SMALL_STATE(5296)] = 276297,
  [SMALL_STATE(5297)] = 276340,
  [SMALL_STATE(5298)] = 276383,
  [SMALL_STATE(5299)] = 276426,
  [SMALL_STATE(5300)] = 276469,
  [SMALL_STATE(5301)] = 276512,
  [SMALL_STATE(5302)] = 276555,
  [SMALL_STATE(5303)] = 276598,
  [SMALL_STATE(5304)] = 276641,
  [SMALL_STATE(5305)] = 276690,
  [SMALL_STATE(5306)] = 276737,
  [SMALL_STATE(5307)] = 276780,
  [SMALL_STATE(5308)] = 276823,
  [SMALL_STATE(5309)] = 276878,
  [SMALL_STATE(5310)] = 276935,
  [SMALL_STATE(5311)] = 276978,
  [SMALL_STATE(5312)] = 277021,
  [SMALL_STATE(5313)] = 277064,
  [SMALL_STATE(5314)] = 277107,
  [SMALL_STATE(5315)] = 277150,
  [SMALL_STATE(5316)] = 277193,
  [SMALL_STATE(5317)] = 277238,
  [SMALL_STATE(5318)] = 277281,
  [SMALL_STATE(5319)] = 277326,
  [SMALL_STATE(5320)] = 277373,
  [SMALL_STATE(5321)] = 277416,
  [SMALL_STATE(5322)] = 277459,
  [SMALL_STATE(5323)] = 277506,
  [SMALL_STATE(5324)] = 277549,
  [SMALL_STATE(5325)] = 277592,
  [SMALL_STATE(5326)] = 277659,
  [SMALL_STATE(5327)] = 277702,
  [SMALL_STATE(5328)] = 277745,
  [SMALL_STATE(5329)] = 277788,
  [SMALL_STATE(5330)] = 277831,
  [SMALL_STATE(5331)] = 277874,
  [SMALL_STATE(5332)] = 277937,
  [SMALL_STATE(5333)] = 277994,
  [SMALL_STATE(5334)] = 278051,
  [SMALL_STATE(5335)] = 278096,
  [SMALL_STATE(5336)] = 278149,
  [SMALL_STATE(5337)] = 278204,
  [SMALL_STATE(5338)] = 278247,
  [SMALL_STATE(5339)] = 278296,
  [SMALL_STATE(5340)] = 278339,
  [SMALL_STATE(5341)] = 278382,
  [SMALL_STATE(5342)] = 278425,
  [SMALL_STATE(5343)] = 278468,
  [SMALL_STATE(5344)] = 278531,
  [SMALL_STATE(5345)] = 278574,
  [SMALL_STATE(5346)] = 278617,
  [SMALL_STATE(5347)] = 278660,
  [SMALL_STATE(5348)] = 278709,
  [SMALL_STATE(5349)] = 278764,
  [SMALL_STATE(5350)] = 278807,
  [SMALL_STATE(5351)] = 278852,
  [SMALL_STATE(5352)] = 278895,
  [SMALL_STATE(5353)] = 278938,
  [SMALL_STATE(5354)] = 278983,
  [SMALL_STATE(5355)] = 279026,
  [SMALL_STATE(5356)] = 279069,
  [SMALL_STATE(5357)] = 279116,
  [SMALL_STATE(5358)] = 279165,
  [SMALL_STATE(5359)] = 279208,
  [SMALL_STATE(5360)] = 279253,
  [SMALL_STATE(5361)] = 279296,
  [SMALL_STATE(5362)] = 279339,
  [SMALL_STATE(5363)] = 279384,
  [SMALL_STATE(5364)] = 279427,
  [SMALL_STATE(5365)] = 279472,
  [SMALL_STATE(5366)] = 279515,
  [SMALL_STATE(5367)] = 279572,
  [SMALL_STATE(5368)] = 279623,
  [SMALL_STATE(5369)] = 279678,
  [SMALL_STATE(5370)] = 279721,
  [SMALL_STATE(5371)] = 279770,
  [SMALL_STATE(5372)] = 279823,
  [SMALL_STATE(5373)] = 279866,
  [SMALL_STATE(5374)] = 279909,
  [SMALL_STATE(5375)] = 279952,
  [SMALL_STATE(5376)] = 280007,
  [SMALL_STATE(5377)] = 280050,
  [SMALL_STATE(5378)] = 280103,
  [SMALL_STATE(5379)] = 280146,
  [SMALL_STATE(5380)] = 280199,
  [SMALL_STATE(5381)] = 280262,
  [SMALL_STATE(5382)] = 280305,
  [SMALL_STATE(5383)] = 280348,
  [SMALL_STATE(5384)] = 280391,
  [SMALL_STATE(5385)] = 280440,
  [SMALL_STATE(5386)] = 280495,
  [SMALL_STATE(5387)] = 280540,
  [SMALL_STATE(5388)] = 280597,
  [SMALL_STATE(5389)] = 280656,
  [SMALL_STATE(5390)] = 280703,
  [SMALL_STATE(5391)] = 280752,
  [SMALL_STATE(5392)] = 280795,
  [SMALL_STATE(5393)] = 280838,
  [SMALL_STATE(5394)] = 280881,
  [SMALL_STATE(5395)] = 280924,
  [SMALL_STATE(5396)] = 280967,
  [SMALL_STATE(5397)] = 281034,
  [SMALL_STATE(5398)] = 281091,
  [SMALL_STATE(5399)] = 281136,
  [SMALL_STATE(5400)] = 281179,
  [SMALL_STATE(5401)] = 281222,
  [SMALL_STATE(5402)] = 281289,
  [SMALL_STATE(5403)] = 281334,
  [SMALL_STATE(5404)] = 281377,
  [SMALL_STATE(5405)] = 281420,
  [SMALL_STATE(5406)] = 281469,
  [SMALL_STATE(5407)] = 281512,
  [SMALL_STATE(5408)] = 281567,
  [SMALL_STATE(5409)] = 281610,
  [SMALL_STATE(5410)] = 281653,
  [SMALL_STATE(5411)] = 281702,
  [SMALL_STATE(5412)] = 281759,
  [SMALL_STATE(5413)] = 281802,
  [SMALL_STATE(5414)] = 281869,
  [SMALL_STATE(5415)] = 281912,
  [SMALL_STATE(5416)] = 281961,
  [SMALL_STATE(5417)] = 282004,
  [SMALL_STATE(5418)] = 282047,
  [SMALL_STATE(5419)] = 282090,
  [SMALL_STATE(5420)] = 282157,
  [SMALL_STATE(5421)] = 282200,
  [SMALL_STATE(5422)] = 282255,
  [SMALL_STATE(5423)] = 282300,
  [SMALL_STATE(5424)] = 282343,
  [SMALL_STATE(5425)] = 282386,
  [SMALL_STATE(5426)] = 282429,
  [SMALL_STATE(5427)] = 282472,
  [SMALL_STATE(5428)] = 282515,
  [SMALL_STATE(5429)] = 282560,
  [SMALL_STATE(5430)] = 282603,
  [SMALL_STATE(5431)] = 282650,
  [SMALL_STATE(5432)] = 282705,
  [SMALL_STATE(5433)] = 282748,
  [SMALL_STATE(5434)] = 282803,
  [SMALL_STATE(5435)] = 282846,
  [SMALL_STATE(5436)] = 282905,
  [SMALL_STATE(5437)] = 282948,
  [SMALL_STATE(5438)] = 282991,
  [SMALL_STATE(5439)] = 283034,
  [SMALL_STATE(5440)] = 283079,
  [SMALL_STATE(5441)] = 283122,
  [SMALL_STATE(5442)] = 283167,
  [SMALL_STATE(5443)] = 283210,
  [SMALL_STATE(5444)] = 283253,
  [SMALL_STATE(5445)] = 283302,
  [SMALL_STATE(5446)] = 283345,
  [SMALL_STATE(5447)] = 283388,
  [SMALL_STATE(5448)] = 283445,
  [SMALL_STATE(5449)] = 283488,
  [SMALL_STATE(5450)] = 283531,
  [SMALL_STATE(5451)] = 283588,
  [SMALL_STATE(5452)] = 283631,
  [SMALL_STATE(5453)] = 283684,
  [SMALL_STATE(5454)] = 283727,
  [SMALL_STATE(5455)] = 283782,
  [SMALL_STATE(5456)] = 283825,
  [SMALL_STATE(5457)] = 283872,
  [SMALL_STATE(5458)] = 283921,
  [SMALL_STATE(5459)] = 283964,
  [SMALL_STATE(5460)] = 284007,
  [SMALL_STATE(5461)] = 284050,
  [SMALL_STATE(5462)] = 284107,
  [SMALL_STATE(5463)] = 284150,
  [SMALL_STATE(5464)] = 284193,
  [SMALL_STATE(5465)] = 284236,
  [SMALL_STATE(5466)] = 284289,
  [SMALL_STATE(5467)] = 284332,
  [SMALL_STATE(5468)] = 284387,
  [SMALL_STATE(5469)] = 284430,
  [SMALL_STATE(5470)] = 284477,
  [SMALL_STATE(5471)] = 284524,
  [SMALL_STATE(5472)] = 284567,
  [SMALL_STATE(5473)] = 284616,
  [SMALL_STATE(5474)] = 284659,
  [SMALL_STATE(5475)] = 284702,
  [SMALL_STATE(5476)] = 284745,
  [SMALL_STATE(5477)] = 284788,
  [SMALL_STATE(5478)] = 284841,
  [SMALL_STATE(5479)] = 284884,
  [SMALL_STATE(5480)] = 284927,
  [SMALL_STATE(5481)] = 284974,
  [SMALL_STATE(5482)] = 285017,
  [SMALL_STATE(5483)] = 285060,
  [SMALL_STATE(5484)] = 285113,
  [SMALL_STATE(5485)] = 285160,
  [SMALL_STATE(5486)] = 285203,
  [SMALL_STATE(5487)] = 285270,
  [SMALL_STATE(5488)] = 285315,
  [SMALL_STATE(5489)] = 285370,
  [SMALL_STATE(5490)] = 285413,
  [SMALL_STATE(5491)] = 285455,
  [SMALL_STATE(5492)] = 285497,
  [SMALL_STATE(5493)] = 285565,
  [SMALL_STATE(5494)] = 285607,
  [SMALL_STATE(5495)] = 285649,
  [SMALL_STATE(5496)] = 285691,
  [SMALL_STATE(5497)] = 285733,
  [SMALL_STATE(5498)] = 285789,
  [SMALL_STATE(5499)] = 285837,
  [SMALL_STATE(5500)] = 285905,
  [SMALL_STATE(5501)] = 285973,
  [SMALL_STATE(5502)] = 286015,
  [SMALL_STATE(5503)] = 286083,
  [SMALL_STATE(5504)] = 286125,
  [SMALL_STATE(5505)] = 286167,
  [SMALL_STATE(5506)] = 286209,
  [SMALL_STATE(5507)] = 286271,
  [SMALL_STATE(5508)] = 286313,
  [SMALL_STATE(5509)] = 286357,
  [SMALL_STATE(5510)] = 286405,
  [SMALL_STATE(5511)] = 286447,
  [SMALL_STATE(5512)] = 286489,
  [SMALL_STATE(5513)] = 286535,
  [SMALL_STATE(5514)] = 286577,
  [SMALL_STATE(5515)] = 286623,
  [SMALL_STATE(5516)] = 286671,
  [SMALL_STATE(5517)] = 286725,
  [SMALL_STATE(5518)] = 286767,
  [SMALL_STATE(5519)] = 286815,
  [SMALL_STATE(5520)] = 286857,
  [SMALL_STATE(5521)] = 286899,
  [SMALL_STATE(5522)] = 286943,
  [SMALL_STATE(5523)] = 286997,
  [SMALL_STATE(5524)] = 287051,
  [SMALL_STATE(5525)] = 287119,
  [SMALL_STATE(5526)] = 287163,
  [SMALL_STATE(5527)] = 287207,
  [SMALL_STATE(5528)] = 287249,
  [SMALL_STATE(5529)] = 287291,
  [SMALL_STATE(5530)] = 287337,
  [SMALL_STATE(5531)] = 287379,
  [SMALL_STATE(5532)] = 287421,
  [SMALL_STATE(5533)] = 287467,
  [SMALL_STATE(5534)] = 287521,
  [SMALL_STATE(5535)] = 287563,
  [SMALL_STATE(5536)] = 287629,
  [SMALL_STATE(5537)] = 287671,
  [SMALL_STATE(5538)] = 287713,
  [SMALL_STATE(5539)] = 287755,
  [SMALL_STATE(5540)] = 287797,
  [SMALL_STATE(5541)] = 287839,
  [SMALL_STATE(5542)] = 287889,
  [SMALL_STATE(5543)] = 287933,
  [SMALL_STATE(5544)] = 287975,
  [SMALL_STATE(5545)] = 288029,
  [SMALL_STATE(5546)] = 288071,
  [SMALL_STATE(5547)] = 288139,
  [SMALL_STATE(5548)] = 288195,
  [SMALL_STATE(5549)] = 288249,
  [SMALL_STATE(5550)] = 288291,
  [SMALL_STATE(5551)] = 288347,
  [SMALL_STATE(5552)] = 288415,
  [SMALL_STATE(5553)] = 288483,
  [SMALL_STATE(5554)] = 288525,
  [SMALL_STATE(5555)] = 288577,
  [SMALL_STATE(5556)] = 288619,
  [SMALL_STATE(5557)] = 288661,
  [SMALL_STATE(5558)] = 288713,
  [SMALL_STATE(5559)] = 288755,
  [SMALL_STATE(5560)] = 288797,
  [SMALL_STATE(5561)] = 288839,
  [SMALL_STATE(5562)] = 288881,
  [SMALL_STATE(5563)] = 288923,
  [SMALL_STATE(5564)] = 288975,
  [SMALL_STATE(5565)] = 289017,
  [SMALL_STATE(5566)] = 289061,
  [SMALL_STATE(5567)] = 289109,
  [SMALL_STATE(5568)] = 289151,
  [SMALL_STATE(5569)] = 289193,
  [SMALL_STATE(5570)] = 289235,
  [SMALL_STATE(5571)] = 289277,
  [SMALL_STATE(5572)] = 289319,
  [SMALL_STATE(5573)] = 289361,
  [SMALL_STATE(5574)] = 289415,
  [SMALL_STATE(5575)] = 289457,
  [SMALL_STATE(5576)] = 289499,
  [SMALL_STATE(5577)] = 289541,
  [SMALL_STATE(5578)] = 289595,
  [SMALL_STATE(5579)] = 289663,
  [SMALL_STATE(5580)] = 289705,
  [SMALL_STATE(5581)] = 289751,
  [SMALL_STATE(5582)] = 289793,
  [SMALL_STATE(5583)] = 289839,
  [SMALL_STATE(5584)] = 289891,
  [SMALL_STATE(5585)] = 289933,
  [SMALL_STATE(5586)] = 289975,
  [SMALL_STATE(5587)] = 290027,
  [SMALL_STATE(5588)] = 290093,
  [SMALL_STATE(5589)] = 290141,
  [SMALL_STATE(5590)] = 290183,
  [SMALL_STATE(5591)] = 290225,
  [SMALL_STATE(5592)] = 290277,
  [SMALL_STATE(5593)] = 290323,
  [SMALL_STATE(5594)] = 290369,
  [SMALL_STATE(5595)] = 290437,
  [SMALL_STATE(5596)] = 290491,
  [SMALL_STATE(5597)] = 290545,
  [SMALL_STATE(5598)] = 290587,
  [SMALL_STATE(5599)] = 290655,
  [SMALL_STATE(5600)] = 290697,
  [SMALL_STATE(5601)] = 290741,
  [SMALL_STATE(5602)] = 290783,
  [SMALL_STATE(5603)] = 290831,
  [SMALL_STATE(5604)] = 290899,
  [SMALL_STATE(5605)] = 290941,
  [SMALL_STATE(5606)] = 290983,
  [SMALL_STATE(5607)] = 291051,
  [SMALL_STATE(5608)] = 291099,
  [SMALL_STATE(5609)] = 291143,
  [SMALL_STATE(5610)] = 291197,
  [SMALL_STATE(5611)] = 291239,
  [SMALL_STATE(5612)] = 291281,
  [SMALL_STATE(5613)] = 291323,
  [SMALL_STATE(5614)] = 291391,
  [SMALL_STATE(5615)] = 291433,
  [SMALL_STATE(5616)] = 291475,
  [SMALL_STATE(5617)] = 291541,
  [SMALL_STATE(5618)] = 291587,
  [SMALL_STATE(5619)] = 291629,
  [SMALL_STATE(5620)] = 291695,
  [SMALL_STATE(5621)] = 291737,
  [SMALL_STATE(5622)] = 291781,
  [SMALL_STATE(5623)] = 291823,
  [SMALL_STATE(5624)] = 291865,
  [SMALL_STATE(5625)] = 291931,
  [SMALL_STATE(5626)] = 291973,
  [SMALL_STATE(5627)] = 292015,
  [SMALL_STATE(5628)] = 292057,
  [SMALL_STATE(5629)] = 292105,
  [SMALL_STATE(5630)] = 292147,
  [SMALL_STATE(5631)] = 292189,
  [SMALL_STATE(5632)] = 292243,
  [SMALL_STATE(5633)] = 292285,
  [SMALL_STATE(5634)] = 292327,
  [SMALL_STATE(5635)] = 292373,
  [SMALL_STATE(5636)] = 292415,
  [SMALL_STATE(5637)] = 292457,
  [SMALL_STATE(5638)] = 292509,
  [SMALL_STATE(5639)] = 292555,
  [SMALL_STATE(5640)] = 292599,
  [SMALL_STATE(5641)] = 292655,
  [SMALL_STATE(5642)] = 292697,
  [SMALL_STATE(5643)] = 292745,
  [SMALL_STATE(5644)] = 292813,
  [SMALL_STATE(5645)] = 292861,
  [SMALL_STATE(5646)] = 292913,
  [SMALL_STATE(5647)] = 292955,
  [SMALL_STATE(5648)] = 293023,
  [SMALL_STATE(5649)] = 293065,
  [SMALL_STATE(5650)] = 293107,
  [SMALL_STATE(5651)] = 293149,
  [SMALL_STATE(5652)] = 293191,
  [SMALL_STATE(5653)] = 293257,
  [SMALL_STATE(5654)] = 293303,
  [SMALL_STATE(5655)] = 293345,
  [SMALL_STATE(5656)] = 293387,
  [SMALL_STATE(5657)] = 293429,
  [SMALL_STATE(5658)] = 293471,
  [SMALL_STATE(5659)] = 293513,
  [SMALL_STATE(5660)] = 293555,
  [SMALL_STATE(5661)] = 293597,
  [SMALL_STATE(5662)] = 293665,
  [SMALL_STATE(5663)] = 293709,
  [SMALL_STATE(5664)] = 293761,
  [SMALL_STATE(5665)] = 293809,
  [SMALL_STATE(5666)] = 293875,
  [SMALL_STATE(5667)] = 293919,
  [SMALL_STATE(5668)] = 293987,
  [SMALL_STATE(5669)] = 294029,
  [SMALL_STATE(5670)] = 294071,
  [SMALL_STATE(5671)] = 294137,
  [SMALL_STATE(5672)] = 294179,
  [SMALL_STATE(5673)] = 294235,
  [SMALL_STATE(5674)] = 294277,
  [SMALL_STATE(5675)] = 294345,
  [SMALL_STATE(5676)] = 294397,
  [SMALL_STATE(5677)] = 294463,
  [SMALL_STATE(5678)] = 294505,
  [SMALL_STATE(5679)] = 294547,
  [SMALL_STATE(5680)] = 294593,
  [SMALL_STATE(5681)] = 294635,
  [SMALL_STATE(5682)] = 294679,
  [SMALL_STATE(5683)] = 294723,
  [SMALL_STATE(5684)] = 294765,
  [SMALL_STATE(5685)] = 294807,
  [SMALL_STATE(5686)] = 294853,
  [SMALL_STATE(5687)] = 294895,
  [SMALL_STATE(5688)] = 294937,
  [SMALL_STATE(5689)] = 294979,
  [SMALL_STATE(5690)] = 295047,
  [SMALL_STATE(5691)] = 295089,
  [SMALL_STATE(5692)] = 295131,
  [SMALL_STATE(5693)] = 295173,
  [SMALL_STATE(5694)] = 295215,
  [SMALL_STATE(5695)] = 295257,
  [SMALL_STATE(5696)] = 295299,
  [SMALL_STATE(5697)] = 295341,
  [SMALL_STATE(5698)] = 295383,
  [SMALL_STATE(5699)] = 295425,
  [SMALL_STATE(5700)] = 295471,
  [SMALL_STATE(5701)] = 295513,
  [SMALL_STATE(5702)] = 295555,
  [SMALL_STATE(5703)] = 295623,
  [SMALL_STATE(5704)] = 295667,
  [SMALL_STATE(5705)] = 295709,
  [SMALL_STATE(5706)] = 295755,
  [SMALL_STATE(5707)] = 295797,
  [SMALL_STATE(5708)] = 295839,
  [SMALL_STATE(5709)] = 295907,
  [SMALL_STATE(5710)] = 295957,
  [SMALL_STATE(5711)] = 296001,
  [SMALL_STATE(5712)] = 296043,
  [SMALL_STATE(5713)] = 296105,
  [SMALL_STATE(5714)] = 296147,
  [SMALL_STATE(5715)] = 296189,
  [SMALL_STATE(5716)] = 296231,
  [SMALL_STATE(5717)] = 296273,
  [SMALL_STATE(5718)] = 296325,
  [SMALL_STATE(5719)] = 296393,
  [SMALL_STATE(5720)] = 296435,
  [SMALL_STATE(5721)] = 296477,
  [SMALL_STATE(5722)] = 296519,
  [SMALL_STATE(5723)] = 296561,
  [SMALL_STATE(5724)] = 296603,
  [SMALL_STATE(5725)] = 296657,
  [SMALL_STATE(5726)] = 296725,
  [SMALL_STATE(5727)] = 296767,
  [SMALL_STATE(5728)] = 296809,
  [SMALL_STATE(5729)] = 296851,
  [SMALL_STATE(5730)] = 296893,
  [SMALL_STATE(5731)] = 296935,
  [SMALL_STATE(5732)] = 296977,
  [SMALL_STATE(5733)] = 297023,
  [SMALL_STATE(5734)] = 297091,
  [SMALL_STATE(5735)] = 297133,
  [SMALL_STATE(5736)] = 297177,
  [SMALL_STATE(5737)] = 297219,
  [SMALL_STATE(5738)] = 297263,
  [SMALL_STATE(5739)] = 297311,
  [SMALL_STATE(5740)] = 297353,
  [SMALL_STATE(5741)] = 297395,
  [SMALL_STATE(5742)] = 297439,
  [SMALL_STATE(5743)] = 297481,
  [SMALL_STATE(5744)] = 297549,
  [SMALL_STATE(5745)] = 297591,
  [SMALL_STATE(5746)] = 297635,
  [SMALL_STATE(5747)] = 297679,
  [SMALL_STATE(5748)] = 297727,
  [SMALL_STATE(5749)] = 297769,
  [SMALL_STATE(5750)] = 297825,
  [SMALL_STATE(5751)] = 297867,
  [SMALL_STATE(5752)] = 297915,
  [SMALL_STATE(5753)] = 297969,
  [SMALL_STATE(5754)] = 298011,
  [SMALL_STATE(5755)] = 298053,
  [SMALL_STATE(5756)] = 298115,
  [SMALL_STATE(5757)] = 298171,
  [SMALL_STATE(5758)] = 298213,
  [SMALL_STATE(5759)] = 298255,
  [SMALL_STATE(5760)] = 298297,
  [SMALL_STATE(5761)] = 298339,
  [SMALL_STATE(5762)] = 298383,
  [SMALL_STATE(5763)] = 298425,
  [SMALL_STATE(5764)] = 298471,
  [SMALL_STATE(5765)] = 298513,
  [SMALL_STATE(5766)] = 298569,
  [SMALL_STATE(5767)] = 298611,
  [SMALL_STATE(5768)] = 298657,
  [SMALL_STATE(5769)] = 298699,
  [SMALL_STATE(5770)] = 298753,
  [SMALL_STATE(5771)] = 298795,
  [SMALL_STATE(5772)] = 298837,
  [SMALL_STATE(5773)] = 298891,
  [SMALL_STATE(5774)] = 298933,
  [SMALL_STATE(5775)] = 298975,
  [SMALL_STATE(5776)] = 299017,
  [SMALL_STATE(5777)] = 299059,
  [SMALL_STATE(5778)] = 299101,
  [SMALL_STATE(5779)] = 299143,
  [SMALL_STATE(5780)] = 299211,
  [SMALL_STATE(5781)] = 299253,
  [SMALL_STATE(5782)] = 299295,
  [SMALL_STATE(5783)] = 299363,
  [SMALL_STATE(5784)] = 299431,
  [SMALL_STATE(5785)] = 299473,
  [SMALL_STATE(5786)] = 299515,
  [SMALL_STATE(5787)] = 299557,
  [SMALL_STATE(5788)] = 299599,
  [SMALL_STATE(5789)] = 299641,
  [SMALL_STATE(5790)] = 299683,
  [SMALL_STATE(5791)] = 299751,
  [SMALL_STATE(5792)] = 299793,
  [SMALL_STATE(5793)] = 299835,
  [SMALL_STATE(5794)] = 299877,
  [SMALL_STATE(5795)] = 299931,
  [SMALL_STATE(5796)] = 299985,
  [SMALL_STATE(5797)] = 300027,
  [SMALL_STATE(5798)] = 300069,
  [SMALL_STATE(5799)] = 300137,
  [SMALL_STATE(5800)] = 300183,
  [SMALL_STATE(5801)] = 300251,
  [SMALL_STATE(5802)] = 300293,
  [SMALL_STATE(5803)] = 300337,
  [SMALL_STATE(5804)] = 300379,
  [SMALL_STATE(5805)] = 300421,
  [SMALL_STATE(5806)] = 300465,
  [SMALL_STATE(5807)] = 300513,
  [SMALL_STATE(5808)] = 300555,
  [SMALL_STATE(5809)] = 300597,
  [SMALL_STATE(5810)] = 300639,
  [SMALL_STATE(5811)] = 300681,
  [SMALL_STATE(5812)] = 300725,
  [SMALL_STATE(5813)] = 300767,
  [SMALL_STATE(5814)] = 300835,
  [SMALL_STATE(5815)] = 300877,
  [SMALL_STATE(5816)] = 300919,
  [SMALL_STATE(5817)] = 300963,
  [SMALL_STATE(5818)] = 301031,
  [SMALL_STATE(5819)] = 301099,
  [SMALL_STATE(5820)] = 301141,
  [SMALL_STATE(5821)] = 301193,
  [SMALL_STATE(5822)] = 301241,
  [SMALL_STATE(5823)] = 301283,
  [SMALL_STATE(5824)] = 301325,
  [SMALL_STATE(5825)] = 301379,
  [SMALL_STATE(5826)] = 301421,
  [SMALL_STATE(5827)] = 301465,
  [SMALL_STATE(5828)] = 301531,
  [SMALL_STATE(5829)] = 301573,
  [SMALL_STATE(5830)] = 301629,
  [SMALL_STATE(5831)] = 301671,
  [SMALL_STATE(5832)] = 301727,
  [SMALL_STATE(5833)] = 301795,
  [SMALL_STATE(5834)] = 301839,
  [SMALL_STATE(5835)] = 301881,
  [SMALL_STATE(5836)] = 301923,
  [SMALL_STATE(5837)] = 301965,
  [SMALL_STATE(5838)] = 302007,
  [SMALL_STATE(5839)] = 302049,
  [SMALL_STATE(5840)] = 302091,
  [SMALL_STATE(5841)] = 302137,
  [SMALL_STATE(5842)] = 302179,
  [SMALL_STATE(5843)] = 302247,
  [SMALL_STATE(5844)] = 302289,
  [SMALL_STATE(5845)] = 302357,
  [SMALL_STATE(5846)] = 302399,
  [SMALL_STATE(5847)] = 302443,
  [SMALL_STATE(5848)] = 302489,
  [SMALL_STATE(5849)] = 302543,
  [SMALL_STATE(5850)] = 302611,
  [SMALL_STATE(5851)] = 302653,
  [SMALL_STATE(5852)] = 302695,
  [SMALL_STATE(5853)] = 302737,
  [SMALL_STATE(5854)] = 302779,
  [SMALL_STATE(5855)] = 302821,
  [SMALL_STATE(5856)] = 302877,
  [SMALL_STATE(5857)] = 302919,
  [SMALL_STATE(5858)] = 302961,
  [SMALL_STATE(5859)] = 303003,
  [SMALL_STATE(5860)] = 303055,
  [SMALL_STATE(5861)] = 303097,
  [SMALL_STATE(5862)] = 303149,
  [SMALL_STATE(5863)] = 303211,
  [SMALL_STATE(5864)] = 303265,
  [SMALL_STATE(5865)] = 303307,
  [SMALL_STATE(5866)] = 303349,
  [SMALL_STATE(5867)] = 303403,
  [SMALL_STATE(5868)] = 303447,
  [SMALL_STATE(5869)] = 303501,
  [SMALL_STATE(5870)] = 303563,
  [SMALL_STATE(5871)] = 303605,
  [SMALL_STATE(5872)] = 303663,
  [SMALL_STATE(5873)] = 303731,
  [SMALL_STATE(5874)] = 303773,
  [SMALL_STATE(5875)] = 303815,
  [SMALL_STATE(5876)] = 303867,
  [SMALL_STATE(5877)] = 303909,
  [SMALL_STATE(5878)] = 303955,
  [SMALL_STATE(5879)] = 303997,
  [SMALL_STATE(5880)] = 304051,
  [SMALL_STATE(5881)] = 304119,
  [SMALL_STATE(5882)] = 304161,
  [SMALL_STATE(5883)] = 304223,
  [SMALL_STATE(5884)] = 304275,
  [SMALL_STATE(5885)] = 304317,
  [SMALL_STATE(5886)] = 304359,
  [SMALL_STATE(5887)] = 304405,
  [SMALL_STATE(5888)] = 304459,
  [SMALL_STATE(5889)] = 304525,
  [SMALL_STATE(5890)] = 304567,
  [SMALL_STATE(5891)] = 304635,
  [SMALL_STATE(5892)] = 304691,
  [SMALL_STATE(5893)] = 304759,
  [SMALL_STATE(5894)] = 304801,
  [SMALL_STATE(5895)] = 304869,
  [SMALL_STATE(5896)] = 304915,
  [SMALL_STATE(5897)] = 304969,
  [SMALL_STATE(5898)] = 305011,
  [SMALL_STATE(5899)] = 305079,
  [SMALL_STATE(5900)] = 305147,
  [SMALL_STATE(5901)] = 305195,
  [SMALL_STATE(5902)] = 305237,
  [SMALL_STATE(5903)] = 305305,
  [SMALL_STATE(5904)] = 305347,
  [SMALL_STATE(5905)] = 305389,
  [SMALL_STATE(5906)] = 305431,
  [SMALL_STATE(5907)] = 305485,
  [SMALL_STATE(5908)] = 305527,
  [SMALL_STATE(5909)] = 305569,
  [SMALL_STATE(5910)] = 305611,
  [SMALL_STATE(5911)] = 305653,
  [SMALL_STATE(5912)] = 305695,
  [SMALL_STATE(5913)] = 305737,
  [SMALL_STATE(5914)] = 305803,
  [SMALL_STATE(5915)] = 305855,
  [SMALL_STATE(5916)] = 305909,
  [SMALL_STATE(5917)] = 305951,
  [SMALL_STATE(5918)] = 305993,
  [SMALL_STATE(5919)] = 306037,
  [SMALL_STATE(5920)] = 306099,
  [SMALL_STATE(5921)] = 306141,
  [SMALL_STATE(5922)] = 306185,
  [SMALL_STATE(5923)] = 306253,
  [SMALL_STATE(5924)] = 306295,
  [SMALL_STATE(5925)] = 306363,
  [SMALL_STATE(5926)] = 306405,
  [SMALL_STATE(5927)] = 306453,
  [SMALL_STATE(5928)] = 306497,
  [SMALL_STATE(5929)] = 306551,
  [SMALL_STATE(5930)] = 306593,
  [SMALL_STATE(5931)] = 306649,
  [SMALL_STATE(5932)] = 306691,
  [SMALL_STATE(5933)] = 306733,
  [SMALL_STATE(5934)] = 306775,
  [SMALL_STATE(5935)] = 306843,
  [SMALL_STATE(5936)] = 306911,
  [SMALL_STATE(5937)] = 306953,
  [SMALL_STATE(5938)] = 306995,
  [SMALL_STATE(5939)] = 307037,
  [SMALL_STATE(5940)] = 307079,
  [SMALL_STATE(5941)] = 307133,
  [SMALL_STATE(5942)] = 307179,
  [SMALL_STATE(5943)] = 307221,
  [SMALL_STATE(5944)] = 307265,
  [SMALL_STATE(5945)] = 307309,
  [SMALL_STATE(5946)] = 307377,
  [SMALL_STATE(5947)] = 307419,
  [SMALL_STATE(5948)] = 307487,
  [SMALL_STATE(5949)] = 307553,
  [SMALL_STATE(5950)] = 307595,
  [SMALL_STATE(5951)] = 307637,
  [SMALL_STATE(5952)] = 307687,
  [SMALL_STATE(5953)] = 307729,
  [SMALL_STATE(5954)] = 307771,
  [SMALL_STATE(5955)] = 307833,
  [SMALL_STATE(5956)] = 307887,
  [SMALL_STATE(5957)] = 307955,
  [SMALL_STATE(5958)] = 308023,
  [SMALL_STATE(5959)] = 308065,
  [SMALL_STATE(5960)] = 308107,
  [SMALL_STATE(5961)] = 308151,
  [SMALL_STATE(5962)] = 308193,
  [SMALL_STATE(5963)] = 308235,
  [SMALL_STATE(5964)] = 308277,
  [SMALL_STATE(5965)] = 308335,
  [SMALL_STATE(5966)] = 308391,
  [SMALL_STATE(5967)] = 308435,
  [SMALL_STATE(5968)] = 308477,
  [SMALL_STATE(5969)] = 308523,
  [SMALL_STATE(5970)] = 308591,
  [SMALL_STATE(5971)] = 308633,
  [SMALL_STATE(5972)] = 308675,
  [SMALL_STATE(5973)] = 308717,
  [SMALL_STATE(5974)] = 308759,
  [SMALL_STATE(5975)] = 308801,
  [SMALL_STATE(5976)] = 308843,
  [SMALL_STATE(5977)] = 308885,
  [SMALL_STATE(5978)] = 308929,
  [SMALL_STATE(5979)] = 308983,
  [SMALL_STATE(5980)] = 309025,
  [SMALL_STATE(5981)] = 309081,
  [SMALL_STATE(5982)] = 309123,
  [SMALL_STATE(5983)] = 309165,
  [SMALL_STATE(5984)] = 309221,
  [SMALL_STATE(5985)] = 309263,
  [SMALL_STATE(5986)] = 309319,
  [SMALL_STATE(5987)] = 309361,
  [SMALL_STATE(5988)] = 309403,
  [SMALL_STATE(5989)] = 309445,
  [SMALL_STATE(5990)] = 309511,
  [SMALL_STATE(5991)] = 309553,
  [SMALL_STATE(5992)] = 309595,
  [SMALL_STATE(5993)] = 309637,
  [SMALL_STATE(5994)] = 309685,
  [SMALL_STATE(5995)] = 309727,
  [SMALL_STATE(5996)] = 309769,
  [SMALL_STATE(5997)] = 309811,
  [SMALL_STATE(5998)] = 309865,
  [SMALL_STATE(5999)] = 309919,
  [SMALL_STATE(6000)] = 309987,
  [SMALL_STATE(6001)] = 310031,
  [SMALL_STATE(6002)] = 310073,
  [SMALL_STATE(6003)] = 310139,
  [SMALL_STATE(6004)] = 310183,
  [SMALL_STATE(6005)] = 310237,
  [SMALL_STATE(6006)] = 310285,
  [SMALL_STATE(6007)] = 310327,
  [SMALL_STATE(6008)] = 310383,
  [SMALL_STATE(6009)] = 310425,
  [SMALL_STATE(6010)] = 310469,
  [SMALL_STATE(6011)] = 310511,
  [SMALL_STATE(6012)] = 310553,
  [SMALL_STATE(6013)] = 310597,
  [SMALL_STATE(6014)] = 310665,
  [SMALL_STATE(6015)] = 310727,
  [SMALL_STATE(6016)] = 310779,
  [SMALL_STATE(6017)] = 310821,
  [SMALL_STATE(6018)] = 310873,
  [SMALL_STATE(6019)] = 310917,
  [SMALL_STATE(6020)] = 310959,
  [SMALL_STATE(6021)] = 311001,
  [SMALL_STATE(6022)] = 311069,
  [SMALL_STATE(6023)] = 311111,
  [SMALL_STATE(6024)] = 311153,
  [SMALL_STATE(6025)] = 311195,
  [SMALL_STATE(6026)] = 311237,
  [SMALL_STATE(6027)] = 311289,
  [SMALL_STATE(6028)] = 311337,
  [SMALL_STATE(6029)] = 311379,
  [SMALL_STATE(6030)] = 311421,
  [SMALL_STATE(6031)] = 311463,
  [SMALL_STATE(6032)] = 311505,
  [SMALL_STATE(6033)] = 311547,
  [SMALL_STATE(6034)] = 311615,
  [SMALL_STATE(6035)] = 311657,
  [SMALL_STATE(6036)] = 311703,
  [SMALL_STATE(6037)] = 311745,
  [SMALL_STATE(6038)] = 311799,
  [SMALL_STATE(6039)] = 311841,
  [SMALL_STATE(6040)] = 311883,
  [SMALL_STATE(6041)] = 311925,
  [SMALL_STATE(6042)] = 311969,
  [SMALL_STATE(6043)] = 312017,
  [SMALL_STATE(6044)] = 312059,
  [SMALL_STATE(6045)] = 312127,
  [SMALL_STATE(6046)] = 312169,
  [SMALL_STATE(6047)] = 312237,
  [SMALL_STATE(6048)] = 312279,
  [SMALL_STATE(6049)] = 312325,
  [SMALL_STATE(6050)] = 312381,
  [SMALL_STATE(6051)] = 312423,
  [SMALL_STATE(6052)] = 312471,
  [SMALL_STATE(6053)] = 312525,
  [SMALL_STATE(6054)] = 312567,
  [SMALL_STATE(6055)] = 312635,
  [SMALL_STATE(6056)] = 312703,
  [SMALL_STATE(6057)] = 312747,
  [SMALL_STATE(6058)] = 312799,
  [SMALL_STATE(6059)] = 312867,
  [SMALL_STATE(6060)] = 312909,
  [SMALL_STATE(6061)] = 312953,
  [SMALL_STATE(6062)] = 312995,
  [SMALL_STATE(6063)] = 313051,
  [SMALL_STATE(6064)] = 313093,
  [SMALL_STATE(6065)] = 313137,
  [SMALL_STATE(6066)] = 313179,
  [SMALL_STATE(6067)] = 313233,
  [SMALL_STATE(6068)] = 313275,
  [SMALL_STATE(6069)] = 313317,
  [SMALL_STATE(6070)] = 313359,
  [SMALL_STATE(6071)] = 313401,
  [SMALL_STATE(6072)] = 313467,
  [SMALL_STATE(6073)] = 313509,
  [SMALL_STATE(6074)] = 313571,
  [SMALL_STATE(6075)] = 313615,
  [SMALL_STATE(6076)] = 313669,
  [SMALL_STATE(6077)] = 313737,
  [SMALL_STATE(6078)] = 313779,
  [SMALL_STATE(6079)] = 313847,
  [SMALL_STATE(6080)] = 313891,
  [SMALL_STATE(6081)] = 313933,
  [SMALL_STATE(6082)] = 313975,
  [SMALL_STATE(6083)] = 314017,
  [SMALL_STATE(6084)] = 314059,
  [SMALL_STATE(6085)] = 314101,
  [SMALL_STATE(6086)] = 314153,
  [SMALL_STATE(6087)] = 314221,
  [SMALL_STATE(6088)] = 314267,
  [SMALL_STATE(6089)] = 314309,
  [SMALL_STATE(6090)] = 314377,
  [SMALL_STATE(6091)] = 314419,
  [SMALL_STATE(6092)] = 314461,
  [SMALL_STATE(6093)] = 314503,
  [SMALL_STATE(6094)] = 314547,
  [SMALL_STATE(6095)] = 314615,
  [SMALL_STATE(6096)] = 314657,
  [SMALL_STATE(6097)] = 314698,
  [SMALL_STATE(6098)] = 314743,
  [SMALL_STATE(6099)] = 314784,
  [SMALL_STATE(6100)] = 314825,
  [SMALL_STATE(6101)] = 314872,
  [SMALL_STATE(6102)] = 314927,
  [SMALL_STATE(6103)] = 314968,
  [SMALL_STATE(6104)] = 315019,
  [SMALL_STATE(6105)] = 315060,
  [SMALL_STATE(6106)] = 315105,
  [SMALL_STATE(6107)] = 315148,
  [SMALL_STATE(6108)] = 315213,
  [SMALL_STATE(6109)] = 315254,
  [SMALL_STATE(6110)] = 315307,
  [SMALL_STATE(6111)] = 315350,
  [SMALL_STATE(6112)] = 315403,
  [SMALL_STATE(6113)] = 315448,
  [SMALL_STATE(6114)] = 315499,
  [SMALL_STATE(6115)] = 315540,
  [SMALL_STATE(6116)] = 315581,
  [SMALL_STATE(6117)] = 315634,
  [SMALL_STATE(6118)] = 315675,
  [SMALL_STATE(6119)] = 315716,
  [SMALL_STATE(6120)] = 315757,
  [SMALL_STATE(6121)] = 315798,
  [SMALL_STATE(6122)] = 315839,
  [SMALL_STATE(6123)] = 315880,
  [SMALL_STATE(6124)] = 315921,
  [SMALL_STATE(6125)] = 315966,
  [SMALL_STATE(6126)] = 316007,
  [SMALL_STATE(6127)] = 316058,
  [SMALL_STATE(6128)] = 316099,
  [SMALL_STATE(6129)] = 316164,
  [SMALL_STATE(6130)] = 316205,
  [SMALL_STATE(6131)] = 316246,
  [SMALL_STATE(6132)] = 316289,
  [SMALL_STATE(6133)] = 316330,
  [SMALL_STATE(6134)] = 316371,
  [SMALL_STATE(6135)] = 316428,
  [SMALL_STATE(6136)] = 316475,
  [SMALL_STATE(6137)] = 316516,
  [SMALL_STATE(6138)] = 316593,
  [SMALL_STATE(6139)] = 316634,
  [SMALL_STATE(6140)] = 316675,
  [SMALL_STATE(6141)] = 316716,
  [SMALL_STATE(6142)] = 316781,
  [SMALL_STATE(6143)] = 316826,
  [SMALL_STATE(6144)] = 316891,
  [SMALL_STATE(6145)] = 316932,
  [SMALL_STATE(6146)] = 316973,
  [SMALL_STATE(6147)] = 317038,
  [SMALL_STATE(6148)] = 317079,
  [SMALL_STATE(6149)] = 317124,
  [SMALL_STATE(6150)] = 317165,
  [SMALL_STATE(6151)] = 317206,
  [SMALL_STATE(6152)] = 317261,
  [SMALL_STATE(6153)] = 317304,
  [SMALL_STATE(6154)] = 317345,
  [SMALL_STATE(6155)] = 317386,
  [SMALL_STATE(6156)] = 317427,
  [SMALL_STATE(6157)] = 317468,
  [SMALL_STATE(6158)] = 317509,
  [SMALL_STATE(6159)] = 317552,
  [SMALL_STATE(6160)] = 317593,
  [SMALL_STATE(6161)] = 317654,
  [SMALL_STATE(6162)] = 317695,
  [SMALL_STATE(6163)] = 317736,
  [SMALL_STATE(6164)] = 317801,
  [SMALL_STATE(6165)] = 317852,
  [SMALL_STATE(6166)] = 317893,
  [SMALL_STATE(6167)] = 317934,
  [SMALL_STATE(6168)] = 317975,
  [SMALL_STATE(6169)] = 318016,
  [SMALL_STATE(6170)] = 318057,
  [SMALL_STATE(6171)] = 318098,
  [SMALL_STATE(6172)] = 318139,
  [SMALL_STATE(6173)] = 318204,
  [SMALL_STATE(6174)] = 318269,
  [SMALL_STATE(6175)] = 318312,
  [SMALL_STATE(6176)] = 318353,
  [SMALL_STATE(6177)] = 318418,
  [SMALL_STATE(6178)] = 318459,
  [SMALL_STATE(6179)] = 318500,
  [SMALL_STATE(6180)] = 318541,
  [SMALL_STATE(6181)] = 318582,
  [SMALL_STATE(6182)] = 318639,
  [SMALL_STATE(6183)] = 318680,
  [SMALL_STATE(6184)] = 318723,
  [SMALL_STATE(6185)] = 318778,
  [SMALL_STATE(6186)] = 318819,
  [SMALL_STATE(6187)] = 318860,
  [SMALL_STATE(6188)] = 318901,
  [SMALL_STATE(6189)] = 318942,
  [SMALL_STATE(6190)] = 318999,
  [SMALL_STATE(6191)] = 319060,
  [SMALL_STATE(6192)] = 319105,
  [SMALL_STATE(6193)] = 319146,
  [SMALL_STATE(6194)] = 319187,
  [SMALL_STATE(6195)] = 319238,
  [SMALL_STATE(6196)] = 319279,
  [SMALL_STATE(6197)] = 319334,
  [SMALL_STATE(6198)] = 319375,
  [SMALL_STATE(6199)] = 319416,
  [SMALL_STATE(6200)] = 319457,
  [SMALL_STATE(6201)] = 319502,
  [SMALL_STATE(6202)] = 319549,
  [SMALL_STATE(6203)] = 319596,
  [SMALL_STATE(6204)] = 319637,
  [SMALL_STATE(6205)] = 319678,
  [SMALL_STATE(6206)] = 319731,
  [SMALL_STATE(6207)] = 319788,
  [SMALL_STATE(6208)] = 319835,
  [SMALL_STATE(6209)] = 319876,
  [SMALL_STATE(6210)] = 319917,
  [SMALL_STATE(6211)] = 319960,
  [SMALL_STATE(6212)] = 320001,
  [SMALL_STATE(6213)] = 320042,
  [SMALL_STATE(6214)] = 320085,
  [SMALL_STATE(6215)] = 320128,
  [SMALL_STATE(6216)] = 320171,
  [SMALL_STATE(6217)] = 320226,
  [SMALL_STATE(6218)] = 320267,
  [SMALL_STATE(6219)] = 320308,
  [SMALL_STATE(6220)] = 320349,
  [SMALL_STATE(6221)] = 320402,
  [SMALL_STATE(6222)] = 320467,
  [SMALL_STATE(6223)] = 320508,
  [SMALL_STATE(6224)] = 320561,
  [SMALL_STATE(6225)] = 320602,
  [SMALL_STATE(6226)] = 320657,
  [SMALL_STATE(6227)] = 320698,
  [SMALL_STATE(6228)] = 320741,
  [SMALL_STATE(6229)] = 320782,
  [SMALL_STATE(6230)] = 320823,
  [SMALL_STATE(6231)] = 320864,
  [SMALL_STATE(6232)] = 320905,
  [SMALL_STATE(6233)] = 320970,
  [SMALL_STATE(6234)] = 321023,
  [SMALL_STATE(6235)] = 321076,
  [SMALL_STATE(6236)] = 321141,
  [SMALL_STATE(6237)] = 321186,
  [SMALL_STATE(6238)] = 321227,
  [SMALL_STATE(6239)] = 321292,
  [SMALL_STATE(6240)] = 321339,
  [SMALL_STATE(6241)] = 321394,
  [SMALL_STATE(6242)] = 321437,
  [SMALL_STATE(6243)] = 321478,
  [SMALL_STATE(6244)] = 321519,
  [SMALL_STATE(6245)] = 321564,
  [SMALL_STATE(6246)] = 321605,
  [SMALL_STATE(6247)] = 321646,
  [SMALL_STATE(6248)] = 321687,
  [SMALL_STATE(6249)] = 321730,
  [SMALL_STATE(6250)] = 321771,
  [SMALL_STATE(6251)] = 321812,
  [SMALL_STATE(6252)] = 321853,
  [SMALL_STATE(6253)] = 321894,
  [SMALL_STATE(6254)] = 321935,
  [SMALL_STATE(6255)] = 321976,
  [SMALL_STATE(6256)] = 322017,
  [SMALL_STATE(6257)] = 322058,
  [SMALL_STATE(6258)] = 322099,
  [SMALL_STATE(6259)] = 322152,
  [SMALL_STATE(6260)] = 322193,
  [SMALL_STATE(6261)] = 322240,
  [SMALL_STATE(6262)] = 322281,
  [SMALL_STATE(6263)] = 322322,
  [SMALL_STATE(6264)] = 322363,
  [SMALL_STATE(6265)] = 322404,
  [SMALL_STATE(6266)] = 322447,
  [SMALL_STATE(6267)] = 322488,
  [SMALL_STATE(6268)] = 322529,
  [SMALL_STATE(6269)] = 322570,
  [SMALL_STATE(6270)] = 322617,
  [SMALL_STATE(6271)] = 322658,
  [SMALL_STATE(6272)] = 322699,
  [SMALL_STATE(6273)] = 322740,
  [SMALL_STATE(6274)] = 322793,
  [SMALL_STATE(6275)] = 322834,
  [SMALL_STATE(6276)] = 322895,
  [SMALL_STATE(6277)] = 322936,
  [SMALL_STATE(6278)] = 322977,
  [SMALL_STATE(6279)] = 323018,
  [SMALL_STATE(6280)] = 323059,
  [SMALL_STATE(6281)] = 323100,
  [SMALL_STATE(6282)] = 323141,
  [SMALL_STATE(6283)] = 323182,
  [SMALL_STATE(6284)] = 323223,
  [SMALL_STATE(6285)] = 323264,
  [SMALL_STATE(6286)] = 323307,
  [SMALL_STATE(6287)] = 323348,
  [SMALL_STATE(6288)] = 323389,
  [SMALL_STATE(6289)] = 323430,
  [SMALL_STATE(6290)] = 323471,
  [SMALL_STATE(6291)] = 323512,
  [SMALL_STATE(6292)] = 323553,
  [SMALL_STATE(6293)] = 323594,
  [SMALL_STATE(6294)] = 323635,
  [SMALL_STATE(6295)] = 323676,
  [SMALL_STATE(6296)] = 323741,
  [SMALL_STATE(6297)] = 323782,
  [SMALL_STATE(6298)] = 323823,
  [SMALL_STATE(6299)] = 323864,
  [SMALL_STATE(6300)] = 323905,
  [SMALL_STATE(6301)] = 323946,
  [SMALL_STATE(6302)] = 323987,
  [SMALL_STATE(6303)] = 324028,
  [SMALL_STATE(6304)] = 324069,
  [SMALL_STATE(6305)] = 324112,
  [SMALL_STATE(6306)] = 324153,
  [SMALL_STATE(6307)] = 324194,
  [SMALL_STATE(6308)] = 324237,
  [SMALL_STATE(6309)] = 324286,
  [SMALL_STATE(6310)] = 324327,
  [SMALL_STATE(6311)] = 324380,
  [SMALL_STATE(6312)] = 324421,
  [SMALL_STATE(6313)] = 324482,
  [SMALL_STATE(6314)] = 324523,
  [SMALL_STATE(6315)] = 324576,
  [SMALL_STATE(6316)] = 324617,
  [SMALL_STATE(6317)] = 324658,
  [SMALL_STATE(6318)] = 324699,
  [SMALL_STATE(6319)] = 324742,
  [SMALL_STATE(6320)] = 324783,
  [SMALL_STATE(6321)] = 324824,
  [SMALL_STATE(6322)] = 324865,
  [SMALL_STATE(6323)] = 324906,
  [SMALL_STATE(6324)] = 324947,
  [SMALL_STATE(6325)] = 325000,
  [SMALL_STATE(6326)] = 325043,
  [SMALL_STATE(6327)] = 325098,
  [SMALL_STATE(6328)] = 325139,
  [SMALL_STATE(6329)] = 325180,
  [SMALL_STATE(6330)] = 325223,
  [SMALL_STATE(6331)] = 325264,
  [SMALL_STATE(6332)] = 325305,
  [SMALL_STATE(6333)] = 325346,
  [SMALL_STATE(6334)] = 325387,
  [SMALL_STATE(6335)] = 325442,
  [SMALL_STATE(6336)] = 325489,
  [SMALL_STATE(6337)] = 325530,
  [SMALL_STATE(6338)] = 325575,
  [SMALL_STATE(6339)] = 325616,
  [SMALL_STATE(6340)] = 325657,
  [SMALL_STATE(6341)] = 325698,
  [SMALL_STATE(6342)] = 325739,
  [SMALL_STATE(6343)] = 325780,
  [SMALL_STATE(6344)] = 325841,
  [SMALL_STATE(6345)] = 325882,
  [SMALL_STATE(6346)] = 325923,
  [SMALL_STATE(6347)] = 325964,
  [SMALL_STATE(6348)] = 326005,
  [SMALL_STATE(6349)] = 326052,
  [SMALL_STATE(6350)] = 326093,
  [SMALL_STATE(6351)] = 326134,
  [SMALL_STATE(6352)] = 326189,
  [SMALL_STATE(6353)] = 326230,
  [SMALL_STATE(6354)] = 326271,
  [SMALL_STATE(6355)] = 326312,
  [SMALL_STATE(6356)] = 326353,
  [SMALL_STATE(6357)] = 326394,
  [SMALL_STATE(6358)] = 326447,
  [SMALL_STATE(6359)] = 326488,
  [SMALL_STATE(6360)] = 326529,
  [SMALL_STATE(6361)] = 326570,
  [SMALL_STATE(6362)] = 326611,
  [SMALL_STATE(6363)] = 326652,
  [SMALL_STATE(6364)] = 326693,
  [SMALL_STATE(6365)] = 326740,
  [SMALL_STATE(6366)] = 326785,
  [SMALL_STATE(6367)] = 326828,
  [SMALL_STATE(6368)] = 326873,
  [SMALL_STATE(6369)] = 326924,
  [SMALL_STATE(6370)] = 326965,
  [SMALL_STATE(6371)] = 327006,
  [SMALL_STATE(6372)] = 327047,
  [SMALL_STATE(6373)] = 327088,
  [SMALL_STATE(6374)] = 327129,
  [SMALL_STATE(6375)] = 327170,
  [SMALL_STATE(6376)] = 327211,
  [SMALL_STATE(6377)] = 327252,
  [SMALL_STATE(6378)] = 327293,
  [SMALL_STATE(6379)] = 327348,
  [SMALL_STATE(6380)] = 327389,
  [SMALL_STATE(6381)] = 327430,
  [SMALL_STATE(6382)] = 327471,
  [SMALL_STATE(6383)] = 327522,
  [SMALL_STATE(6384)] = 327563,
  [SMALL_STATE(6385)] = 327604,
  [SMALL_STATE(6386)] = 327649,
  [SMALL_STATE(6387)] = 327696,
  [SMALL_STATE(6388)] = 327743,
  [SMALL_STATE(6389)] = 327788,
  [SMALL_STATE(6390)] = 327839,
  [SMALL_STATE(6391)] = 327880,
  [SMALL_STATE(6392)] = 327925,
  [SMALL_STATE(6393)] = 327990,
  [SMALL_STATE(6394)] = 328035,
  [SMALL_STATE(6395)] = 328078,
  [SMALL_STATE(6396)] = 328127,
  [SMALL_STATE(6397)] = 328174,
  [SMALL_STATE(6398)] = 328215,
  [SMALL_STATE(6399)] = 328258,
  [SMALL_STATE(6400)] = 328299,
  [SMALL_STATE(6401)] = 328340,
  [SMALL_STATE(6402)] = 328387,
  [SMALL_STATE(6403)] = 328428,
  [SMALL_STATE(6404)] = 328469,
  [SMALL_STATE(6405)] = 328510,
  [SMALL_STATE(6406)] = 328551,
  [SMALL_STATE(6407)] = 328592,
  [SMALL_STATE(6408)] = 328633,
  [SMALL_STATE(6409)] = 328674,
  [SMALL_STATE(6410)] = 328715,
  [SMALL_STATE(6411)] = 328756,
  [SMALL_STATE(6412)] = 328797,
  [SMALL_STATE(6413)] = 328842,
  [SMALL_STATE(6414)] = 328893,
  [SMALL_STATE(6415)] = 328934,
  [SMALL_STATE(6416)] = 328975,
  [SMALL_STATE(6417)] = 329016,
  [SMALL_STATE(6418)] = 329057,
  [SMALL_STATE(6419)] = 329098,
  [SMALL_STATE(6420)] = 329139,
  [SMALL_STATE(6421)] = 329180,
  [SMALL_STATE(6422)] = 329221,
  [SMALL_STATE(6423)] = 329262,
  [SMALL_STATE(6424)] = 329303,
  [SMALL_STATE(6425)] = 329346,
  [SMALL_STATE(6426)] = 329387,
  [SMALL_STATE(6427)] = 329428,
  [SMALL_STATE(6428)] = 329469,
  [SMALL_STATE(6429)] = 329510,
  [SMALL_STATE(6430)] = 329551,
  [SMALL_STATE(6431)] = 329592,
  [SMALL_STATE(6432)] = 329633,
  [SMALL_STATE(6433)] = 329674,
  [SMALL_STATE(6434)] = 329715,
  [SMALL_STATE(6435)] = 329760,
  [SMALL_STATE(6436)] = 329801,
  [SMALL_STATE(6437)] = 329842,
  [SMALL_STATE(6438)] = 329883,
  [SMALL_STATE(6439)] = 329924,
  [SMALL_STATE(6440)] = 329965,
  [SMALL_STATE(6441)] = 330006,
  [SMALL_STATE(6442)] = 330047,
  [SMALL_STATE(6443)] = 330090,
  [SMALL_STATE(6444)] = 330131,
  [SMALL_STATE(6445)] = 330172,
  [SMALL_STATE(6446)] = 330213,
  [SMALL_STATE(6447)] = 330254,
  [SMALL_STATE(6448)] = 330295,
  [SMALL_STATE(6449)] = 330336,
  [SMALL_STATE(6450)] = 330377,
  [SMALL_STATE(6451)] = 330418,
  [SMALL_STATE(6452)] = 330459,
  [SMALL_STATE(6453)] = 330500,
  [SMALL_STATE(6454)] = 330541,
  [SMALL_STATE(6455)] = 330582,
  [SMALL_STATE(6456)] = 330629,
  [SMALL_STATE(6457)] = 330670,
  [SMALL_STATE(6458)] = 330711,
  [SMALL_STATE(6459)] = 330752,
  [SMALL_STATE(6460)] = 330793,
  [SMALL_STATE(6461)] = 330836,
  [SMALL_STATE(6462)] = 330877,
  [SMALL_STATE(6463)] = 330918,
  [SMALL_STATE(6464)] = 330963,
  [SMALL_STATE(6465)] = 331024,
  [SMALL_STATE(6466)] = 331065,
  [SMALL_STATE(6467)] = 331106,
  [SMALL_STATE(6468)] = 331147,
  [SMALL_STATE(6469)] = 331188,
  [SMALL_STATE(6470)] = 331231,
  [SMALL_STATE(6471)] = 331274,
  [SMALL_STATE(6472)] = 331321,
  [SMALL_STATE(6473)] = 331362,
  [SMALL_STATE(6474)] = 331403,
  [SMALL_STATE(6475)] = 331448,
  [SMALL_STATE(6476)] = 331489,
  [SMALL_STATE(6477)] = 331530,
  [SMALL_STATE(6478)] = 331573,
  [SMALL_STATE(6479)] = 331618,
  [SMALL_STATE(6480)] = 331661,
  [SMALL_STATE(6481)] = 331702,
  [SMALL_STATE(6482)] = 331749,
  [SMALL_STATE(6483)] = 331794,
  [SMALL_STATE(6484)] = 331835,
  [SMALL_STATE(6485)] = 331878,
  [SMALL_STATE(6486)] = 331925,
  [SMALL_STATE(6487)] = 331966,
  [SMALL_STATE(6488)] = 332007,
  [SMALL_STATE(6489)] = 332050,
  [SMALL_STATE(6490)] = 332103,
  [SMALL_STATE(6491)] = 332144,
  [SMALL_STATE(6492)] = 332185,
  [SMALL_STATE(6493)] = 332226,
  [SMALL_STATE(6494)] = 332267,
  [SMALL_STATE(6495)] = 332308,
  [SMALL_STATE(6496)] = 332349,
  [SMALL_STATE(6497)] = 332390,
  [SMALL_STATE(6498)] = 332431,
  [SMALL_STATE(6499)] = 332472,
  [SMALL_STATE(6500)] = 332513,
  [SMALL_STATE(6501)] = 332554,
  [SMALL_STATE(6502)] = 332595,
  [SMALL_STATE(6503)] = 332636,
  [SMALL_STATE(6504)] = 332677,
  [SMALL_STATE(6505)] = 332718,
  [SMALL_STATE(6506)] = 332759,
  [SMALL_STATE(6507)] = 332800,
  [SMALL_STATE(6508)] = 332841,
  [SMALL_STATE(6509)] = 332882,
  [SMALL_STATE(6510)] = 332935,
  [SMALL_STATE(6511)] = 332978,
  [SMALL_STATE(6512)] = 333029,
  [SMALL_STATE(6513)] = 333070,
  [SMALL_STATE(6514)] = 333111,
  [SMALL_STATE(6515)] = 333152,
  [SMALL_STATE(6516)] = 333193,
  [SMALL_STATE(6517)] = 333234,
  [SMALL_STATE(6518)] = 333275,
  [SMALL_STATE(6519)] = 333318,
  [SMALL_STATE(6520)] = 333359,
  [SMALL_STATE(6521)] = 333424,
  [SMALL_STATE(6522)] = 333465,
  [SMALL_STATE(6523)] = 333506,
  [SMALL_STATE(6524)] = 333547,
  [SMALL_STATE(6525)] = 333588,
  [SMALL_STATE(6526)] = 333629,
  [SMALL_STATE(6527)] = 333672,
  [SMALL_STATE(6528)] = 333713,
  [SMALL_STATE(6529)] = 333754,
  [SMALL_STATE(6530)] = 333795,
  [SMALL_STATE(6531)] = 333838,
  [SMALL_STATE(6532)] = 333879,
  [SMALL_STATE(6533)] = 333920,
  [SMALL_STATE(6534)] = 333961,
  [SMALL_STATE(6535)] = 334010,
  [SMALL_STATE(6536)] = 334051,
  [SMALL_STATE(6537)] = 334094,
  [SMALL_STATE(6538)] = 334137,
  [SMALL_STATE(6539)] = 334178,
  [SMALL_STATE(6540)] = 334219,
  [SMALL_STATE(6541)] = 334260,
  [SMALL_STATE(6542)] = 334313,
  [SMALL_STATE(6543)] = 334356,
  [SMALL_STATE(6544)] = 334397,
  [SMALL_STATE(6545)] = 334438,
  [SMALL_STATE(6546)] = 334479,
  [SMALL_STATE(6547)] = 334520,
  [SMALL_STATE(6548)] = 334563,
  [SMALL_STATE(6549)] = 334604,
  [SMALL_STATE(6550)] = 334645,
  [SMALL_STATE(6551)] = 334686,
  [SMALL_STATE(6552)] = 334741,
  [SMALL_STATE(6553)] = 334788,
  [SMALL_STATE(6554)] = 334829,
  [SMALL_STATE(6555)] = 334870,
  [SMALL_STATE(6556)] = 334911,
  [SMALL_STATE(6557)] = 334952,
  [SMALL_STATE(6558)] = 334993,
  [SMALL_STATE(6559)] = 335034,
  [SMALL_STATE(6560)] = 335075,
  [SMALL_STATE(6561)] = 335116,
  [SMALL_STATE(6562)] = 335157,
  [SMALL_STATE(6563)] = 335202,
  [SMALL_STATE(6564)] = 335243,
  [SMALL_STATE(6565)] = 335286,
  [SMALL_STATE(6566)] = 335327,
  [SMALL_STATE(6567)] = 335370,
  [SMALL_STATE(6568)] = 335423,
  [SMALL_STATE(6569)] = 335464,
  [SMALL_STATE(6570)] = 335505,
  [SMALL_STATE(6571)] = 335546,
  [SMALL_STATE(6572)] = 335587,
  [SMALL_STATE(6573)] = 335634,
  [SMALL_STATE(6574)] = 335675,
  [SMALL_STATE(6575)] = 335716,
  [SMALL_STATE(6576)] = 335757,
  [SMALL_STATE(6577)] = 335812,
  [SMALL_STATE(6578)] = 335853,
  [SMALL_STATE(6579)] = 335894,
  [SMALL_STATE(6580)] = 335935,
  [SMALL_STATE(6581)] = 335976,
  [SMALL_STATE(6582)] = 336017,
  [SMALL_STATE(6583)] = 336058,
  [SMALL_STATE(6584)] = 336099,
  [SMALL_STATE(6585)] = 336140,
  [SMALL_STATE(6586)] = 336183,
  [SMALL_STATE(6587)] = 336224,
  [SMALL_STATE(6588)] = 336265,
  [SMALL_STATE(6589)] = 336306,
  [SMALL_STATE(6590)] = 336347,
  [SMALL_STATE(6591)] = 336388,
  [SMALL_STATE(6592)] = 336429,
  [SMALL_STATE(6593)] = 336470,
  [SMALL_STATE(6594)] = 336511,
  [SMALL_STATE(6595)] = 336564,
  [SMALL_STATE(6596)] = 336605,
  [SMALL_STATE(6597)] = 336646,
  [SMALL_STATE(6598)] = 336689,
  [SMALL_STATE(6599)] = 336734,
  [SMALL_STATE(6600)] = 336775,
  [SMALL_STATE(6601)] = 336818,
  [SMALL_STATE(6602)] = 336859,
  [SMALL_STATE(6603)] = 336900,
  [SMALL_STATE(6604)] = 336947,
  [SMALL_STATE(6605)] = 336990,
  [SMALL_STATE(6606)] = 337031,
  [SMALL_STATE(6607)] = 337072,
  [SMALL_STATE(6608)] = 337113,
  [SMALL_STATE(6609)] = 337154,
  [SMALL_STATE(6610)] = 337195,
  [SMALL_STATE(6611)] = 337236,
  [SMALL_STATE(6612)] = 337277,
  [SMALL_STATE(6613)] = 337318,
  [SMALL_STATE(6614)] = 337359,
  [SMALL_STATE(6615)] = 337400,
  [SMALL_STATE(6616)] = 337441,
  [SMALL_STATE(6617)] = 337482,
  [SMALL_STATE(6618)] = 337535,
  [SMALL_STATE(6619)] = 337578,
  [SMALL_STATE(6620)] = 337619,
  [SMALL_STATE(6621)] = 337660,
  [SMALL_STATE(6622)] = 337715,
  [SMALL_STATE(6623)] = 337756,
  [SMALL_STATE(6624)] = 337797,
  [SMALL_STATE(6625)] = 337838,
  [SMALL_STATE(6626)] = 337879,
  [SMALL_STATE(6627)] = 337920,
  [SMALL_STATE(6628)] = 337961,
  [SMALL_STATE(6629)] = 338026,
  [SMALL_STATE(6630)] = 338073,
  [SMALL_STATE(6631)] = 338114,
  [SMALL_STATE(6632)] = 338155,
  [SMALL_STATE(6633)] = 338196,
  [SMALL_STATE(6634)] = 338241,
  [SMALL_STATE(6635)] = 338282,
  [SMALL_STATE(6636)] = 338323,
  [SMALL_STATE(6637)] = 338364,
  [SMALL_STATE(6638)] = 338405,
  [SMALL_STATE(6639)] = 338452,
  [SMALL_STATE(6640)] = 338497,
  [SMALL_STATE(6641)] = 338538,
  [SMALL_STATE(6642)] = 338585,
  [SMALL_STATE(6643)] = 338626,
  [SMALL_STATE(6644)] = 338675,
  [SMALL_STATE(6645)] = 338716,
  [SMALL_STATE(6646)] = 338777,
  [SMALL_STATE(6647)] = 338822,
  [SMALL_STATE(6648)] = 338875,
  [SMALL_STATE(6649)] = 338916,
  [SMALL_STATE(6650)] = 338957,
  [SMALL_STATE(6651)] = 338998,
  [SMALL_STATE(6652)] = 339039,
  [SMALL_STATE(6653)] = 339080,
  [SMALL_STATE(6654)] = 339121,
  [SMALL_STATE(6655)] = 339162,
  [SMALL_STATE(6656)] = 339203,
  [SMALL_STATE(6657)] = 339244,
  [SMALL_STATE(6658)] = 339285,
  [SMALL_STATE(6659)] = 339342,
  [SMALL_STATE(6660)] = 339383,
  [SMALL_STATE(6661)] = 339424,
  [SMALL_STATE(6662)] = 339465,
  [SMALL_STATE(6663)] = 339506,
  [SMALL_STATE(6664)] = 339547,
  [SMALL_STATE(6665)] = 339592,
  [SMALL_STATE(6666)] = 339633,
  [SMALL_STATE(6667)] = 339674,
  [SMALL_STATE(6668)] = 339715,
  [SMALL_STATE(6669)] = 339756,
  [SMALL_STATE(6670)] = 339797,
  [SMALL_STATE(6671)] = 339838,
  [SMALL_STATE(6672)] = 339899,
  [SMALL_STATE(6673)] = 339940,
  [SMALL_STATE(6674)] = 339983,
  [SMALL_STATE(6675)] = 340036,
  [SMALL_STATE(6676)] = 340079,
  [SMALL_STATE(6677)] = 340120,
  [SMALL_STATE(6678)] = 340173,
  [SMALL_STATE(6679)] = 340228,
  [SMALL_STATE(6680)] = 340283,
  [SMALL_STATE(6681)] = 340324,
  [SMALL_STATE(6682)] = 340367,
  [SMALL_STATE(6683)] = 340408,
  [SMALL_STATE(6684)] = 340451,
  [SMALL_STATE(6685)] = 340494,
  [SMALL_STATE(6686)] = 340535,
  [SMALL_STATE(6687)] = 340588,
  [SMALL_STATE(6688)] = 340629,
  [SMALL_STATE(6689)] = 340670,
  [SMALL_STATE(6690)] = 340711,
  [SMALL_STATE(6691)] = 340756,
  [SMALL_STATE(6692)] = 340797,
  [SMALL_STATE(6693)] = 340858,
  [SMALL_STATE(6694)] = 340899,
  [SMALL_STATE(6695)] = 340940,
  [SMALL_STATE(6696)] = 340981,
  [SMALL_STATE(6697)] = 341034,
  [SMALL_STATE(6698)] = 341085,
  [SMALL_STATE(6699)] = 341126,
  [SMALL_STATE(6700)] = 341171,
  [SMALL_STATE(6701)] = 341218,
  [SMALL_STATE(6702)] = 341259,
  [SMALL_STATE(6703)] = 341310,
  [SMALL_STATE(6704)] = 341353,
  [SMALL_STATE(6705)] = 341394,
  [SMALL_STATE(6706)] = 341439,
  [SMALL_STATE(6707)] = 341482,
  [SMALL_STATE(6708)] = 341523,
  [SMALL_STATE(6709)] = 341576,
  [SMALL_STATE(6710)] = 341617,
  [SMALL_STATE(6711)] = 341660,
  [SMALL_STATE(6712)] = 341701,
  [SMALL_STATE(6713)] = 341744,
  [SMALL_STATE(6714)] = 341797,
  [SMALL_STATE(6715)] = 341838,
  [SMALL_STATE(6716)] = 341879,
  [SMALL_STATE(6717)] = 341920,
  [SMALL_STATE(6718)] = 341961,
  [SMALL_STATE(6719)] = 342004,
  [SMALL_STATE(6720)] = 342045,
  [SMALL_STATE(6721)] = 342086,
  [SMALL_STATE(6722)] = 342127,
  [SMALL_STATE(6723)] = 342168,
  [SMALL_STATE(6724)] = 342211,
  [SMALL_STATE(6725)] = 342252,
  [SMALL_STATE(6726)] = 342293,
  [SMALL_STATE(6727)] = 342334,
  [SMALL_STATE(6728)] = 342375,
  [SMALL_STATE(6729)] = 342416,
  [SMALL_STATE(6730)] = 342457,
  [SMALL_STATE(6731)] = 342498,
  [SMALL_STATE(6732)] = 342539,
  [SMALL_STATE(6733)] = 342580,
  [SMALL_STATE(6734)] = 342621,
  [SMALL_STATE(6735)] = 342662,
  [SMALL_STATE(6736)] = 342709,
  [SMALL_STATE(6737)] = 342750,
  [SMALL_STATE(6738)] = 342791,
  [SMALL_STATE(6739)] = 342832,
  [SMALL_STATE(6740)] = 342873,
  [SMALL_STATE(6741)] = 342914,
  [SMALL_STATE(6742)] = 342955,
  [SMALL_STATE(6743)] = 342996,
  [SMALL_STATE(6744)] = 343037,
  [SMALL_STATE(6745)] = 343078,
  [SMALL_STATE(6746)] = 343119,
  [SMALL_STATE(6747)] = 343162,
  [SMALL_STATE(6748)] = 343203,
  [SMALL_STATE(6749)] = 343244,
  [SMALL_STATE(6750)] = 343285,
  [SMALL_STATE(6751)] = 343340,
  [SMALL_STATE(6752)] = 343381,
  [SMALL_STATE(6753)] = 343422,
  [SMALL_STATE(6754)] = 343463,
  [SMALL_STATE(6755)] = 343504,
  [SMALL_STATE(6756)] = 343545,
  [SMALL_STATE(6757)] = 343586,
  [SMALL_STATE(6758)] = 343627,
  [SMALL_STATE(6759)] = 343668,
  [SMALL_STATE(6760)] = 343721,
  [SMALL_STATE(6761)] = 343762,
  [SMALL_STATE(6762)] = 343815,
  [SMALL_STATE(6763)] = 343856,
  [SMALL_STATE(6764)] = 343897,
  [SMALL_STATE(6765)] = 343938,
  [SMALL_STATE(6766)] = 343979,
  [SMALL_STATE(6767)] = 344020,
  [SMALL_STATE(6768)] = 344065,
  [SMALL_STATE(6769)] = 344110,
  [SMALL_STATE(6770)] = 344165,
  [SMALL_STATE(6771)] = 344212,
  [SMALL_STATE(6772)] = 344252,
  [SMALL_STATE(6773)] = 344292,
  [SMALL_STATE(6774)] = 344334,
  [SMALL_STATE(6775)] = 344374,
  [SMALL_STATE(6776)] = 344414,
  [SMALL_STATE(6777)] = 344456,
  [SMALL_STATE(6778)] = 344500,
  [SMALL_STATE(6779)] = 344546,
  [SMALL_STATE(6780)] = 344588,
  [SMALL_STATE(6781)] = 344628,
  [SMALL_STATE(6782)] = 344668,
  [SMALL_STATE(6783)] = 344708,
  [SMALL_STATE(6784)] = 344748,
  [SMALL_STATE(6785)] = 344792,
  [SMALL_STATE(6786)] = 344832,
  [SMALL_STATE(6787)] = 344884,
  [SMALL_STATE(6788)] = 344924,
  [SMALL_STATE(6789)] = 344966,
  [SMALL_STATE(6790)] = 345010,
  [SMALL_STATE(6791)] = 345050,
  [SMALL_STATE(6792)] = 345090,
  [SMALL_STATE(6793)] = 345130,
  [SMALL_STATE(6794)] = 345170,
  [SMALL_STATE(6795)] = 345210,
  [SMALL_STATE(6796)] = 345250,
  [SMALL_STATE(6797)] = 345290,
  [SMALL_STATE(6798)] = 345334,
  [SMALL_STATE(6799)] = 345374,
  [SMALL_STATE(6800)] = 345414,
  [SMALL_STATE(6801)] = 345454,
  [SMALL_STATE(6802)] = 345500,
  [SMALL_STATE(6803)] = 345540,
  [SMALL_STATE(6804)] = 345580,
  [SMALL_STATE(6805)] = 345622,
  [SMALL_STATE(6806)] = 345662,
  [SMALL_STATE(6807)] = 345702,
  [SMALL_STATE(6808)] = 345742,
  [SMALL_STATE(6809)] = 345790,
  [SMALL_STATE(6810)] = 345830,
  [SMALL_STATE(6811)] = 345872,
  [SMALL_STATE(6812)] = 345924,
  [SMALL_STATE(6813)] = 345964,
  [SMALL_STATE(6814)] = 346004,
  [SMALL_STATE(6815)] = 346044,
  [SMALL_STATE(6816)] = 346084,
  [SMALL_STATE(6817)] = 346124,
  [SMALL_STATE(6818)] = 346164,
  [SMALL_STATE(6819)] = 346204,
  [SMALL_STATE(6820)] = 346250,
  [SMALL_STATE(6821)] = 346314,
  [SMALL_STATE(6822)] = 346354,
  [SMALL_STATE(6823)] = 346394,
  [SMALL_STATE(6824)] = 346434,
  [SMALL_STATE(6825)] = 346474,
  [SMALL_STATE(6826)] = 346516,
  [SMALL_STATE(6827)] = 346556,
  [SMALL_STATE(6828)] = 346596,
  [SMALL_STATE(6829)] = 346636,
  [SMALL_STATE(6830)] = 346676,
  [SMALL_STATE(6831)] = 346716,
  [SMALL_STATE(6832)] = 346756,
  [SMALL_STATE(6833)] = 346796,
  [SMALL_STATE(6834)] = 346838,
  [SMALL_STATE(6835)] = 346878,
  [SMALL_STATE(6836)] = 346918,
  [SMALL_STATE(6837)] = 346958,
  [SMALL_STATE(6838)] = 346998,
  [SMALL_STATE(6839)] = 347038,
  [SMALL_STATE(6840)] = 347092,
  [SMALL_STATE(6841)] = 347146,
  [SMALL_STATE(6842)] = 347186,
  [SMALL_STATE(6843)] = 347226,
  [SMALL_STATE(6844)] = 347266,
  [SMALL_STATE(6845)] = 347306,
  [SMALL_STATE(6846)] = 347346,
  [SMALL_STATE(6847)] = 347390,
  [SMALL_STATE(6848)] = 347430,
  [SMALL_STATE(6849)] = 347472,
  [SMALL_STATE(6850)] = 347512,
  [SMALL_STATE(6851)] = 347552,
  [SMALL_STATE(6852)] = 347592,
  [SMALL_STATE(6853)] = 347632,
  [SMALL_STATE(6854)] = 347672,
  [SMALL_STATE(6855)] = 347712,
  [SMALL_STATE(6856)] = 347752,
  [SMALL_STATE(6857)] = 347792,
  [SMALL_STATE(6858)] = 347832,
  [SMALL_STATE(6859)] = 347876,
  [SMALL_STATE(6860)] = 347916,
  [SMALL_STATE(6861)] = 347956,
  [SMALL_STATE(6862)] = 348008,
  [SMALL_STATE(6863)] = 348048,
  [SMALL_STATE(6864)] = 348088,
  [SMALL_STATE(6865)] = 348128,
  [SMALL_STATE(6866)] = 348168,
  [SMALL_STATE(6867)] = 348208,
  [SMALL_STATE(6868)] = 348248,
  [SMALL_STATE(6869)] = 348288,
  [SMALL_STATE(6870)] = 348328,
  [SMALL_STATE(6871)] = 348374,
  [SMALL_STATE(6872)] = 348414,
  [SMALL_STATE(6873)] = 348454,
  [SMALL_STATE(6874)] = 348506,
  [SMALL_STATE(6875)] = 348546,
  [SMALL_STATE(6876)] = 348590,
  [SMALL_STATE(6877)] = 348650,
  [SMALL_STATE(6878)] = 348690,
  [SMALL_STATE(6879)] = 348730,
  [SMALL_STATE(6880)] = 348770,
  [SMALL_STATE(6881)] = 348810,
  [SMALL_STATE(6882)] = 348850,
  [SMALL_STATE(6883)] = 348890,
  [SMALL_STATE(6884)] = 348930,
  [SMALL_STATE(6885)] = 348970,
  [SMALL_STATE(6886)] = 349010,
  [SMALL_STATE(6887)] = 349054,
  [SMALL_STATE(6888)] = 349094,
  [SMALL_STATE(6889)] = 349134,
  [SMALL_STATE(6890)] = 349174,
  [SMALL_STATE(6891)] = 349214,
  [SMALL_STATE(6892)] = 349254,
  [SMALL_STATE(6893)] = 349294,
  [SMALL_STATE(6894)] = 349334,
  [SMALL_STATE(6895)] = 349388,
  [SMALL_STATE(6896)] = 349454,
  [SMALL_STATE(6897)] = 349494,
  [SMALL_STATE(6898)] = 349534,
  [SMALL_STATE(6899)] = 349576,
  [SMALL_STATE(6900)] = 349616,
  [SMALL_STATE(6901)] = 349656,
  [SMALL_STATE(6902)] = 349698,
  [SMALL_STATE(6903)] = 349738,
  [SMALL_STATE(6904)] = 349778,
  [SMALL_STATE(6905)] = 349820,
  [SMALL_STATE(6906)] = 349860,
  [SMALL_STATE(6907)] = 349900,
  [SMALL_STATE(6908)] = 349940,
  [SMALL_STATE(6909)] = 349992,
  [SMALL_STATE(6910)] = 350046,
  [SMALL_STATE(6911)] = 350086,
  [SMALL_STATE(6912)] = 350130,
  [SMALL_STATE(6913)] = 350170,
  [SMALL_STATE(6914)] = 350210,
  [SMALL_STATE(6915)] = 350250,
  [SMALL_STATE(6916)] = 350294,
  [SMALL_STATE(6917)] = 350334,
  [SMALL_STATE(6918)] = 350374,
  [SMALL_STATE(6919)] = 350414,
  [SMALL_STATE(6920)] = 350460,
  [SMALL_STATE(6921)] = 350500,
  [SMALL_STATE(6922)] = 350540,
  [SMALL_STATE(6923)] = 350582,
  [SMALL_STATE(6924)] = 350622,
  [SMALL_STATE(6925)] = 350668,
  [SMALL_STATE(6926)] = 350708,
  [SMALL_STATE(6927)] = 350748,
  [SMALL_STATE(6928)] = 350788,
  [SMALL_STATE(6929)] = 350828,
  [SMALL_STATE(6930)] = 350868,
  [SMALL_STATE(6931)] = 350908,
  [SMALL_STATE(6932)] = 350948,
  [SMALL_STATE(6933)] = 350988,
  [SMALL_STATE(6934)] = 351028,
  [SMALL_STATE(6935)] = 351072,
  [SMALL_STATE(6936)] = 351112,
  [SMALL_STATE(6937)] = 351152,
  [SMALL_STATE(6938)] = 351192,
  [SMALL_STATE(6939)] = 351232,
  [SMALL_STATE(6940)] = 351272,
  [SMALL_STATE(6941)] = 351312,
  [SMALL_STATE(6942)] = 351352,
  [SMALL_STATE(6943)] = 351392,
  [SMALL_STATE(6944)] = 351432,
  [SMALL_STATE(6945)] = 351472,
  [SMALL_STATE(6946)] = 351512,
  [SMALL_STATE(6947)] = 351558,
  [SMALL_STATE(6948)] = 351618,
  [SMALL_STATE(6949)] = 351662,
  [SMALL_STATE(6950)] = 351702,
  [SMALL_STATE(6951)] = 351742,
  [SMALL_STATE(6952)] = 351806,
  [SMALL_STATE(6953)] = 351846,
  [SMALL_STATE(6954)] = 351886,
  [SMALL_STATE(6955)] = 351926,
  [SMALL_STATE(6956)] = 351966,
  [SMALL_STATE(6957)] = 352006,
  [SMALL_STATE(6958)] = 352046,
  [SMALL_STATE(6959)] = 352086,
  [SMALL_STATE(6960)] = 352126,
  [SMALL_STATE(6961)] = 352166,
  [SMALL_STATE(6962)] = 352206,
  [SMALL_STATE(6963)] = 352246,
  [SMALL_STATE(6964)] = 352286,
  [SMALL_STATE(6965)] = 352326,
  [SMALL_STATE(6966)] = 352366,
  [SMALL_STATE(6967)] = 352406,
  [SMALL_STATE(6968)] = 352446,
  [SMALL_STATE(6969)] = 352486,
  [SMALL_STATE(6970)] = 352526,
  [SMALL_STATE(6971)] = 352566,
  [SMALL_STATE(6972)] = 352608,
  [SMALL_STATE(6973)] = 352648,
  [SMALL_STATE(6974)] = 352688,
  [SMALL_STATE(6975)] = 352732,
  [SMALL_STATE(6976)] = 352772,
  [SMALL_STATE(6977)] = 352812,
  [SMALL_STATE(6978)] = 352854,
  [SMALL_STATE(6979)] = 352898,
  [SMALL_STATE(6980)] = 352940,
  [SMALL_STATE(6981)] = 352980,
  [SMALL_STATE(6982)] = 353024,
  [SMALL_STATE(6983)] = 353064,
  [SMALL_STATE(6984)] = 353110,
  [SMALL_STATE(6985)] = 353150,
  [SMALL_STATE(6986)] = 353196,
  [SMALL_STATE(6987)] = 353236,
  [SMALL_STATE(6988)] = 353276,
  [SMALL_STATE(6989)] = 353316,
  [SMALL_STATE(6990)] = 353362,
  [SMALL_STATE(6991)] = 353402,
  [SMALL_STATE(6992)] = 353448,
  [SMALL_STATE(6993)] = 353488,
  [SMALL_STATE(6994)] = 353528,
  [SMALL_STATE(6995)] = 353568,
  [SMALL_STATE(6996)] = 353620,
  [SMALL_STATE(6997)] = 353660,
  [SMALL_STATE(6998)] = 353700,
  [SMALL_STATE(6999)] = 353740,
  [SMALL_STATE(7000)] = 353780,
  [SMALL_STATE(7001)] = 353820,
  [SMALL_STATE(7002)] = 353874,
  [SMALL_STATE(7003)] = 353914,
  [SMALL_STATE(7004)] = 353960,
  [SMALL_STATE(7005)] = 354000,
  [SMALL_STATE(7006)] = 354052,
  [SMALL_STATE(7007)] = 354092,
  [SMALL_STATE(7008)] = 354136,
  [SMALL_STATE(7009)] = 354178,
  [SMALL_STATE(7010)] = 354218,
  [SMALL_STATE(7011)] = 354260,
  [SMALL_STATE(7012)] = 354300,
  [SMALL_STATE(7013)] = 354340,
  [SMALL_STATE(7014)] = 354384,
  [SMALL_STATE(7015)] = 354424,
  [SMALL_STATE(7016)] = 354464,
  [SMALL_STATE(7017)] = 354504,
  [SMALL_STATE(7018)] = 354544,
  [SMALL_STATE(7019)] = 354584,
  [SMALL_STATE(7020)] = 354624,
  [SMALL_STATE(7021)] = 354664,
  [SMALL_STATE(7022)] = 354704,
  [SMALL_STATE(7023)] = 354744,
  [SMALL_STATE(7024)] = 354784,
  [SMALL_STATE(7025)] = 354830,
  [SMALL_STATE(7026)] = 354870,
  [SMALL_STATE(7027)] = 354910,
  [SMALL_STATE(7028)] = 354950,
  [SMALL_STATE(7029)] = 354990,
  [SMALL_STATE(7030)] = 355030,
  [SMALL_STATE(7031)] = 355070,
  [SMALL_STATE(7032)] = 355110,
  [SMALL_STATE(7033)] = 355150,
  [SMALL_STATE(7034)] = 355190,
  [SMALL_STATE(7035)] = 355230,
  [SMALL_STATE(7036)] = 355270,
  [SMALL_STATE(7037)] = 355310,
  [SMALL_STATE(7038)] = 355350,
  [SMALL_STATE(7039)] = 355390,
  [SMALL_STATE(7040)] = 355430,
  [SMALL_STATE(7041)] = 355470,
  [SMALL_STATE(7042)] = 355510,
  [SMALL_STATE(7043)] = 355550,
  [SMALL_STATE(7044)] = 355590,
  [SMALL_STATE(7045)] = 355630,
  [SMALL_STATE(7046)] = 355670,
  [SMALL_STATE(7047)] = 355710,
  [SMALL_STATE(7048)] = 355750,
  [SMALL_STATE(7049)] = 355790,
  [SMALL_STATE(7050)] = 355830,
  [SMALL_STATE(7051)] = 355870,
  [SMALL_STATE(7052)] = 355910,
  [SMALL_STATE(7053)] = 355964,
  [SMALL_STATE(7054)] = 356004,
  [SMALL_STATE(7055)] = 356058,
  [SMALL_STATE(7056)] = 356098,
  [SMALL_STATE(7057)] = 356138,
  [SMALL_STATE(7058)] = 356178,
  [SMALL_STATE(7059)] = 356218,
  [SMALL_STATE(7060)] = 356258,
  [SMALL_STATE(7061)] = 356298,
  [SMALL_STATE(7062)] = 356338,
  [SMALL_STATE(7063)] = 356378,
  [SMALL_STATE(7064)] = 356418,
  [SMALL_STATE(7065)] = 356462,
  [SMALL_STATE(7066)] = 356502,
  [SMALL_STATE(7067)] = 356542,
  [SMALL_STATE(7068)] = 356582,
  [SMALL_STATE(7069)] = 356622,
  [SMALL_STATE(7070)] = 356662,
  [SMALL_STATE(7071)] = 356704,
  [SMALL_STATE(7072)] = 356744,
  [SMALL_STATE(7073)] = 356784,
  [SMALL_STATE(7074)] = 356824,
  [SMALL_STATE(7075)] = 356864,
  [SMALL_STATE(7076)] = 356904,
  [SMALL_STATE(7077)] = 356944,
  [SMALL_STATE(7078)] = 356984,
  [SMALL_STATE(7079)] = 357024,
  [SMALL_STATE(7080)] = 357064,
  [SMALL_STATE(7081)] = 357104,
  [SMALL_STATE(7082)] = 357144,
  [SMALL_STATE(7083)] = 357184,
  [SMALL_STATE(7084)] = 357224,
  [SMALL_STATE(7085)] = 357266,
  [SMALL_STATE(7086)] = 357308,
  [SMALL_STATE(7087)] = 357348,
  [SMALL_STATE(7088)] = 357388,
  [SMALL_STATE(7089)] = 357428,
  [SMALL_STATE(7090)] = 357472,
  [SMALL_STATE(7091)] = 357512,
  [SMALL_STATE(7092)] = 357552,
  [SMALL_STATE(7093)] = 357594,
  [SMALL_STATE(7094)] = 357634,
  [SMALL_STATE(7095)] = 357678,
  [SMALL_STATE(7096)] = 357718,
  [SMALL_STATE(7097)] = 357758,
  [SMALL_STATE(7098)] = 357798,
  [SMALL_STATE(7099)] = 357844,
  [SMALL_STATE(7100)] = 357884,
  [SMALL_STATE(7101)] = 357930,
  [SMALL_STATE(7102)] = 357974,
  [SMALL_STATE(7103)] = 358014,
  [SMALL_STATE(7104)] = 358054,
  [SMALL_STATE(7105)] = 358094,
  [SMALL_STATE(7106)] = 358148,
  [SMALL_STATE(7107)] = 358188,
  [SMALL_STATE(7108)] = 358228,
  [SMALL_STATE(7109)] = 358268,
  [SMALL_STATE(7110)] = 358308,
  [SMALL_STATE(7111)] = 358348,
  [SMALL_STATE(7112)] = 358388,
  [SMALL_STATE(7113)] = 358428,
  [SMALL_STATE(7114)] = 358468,
  [SMALL_STATE(7115)] = 358514,
  [SMALL_STATE(7116)] = 358554,
  [SMALL_STATE(7117)] = 358594,
  [SMALL_STATE(7118)] = 358634,
  [SMALL_STATE(7119)] = 358674,
  [SMALL_STATE(7120)] = 358714,
  [SMALL_STATE(7121)] = 358766,
  [SMALL_STATE(7122)] = 358806,
  [SMALL_STATE(7123)] = 358846,
  [SMALL_STATE(7124)] = 358886,
  [SMALL_STATE(7125)] = 358926,
  [SMALL_STATE(7126)] = 358968,
  [SMALL_STATE(7127)] = 359008,
  [SMALL_STATE(7128)] = 359048,
  [SMALL_STATE(7129)] = 359088,
  [SMALL_STATE(7130)] = 359142,
  [SMALL_STATE(7131)] = 359182,
  [SMALL_STATE(7132)] = 359222,
  [SMALL_STATE(7133)] = 359262,
  [SMALL_STATE(7134)] = 359302,
  [SMALL_STATE(7135)] = 359346,
  [SMALL_STATE(7136)] = 359386,
  [SMALL_STATE(7137)] = 359426,
  [SMALL_STATE(7138)] = 359466,
  [SMALL_STATE(7139)] = 359510,
  [SMALL_STATE(7140)] = 359550,
  [SMALL_STATE(7141)] = 359596,
  [SMALL_STATE(7142)] = 359642,
  [SMALL_STATE(7143)] = 359706,
  [SMALL_STATE(7144)] = 359746,
  [SMALL_STATE(7145)] = 359786,
  [SMALL_STATE(7146)] = 359826,
  [SMALL_STATE(7147)] = 359878,
  [SMALL_STATE(7148)] = 359918,
  [SMALL_STATE(7149)] = 359958,
  [SMALL_STATE(7150)] = 359998,
  [SMALL_STATE(7151)] = 360038,
  [SMALL_STATE(7152)] = 360078,
  [SMALL_STATE(7153)] = 360118,
  [SMALL_STATE(7154)] = 360158,
  [SMALL_STATE(7155)] = 360198,
  [SMALL_STATE(7156)] = 360262,
  [SMALL_STATE(7157)] = 360304,
  [SMALL_STATE(7158)] = 360346,
  [SMALL_STATE(7159)] = 360388,
  [SMALL_STATE(7160)] = 360428,
  [SMALL_STATE(7161)] = 360468,
  [SMALL_STATE(7162)] = 360508,
  [SMALL_STATE(7163)] = 360550,
  [SMALL_STATE(7164)] = 360592,
  [SMALL_STATE(7165)] = 360632,
  [SMALL_STATE(7166)] = 360672,
  [SMALL_STATE(7167)] = 360712,
  [SMALL_STATE(7168)] = 360752,
  [SMALL_STATE(7169)] = 360792,
  [SMALL_STATE(7170)] = 360846,
  [SMALL_STATE(7171)] = 360886,
  [SMALL_STATE(7172)] = 360926,
  [SMALL_STATE(7173)] = 360968,
  [SMALL_STATE(7174)] = 361008,
  [SMALL_STATE(7175)] = 361060,
  [SMALL_STATE(7176)] = 361106,
  [SMALL_STATE(7177)] = 361146,
  [SMALL_STATE(7178)] = 361186,
  [SMALL_STATE(7179)] = 361226,
  [SMALL_STATE(7180)] = 361266,
  [SMALL_STATE(7181)] = 361306,
  [SMALL_STATE(7182)] = 361346,
  [SMALL_STATE(7183)] = 361386,
  [SMALL_STATE(7184)] = 361426,
  [SMALL_STATE(7185)] = 361486,
  [SMALL_STATE(7186)] = 361528,
  [SMALL_STATE(7187)] = 361570,
  [SMALL_STATE(7188)] = 361616,
  [SMALL_STATE(7189)] = 361656,
  [SMALL_STATE(7190)] = 361696,
  [SMALL_STATE(7191)] = 361738,
  [SMALL_STATE(7192)] = 361778,
  [SMALL_STATE(7193)] = 361818,
  [SMALL_STATE(7194)] = 361866,
  [SMALL_STATE(7195)] = 361916,
  [SMALL_STATE(7196)] = 361958,
  [SMALL_STATE(7197)] = 362002,
  [SMALL_STATE(7198)] = 362044,
  [SMALL_STATE(7199)] = 362084,
  [SMALL_STATE(7200)] = 362128,
  [SMALL_STATE(7201)] = 362168,
  [SMALL_STATE(7202)] = 362214,
  [SMALL_STATE(7203)] = 362274,
  [SMALL_STATE(7204)] = 362314,
  [SMALL_STATE(7205)] = 362354,
  [SMALL_STATE(7206)] = 362394,
  [SMALL_STATE(7207)] = 362434,
  [SMALL_STATE(7208)] = 362474,
  [SMALL_STATE(7209)] = 362516,
  [SMALL_STATE(7210)] = 362556,
  [SMALL_STATE(7211)] = 362596,
  [SMALL_STATE(7212)] = 362636,
  [SMALL_STATE(7213)] = 362676,
  [SMALL_STATE(7214)] = 362716,
  [SMALL_STATE(7215)] = 362758,
  [SMALL_STATE(7216)] = 362798,
  [SMALL_STATE(7217)] = 362838,
  [SMALL_STATE(7218)] = 362878,
  [SMALL_STATE(7219)] = 362942,
  [SMALL_STATE(7220)] = 362982,
  [SMALL_STATE(7221)] = 363022,
  [SMALL_STATE(7222)] = 363062,
  [SMALL_STATE(7223)] = 363102,
  [SMALL_STATE(7224)] = 363142,
  [SMALL_STATE(7225)] = 363182,
  [SMALL_STATE(7226)] = 363222,
  [SMALL_STATE(7227)] = 363262,
  [SMALL_STATE(7228)] = 363302,
  [SMALL_STATE(7229)] = 363344,
  [SMALL_STATE(7230)] = 363384,
  [SMALL_STATE(7231)] = 363424,
  [SMALL_STATE(7232)] = 363464,
  [SMALL_STATE(7233)] = 363504,
  [SMALL_STATE(7234)] = 363544,
  [SMALL_STATE(7235)] = 363584,
  [SMALL_STATE(7236)] = 363624,
  [SMALL_STATE(7237)] = 363666,
  [SMALL_STATE(7238)] = 363706,
  [SMALL_STATE(7239)] = 363746,
  [SMALL_STATE(7240)] = 363786,
  [SMALL_STATE(7241)] = 363826,
  [SMALL_STATE(7242)] = 363866,
  [SMALL_STATE(7243)] = 363906,
  [SMALL_STATE(7244)] = 363946,
  [SMALL_STATE(7245)] = 363986,
  [SMALL_STATE(7246)] = 364026,
  [SMALL_STATE(7247)] = 364066,
  [SMALL_STATE(7248)] = 364106,
  [SMALL_STATE(7249)] = 364146,
  [SMALL_STATE(7250)] = 364186,
  [SMALL_STATE(7251)] = 364226,
  [SMALL_STATE(7252)] = 364266,
  [SMALL_STATE(7253)] = 364306,
  [SMALL_STATE(7254)] = 364346,
  [SMALL_STATE(7255)] = 364386,
  [SMALL_STATE(7256)] = 364424,
  [SMALL_STATE(7257)] = 364464,
  [SMALL_STATE(7258)] = 364504,
  [SMALL_STATE(7259)] = 364544,
  [SMALL_STATE(7260)] = 364584,
  [SMALL_STATE(7261)] = 364624,
  [SMALL_STATE(7262)] = 364662,
  [SMALL_STATE(7263)] = 364702,
  [SMALL_STATE(7264)] = 364742,
  [SMALL_STATE(7265)] = 364782,
  [SMALL_STATE(7266)] = 364822,
  [SMALL_STATE(7267)] = 364862,
  [SMALL_STATE(7268)] = 364902,
  [SMALL_STATE(7269)] = 364940,
  [SMALL_STATE(7270)] = 364980,
  [SMALL_STATE(7271)] = 365022,
  [SMALL_STATE(7272)] = 365076,
  [SMALL_STATE(7273)] = 365116,
  [SMALL_STATE(7274)] = 365156,
  [SMALL_STATE(7275)] = 365196,
  [SMALL_STATE(7276)] = 365248,
  [SMALL_STATE(7277)] = 365288,
  [SMALL_STATE(7278)] = 365328,
  [SMALL_STATE(7279)] = 365370,
  [SMALL_STATE(7280)] = 365422,
  [SMALL_STATE(7281)] = 365462,
  [SMALL_STATE(7282)] = 365502,
  [SMALL_STATE(7283)] = 365542,
  [SMALL_STATE(7284)] = 365582,
  [SMALL_STATE(7285)] = 365626,
  [SMALL_STATE(7286)] = 365666,
  [SMALL_STATE(7287)] = 365718,
  [SMALL_STATE(7288)] = 365766,
  [SMALL_STATE(7289)] = 365806,
  [SMALL_STATE(7290)] = 365846,
  [SMALL_STATE(7291)] = 365886,
  [SMALL_STATE(7292)] = 365926,
  [SMALL_STATE(7293)] = 365966,
  [SMALL_STATE(7294)] = 366018,
  [SMALL_STATE(7295)] = 366058,
  [SMALL_STATE(7296)] = 366098,
  [SMALL_STATE(7297)] = 366142,
  [SMALL_STATE(7298)] = 366188,
  [SMALL_STATE(7299)] = 366228,
  [SMALL_STATE(7300)] = 366270,
  [SMALL_STATE(7301)] = 366310,
  [SMALL_STATE(7302)] = 366356,
  [SMALL_STATE(7303)] = 366396,
  [SMALL_STATE(7304)] = 366452,
  [SMALL_STATE(7305)] = 366492,
  [SMALL_STATE(7306)] = 366542,
  [SMALL_STATE(7307)] = 366582,
  [SMALL_STATE(7308)] = 366628,
  [SMALL_STATE(7309)] = 366668,
  [SMALL_STATE(7310)] = 366720,
  [SMALL_STATE(7311)] = 366774,
  [SMALL_STATE(7312)] = 366814,
  [SMALL_STATE(7313)] = 366858,
  [SMALL_STATE(7314)] = 366898,
  [SMALL_STATE(7315)] = 366950,
  [SMALL_STATE(7316)] = 367010,
  [SMALL_STATE(7317)] = 367070,
  [SMALL_STATE(7318)] = 367110,
  [SMALL_STATE(7319)] = 367150,
  [SMALL_STATE(7320)] = 367190,
  [SMALL_STATE(7321)] = 367230,
  [SMALL_STATE(7322)] = 367270,
  [SMALL_STATE(7323)] = 367324,
  [SMALL_STATE(7324)] = 367364,
  [SMALL_STATE(7325)] = 367434,
  [SMALL_STATE(7326)] = 367474,
  [SMALL_STATE(7327)] = 367516,
  [SMALL_STATE(7328)] = 367556,
  [SMALL_STATE(7329)] = 367596,
  [SMALL_STATE(7330)] = 367636,
  [SMALL_STATE(7331)] = 367676,
  [SMALL_STATE(7332)] = 367716,
  [SMALL_STATE(7333)] = 367756,
  [SMALL_STATE(7334)] = 367796,
  [SMALL_STATE(7335)] = 367836,
  [SMALL_STATE(7336)] = 367876,
  [SMALL_STATE(7337)] = 367928,
  [SMALL_STATE(7338)] = 367968,
  [SMALL_STATE(7339)] = 368020,
  [SMALL_STATE(7340)] = 368064,
  [SMALL_STATE(7341)] = 368104,
  [SMALL_STATE(7342)] = 368144,
  [SMALL_STATE(7343)] = 368184,
  [SMALL_STATE(7344)] = 368224,
  [SMALL_STATE(7345)] = 368266,
  [SMALL_STATE(7346)] = 368306,
  [SMALL_STATE(7347)] = 368376,
  [SMALL_STATE(7348)] = 368416,
  [SMALL_STATE(7349)] = 368458,
  [SMALL_STATE(7350)] = 368522,
  [SMALL_STATE(7351)] = 368564,
  [SMALL_STATE(7352)] = 368604,
  [SMALL_STATE(7353)] = 368644,
  [SMALL_STATE(7354)] = 368686,
  [SMALL_STATE(7355)] = 368726,
  [SMALL_STATE(7356)] = 368766,
  [SMALL_STATE(7357)] = 368806,
  [SMALL_STATE(7358)] = 368846,
  [SMALL_STATE(7359)] = 368886,
  [SMALL_STATE(7360)] = 368950,
  [SMALL_STATE(7361)] = 368990,
  [SMALL_STATE(7362)] = 369030,
  [SMALL_STATE(7363)] = 369070,
  [SMALL_STATE(7364)] = 369134,
  [SMALL_STATE(7365)] = 369174,
  [SMALL_STATE(7366)] = 369214,
  [SMALL_STATE(7367)] = 369274,
  [SMALL_STATE(7368)] = 369316,
  [SMALL_STATE(7369)] = 369356,
  [SMALL_STATE(7370)] = 369400,
  [SMALL_STATE(7371)] = 369440,
  [SMALL_STATE(7372)] = 369494,
  [SMALL_STATE(7373)] = 369536,
  [SMALL_STATE(7374)] = 369576,
  [SMALL_STATE(7375)] = 369626,
  [SMALL_STATE(7376)] = 369668,
  [SMALL_STATE(7377)] = 369714,
  [SMALL_STATE(7378)] = 369778,
  [SMALL_STATE(7379)] = 369818,
  [SMALL_STATE(7380)] = 369860,
  [SMALL_STATE(7381)] = 369900,
  [SMALL_STATE(7382)] = 369964,
  [SMALL_STATE(7383)] = 370004,
  [SMALL_STATE(7384)] = 370044,
  [SMALL_STATE(7385)] = 370094,
  [SMALL_STATE(7386)] = 370134,
  [SMALL_STATE(7387)] = 370174,
  [SMALL_STATE(7388)] = 370214,
  [SMALL_STATE(7389)] = 370254,
  [SMALL_STATE(7390)] = 370304,
  [SMALL_STATE(7391)] = 370344,
  [SMALL_STATE(7392)] = 370384,
  [SMALL_STATE(7393)] = 370430,
  [SMALL_STATE(7394)] = 370472,
  [SMALL_STATE(7395)] = 370512,
  [SMALL_STATE(7396)] = 370582,
  [SMALL_STATE(7397)] = 370622,
  [SMALL_STATE(7398)] = 370692,
  [SMALL_STATE(7399)] = 370732,
  [SMALL_STATE(7400)] = 370772,
  [SMALL_STATE(7401)] = 370812,
  [SMALL_STATE(7402)] = 370864,
  [SMALL_STATE(7403)] = 370904,
  [SMALL_STATE(7404)] = 370952,
  [SMALL_STATE(7405)] = 371016,
  [SMALL_STATE(7406)] = 371066,
  [SMALL_STATE(7407)] = 371108,
  [SMALL_STATE(7408)] = 371148,
  [SMALL_STATE(7409)] = 371190,
  [SMALL_STATE(7410)] = 371230,
  [SMALL_STATE(7411)] = 371270,
  [SMALL_STATE(7412)] = 371312,
  [SMALL_STATE(7413)] = 371354,
  [SMALL_STATE(7414)] = 371394,
  [SMALL_STATE(7415)] = 371434,
  [SMALL_STATE(7416)] = 371474,
  [SMALL_STATE(7417)] = 371544,
  [SMALL_STATE(7418)] = 371584,
  [SMALL_STATE(7419)] = 371626,
  [SMALL_STATE(7420)] = 371696,
  [SMALL_STATE(7421)] = 371756,
  [SMALL_STATE(7422)] = 371796,
  [SMALL_STATE(7423)] = 371848,
  [SMALL_STATE(7424)] = 371888,
  [SMALL_STATE(7425)] = 371928,
  [SMALL_STATE(7426)] = 371968,
  [SMALL_STATE(7427)] = 372008,
  [SMALL_STATE(7428)] = 372048,
  [SMALL_STATE(7429)] = 372088,
  [SMALL_STATE(7430)] = 372132,
  [SMALL_STATE(7431)] = 372172,
  [SMALL_STATE(7432)] = 372242,
  [SMALL_STATE(7433)] = 372290,
  [SMALL_STATE(7434)] = 372330,
  [SMALL_STATE(7435)] = 372370,
  [SMALL_STATE(7436)] = 372416,
  [SMALL_STATE(7437)] = 372474,
  [SMALL_STATE(7438)] = 372544,
  [SMALL_STATE(7439)] = 372584,
  [SMALL_STATE(7440)] = 372624,
  [SMALL_STATE(7441)] = 372666,
  [SMALL_STATE(7442)] = 372724,
  [SMALL_STATE(7443)] = 372794,
  [SMALL_STATE(7444)] = 372836,
  [SMALL_STATE(7445)] = 372878,
  [SMALL_STATE(7446)] = 372918,
  [SMALL_STATE(7447)] = 372958,
  [SMALL_STATE(7448)] = 373028,
  [SMALL_STATE(7449)] = 373068,
  [SMALL_STATE(7450)] = 373108,
  [SMALL_STATE(7451)] = 373148,
  [SMALL_STATE(7452)] = 373188,
  [SMALL_STATE(7453)] = 373228,
  [SMALL_STATE(7454)] = 373274,
  [SMALL_STATE(7455)] = 373344,
  [SMALL_STATE(7456)] = 373386,
  [SMALL_STATE(7457)] = 373426,
  [SMALL_STATE(7458)] = 373470,
  [SMALL_STATE(7459)] = 373510,
  [SMALL_STATE(7460)] = 373550,
  [SMALL_STATE(7461)] = 373620,
  [SMALL_STATE(7462)] = 373690,
  [SMALL_STATE(7463)] = 373744,
  [SMALL_STATE(7464)] = 373784,
  [SMALL_STATE(7465)] = 373828,
  [SMALL_STATE(7466)] = 373870,
  [SMALL_STATE(7467)] = 373912,
  [SMALL_STATE(7468)] = 373952,
  [SMALL_STATE(7469)] = 373992,
  [SMALL_STATE(7470)] = 374034,
  [SMALL_STATE(7471)] = 374084,
  [SMALL_STATE(7472)] = 374148,
  [SMALL_STATE(7473)] = 374188,
  [SMALL_STATE(7474)] = 374234,
  [SMALL_STATE(7475)] = 374274,
  [SMALL_STATE(7476)] = 374316,
  [SMALL_STATE(7477)] = 374356,
  [SMALL_STATE(7478)] = 374396,
  [SMALL_STATE(7479)] = 374446,
  [SMALL_STATE(7480)] = 374496,
  [SMALL_STATE(7481)] = 374536,
  [SMALL_STATE(7482)] = 374576,
  [SMALL_STATE(7483)] = 374640,
  [SMALL_STATE(7484)] = 374682,
  [SMALL_STATE(7485)] = 374738,
  [SMALL_STATE(7486)] = 374778,
  [SMALL_STATE(7487)] = 374822,
  [SMALL_STATE(7488)] = 374862,
  [SMALL_STATE(7489)] = 374906,
  [SMALL_STATE(7490)] = 374950,
  [SMALL_STATE(7491)] = 374996,
  [SMALL_STATE(7492)] = 375036,
  [SMALL_STATE(7493)] = 375076,
  [SMALL_STATE(7494)] = 375130,
  [SMALL_STATE(7495)] = 375191,
  [SMALL_STATE(7496)] = 375230,
  [SMALL_STATE(7497)] = 375269,
  [SMALL_STATE(7498)] = 375310,
  [SMALL_STATE(7499)] = 375349,
  [SMALL_STATE(7500)] = 375388,
  [SMALL_STATE(7501)] = 375427,
  [SMALL_STATE(7502)] = 375468,
  [SMALL_STATE(7503)] = 375519,
  [SMALL_STATE(7504)] = 375560,
  [SMALL_STATE(7505)] = 375609,
  [SMALL_STATE(7506)] = 375646,
  [SMALL_STATE(7507)] = 375685,
  [SMALL_STATE(7508)] = 375748,
  [SMALL_STATE(7509)] = 375787,
  [SMALL_STATE(7510)] = 375826,
  [SMALL_STATE(7511)] = 375867,
  [SMALL_STATE(7512)] = 375928,
  [SMALL_STATE(7513)] = 375967,
  [SMALL_STATE(7514)] = 376006,
  [SMALL_STATE(7515)] = 376057,
  [SMALL_STATE(7516)] = 376096,
  [SMALL_STATE(7517)] = 376135,
  [SMALL_STATE(7518)] = 376174,
  [SMALL_STATE(7519)] = 376237,
  [SMALL_STATE(7520)] = 376310,
  [SMALL_STATE(7521)] = 376377,
  [SMALL_STATE(7522)] = 376418,
  [SMALL_STATE(7523)] = 376469,
  [SMALL_STATE(7524)] = 376522,
  [SMALL_STATE(7525)] = 376561,
  [SMALL_STATE(7526)] = 376622,
  [SMALL_STATE(7527)] = 376665,
  [SMALL_STATE(7528)] = 376704,
  [SMALL_STATE(7529)] = 376743,
  [SMALL_STATE(7530)] = 376790,
  [SMALL_STATE(7531)] = 376829,
  [SMALL_STATE(7532)] = 376890,
  [SMALL_STATE(7533)] = 376929,
  [SMALL_STATE(7534)] = 376968,
  [SMALL_STATE(7535)] = 377007,
  [SMALL_STATE(7536)] = 377046,
  [SMALL_STATE(7537)] = 377107,
  [SMALL_STATE(7538)] = 377146,
  [SMALL_STATE(7539)] = 377185,
  [SMALL_STATE(7540)] = 377246,
  [SMALL_STATE(7541)] = 377309,
  [SMALL_STATE(7542)] = 377348,
  [SMALL_STATE(7543)] = 377387,
  [SMALL_STATE(7544)] = 377448,
  [SMALL_STATE(7545)] = 377487,
  [SMALL_STATE(7546)] = 377526,
  [SMALL_STATE(7547)] = 377565,
  [SMALL_STATE(7548)] = 377604,
  [SMALL_STATE(7549)] = 377643,
  [SMALL_STATE(7550)] = 377704,
  [SMALL_STATE(7551)] = 377777,
  [SMALL_STATE(7552)] = 377816,
  [SMALL_STATE(7553)] = 377855,
  [SMALL_STATE(7554)] = 377908,
  [SMALL_STATE(7555)] = 377947,
  [SMALL_STATE(7556)] = 378010,
  [SMALL_STATE(7557)] = 378083,
  [SMALL_STATE(7558)] = 378156,
  [SMALL_STATE(7559)] = 378217,
  [SMALL_STATE(7560)] = 378278,
  [SMALL_STATE(7561)] = 378351,
  [SMALL_STATE(7562)] = 378396,
  [SMALL_STATE(7563)] = 378469,
  [SMALL_STATE(7564)] = 378508,
  [SMALL_STATE(7565)] = 378547,
  [SMALL_STATE(7566)] = 378608,
  [SMALL_STATE(7567)] = 378669,
  [SMALL_STATE(7568)] = 378708,
  [SMALL_STATE(7569)] = 378747,
  [SMALL_STATE(7570)] = 378786,
  [SMALL_STATE(7571)] = 378825,
  [SMALL_STATE(7572)] = 378864,
  [SMALL_STATE(7573)] = 378925,
  [SMALL_STATE(7574)] = 378964,
  [SMALL_STATE(7575)] = 379003,
  [SMALL_STATE(7576)] = 379076,
  [SMALL_STATE(7577)] = 379119,
  [SMALL_STATE(7578)] = 379158,
  [SMALL_STATE(7579)] = 379231,
  [SMALL_STATE(7580)] = 379292,
  [SMALL_STATE(7581)] = 379331,
  [SMALL_STATE(7582)] = 379372,
  [SMALL_STATE(7583)] = 379411,
  [SMALL_STATE(7584)] = 379472,
  [SMALL_STATE(7585)] = 379525,
  [SMALL_STATE(7586)] = 379564,
  [SMALL_STATE(7587)] = 379603,
  [SMALL_STATE(7588)] = 379644,
  [SMALL_STATE(7589)] = 379705,
  [SMALL_STATE(7590)] = 379778,
  [SMALL_STATE(7591)] = 379817,
  [SMALL_STATE(7592)] = 379856,
  [SMALL_STATE(7593)] = 379895,
  [SMALL_STATE(7594)] = 379934,
  [SMALL_STATE(7595)] = 379995,
  [SMALL_STATE(7596)] = 380068,
  [SMALL_STATE(7597)] = 380141,
  [SMALL_STATE(7598)] = 380202,
  [SMALL_STATE(7599)] = 380241,
  [SMALL_STATE(7600)] = 380302,
  [SMALL_STATE(7601)] = 380363,
  [SMALL_STATE(7602)] = 380402,
  [SMALL_STATE(7603)] = 380475,
  [SMALL_STATE(7604)] = 380536,
  [SMALL_STATE(7605)] = 380609,
  [SMALL_STATE(7606)] = 380648,
  [SMALL_STATE(7607)] = 380687,
  [SMALL_STATE(7608)] = 380726,
  [SMALL_STATE(7609)] = 380765,
  [SMALL_STATE(7610)] = 380838,
  [SMALL_STATE(7611)] = 380877,
  [SMALL_STATE(7612)] = 380950,
  [SMALL_STATE(7613)] = 380989,
  [SMALL_STATE(7614)] = 381050,
  [SMALL_STATE(7615)] = 381089,
  [SMALL_STATE(7616)] = 381156,
  [SMALL_STATE(7617)] = 381195,
  [SMALL_STATE(7618)] = 381234,
  [SMALL_STATE(7619)] = 381273,
  [SMALL_STATE(7620)] = 381318,
  [SMALL_STATE(7621)] = 381357,
  [SMALL_STATE(7622)] = 381396,
  [SMALL_STATE(7623)] = 381435,
  [SMALL_STATE(7624)] = 381476,
  [SMALL_STATE(7625)] = 381537,
  [SMALL_STATE(7626)] = 381576,
  [SMALL_STATE(7627)] = 381615,
  [SMALL_STATE(7628)] = 381654,
  [SMALL_STATE(7629)] = 381693,
  [SMALL_STATE(7630)] = 381732,
  [SMALL_STATE(7631)] = 381771,
  [SMALL_STATE(7632)] = 381812,
  [SMALL_STATE(7633)] = 381851,
  [SMALL_STATE(7634)] = 381904,
  [SMALL_STATE(7635)] = 381943,
  [SMALL_STATE(7636)] = 381982,
  [SMALL_STATE(7637)] = 382045,
  [SMALL_STATE(7638)] = 382088,
  [SMALL_STATE(7639)] = 382129,
  [SMALL_STATE(7640)] = 382168,
  [SMALL_STATE(7641)] = 382207,
  [SMALL_STATE(7642)] = 382246,
  [SMALL_STATE(7643)] = 382307,
  [SMALL_STATE(7644)] = 382346,
  [SMALL_STATE(7645)] = 382385,
  [SMALL_STATE(7646)] = 382438,
  [SMALL_STATE(7647)] = 382487,
  [SMALL_STATE(7648)] = 382526,
  [SMALL_STATE(7649)] = 382565,
  [SMALL_STATE(7650)] = 382606,
  [SMALL_STATE(7651)] = 382645,
  [SMALL_STATE(7652)] = 382684,
  [SMALL_STATE(7653)] = 382725,
  [SMALL_STATE(7654)] = 382764,
  [SMALL_STATE(7655)] = 382803,
  [SMALL_STATE(7656)] = 382864,
  [SMALL_STATE(7657)] = 382907,
  [SMALL_STATE(7658)] = 382946,
  [SMALL_STATE(7659)] = 382989,
  [SMALL_STATE(7660)] = 383028,
  [SMALL_STATE(7661)] = 383067,
  [SMALL_STATE(7662)] = 383106,
  [SMALL_STATE(7663)] = 383145,
  [SMALL_STATE(7664)] = 383184,
  [SMALL_STATE(7665)] = 383225,
  [SMALL_STATE(7666)] = 383264,
  [SMALL_STATE(7667)] = 383303,
  [SMALL_STATE(7668)] = 383342,
  [SMALL_STATE(7669)] = 383387,
  [SMALL_STATE(7670)] = 383426,
  [SMALL_STATE(7671)] = 383465,
  [SMALL_STATE(7672)] = 383504,
  [SMALL_STATE(7673)] = 383567,
  [SMALL_STATE(7674)] = 383606,
  [SMALL_STATE(7675)] = 383645,
  [SMALL_STATE(7676)] = 383684,
  [SMALL_STATE(7677)] = 383725,
  [SMALL_STATE(7678)] = 383764,
  [SMALL_STATE(7679)] = 383803,
  [SMALL_STATE(7680)] = 383864,
  [SMALL_STATE(7681)] = 383925,
  [SMALL_STATE(7682)] = 383964,
  [SMALL_STATE(7683)] = 384005,
  [SMALL_STATE(7684)] = 384066,
  [SMALL_STATE(7685)] = 384127,
  [SMALL_STATE(7686)] = 384166,
  [SMALL_STATE(7687)] = 384205,
  [SMALL_STATE(7688)] = 384244,
  [SMALL_STATE(7689)] = 384283,
  [SMALL_STATE(7690)] = 384322,
  [SMALL_STATE(7691)] = 384361,
  [SMALL_STATE(7692)] = 384400,
  [SMALL_STATE(7693)] = 384439,
  [SMALL_STATE(7694)] = 384478,
  [SMALL_STATE(7695)] = 384517,
  [SMALL_STATE(7696)] = 384556,
  [SMALL_STATE(7697)] = 384599,
  [SMALL_STATE(7698)] = 384638,
  [SMALL_STATE(7699)] = 384677,
  [SMALL_STATE(7700)] = 384716,
  [SMALL_STATE(7701)] = 384779,
  [SMALL_STATE(7702)] = 384818,
  [SMALL_STATE(7703)] = 384857,
  [SMALL_STATE(7704)] = 384896,
  [SMALL_STATE(7705)] = 384935,
  [SMALL_STATE(7706)] = 384974,
  [SMALL_STATE(7707)] = 385013,
  [SMALL_STATE(7708)] = 385054,
  [SMALL_STATE(7709)] = 385093,
  [SMALL_STATE(7710)] = 385132,
  [SMALL_STATE(7711)] = 385171,
  [SMALL_STATE(7712)] = 385212,
  [SMALL_STATE(7713)] = 385251,
  [SMALL_STATE(7714)] = 385312,
  [SMALL_STATE(7715)] = 385353,
  [SMALL_STATE(7716)] = 385414,
  [SMALL_STATE(7717)] = 385453,
  [SMALL_STATE(7718)] = 385514,
  [SMALL_STATE(7719)] = 385553,
  [SMALL_STATE(7720)] = 385592,
  [SMALL_STATE(7721)] = 385631,
  [SMALL_STATE(7722)] = 385670,
  [SMALL_STATE(7723)] = 385709,
  [SMALL_STATE(7724)] = 385748,
  [SMALL_STATE(7725)] = 385787,
  [SMALL_STATE(7726)] = 385826,
  [SMALL_STATE(7727)] = 385871,
  [SMALL_STATE(7728)] = 385910,
  [SMALL_STATE(7729)] = 385949,
  [SMALL_STATE(7730)] = 385988,
  [SMALL_STATE(7731)] = 386027,
  [SMALL_STATE(7732)] = 386088,
  [SMALL_STATE(7733)] = 386127,
  [SMALL_STATE(7734)] = 386166,
  [SMALL_STATE(7735)] = 386205,
  [SMALL_STATE(7736)] = 386244,
  [SMALL_STATE(7737)] = 386283,
  [SMALL_STATE(7738)] = 386324,
  [SMALL_STATE(7739)] = 386367,
  [SMALL_STATE(7740)] = 386426,
  [SMALL_STATE(7741)] = 386465,
  [SMALL_STATE(7742)] = 386528,
  [SMALL_STATE(7743)] = 386567,
  [SMALL_STATE(7744)] = 386628,
  [SMALL_STATE(7745)] = 386667,
  [SMALL_STATE(7746)] = 386706,
  [SMALL_STATE(7747)] = 386745,
  [SMALL_STATE(7748)] = 386784,
  [SMALL_STATE(7749)] = 386831,
  [SMALL_STATE(7750)] = 386892,
  [SMALL_STATE(7751)] = 386931,
  [SMALL_STATE(7752)] = 386970,
  [SMALL_STATE(7753)] = 387009,
  [SMALL_STATE(7754)] = 387070,
  [SMALL_STATE(7755)] = 387111,
  [SMALL_STATE(7756)] = 387150,
  [SMALL_STATE(7757)] = 387201,
  [SMALL_STATE(7758)] = 387240,
  [SMALL_STATE(7759)] = 387279,
  [SMALL_STATE(7760)] = 387318,
  [SMALL_STATE(7761)] = 387357,
  [SMALL_STATE(7762)] = 387396,
  [SMALL_STATE(7763)] = 387435,
  [SMALL_STATE(7764)] = 387496,
  [SMALL_STATE(7765)] = 387535,
  [SMALL_STATE(7766)] = 387578,
  [SMALL_STATE(7767)] = 387617,
  [SMALL_STATE(7768)] = 387656,
  [SMALL_STATE(7769)] = 387695,
  [SMALL_STATE(7770)] = 387740,
  [SMALL_STATE(7771)] = 387779,
  [SMALL_STATE(7772)] = 387852,
  [SMALL_STATE(7773)] = 387891,
  [SMALL_STATE(7774)] = 387946,
  [SMALL_STATE(7775)] = 387997,
  [SMALL_STATE(7776)] = 388036,
  [SMALL_STATE(7777)] = 388097,
  [SMALL_STATE(7778)] = 388158,
  [SMALL_STATE(7779)] = 388201,
  [SMALL_STATE(7780)] = 388240,
  [SMALL_STATE(7781)] = 388301,
  [SMALL_STATE(7782)] = 388340,
  [SMALL_STATE(7783)] = 388379,
  [SMALL_STATE(7784)] = 388418,
  [SMALL_STATE(7785)] = 388457,
  [SMALL_STATE(7786)] = 388496,
  [SMALL_STATE(7787)] = 388535,
  [SMALL_STATE(7788)] = 388574,
  [SMALL_STATE(7789)] = 388613,
  [SMALL_STATE(7790)] = 388652,
  [SMALL_STATE(7791)] = 388725,
  [SMALL_STATE(7792)] = 388776,
  [SMALL_STATE(7793)] = 388837,
  [SMALL_STATE(7794)] = 388878,
  [SMALL_STATE(7795)] = 388917,
  [SMALL_STATE(7796)] = 388964,
  [SMALL_STATE(7797)] = 389007,
  [SMALL_STATE(7798)] = 389068,
  [SMALL_STATE(7799)] = 389109,
  [SMALL_STATE(7800)] = 389154,
  [SMALL_STATE(7801)] = 389199,
  [SMALL_STATE(7802)] = 389260,
  [SMALL_STATE(7803)] = 389299,
  [SMALL_STATE(7804)] = 389338,
  [SMALL_STATE(7805)] = 389379,
  [SMALL_STATE(7806)] = 389440,
  [SMALL_STATE(7807)] = 389501,
  [SMALL_STATE(7808)] = 389540,
  [SMALL_STATE(7809)] = 389579,
  [SMALL_STATE(7810)] = 389618,
  [SMALL_STATE(7811)] = 389657,
  [SMALL_STATE(7812)] = 389700,
  [SMALL_STATE(7813)] = 389739,
  [SMALL_STATE(7814)] = 389778,
  [SMALL_STATE(7815)] = 389817,
  [SMALL_STATE(7816)] = 389862,
  [SMALL_STATE(7817)] = 389915,
  [SMALL_STATE(7818)] = 389956,
  [SMALL_STATE(7819)] = 389997,
  [SMALL_STATE(7820)] = 390042,
  [SMALL_STATE(7821)] = 390103,
  [SMALL_STATE(7822)] = 390176,
  [SMALL_STATE(7823)] = 390215,
  [SMALL_STATE(7824)] = 390276,
  [SMALL_STATE(7825)] = 390315,
  [SMALL_STATE(7826)] = 390356,
  [SMALL_STATE(7827)] = 390395,
  [SMALL_STATE(7828)] = 390446,
  [SMALL_STATE(7829)] = 390485,
  [SMALL_STATE(7830)] = 390546,
  [SMALL_STATE(7831)] = 390587,
  [SMALL_STATE(7832)] = 390626,
  [SMALL_STATE(7833)] = 390665,
  [SMALL_STATE(7834)] = 390704,
  [SMALL_STATE(7835)] = 390743,
  [SMALL_STATE(7836)] = 390782,
  [SMALL_STATE(7837)] = 390823,
  [SMALL_STATE(7838)] = 390862,
  [SMALL_STATE(7839)] = 390935,
  [SMALL_STATE(7840)] = 390974,
  [SMALL_STATE(7841)] = 391013,
  [SMALL_STATE(7842)] = 391086,
  [SMALL_STATE(7843)] = 391147,
  [SMALL_STATE(7844)] = 391208,
  [SMALL_STATE(7845)] = 391247,
  [SMALL_STATE(7846)] = 391286,
  [SMALL_STATE(7847)] = 391325,
  [SMALL_STATE(7848)] = 391364,
  [SMALL_STATE(7849)] = 391403,
  [SMALL_STATE(7850)] = 391464,
  [SMALL_STATE(7851)] = 391531,
  [SMALL_STATE(7852)] = 391592,
  [SMALL_STATE(7853)] = 391633,
  [SMALL_STATE(7854)] = 391674,
  [SMALL_STATE(7855)] = 391735,
  [SMALL_STATE(7856)] = 391774,
  [SMALL_STATE(7857)] = 391827,
  [SMALL_STATE(7858)] = 391868,
  [SMALL_STATE(7859)] = 391909,
  [SMALL_STATE(7860)] = 391948,
  [SMALL_STATE(7861)] = 392009,
  [SMALL_STATE(7862)] = 392052,
  [SMALL_STATE(7863)] = 392091,
  [SMALL_STATE(7864)] = 392130,
  [SMALL_STATE(7865)] = 392169,
  [SMALL_STATE(7866)] = 392212,
  [SMALL_STATE(7867)] = 392253,
  [SMALL_STATE(7868)] = 392306,
  [SMALL_STATE(7869)] = 392347,
  [SMALL_STATE(7870)] = 392386,
  [SMALL_STATE(7871)] = 392425,
  [SMALL_STATE(7872)] = 392464,
  [SMALL_STATE(7873)] = 392503,
  [SMALL_STATE(7874)] = 392542,
  [SMALL_STATE(7875)] = 392581,
  [SMALL_STATE(7876)] = 392642,
  [SMALL_STATE(7877)] = 392703,
  [SMALL_STATE(7878)] = 392744,
  [SMALL_STATE(7879)] = 392783,
  [SMALL_STATE(7880)] = 392822,
  [SMALL_STATE(7881)] = 392889,
  [SMALL_STATE(7882)] = 392928,
  [SMALL_STATE(7883)] = 392967,
  [SMALL_STATE(7884)] = 393006,
  [SMALL_STATE(7885)] = 393045,
  [SMALL_STATE(7886)] = 393106,
  [SMALL_STATE(7887)] = 393145,
  [SMALL_STATE(7888)] = 393186,
  [SMALL_STATE(7889)] = 393225,
  [SMALL_STATE(7890)] = 393264,
  [SMALL_STATE(7891)] = 393303,
  [SMALL_STATE(7892)] = 393364,
  [SMALL_STATE(7893)] = 393407,
  [SMALL_STATE(7894)] = 393446,
  [SMALL_STATE(7895)] = 393497,
  [SMALL_STATE(7896)] = 393536,
  [SMALL_STATE(7897)] = 393575,
  [SMALL_STATE(7898)] = 393614,
  [SMALL_STATE(7899)] = 393653,
  [SMALL_STATE(7900)] = 393692,
  [SMALL_STATE(7901)] = 393731,
  [SMALL_STATE(7902)] = 393792,
  [SMALL_STATE(7903)] = 393831,
  [SMALL_STATE(7904)] = 393872,
  [SMALL_STATE(7905)] = 393915,
  [SMALL_STATE(7906)] = 393960,
  [SMALL_STATE(7907)] = 393999,
  [SMALL_STATE(7908)] = 394038,
  [SMALL_STATE(7909)] = 394105,
  [SMALL_STATE(7910)] = 394144,
  [SMALL_STATE(7911)] = 394183,
  [SMALL_STATE(7912)] = 394244,
  [SMALL_STATE(7913)] = 394303,
  [SMALL_STATE(7914)] = 394342,
  [SMALL_STATE(7915)] = 394381,
  [SMALL_STATE(7916)] = 394420,
  [SMALL_STATE(7917)] = 394463,
  [SMALL_STATE(7918)] = 394502,
  [SMALL_STATE(7919)] = 394547,
  [SMALL_STATE(7920)] = 394608,
  [SMALL_STATE(7921)] = 394647,
  [SMALL_STATE(7922)] = 394686,
  [SMALL_STATE(7923)] = 394725,
  [SMALL_STATE(7924)] = 394764,
  [SMALL_STATE(7925)] = 394803,
  [SMALL_STATE(7926)] = 394842,
  [SMALL_STATE(7927)] = 394881,
  [SMALL_STATE(7928)] = 394920,
  [SMALL_STATE(7929)] = 394959,
  [SMALL_STATE(7930)] = 395018,
  [SMALL_STATE(7931)] = 395057,
  [SMALL_STATE(7932)] = 395096,
  [SMALL_STATE(7933)] = 395135,
  [SMALL_STATE(7934)] = 395174,
  [SMALL_STATE(7935)] = 395213,
  [SMALL_STATE(7936)] = 395274,
  [SMALL_STATE(7937)] = 395313,
  [SMALL_STATE(7938)] = 395356,
  [SMALL_STATE(7939)] = 395397,
  [SMALL_STATE(7940)] = 395440,
  [SMALL_STATE(7941)] = 395501,
  [SMALL_STATE(7942)] = 395540,
  [SMALL_STATE(7943)] = 395579,
  [SMALL_STATE(7944)] = 395620,
  [SMALL_STATE(7945)] = 395659,
  [SMALL_STATE(7946)] = 395698,
  [SMALL_STATE(7947)] = 395737,
  [SMALL_STATE(7948)] = 395776,
  [SMALL_STATE(7949)] = 395821,
  [SMALL_STATE(7950)] = 395860,
  [SMALL_STATE(7951)] = 395899,
  [SMALL_STATE(7952)] = 395938,
  [SMALL_STATE(7953)] = 395979,
  [SMALL_STATE(7954)] = 396018,
  [SMALL_STATE(7955)] = 396059,
  [SMALL_STATE(7956)] = 396114,
  [SMALL_STATE(7957)] = 396153,
  [SMALL_STATE(7958)] = 396194,
  [SMALL_STATE(7959)] = 396233,
  [SMALL_STATE(7960)] = 396278,
  [SMALL_STATE(7961)] = 396319,
  [SMALL_STATE(7962)] = 396358,
  [SMALL_STATE(7963)] = 396397,
  [SMALL_STATE(7964)] = 396436,
  [SMALL_STATE(7965)] = 396475,
  [SMALL_STATE(7966)] = 396514,
  [SMALL_STATE(7967)] = 396553,
  [SMALL_STATE(7968)] = 396592,
  [SMALL_STATE(7969)] = 396631,
  [SMALL_STATE(7970)] = 396670,
  [SMALL_STATE(7971)] = 396709,
  [SMALL_STATE(7972)] = 396748,
  [SMALL_STATE(7973)] = 396787,
  [SMALL_STATE(7974)] = 396826,
  [SMALL_STATE(7975)] = 396865,
  [SMALL_STATE(7976)] = 396926,
  [SMALL_STATE(7977)] = 396965,
  [SMALL_STATE(7978)] = 397004,
  [SMALL_STATE(7979)] = 397065,
  [SMALL_STATE(7980)] = 397132,
  [SMALL_STATE(7981)] = 397171,
  [SMALL_STATE(7982)] = 397210,
  [SMALL_STATE(7983)] = 397249,
  [SMALL_STATE(7984)] = 397310,
  [SMALL_STATE(7985)] = 397349,
  [SMALL_STATE(7986)] = 397388,
  [SMALL_STATE(7987)] = 397427,
  [SMALL_STATE(7988)] = 397466,
  [SMALL_STATE(7989)] = 397505,
  [SMALL_STATE(7990)] = 397544,
  [SMALL_STATE(7991)] = 397583,
  [SMALL_STATE(7992)] = 397644,
  [SMALL_STATE(7993)] = 397683,
  [SMALL_STATE(7994)] = 397744,
  [SMALL_STATE(7995)] = 397783,
  [SMALL_STATE(7996)] = 397822,
  [SMALL_STATE(7997)] = 397865,
  [SMALL_STATE(7998)] = 397904,
  [SMALL_STATE(7999)] = 397949,
  [SMALL_STATE(8000)] = 397988,
  [SMALL_STATE(8001)] = 398027,
  [SMALL_STATE(8002)] = 398066,
  [SMALL_STATE(8003)] = 398111,
  [SMALL_STATE(8004)] = 398150,
  [SMALL_STATE(8005)] = 398189,
  [SMALL_STATE(8006)] = 398230,
  [SMALL_STATE(8007)] = 398269,
  [SMALL_STATE(8008)] = 398330,
  [SMALL_STATE(8009)] = 398369,
  [SMALL_STATE(8010)] = 398408,
  [SMALL_STATE(8011)] = 398447,
  [SMALL_STATE(8012)] = 398486,
  [SMALL_STATE(8013)] = 398531,
  [SMALL_STATE(8014)] = 398570,
  [SMALL_STATE(8015)] = 398611,
  [SMALL_STATE(8016)] = 398652,
  [SMALL_STATE(8017)] = 398691,
  [SMALL_STATE(8018)] = 398730,
  [SMALL_STATE(8019)] = 398769,
  [SMALL_STATE(8020)] = 398808,
  [SMALL_STATE(8021)] = 398847,
  [SMALL_STATE(8022)] = 398886,
  [SMALL_STATE(8023)] = 398925,
  [SMALL_STATE(8024)] = 398964,
  [SMALL_STATE(8025)] = 399025,
  [SMALL_STATE(8026)] = 399064,
  [SMALL_STATE(8027)] = 399103,
  [SMALL_STATE(8028)] = 399142,
  [SMALL_STATE(8029)] = 399181,
  [SMALL_STATE(8030)] = 399220,
  [SMALL_STATE(8031)] = 399281,
  [SMALL_STATE(8032)] = 399344,
  [SMALL_STATE(8033)] = 399385,
  [SMALL_STATE(8034)] = 399424,
  [SMALL_STATE(8035)] = 399463,
  [SMALL_STATE(8036)] = 399502,
  [SMALL_STATE(8037)] = 399541,
  [SMALL_STATE(8038)] = 399580,
  [SMALL_STATE(8039)] = 399619,
  [SMALL_STATE(8040)] = 399658,
  [SMALL_STATE(8041)] = 399703,
  [SMALL_STATE(8042)] = 399742,
  [SMALL_STATE(8043)] = 399803,
  [SMALL_STATE(8044)] = 399844,
  [SMALL_STATE(8045)] = 399883,
  [SMALL_STATE(8046)] = 399922,
  [SMALL_STATE(8047)] = 399961,
  [SMALL_STATE(8048)] = 400002,
  [SMALL_STATE(8049)] = 400049,
  [SMALL_STATE(8050)] = 400088,
  [SMALL_STATE(8051)] = 400149,
  [SMALL_STATE(8052)] = 400188,
  [SMALL_STATE(8053)] = 400227,
  [SMALL_STATE(8054)] = 400270,
  [SMALL_STATE(8055)] = 400309,
  [SMALL_STATE(8056)] = 400348,
  [SMALL_STATE(8057)] = 400389,
  [SMALL_STATE(8058)] = 400430,
  [SMALL_STATE(8059)] = 400469,
  [SMALL_STATE(8060)] = 400508,
  [SMALL_STATE(8061)] = 400547,
  [SMALL_STATE(8062)] = 400586,
  [SMALL_STATE(8063)] = 400625,
  [SMALL_STATE(8064)] = 400664,
  [SMALL_STATE(8065)] = 400703,
  [SMALL_STATE(8066)] = 400742,
  [SMALL_STATE(8067)] = 400783,
  [SMALL_STATE(8068)] = 400822,
  [SMALL_STATE(8069)] = 400861,
  [SMALL_STATE(8070)] = 400900,
  [SMALL_STATE(8071)] = 400961,
  [SMALL_STATE(8072)] = 401000,
  [SMALL_STATE(8073)] = 401039,
  [SMALL_STATE(8074)] = 401078,
  [SMALL_STATE(8075)] = 401117,
  [SMALL_STATE(8076)] = 401156,
  [SMALL_STATE(8077)] = 401195,
  [SMALL_STATE(8078)] = 401234,
  [SMALL_STATE(8079)] = 401273,
  [SMALL_STATE(8080)] = 401312,
  [SMALL_STATE(8081)] = 401373,
  [SMALL_STATE(8082)] = 401412,
  [SMALL_STATE(8083)] = 401451,
  [SMALL_STATE(8084)] = 401490,
  [SMALL_STATE(8085)] = 401551,
  [SMALL_STATE(8086)] = 401590,
  [SMALL_STATE(8087)] = 401631,
  [SMALL_STATE(8088)] = 401670,
  [SMALL_STATE(8089)] = 401711,
  [SMALL_STATE(8090)] = 401750,
  [SMALL_STATE(8091)] = 401789,
  [SMALL_STATE(8092)] = 401828,
  [SMALL_STATE(8093)] = 401867,
  [SMALL_STATE(8094)] = 401906,
  [SMALL_STATE(8095)] = 401945,
  [SMALL_STATE(8096)] = 401996,
  [SMALL_STATE(8097)] = 402035,
  [SMALL_STATE(8098)] = 402074,
  [SMALL_STATE(8099)] = 402117,
  [SMALL_STATE(8100)] = 402156,
  [SMALL_STATE(8101)] = 402195,
  [SMALL_STATE(8102)] = 402256,
  [SMALL_STATE(8103)] = 402295,
  [SMALL_STATE(8104)] = 402334,
  [SMALL_STATE(8105)] = 402395,
  [SMALL_STATE(8106)] = 402434,
  [SMALL_STATE(8107)] = 402473,
  [SMALL_STATE(8108)] = 402512,
  [SMALL_STATE(8109)] = 402553,
  [SMALL_STATE(8110)] = 402620,
  [SMALL_STATE(8111)] = 402659,
  [SMALL_STATE(8112)] = 402698,
  [SMALL_STATE(8113)] = 402737,
  [SMALL_STATE(8114)] = 402776,
  [SMALL_STATE(8115)] = 402815,
  [SMALL_STATE(8116)] = 402854,
  [SMALL_STATE(8117)] = 402893,
  [SMALL_STATE(8118)] = 402936,
  [SMALL_STATE(8119)] = 402981,
  [SMALL_STATE(8120)] = 403020,
  [SMALL_STATE(8121)] = 403059,
  [SMALL_STATE(8122)] = 403100,
  [SMALL_STATE(8123)] = 403139,
  [SMALL_STATE(8124)] = 403178,
  [SMALL_STATE(8125)] = 403219,
  [SMALL_STATE(8126)] = 403262,
  [SMALL_STATE(8127)] = 403323,
  [SMALL_STATE(8128)] = 403384,
  [SMALL_STATE(8129)] = 403423,
  [SMALL_STATE(8130)] = 403468,
  [SMALL_STATE(8131)] = 403507,
  [SMALL_STATE(8132)] = 403546,
  [SMALL_STATE(8133)] = 403585,
  [SMALL_STATE(8134)] = 403638,
  [SMALL_STATE(8135)] = 403699,
  [SMALL_STATE(8136)] = 403738,
  [SMALL_STATE(8137)] = 403779,
  [SMALL_STATE(8138)] = 403830,
  [SMALL_STATE(8139)] = 403891,
  [SMALL_STATE(8140)] = 403932,
  [SMALL_STATE(8141)] = 403971,
  [SMALL_STATE(8142)] = 404010,
  [SMALL_STATE(8143)] = 404049,
  [SMALL_STATE(8144)] = 404088,
  [SMALL_STATE(8145)] = 404127,
  [SMALL_STATE(8146)] = 404166,
  [SMALL_STATE(8147)] = 404205,
  [SMALL_STATE(8148)] = 404244,
  [SMALL_STATE(8149)] = 404283,
  [SMALL_STATE(8150)] = 404322,
  [SMALL_STATE(8151)] = 404361,
  [SMALL_STATE(8152)] = 404400,
  [SMALL_STATE(8153)] = 404439,
  [SMALL_STATE(8154)] = 404478,
  [SMALL_STATE(8155)] = 404517,
  [SMALL_STATE(8156)] = 404556,
  [SMALL_STATE(8157)] = 404595,
  [SMALL_STATE(8158)] = 404634,
  [SMALL_STATE(8159)] = 404673,
  [SMALL_STATE(8160)] = 404734,
  [SMALL_STATE(8161)] = 404773,
  [SMALL_STATE(8162)] = 404812,
  [SMALL_STATE(8163)] = 404851,
  [SMALL_STATE(8164)] = 404890,
  [SMALL_STATE(8165)] = 404935,
  [SMALL_STATE(8166)] = 404980,
  [SMALL_STATE(8167)] = 405019,
  [SMALL_STATE(8168)] = 405060,
  [SMALL_STATE(8169)] = 405099,
  [SMALL_STATE(8170)] = 405140,
  [SMALL_STATE(8171)] = 405179,
  [SMALL_STATE(8172)] = 405218,
  [SMALL_STATE(8173)] = 405263,
  [SMALL_STATE(8174)] = 405306,
  [SMALL_STATE(8175)] = 405345,
  [SMALL_STATE(8176)] = 405404,
  [SMALL_STATE(8177)] = 405443,
  [SMALL_STATE(8178)] = 405482,
  [SMALL_STATE(8179)] = 405555,
  [SMALL_STATE(8180)] = 405594,
  [SMALL_STATE(8181)] = 405633,
  [SMALL_STATE(8182)] = 405672,
  [SMALL_STATE(8183)] = 405711,
  [SMALL_STATE(8184)] = 405750,
  [SMALL_STATE(8185)] = 405789,
  [SMALL_STATE(8186)] = 405828,
  [SMALL_STATE(8187)] = 405867,
  [SMALL_STATE(8188)] = 405928,
  [SMALL_STATE(8189)] = 405967,
  [SMALL_STATE(8190)] = 406006,
  [SMALL_STATE(8191)] = 406067,
  [SMALL_STATE(8192)] = 406112,
  [SMALL_STATE(8193)] = 406157,
  [SMALL_STATE(8194)] = 406196,
  [SMALL_STATE(8195)] = 406235,
  [SMALL_STATE(8196)] = 406274,
  [SMALL_STATE(8197)] = 406313,
  [SMALL_STATE(8198)] = 406352,
  [SMALL_STATE(8199)] = 406413,
  [SMALL_STATE(8200)] = 406472,
  [SMALL_STATE(8201)] = 406515,
  [SMALL_STATE(8202)] = 406554,
  [SMALL_STATE(8203)] = 406593,
  [SMALL_STATE(8204)] = 406632,
  [SMALL_STATE(8205)] = 406683,
  [SMALL_STATE(8206)] = 406722,
  [SMALL_STATE(8207)] = 406761,
  [SMALL_STATE(8208)] = 406822,
  [SMALL_STATE(8209)] = 406863,
  [SMALL_STATE(8210)] = 406924,
  [SMALL_STATE(8211)] = 406963,
  [SMALL_STATE(8212)] = 407002,
  [SMALL_STATE(8213)] = 407041,
  [SMALL_STATE(8214)] = 407080,
  [SMALL_STATE(8215)] = 407119,
  [SMALL_STATE(8216)] = 407158,
  [SMALL_STATE(8217)] = 407197,
  [SMALL_STATE(8218)] = 407236,
  [SMALL_STATE(8219)] = 407275,
  [SMALL_STATE(8220)] = 407314,
  [SMALL_STATE(8221)] = 407353,
  [SMALL_STATE(8222)] = 407414,
  [SMALL_STATE(8223)] = 407453,
  [SMALL_STATE(8224)] = 407514,
  [SMALL_STATE(8225)] = 407553,
  [SMALL_STATE(8226)] = 407614,
  [SMALL_STATE(8227)] = 407667,
  [SMALL_STATE(8228)] = 407706,
  [SMALL_STATE(8229)] = 407745,
  [SMALL_STATE(8230)] = 407790,
  [SMALL_STATE(8231)] = 407829,
  [SMALL_STATE(8232)] = 407868,
  [SMALL_STATE(8233)] = 407909,
  [SMALL_STATE(8234)] = 407948,
  [SMALL_STATE(8235)] = 407989,
  [SMALL_STATE(8236)] = 408028,
  [SMALL_STATE(8237)] = 408067,
  [SMALL_STATE(8238)] = 408108,
  [SMALL_STATE(8239)] = 408169,
  [SMALL_STATE(8240)] = 408208,
  [SMALL_STATE(8241)] = 408261,
  [SMALL_STATE(8242)] = 408300,
  [SMALL_STATE(8243)] = 408339,
  [SMALL_STATE(8244)] = 408400,
  [SMALL_STATE(8245)] = 408461,
  [SMALL_STATE(8246)] = 408500,
  [SMALL_STATE(8247)] = 408555,
  [SMALL_STATE(8248)] = 408610,
  [SMALL_STATE(8249)] = 408651,
  [SMALL_STATE(8250)] = 408690,
  [SMALL_STATE(8251)] = 408733,
  [SMALL_STATE(8252)] = 408772,
  [SMALL_STATE(8253)] = 408811,
  [SMALL_STATE(8254)] = 408850,
  [SMALL_STATE(8255)] = 408891,
  [SMALL_STATE(8256)] = 408930,
  [SMALL_STATE(8257)] = 408969,
  [SMALL_STATE(8258)] = 409012,
  [SMALL_STATE(8259)] = 409053,
  [SMALL_STATE(8260)] = 409092,
  [SMALL_STATE(8261)] = 409153,
  [SMALL_STATE(8262)] = 409210,
  [SMALL_STATE(8263)] = 409271,
  [SMALL_STATE(8264)] = 409312,
  [SMALL_STATE(8265)] = 409355,
  [SMALL_STATE(8266)] = 409394,
  [SMALL_STATE(8267)] = 409433,
  [SMALL_STATE(8268)] = 409472,
  [SMALL_STATE(8269)] = 409525,
  [SMALL_STATE(8270)] = 409564,
  [SMALL_STATE(8271)] = 409609,
  [SMALL_STATE(8272)] = 409647,
  [SMALL_STATE(8273)] = 409685,
  [SMALL_STATE(8274)] = 409723,
  [SMALL_STATE(8275)] = 409761,
  [SMALL_STATE(8276)] = 409805,
  [SMALL_STATE(8277)] = 409843,
  [SMALL_STATE(8278)] = 409881,
  [SMALL_STATE(8279)] = 409919,
  [SMALL_STATE(8280)] = 409957,
  [SMALL_STATE(8281)] = 409995,
  [SMALL_STATE(8282)] = 410033,
  [SMALL_STATE(8283)] = 410071,
  [SMALL_STATE(8284)] = 410109,
  [SMALL_STATE(8285)] = 410147,
  [SMALL_STATE(8286)] = 410185,
  [SMALL_STATE(8287)] = 410223,
  [SMALL_STATE(8288)] = 410261,
  [SMALL_STATE(8289)] = 410299,
  [SMALL_STATE(8290)] = 410337,
  [SMALL_STATE(8291)] = 410375,
  [SMALL_STATE(8292)] = 410413,
  [SMALL_STATE(8293)] = 410451,
  [SMALL_STATE(8294)] = 410489,
  [SMALL_STATE(8295)] = 410527,
  [SMALL_STATE(8296)] = 410565,
  [SMALL_STATE(8297)] = 410603,
  [SMALL_STATE(8298)] = 410641,
  [SMALL_STATE(8299)] = 410681,
  [SMALL_STATE(8300)] = 410719,
  [SMALL_STATE(8301)] = 410771,
  [SMALL_STATE(8302)] = 410809,
  [SMALL_STATE(8303)] = 410847,
  [SMALL_STATE(8304)] = 410885,
  [SMALL_STATE(8305)] = 410925,
  [SMALL_STATE(8306)] = 410963,
  [SMALL_STATE(8307)] = 411001,
  [SMALL_STATE(8308)] = 411039,
  [SMALL_STATE(8309)] = 411077,
  [SMALL_STATE(8310)] = 411115,
  [SMALL_STATE(8311)] = 411153,
  [SMALL_STATE(8312)] = 411191,
  [SMALL_STATE(8313)] = 411229,
  [SMALL_STATE(8314)] = 411267,
  [SMALL_STATE(8315)] = 411319,
  [SMALL_STATE(8316)] = 411357,
  [SMALL_STATE(8317)] = 411397,
  [SMALL_STATE(8318)] = 411435,
  [SMALL_STATE(8319)] = 411473,
  [SMALL_STATE(8320)] = 411511,
  [SMALL_STATE(8321)] = 411549,
  [SMALL_STATE(8322)] = 411601,
  [SMALL_STATE(8323)] = 411639,
  [SMALL_STATE(8324)] = 411679,
  [SMALL_STATE(8325)] = 411717,
  [SMALL_STATE(8326)] = 411755,
  [SMALL_STATE(8327)] = 411793,
  [SMALL_STATE(8328)] = 411831,
  [SMALL_STATE(8329)] = 411869,
  [SMALL_STATE(8330)] = 411907,
  [SMALL_STATE(8331)] = 411945,
  [SMALL_STATE(8332)] = 411983,
  [SMALL_STATE(8333)] = 412021,
  [SMALL_STATE(8334)] = 412059,
  [SMALL_STATE(8335)] = 412097,
  [SMALL_STATE(8336)] = 412135,
  [SMALL_STATE(8337)] = 412173,
  [SMALL_STATE(8338)] = 412211,
  [SMALL_STATE(8339)] = 412249,
  [SMALL_STATE(8340)] = 412287,
  [SMALL_STATE(8341)] = 412327,
  [SMALL_STATE(8342)] = 412367,
  [SMALL_STATE(8343)] = 412405,
  [SMALL_STATE(8344)] = 412443,
  [SMALL_STATE(8345)] = 412481,
  [SMALL_STATE(8346)] = 412519,
  [SMALL_STATE(8347)] = 412557,
  [SMALL_STATE(8348)] = 412595,
  [SMALL_STATE(8349)] = 412633,
  [SMALL_STATE(8350)] = 412671,
  [SMALL_STATE(8351)] = 412709,
  [SMALL_STATE(8352)] = 412747,
  [SMALL_STATE(8353)] = 412785,
  [SMALL_STATE(8354)] = 412823,
  [SMALL_STATE(8355)] = 412861,
  [SMALL_STATE(8356)] = 412899,
  [SMALL_STATE(8357)] = 412937,
  [SMALL_STATE(8358)] = 412975,
  [SMALL_STATE(8359)] = 413013,
  [SMALL_STATE(8360)] = 413063,
  [SMALL_STATE(8361)] = 413101,
  [SMALL_STATE(8362)] = 413139,
  [SMALL_STATE(8363)] = 413177,
  [SMALL_STATE(8364)] = 413215,
  [SMALL_STATE(8365)] = 413253,
  [SMALL_STATE(8366)] = 413291,
  [SMALL_STATE(8367)] = 413329,
  [SMALL_STATE(8368)] = 413367,
  [SMALL_STATE(8369)] = 413407,
  [SMALL_STATE(8370)] = 413445,
  [SMALL_STATE(8371)] = 413483,
  [SMALL_STATE(8372)] = 413521,
  [SMALL_STATE(8373)] = 413559,
  [SMALL_STATE(8374)] = 413597,
  [SMALL_STATE(8375)] = 413635,
  [SMALL_STATE(8376)] = 413673,
  [SMALL_STATE(8377)] = 413711,
  [SMALL_STATE(8378)] = 413751,
  [SMALL_STATE(8379)] = 413789,
  [SMALL_STATE(8380)] = 413827,
  [SMALL_STATE(8381)] = 413865,
  [SMALL_STATE(8382)] = 413905,
  [SMALL_STATE(8383)] = 413949,
  [SMALL_STATE(8384)] = 413989,
  [SMALL_STATE(8385)] = 414027,
  [SMALL_STATE(8386)] = 414065,
  [SMALL_STATE(8387)] = 414103,
  [SMALL_STATE(8388)] = 414141,
  [SMALL_STATE(8389)] = 414179,
  [SMALL_STATE(8390)] = 414217,
  [SMALL_STATE(8391)] = 414255,
  [SMALL_STATE(8392)] = 414293,
  [SMALL_STATE(8393)] = 414331,
  [SMALL_STATE(8394)] = 414369,
  [SMALL_STATE(8395)] = 414407,
  [SMALL_STATE(8396)] = 414445,
  [SMALL_STATE(8397)] = 414497,
  [SMALL_STATE(8398)] = 414535,
  [SMALL_STATE(8399)] = 414573,
  [SMALL_STATE(8400)] = 414611,
  [SMALL_STATE(8401)] = 414655,
  [SMALL_STATE(8402)] = 414693,
  [SMALL_STATE(8403)] = 414731,
  [SMALL_STATE(8404)] = 414769,
  [SMALL_STATE(8405)] = 414807,
  [SMALL_STATE(8406)] = 414845,
  [SMALL_STATE(8407)] = 414883,
  [SMALL_STATE(8408)] = 414921,
  [SMALL_STATE(8409)] = 414961,
  [SMALL_STATE(8410)] = 414999,
  [SMALL_STATE(8411)] = 415037,
  [SMALL_STATE(8412)] = 415075,
  [SMALL_STATE(8413)] = 415113,
  [SMALL_STATE(8414)] = 415151,
  [SMALL_STATE(8415)] = 415189,
  [SMALL_STATE(8416)] = 415227,
  [SMALL_STATE(8417)] = 415265,
  [SMALL_STATE(8418)] = 415305,
  [SMALL_STATE(8419)] = 415343,
  [SMALL_STATE(8420)] = 415389,
  [SMALL_STATE(8421)] = 415427,
  [SMALL_STATE(8422)] = 415465,
  [SMALL_STATE(8423)] = 415503,
  [SMALL_STATE(8424)] = 415541,
  [SMALL_STATE(8425)] = 415579,
  [SMALL_STATE(8426)] = 415621,
  [SMALL_STATE(8427)] = 415659,
  [SMALL_STATE(8428)] = 415697,
  [SMALL_STATE(8429)] = 415735,
  [SMALL_STATE(8430)] = 415773,
  [SMALL_STATE(8431)] = 415811,
  [SMALL_STATE(8432)] = 415849,
  [SMALL_STATE(8433)] = 415887,
  [SMALL_STATE(8434)] = 415925,
  [SMALL_STATE(8435)] = 415963,
  [SMALL_STATE(8436)] = 416001,
  [SMALL_STATE(8437)] = 416039,
  [SMALL_STATE(8438)] = 416079,
  [SMALL_STATE(8439)] = 416117,
  [SMALL_STATE(8440)] = 416155,
  [SMALL_STATE(8441)] = 416193,
  [SMALL_STATE(8442)] = 416231,
  [SMALL_STATE(8443)] = 416269,
  [SMALL_STATE(8444)] = 416311,
  [SMALL_STATE(8445)] = 416349,
  [SMALL_STATE(8446)] = 416387,
  [SMALL_STATE(8447)] = 416425,
  [SMALL_STATE(8448)] = 416463,
  [SMALL_STATE(8449)] = 416501,
  [SMALL_STATE(8450)] = 416539,
  [SMALL_STATE(8451)] = 416577,
  [SMALL_STATE(8452)] = 416615,
  [SMALL_STATE(8453)] = 416653,
  [SMALL_STATE(8454)] = 416691,
  [SMALL_STATE(8455)] = 416729,
  [SMALL_STATE(8456)] = 416767,
  [SMALL_STATE(8457)] = 416805,
  [SMALL_STATE(8458)] = 416843,
  [SMALL_STATE(8459)] = 416881,
  [SMALL_STATE(8460)] = 416919,
  [SMALL_STATE(8461)] = 416957,
  [SMALL_STATE(8462)] = 416995,
  [SMALL_STATE(8463)] = 417033,
  [SMALL_STATE(8464)] = 417075,
  [SMALL_STATE(8465)] = 417113,
  [SMALL_STATE(8466)] = 417151,
  [SMALL_STATE(8467)] = 417189,
  [SMALL_STATE(8468)] = 417229,
  [SMALL_STATE(8469)] = 417267,
  [SMALL_STATE(8470)] = 417305,
  [SMALL_STATE(8471)] = 417343,
  [SMALL_STATE(8472)] = 417381,
  [SMALL_STATE(8473)] = 417419,
  [SMALL_STATE(8474)] = 417459,
  [SMALL_STATE(8475)] = 417527,
  [SMALL_STATE(8476)] = 417565,
  [SMALL_STATE(8477)] = 417603,
  [SMALL_STATE(8478)] = 417641,
  [SMALL_STATE(8479)] = 417679,
  [SMALL_STATE(8480)] = 417717,
  [SMALL_STATE(8481)] = 417755,
  [SMALL_STATE(8482)] = 417793,
  [SMALL_STATE(8483)] = 417831,
  [SMALL_STATE(8484)] = 417869,
  [SMALL_STATE(8485)] = 417907,
  [SMALL_STATE(8486)] = 417945,
  [SMALL_STATE(8487)] = 417989,
  [SMALL_STATE(8488)] = 418027,
  [SMALL_STATE(8489)] = 418065,
  [SMALL_STATE(8490)] = 418103,
  [SMALL_STATE(8491)] = 418141,
  [SMALL_STATE(8492)] = 418181,
  [SMALL_STATE(8493)] = 418219,
  [SMALL_STATE(8494)] = 418263,
  [SMALL_STATE(8495)] = 418301,
  [SMALL_STATE(8496)] = 418345,
  [SMALL_STATE(8497)] = 418383,
  [SMALL_STATE(8498)] = 418421,
  [SMALL_STATE(8499)] = 418459,
  [SMALL_STATE(8500)] = 418497,
  [SMALL_STATE(8501)] = 418535,
  [SMALL_STATE(8502)] = 418573,
  [SMALL_STATE(8503)] = 418611,
  [SMALL_STATE(8504)] = 418649,
  [SMALL_STATE(8505)] = 418691,
  [SMALL_STATE(8506)] = 418729,
  [SMALL_STATE(8507)] = 418773,
  [SMALL_STATE(8508)] = 418811,
  [SMALL_STATE(8509)] = 418849,
  [SMALL_STATE(8510)] = 418887,
  [SMALL_STATE(8511)] = 418925,
  [SMALL_STATE(8512)] = 418963,
  [SMALL_STATE(8513)] = 419001,
  [SMALL_STATE(8514)] = 419039,
  [SMALL_STATE(8515)] = 419077,
  [SMALL_STATE(8516)] = 419145,
  [SMALL_STATE(8517)] = 419185,
  [SMALL_STATE(8518)] = 419223,
  [SMALL_STATE(8519)] = 419261,
  [SMALL_STATE(8520)] = 419305,
  [SMALL_STATE(8521)] = 419343,
  [SMALL_STATE(8522)] = 419385,
  [SMALL_STATE(8523)] = 419423,
  [SMALL_STATE(8524)] = 419461,
  [SMALL_STATE(8525)] = 419499,
  [SMALL_STATE(8526)] = 419537,
  [SMALL_STATE(8527)] = 419589,
  [SMALL_STATE(8528)] = 419633,
  [SMALL_STATE(8529)] = 419671,
  [SMALL_STATE(8530)] = 419709,
  [SMALL_STATE(8531)] = 419747,
  [SMALL_STATE(8532)] = 419791,
  [SMALL_STATE(8533)] = 419829,
  [SMALL_STATE(8534)] = 419867,
  [SMALL_STATE(8535)] = 419907,
  [SMALL_STATE(8536)] = 419945,
  [SMALL_STATE(8537)] = 419989,
  [SMALL_STATE(8538)] = 420027,
  [SMALL_STATE(8539)] = 420065,
  [SMALL_STATE(8540)] = 420123,
  [SMALL_STATE(8541)] = 420161,
  [SMALL_STATE(8542)] = 420199,
  [SMALL_STATE(8543)] = 420237,
  [SMALL_STATE(8544)] = 420279,
  [SMALL_STATE(8545)] = 420317,
  [SMALL_STATE(8546)] = 420355,
  [SMALL_STATE(8547)] = 420393,
  [SMALL_STATE(8548)] = 420431,
  [SMALL_STATE(8549)] = 420469,
  [SMALL_STATE(8550)] = 420507,
  [SMALL_STATE(8551)] = 420561,
  [SMALL_STATE(8552)] = 420599,
  [SMALL_STATE(8553)] = 420639,
  [SMALL_STATE(8554)] = 420677,
  [SMALL_STATE(8555)] = 420715,
  [SMALL_STATE(8556)] = 420753,
  [SMALL_STATE(8557)] = 420791,
  [SMALL_STATE(8558)] = 420829,
  [SMALL_STATE(8559)] = 420867,
  [SMALL_STATE(8560)] = 420905,
  [SMALL_STATE(8561)] = 420943,
  [SMALL_STATE(8562)] = 420981,
  [SMALL_STATE(8563)] = 421031,
  [SMALL_STATE(8564)] = 421069,
  [SMALL_STATE(8565)] = 421107,
  [SMALL_STATE(8566)] = 421145,
  [SMALL_STATE(8567)] = 421187,
  [SMALL_STATE(8568)] = 421225,
  [SMALL_STATE(8569)] = 421263,
  [SMALL_STATE(8570)] = 421301,
  [SMALL_STATE(8571)] = 421339,
  [SMALL_STATE(8572)] = 421377,
  [SMALL_STATE(8573)] = 421415,
  [SMALL_STATE(8574)] = 421453,
  [SMALL_STATE(8575)] = 421493,
  [SMALL_STATE(8576)] = 421531,
  [SMALL_STATE(8577)] = 421569,
  [SMALL_STATE(8578)] = 421607,
  [SMALL_STATE(8579)] = 421649,
  [SMALL_STATE(8580)] = 421687,
  [SMALL_STATE(8581)] = 421725,
  [SMALL_STATE(8582)] = 421765,
  [SMALL_STATE(8583)] = 421833,
  [SMALL_STATE(8584)] = 421873,
  [SMALL_STATE(8585)] = 421911,
  [SMALL_STATE(8586)] = 421949,
  [SMALL_STATE(8587)] = 421991,
  [SMALL_STATE(8588)] = 422031,
  [SMALL_STATE(8589)] = 422069,
  [SMALL_STATE(8590)] = 422107,
  [SMALL_STATE(8591)] = 422145,
  [SMALL_STATE(8592)] = 422183,
  [SMALL_STATE(8593)] = 422227,
  [SMALL_STATE(8594)] = 422265,
  [SMALL_STATE(8595)] = 422303,
  [SMALL_STATE(8596)] = 422341,
  [SMALL_STATE(8597)] = 422409,
  [SMALL_STATE(8598)] = 422447,
  [SMALL_STATE(8599)] = 422485,
  [SMALL_STATE(8600)] = 422527,
  [SMALL_STATE(8601)] = 422565,
  [SMALL_STATE(8602)] = 422603,
  [SMALL_STATE(8603)] = 422655,
  [SMALL_STATE(8604)] = 422693,
  [SMALL_STATE(8605)] = 422731,
  [SMALL_STATE(8606)] = 422769,
  [SMALL_STATE(8607)] = 422807,
  [SMALL_STATE(8608)] = 422845,
  [SMALL_STATE(8609)] = 422883,
  [SMALL_STATE(8610)] = 422921,
  [SMALL_STATE(8611)] = 422959,
  [SMALL_STATE(8612)] = 422999,
  [SMALL_STATE(8613)] = 423037,
  [SMALL_STATE(8614)] = 423075,
  [SMALL_STATE(8615)] = 423113,
  [SMALL_STATE(8616)] = 423151,
  [SMALL_STATE(8617)] = 423193,
  [SMALL_STATE(8618)] = 423231,
  [SMALL_STATE(8619)] = 423269,
  [SMALL_STATE(8620)] = 423307,
  [SMALL_STATE(8621)] = 423345,
  [SMALL_STATE(8622)] = 423383,
  [SMALL_STATE(8623)] = 423421,
  [SMALL_STATE(8624)] = 423465,
  [SMALL_STATE(8625)] = 423503,
  [SMALL_STATE(8626)] = 423541,
  [SMALL_STATE(8627)] = 423579,
  [SMALL_STATE(8628)] = 423617,
  [SMALL_STATE(8629)] = 423655,
  [SMALL_STATE(8630)] = 423693,
  [SMALL_STATE(8631)] = 423731,
  [SMALL_STATE(8632)] = 423769,
  [SMALL_STATE(8633)] = 423807,
  [SMALL_STATE(8634)] = 423845,
  [SMALL_STATE(8635)] = 423885,
  [SMALL_STATE(8636)] = 423923,
  [SMALL_STATE(8637)] = 423961,
  [SMALL_STATE(8638)] = 423999,
  [SMALL_STATE(8639)] = 424041,
  [SMALL_STATE(8640)] = 424079,
  [SMALL_STATE(8641)] = 424117,
  [SMALL_STATE(8642)] = 424159,
  [SMALL_STATE(8643)] = 424197,
  [SMALL_STATE(8644)] = 424235,
  [SMALL_STATE(8645)] = 424273,
  [SMALL_STATE(8646)] = 424311,
  [SMALL_STATE(8647)] = 424349,
  [SMALL_STATE(8648)] = 424387,
  [SMALL_STATE(8649)] = 424425,
  [SMALL_STATE(8650)] = 424463,
  [SMALL_STATE(8651)] = 424501,
  [SMALL_STATE(8652)] = 424539,
  [SMALL_STATE(8653)] = 424577,
  [SMALL_STATE(8654)] = 424615,
  [SMALL_STATE(8655)] = 424653,
  [SMALL_STATE(8656)] = 424691,
  [SMALL_STATE(8657)] = 424729,
  [SMALL_STATE(8658)] = 424767,
  [SMALL_STATE(8659)] = 424805,
  [SMALL_STATE(8660)] = 424843,
  [SMALL_STATE(8661)] = 424881,
  [SMALL_STATE(8662)] = 424919,
  [SMALL_STATE(8663)] = 424957,
  [SMALL_STATE(8664)] = 424995,
  [SMALL_STATE(8665)] = 425033,
  [SMALL_STATE(8666)] = 425071,
  [SMALL_STATE(8667)] = 425111,
  [SMALL_STATE(8668)] = 425149,
  [SMALL_STATE(8669)] = 425187,
  [SMALL_STATE(8670)] = 425225,
  [SMALL_STATE(8671)] = 425263,
  [SMALL_STATE(8672)] = 425303,
  [SMALL_STATE(8673)] = 425341,
  [SMALL_STATE(8674)] = 425379,
  [SMALL_STATE(8675)] = 425417,
  [SMALL_STATE(8676)] = 425455,
  [SMALL_STATE(8677)] = 425497,
  [SMALL_STATE(8678)] = 425553,
  [SMALL_STATE(8679)] = 425593,
  [SMALL_STATE(8680)] = 425631,
  [SMALL_STATE(8681)] = 425675,
  [SMALL_STATE(8682)] = 425713,
  [SMALL_STATE(8683)] = 425757,
  [SMALL_STATE(8684)] = 425795,
  [SMALL_STATE(8685)] = 425833,
  [SMALL_STATE(8686)] = 425871,
  [SMALL_STATE(8687)] = 425913,
  [SMALL_STATE(8688)] = 425951,
  [SMALL_STATE(8689)] = 425989,
  [SMALL_STATE(8690)] = 426027,
  [SMALL_STATE(8691)] = 426065,
  [SMALL_STATE(8692)] = 426103,
  [SMALL_STATE(8693)] = 426141,
  [SMALL_STATE(8694)] = 426179,
  [SMALL_STATE(8695)] = 426217,
  [SMALL_STATE(8696)] = 426255,
  [SMALL_STATE(8697)] = 426297,
  [SMALL_STATE(8698)] = 426357,
  [SMALL_STATE(8699)] = 426395,
  [SMALL_STATE(8700)] = 426435,
  [SMALL_STATE(8701)] = 426473,
  [SMALL_STATE(8702)] = 426511,
  [SMALL_STATE(8703)] = 426553,
  [SMALL_STATE(8704)] = 426609,
  [SMALL_STATE(8705)] = 426677,
  [SMALL_STATE(8706)] = 426715,
  [SMALL_STATE(8707)] = 426771,
  [SMALL_STATE(8708)] = 426809,
  [SMALL_STATE(8709)] = 426847,
  [SMALL_STATE(8710)] = 426885,
  [SMALL_STATE(8711)] = 426923,
  [SMALL_STATE(8712)] = 426961,
  [SMALL_STATE(8713)] = 426999,
  [SMALL_STATE(8714)] = 427037,
  [SMALL_STATE(8715)] = 427075,
  [SMALL_STATE(8716)] = 427113,
  [SMALL_STATE(8717)] = 427151,
  [SMALL_STATE(8718)] = 427189,
  [SMALL_STATE(8719)] = 427231,
  [SMALL_STATE(8720)] = 427269,
  [SMALL_STATE(8721)] = 427307,
  [SMALL_STATE(8722)] = 427357,
  [SMALL_STATE(8723)] = 427395,
  [SMALL_STATE(8724)] = 427433,
  [SMALL_STATE(8725)] = 427475,
  [SMALL_STATE(8726)] = 427513,
  [SMALL_STATE(8727)] = 427551,
  [SMALL_STATE(8728)] = 427595,
  [SMALL_STATE(8729)] = 427633,
  [SMALL_STATE(8730)] = 427677,
  [SMALL_STATE(8731)] = 427715,
  [SMALL_STATE(8732)] = 427753,
  [SMALL_STATE(8733)] = 427791,
  [SMALL_STATE(8734)] = 427829,
  [SMALL_STATE(8735)] = 427867,
  [SMALL_STATE(8736)] = 427907,
  [SMALL_STATE(8737)] = 427945,
  [SMALL_STATE(8738)] = 427985,
  [SMALL_STATE(8739)] = 428023,
  [SMALL_STATE(8740)] = 428061,
  [SMALL_STATE(8741)] = 428099,
  [SMALL_STATE(8742)] = 428139,
  [SMALL_STATE(8743)] = 428197,
  [SMALL_STATE(8744)] = 428235,
  [SMALL_STATE(8745)] = 428277,
  [SMALL_STATE(8746)] = 428319,
  [SMALL_STATE(8747)] = 428357,
  [SMALL_STATE(8748)] = 428399,
  [SMALL_STATE(8749)] = 428437,
  [SMALL_STATE(8750)] = 428475,
  [SMALL_STATE(8751)] = 428525,
  [SMALL_STATE(8752)] = 428563,
  [SMALL_STATE(8753)] = 428601,
  [SMALL_STATE(8754)] = 428639,
  [SMALL_STATE(8755)] = 428689,
  [SMALL_STATE(8756)] = 428729,
  [SMALL_STATE(8757)] = 428769,
  [SMALL_STATE(8758)] = 428821,
  [SMALL_STATE(8759)] = 428867,
  [SMALL_STATE(8760)] = 428923,
  [SMALL_STATE(8761)] = 428989,
  [SMALL_STATE(8762)] = 429033,
  [SMALL_STATE(8763)] = 429089,
  [SMALL_STATE(8764)] = 429127,
  [SMALL_STATE(8765)] = 429165,
  [SMALL_STATE(8766)] = 429203,
  [SMALL_STATE(8767)] = 429241,
  [SMALL_STATE(8768)] = 429279,
  [SMALL_STATE(8769)] = 429335,
  [SMALL_STATE(8770)] = 429373,
  [SMALL_STATE(8771)] = 429413,
  [SMALL_STATE(8772)] = 429451,
  [SMALL_STATE(8773)] = 429489,
  [SMALL_STATE(8774)] = 429527,
  [SMALL_STATE(8775)] = 429567,
  [SMALL_STATE(8776)] = 429605,
  [SMALL_STATE(8777)] = 429643,
  [SMALL_STATE(8778)] = 429681,
  [SMALL_STATE(8779)] = 429719,
  [SMALL_STATE(8780)] = 429759,
  [SMALL_STATE(8781)] = 429797,
  [SMALL_STATE(8782)] = 429835,
  [SMALL_STATE(8783)] = 429873,
  [SMALL_STATE(8784)] = 429913,
  [SMALL_STATE(8785)] = 429953,
  [SMALL_STATE(8786)] = 429991,
  [SMALL_STATE(8787)] = 430029,
  [SMALL_STATE(8788)] = 430077,
  [SMALL_STATE(8789)] = 430127,
  [SMALL_STATE(8790)] = 430165,
  [SMALL_STATE(8791)] = 430203,
  [SMALL_STATE(8792)] = 430243,
  [SMALL_STATE(8793)] = 430283,
  [SMALL_STATE(8794)] = 430321,
  [SMALL_STATE(8795)] = 430365,
  [SMALL_STATE(8796)] = 430403,
  [SMALL_STATE(8797)] = 430443,
  [SMALL_STATE(8798)] = 430487,
  [SMALL_STATE(8799)] = 430525,
  [SMALL_STATE(8800)] = 430563,
  [SMALL_STATE(8801)] = 430607,
  [SMALL_STATE(8802)] = 430645,
  [SMALL_STATE(8803)] = 430699,
  [SMALL_STATE(8804)] = 430737,
  [SMALL_STATE(8805)] = 430777,
  [SMALL_STATE(8806)] = 430815,
  [SMALL_STATE(8807)] = 430853,
  [SMALL_STATE(8808)] = 430915,
  [SMALL_STATE(8809)] = 430955,
  [SMALL_STATE(8810)] = 430993,
  [SMALL_STATE(8811)] = 431033,
  [SMALL_STATE(8812)] = 431071,
  [SMALL_STATE(8813)] = 431111,
  [SMALL_STATE(8814)] = 431149,
  [SMALL_STATE(8815)] = 431187,
  [SMALL_STATE(8816)] = 431225,
  [SMALL_STATE(8817)] = 431263,
  [SMALL_STATE(8818)] = 431303,
  [SMALL_STATE(8819)] = 431341,
  [SMALL_STATE(8820)] = 431381,
  [SMALL_STATE(8821)] = 431419,
  [SMALL_STATE(8822)] = 431469,
  [SMALL_STATE(8823)] = 431507,
  [SMALL_STATE(8824)] = 431545,
  [SMALL_STATE(8825)] = 431583,
  [SMALL_STATE(8826)] = 431621,
  [SMALL_STATE(8827)] = 431659,
  [SMALL_STATE(8828)] = 431697,
  [SMALL_STATE(8829)] = 431735,
  [SMALL_STATE(8830)] = 431773,
  [SMALL_STATE(8831)] = 431811,
  [SMALL_STATE(8832)] = 431849,
  [SMALL_STATE(8833)] = 431887,
  [SMALL_STATE(8834)] = 431931,
  [SMALL_STATE(8835)] = 431969,
  [SMALL_STATE(8836)] = 432007,
  [SMALL_STATE(8837)] = 432075,
  [SMALL_STATE(8838)] = 432115,
  [SMALL_STATE(8839)] = 432153,
  [SMALL_STATE(8840)] = 432191,
  [SMALL_STATE(8841)] = 432229,
  [SMALL_STATE(8842)] = 432281,
  [SMALL_STATE(8843)] = 432319,
  [SMALL_STATE(8844)] = 432357,
  [SMALL_STATE(8845)] = 432395,
  [SMALL_STATE(8846)] = 432449,
  [SMALL_STATE(8847)] = 432491,
  [SMALL_STATE(8848)] = 432529,
  [SMALL_STATE(8849)] = 432567,
  [SMALL_STATE(8850)] = 432605,
  [SMALL_STATE(8851)] = 432643,
  [SMALL_STATE(8852)] = 432681,
  [SMALL_STATE(8853)] = 432719,
  [SMALL_STATE(8854)] = 432757,
  [SMALL_STATE(8855)] = 432795,
  [SMALL_STATE(8856)] = 432833,
  [SMALL_STATE(8857)] = 432871,
  [SMALL_STATE(8858)] = 432909,
  [SMALL_STATE(8859)] = 432947,
  [SMALL_STATE(8860)] = 432985,
  [SMALL_STATE(8861)] = 433027,
  [SMALL_STATE(8862)] = 433065,
  [SMALL_STATE(8863)] = 433105,
  [SMALL_STATE(8864)] = 433145,
  [SMALL_STATE(8865)] = 433183,
  [SMALL_STATE(8866)] = 433221,
  [SMALL_STATE(8867)] = 433261,
  [SMALL_STATE(8868)] = 433299,
  [SMALL_STATE(8869)] = 433337,
  [SMALL_STATE(8870)] = 433375,
  [SMALL_STATE(8871)] = 433413,
  [SMALL_STATE(8872)] = 433451,
  [SMALL_STATE(8873)] = 433489,
  [SMALL_STATE(8874)] = 433531,
  [SMALL_STATE(8875)] = 433569,
  [SMALL_STATE(8876)] = 433637,
  [SMALL_STATE(8877)] = 433675,
  [SMALL_STATE(8878)] = 433713,
  [SMALL_STATE(8879)] = 433751,
  [SMALL_STATE(8880)] = 433789,
  [SMALL_STATE(8881)] = 433827,
  [SMALL_STATE(8882)] = 433865,
  [SMALL_STATE(8883)] = 433903,
  [SMALL_STATE(8884)] = 433941,
  [SMALL_STATE(8885)] = 433979,
  [SMALL_STATE(8886)] = 434017,
  [SMALL_STATE(8887)] = 434065,
  [SMALL_STATE(8888)] = 434103,
  [SMALL_STATE(8889)] = 434167,
  [SMALL_STATE(8890)] = 434205,
  [SMALL_STATE(8891)] = 434245,
  [SMALL_STATE(8892)] = 434283,
  [SMALL_STATE(8893)] = 434343,
  [SMALL_STATE(8894)] = 434383,
  [SMALL_STATE(8895)] = 434431,
  [SMALL_STATE(8896)] = 434471,
  [SMALL_STATE(8897)] = 434509,
  [SMALL_STATE(8898)] = 434549,
  [SMALL_STATE(8899)] = 434587,
  [SMALL_STATE(8900)] = 434625,
  [SMALL_STATE(8901)] = 434665,
  [SMALL_STATE(8902)] = 434703,
  [SMALL_STATE(8903)] = 434741,
  [SMALL_STATE(8904)] = 434779,
  [SMALL_STATE(8905)] = 434819,
  [SMALL_STATE(8906)] = 434859,
  [SMALL_STATE(8907)] = 434927,
  [SMALL_STATE(8908)] = 434967,
  [SMALL_STATE(8909)] = 435005,
  [SMALL_STATE(8910)] = 435043,
  [SMALL_STATE(8911)] = 435085,
  [SMALL_STATE(8912)] = 435123,
  [SMALL_STATE(8913)] = 435161,
  [SMALL_STATE(8914)] = 435199,
  [SMALL_STATE(8915)] = 435237,
  [SMALL_STATE(8916)] = 435297,
  [SMALL_STATE(8917)] = 435335,
  [SMALL_STATE(8918)] = 435373,
  [SMALL_STATE(8919)] = 435411,
  [SMALL_STATE(8920)] = 435465,
  [SMALL_STATE(8921)] = 435503,
  [SMALL_STATE(8922)] = 435541,
  [SMALL_STATE(8923)] = 435603,
  [SMALL_STATE(8924)] = 435641,
  [SMALL_STATE(8925)] = 435681,
  [SMALL_STATE(8926)] = 435719,
  [SMALL_STATE(8927)] = 435757,
  [SMALL_STATE(8928)] = 435795,
  [SMALL_STATE(8929)] = 435833,
  [SMALL_STATE(8930)] = 435871,
  [SMALL_STATE(8931)] = 435914,
  [SMALL_STATE(8932)] = 435951,
  [SMALL_STATE(8933)] = 435988,
  [SMALL_STATE(8934)] = 436043,
  [SMALL_STATE(8935)] = 436082,
  [SMALL_STATE(8936)] = 436137,
  [SMALL_STATE(8937)] = 436174,
  [SMALL_STATE(8938)] = 436211,
  [SMALL_STATE(8939)] = 436266,
  [SMALL_STATE(8940)] = 436303,
  [SMALL_STATE(8941)] = 436340,
  [SMALL_STATE(8942)] = 436377,
  [SMALL_STATE(8943)] = 436426,
  [SMALL_STATE(8944)] = 436463,
  [SMALL_STATE(8945)] = 436500,
  [SMALL_STATE(8946)] = 436539,
  [SMALL_STATE(8947)] = 436576,
  [SMALL_STATE(8948)] = 436613,
  [SMALL_STATE(8949)] = 436666,
  [SMALL_STATE(8950)] = 436721,
  [SMALL_STATE(8951)] = 436760,
  [SMALL_STATE(8952)] = 436797,
  [SMALL_STATE(8953)] = 436836,
  [SMALL_STATE(8954)] = 436873,
  [SMALL_STATE(8955)] = 436910,
  [SMALL_STATE(8956)] = 436951,
  [SMALL_STATE(8957)] = 437006,
  [SMALL_STATE(8958)] = 437043,
  [SMALL_STATE(8959)] = 437080,
  [SMALL_STATE(8960)] = 437135,
  [SMALL_STATE(8961)] = 437178,
  [SMALL_STATE(8962)] = 437215,
  [SMALL_STATE(8963)] = 437252,
  [SMALL_STATE(8964)] = 437289,
  [SMALL_STATE(8965)] = 437326,
  [SMALL_STATE(8966)] = 437381,
  [SMALL_STATE(8967)] = 437418,
  [SMALL_STATE(8968)] = 437455,
  [SMALL_STATE(8969)] = 437492,
  [SMALL_STATE(8970)] = 437529,
  [SMALL_STATE(8971)] = 437566,
  [SMALL_STATE(8972)] = 437603,
  [SMALL_STATE(8973)] = 437658,
  [SMALL_STATE(8974)] = 437695,
  [SMALL_STATE(8975)] = 437750,
  [SMALL_STATE(8976)] = 437789,
  [SMALL_STATE(8977)] = 437826,
  [SMALL_STATE(8978)] = 437863,
  [SMALL_STATE(8979)] = 437918,
  [SMALL_STATE(8980)] = 437955,
  [SMALL_STATE(8981)] = 437992,
  [SMALL_STATE(8982)] = 438031,
  [SMALL_STATE(8983)] = 438076,
  [SMALL_STATE(8984)] = 438129,
  [SMALL_STATE(8985)] = 438184,
  [SMALL_STATE(8986)] = 438221,
  [SMALL_STATE(8987)] = 438276,
  [SMALL_STATE(8988)] = 438319,
  [SMALL_STATE(8989)] = 438372,
  [SMALL_STATE(8990)] = 438409,
  [SMALL_STATE(8991)] = 438450,
  [SMALL_STATE(8992)] = 438493,
  [SMALL_STATE(8993)] = 438544,
  [SMALL_STATE(8994)] = 438605,
  [SMALL_STATE(8995)] = 438642,
  [SMALL_STATE(8996)] = 438679,
  [SMALL_STATE(8997)] = 438716,
  [SMALL_STATE(8998)] = 438771,
  [SMALL_STATE(8999)] = 438808,
  [SMALL_STATE(9000)] = 438845,
  [SMALL_STATE(9001)] = 438882,
  [SMALL_STATE(9002)] = 438919,
  [SMALL_STATE(9003)] = 438970,
  [SMALL_STATE(9004)] = 439009,
  [SMALL_STATE(9005)] = 439048,
  [SMALL_STATE(9006)] = 439085,
  [SMALL_STATE(9007)] = 439122,
  [SMALL_STATE(9008)] = 439163,
  [SMALL_STATE(9009)] = 439204,
  [SMALL_STATE(9010)] = 439259,
  [SMALL_STATE(9011)] = 439296,
  [SMALL_STATE(9012)] = 439333,
  [SMALL_STATE(9013)] = 439370,
  [SMALL_STATE(9014)] = 439407,
  [SMALL_STATE(9015)] = 439446,
  [SMALL_STATE(9016)] = 439501,
  [SMALL_STATE(9017)] = 439538,
  [SMALL_STATE(9018)] = 439593,
  [SMALL_STATE(9019)] = 439634,
  [SMALL_STATE(9020)] = 439671,
  [SMALL_STATE(9021)] = 439714,
  [SMALL_STATE(9022)] = 439769,
  [SMALL_STATE(9023)] = 439806,
  [SMALL_STATE(9024)] = 439843,
  [SMALL_STATE(9025)] = 439880,
  [SMALL_STATE(9026)] = 439917,
  [SMALL_STATE(9027)] = 439954,
  [SMALL_STATE(9028)] = 439999,
  [SMALL_STATE(9029)] = 440054,
  [SMALL_STATE(9030)] = 440091,
  [SMALL_STATE(9031)] = 440146,
  [SMALL_STATE(9032)] = 440183,
  [SMALL_STATE(9033)] = 440220,
  [SMALL_STATE(9034)] = 440275,
  [SMALL_STATE(9035)] = 440312,
  [SMALL_STATE(9036)] = 440349,
  [SMALL_STATE(9037)] = 440404,
  [SMALL_STATE(9038)] = 440459,
  [SMALL_STATE(9039)] = 440524,
  [SMALL_STATE(9040)] = 440579,
  [SMALL_STATE(9041)] = 440616,
  [SMALL_STATE(9042)] = 440653,
  [SMALL_STATE(9043)] = 440690,
  [SMALL_STATE(9044)] = 440731,
  [SMALL_STATE(9045)] = 440768,
  [SMALL_STATE(9046)] = 440807,
  [SMALL_STATE(9047)] = 440844,
  [SMALL_STATE(9048)] = 440881,
  [SMALL_STATE(9049)] = 440918,
  [SMALL_STATE(9050)] = 440955,
  [SMALL_STATE(9051)] = 440994,
  [SMALL_STATE(9052)] = 441047,
  [SMALL_STATE(9053)] = 441084,
  [SMALL_STATE(9054)] = 441121,
  [SMALL_STATE(9055)] = 441158,
  [SMALL_STATE(9056)] = 441207,
  [SMALL_STATE(9057)] = 441262,
  [SMALL_STATE(9058)] = 441299,
  [SMALL_STATE(9059)] = 441336,
  [SMALL_STATE(9060)] = 441391,
  [SMALL_STATE(9061)] = 441428,
  [SMALL_STATE(9062)] = 441465,
  [SMALL_STATE(9063)] = 441520,
  [SMALL_STATE(9064)] = 441557,
  [SMALL_STATE(9065)] = 441594,
  [SMALL_STATE(9066)] = 441631,
  [SMALL_STATE(9067)] = 441668,
  [SMALL_STATE(9068)] = 441723,
  [SMALL_STATE(9069)] = 441760,
  [SMALL_STATE(9070)] = 441797,
  [SMALL_STATE(9071)] = 441852,
  [SMALL_STATE(9072)] = 441889,
  [SMALL_STATE(9073)] = 441944,
  [SMALL_STATE(9074)] = 441981,
  [SMALL_STATE(9075)] = 442018,
  [SMALL_STATE(9076)] = 442055,
  [SMALL_STATE(9077)] = 442092,
  [SMALL_STATE(9078)] = 442129,
  [SMALL_STATE(9079)] = 442166,
  [SMALL_STATE(9080)] = 442203,
  [SMALL_STATE(9081)] = 442240,
  [SMALL_STATE(9082)] = 442295,
  [SMALL_STATE(9083)] = 442332,
  [SMALL_STATE(9084)] = 442387,
  [SMALL_STATE(9085)] = 442424,
  [SMALL_STATE(9086)] = 442461,
  [SMALL_STATE(9087)] = 442498,
  [SMALL_STATE(9088)] = 442553,
  [SMALL_STATE(9089)] = 442596,
  [SMALL_STATE(9090)] = 442635,
  [SMALL_STATE(9091)] = 442672,
  [SMALL_STATE(9092)] = 442727,
  [SMALL_STATE(9093)] = 442764,
  [SMALL_STATE(9094)] = 442801,
  [SMALL_STATE(9095)] = 442838,
  [SMALL_STATE(9096)] = 442875,
  [SMALL_STATE(9097)] = 442916,
  [SMALL_STATE(9098)] = 442965,
  [SMALL_STATE(9099)] = 443002,
  [SMALL_STATE(9100)] = 443039,
  [SMALL_STATE(9101)] = 443076,
  [SMALL_STATE(9102)] = 443117,
  [SMALL_STATE(9103)] = 443154,
  [SMALL_STATE(9104)] = 443209,
  [SMALL_STATE(9105)] = 443246,
  [SMALL_STATE(9106)] = 443283,
  [SMALL_STATE(9107)] = 443320,
  [SMALL_STATE(9108)] = 443357,
  [SMALL_STATE(9109)] = 443394,
  [SMALL_STATE(9110)] = 443431,
  [SMALL_STATE(9111)] = 443468,
  [SMALL_STATE(9112)] = 443505,
  [SMALL_STATE(9113)] = 443542,
  [SMALL_STATE(9114)] = 443579,
  [SMALL_STATE(9115)] = 443616,
  [SMALL_STATE(9116)] = 443653,
  [SMALL_STATE(9117)] = 443690,
  [SMALL_STATE(9118)] = 443727,
  [SMALL_STATE(9119)] = 443782,
  [SMALL_STATE(9120)] = 443819,
  [SMALL_STATE(9121)] = 443874,
  [SMALL_STATE(9122)] = 443929,
  [SMALL_STATE(9123)] = 443966,
  [SMALL_STATE(9124)] = 444021,
  [SMALL_STATE(9125)] = 444076,
  [SMALL_STATE(9126)] = 444113,
  [SMALL_STATE(9127)] = 444150,
  [SMALL_STATE(9128)] = 444187,
  [SMALL_STATE(9129)] = 444224,
  [SMALL_STATE(9130)] = 444279,
  [SMALL_STATE(9131)] = 444316,
  [SMALL_STATE(9132)] = 444353,
  [SMALL_STATE(9133)] = 444390,
  [SMALL_STATE(9134)] = 444427,
  [SMALL_STATE(9135)] = 444464,
  [SMALL_STATE(9136)] = 444501,
  [SMALL_STATE(9137)] = 444552,
  [SMALL_STATE(9138)] = 444589,
  [SMALL_STATE(9139)] = 444626,
  [SMALL_STATE(9140)] = 444663,
  [SMALL_STATE(9141)] = 444702,
  [SMALL_STATE(9142)] = 444741,
  [SMALL_STATE(9143)] = 444778,
  [SMALL_STATE(9144)] = 444815,
  [SMALL_STATE(9145)] = 444852,
  [SMALL_STATE(9146)] = 444889,
  [SMALL_STATE(9147)] = 444926,
  [SMALL_STATE(9148)] = 444981,
  [SMALL_STATE(9149)] = 445036,
  [SMALL_STATE(9150)] = 445073,
  [SMALL_STATE(9151)] = 445110,
  [SMALL_STATE(9152)] = 445165,
  [SMALL_STATE(9153)] = 445218,
  [SMALL_STATE(9154)] = 445259,
  [SMALL_STATE(9155)] = 445298,
  [SMALL_STATE(9156)] = 445335,
  [SMALL_STATE(9157)] = 445372,
  [SMALL_STATE(9158)] = 445409,
  [SMALL_STATE(9159)] = 445452,
  [SMALL_STATE(9160)] = 445507,
  [SMALL_STATE(9161)] = 445560,
  [SMALL_STATE(9162)] = 445597,
  [SMALL_STATE(9163)] = 445634,
  [SMALL_STATE(9164)] = 445671,
  [SMALL_STATE(9165)] = 445708,
  [SMALL_STATE(9166)] = 445749,
  [SMALL_STATE(9167)] = 445786,
  [SMALL_STATE(9168)] = 445823,
  [SMALL_STATE(9169)] = 445860,
  [SMALL_STATE(9170)] = 445897,
  [SMALL_STATE(9171)] = 445934,
  [SMALL_STATE(9172)] = 445989,
  [SMALL_STATE(9173)] = 446026,
  [SMALL_STATE(9174)] = 446063,
  [SMALL_STATE(9175)] = 446100,
  [SMALL_STATE(9176)] = 446137,
  [SMALL_STATE(9177)] = 446174,
  [SMALL_STATE(9178)] = 446213,
  [SMALL_STATE(9179)] = 446250,
  [SMALL_STATE(9180)] = 446287,
  [SMALL_STATE(9181)] = 446324,
  [SMALL_STATE(9182)] = 446361,
  [SMALL_STATE(9183)] = 446416,
  [SMALL_STATE(9184)] = 446453,
  [SMALL_STATE(9185)] = 446490,
  [SMALL_STATE(9186)] = 446529,
  [SMALL_STATE(9187)] = 446566,
  [SMALL_STATE(9188)] = 446621,
  [SMALL_STATE(9189)] = 446676,
  [SMALL_STATE(9190)] = 446713,
  [SMALL_STATE(9191)] = 446750,
  [SMALL_STATE(9192)] = 446787,
  [SMALL_STATE(9193)] = 446824,
  [SMALL_STATE(9194)] = 446861,
  [SMALL_STATE(9195)] = 446898,
  [SMALL_STATE(9196)] = 446935,
  [SMALL_STATE(9197)] = 446972,
  [SMALL_STATE(9198)] = 447009,
  [SMALL_STATE(9199)] = 447048,
  [SMALL_STATE(9200)] = 447087,
  [SMALL_STATE(9201)] = 447124,
  [SMALL_STATE(9202)] = 447161,
  [SMALL_STATE(9203)] = 447198,
  [SMALL_STATE(9204)] = 447235,
  [SMALL_STATE(9205)] = 447288,
  [SMALL_STATE(9206)] = 447327,
  [SMALL_STATE(9207)] = 447364,
  [SMALL_STATE(9208)] = 447403,
  [SMALL_STATE(9209)] = 447458,
  [SMALL_STATE(9210)] = 447513,
  [SMALL_STATE(9211)] = 447550,
  [SMALL_STATE(9212)] = 447587,
  [SMALL_STATE(9213)] = 447640,
  [SMALL_STATE(9214)] = 447677,
  [SMALL_STATE(9215)] = 447714,
  [SMALL_STATE(9216)] = 447751,
  [SMALL_STATE(9217)] = 447788,
  [SMALL_STATE(9218)] = 447825,
  [SMALL_STATE(9219)] = 447862,
  [SMALL_STATE(9220)] = 447899,
  [SMALL_STATE(9221)] = 447954,
  [SMALL_STATE(9222)] = 447999,
  [SMALL_STATE(9223)] = 448036,
  [SMALL_STATE(9224)] = 448073,
  [SMALL_STATE(9225)] = 448114,
  [SMALL_STATE(9226)] = 448169,
  [SMALL_STATE(9227)] = 448206,
  [SMALL_STATE(9228)] = 448261,
  [SMALL_STATE(9229)] = 448316,
  [SMALL_STATE(9230)] = 448357,
  [SMALL_STATE(9231)] = 448396,
  [SMALL_STATE(9232)] = 448433,
  [SMALL_STATE(9233)] = 448470,
  [SMALL_STATE(9234)] = 448525,
  [SMALL_STATE(9235)] = 448562,
  [SMALL_STATE(9236)] = 448599,
  [SMALL_STATE(9237)] = 448636,
  [SMALL_STATE(9238)] = 448673,
  [SMALL_STATE(9239)] = 448710,
  [SMALL_STATE(9240)] = 448747,
  [SMALL_STATE(9241)] = 448784,
  [SMALL_STATE(9242)] = 448821,
  [SMALL_STATE(9243)] = 448858,
  [SMALL_STATE(9244)] = 448913,
  [SMALL_STATE(9245)] = 448950,
  [SMALL_STATE(9246)] = 448987,
  [SMALL_STATE(9247)] = 449024,
  [SMALL_STATE(9248)] = 449061,
  [SMALL_STATE(9249)] = 449104,
  [SMALL_STATE(9250)] = 449141,
  [SMALL_STATE(9251)] = 449178,
  [SMALL_STATE(9252)] = 449215,
  [SMALL_STATE(9253)] = 449252,
  [SMALL_STATE(9254)] = 449307,
  [SMALL_STATE(9255)] = 449348,
  [SMALL_STATE(9256)] = 449387,
  [SMALL_STATE(9257)] = 449428,
  [SMALL_STATE(9258)] = 449465,
  [SMALL_STATE(9259)] = 449504,
  [SMALL_STATE(9260)] = 449541,
  [SMALL_STATE(9261)] = 449596,
  [SMALL_STATE(9262)] = 449633,
  [SMALL_STATE(9263)] = 449670,
  [SMALL_STATE(9264)] = 449707,
  [SMALL_STATE(9265)] = 449744,
  [SMALL_STATE(9266)] = 449793,
  [SMALL_STATE(9267)] = 449830,
  [SMALL_STATE(9268)] = 449867,
  [SMALL_STATE(9269)] = 449904,
  [SMALL_STATE(9270)] = 449941,
  [SMALL_STATE(9271)] = 449978,
  [SMALL_STATE(9272)] = 450015,
  [SMALL_STATE(9273)] = 450052,
  [SMALL_STATE(9274)] = 450107,
  [SMALL_STATE(9275)] = 450144,
  [SMALL_STATE(9276)] = 450181,
  [SMALL_STATE(9277)] = 450218,
  [SMALL_STATE(9278)] = 450271,
  [SMALL_STATE(9279)] = 450326,
  [SMALL_STATE(9280)] = 450363,
  [SMALL_STATE(9281)] = 450428,
  [SMALL_STATE(9282)] = 450483,
  [SMALL_STATE(9283)] = 450538,
  [SMALL_STATE(9284)] = 450595,
  [SMALL_STATE(9285)] = 450646,
  [SMALL_STATE(9286)] = 450689,
  [SMALL_STATE(9287)] = 450744,
  [SMALL_STATE(9288)] = 450781,
  [SMALL_STATE(9289)] = 450818,
  [SMALL_STATE(9290)] = 450873,
  [SMALL_STATE(9291)] = 450910,
  [SMALL_STATE(9292)] = 450947,
  [SMALL_STATE(9293)] = 450984,
  [SMALL_STATE(9294)] = 451039,
  [SMALL_STATE(9295)] = 451078,
  [SMALL_STATE(9296)] = 451129,
  [SMALL_STATE(9297)] = 451166,
  [SMALL_STATE(9298)] = 451203,
  [SMALL_STATE(9299)] = 451240,
  [SMALL_STATE(9300)] = 451277,
  [SMALL_STATE(9301)] = 451338,
  [SMALL_STATE(9302)] = 451375,
  [SMALL_STATE(9303)] = 451436,
  [SMALL_STATE(9304)] = 451473,
  [SMALL_STATE(9305)] = 451528,
  [SMALL_STATE(9306)] = 451581,
  [SMALL_STATE(9307)] = 451618,
  [SMALL_STATE(9308)] = 451655,
  [SMALL_STATE(9309)] = 451692,
  [SMALL_STATE(9310)] = 451737,
  [SMALL_STATE(9311)] = 451774,
  [SMALL_STATE(9312)] = 451811,
  [SMALL_STATE(9313)] = 451866,
  [SMALL_STATE(9314)] = 451903,
  [SMALL_STATE(9315)] = 451958,
  [SMALL_STATE(9316)] = 451995,
  [SMALL_STATE(9317)] = 452050,
  [SMALL_STATE(9318)] = 452087,
  [SMALL_STATE(9319)] = 452124,
  [SMALL_STATE(9320)] = 452179,
  [SMALL_STATE(9321)] = 452216,
  [SMALL_STATE(9322)] = 452253,
  [SMALL_STATE(9323)] = 452290,
  [SMALL_STATE(9324)] = 452327,
  [SMALL_STATE(9325)] = 452364,
  [SMALL_STATE(9326)] = 452401,
  [SMALL_STATE(9327)] = 452438,
  [SMALL_STATE(9328)] = 452475,
  [SMALL_STATE(9329)] = 452512,
  [SMALL_STATE(9330)] = 452549,
  [SMALL_STATE(9331)] = 452586,
  [SMALL_STATE(9332)] = 452623,
  [SMALL_STATE(9333)] = 452660,
  [SMALL_STATE(9334)] = 452715,
  [SMALL_STATE(9335)] = 452752,
  [SMALL_STATE(9336)] = 452789,
  [SMALL_STATE(9337)] = 452826,
  [SMALL_STATE(9338)] = 452863,
  [SMALL_STATE(9339)] = 452904,
  [SMALL_STATE(9340)] = 452941,
  [SMALL_STATE(9341)] = 452982,
  [SMALL_STATE(9342)] = 453019,
  [SMALL_STATE(9343)] = 453056,
  [SMALL_STATE(9344)] = 453093,
  [SMALL_STATE(9345)] = 453130,
  [SMALL_STATE(9346)] = 453185,
  [SMALL_STATE(9347)] = 453222,
  [SMALL_STATE(9348)] = 453259,
  [SMALL_STATE(9349)] = 453300,
  [SMALL_STATE(9350)] = 453337,
  [SMALL_STATE(9351)] = 453374,
  [SMALL_STATE(9352)] = 453411,
  [SMALL_STATE(9353)] = 453448,
  [SMALL_STATE(9354)] = 453485,
  [SMALL_STATE(9355)] = 453540,
  [SMALL_STATE(9356)] = 453579,
  [SMALL_STATE(9357)] = 453616,
  [SMALL_STATE(9358)] = 453653,
  [SMALL_STATE(9359)] = 453708,
  [SMALL_STATE(9360)] = 453763,
  [SMALL_STATE(9361)] = 453818,
  [SMALL_STATE(9362)] = 453873,
  [SMALL_STATE(9363)] = 453910,
  [SMALL_STATE(9364)] = 453951,
  [SMALL_STATE(9365)] = 453988,
  [SMALL_STATE(9366)] = 454025,
  [SMALL_STATE(9367)] = 454062,
  [SMALL_STATE(9368)] = 454099,
  [SMALL_STATE(9369)] = 454136,
  [SMALL_STATE(9370)] = 454191,
  [SMALL_STATE(9371)] = 454228,
  [SMALL_STATE(9372)] = 454267,
  [SMALL_STATE(9373)] = 454322,
  [SMALL_STATE(9374)] = 454359,
  [SMALL_STATE(9375)] = 454396,
  [SMALL_STATE(9376)] = 454451,
  [SMALL_STATE(9377)] = 454488,
  [SMALL_STATE(9378)] = 454525,
  [SMALL_STATE(9379)] = 454580,
  [SMALL_STATE(9380)] = 454617,
  [SMALL_STATE(9381)] = 454654,
  [SMALL_STATE(9382)] = 454691,
  [SMALL_STATE(9383)] = 454728,
  [SMALL_STATE(9384)] = 454783,
  [SMALL_STATE(9385)] = 454838,
  [SMALL_STATE(9386)] = 454879,
  [SMALL_STATE(9387)] = 454916,
  [SMALL_STATE(9388)] = 454953,
  [SMALL_STATE(9389)] = 454990,
  [SMALL_STATE(9390)] = 455027,
  [SMALL_STATE(9391)] = 455064,
  [SMALL_STATE(9392)] = 455115,
  [SMALL_STATE(9393)] = 455170,
  [SMALL_STATE(9394)] = 455207,
  [SMALL_STATE(9395)] = 455244,
  [SMALL_STATE(9396)] = 455281,
  [SMALL_STATE(9397)] = 455318,
  [SMALL_STATE(9398)] = 455355,
  [SMALL_STATE(9399)] = 455392,
  [SMALL_STATE(9400)] = 455429,
  [SMALL_STATE(9401)] = 455466,
  [SMALL_STATE(9402)] = 455521,
  [SMALL_STATE(9403)] = 455558,
  [SMALL_STATE(9404)] = 455613,
  [SMALL_STATE(9405)] = 455650,
  [SMALL_STATE(9406)] = 455687,
  [SMALL_STATE(9407)] = 455742,
  [SMALL_STATE(9408)] = 455797,
  [SMALL_STATE(9409)] = 455836,
  [SMALL_STATE(9410)] = 455873,
  [SMALL_STATE(9411)] = 455916,
  [SMALL_STATE(9412)] = 455971,
  [SMALL_STATE(9413)] = 456026,
  [SMALL_STATE(9414)] = 456081,
  [SMALL_STATE(9415)] = 456118,
  [SMALL_STATE(9416)] = 456173,
  [SMALL_STATE(9417)] = 456210,
  [SMALL_STATE(9418)] = 456247,
  [SMALL_STATE(9419)] = 456302,
  [SMALL_STATE(9420)] = 456345,
  [SMALL_STATE(9421)] = 456382,
  [SMALL_STATE(9422)] = 456419,
  [SMALL_STATE(9423)] = 456456,
  [SMALL_STATE(9424)] = 456493,
  [SMALL_STATE(9425)] = 456546,
  [SMALL_STATE(9426)] = 456585,
  [SMALL_STATE(9427)] = 456640,
  [SMALL_STATE(9428)] = 456679,
  [SMALL_STATE(9429)] = 456716,
  [SMALL_STATE(9430)] = 456753,
  [SMALL_STATE(9431)] = 456790,
  [SMALL_STATE(9432)] = 456827,
  [SMALL_STATE(9433)] = 456864,
  [SMALL_STATE(9434)] = 456901,
  [SMALL_STATE(9435)] = 456940,
  [SMALL_STATE(9436)] = 456977,
  [SMALL_STATE(9437)] = 457014,
  [SMALL_STATE(9438)] = 457069,
  [SMALL_STATE(9439)] = 457106,
  [SMALL_STATE(9440)] = 457143,
  [SMALL_STATE(9441)] = 457180,
  [SMALL_STATE(9442)] = 457221,
  [SMALL_STATE(9443)] = 457272,
  [SMALL_STATE(9444)] = 457309,
  [SMALL_STATE(9445)] = 457364,
  [SMALL_STATE(9446)] = 457403,
  [SMALL_STATE(9447)] = 457458,
  [SMALL_STATE(9448)] = 457501,
  [SMALL_STATE(9449)] = 457556,
  [SMALL_STATE(9450)] = 457593,
  [SMALL_STATE(9451)] = 457630,
  [SMALL_STATE(9452)] = 457667,
  [SMALL_STATE(9453)] = 457704,
  [SMALL_STATE(9454)] = 457759,
  [SMALL_STATE(9455)] = 457796,
  [SMALL_STATE(9456)] = 457839,
  [SMALL_STATE(9457)] = 457894,
  [SMALL_STATE(9458)] = 457931,
  [SMALL_STATE(9459)] = 457986,
  [SMALL_STATE(9460)] = 458023,
  [SMALL_STATE(9461)] = 458060,
  [SMALL_STATE(9462)] = 458097,
  [SMALL_STATE(9463)] = 458134,
  [SMALL_STATE(9464)] = 458173,
  [SMALL_STATE(9465)] = 458210,
  [SMALL_STATE(9466)] = 458247,
  [SMALL_STATE(9467)] = 458284,
  [SMALL_STATE(9468)] = 458321,
  [SMALL_STATE(9469)] = 458358,
  [SMALL_STATE(9470)] = 458413,
  [SMALL_STATE(9471)] = 458450,
  [SMALL_STATE(9472)] = 458491,
  [SMALL_STATE(9473)] = 458528,
  [SMALL_STATE(9474)] = 458571,
  [SMALL_STATE(9475)] = 458608,
  [SMALL_STATE(9476)] = 458645,
  [SMALL_STATE(9477)] = 458682,
  [SMALL_STATE(9478)] = 458721,
  [SMALL_STATE(9479)] = 458758,
  [SMALL_STATE(9480)] = 458795,
  [SMALL_STATE(9481)] = 458832,
  [SMALL_STATE(9482)] = 458869,
  [SMALL_STATE(9483)] = 458912,
  [SMALL_STATE(9484)] = 458967,
  [SMALL_STATE(9485)] = 459004,
  [SMALL_STATE(9486)] = 459041,
  [SMALL_STATE(9487)] = 459078,
  [SMALL_STATE(9488)] = 459133,
  [SMALL_STATE(9489)] = 459188,
  [SMALL_STATE(9490)] = 459225,
  [SMALL_STATE(9491)] = 459262,
  [SMALL_STATE(9492)] = 459299,
  [SMALL_STATE(9493)] = 459338,
  [SMALL_STATE(9494)] = 459393,
  [SMALL_STATE(9495)] = 459430,
  [SMALL_STATE(9496)] = 459467,
  [SMALL_STATE(9497)] = 459504,
  [SMALL_STATE(9498)] = 459541,
  [SMALL_STATE(9499)] = 459578,
  [SMALL_STATE(9500)] = 459615,
  [SMALL_STATE(9501)] = 459652,
  [SMALL_STATE(9502)] = 459689,
  [SMALL_STATE(9503)] = 459732,
  [SMALL_STATE(9504)] = 459769,
  [SMALL_STATE(9505)] = 459824,
  [SMALL_STATE(9506)] = 459861,
  [SMALL_STATE(9507)] = 459898,
  [SMALL_STATE(9508)] = 459951,
  [SMALL_STATE(9509)] = 459988,
  [SMALL_STATE(9510)] = 460025,
  [SMALL_STATE(9511)] = 460062,
  [SMALL_STATE(9512)] = 460099,
  [SMALL_STATE(9513)] = 460136,
  [SMALL_STATE(9514)] = 460173,
  [SMALL_STATE(9515)] = 460210,
  [SMALL_STATE(9516)] = 460265,
  [SMALL_STATE(9517)] = 460302,
  [SMALL_STATE(9518)] = 460339,
  [SMALL_STATE(9519)] = 460376,
  [SMALL_STATE(9520)] = 460413,
  [SMALL_STATE(9521)] = 460450,
  [SMALL_STATE(9522)] = 460487,
  [SMALL_STATE(9523)] = 460524,
  [SMALL_STATE(9524)] = 460579,
  [SMALL_STATE(9525)] = 460616,
  [SMALL_STATE(9526)] = 460653,
  [SMALL_STATE(9527)] = 460690,
  [SMALL_STATE(9528)] = 460745,
  [SMALL_STATE(9529)] = 460800,
  [SMALL_STATE(9530)] = 460855,
  [SMALL_STATE(9531)] = 460894,
  [SMALL_STATE(9532)] = 460949,
  [SMALL_STATE(9533)] = 460988,
  [SMALL_STATE(9534)] = 461025,
  [SMALL_STATE(9535)] = 461062,
  [SMALL_STATE(9536)] = 461099,
  [SMALL_STATE(9537)] = 461136,
  [SMALL_STATE(9538)] = 461173,
  [SMALL_STATE(9539)] = 461228,
  [SMALL_STATE(9540)] = 461265,
  [SMALL_STATE(9541)] = 461320,
  [SMALL_STATE(9542)] = 461357,
  [SMALL_STATE(9543)] = 461394,
  [SMALL_STATE(9544)] = 461449,
  [SMALL_STATE(9545)] = 461504,
  [SMALL_STATE(9546)] = 461541,
  [SMALL_STATE(9547)] = 461578,
  [SMALL_STATE(9548)] = 461633,
  [SMALL_STATE(9549)] = 461670,
  [SMALL_STATE(9550)] = 461707,
  [SMALL_STATE(9551)] = 461744,
  [SMALL_STATE(9552)] = 461781,
  [SMALL_STATE(9553)] = 461818,
  [SMALL_STATE(9554)] = 461855,
  [SMALL_STATE(9555)] = 461894,
  [SMALL_STATE(9556)] = 461931,
  [SMALL_STATE(9557)] = 461968,
  [SMALL_STATE(9558)] = 462005,
  [SMALL_STATE(9559)] = 462060,
  [SMALL_STATE(9560)] = 462115,
  [SMALL_STATE(9561)] = 462168,
  [SMALL_STATE(9562)] = 462205,
  [SMALL_STATE(9563)] = 462242,
  [SMALL_STATE(9564)] = 462297,
  [SMALL_STATE(9565)] = 462334,
  [SMALL_STATE(9566)] = 462377,
  [SMALL_STATE(9567)] = 462414,
  [SMALL_STATE(9568)] = 462453,
  [SMALL_STATE(9569)] = 462496,
  [SMALL_STATE(9570)] = 462533,
  [SMALL_STATE(9571)] = 462570,
  [SMALL_STATE(9572)] = 462625,
  [SMALL_STATE(9573)] = 462662,
  [SMALL_STATE(9574)] = 462699,
  [SMALL_STATE(9575)] = 462736,
  [SMALL_STATE(9576)] = 462773,
  [SMALL_STATE(9577)] = 462828,
  [SMALL_STATE(9578)] = 462865,
  [SMALL_STATE(9579)] = 462902,
  [SMALL_STATE(9580)] = 462948,
  [SMALL_STATE(9581)] = 462984,
  [SMALL_STATE(9582)] = 463020,
  [SMALL_STATE(9583)] = 463072,
  [SMALL_STATE(9584)] = 463108,
  [SMALL_STATE(9585)] = 463144,
  [SMALL_STATE(9586)] = 463180,
  [SMALL_STATE(9587)] = 463216,
  [SMALL_STATE(9588)] = 463252,
  [SMALL_STATE(9589)] = 463288,
  [SMALL_STATE(9590)] = 463324,
  [SMALL_STATE(9591)] = 463360,
  [SMALL_STATE(9592)] = 463396,
  [SMALL_STATE(9593)] = 463434,
  [SMALL_STATE(9594)] = 463470,
  [SMALL_STATE(9595)] = 463508,
  [SMALL_STATE(9596)] = 463544,
  [SMALL_STATE(9597)] = 463580,
  [SMALL_STATE(9598)] = 463616,
  [SMALL_STATE(9599)] = 463652,
  [SMALL_STATE(9600)] = 463688,
  [SMALL_STATE(9601)] = 463724,
  [SMALL_STATE(9602)] = 463760,
  [SMALL_STATE(9603)] = 463796,
  [SMALL_STATE(9604)] = 463832,
  [SMALL_STATE(9605)] = 463868,
  [SMALL_STATE(9606)] = 463904,
  [SMALL_STATE(9607)] = 463940,
  [SMALL_STATE(9608)] = 463976,
  [SMALL_STATE(9609)] = 464012,
  [SMALL_STATE(9610)] = 464048,
  [SMALL_STATE(9611)] = 464084,
  [SMALL_STATE(9612)] = 464120,
  [SMALL_STATE(9613)] = 464156,
  [SMALL_STATE(9614)] = 464192,
  [SMALL_STATE(9615)] = 464228,
  [SMALL_STATE(9616)] = 464264,
  [SMALL_STATE(9617)] = 464314,
  [SMALL_STATE(9618)] = 464350,
  [SMALL_STATE(9619)] = 464386,
  [SMALL_STATE(9620)] = 464424,
  [SMALL_STATE(9621)] = 464476,
  [SMALL_STATE(9622)] = 464512,
  [SMALL_STATE(9623)] = 464548,
  [SMALL_STATE(9624)] = 464600,
  [SMALL_STATE(9625)] = 464636,
  [SMALL_STATE(9626)] = 464672,
  [SMALL_STATE(9627)] = 464708,
  [SMALL_STATE(9628)] = 464746,
  [SMALL_STATE(9629)] = 464782,
  [SMALL_STATE(9630)] = 464818,
  [SMALL_STATE(9631)] = 464854,
  [SMALL_STATE(9632)] = 464890,
  [SMALL_STATE(9633)] = 464926,
  [SMALL_STATE(9634)] = 464962,
  [SMALL_STATE(9635)] = 464998,
  [SMALL_STATE(9636)] = 465034,
  [SMALL_STATE(9637)] = 465070,
  [SMALL_STATE(9638)] = 465106,
  [SMALL_STATE(9639)] = 465142,
  [SMALL_STATE(9640)] = 465178,
  [SMALL_STATE(9641)] = 465214,
  [SMALL_STATE(9642)] = 465250,
  [SMALL_STATE(9643)] = 465286,
  [SMALL_STATE(9644)] = 465322,
  [SMALL_STATE(9645)] = 465358,
  [SMALL_STATE(9646)] = 465394,
  [SMALL_STATE(9647)] = 465432,
  [SMALL_STATE(9648)] = 465478,
  [SMALL_STATE(9649)] = 465524,
  [SMALL_STATE(9650)] = 465560,
  [SMALL_STATE(9651)] = 465596,
  [SMALL_STATE(9652)] = 465632,
  [SMALL_STATE(9653)] = 465668,
  [SMALL_STATE(9654)] = 465704,
  [SMALL_STATE(9655)] = 465740,
  [SMALL_STATE(9656)] = 465780,
  [SMALL_STATE(9657)] = 465816,
  [SMALL_STATE(9658)] = 465852,
  [SMALL_STATE(9659)] = 465888,
  [SMALL_STATE(9660)] = 465924,
  [SMALL_STATE(9661)] = 465964,
  [SMALL_STATE(9662)] = 466000,
  [SMALL_STATE(9663)] = 466036,
  [SMALL_STATE(9664)] = 466072,
  [SMALL_STATE(9665)] = 466108,
  [SMALL_STATE(9666)] = 466154,
  [SMALL_STATE(9667)] = 466190,
  [SMALL_STATE(9668)] = 466226,
  [SMALL_STATE(9669)] = 466262,
  [SMALL_STATE(9670)] = 466298,
  [SMALL_STATE(9671)] = 466334,
  [SMALL_STATE(9672)] = 466370,
  [SMALL_STATE(9673)] = 466412,
  [SMALL_STATE(9674)] = 466448,
  [SMALL_STATE(9675)] = 466484,
  [SMALL_STATE(9676)] = 466520,
  [SMALL_STATE(9677)] = 466556,
  [SMALL_STATE(9678)] = 466592,
  [SMALL_STATE(9679)] = 466628,
  [SMALL_STATE(9680)] = 466664,
  [SMALL_STATE(9681)] = 466700,
  [SMALL_STATE(9682)] = 466736,
  [SMALL_STATE(9683)] = 466772,
  [SMALL_STATE(9684)] = 466808,
  [SMALL_STATE(9685)] = 466844,
  [SMALL_STATE(9686)] = 466882,
  [SMALL_STATE(9687)] = 466932,
  [SMALL_STATE(9688)] = 466984,
  [SMALL_STATE(9689)] = 467020,
  [SMALL_STATE(9690)] = 467056,
  [SMALL_STATE(9691)] = 467092,
  [SMALL_STATE(9692)] = 467128,
  [SMALL_STATE(9693)] = 467164,
  [SMALL_STATE(9694)] = 467200,
  [SMALL_STATE(9695)] = 467240,
  [SMALL_STATE(9696)] = 467276,
  [SMALL_STATE(9697)] = 467312,
  [SMALL_STATE(9698)] = 467348,
  [SMALL_STATE(9699)] = 467384,
  [SMALL_STATE(9700)] = 467420,
  [SMALL_STATE(9701)] = 467456,
  [SMALL_STATE(9702)] = 467492,
  [SMALL_STATE(9703)] = 467528,
  [SMALL_STATE(9704)] = 467564,
  [SMALL_STATE(9705)] = 467600,
  [SMALL_STATE(9706)] = 467636,
  [SMALL_STATE(9707)] = 467678,
  [SMALL_STATE(9708)] = 467714,
  [SMALL_STATE(9709)] = 467750,
  [SMALL_STATE(9710)] = 467796,
  [SMALL_STATE(9711)] = 467832,
  [SMALL_STATE(9712)] = 467868,
  [SMALL_STATE(9713)] = 467904,
  [SMALL_STATE(9714)] = 467940,
  [SMALL_STATE(9715)] = 467980,
  [SMALL_STATE(9716)] = 468018,
  [SMALL_STATE(9717)] = 468068,
  [SMALL_STATE(9718)] = 468104,
  [SMALL_STATE(9719)] = 468140,
  [SMALL_STATE(9720)] = 468176,
  [SMALL_STATE(9721)] = 468212,
  [SMALL_STATE(9722)] = 468248,
  [SMALL_STATE(9723)] = 468284,
  [SMALL_STATE(9724)] = 468324,
  [SMALL_STATE(9725)] = 468360,
  [SMALL_STATE(9726)] = 468396,
  [SMALL_STATE(9727)] = 468432,
  [SMALL_STATE(9728)] = 468468,
  [SMALL_STATE(9729)] = 468504,
  [SMALL_STATE(9730)] = 468540,
  [SMALL_STATE(9731)] = 468576,
  [SMALL_STATE(9732)] = 468612,
  [SMALL_STATE(9733)] = 468658,
  [SMALL_STATE(9734)] = 468694,
  [SMALL_STATE(9735)] = 468730,
  [SMALL_STATE(9736)] = 468766,
  [SMALL_STATE(9737)] = 468808,
  [SMALL_STATE(9738)] = 468848,
  [SMALL_STATE(9739)] = 468884,
  [SMALL_STATE(9740)] = 468920,
  [SMALL_STATE(9741)] = 468970,
  [SMALL_STATE(9742)] = 469006,
  [SMALL_STATE(9743)] = 469042,
  [SMALL_STATE(9744)] = 469078,
  [SMALL_STATE(9745)] = 469114,
  [SMALL_STATE(9746)] = 469150,
  [SMALL_STATE(9747)] = 469202,
  [SMALL_STATE(9748)] = 469238,
  [SMALL_STATE(9749)] = 469274,
  [SMALL_STATE(9750)] = 469310,
  [SMALL_STATE(9751)] = 469346,
  [SMALL_STATE(9752)] = 469382,
  [SMALL_STATE(9753)] = 469420,
  [SMALL_STATE(9754)] = 469462,
  [SMALL_STATE(9755)] = 469498,
  [SMALL_STATE(9756)] = 469534,
  [SMALL_STATE(9757)] = 469580,
  [SMALL_STATE(9758)] = 469616,
  [SMALL_STATE(9759)] = 469652,
  [SMALL_STATE(9760)] = 469688,
  [SMALL_STATE(9761)] = 469724,
  [SMALL_STATE(9762)] = 469760,
  [SMALL_STATE(9763)] = 469796,
  [SMALL_STATE(9764)] = 469832,
  [SMALL_STATE(9765)] = 469878,
  [SMALL_STATE(9766)] = 469914,
  [SMALL_STATE(9767)] = 469950,
  [SMALL_STATE(9768)] = 469986,
  [SMALL_STATE(9769)] = 470022,
  [SMALL_STATE(9770)] = 470058,
  [SMALL_STATE(9771)] = 470094,
  [SMALL_STATE(9772)] = 470136,
  [SMALL_STATE(9773)] = 470172,
  [SMALL_STATE(9774)] = 470208,
  [SMALL_STATE(9775)] = 470258,
  [SMALL_STATE(9776)] = 470310,
  [SMALL_STATE(9777)] = 470346,
  [SMALL_STATE(9778)] = 470382,
  [SMALL_STATE(9779)] = 470418,
  [SMALL_STATE(9780)] = 470454,
  [SMALL_STATE(9781)] = 470490,
  [SMALL_STATE(9782)] = 470526,
  [SMALL_STATE(9783)] = 470566,
  [SMALL_STATE(9784)] = 470602,
  [SMALL_STATE(9785)] = 470640,
  [SMALL_STATE(9786)] = 470682,
  [SMALL_STATE(9787)] = 470732,
  [SMALL_STATE(9788)] = 470768,
  [SMALL_STATE(9789)] = 470814,
  [SMALL_STATE(9790)] = 470850,
  [SMALL_STATE(9791)] = 470896,
  [SMALL_STATE(9792)] = 470936,
  [SMALL_STATE(9793)] = 470976,
  [SMALL_STATE(9794)] = 471012,
  [SMALL_STATE(9795)] = 471048,
  [SMALL_STATE(9796)] = 471084,
  [SMALL_STATE(9797)] = 471122,
  [SMALL_STATE(9798)] = 471158,
  [SMALL_STATE(9799)] = 471194,
  [SMALL_STATE(9800)] = 471230,
  [SMALL_STATE(9801)] = 471266,
  [SMALL_STATE(9802)] = 471302,
  [SMALL_STATE(9803)] = 471338,
  [SMALL_STATE(9804)] = 471380,
  [SMALL_STATE(9805)] = 471418,
  [SMALL_STATE(9806)] = 471454,
  [SMALL_STATE(9807)] = 471490,
  [SMALL_STATE(9808)] = 471526,
  [SMALL_STATE(9809)] = 471562,
  [SMALL_STATE(9810)] = 471598,
  [SMALL_STATE(9811)] = 471636,
  [SMALL_STATE(9812)] = 471672,
  [SMALL_STATE(9813)] = 471708,
  [SMALL_STATE(9814)] = 471760,
  [SMALL_STATE(9815)] = 471806,
  [SMALL_STATE(9816)] = 471842,
  [SMALL_STATE(9817)] = 471878,
  [SMALL_STATE(9818)] = 471914,
  [SMALL_STATE(9819)] = 471956,
  [SMALL_STATE(9820)] = 471998,
  [SMALL_STATE(9821)] = 472034,
  [SMALL_STATE(9822)] = 472070,
  [SMALL_STATE(9823)] = 472108,
  [SMALL_STATE(9824)] = 472150,
  [SMALL_STATE(9825)] = 472186,
  [SMALL_STATE(9826)] = 472222,
  [SMALL_STATE(9827)] = 472264,
  [SMALL_STATE(9828)] = 472300,
  [SMALL_STATE(9829)] = 472336,
  [SMALL_STATE(9830)] = 472372,
  [SMALL_STATE(9831)] = 472408,
  [SMALL_STATE(9832)] = 472444,
  [SMALL_STATE(9833)] = 472480,
  [SMALL_STATE(9834)] = 472532,
  [SMALL_STATE(9835)] = 472584,
  [SMALL_STATE(9836)] = 472620,
  [SMALL_STATE(9837)] = 472656,
  [SMALL_STATE(9838)] = 472692,
  [SMALL_STATE(9839)] = 472742,
  [SMALL_STATE(9840)] = 472778,
  [SMALL_STATE(9841)] = 472816,
  [SMALL_STATE(9842)] = 472852,
  [SMALL_STATE(9843)] = 472898,
  [SMALL_STATE(9844)] = 472950,
  [SMALL_STATE(9845)] = 472986,
  [SMALL_STATE(9846)] = 473022,
  [SMALL_STATE(9847)] = 473062,
  [SMALL_STATE(9848)] = 473102,
  [SMALL_STATE(9849)] = 473138,
  [SMALL_STATE(9850)] = 473174,
  [SMALL_STATE(9851)] = 473224,
  [SMALL_STATE(9852)] = 473260,
  [SMALL_STATE(9853)] = 473300,
  [SMALL_STATE(9854)] = 473336,
  [SMALL_STATE(9855)] = 473372,
  [SMALL_STATE(9856)] = 473408,
  [SMALL_STATE(9857)] = 473446,
  [SMALL_STATE(9858)] = 473482,
  [SMALL_STATE(9859)] = 473518,
  [SMALL_STATE(9860)] = 473554,
  [SMALL_STATE(9861)] = 473606,
  [SMALL_STATE(9862)] = 473642,
  [SMALL_STATE(9863)] = 473678,
  [SMALL_STATE(9864)] = 473730,
  [SMALL_STATE(9865)] = 473770,
  [SMALL_STATE(9866)] = 473804,
  [SMALL_STATE(9867)] = 473840,
  [SMALL_STATE(9868)] = 473876,
  [SMALL_STATE(9869)] = 473928,
  [SMALL_STATE(9870)] = 473980,
  [SMALL_STATE(9871)] = 474030,
  [SMALL_STATE(9872)] = 474066,
  [SMALL_STATE(9873)] = 474102,
  [SMALL_STATE(9874)] = 474144,
  [SMALL_STATE(9875)] = 474180,
  [SMALL_STATE(9876)] = 474226,
  [SMALL_STATE(9877)] = 474262,
  [SMALL_STATE(9878)] = 474298,
  [SMALL_STATE(9879)] = 474334,
  [SMALL_STATE(9880)] = 474370,
  [SMALL_STATE(9881)] = 474406,
  [SMALL_STATE(9882)] = 474442,
  [SMALL_STATE(9883)] = 474478,
  [SMALL_STATE(9884)] = 474514,
  [SMALL_STATE(9885)] = 474556,
  [SMALL_STATE(9886)] = 474592,
  [SMALL_STATE(9887)] = 474630,
  [SMALL_STATE(9888)] = 474666,
  [SMALL_STATE(9889)] = 474702,
  [SMALL_STATE(9890)] = 474738,
  [SMALL_STATE(9891)] = 474788,
  [SMALL_STATE(9892)] = 474824,
  [SMALL_STATE(9893)] = 474860,
  [SMALL_STATE(9894)] = 474896,
  [SMALL_STATE(9895)] = 474932,
  [SMALL_STATE(9896)] = 474978,
  [SMALL_STATE(9897)] = 475014,
  [SMALL_STATE(9898)] = 475050,
  [SMALL_STATE(9899)] = 475090,
  [SMALL_STATE(9900)] = 475126,
  [SMALL_STATE(9901)] = 475166,
  [SMALL_STATE(9902)] = 475202,
  [SMALL_STATE(9903)] = 475238,
  [SMALL_STATE(9904)] = 475274,
  [SMALL_STATE(9905)] = 475310,
  [SMALL_STATE(9906)] = 475350,
  [SMALL_STATE(9907)] = 475386,
  [SMALL_STATE(9908)] = 475422,
  [SMALL_STATE(9909)] = 475458,
  [SMALL_STATE(9910)] = 475498,
  [SMALL_STATE(9911)] = 475534,
  [SMALL_STATE(9912)] = 475570,
  [SMALL_STATE(9913)] = 475606,
  [SMALL_STATE(9914)] = 475642,
  [SMALL_STATE(9915)] = 475678,
  [SMALL_STATE(9916)] = 475714,
  [SMALL_STATE(9917)] = 475760,
  [SMALL_STATE(9918)] = 475806,
  [SMALL_STATE(9919)] = 475842,
  [SMALL_STATE(9920)] = 475878,
  [SMALL_STATE(9921)] = 475936,
  [SMALL_STATE(9922)] = 475972,
  [SMALL_STATE(9923)] = 476008,
  [SMALL_STATE(9924)] = 476044,
  [SMALL_STATE(9925)] = 476080,
  [SMALL_STATE(9926)] = 476126,
  [SMALL_STATE(9927)] = 476162,
  [SMALL_STATE(9928)] = 476198,
  [SMALL_STATE(9929)] = 476236,
  [SMALL_STATE(9930)] = 476272,
  [SMALL_STATE(9931)] = 476308,
  [SMALL_STATE(9932)] = 476344,
  [SMALL_STATE(9933)] = 476380,
  [SMALL_STATE(9934)] = 476416,
  [SMALL_STATE(9935)] = 476452,
  [SMALL_STATE(9936)] = 476488,
  [SMALL_STATE(9937)] = 476524,
  [SMALL_STATE(9938)] = 476570,
  [SMALL_STATE(9939)] = 476606,
  [SMALL_STATE(9940)] = 476644,
  [SMALL_STATE(9941)] = 476686,
  [SMALL_STATE(9942)] = 476722,
  [SMALL_STATE(9943)] = 476758,
  [SMALL_STATE(9944)] = 476798,
  [SMALL_STATE(9945)] = 476834,
  [SMALL_STATE(9946)] = 476876,
  [SMALL_STATE(9947)] = 476912,
  [SMALL_STATE(9948)] = 476948,
  [SMALL_STATE(9949)] = 476984,
  [SMALL_STATE(9950)] = 477020,
  [SMALL_STATE(9951)] = 477056,
  [SMALL_STATE(9952)] = 477092,
  [SMALL_STATE(9953)] = 477128,
  [SMALL_STATE(9954)] = 477164,
  [SMALL_STATE(9955)] = 477200,
  [SMALL_STATE(9956)] = 477236,
  [SMALL_STATE(9957)] = 477272,
  [SMALL_STATE(9958)] = 477318,
  [SMALL_STATE(9959)] = 477354,
  [SMALL_STATE(9960)] = 477390,
  [SMALL_STATE(9961)] = 477426,
  [SMALL_STATE(9962)] = 477462,
  [SMALL_STATE(9963)] = 477498,
  [SMALL_STATE(9964)] = 477536,
  [SMALL_STATE(9965)] = 477578,
  [SMALL_STATE(9966)] = 477630,
  [SMALL_STATE(9967)] = 477666,
  [SMALL_STATE(9968)] = 477702,
  [SMALL_STATE(9969)] = 477738,
  [SMALL_STATE(9970)] = 477774,
  [SMALL_STATE(9971)] = 477810,
  [SMALL_STATE(9972)] = 477848,
  [SMALL_STATE(9973)] = 477894,
  [SMALL_STATE(9974)] = 477930,
  [SMALL_STATE(9975)] = 477966,
  [SMALL_STATE(9976)] = 478002,
  [SMALL_STATE(9977)] = 478038,
  [SMALL_STATE(9978)] = 478074,
  [SMALL_STATE(9979)] = 478110,
  [SMALL_STATE(9980)] = 478162,
  [SMALL_STATE(9981)] = 478198,
  [SMALL_STATE(9982)] = 478240,
  [SMALL_STATE(9983)] = 478276,
  [SMALL_STATE(9984)] = 478316,
  [SMALL_STATE(9985)] = 478354,
  [SMALL_STATE(9986)] = 478390,
  [SMALL_STATE(9987)] = 478426,
  [SMALL_STATE(9988)] = 478462,
  [SMALL_STATE(9989)] = 478514,
  [SMALL_STATE(9990)] = 478550,
  [SMALL_STATE(9991)] = 478586,
  [SMALL_STATE(9992)] = 478622,
  [SMALL_STATE(9993)] = 478660,
  [SMALL_STATE(9994)] = 478696,
  [SMALL_STATE(9995)] = 478732,
  [SMALL_STATE(9996)] = 478768,
  [SMALL_STATE(9997)] = 478804,
  [SMALL_STATE(9998)] = 478842,
  [SMALL_STATE(9999)] = 478878,
  [SMALL_STATE(10000)] = 478914,
  [SMALL_STATE(10001)] = 478952,
  [SMALL_STATE(10002)] = 478988,
  [SMALL_STATE(10003)] = 479023,
  [SMALL_STATE(10004)] = 479058,
  [SMALL_STATE(10005)] = 479093,
  [SMALL_STATE(10006)] = 479154,
  [SMALL_STATE(10007)] = 479203,
  [SMALL_STATE(10008)] = 479254,
  [SMALL_STATE(10009)] = 479289,
  [SMALL_STATE(10010)] = 479324,
  [SMALL_STATE(10011)] = 479367,
  [SMALL_STATE(10012)] = 479402,
  [SMALL_STATE(10013)] = 479443,
  [SMALL_STATE(10014)] = 479480,
  [SMALL_STATE(10015)] = 479515,
  [SMALL_STATE(10016)] = 479550,
  [SMALL_STATE(10017)] = 479585,
  [SMALL_STATE(10018)] = 479620,
  [SMALL_STATE(10019)] = 479655,
  [SMALL_STATE(10020)] = 479690,
  [SMALL_STATE(10021)] = 479725,
  [SMALL_STATE(10022)] = 479764,
  [SMALL_STATE(10023)] = 479817,
  [SMALL_STATE(10024)] = 479852,
  [SMALL_STATE(10025)] = 479891,
  [SMALL_STATE(10026)] = 479926,
  [SMALL_STATE(10027)] = 479963,
  [SMALL_STATE(10028)] = 479998,
  [SMALL_STATE(10029)] = 480033,
  [SMALL_STATE(10030)] = 480074,
  [SMALL_STATE(10031)] = 480113,
  [SMALL_STATE(10032)] = 480148,
  [SMALL_STATE(10033)] = 480183,
  [SMALL_STATE(10034)] = 480234,
  [SMALL_STATE(10035)] = 480269,
  [SMALL_STATE(10036)] = 480304,
  [SMALL_STATE(10037)] = 480339,
  [SMALL_STATE(10038)] = 480378,
  [SMALL_STATE(10039)] = 480413,
  [SMALL_STATE(10040)] = 480448,
  [SMALL_STATE(10041)] = 480483,
  [SMALL_STATE(10042)] = 480524,
  [SMALL_STATE(10043)] = 480565,
  [SMALL_STATE(10044)] = 480600,
  [SMALL_STATE(10045)] = 480635,
  [SMALL_STATE(10046)] = 480670,
  [SMALL_STATE(10047)] = 480705,
  [SMALL_STATE(10048)] = 480744,
  [SMALL_STATE(10049)] = 480805,
  [SMALL_STATE(10050)] = 480840,
  [SMALL_STATE(10051)] = 480881,
  [SMALL_STATE(10052)] = 480922,
  [SMALL_STATE(10053)] = 480961,
  [SMALL_STATE(10054)] = 480996,
  [SMALL_STATE(10055)] = 481031,
  [SMALL_STATE(10056)] = 481092,
  [SMALL_STATE(10057)] = 481127,
  [SMALL_STATE(10058)] = 481162,
  [SMALL_STATE(10059)] = 481201,
  [SMALL_STATE(10060)] = 481236,
  [SMALL_STATE(10061)] = 481271,
  [SMALL_STATE(10062)] = 481306,
  [SMALL_STATE(10063)] = 481341,
  [SMALL_STATE(10064)] = 481376,
  [SMALL_STATE(10065)] = 481415,
  [SMALL_STATE(10066)] = 481450,
  [SMALL_STATE(10067)] = 481491,
  [SMALL_STATE(10068)] = 481526,
  [SMALL_STATE(10069)] = 481561,
  [SMALL_STATE(10070)] = 481600,
  [SMALL_STATE(10071)] = 481635,
  [SMALL_STATE(10072)] = 481672,
  [SMALL_STATE(10073)] = 481707,
  [SMALL_STATE(10074)] = 481742,
  [SMALL_STATE(10075)] = 481781,
  [SMALL_STATE(10076)] = 481816,
  [SMALL_STATE(10077)] = 481855,
  [SMALL_STATE(10078)] = 481890,
  [SMALL_STATE(10079)] = 481925,
  [SMALL_STATE(10080)] = 481960,
  [SMALL_STATE(10081)] = 481999,
  [SMALL_STATE(10082)] = 482032,
  [SMALL_STATE(10083)] = 482067,
  [SMALL_STATE(10084)] = 482118,
  [SMALL_STATE(10085)] = 482153,
  [SMALL_STATE(10086)] = 482204,
  [SMALL_STATE(10087)] = 482243,
  [SMALL_STATE(10088)] = 482304,
  [SMALL_STATE(10089)] = 482339,
  [SMALL_STATE(10090)] = 482374,
  [SMALL_STATE(10091)] = 482411,
  [SMALL_STATE(10092)] = 482472,
  [SMALL_STATE(10093)] = 482507,
  [SMALL_STATE(10094)] = 482542,
  [SMALL_STATE(10095)] = 482577,
  [SMALL_STATE(10096)] = 482612,
  [SMALL_STATE(10097)] = 482647,
  [SMALL_STATE(10098)] = 482682,
  [SMALL_STATE(10099)] = 482717,
  [SMALL_STATE(10100)] = 482752,
  [SMALL_STATE(10101)] = 482787,
  [SMALL_STATE(10102)] = 482822,
  [SMALL_STATE(10103)] = 482857,
  [SMALL_STATE(10104)] = 482892,
  [SMALL_STATE(10105)] = 482927,
  [SMALL_STATE(10106)] = 482978,
  [SMALL_STATE(10107)] = 483013,
  [SMALL_STATE(10108)] = 483048,
  [SMALL_STATE(10109)] = 483083,
  [SMALL_STATE(10110)] = 483118,
  [SMALL_STATE(10111)] = 483153,
  [SMALL_STATE(10112)] = 483188,
  [SMALL_STATE(10113)] = 483227,
  [SMALL_STATE(10114)] = 483262,
  [SMALL_STATE(10115)] = 483313,
  [SMALL_STATE(10116)] = 483348,
  [SMALL_STATE(10117)] = 483383,
  [SMALL_STATE(10118)] = 483418,
  [SMALL_STATE(10119)] = 483459,
  [SMALL_STATE(10120)] = 483500,
  [SMALL_STATE(10121)] = 483539,
  [SMALL_STATE(10122)] = 483574,
  [SMALL_STATE(10123)] = 483613,
  [SMALL_STATE(10124)] = 483654,
  [SMALL_STATE(10125)] = 483689,
  [SMALL_STATE(10126)] = 483724,
  [SMALL_STATE(10127)] = 483763,
  [SMALL_STATE(10128)] = 483798,
  [SMALL_STATE(10129)] = 483833,
  [SMALL_STATE(10130)] = 483868,
  [SMALL_STATE(10131)] = 483929,
  [SMALL_STATE(10132)] = 483964,
  [SMALL_STATE(10133)] = 483999,
  [SMALL_STATE(10134)] = 484034,
  [SMALL_STATE(10135)] = 484095,
  [SMALL_STATE(10136)] = 484130,
  [SMALL_STATE(10137)] = 484165,
  [SMALL_STATE(10138)] = 484200,
  [SMALL_STATE(10139)] = 484235,
  [SMALL_STATE(10140)] = 484270,
  [SMALL_STATE(10141)] = 484305,
  [SMALL_STATE(10142)] = 484340,
  [SMALL_STATE(10143)] = 484375,
  [SMALL_STATE(10144)] = 484414,
  [SMALL_STATE(10145)] = 484449,
  [SMALL_STATE(10146)] = 484484,
  [SMALL_STATE(10147)] = 484519,
  [SMALL_STATE(10148)] = 484554,
  [SMALL_STATE(10149)] = 484593,
  [SMALL_STATE(10150)] = 484654,
  [SMALL_STATE(10151)] = 484689,
  [SMALL_STATE(10152)] = 484730,
  [SMALL_STATE(10153)] = 484771,
  [SMALL_STATE(10154)] = 484806,
  [SMALL_STATE(10155)] = 484841,
  [SMALL_STATE(10156)] = 484876,
  [SMALL_STATE(10157)] = 484915,
  [SMALL_STATE(10158)] = 484952,
  [SMALL_STATE(10159)] = 484991,
  [SMALL_STATE(10160)] = 485026,
  [SMALL_STATE(10161)] = 485087,
  [SMALL_STATE(10162)] = 485122,
  [SMALL_STATE(10163)] = 485157,
  [SMALL_STATE(10164)] = 485192,
  [SMALL_STATE(10165)] = 485227,
  [SMALL_STATE(10166)] = 485262,
  [SMALL_STATE(10167)] = 485323,
  [SMALL_STATE(10168)] = 485358,
  [SMALL_STATE(10169)] = 485399,
  [SMALL_STATE(10170)] = 485434,
  [SMALL_STATE(10171)] = 485469,
  [SMALL_STATE(10172)] = 485504,
  [SMALL_STATE(10173)] = 485541,
  [SMALL_STATE(10174)] = 485576,
  [SMALL_STATE(10175)] = 485613,
  [SMALL_STATE(10176)] = 485648,
  [SMALL_STATE(10177)] = 485683,
  [SMALL_STATE(10178)] = 485718,
  [SMALL_STATE(10179)] = 485753,
  [SMALL_STATE(10180)] = 485792,
  [SMALL_STATE(10181)] = 485831,
  [SMALL_STATE(10182)] = 485866,
  [SMALL_STATE(10183)] = 485901,
  [SMALL_STATE(10184)] = 485936,
  [SMALL_STATE(10185)] = 485971,
  [SMALL_STATE(10186)] = 486006,
  [SMALL_STATE(10187)] = 486041,
  [SMALL_STATE(10188)] = 486076,
  [SMALL_STATE(10189)] = 486111,
  [SMALL_STATE(10190)] = 486146,
  [SMALL_STATE(10191)] = 486205,
  [SMALL_STATE(10192)] = 486240,
  [SMALL_STATE(10193)] = 486291,
  [SMALL_STATE(10194)] = 486326,
  [SMALL_STATE(10195)] = 486387,
  [SMALL_STATE(10196)] = 486422,
  [SMALL_STATE(10197)] = 486483,
  [SMALL_STATE(10198)] = 486518,
  [SMALL_STATE(10199)] = 486577,
  [SMALL_STATE(10200)] = 486612,
  [SMALL_STATE(10201)] = 486651,
  [SMALL_STATE(10202)] = 486690,
  [SMALL_STATE(10203)] = 486725,
  [SMALL_STATE(10204)] = 486786,
  [SMALL_STATE(10205)] = 486821,
  [SMALL_STATE(10206)] = 486860,
  [SMALL_STATE(10207)] = 486909,
  [SMALL_STATE(10208)] = 486944,
  [SMALL_STATE(10209)] = 486981,
  [SMALL_STATE(10210)] = 487016,
  [SMALL_STATE(10211)] = 487077,
  [SMALL_STATE(10212)] = 487112,
  [SMALL_STATE(10213)] = 487147,
  [SMALL_STATE(10214)] = 487188,
  [SMALL_STATE(10215)] = 487225,
  [SMALL_STATE(10216)] = 487260,
  [SMALL_STATE(10217)] = 487299,
  [SMALL_STATE(10218)] = 487350,
  [SMALL_STATE(10219)] = 487387,
  [SMALL_STATE(10220)] = 487422,
  [SMALL_STATE(10221)] = 487457,
  [SMALL_STATE(10222)] = 487506,
  [SMALL_STATE(10223)] = 487541,
  [SMALL_STATE(10224)] = 487592,
  [SMALL_STATE(10225)] = 487627,
  [SMALL_STATE(10226)] = 487662,
  [SMALL_STATE(10227)] = 487697,
  [SMALL_STATE(10228)] = 487732,
  [SMALL_STATE(10229)] = 487767,
  [SMALL_STATE(10230)] = 487802,
  [SMALL_STATE(10231)] = 487851,
  [SMALL_STATE(10232)] = 487886,
  [SMALL_STATE(10233)] = 487921,
  [SMALL_STATE(10234)] = 487956,
  [SMALL_STATE(10235)] = 487991,
  [SMALL_STATE(10236)] = 488032,
  [SMALL_STATE(10237)] = 488073,
  [SMALL_STATE(10238)] = 488108,
  [SMALL_STATE(10239)] = 488143,
  [SMALL_STATE(10240)] = 488178,
  [SMALL_STATE(10241)] = 488213,
  [SMALL_STATE(10242)] = 488254,
  [SMALL_STATE(10243)] = 488289,
  [SMALL_STATE(10244)] = 488324,
  [SMALL_STATE(10245)] = 488359,
  [SMALL_STATE(10246)] = 488420,
  [SMALL_STATE(10247)] = 488455,
  [SMALL_STATE(10248)] = 488494,
  [SMALL_STATE(10249)] = 488529,
  [SMALL_STATE(10250)] = 488564,
  [SMALL_STATE(10251)] = 488599,
  [SMALL_STATE(10252)] = 488634,
  [SMALL_STATE(10253)] = 488669,
  [SMALL_STATE(10254)] = 488704,
  [SMALL_STATE(10255)] = 488755,
  [SMALL_STATE(10256)] = 488816,
  [SMALL_STATE(10257)] = 488851,
  [SMALL_STATE(10258)] = 488902,
  [SMALL_STATE(10259)] = 488937,
  [SMALL_STATE(10260)] = 488998,
  [SMALL_STATE(10261)] = 489047,
  [SMALL_STATE(10262)] = 489082,
  [SMALL_STATE(10263)] = 489131,
  [SMALL_STATE(10264)] = 489166,
  [SMALL_STATE(10265)] = 489201,
  [SMALL_STATE(10266)] = 489236,
  [SMALL_STATE(10267)] = 489271,
  [SMALL_STATE(10268)] = 489312,
  [SMALL_STATE(10269)] = 489347,
  [SMALL_STATE(10270)] = 489386,
  [SMALL_STATE(10271)] = 489421,
  [SMALL_STATE(10272)] = 489460,
  [SMALL_STATE(10273)] = 489511,
  [SMALL_STATE(10274)] = 489546,
  [SMALL_STATE(10275)] = 489585,
  [SMALL_STATE(10276)] = 489620,
  [SMALL_STATE(10277)] = 489655,
  [SMALL_STATE(10278)] = 489690,
  [SMALL_STATE(10279)] = 489725,
  [SMALL_STATE(10280)] = 489786,
  [SMALL_STATE(10281)] = 489821,
  [SMALL_STATE(10282)] = 489856,
  [SMALL_STATE(10283)] = 489891,
  [SMALL_STATE(10284)] = 489926,
  [SMALL_STATE(10285)] = 489961,
  [SMALL_STATE(10286)] = 489996,
  [SMALL_STATE(10287)] = 490031,
  [SMALL_STATE(10288)] = 490066,
  [SMALL_STATE(10289)] = 490101,
  [SMALL_STATE(10290)] = 490152,
  [SMALL_STATE(10291)] = 490187,
  [SMALL_STATE(10292)] = 490226,
  [SMALL_STATE(10293)] = 490277,
  [SMALL_STATE(10294)] = 490312,
  [SMALL_STATE(10295)] = 490363,
  [SMALL_STATE(10296)] = 490402,
  [SMALL_STATE(10297)] = 490437,
  [SMALL_STATE(10298)] = 490474,
  [SMALL_STATE(10299)] = 490509,
  [SMALL_STATE(10300)] = 490560,
  [SMALL_STATE(10301)] = 490595,
  [SMALL_STATE(10302)] = 490656,
  [SMALL_STATE(10303)] = 490691,
  [SMALL_STATE(10304)] = 490726,
  [SMALL_STATE(10305)] = 490761,
  [SMALL_STATE(10306)] = 490796,
  [SMALL_STATE(10307)] = 490831,
  [SMALL_STATE(10308)] = 490866,
  [SMALL_STATE(10309)] = 490901,
  [SMALL_STATE(10310)] = 490936,
  [SMALL_STATE(10311)] = 490971,
  [SMALL_STATE(10312)] = 491006,
  [SMALL_STATE(10313)] = 491045,
  [SMALL_STATE(10314)] = 491082,
  [SMALL_STATE(10315)] = 491117,
  [SMALL_STATE(10316)] = 491178,
  [SMALL_STATE(10317)] = 491213,
  [SMALL_STATE(10318)] = 491248,
  [SMALL_STATE(10319)] = 491283,
  [SMALL_STATE(10320)] = 491318,
  [SMALL_STATE(10321)] = 491379,
  [SMALL_STATE(10322)] = 491414,
  [SMALL_STATE(10323)] = 491465,
  [SMALL_STATE(10324)] = 491504,
  [SMALL_STATE(10325)] = 491553,
  [SMALL_STATE(10326)] = 491590,
  [SMALL_STATE(10327)] = 491625,
  [SMALL_STATE(10328)] = 491660,
  [SMALL_STATE(10329)] = 491695,
  [SMALL_STATE(10330)] = 491730,
  [SMALL_STATE(10331)] = 491765,
  [SMALL_STATE(10332)] = 491800,
  [SMALL_STATE(10333)] = 491835,
  [SMALL_STATE(10334)] = 491870,
  [SMALL_STATE(10335)] = 491905,
  [SMALL_STATE(10336)] = 491954,
  [SMALL_STATE(10337)] = 491989,
  [SMALL_STATE(10338)] = 492024,
  [SMALL_STATE(10339)] = 492059,
  [SMALL_STATE(10340)] = 492094,
  [SMALL_STATE(10341)] = 492129,
  [SMALL_STATE(10342)] = 492164,
  [SMALL_STATE(10343)] = 492199,
  [SMALL_STATE(10344)] = 492234,
  [SMALL_STATE(10345)] = 492269,
  [SMALL_STATE(10346)] = 492304,
  [SMALL_STATE(10347)] = 492339,
  [SMALL_STATE(10348)] = 492378,
  [SMALL_STATE(10349)] = 492413,
  [SMALL_STATE(10350)] = 492448,
  [SMALL_STATE(10351)] = 492483,
  [SMALL_STATE(10352)] = 492518,
  [SMALL_STATE(10353)] = 492553,
  [SMALL_STATE(10354)] = 492588,
  [SMALL_STATE(10355)] = 492623,
  [SMALL_STATE(10356)] = 492658,
  [SMALL_STATE(10357)] = 492694,
  [SMALL_STATE(10358)] = 492728,
  [SMALL_STATE(10359)] = 492780,
  [SMALL_STATE(10360)] = 492814,
  [SMALL_STATE(10361)] = 492848,
  [SMALL_STATE(10362)] = 492900,
  [SMALL_STATE(10363)] = 492934,
  [SMALL_STATE(10364)] = 492970,
  [SMALL_STATE(10365)] = 493008,
  [SMALL_STATE(10366)] = 493058,
  [SMALL_STATE(10367)] = 493092,
  [SMALL_STATE(10368)] = 493126,
  [SMALL_STATE(10369)] = 493176,
  [SMALL_STATE(10370)] = 493210,
  [SMALL_STATE(10371)] = 493244,
  [SMALL_STATE(10372)] = 493278,
  [SMALL_STATE(10373)] = 493328,
  [SMALL_STATE(10374)] = 493362,
  [SMALL_STATE(10375)] = 493412,
  [SMALL_STATE(10376)] = 493446,
  [SMALL_STATE(10377)] = 493480,
  [SMALL_STATE(10378)] = 493520,
  [SMALL_STATE(10379)] = 493568,
  [SMALL_STATE(10380)] = 493602,
  [SMALL_STATE(10381)] = 493636,
  [SMALL_STATE(10382)] = 493670,
  [SMALL_STATE(10383)] = 493704,
  [SMALL_STATE(10384)] = 493764,
  [SMALL_STATE(10385)] = 493798,
  [SMALL_STATE(10386)] = 493838,
  [SMALL_STATE(10387)] = 493872,
  [SMALL_STATE(10388)] = 493906,
  [SMALL_STATE(10389)] = 493962,
  [SMALL_STATE(10390)] = 494012,
  [SMALL_STATE(10391)] = 494064,
  [SMALL_STATE(10392)] = 494104,
  [SMALL_STATE(10393)] = 494144,
  [SMALL_STATE(10394)] = 494178,
  [SMALL_STATE(10395)] = 494212,
  [SMALL_STATE(10396)] = 494246,
  [SMALL_STATE(10397)] = 494282,
  [SMALL_STATE(10398)] = 494316,
  [SMALL_STATE(10399)] = 494350,
  [SMALL_STATE(10400)] = 494384,
  [SMALL_STATE(10401)] = 494418,
  [SMALL_STATE(10402)] = 494452,
  [SMALL_STATE(10403)] = 494486,
  [SMALL_STATE(10404)] = 494520,
  [SMALL_STATE(10405)] = 494554,
  [SMALL_STATE(10406)] = 494606,
  [SMALL_STATE(10407)] = 494640,
  [SMALL_STATE(10408)] = 494674,
  [SMALL_STATE(10409)] = 494726,
  [SMALL_STATE(10410)] = 494760,
  [SMALL_STATE(10411)] = 494794,
  [SMALL_STATE(10412)] = 494834,
  [SMALL_STATE(10413)] = 494874,
  [SMALL_STATE(10414)] = 494926,
  [SMALL_STATE(10415)] = 494960,
  [SMALL_STATE(10416)] = 495012,
  [SMALL_STATE(10417)] = 495048,
  [SMALL_STATE(10418)] = 495100,
  [SMALL_STATE(10419)] = 495134,
  [SMALL_STATE(10420)] = 495174,
  [SMALL_STATE(10421)] = 495224,
  [SMALL_STATE(10422)] = 495258,
  [SMALL_STATE(10423)] = 495306,
  [SMALL_STATE(10424)] = 495340,
  [SMALL_STATE(10425)] = 495380,
  [SMALL_STATE(10426)] = 495414,
  [SMALL_STATE(10427)] = 495470,
  [SMALL_STATE(10428)] = 495518,
  [SMALL_STATE(10429)] = 495552,
  [SMALL_STATE(10430)] = 495586,
  [SMALL_STATE(10431)] = 495620,
  [SMALL_STATE(10432)] = 495654,
  [SMALL_STATE(10433)] = 495688,
  [SMALL_STATE(10434)] = 495728,
  [SMALL_STATE(10435)] = 495762,
  [SMALL_STATE(10436)] = 495796,
  [SMALL_STATE(10437)] = 495830,
  [SMALL_STATE(10438)] = 495864,
  [SMALL_STATE(10439)] = 495898,
  [SMALL_STATE(10440)] = 495932,
  [SMALL_STATE(10441)] = 495966,
  [SMALL_STATE(10442)] = 496018,
  [SMALL_STATE(10443)] = 496054,
  [SMALL_STATE(10444)] = 496106,
  [SMALL_STATE(10445)] = 496140,
  [SMALL_STATE(10446)] = 496174,
  [SMALL_STATE(10447)] = 496208,
  [SMALL_STATE(10448)] = 496242,
  [SMALL_STATE(10449)] = 496276,
  [SMALL_STATE(10450)] = 496310,
  [SMALL_STATE(10451)] = 496366,
  [SMALL_STATE(10452)] = 496400,
  [SMALL_STATE(10453)] = 496434,
  [SMALL_STATE(10454)] = 496468,
  [SMALL_STATE(10455)] = 496520,
  [SMALL_STATE(10456)] = 496560,
  [SMALL_STATE(10457)] = 496596,
  [SMALL_STATE(10458)] = 496630,
  [SMALL_STATE(10459)] = 496666,
  [SMALL_STATE(10460)] = 496704,
  [SMALL_STATE(10461)] = 496738,
  [SMALL_STATE(10462)] = 496772,
  [SMALL_STATE(10463)] = 496832,
  [SMALL_STATE(10464)] = 496870,
  [SMALL_STATE(10465)] = 496904,
  [SMALL_STATE(10466)] = 496956,
  [SMALL_STATE(10467)] = 496994,
  [SMALL_STATE(10468)] = 497028,
  [SMALL_STATE(10469)] = 497062,
  [SMALL_STATE(10470)] = 497112,
  [SMALL_STATE(10471)] = 497146,
  [SMALL_STATE(10472)] = 497198,
  [SMALL_STATE(10473)] = 497232,
  [SMALL_STATE(10474)] = 497282,
  [SMALL_STATE(10475)] = 497318,
  [SMALL_STATE(10476)] = 497352,
  [SMALL_STATE(10477)] = 497404,
  [SMALL_STATE(10478)] = 497438,
  [SMALL_STATE(10479)] = 497472,
  [SMALL_STATE(10480)] = 497506,
  [SMALL_STATE(10481)] = 497558,
  [SMALL_STATE(10482)] = 497592,
  [SMALL_STATE(10483)] = 497626,
  [SMALL_STATE(10484)] = 497660,
  [SMALL_STATE(10485)] = 497694,
  [SMALL_STATE(10486)] = 497730,
  [SMALL_STATE(10487)] = 497774,
  [SMALL_STATE(10488)] = 497808,
  [SMALL_STATE(10489)] = 497864,
  [SMALL_STATE(10490)] = 497898,
  [SMALL_STATE(10491)] = 497954,
  [SMALL_STATE(10492)] = 498006,
  [SMALL_STATE(10493)] = 498058,
  [SMALL_STATE(10494)] = 498092,
  [SMALL_STATE(10495)] = 498130,
  [SMALL_STATE(10496)] = 498174,
  [SMALL_STATE(10497)] = 498208,
  [SMALL_STATE(10498)] = 498242,
  [SMALL_STATE(10499)] = 498298,
  [SMALL_STATE(10500)] = 498332,
  [SMALL_STATE(10501)] = 498366,
  [SMALL_STATE(10502)] = 498400,
  [SMALL_STATE(10503)] = 498434,
  [SMALL_STATE(10504)] = 498490,
  [SMALL_STATE(10505)] = 498524,
  [SMALL_STATE(10506)] = 498560,
  [SMALL_STATE(10507)] = 498594,
  [SMALL_STATE(10508)] = 498628,
  [SMALL_STATE(10509)] = 498678,
  [SMALL_STATE(10510)] = 498716,
  [SMALL_STATE(10511)] = 498750,
  [SMALL_STATE(10512)] = 498784,
  [SMALL_STATE(10513)] = 498818,
  [SMALL_STATE(10514)] = 498852,
  [SMALL_STATE(10515)] = 498886,
  [SMALL_STATE(10516)] = 498920,
  [SMALL_STATE(10517)] = 498954,
  [SMALL_STATE(10518)] = 498988,
  [SMALL_STATE(10519)] = 499022,
  [SMALL_STATE(10520)] = 499056,
  [SMALL_STATE(10521)] = 499090,
  [SMALL_STATE(10522)] = 499124,
  [SMALL_STATE(10523)] = 499160,
  [SMALL_STATE(10524)] = 499194,
  [SMALL_STATE(10525)] = 499228,
  [SMALL_STATE(10526)] = 499262,
  [SMALL_STATE(10527)] = 499296,
  [SMALL_STATE(10528)] = 499330,
  [SMALL_STATE(10529)] = 499364,
  [SMALL_STATE(10530)] = 499398,
  [SMALL_STATE(10531)] = 499432,
  [SMALL_STATE(10532)] = 499468,
  [SMALL_STATE(10533)] = 499502,
  [SMALL_STATE(10534)] = 499554,
  [SMALL_STATE(10535)] = 499594,
  [SMALL_STATE(10536)] = 499630,
  [SMALL_STATE(10537)] = 499666,
  [SMALL_STATE(10538)] = 499700,
  [SMALL_STATE(10539)] = 499748,
  [SMALL_STATE(10540)] = 499782,
  [SMALL_STATE(10541)] = 499816,
  [SMALL_STATE(10542)] = 499856,
  [SMALL_STATE(10543)] = 499890,
  [SMALL_STATE(10544)] = 499930,
  [SMALL_STATE(10545)] = 499968,
  [SMALL_STATE(10546)] = 500004,
  [SMALL_STATE(10547)] = 500040,
  [SMALL_STATE(10548)] = 500092,
  [SMALL_STATE(10549)] = 500128,
  [SMALL_STATE(10550)] = 500180,
  [SMALL_STATE(10551)] = 500216,
  [SMALL_STATE(10552)] = 500250,
  [SMALL_STATE(10553)] = 500284,
  [SMALL_STATE(10554)] = 500320,
  [SMALL_STATE(10555)] = 500360,
  [SMALL_STATE(10556)] = 500420,
  [SMALL_STATE(10557)] = 500456,
  [SMALL_STATE(10558)] = 500490,
  [SMALL_STATE(10559)] = 500542,
  [SMALL_STATE(10560)] = 500576,
  [SMALL_STATE(10561)] = 500624,
  [SMALL_STATE(10562)] = 500658,
  [SMALL_STATE(10563)] = 500692,
  [SMALL_STATE(10564)] = 500726,
  [SMALL_STATE(10565)] = 500760,
  [SMALL_STATE(10566)] = 500816,
  [SMALL_STATE(10567)] = 500850,
  [SMALL_STATE(10568)] = 500884,
  [SMALL_STATE(10569)] = 500918,
  [SMALL_STATE(10570)] = 500952,
  [SMALL_STATE(10571)] = 501004,
  [SMALL_STATE(10572)] = 501040,
  [SMALL_STATE(10573)] = 501092,
  [SMALL_STATE(10574)] = 501126,
  [SMALL_STATE(10575)] = 501176,
  [SMALL_STATE(10576)] = 501210,
  [SMALL_STATE(10577)] = 501246,
  [SMALL_STATE(10578)] = 501280,
  [SMALL_STATE(10579)] = 501316,
  [SMALL_STATE(10580)] = 501350,
  [SMALL_STATE(10581)] = 501384,
  [SMALL_STATE(10582)] = 501418,
  [SMALL_STATE(10583)] = 501452,
  [SMALL_STATE(10584)] = 501486,
  [SMALL_STATE(10585)] = 501526,
  [SMALL_STATE(10586)] = 501560,
  [SMALL_STATE(10587)] = 501594,
  [SMALL_STATE(10588)] = 501630,
  [SMALL_STATE(10589)] = 501664,
  [SMALL_STATE(10590)] = 501698,
  [SMALL_STATE(10591)] = 501750,
  [SMALL_STATE(10592)] = 501784,
  [SMALL_STATE(10593)] = 501834,
  [SMALL_STATE(10594)] = 501868,
  [SMALL_STATE(10595)] = 501920,
  [SMALL_STATE(10596)] = 501964,
  [SMALL_STATE(10597)] = 501998,
  [SMALL_STATE(10598)] = 502034,
  [SMALL_STATE(10599)] = 502086,
  [SMALL_STATE(10600)] = 502120,
  [SMALL_STATE(10601)] = 502154,
  [SMALL_STATE(10602)] = 502204,
  [SMALL_STATE(10603)] = 502256,
  [SMALL_STATE(10604)] = 502306,
  [SMALL_STATE(10605)] = 502350,
  [SMALL_STATE(10606)] = 502384,
  [SMALL_STATE(10607)] = 502418,
  [SMALL_STATE(10608)] = 502452,
  [SMALL_STATE(10609)] = 502488,
  [SMALL_STATE(10610)] = 502522,
  [SMALL_STATE(10611)] = 502558,
  [SMALL_STATE(10612)] = 502608,
  [SMALL_STATE(10613)] = 502642,
  [SMALL_STATE(10614)] = 502696,
  [SMALL_STATE(10615)] = 502730,
  [SMALL_STATE(10616)] = 502766,
  [SMALL_STATE(10617)] = 502800,
  [SMALL_STATE(10618)] = 502834,
  [SMALL_STATE(10619)] = 502878,
  [SMALL_STATE(10620)] = 502912,
  [SMALL_STATE(10621)] = 502946,
  [SMALL_STATE(10622)] = 502980,
  [SMALL_STATE(10623)] = 503014,
  [SMALL_STATE(10624)] = 503048,
  [SMALL_STATE(10625)] = 503082,
  [SMALL_STATE(10626)] = 503116,
  [SMALL_STATE(10627)] = 503166,
  [SMALL_STATE(10628)] = 503202,
  [SMALL_STATE(10629)] = 503242,
  [SMALL_STATE(10630)] = 503278,
  [SMALL_STATE(10631)] = 503334,
  [SMALL_STATE(10632)] = 503386,
  [SMALL_STATE(10633)] = 503420,
  [SMALL_STATE(10634)] = 503456,
  [SMALL_STATE(10635)] = 503490,
  [SMALL_STATE(10636)] = 503524,
  [SMALL_STATE(10637)] = 503558,
  [SMALL_STATE(10638)] = 503592,
  [SMALL_STATE(10639)] = 503626,
  [SMALL_STATE(10640)] = 503660,
  [SMALL_STATE(10641)] = 503696,
  [SMALL_STATE(10642)] = 503746,
  [SMALL_STATE(10643)] = 503784,
  [SMALL_STATE(10644)] = 503818,
  [SMALL_STATE(10645)] = 503852,
  [SMALL_STATE(10646)] = 503900,
  [SMALL_STATE(10647)] = 503950,
  [SMALL_STATE(10648)] = 503984,
  [SMALL_STATE(10649)] = 504020,
  [SMALL_STATE(10650)] = 504054,
  [SMALL_STATE(10651)] = 504088,
  [SMALL_STATE(10652)] = 504122,
  [SMALL_STATE(10653)] = 504156,
  [SMALL_STATE(10654)] = 504190,
  [SMALL_STATE(10655)] = 504224,
  [SMALL_STATE(10656)] = 504260,
  [SMALL_STATE(10657)] = 504306,
  [SMALL_STATE(10658)] = 504358,
  [SMALL_STATE(10659)] = 504392,
  [SMALL_STATE(10660)] = 504426,
  [SMALL_STATE(10661)] = 504460,
  [SMALL_STATE(10662)] = 504495,
  [SMALL_STATE(10663)] = 504532,
  [SMALL_STATE(10664)] = 504565,
  [SMALL_STATE(10665)] = 504598,
  [SMALL_STATE(10666)] = 504631,
  [SMALL_STATE(10667)] = 504664,
  [SMALL_STATE(10668)] = 504697,
  [SMALL_STATE(10669)] = 504730,
  [SMALL_STATE(10670)] = 504763,
  [SMALL_STATE(10671)] = 504802,
  [SMALL_STATE(10672)] = 504839,
  [SMALL_STATE(10673)] = 504872,
  [SMALL_STATE(10674)] = 504905,
  [SMALL_STATE(10675)] = 504952,
  [SMALL_STATE(10676)] = 504999,
  [SMALL_STATE(10677)] = 505032,
  [SMALL_STATE(10678)] = 505067,
  [SMALL_STATE(10679)] = 505118,
  [SMALL_STATE(10680)] = 505167,
  [SMALL_STATE(10681)] = 505200,
  [SMALL_STATE(10682)] = 505233,
  [SMALL_STATE(10683)] = 505266,
  [SMALL_STATE(10684)] = 505315,
  [SMALL_STATE(10685)] = 505348,
  [SMALL_STATE(10686)] = 505397,
  [SMALL_STATE(10687)] = 505430,
  [SMALL_STATE(10688)] = 505463,
  [SMALL_STATE(10689)] = 505496,
  [SMALL_STATE(10690)] = 505529,
  [SMALL_STATE(10691)] = 505562,
  [SMALL_STATE(10692)] = 505611,
  [SMALL_STATE(10693)] = 505644,
  [SMALL_STATE(10694)] = 505677,
  [SMALL_STATE(10695)] = 505726,
  [SMALL_STATE(10696)] = 505759,
  [SMALL_STATE(10697)] = 505792,
  [SMALL_STATE(10698)] = 505825,
  [SMALL_STATE(10699)] = 505858,
  [SMALL_STATE(10700)] = 505891,
  [SMALL_STATE(10701)] = 505946,
  [SMALL_STATE(10702)] = 505993,
  [SMALL_STATE(10703)] = 506026,
  [SMALL_STATE(10704)] = 506061,
  [SMALL_STATE(10705)] = 506116,
  [SMALL_STATE(10706)] = 506165,
  [SMALL_STATE(10707)] = 506198,
  [SMALL_STATE(10708)] = 506231,
  [SMALL_STATE(10709)] = 506278,
  [SMALL_STATE(10710)] = 506311,
  [SMALL_STATE(10711)] = 506344,
  [SMALL_STATE(10712)] = 506377,
  [SMALL_STATE(10713)] = 506410,
  [SMALL_STATE(10714)] = 506443,
  [SMALL_STATE(10715)] = 506480,
  [SMALL_STATE(10716)] = 506535,
  [SMALL_STATE(10717)] = 506582,
  [SMALL_STATE(10718)] = 506637,
  [SMALL_STATE(10719)] = 506670,
  [SMALL_STATE(10720)] = 506703,
  [SMALL_STATE(10721)] = 506736,
  [SMALL_STATE(10722)] = 506769,
  [SMALL_STATE(10723)] = 506816,
  [SMALL_STATE(10724)] = 506849,
  [SMALL_STATE(10725)] = 506882,
  [SMALL_STATE(10726)] = 506915,
  [SMALL_STATE(10727)] = 506952,
  [SMALL_STATE(10728)] = 506985,
  [SMALL_STATE(10729)] = 507034,
  [SMALL_STATE(10730)] = 507067,
  [SMALL_STATE(10731)] = 507100,
  [SMALL_STATE(10732)] = 507133,
  [SMALL_STATE(10733)] = 507172,
  [SMALL_STATE(10734)] = 507205,
  [SMALL_STATE(10735)] = 507238,
  [SMALL_STATE(10736)] = 507293,
  [SMALL_STATE(10737)] = 507348,
  [SMALL_STATE(10738)] = 507381,
  [SMALL_STATE(10739)] = 507414,
  [SMALL_STATE(10740)] = 507447,
  [SMALL_STATE(10741)] = 507480,
  [SMALL_STATE(10742)] = 507519,
  [SMALL_STATE(10743)] = 507566,
  [SMALL_STATE(10744)] = 507599,
  [SMALL_STATE(10745)] = 507632,
  [SMALL_STATE(10746)] = 507665,
  [SMALL_STATE(10747)] = 507698,
  [SMALL_STATE(10748)] = 507731,
  [SMALL_STATE(10749)] = 507770,
  [SMALL_STATE(10750)] = 507819,
  [SMALL_STATE(10751)] = 507874,
  [SMALL_STATE(10752)] = 507929,
  [SMALL_STATE(10753)] = 507962,
  [SMALL_STATE(10754)] = 508017,
  [SMALL_STATE(10755)] = 508050,
  [SMALL_STATE(10756)] = 508097,
  [SMALL_STATE(10757)] = 508130,
  [SMALL_STATE(10758)] = 508163,
  [SMALL_STATE(10759)] = 508196,
  [SMALL_STATE(10760)] = 508229,
  [SMALL_STATE(10761)] = 508272,
  [SMALL_STATE(10762)] = 508311,
  [SMALL_STATE(10763)] = 508344,
  [SMALL_STATE(10764)] = 508397,
  [SMALL_STATE(10765)] = 508432,
  [SMALL_STATE(10766)] = 508465,
  [SMALL_STATE(10767)] = 508508,
  [SMALL_STATE(10768)] = 508543,
  [SMALL_STATE(10769)] = 508576,
  [SMALL_STATE(10770)] = 508631,
  [SMALL_STATE(10771)] = 508664,
  [SMALL_STATE(10772)] = 508719,
  [SMALL_STATE(10773)] = 508754,
  [SMALL_STATE(10774)] = 508787,
  [SMALL_STATE(10775)] = 508820,
  [SMALL_STATE(10776)] = 508853,
  [SMALL_STATE(10777)] = 508902,
  [SMALL_STATE(10778)] = 508935,
  [SMALL_STATE(10779)] = 508974,
  [SMALL_STATE(10780)] = 509029,
  [SMALL_STATE(10781)] = 509062,
  [SMALL_STATE(10782)] = 509117,
  [SMALL_STATE(10783)] = 509164,
  [SMALL_STATE(10784)] = 509197,
  [SMALL_STATE(10785)] = 509230,
  [SMALL_STATE(10786)] = 509285,
  [SMALL_STATE(10787)] = 509318,
  [SMALL_STATE(10788)] = 509351,
  [SMALL_STATE(10789)] = 509406,
  [SMALL_STATE(10790)] = 509461,
  [SMALL_STATE(10791)] = 509508,
  [SMALL_STATE(10792)] = 509541,
  [SMALL_STATE(10793)] = 509574,
  [SMALL_STATE(10794)] = 509607,
  [SMALL_STATE(10795)] = 509654,
  [SMALL_STATE(10796)] = 509693,
  [SMALL_STATE(10797)] = 509726,
  [SMALL_STATE(10798)] = 509759,
  [SMALL_STATE(10799)] = 509806,
  [SMALL_STATE(10800)] = 509853,
  [SMALL_STATE(10801)] = 509886,
  [SMALL_STATE(10802)] = 509919,
  [SMALL_STATE(10803)] = 509974,
  [SMALL_STATE(10804)] = 510007,
  [SMALL_STATE(10805)] = 510040,
  [SMALL_STATE(10806)] = 510095,
  [SMALL_STATE(10807)] = 510128,
  [SMALL_STATE(10808)] = 510161,
  [SMALL_STATE(10809)] = 510198,
  [SMALL_STATE(10810)] = 510231,
  [SMALL_STATE(10811)] = 510264,
  [SMALL_STATE(10812)] = 510297,
  [SMALL_STATE(10813)] = 510344,
  [SMALL_STATE(10814)] = 510379,
  [SMALL_STATE(10815)] = 510426,
  [SMALL_STATE(10816)] = 510475,
  [SMALL_STATE(10817)] = 510508,
  [SMALL_STATE(10818)] = 510545,
  [SMALL_STATE(10819)] = 510578,
  [SMALL_STATE(10820)] = 510615,
  [SMALL_STATE(10821)] = 510662,
  [SMALL_STATE(10822)] = 510695,
  [SMALL_STATE(10823)] = 510728,
  [SMALL_STATE(10824)] = 510765,
  [SMALL_STATE(10825)] = 510814,
  [SMALL_STATE(10826)] = 510847,
  [SMALL_STATE(10827)] = 510880,
  [SMALL_STATE(10828)] = 510913,
  [SMALL_STATE(10829)] = 510946,
  [SMALL_STATE(10830)] = 510979,
  [SMALL_STATE(10831)] = 511012,
  [SMALL_STATE(10832)] = 511045,
  [SMALL_STATE(10833)] = 511100,
  [SMALL_STATE(10834)] = 511155,
  [SMALL_STATE(10835)] = 511188,
  [SMALL_STATE(10836)] = 511243,
  [SMALL_STATE(10837)] = 511276,
  [SMALL_STATE(10838)] = 511331,
  [SMALL_STATE(10839)] = 511364,
  [SMALL_STATE(10840)] = 511411,
  [SMALL_STATE(10841)] = 511444,
  [SMALL_STATE(10842)] = 511477,
  [SMALL_STATE(10843)] = 511520,
  [SMALL_STATE(10844)] = 511553,
  [SMALL_STATE(10845)] = 511586,
  [SMALL_STATE(10846)] = 511619,
  [SMALL_STATE(10847)] = 511652,
  [SMALL_STATE(10848)] = 511685,
  [SMALL_STATE(10849)] = 511720,
  [SMALL_STATE(10850)] = 511753,
  [SMALL_STATE(10851)] = 511786,
  [SMALL_STATE(10852)] = 511819,
  [SMALL_STATE(10853)] = 511852,
  [SMALL_STATE(10854)] = 511885,
  [SMALL_STATE(10855)] = 511918,
  [SMALL_STATE(10856)] = 511951,
  [SMALL_STATE(10857)] = 511986,
  [SMALL_STATE(10858)] = 512019,
  [SMALL_STATE(10859)] = 512058,
  [SMALL_STATE(10860)] = 512091,
  [SMALL_STATE(10861)] = 512124,
  [SMALL_STATE(10862)] = 512157,
  [SMALL_STATE(10863)] = 512190,
  [SMALL_STATE(10864)] = 512223,
  [SMALL_STATE(10865)] = 512256,
  [SMALL_STATE(10866)] = 512289,
  [SMALL_STATE(10867)] = 512322,
  [SMALL_STATE(10868)] = 512355,
  [SMALL_STATE(10869)] = 512388,
  [SMALL_STATE(10870)] = 512421,
  [SMALL_STATE(10871)] = 512454,
  [SMALL_STATE(10872)] = 512487,
  [SMALL_STATE(10873)] = 512520,
  [SMALL_STATE(10874)] = 512559,
  [SMALL_STATE(10875)] = 512606,
  [SMALL_STATE(10876)] = 512639,
  [SMALL_STATE(10877)] = 512682,
  [SMALL_STATE(10878)] = 512721,
  [SMALL_STATE(10879)] = 512754,
  [SMALL_STATE(10880)] = 512787,
  [SMALL_STATE(10881)] = 512834,
  [SMALL_STATE(10882)] = 512867,
  [SMALL_STATE(10883)] = 512916,
  [SMALL_STATE(10884)] = 512949,
  [SMALL_STATE(10885)] = 512987,
  [SMALL_STATE(10886)] = 513039,
  [SMALL_STATE(10887)] = 513071,
  [SMALL_STATE(10888)] = 513103,
  [SMALL_STATE(10889)] = 513151,
  [SMALL_STATE(10890)] = 513183,
  [SMALL_STATE(10891)] = 513215,
  [SMALL_STATE(10892)] = 513247,
  [SMALL_STATE(10893)] = 513293,
  [SMALL_STATE(10894)] = 513325,
  [SMALL_STATE(10895)] = 513367,
  [SMALL_STATE(10896)] = 513399,
  [SMALL_STATE(10897)] = 513431,
  [SMALL_STATE(10898)] = 513463,
  [SMALL_STATE(10899)] = 513495,
  [SMALL_STATE(10900)] = 513527,
  [SMALL_STATE(10901)] = 513559,
  [SMALL_STATE(10902)] = 513591,
  [SMALL_STATE(10903)] = 513623,
  [SMALL_STATE(10904)] = 513655,
  [SMALL_STATE(10905)] = 513689,
  [SMALL_STATE(10906)] = 513721,
  [SMALL_STATE(10907)] = 513753,
  [SMALL_STATE(10908)] = 513791,
  [SMALL_STATE(10909)] = 513823,
  [SMALL_STATE(10910)] = 513855,
  [SMALL_STATE(10911)] = 513887,
  [SMALL_STATE(10912)] = 513919,
  [SMALL_STATE(10913)] = 513951,
  [SMALL_STATE(10914)] = 514005,
  [SMALL_STATE(10915)] = 514059,
  [SMALL_STATE(10916)] = 514091,
  [SMALL_STATE(10917)] = 514125,
  [SMALL_STATE(10918)] = 514157,
  [SMALL_STATE(10919)] = 514189,
  [SMALL_STATE(10920)] = 514239,
  [SMALL_STATE(10921)] = 514271,
  [SMALL_STATE(10922)] = 514303,
  [SMALL_STATE(10923)] = 514353,
  [SMALL_STATE(10924)] = 514385,
  [SMALL_STATE(10925)] = 514417,
  [SMALL_STATE(10926)] = 514449,
  [SMALL_STATE(10927)] = 514481,
  [SMALL_STATE(10928)] = 514517,
  [SMALL_STATE(10929)] = 514549,
  [SMALL_STATE(10930)] = 514581,
  [SMALL_STATE(10931)] = 514613,
  [SMALL_STATE(10932)] = 514645,
  [SMALL_STATE(10933)] = 514677,
  [SMALL_STATE(10934)] = 514709,
  [SMALL_STATE(10935)] = 514763,
  [SMALL_STATE(10936)] = 514795,
  [SMALL_STATE(10937)] = 514849,
  [SMALL_STATE(10938)] = 514881,
  [SMALL_STATE(10939)] = 514913,
  [SMALL_STATE(10940)] = 514945,
  [SMALL_STATE(10941)] = 514977,
  [SMALL_STATE(10942)] = 515009,
  [SMALL_STATE(10943)] = 515041,
  [SMALL_STATE(10944)] = 515083,
  [SMALL_STATE(10945)] = 515135,
  [SMALL_STATE(10946)] = 515169,
  [SMALL_STATE(10947)] = 515211,
  [SMALL_STATE(10948)] = 515245,
  [SMALL_STATE(10949)] = 515277,
  [SMALL_STATE(10950)] = 515309,
  [SMALL_STATE(10951)] = 515363,
  [SMALL_STATE(10952)] = 515395,
  [SMALL_STATE(10953)] = 515427,
  [SMALL_STATE(10954)] = 515459,
  [SMALL_STATE(10955)] = 515491,
  [SMALL_STATE(10956)] = 515523,
  [SMALL_STATE(10957)] = 515553,
  [SMALL_STATE(10958)] = 515585,
  [SMALL_STATE(10959)] = 515615,
  [SMALL_STATE(10960)] = 515647,
  [SMALL_STATE(10961)] = 515679,
  [SMALL_STATE(10962)] = 515731,
  [SMALL_STATE(10963)] = 515763,
  [SMALL_STATE(10964)] = 515805,
  [SMALL_STATE(10965)] = 515837,
  [SMALL_STATE(10966)] = 515869,
  [SMALL_STATE(10967)] = 515915,
  [SMALL_STATE(10968)] = 515947,
  [SMALL_STATE(10969)] = 515979,
  [SMALL_STATE(10970)] = 516011,
  [SMALL_STATE(10971)] = 516043,
  [SMALL_STATE(10972)] = 516085,
  [SMALL_STATE(10973)] = 516117,
  [SMALL_STATE(10974)] = 516147,
  [SMALL_STATE(10975)] = 516179,
  [SMALL_STATE(10976)] = 516211,
  [SMALL_STATE(10977)] = 516243,
  [SMALL_STATE(10978)] = 516275,
  [SMALL_STATE(10979)] = 516325,
  [SMALL_STATE(10980)] = 516357,
  [SMALL_STATE(10981)] = 516399,
  [SMALL_STATE(10982)] = 516449,
  [SMALL_STATE(10983)] = 516481,
  [SMALL_STATE(10984)] = 516533,
  [SMALL_STATE(10985)] = 516565,
  [SMALL_STATE(10986)] = 516601,
  [SMALL_STATE(10987)] = 516633,
  [SMALL_STATE(10988)] = 516665,
  [SMALL_STATE(10989)] = 516697,
  [SMALL_STATE(10990)] = 516729,
  [SMALL_STATE(10991)] = 516783,
  [SMALL_STATE(10992)] = 516815,
  [SMALL_STATE(10993)] = 516847,
  [SMALL_STATE(10994)] = 516879,
  [SMALL_STATE(10995)] = 516911,
  [SMALL_STATE(10996)] = 516961,
  [SMALL_STATE(10997)] = 516993,
  [SMALL_STATE(10998)] = 517031,
  [SMALL_STATE(10999)] = 517063,
  [SMALL_STATE(11000)] = 517095,
  [SMALL_STATE(11001)] = 517145,
  [SMALL_STATE(11002)] = 517177,
  [SMALL_STATE(11003)] = 517209,
  [SMALL_STATE(11004)] = 517241,
  [SMALL_STATE(11005)] = 517273,
  [SMALL_STATE(11006)] = 517321,
  [SMALL_STATE(11007)] = 517353,
  [SMALL_STATE(11008)] = 517385,
  [SMALL_STATE(11009)] = 517417,
  [SMALL_STATE(11010)] = 517455,
  [SMALL_STATE(11011)] = 517487,
  [SMALL_STATE(11012)] = 517541,
  [SMALL_STATE(11013)] = 517579,
  [SMALL_STATE(11014)] = 517611,
  [SMALL_STATE(11015)] = 517643,
  [SMALL_STATE(11016)] = 517695,
  [SMALL_STATE(11017)] = 517733,
  [SMALL_STATE(11018)] = 517765,
  [SMALL_STATE(11019)] = 517815,
  [SMALL_STATE(11020)] = 517865,
  [SMALL_STATE(11021)] = 517911,
  [SMALL_STATE(11022)] = 517949,
  [SMALL_STATE(11023)] = 518001,
  [SMALL_STATE(11024)] = 518033,
  [SMALL_STATE(11025)] = 518071,
  [SMALL_STATE(11026)] = 518101,
  [SMALL_STATE(11027)] = 518133,
  [SMALL_STATE(11028)] = 518163,
  [SMALL_STATE(11029)] = 518195,
  [SMALL_STATE(11030)] = 518227,
  [SMALL_STATE(11031)] = 518277,
  [SMALL_STATE(11032)] = 518307,
  [SMALL_STATE(11033)] = 518339,
  [SMALL_STATE(11034)] = 518389,
  [SMALL_STATE(11035)] = 518427,
  [SMALL_STATE(11036)] = 518465,
  [SMALL_STATE(11037)] = 518497,
  [SMALL_STATE(11038)] = 518529,
  [SMALL_STATE(11039)] = 518561,
  [SMALL_STATE(11040)] = 518593,
  [SMALL_STATE(11041)] = 518625,
  [SMALL_STATE(11042)] = 518679,
  [SMALL_STATE(11043)] = 518711,
  [SMALL_STATE(11044)] = 518765,
  [SMALL_STATE(11045)] = 518797,
  [SMALL_STATE(11046)] = 518829,
  [SMALL_STATE(11047)] = 518861,
  [SMALL_STATE(11048)] = 518893,
  [SMALL_STATE(11049)] = 518925,
  [SMALL_STATE(11050)] = 518979,
  [SMALL_STATE(11051)] = 519011,
  [SMALL_STATE(11052)] = 519043,
  [SMALL_STATE(11053)] = 519097,
  [SMALL_STATE(11054)] = 519129,
  [SMALL_STATE(11055)] = 519161,
  [SMALL_STATE(11056)] = 519193,
  [SMALL_STATE(11057)] = 519225,
  [SMALL_STATE(11058)] = 519257,
  [SMALL_STATE(11059)] = 519309,
  [SMALL_STATE(11060)] = 519361,
  [SMALL_STATE(11061)] = 519393,
  [SMALL_STATE(11062)] = 519425,
  [SMALL_STATE(11063)] = 519463,
  [SMALL_STATE(11064)] = 519495,
  [SMALL_STATE(11065)] = 519527,
  [SMALL_STATE(11066)] = 519557,
  [SMALL_STATE(11067)] = 519589,
  [SMALL_STATE(11068)] = 519619,
  [SMALL_STATE(11069)] = 519651,
  [SMALL_STATE(11070)] = 519681,
  [SMALL_STATE(11071)] = 519713,
  [SMALL_STATE(11072)] = 519745,
  [SMALL_STATE(11073)] = 519799,
  [SMALL_STATE(11074)] = 519853,
  [SMALL_STATE(11075)] = 519905,
  [SMALL_STATE(11076)] = 519937,
  [SMALL_STATE(11077)] = 519967,
  [SMALL_STATE(11078)] = 519999,
  [SMALL_STATE(11079)] = 520045,
  [SMALL_STATE(11080)] = 520077,
  [SMALL_STATE(11081)] = 520109,
  [SMALL_STATE(11082)] = 520141,
  [SMALL_STATE(11083)] = 520177,
  [SMALL_STATE(11084)] = 520217,
  [SMALL_STATE(11085)] = 520255,
  [SMALL_STATE(11086)] = 520287,
  [SMALL_STATE(11087)] = 520319,
  [SMALL_STATE(11088)] = 520357,
  [SMALL_STATE(11089)] = 520389,
  [SMALL_STATE(11090)] = 520421,
  [SMALL_STATE(11091)] = 520453,
  [SMALL_STATE(11092)] = 520485,
  [SMALL_STATE(11093)] = 520517,
  [SMALL_STATE(11094)] = 520549,
  [SMALL_STATE(11095)] = 520581,
  [SMALL_STATE(11096)] = 520613,
  [SMALL_STATE(11097)] = 520667,
  [SMALL_STATE(11098)] = 520699,
  [SMALL_STATE(11099)] = 520751,
  [SMALL_STATE(11100)] = 520783,
  [SMALL_STATE(11101)] = 520815,
  [SMALL_STATE(11102)] = 520865,
  [SMALL_STATE(11103)] = 520895,
  [SMALL_STATE(11104)] = 520931,
  [SMALL_STATE(11105)] = 520963,
  [SMALL_STATE(11106)] = 520995,
  [SMALL_STATE(11107)] = 521027,
  [SMALL_STATE(11108)] = 521059,
  [SMALL_STATE(11109)] = 521109,
  [SMALL_STATE(11110)] = 521141,
  [SMALL_STATE(11111)] = 521179,
  [SMALL_STATE(11112)] = 521217,
  [SMALL_STATE(11113)] = 521249,
  [SMALL_STATE(11114)] = 521279,
  [SMALL_STATE(11115)] = 521329,
  [SMALL_STATE(11116)] = 521377,
  [SMALL_STATE(11117)] = 521409,
  [SMALL_STATE(11118)] = 521461,
  [SMALL_STATE(11119)] = 521495,
  [SMALL_STATE(11120)] = 521527,
  [SMALL_STATE(11121)] = 521577,
  [SMALL_STATE(11122)] = 521607,
  [SMALL_STATE(11123)] = 521637,
  [SMALL_STATE(11124)] = 521669,
  [SMALL_STATE(11125)] = 521701,
  [SMALL_STATE(11126)] = 521733,
  [SMALL_STATE(11127)] = 521781,
  [SMALL_STATE(11128)] = 521813,
  [SMALL_STATE(11129)] = 521845,
  [SMALL_STATE(11130)] = 521877,
  [SMALL_STATE(11131)] = 521915,
  [SMALL_STATE(11132)] = 521961,
  [SMALL_STATE(11133)] = 521993,
  [SMALL_STATE(11134)] = 522023,
  [SMALL_STATE(11135)] = 522055,
  [SMALL_STATE(11136)] = 522087,
  [SMALL_STATE(11137)] = 522119,
  [SMALL_STATE(11138)] = 522151,
  [SMALL_STATE(11139)] = 522181,
  [SMALL_STATE(11140)] = 522213,
  [SMALL_STATE(11141)] = 522251,
  [SMALL_STATE(11142)] = 522283,
  [SMALL_STATE(11143)] = 522321,
  [SMALL_STATE(11144)] = 522353,
  [SMALL_STATE(11145)] = 522407,
  [SMALL_STATE(11146)] = 522457,
  [SMALL_STATE(11147)] = 522511,
  [SMALL_STATE(11148)] = 522561,
  [SMALL_STATE(11149)] = 522609,
  [SMALL_STATE(11150)] = 522641,
  [SMALL_STATE(11151)] = 522679,
  [SMALL_STATE(11152)] = 522711,
  [SMALL_STATE(11153)] = 522757,
  [SMALL_STATE(11154)] = 522789,
  [SMALL_STATE(11155)] = 522821,
  [SMALL_STATE(11156)] = 522851,
  [SMALL_STATE(11157)] = 522883,
  [SMALL_STATE(11158)] = 522915,
  [SMALL_STATE(11159)] = 522947,
  [SMALL_STATE(11160)] = 523001,
  [SMALL_STATE(11161)] = 523033,
  [SMALL_STATE(11162)] = 523065,
  [SMALL_STATE(11163)] = 523097,
  [SMALL_STATE(11164)] = 523129,
  [SMALL_STATE(11165)] = 523171,
  [SMALL_STATE(11166)] = 523225,
  [SMALL_STATE(11167)] = 523257,
  [SMALL_STATE(11168)] = 523289,
  [SMALL_STATE(11169)] = 523321,
  [SMALL_STATE(11170)] = 523353,
  [SMALL_STATE(11171)] = 523385,
  [SMALL_STATE(11172)] = 523417,
  [SMALL_STATE(11173)] = 523449,
  [SMALL_STATE(11174)] = 523481,
  [SMALL_STATE(11175)] = 523513,
  [SMALL_STATE(11176)] = 523551,
  [SMALL_STATE(11177)] = 523583,
  [SMALL_STATE(11178)] = 523614,
  [SMALL_STATE(11179)] = 523645,
  [SMALL_STATE(11180)] = 523676,
  [SMALL_STATE(11181)] = 523707,
  [SMALL_STATE(11182)] = 523736,
  [SMALL_STATE(11183)] = 523765,
  [SMALL_STATE(11184)] = 523794,
  [SMALL_STATE(11185)] = 523825,
  [SMALL_STATE(11186)] = 523862,
  [SMALL_STATE(11187)] = 523899,
  [SMALL_STATE(11188)] = 523946,
  [SMALL_STATE(11189)] = 523993,
  [SMALL_STATE(11190)] = 524024,
  [SMALL_STATE(11191)] = 524055,
  [SMALL_STATE(11192)] = 524086,
  [SMALL_STATE(11193)] = 524123,
  [SMALL_STATE(11194)] = 524160,
  [SMALL_STATE(11195)] = 524191,
  [SMALL_STATE(11196)] = 524228,
  [SMALL_STATE(11197)] = 524257,
  [SMALL_STATE(11198)] = 524306,
  [SMALL_STATE(11199)] = 524337,
  [SMALL_STATE(11200)] = 524378,
  [SMALL_STATE(11201)] = 524427,
  [SMALL_STATE(11202)] = 524456,
  [SMALL_STATE(11203)] = 524487,
  [SMALL_STATE(11204)] = 524536,
  [SMALL_STATE(11205)] = 524567,
  [SMALL_STATE(11206)] = 524598,
  [SMALL_STATE(11207)] = 524647,
  [SMALL_STATE(11208)] = 524678,
  [SMALL_STATE(11209)] = 524709,
  [SMALL_STATE(11210)] = 524740,
  [SMALL_STATE(11211)] = 524771,
  [SMALL_STATE(11212)] = 524800,
  [SMALL_STATE(11213)] = 524835,
  [SMALL_STATE(11214)] = 524870,
  [SMALL_STATE(11215)] = 524903,
  [SMALL_STATE(11216)] = 524938,
  [SMALL_STATE(11217)] = 524983,
  [SMALL_STATE(11218)] = 525022,
  [SMALL_STATE(11219)] = 525053,
  [SMALL_STATE(11220)] = 525084,
  [SMALL_STATE(11221)] = 525115,
  [SMALL_STATE(11222)] = 525146,
  [SMALL_STATE(11223)] = 525177,
  [SMALL_STATE(11224)] = 525218,
  [SMALL_STATE(11225)] = 525249,
  [SMALL_STATE(11226)] = 525278,
  [SMALL_STATE(11227)] = 525309,
  [SMALL_STATE(11228)] = 525344,
  [SMALL_STATE(11229)] = 525375,
  [SMALL_STATE(11230)] = 525408,
  [SMALL_STATE(11231)] = 525445,
  [SMALL_STATE(11232)] = 525480,
  [SMALL_STATE(11233)] = 525511,
  [SMALL_STATE(11234)] = 525542,
  [SMALL_STATE(11235)] = 525573,
  [SMALL_STATE(11236)] = 525604,
  [SMALL_STATE(11237)] = 525635,
  [SMALL_STATE(11238)] = 525666,
  [SMALL_STATE(11239)] = 525699,
  [SMALL_STATE(11240)] = 525730,
  [SMALL_STATE(11241)] = 525767,
  [SMALL_STATE(11242)] = 525798,
  [SMALL_STATE(11243)] = 525833,
  [SMALL_STATE(11244)] = 525864,
  [SMALL_STATE(11245)] = 525895,
  [SMALL_STATE(11246)] = 525926,
  [SMALL_STATE(11247)] = 525957,
  [SMALL_STATE(11248)] = 526004,
  [SMALL_STATE(11249)] = 526035,
  [SMALL_STATE(11250)] = 526066,
  [SMALL_STATE(11251)] = 526103,
  [SMALL_STATE(11252)] = 526134,
  [SMALL_STATE(11253)] = 526165,
  [SMALL_STATE(11254)] = 526196,
  [SMALL_STATE(11255)] = 526227,
  [SMALL_STATE(11256)] = 526258,
  [SMALL_STATE(11257)] = 526309,
  [SMALL_STATE(11258)] = 526338,
  [SMALL_STATE(11259)] = 526367,
  [SMALL_STATE(11260)] = 526396,
  [SMALL_STATE(11261)] = 526427,
  [SMALL_STATE(11262)] = 526456,
  [SMALL_STATE(11263)] = 526485,
  [SMALL_STATE(11264)] = 526516,
  [SMALL_STATE(11265)] = 526547,
  [SMALL_STATE(11266)] = 526578,
  [SMALL_STATE(11267)] = 526607,
  [SMALL_STATE(11268)] = 526652,
  [SMALL_STATE(11269)] = 526683,
  [SMALL_STATE(11270)] = 526714,
  [SMALL_STATE(11271)] = 526745,
  [SMALL_STATE(11272)] = 526774,
  [SMALL_STATE(11273)] = 526803,
  [SMALL_STATE(11274)] = 526838,
  [SMALL_STATE(11275)] = 526867,
  [SMALL_STATE(11276)] = 526896,
  [SMALL_STATE(11277)] = 526927,
  [SMALL_STATE(11278)] = 526956,
  [SMALL_STATE(11279)] = 526987,
  [SMALL_STATE(11280)] = 527018,
  [SMALL_STATE(11281)] = 527049,
  [SMALL_STATE(11282)] = 527096,
  [SMALL_STATE(11283)] = 527131,
  [SMALL_STATE(11284)] = 527176,
  [SMALL_STATE(11285)] = 527211,
  [SMALL_STATE(11286)] = 527242,
  [SMALL_STATE(11287)] = 527273,
  [SMALL_STATE(11288)] = 527322,
  [SMALL_STATE(11289)] = 527371,
  [SMALL_STATE(11290)] = 527420,
  [SMALL_STATE(11291)] = 527451,
  [SMALL_STATE(11292)] = 527500,
  [SMALL_STATE(11293)] = 527531,
  [SMALL_STATE(11294)] = 527566,
  [SMALL_STATE(11295)] = 527601,
  [SMALL_STATE(11296)] = 527648,
  [SMALL_STATE(11297)] = 527689,
  [SMALL_STATE(11298)] = 527720,
  [SMALL_STATE(11299)] = 527751,
  [SMALL_STATE(11300)] = 527782,
  [SMALL_STATE(11301)] = 527813,
  [SMALL_STATE(11302)] = 527844,
  [SMALL_STATE(11303)] = 527875,
  [SMALL_STATE(11304)] = 527906,
  [SMALL_STATE(11305)] = 527947,
  [SMALL_STATE(11306)] = 527982,
  [SMALL_STATE(11307)] = 528017,
  [SMALL_STATE(11308)] = 528064,
  [SMALL_STATE(11309)] = 528095,
  [SMALL_STATE(11310)] = 528126,
  [SMALL_STATE(11311)] = 528157,
  [SMALL_STATE(11312)] = 528188,
  [SMALL_STATE(11313)] = 528219,
  [SMALL_STATE(11314)] = 528250,
  [SMALL_STATE(11315)] = 528281,
  [SMALL_STATE(11316)] = 528312,
  [SMALL_STATE(11317)] = 528343,
  [SMALL_STATE(11318)] = 528374,
  [SMALL_STATE(11319)] = 528415,
  [SMALL_STATE(11320)] = 528456,
  [SMALL_STATE(11321)] = 528487,
  [SMALL_STATE(11322)] = 528518,
  [SMALL_STATE(11323)] = 528549,
  [SMALL_STATE(11324)] = 528580,
  [SMALL_STATE(11325)] = 528611,
  [SMALL_STATE(11326)] = 528642,
  [SMALL_STATE(11327)] = 528673,
  [SMALL_STATE(11328)] = 528704,
  [SMALL_STATE(11329)] = 528735,
  [SMALL_STATE(11330)] = 528766,
  [SMALL_STATE(11331)] = 528797,
  [SMALL_STATE(11332)] = 528828,
  [SMALL_STATE(11333)] = 528859,
  [SMALL_STATE(11334)] = 528888,
  [SMALL_STATE(11335)] = 528927,
  [SMALL_STATE(11336)] = 528958,
  [SMALL_STATE(11337)] = 528989,
  [SMALL_STATE(11338)] = 529020,
  [SMALL_STATE(11339)] = 529051,
  [SMALL_STATE(11340)] = 529082,
  [SMALL_STATE(11341)] = 529129,
  [SMALL_STATE(11342)] = 529160,
  [SMALL_STATE(11343)] = 529191,
  [SMALL_STATE(11344)] = 529222,
  [SMALL_STATE(11345)] = 529253,
  [SMALL_STATE(11346)] = 529284,
  [SMALL_STATE(11347)] = 529313,
  [SMALL_STATE(11348)] = 529348,
  [SMALL_STATE(11349)] = 529389,
  [SMALL_STATE(11350)] = 529420,
  [SMALL_STATE(11351)] = 529467,
  [SMALL_STATE(11352)] = 529516,
  [SMALL_STATE(11353)] = 529551,
  [SMALL_STATE(11354)] = 529598,
  [SMALL_STATE(11355)] = 529647,
  [SMALL_STATE(11356)] = 529696,
  [SMALL_STATE(11357)] = 529745,
  [SMALL_STATE(11358)] = 529774,
  [SMALL_STATE(11359)] = 529805,
  [SMALL_STATE(11360)] = 529836,
  [SMALL_STATE(11361)] = 529867,
  [SMALL_STATE(11362)] = 529898,
  [SMALL_STATE(11363)] = 529933,
  [SMALL_STATE(11364)] = 529982,
  [SMALL_STATE(11365)] = 530029,
  [SMALL_STATE(11366)] = 530060,
  [SMALL_STATE(11367)] = 530109,
  [SMALL_STATE(11368)] = 530140,
  [SMALL_STATE(11369)] = 530175,
  [SMALL_STATE(11370)] = 530224,
  [SMALL_STATE(11371)] = 530255,
  [SMALL_STATE(11372)] = 530286,
  [SMALL_STATE(11373)] = 530335,
  [SMALL_STATE(11374)] = 530368,
  [SMALL_STATE(11375)] = 530401,
  [SMALL_STATE(11376)] = 530432,
  [SMALL_STATE(11377)] = 530461,
  [SMALL_STATE(11378)] = 530492,
  [SMALL_STATE(11379)] = 530523,
  [SMALL_STATE(11380)] = 530570,
  [SMALL_STATE(11381)] = 530601,
  [SMALL_STATE(11382)] = 530632,
  [SMALL_STATE(11383)] = 530663,
  [SMALL_STATE(11384)] = 530694,
  [SMALL_STATE(11385)] = 530741,
  [SMALL_STATE(11386)] = 530774,
  [SMALL_STATE(11387)] = 530803,
  [SMALL_STATE(11388)] = 530852,
  [SMALL_STATE(11389)] = 530901,
  [SMALL_STATE(11390)] = 530948,
  [SMALL_STATE(11391)] = 530997,
  [SMALL_STATE(11392)] = 531046,
  [SMALL_STATE(11393)] = 531077,
  [SMALL_STATE(11394)] = 531105,
  [SMALL_STATE(11395)] = 531149,
  [SMALL_STATE(11396)] = 531177,
  [SMALL_STATE(11397)] = 531205,
  [SMALL_STATE(11398)] = 531249,
  [SMALL_STATE(11399)] = 531293,
  [SMALL_STATE(11400)] = 531321,
  [SMALL_STATE(11401)] = 531365,
  [SMALL_STATE(11402)] = 531409,
  [SMALL_STATE(11403)] = 531453,
  [SMALL_STATE(11404)] = 531497,
  [SMALL_STATE(11405)] = 531541,
  [SMALL_STATE(11406)] = 531585,
  [SMALL_STATE(11407)] = 531629,
  [SMALL_STATE(11408)] = 531673,
  [SMALL_STATE(11409)] = 531703,
  [SMALL_STATE(11410)] = 531747,
  [SMALL_STATE(11411)] = 531791,
  [SMALL_STATE(11412)] = 531819,
  [SMALL_STATE(11413)] = 531863,
  [SMALL_STATE(11414)] = 531891,
  [SMALL_STATE(11415)] = 531939,
  [SMALL_STATE(11416)] = 531983,
  [SMALL_STATE(11417)] = 532011,
  [SMALL_STATE(11418)] = 532043,
  [SMALL_STATE(11419)] = 532087,
  [SMALL_STATE(11420)] = 532131,
  [SMALL_STATE(11421)] = 532175,
  [SMALL_STATE(11422)] = 532203,
  [SMALL_STATE(11423)] = 532247,
  [SMALL_STATE(11424)] = 532293,
  [SMALL_STATE(11425)] = 532321,
  [SMALL_STATE(11426)] = 532365,
  [SMALL_STATE(11427)] = 532409,
  [SMALL_STATE(11428)] = 532453,
  [SMALL_STATE(11429)] = 532497,
  [SMALL_STATE(11430)] = 532541,
  [SMALL_STATE(11431)] = 532569,
  [SMALL_STATE(11432)] = 532613,
  [SMALL_STATE(11433)] = 532657,
  [SMALL_STATE(11434)] = 532701,
  [SMALL_STATE(11435)] = 532729,
  [SMALL_STATE(11436)] = 532773,
  [SMALL_STATE(11437)] = 532817,
  [SMALL_STATE(11438)] = 532845,
  [SMALL_STATE(11439)] = 532889,
  [SMALL_STATE(11440)] = 532933,
  [SMALL_STATE(11441)] = 532977,
  [SMALL_STATE(11442)] = 533023,
  [SMALL_STATE(11443)] = 533067,
  [SMALL_STATE(11444)] = 533111,
  [SMALL_STATE(11445)] = 533141,
  [SMALL_STATE(11446)] = 533175,
  [SMALL_STATE(11447)] = 533221,
  [SMALL_STATE(11448)] = 533265,
  [SMALL_STATE(11449)] = 533293,
  [SMALL_STATE(11450)] = 533333,
  [SMALL_STATE(11451)] = 533361,
  [SMALL_STATE(11452)] = 533405,
  [SMALL_STATE(11453)] = 533449,
  [SMALL_STATE(11454)] = 533479,
  [SMALL_STATE(11455)] = 533509,
  [SMALL_STATE(11456)] = 533553,
  [SMALL_STATE(11457)] = 533597,
  [SMALL_STATE(11458)] = 533641,
  [SMALL_STATE(11459)] = 533685,
  [SMALL_STATE(11460)] = 533733,
  [SMALL_STATE(11461)] = 533761,
  [SMALL_STATE(11462)] = 533789,
  [SMALL_STATE(11463)] = 533833,
  [SMALL_STATE(11464)] = 533877,
  [SMALL_STATE(11465)] = 533921,
  [SMALL_STATE(11466)] = 533969,
  [SMALL_STATE(11467)] = 534013,
  [SMALL_STATE(11468)] = 534057,
  [SMALL_STATE(11469)] = 534085,
  [SMALL_STATE(11470)] = 534129,
  [SMALL_STATE(11471)] = 534157,
  [SMALL_STATE(11472)] = 534201,
  [SMALL_STATE(11473)] = 534235,
  [SMALL_STATE(11474)] = 534279,
  [SMALL_STATE(11475)] = 534307,
  [SMALL_STATE(11476)] = 534351,
  [SMALL_STATE(11477)] = 534381,
  [SMALL_STATE(11478)] = 534425,
  [SMALL_STATE(11479)] = 534469,
  [SMALL_STATE(11480)] = 534513,
  [SMALL_STATE(11481)] = 534559,
  [SMALL_STATE(11482)] = 534603,
  [SMALL_STATE(11483)] = 534647,
  [SMALL_STATE(11484)] = 534691,
  [SMALL_STATE(11485)] = 534719,
  [SMALL_STATE(11486)] = 534749,
  [SMALL_STATE(11487)] = 534795,
  [SMALL_STATE(11488)] = 534839,
  [SMALL_STATE(11489)] = 534883,
  [SMALL_STATE(11490)] = 534927,
  [SMALL_STATE(11491)] = 534957,
  [SMALL_STATE(11492)] = 534985,
  [SMALL_STATE(11493)] = 535013,
  [SMALL_STATE(11494)] = 535057,
  [SMALL_STATE(11495)] = 535101,
  [SMALL_STATE(11496)] = 535145,
  [SMALL_STATE(11497)] = 535189,
  [SMALL_STATE(11498)] = 535233,
  [SMALL_STATE(11499)] = 535263,
  [SMALL_STATE(11500)] = 535291,
  [SMALL_STATE(11501)] = 535319,
  [SMALL_STATE(11502)] = 535363,
  [SMALL_STATE(11503)] = 535407,
  [SMALL_STATE(11504)] = 535447,
  [SMALL_STATE(11505)] = 535477,
  [SMALL_STATE(11506)] = 535523,
  [SMALL_STATE(11507)] = 535567,
  [SMALL_STATE(11508)] = 535611,
  [SMALL_STATE(11509)] = 535639,
  [SMALL_STATE(11510)] = 535669,
  [SMALL_STATE(11511)] = 535699,
  [SMALL_STATE(11512)] = 535729,
  [SMALL_STATE(11513)] = 535759,
  [SMALL_STATE(11514)] = 535803,
  [SMALL_STATE(11515)] = 535833,
  [SMALL_STATE(11516)] = 535863,
  [SMALL_STATE(11517)] = 535907,
  [SMALL_STATE(11518)] = 535937,
  [SMALL_STATE(11519)] = 535967,
  [SMALL_STATE(11520)] = 535997,
  [SMALL_STATE(11521)] = 536027,
  [SMALL_STATE(11522)] = 536071,
  [SMALL_STATE(11523)] = 536115,
  [SMALL_STATE(11524)] = 536159,
  [SMALL_STATE(11525)] = 536189,
  [SMALL_STATE(11526)] = 536219,
  [SMALL_STATE(11527)] = 536249,
  [SMALL_STATE(11528)] = 536289,
  [SMALL_STATE(11529)] = 536333,
  [SMALL_STATE(11530)] = 536361,
  [SMALL_STATE(11531)] = 536407,
  [SMALL_STATE(11532)] = 536451,
  [SMALL_STATE(11533)] = 536495,
  [SMALL_STATE(11534)] = 536523,
  [SMALL_STATE(11535)] = 536551,
  [SMALL_STATE(11536)] = 536579,
  [SMALL_STATE(11537)] = 536615,
  [SMALL_STATE(11538)] = 536643,
  [SMALL_STATE(11539)] = 536687,
  [SMALL_STATE(11540)] = 536715,
  [SMALL_STATE(11541)] = 536743,
  [SMALL_STATE(11542)] = 536771,
  [SMALL_STATE(11543)] = 536799,
  [SMALL_STATE(11544)] = 536833,
  [SMALL_STATE(11545)] = 536865,
  [SMALL_STATE(11546)] = 536895,
  [SMALL_STATE(11547)] = 536939,
  [SMALL_STATE(11548)] = 536983,
  [SMALL_STATE(11549)] = 537011,
  [SMALL_STATE(11550)] = 537039,
  [SMALL_STATE(11551)] = 537067,
  [SMALL_STATE(11552)] = 537095,
  [SMALL_STATE(11553)] = 537123,
  [SMALL_STATE(11554)] = 537167,
  [SMALL_STATE(11555)] = 537211,
  [SMALL_STATE(11556)] = 537255,
  [SMALL_STATE(11557)] = 537299,
  [SMALL_STATE(11558)] = 537343,
  [SMALL_STATE(11559)] = 537371,
  [SMALL_STATE(11560)] = 537415,
  [SMALL_STATE(11561)] = 537459,
  [SMALL_STATE(11562)] = 537487,
  [SMALL_STATE(11563)] = 537519,
  [SMALL_STATE(11564)] = 537563,
  [SMALL_STATE(11565)] = 537607,
  [SMALL_STATE(11566)] = 537635,
  [SMALL_STATE(11567)] = 537663,
  [SMALL_STATE(11568)] = 537693,
  [SMALL_STATE(11569)] = 537737,
  [SMALL_STATE(11570)] = 537767,
  [SMALL_STATE(11571)] = 537803,
  [SMALL_STATE(11572)] = 537831,
  [SMALL_STATE(11573)] = 537875,
  [SMALL_STATE(11574)] = 537919,
  [SMALL_STATE(11575)] = 537947,
  [SMALL_STATE(11576)] = 537975,
  [SMALL_STATE(11577)] = 538019,
  [SMALL_STATE(11578)] = 538057,
  [SMALL_STATE(11579)] = 538101,
  [SMALL_STATE(11580)] = 538145,
  [SMALL_STATE(11581)] = 538173,
  [SMALL_STATE(11582)] = 538217,
  [SMALL_STATE(11583)] = 538251,
  [SMALL_STATE(11584)] = 538295,
  [SMALL_STATE(11585)] = 538339,
  [SMALL_STATE(11586)] = 538369,
  [SMALL_STATE(11587)] = 538413,
  [SMALL_STATE(11588)] = 538457,
  [SMALL_STATE(11589)] = 538505,
  [SMALL_STATE(11590)] = 538537,
  [SMALL_STATE(11591)] = 538585,
  [SMALL_STATE(11592)] = 538629,
  [SMALL_STATE(11593)] = 538673,
  [SMALL_STATE(11594)] = 538719,
  [SMALL_STATE(11595)] = 538759,
  [SMALL_STATE(11596)] = 538803,
  [SMALL_STATE(11597)] = 538847,
  [SMALL_STATE(11598)] = 538891,
  [SMALL_STATE(11599)] = 538921,
  [SMALL_STATE(11600)] = 538951,
  [SMALL_STATE(11601)] = 538981,
  [SMALL_STATE(11602)] = 539011,
  [SMALL_STATE(11603)] = 539055,
  [SMALL_STATE(11604)] = 539085,
  [SMALL_STATE(11605)] = 539129,
  [SMALL_STATE(11606)] = 539159,
  [SMALL_STATE(11607)] = 539203,
  [SMALL_STATE(11608)] = 539233,
  [SMALL_STATE(11609)] = 539277,
  [SMALL_STATE(11610)] = 539323,
  [SMALL_STATE(11611)] = 539367,
  [SMALL_STATE(11612)] = 539413,
  [SMALL_STATE(11613)] = 539459,
  [SMALL_STATE(11614)] = 539487,
  [SMALL_STATE(11615)] = 539517,
  [SMALL_STATE(11616)] = 539545,
  [SMALL_STATE(11617)] = 539593,
  [SMALL_STATE(11618)] = 539637,
  [SMALL_STATE(11619)] = 539681,
  [SMALL_STATE(11620)] = 539711,
  [SMALL_STATE(11621)] = 539757,
  [SMALL_STATE(11622)] = 539803,
  [SMALL_STATE(11623)] = 539847,
  [SMALL_STATE(11624)] = 539877,
  [SMALL_STATE(11625)] = 539921,
  [SMALL_STATE(11626)] = 539951,
  [SMALL_STATE(11627)] = 539995,
  [SMALL_STATE(11628)] = 540039,
  [SMALL_STATE(11629)] = 540087,
  [SMALL_STATE(11630)] = 540117,
  [SMALL_STATE(11631)] = 540163,
  [SMALL_STATE(11632)] = 540193,
  [SMALL_STATE(11633)] = 540237,
  [SMALL_STATE(11634)] = 540281,
  [SMALL_STATE(11635)] = 540325,
  [SMALL_STATE(11636)] = 540353,
  [SMALL_STATE(11637)] = 540397,
  [SMALL_STATE(11638)] = 540441,
  [SMALL_STATE(11639)] = 540485,
  [SMALL_STATE(11640)] = 540529,
  [SMALL_STATE(11641)] = 540561,
  [SMALL_STATE(11642)] = 540589,
  [SMALL_STATE(11643)] = 540619,
  [SMALL_STATE(11644)] = 540663,
  [SMALL_STATE(11645)] = 540691,
  [SMALL_STATE(11646)] = 540735,
  [SMALL_STATE(11647)] = 540779,
  [SMALL_STATE(11648)] = 540807,
  [SMALL_STATE(11649)] = 540835,
  [SMALL_STATE(11650)] = 540881,
  [SMALL_STATE(11651)] = 540925,
  [SMALL_STATE(11652)] = 540969,
  [SMALL_STATE(11653)] = 541013,
  [SMALL_STATE(11654)] = 541057,
  [SMALL_STATE(11655)] = 541087,
  [SMALL_STATE(11656)] = 541115,
  [SMALL_STATE(11657)] = 541159,
  [SMALL_STATE(11658)] = 541189,
  [SMALL_STATE(11659)] = 541233,
  [SMALL_STATE(11660)] = 541263,
  [SMALL_STATE(11661)] = 541291,
  [SMALL_STATE(11662)] = 541335,
  [SMALL_STATE(11663)] = 541379,
  [SMALL_STATE(11664)] = 541427,
  [SMALL_STATE(11665)] = 541463,
  [SMALL_STATE(11666)] = 541511,
  [SMALL_STATE(11667)] = 541539,
  [SMALL_STATE(11668)] = 541567,
  [SMALL_STATE(11669)] = 541595,
  [SMALL_STATE(11670)] = 541639,
  [SMALL_STATE(11671)] = 541669,
  [SMALL_STATE(11672)] = 541715,
  [SMALL_STATE(11673)] = 541759,
  [SMALL_STATE(11674)] = 541789,
  [SMALL_STATE(11675)] = 541835,
  [SMALL_STATE(11676)] = 541863,
  [SMALL_STATE(11677)] = 541907,
  [SMALL_STATE(11678)] = 541953,
  [SMALL_STATE(11679)] = 541981,
  [SMALL_STATE(11680)] = 542025,
  [SMALL_STATE(11681)] = 542053,
  [SMALL_STATE(11682)] = 542081,
  [SMALL_STATE(11683)] = 542109,
  [SMALL_STATE(11684)] = 542137,
  [SMALL_STATE(11685)] = 542167,
  [SMALL_STATE(11686)] = 542195,
  [SMALL_STATE(11687)] = 542239,
  [SMALL_STATE(11688)] = 542283,
  [SMALL_STATE(11689)] = 542331,
  [SMALL_STATE(11690)] = 542375,
  [SMALL_STATE(11691)] = 542419,
  [SMALL_STATE(11692)] = 542447,
  [SMALL_STATE(11693)] = 542475,
  [SMALL_STATE(11694)] = 542523,
  [SMALL_STATE(11695)] = 542567,
  [SMALL_STATE(11696)] = 542615,
  [SMALL_STATE(11697)] = 542659,
  [SMALL_STATE(11698)] = 542703,
  [SMALL_STATE(11699)] = 542731,
  [SMALL_STATE(11700)] = 542759,
  [SMALL_STATE(11701)] = 542787,
  [SMALL_STATE(11702)] = 542817,
  [SMALL_STATE(11703)] = 542845,
  [SMALL_STATE(11704)] = 542889,
  [SMALL_STATE(11705)] = 542933,
  [SMALL_STATE(11706)] = 542977,
  [SMALL_STATE(11707)] = 543021,
  [SMALL_STATE(11708)] = 543049,
  [SMALL_STATE(11709)] = 543097,
  [SMALL_STATE(11710)] = 543145,
  [SMALL_STATE(11711)] = 543173,
  [SMALL_STATE(11712)] = 543221,
  [SMALL_STATE(11713)] = 543248,
  [SMALL_STATE(11714)] = 543289,
  [SMALL_STATE(11715)] = 543320,
  [SMALL_STATE(11716)] = 543349,
  [SMALL_STATE(11717)] = 543378,
  [SMALL_STATE(11718)] = 543411,
  [SMALL_STATE(11719)] = 543444,
  [SMALL_STATE(11720)] = 543485,
  [SMALL_STATE(11721)] = 543516,
  [SMALL_STATE(11722)] = 543545,
  [SMALL_STATE(11723)] = 543574,
  [SMALL_STATE(11724)] = 543601,
  [SMALL_STATE(11725)] = 543640,
  [SMALL_STATE(11726)] = 543667,
  [SMALL_STATE(11727)] = 543694,
  [SMALL_STATE(11728)] = 543723,
  [SMALL_STATE(11729)] = 543762,
  [SMALL_STATE(11730)] = 543803,
  [SMALL_STATE(11731)] = 543832,
  [SMALL_STATE(11732)] = 543873,
  [SMALL_STATE(11733)] = 543900,
  [SMALL_STATE(11734)] = 543941,
  [SMALL_STATE(11735)] = 543970,
  [SMALL_STATE(11736)] = 544017,
  [SMALL_STATE(11737)] = 544068,
  [SMALL_STATE(11738)] = 544095,
  [SMALL_STATE(11739)] = 544136,
  [SMALL_STATE(11740)] = 544177,
  [SMALL_STATE(11741)] = 544206,
  [SMALL_STATE(11742)] = 544235,
  [SMALL_STATE(11743)] = 544264,
  [SMALL_STATE(11744)] = 544293,
  [SMALL_STATE(11745)] = 544322,
  [SMALL_STATE(11746)] = 544351,
  [SMALL_STATE(11747)] = 544392,
  [SMALL_STATE(11748)] = 544421,
  [SMALL_STATE(11749)] = 544450,
  [SMALL_STATE(11750)] = 544491,
  [SMALL_STATE(11751)] = 544538,
  [SMALL_STATE(11752)] = 544567,
  [SMALL_STATE(11753)] = 544596,
  [SMALL_STATE(11754)] = 544623,
  [SMALL_STATE(11755)] = 544656,
  [SMALL_STATE(11756)] = 544697,
  [SMALL_STATE(11757)] = 544726,
  [SMALL_STATE(11758)] = 544757,
  [SMALL_STATE(11759)] = 544784,
  [SMALL_STATE(11760)] = 544811,
  [SMALL_STATE(11761)] = 544840,
  [SMALL_STATE(11762)] = 544869,
  [SMALL_STATE(11763)] = 544898,
  [SMALL_STATE(11764)] = 544945,
  [SMALL_STATE(11765)] = 544986,
  [SMALL_STATE(11766)] = 545015,
  [SMALL_STATE(11767)] = 545042,
  [SMALL_STATE(11768)] = 545069,
  [SMALL_STATE(11769)] = 545110,
  [SMALL_STATE(11770)] = 545137,
  [SMALL_STATE(11771)] = 545166,
  [SMALL_STATE(11772)] = 545207,
  [SMALL_STATE(11773)] = 545236,
  [SMALL_STATE(11774)] = 545263,
  [SMALL_STATE(11775)] = 545294,
  [SMALL_STATE(11776)] = 545327,
  [SMALL_STATE(11777)] = 545356,
  [SMALL_STATE(11778)] = 545383,
  [SMALL_STATE(11779)] = 545412,
  [SMALL_STATE(11780)] = 545453,
  [SMALL_STATE(11781)] = 545480,
  [SMALL_STATE(11782)] = 545509,
  [SMALL_STATE(11783)] = 545550,
  [SMALL_STATE(11784)] = 545577,
  [SMALL_STATE(11785)] = 545604,
  [SMALL_STATE(11786)] = 545645,
  [SMALL_STATE(11787)] = 545692,
  [SMALL_STATE(11788)] = 545719,
  [SMALL_STATE(11789)] = 545750,
  [SMALL_STATE(11790)] = 545777,
  [SMALL_STATE(11791)] = 545804,
  [SMALL_STATE(11792)] = 545831,
  [SMALL_STATE(11793)] = 545860,
  [SMALL_STATE(11794)] = 545889,
  [SMALL_STATE(11795)] = 545930,
  [SMALL_STATE(11796)] = 545971,
  [SMALL_STATE(11797)] = 545998,
  [SMALL_STATE(11798)] = 546037,
  [SMALL_STATE(11799)] = 546084,
  [SMALL_STATE(11800)] = 546125,
  [SMALL_STATE(11801)] = 546154,
  [SMALL_STATE(11802)] = 546201,
  [SMALL_STATE(11803)] = 546232,
  [SMALL_STATE(11804)] = 546259,
  [SMALL_STATE(11805)] = 546288,
  [SMALL_STATE(11806)] = 546317,
  [SMALL_STATE(11807)] = 546346,
  [SMALL_STATE(11808)] = 546373,
  [SMALL_STATE(11809)] = 546400,
  [SMALL_STATE(11810)] = 546447,
  [SMALL_STATE(11811)] = 546476,
  [SMALL_STATE(11812)] = 546505,
  [SMALL_STATE(11813)] = 546532,
  [SMALL_STATE(11814)] = 546559,
  [SMALL_STATE(11815)] = 546586,
  [SMALL_STATE(11816)] = 546627,
  [SMALL_STATE(11817)] = 546656,
  [SMALL_STATE(11818)] = 546697,
  [SMALL_STATE(11819)] = 546744,
  [SMALL_STATE(11820)] = 546771,
  [SMALL_STATE(11821)] = 546798,
  [SMALL_STATE(11822)] = 546827,
  [SMALL_STATE(11823)] = 546856,
  [SMALL_STATE(11824)] = 546883,
  [SMALL_STATE(11825)] = 546910,
  [SMALL_STATE(11826)] = 546937,
  [SMALL_STATE(11827)] = 546980,
  [SMALL_STATE(11828)] = 547021,
  [SMALL_STATE(11829)] = 547068,
  [SMALL_STATE(11830)] = 547095,
  [SMALL_STATE(11831)] = 547136,
  [SMALL_STATE(11832)] = 547163,
  [SMALL_STATE(11833)] = 547204,
  [SMALL_STATE(11834)] = 547245,
  [SMALL_STATE(11835)] = 547272,
  [SMALL_STATE(11836)] = 547301,
  [SMALL_STATE(11837)] = 547342,
  [SMALL_STATE(11838)] = 547371,
  [SMALL_STATE(11839)] = 547398,
  [SMALL_STATE(11840)] = 547425,
  [SMALL_STATE(11841)] = 547454,
  [SMALL_STATE(11842)] = 547485,
  [SMALL_STATE(11843)] = 547512,
  [SMALL_STATE(11844)] = 547539,
  [SMALL_STATE(11845)] = 547566,
  [SMALL_STATE(11846)] = 547613,
  [SMALL_STATE(11847)] = 547644,
  [SMALL_STATE(11848)] = 547691,
  [SMALL_STATE(11849)] = 547718,
  [SMALL_STATE(11850)] = 547759,
  [SMALL_STATE(11851)] = 547786,
  [SMALL_STATE(11852)] = 547815,
  [SMALL_STATE(11853)] = 547860,
  [SMALL_STATE(11854)] = 547887,
  [SMALL_STATE(11855)] = 547928,
  [SMALL_STATE(11856)] = 547955,
  [SMALL_STATE(11857)] = 547984,
  [SMALL_STATE(11858)] = 548013,
  [SMALL_STATE(11859)] = 548042,
  [SMALL_STATE(11860)] = 548071,
  [SMALL_STATE(11861)] = 548098,
  [SMALL_STATE(11862)] = 548125,
  [SMALL_STATE(11863)] = 548166,
  [SMALL_STATE(11864)] = 548195,
  [SMALL_STATE(11865)] = 548222,
  [SMALL_STATE(11866)] = 548263,
  [SMALL_STATE(11867)] = 548290,
  [SMALL_STATE(11868)] = 548331,
  [SMALL_STATE(11869)] = 548360,
  [SMALL_STATE(11870)] = 548389,
  [SMALL_STATE(11871)] = 548416,
  [SMALL_STATE(11872)] = 548445,
  [SMALL_STATE(11873)] = 548486,
  [SMALL_STATE(11874)] = 548513,
  [SMALL_STATE(11875)] = 548540,
  [SMALL_STATE(11876)] = 548569,
  [SMALL_STATE(11877)] = 548598,
  [SMALL_STATE(11878)] = 548629,
  [SMALL_STATE(11879)] = 548656,
  [SMALL_STATE(11880)] = 548683,
  [SMALL_STATE(11881)] = 548710,
  [SMALL_STATE(11882)] = 548737,
  [SMALL_STATE(11883)] = 548784,
  [SMALL_STATE(11884)] = 548825,
  [SMALL_STATE(11885)] = 548852,
  [SMALL_STATE(11886)] = 548879,
  [SMALL_STATE(11887)] = 548906,
  [SMALL_STATE(11888)] = 548935,
  [SMALL_STATE(11889)] = 548962,
  [SMALL_STATE(11890)] = 548989,
  [SMALL_STATE(11891)] = 549016,
  [SMALL_STATE(11892)] = 549063,
  [SMALL_STATE(11893)] = 549090,
  [SMALL_STATE(11894)] = 549117,
  [SMALL_STATE(11895)] = 549146,
  [SMALL_STATE(11896)] = 549173,
  [SMALL_STATE(11897)] = 549200,
  [SMALL_STATE(11898)] = 549227,
  [SMALL_STATE(11899)] = 549254,
  [SMALL_STATE(11900)] = 549281,
  [SMALL_STATE(11901)] = 549310,
  [SMALL_STATE(11902)] = 549351,
  [SMALL_STATE(11903)] = 549380,
  [SMALL_STATE(11904)] = 549407,
  [SMALL_STATE(11905)] = 549448,
  [SMALL_STATE(11906)] = 549477,
  [SMALL_STATE(11907)] = 549504,
  [SMALL_STATE(11908)] = 549545,
  [SMALL_STATE(11909)] = 549572,
  [SMALL_STATE(11910)] = 549599,
  [SMALL_STATE(11911)] = 549626,
  [SMALL_STATE(11912)] = 549653,
  [SMALL_STATE(11913)] = 549682,
  [SMALL_STATE(11914)] = 549723,
  [SMALL_STATE(11915)] = 549750,
  [SMALL_STATE(11916)] = 549779,
  [SMALL_STATE(11917)] = 549808,
  [SMALL_STATE(11918)] = 549837,
  [SMALL_STATE(11919)] = 549878,
  [SMALL_STATE(11920)] = 549911,
  [SMALL_STATE(11921)] = 549940,
  [SMALL_STATE(11922)] = 549969,
  [SMALL_STATE(11923)] = 549998,
  [SMALL_STATE(11924)] = 550031,
  [SMALL_STATE(11925)] = 550058,
  [SMALL_STATE(11926)] = 550087,
  [SMALL_STATE(11927)] = 550126,
  [SMALL_STATE(11928)] = 550155,
  [SMALL_STATE(11929)] = 550196,
  [SMALL_STATE(11930)] = 550223,
  [SMALL_STATE(11931)] = 550250,
  [SMALL_STATE(11932)] = 550279,
  [SMALL_STATE(11933)] = 550308,
  [SMALL_STATE(11934)] = 550337,
  [SMALL_STATE(11935)] = 550366,
  [SMALL_STATE(11936)] = 550395,
  [SMALL_STATE(11937)] = 550438,
  [SMALL_STATE(11938)] = 550467,
  [SMALL_STATE(11939)] = 550498,
  [SMALL_STATE(11940)] = 550539,
  [SMALL_STATE(11941)] = 550568,
  [SMALL_STATE(11942)] = 550597,
  [SMALL_STATE(11943)] = 550624,
  [SMALL_STATE(11944)] = 550651,
  [SMALL_STATE(11945)] = 550678,
  [SMALL_STATE(11946)] = 550725,
  [SMALL_STATE(11947)] = 550766,
  [SMALL_STATE(11948)] = 550795,
  [SMALL_STATE(11949)] = 550824,
  [SMALL_STATE(11950)] = 550851,
  [SMALL_STATE(11951)] = 550878,
  [SMALL_STATE(11952)] = 550905,
  [SMALL_STATE(11953)] = 550934,
  [SMALL_STATE(11954)] = 550961,
  [SMALL_STATE(11955)] = 550992,
  [SMALL_STATE(11956)] = 551019,
  [SMALL_STATE(11957)] = 551046,
  [SMALL_STATE(11958)] = 551093,
  [SMALL_STATE(11959)] = 551122,
  [SMALL_STATE(11960)] = 551163,
  [SMALL_STATE(11961)] = 551204,
  [SMALL_STATE(11962)] = 551231,
  [SMALL_STATE(11963)] = 551272,
  [SMALL_STATE(11964)] = 551313,
  [SMALL_STATE(11965)] = 551340,
  [SMALL_STATE(11966)] = 551367,
  [SMALL_STATE(11967)] = 551394,
  [SMALL_STATE(11968)] = 551429,
  [SMALL_STATE(11969)] = 551456,
  [SMALL_STATE(11970)] = 551483,
  [SMALL_STATE(11971)] = 551510,
  [SMALL_STATE(11972)] = 551557,
  [SMALL_STATE(11973)] = 551598,
  [SMALL_STATE(11974)] = 551627,
  [SMALL_STATE(11975)] = 551654,
  [SMALL_STATE(11976)] = 551681,
  [SMALL_STATE(11977)] = 551708,
  [SMALL_STATE(11978)] = 551735,
  [SMALL_STATE(11979)] = 551776,
  [SMALL_STATE(11980)] = 551803,
  [SMALL_STATE(11981)] = 551830,
  [SMALL_STATE(11982)] = 551871,
  [SMALL_STATE(11983)] = 551902,
  [SMALL_STATE(11984)] = 551929,
  [SMALL_STATE(11985)] = 551956,
  [SMALL_STATE(11986)] = 551997,
  [SMALL_STATE(11987)] = 552036,
  [SMALL_STATE(11988)] = 552063,
  [SMALL_STATE(11989)] = 552090,
  [SMALL_STATE(11990)] = 552117,
  [SMALL_STATE(11991)] = 552144,
  [SMALL_STATE(11992)] = 552185,
  [SMALL_STATE(11993)] = 552232,
  [SMALL_STATE(11994)] = 552273,
  [SMALL_STATE(11995)] = 552314,
  [SMALL_STATE(11996)] = 552355,
  [SMALL_STATE(11997)] = 552382,
  [SMALL_STATE(11998)] = 552421,
  [SMALL_STATE(11999)] = 552454,
  [SMALL_STATE(12000)] = 552495,
  [SMALL_STATE(12001)] = 552522,
  [SMALL_STATE(12002)] = 552563,
  [SMALL_STATE(12003)] = 552594,
  [SMALL_STATE(12004)] = 552635,
  [SMALL_STATE(12005)] = 552664,
  [SMALL_STATE(12006)] = 552705,
  [SMALL_STATE(12007)] = 552746,
  [SMALL_STATE(12008)] = 552773,
  [SMALL_STATE(12009)] = 552802,
  [SMALL_STATE(12010)] = 552831,
  [SMALL_STATE(12011)] = 552872,
  [SMALL_STATE(12012)] = 552899,
  [SMALL_STATE(12013)] = 552940,
  [SMALL_STATE(12014)] = 552967,
  [SMALL_STATE(12015)] = 553008,
  [SMALL_STATE(12016)] = 553049,
  [SMALL_STATE(12017)] = 553090,
  [SMALL_STATE(12018)] = 553117,
  [SMALL_STATE(12019)] = 553158,
  [SMALL_STATE(12020)] = 553197,
  [SMALL_STATE(12021)] = 553238,
  [SMALL_STATE(12022)] = 553279,
  [SMALL_STATE(12023)] = 553320,
  [SMALL_STATE(12024)] = 553361,
  [SMALL_STATE(12025)] = 553402,
  [SMALL_STATE(12026)] = 553429,
  [SMALL_STATE(12027)] = 553470,
  [SMALL_STATE(12028)] = 553511,
  [SMALL_STATE(12029)] = 553540,
  [SMALL_STATE(12030)] = 553581,
  [SMALL_STATE(12031)] = 553612,
  [SMALL_STATE(12032)] = 553653,
  [SMALL_STATE(12033)] = 553694,
  [SMALL_STATE(12034)] = 553727,
  [SMALL_STATE(12035)] = 553756,
  [SMALL_STATE(12036)] = 553797,
  [SMALL_STATE(12037)] = 553824,
  [SMALL_STATE(12038)] = 553865,
  [SMALL_STATE(12039)] = 553906,
  [SMALL_STATE(12040)] = 553935,
  [SMALL_STATE(12041)] = 553976,
  [SMALL_STATE(12042)] = 554005,
  [SMALL_STATE(12043)] = 554032,
  [SMALL_STATE(12044)] = 554061,
  [SMALL_STATE(12045)] = 554102,
  [SMALL_STATE(12046)] = 554129,
  [SMALL_STATE(12047)] = 554160,
  [SMALL_STATE(12048)] = 554187,
  [SMALL_STATE(12049)] = 554228,
  [SMALL_STATE(12050)] = 554255,
  [SMALL_STATE(12051)] = 554282,
  [SMALL_STATE(12052)] = 554309,
  [SMALL_STATE(12053)] = 554336,
  [SMALL_STATE(12054)] = 554365,
  [SMALL_STATE(12055)] = 554398,
  [SMALL_STATE(12056)] = 554425,
  [SMALL_STATE(12057)] = 554472,
  [SMALL_STATE(12058)] = 554501,
  [SMALL_STATE(12059)] = 554528,
  [SMALL_STATE(12060)] = 554575,
  [SMALL_STATE(12061)] = 554604,
  [SMALL_STATE(12062)] = 554631,
  [SMALL_STATE(12063)] = 554658,
  [SMALL_STATE(12064)] = 554699,
  [SMALL_STATE(12065)] = 554726,
  [SMALL_STATE(12066)] = 554767,
  [SMALL_STATE(12067)] = 554794,
  [SMALL_STATE(12068)] = 554823,
  [SMALL_STATE(12069)] = 554850,
  [SMALL_STATE(12070)] = 554891,
  [SMALL_STATE(12071)] = 554930,
  [SMALL_STATE(12072)] = 554973,
  [SMALL_STATE(12073)] = 555000,
  [SMALL_STATE(12074)] = 555029,
  [SMALL_STATE(12075)] = 555060,
  [SMALL_STATE(12076)] = 555101,
  [SMALL_STATE(12077)] = 555130,
  [SMALL_STATE(12078)] = 555157,
  [SMALL_STATE(12079)] = 555185,
  [SMALL_STATE(12080)] = 555211,
  [SMALL_STATE(12081)] = 555251,
  [SMALL_STATE(12082)] = 555277,
  [SMALL_STATE(12083)] = 555303,
  [SMALL_STATE(12084)] = 555329,
  [SMALL_STATE(12085)] = 555369,
  [SMALL_STATE(12086)] = 555395,
  [SMALL_STATE(12087)] = 555423,
  [SMALL_STATE(12088)] = 555449,
  [SMALL_STATE(12089)] = 555475,
  [SMALL_STATE(12090)] = 555505,
  [SMALL_STATE(12091)] = 555545,
  [SMALL_STATE(12092)] = 555585,
  [SMALL_STATE(12093)] = 555615,
  [SMALL_STATE(12094)] = 555655,
  [SMALL_STATE(12095)] = 555681,
  [SMALL_STATE(12096)] = 555721,
  [SMALL_STATE(12097)] = 555761,
  [SMALL_STATE(12098)] = 555787,
  [SMALL_STATE(12099)] = 555827,
  [SMALL_STATE(12100)] = 555855,
  [SMALL_STATE(12101)] = 555881,
  [SMALL_STATE(12102)] = 555909,
  [SMALL_STATE(12103)] = 555941,
  [SMALL_STATE(12104)] = 555969,
  [SMALL_STATE(12105)] = 556009,
  [SMALL_STATE(12106)] = 556035,
  [SMALL_STATE(12107)] = 556075,
  [SMALL_STATE(12108)] = 556115,
  [SMALL_STATE(12109)] = 556141,
  [SMALL_STATE(12110)] = 556167,
  [SMALL_STATE(12111)] = 556199,
  [SMALL_STATE(12112)] = 556225,
  [SMALL_STATE(12113)] = 556251,
  [SMALL_STATE(12114)] = 556277,
  [SMALL_STATE(12115)] = 556303,
  [SMALL_STATE(12116)] = 556341,
  [SMALL_STATE(12117)] = 556367,
  [SMALL_STATE(12118)] = 556395,
  [SMALL_STATE(12119)] = 556421,
  [SMALL_STATE(12120)] = 556461,
  [SMALL_STATE(12121)] = 556489,
  [SMALL_STATE(12122)] = 556515,
  [SMALL_STATE(12123)] = 556541,
  [SMALL_STATE(12124)] = 556581,
  [SMALL_STATE(12125)] = 556607,
  [SMALL_STATE(12126)] = 556633,
  [SMALL_STATE(12127)] = 556659,
  [SMALL_STATE(12128)] = 556685,
  [SMALL_STATE(12129)] = 556711,
  [SMALL_STATE(12130)] = 556737,
  [SMALL_STATE(12131)] = 556777,
  [SMALL_STATE(12132)] = 556803,
  [SMALL_STATE(12133)] = 556831,
  [SMALL_STATE(12134)] = 556857,
  [SMALL_STATE(12135)] = 556887,
  [SMALL_STATE(12136)] = 556913,
  [SMALL_STATE(12137)] = 556939,
  [SMALL_STATE(12138)] = 556965,
  [SMALL_STATE(12139)] = 557005,
  [SMALL_STATE(12140)] = 557031,
  [SMALL_STATE(12141)] = 557057,
  [SMALL_STATE(12142)] = 557097,
  [SMALL_STATE(12143)] = 557135,
  [SMALL_STATE(12144)] = 557175,
  [SMALL_STATE(12145)] = 557201,
  [SMALL_STATE(12146)] = 557241,
  [SMALL_STATE(12147)] = 557279,
  [SMALL_STATE(12148)] = 557319,
  [SMALL_STATE(12149)] = 557345,
  [SMALL_STATE(12150)] = 557371,
  [SMALL_STATE(12151)] = 557397,
  [SMALL_STATE(12152)] = 557423,
  [SMALL_STATE(12153)] = 557463,
  [SMALL_STATE(12154)] = 557503,
  [SMALL_STATE(12155)] = 557543,
  [SMALL_STATE(12156)] = 557583,
  [SMALL_STATE(12157)] = 557613,
  [SMALL_STATE(12158)] = 557653,
  [SMALL_STATE(12159)] = 557683,
  [SMALL_STATE(12160)] = 557713,
  [SMALL_STATE(12161)] = 557741,
  [SMALL_STATE(12162)] = 557769,
  [SMALL_STATE(12163)] = 557795,
  [SMALL_STATE(12164)] = 557835,
  [SMALL_STATE(12165)] = 557873,
  [SMALL_STATE(12166)] = 557899,
  [SMALL_STATE(12167)] = 557925,
  [SMALL_STATE(12168)] = 557965,
  [SMALL_STATE(12169)] = 557993,
  [SMALL_STATE(12170)] = 558033,
  [SMALL_STATE(12171)] = 558059,
  [SMALL_STATE(12172)] = 558085,
  [SMALL_STATE(12173)] = 558111,
  [SMALL_STATE(12174)] = 558137,
  [SMALL_STATE(12175)] = 558177,
  [SMALL_STATE(12176)] = 558217,
  [SMALL_STATE(12177)] = 558243,
  [SMALL_STATE(12178)] = 558283,
  [SMALL_STATE(12179)] = 558309,
  [SMALL_STATE(12180)] = 558335,
  [SMALL_STATE(12181)] = 558373,
  [SMALL_STATE(12182)] = 558413,
  [SMALL_STATE(12183)] = 558439,
  [SMALL_STATE(12184)] = 558479,
  [SMALL_STATE(12185)] = 558505,
  [SMALL_STATE(12186)] = 558531,
  [SMALL_STATE(12187)] = 558561,
  [SMALL_STATE(12188)] = 558589,
  [SMALL_STATE(12189)] = 558615,
  [SMALL_STATE(12190)] = 558655,
  [SMALL_STATE(12191)] = 558681,
  [SMALL_STATE(12192)] = 558707,
  [SMALL_STATE(12193)] = 558749,
  [SMALL_STATE(12194)] = 558789,
  [SMALL_STATE(12195)] = 558815,
  [SMALL_STATE(12196)] = 558845,
  [SMALL_STATE(12197)] = 558871,
  [SMALL_STATE(12198)] = 558897,
  [SMALL_STATE(12199)] = 558927,
  [SMALL_STATE(12200)] = 558967,
  [SMALL_STATE(12201)] = 559007,
  [SMALL_STATE(12202)] = 559033,
  [SMALL_STATE(12203)] = 559059,
  [SMALL_STATE(12204)] = 559099,
  [SMALL_STATE(12205)] = 559129,
  [SMALL_STATE(12206)] = 559169,
  [SMALL_STATE(12207)] = 559195,
  [SMALL_STATE(12208)] = 559221,
  [SMALL_STATE(12209)] = 559249,
  [SMALL_STATE(12210)] = 559275,
  [SMALL_STATE(12211)] = 559315,
  [SMALL_STATE(12212)] = 559341,
  [SMALL_STATE(12213)] = 559367,
  [SMALL_STATE(12214)] = 559407,
  [SMALL_STATE(12215)] = 559433,
  [SMALL_STATE(12216)] = 559459,
  [SMALL_STATE(12217)] = 559499,
  [SMALL_STATE(12218)] = 559525,
  [SMALL_STATE(12219)] = 559565,
  [SMALL_STATE(12220)] = 559593,
  [SMALL_STATE(12221)] = 559633,
  [SMALL_STATE(12222)] = 559673,
  [SMALL_STATE(12223)] = 559713,
  [SMALL_STATE(12224)] = 559739,
  [SMALL_STATE(12225)] = 559765,
  [SMALL_STATE(12226)] = 559791,
  [SMALL_STATE(12227)] = 559819,
  [SMALL_STATE(12228)] = 559845,
  [SMALL_STATE(12229)] = 559871,
  [SMALL_STATE(12230)] = 559897,
  [SMALL_STATE(12231)] = 559937,
  [SMALL_STATE(12232)] = 559977,
  [SMALL_STATE(12233)] = 560005,
  [SMALL_STATE(12234)] = 560033,
  [SMALL_STATE(12235)] = 560059,
  [SMALL_STATE(12236)] = 560087,
  [SMALL_STATE(12237)] = 560127,
  [SMALL_STATE(12238)] = 560153,
  [SMALL_STATE(12239)] = 560179,
  [SMALL_STATE(12240)] = 560219,
  [SMALL_STATE(12241)] = 560245,
  [SMALL_STATE(12242)] = 560273,
  [SMALL_STATE(12243)] = 560299,
  [SMALL_STATE(12244)] = 560325,
  [SMALL_STATE(12245)] = 560365,
  [SMALL_STATE(12246)] = 560391,
  [SMALL_STATE(12247)] = 560417,
  [SMALL_STATE(12248)] = 560443,
  [SMALL_STATE(12249)] = 560469,
  [SMALL_STATE(12250)] = 560495,
  [SMALL_STATE(12251)] = 560521,
  [SMALL_STATE(12252)] = 560547,
  [SMALL_STATE(12253)] = 560573,
  [SMALL_STATE(12254)] = 560601,
  [SMALL_STATE(12255)] = 560627,
  [SMALL_STATE(12256)] = 560653,
  [SMALL_STATE(12257)] = 560679,
  [SMALL_STATE(12258)] = 560705,
  [SMALL_STATE(12259)] = 560745,
  [SMALL_STATE(12260)] = 560771,
  [SMALL_STATE(12261)] = 560797,
  [SMALL_STATE(12262)] = 560823,
  [SMALL_STATE(12263)] = 560849,
  [SMALL_STATE(12264)] = 560875,
  [SMALL_STATE(12265)] = 560915,
  [SMALL_STATE(12266)] = 560941,
  [SMALL_STATE(12267)] = 560979,
  [SMALL_STATE(12268)] = 561007,
  [SMALL_STATE(12269)] = 561035,
  [SMALL_STATE(12270)] = 561075,
  [SMALL_STATE(12271)] = 561101,
  [SMALL_STATE(12272)] = 561129,
  [SMALL_STATE(12273)] = 561169,
  [SMALL_STATE(12274)] = 561209,
  [SMALL_STATE(12275)] = 561237,
  [SMALL_STATE(12276)] = 561263,
  [SMALL_STATE(12277)] = 561289,
  [SMALL_STATE(12278)] = 561317,
  [SMALL_STATE(12279)] = 561357,
  [SMALL_STATE(12280)] = 561385,
  [SMALL_STATE(12281)] = 561425,
  [SMALL_STATE(12282)] = 561453,
  [SMALL_STATE(12283)] = 561493,
  [SMALL_STATE(12284)] = 561533,
  [SMALL_STATE(12285)] = 561573,
  [SMALL_STATE(12286)] = 561601,
  [SMALL_STATE(12287)] = 561641,
  [SMALL_STATE(12288)] = 561681,
  [SMALL_STATE(12289)] = 561709,
  [SMALL_STATE(12290)] = 561747,
  [SMALL_STATE(12291)] = 561775,
  [SMALL_STATE(12292)] = 561815,
  [SMALL_STATE(12293)] = 561845,
  [SMALL_STATE(12294)] = 561885,
  [SMALL_STATE(12295)] = 561911,
  [SMALL_STATE(12296)] = 561939,
  [SMALL_STATE(12297)] = 561979,
  [SMALL_STATE(12298)] = 562007,
  [SMALL_STATE(12299)] = 562033,
  [SMALL_STATE(12300)] = 562063,
  [SMALL_STATE(12301)] = 562089,
  [SMALL_STATE(12302)] = 562115,
  [SMALL_STATE(12303)] = 562141,
  [SMALL_STATE(12304)] = 562181,
  [SMALL_STATE(12305)] = 562211,
  [SMALL_STATE(12306)] = 562251,
  [SMALL_STATE(12307)] = 562281,
  [SMALL_STATE(12308)] = 562321,
  [SMALL_STATE(12309)] = 562361,
  [SMALL_STATE(12310)] = 562401,
  [SMALL_STATE(12311)] = 562429,
  [SMALL_STATE(12312)] = 562455,
  [SMALL_STATE(12313)] = 562483,
  [SMALL_STATE(12314)] = 562511,
  [SMALL_STATE(12315)] = 562537,
  [SMALL_STATE(12316)] = 562577,
  [SMALL_STATE(12317)] = 562617,
  [SMALL_STATE(12318)] = 562643,
  [SMALL_STATE(12319)] = 562683,
  [SMALL_STATE(12320)] = 562723,
  [SMALL_STATE(12321)] = 562749,
  [SMALL_STATE(12322)] = 562781,
  [SMALL_STATE(12323)] = 562809,
  [SMALL_STATE(12324)] = 562835,
  [SMALL_STATE(12325)] = 562863,
  [SMALL_STATE(12326)] = 562891,
  [SMALL_STATE(12327)] = 562931,
  [SMALL_STATE(12328)] = 562971,
  [SMALL_STATE(12329)] = 563011,
  [SMALL_STATE(12330)] = 563051,
  [SMALL_STATE(12331)] = 563077,
  [SMALL_STATE(12332)] = 563109,
  [SMALL_STATE(12333)] = 563135,
  [SMALL_STATE(12334)] = 563165,
  [SMALL_STATE(12335)] = 563197,
  [SMALL_STATE(12336)] = 563237,
  [SMALL_STATE(12337)] = 563277,
  [SMALL_STATE(12338)] = 563317,
  [SMALL_STATE(12339)] = 563347,
  [SMALL_STATE(12340)] = 563387,
  [SMALL_STATE(12341)] = 563413,
  [SMALL_STATE(12342)] = 563443,
  [SMALL_STATE(12343)] = 563483,
  [SMALL_STATE(12344)] = 563511,
  [SMALL_STATE(12345)] = 563543,
  [SMALL_STATE(12346)] = 563583,
  [SMALL_STATE(12347)] = 563615,
  [SMALL_STATE(12348)] = 563645,
  [SMALL_STATE(12349)] = 563675,
  [SMALL_STATE(12350)] = 563703,
  [SMALL_STATE(12351)] = 563729,
  [SMALL_STATE(12352)] = 563769,
  [SMALL_STATE(12353)] = 563795,
  [SMALL_STATE(12354)] = 563821,
  [SMALL_STATE(12355)] = 563847,
  [SMALL_STATE(12356)] = 563875,
  [SMALL_STATE(12357)] = 563901,
  [SMALL_STATE(12358)] = 563941,
  [SMALL_STATE(12359)] = 563981,
  [SMALL_STATE(12360)] = 564009,
  [SMALL_STATE(12361)] = 564037,
  [SMALL_STATE(12362)] = 564077,
  [SMALL_STATE(12363)] = 564117,
  [SMALL_STATE(12364)] = 564143,
  [SMALL_STATE(12365)] = 564183,
  [SMALL_STATE(12366)] = 564223,
  [SMALL_STATE(12367)] = 564249,
  [SMALL_STATE(12368)] = 564275,
  [SMALL_STATE(12369)] = 564315,
  [SMALL_STATE(12370)] = 564343,
  [SMALL_STATE(12371)] = 564383,
  [SMALL_STATE(12372)] = 564409,
  [SMALL_STATE(12373)] = 564449,
  [SMALL_STATE(12374)] = 564475,
  [SMALL_STATE(12375)] = 564503,
  [SMALL_STATE(12376)] = 564541,
  [SMALL_STATE(12377)] = 564581,
  [SMALL_STATE(12378)] = 564621,
  [SMALL_STATE(12379)] = 564651,
  [SMALL_STATE(12380)] = 564691,
  [SMALL_STATE(12381)] = 564717,
  [SMALL_STATE(12382)] = 564757,
  [SMALL_STATE(12383)] = 564797,
  [SMALL_STATE(12384)] = 564825,
  [SMALL_STATE(12385)] = 564853,
  [SMALL_STATE(12386)] = 564879,
  [SMALL_STATE(12387)] = 564905,
  [SMALL_STATE(12388)] = 564931,
  [SMALL_STATE(12389)] = 564971,
  [SMALL_STATE(12390)] = 564997,
  [SMALL_STATE(12391)] = 565037,
  [SMALL_STATE(12392)] = 565077,
  [SMALL_STATE(12393)] = 565109,
  [SMALL_STATE(12394)] = 565149,
  [SMALL_STATE(12395)] = 565175,
  [SMALL_STATE(12396)] = 565215,
  [SMALL_STATE(12397)] = 565255,
  [SMALL_STATE(12398)] = 565281,
  [SMALL_STATE(12399)] = 565307,
  [SMALL_STATE(12400)] = 565347,
  [SMALL_STATE(12401)] = 565373,
  [SMALL_STATE(12402)] = 565403,
  [SMALL_STATE(12403)] = 565443,
  [SMALL_STATE(12404)] = 565469,
  [SMALL_STATE(12405)] = 565499,
  [SMALL_STATE(12406)] = 565525,
  [SMALL_STATE(12407)] = 565565,
  [SMALL_STATE(12408)] = 565593,
  [SMALL_STATE(12409)] = 565625,
  [SMALL_STATE(12410)] = 565655,
  [SMALL_STATE(12411)] = 565695,
  [SMALL_STATE(12412)] = 565723,
  [SMALL_STATE(12413)] = 565751,
  [SMALL_STATE(12414)] = 565791,
  [SMALL_STATE(12415)] = 565819,
  [SMALL_STATE(12416)] = 565845,
  [SMALL_STATE(12417)] = 565885,
  [SMALL_STATE(12418)] = 565911,
  [SMALL_STATE(12419)] = 565937,
  [SMALL_STATE(12420)] = 565963,
  [SMALL_STATE(12421)] = 565991,
  [SMALL_STATE(12422)] = 566031,
  [SMALL_STATE(12423)] = 566057,
  [SMALL_STATE(12424)] = 566083,
  [SMALL_STATE(12425)] = 566109,
  [SMALL_STATE(12426)] = 566135,
  [SMALL_STATE(12427)] = 566175,
  [SMALL_STATE(12428)] = 566201,
  [SMALL_STATE(12429)] = 566241,
  [SMALL_STATE(12430)] = 566279,
  [SMALL_STATE(12431)] = 566317,
  [SMALL_STATE(12432)] = 566343,
  [SMALL_STATE(12433)] = 566383,
  [SMALL_STATE(12434)] = 566413,
  [SMALL_STATE(12435)] = 566443,
  [SMALL_STATE(12436)] = 566469,
  [SMALL_STATE(12437)] = 566499,
  [SMALL_STATE(12438)] = 566525,
  [SMALL_STATE(12439)] = 566565,
  [SMALL_STATE(12440)] = 566605,
  [SMALL_STATE(12441)] = 566635,
  [SMALL_STATE(12442)] = 566675,
  [SMALL_STATE(12443)] = 566703,
  [SMALL_STATE(12444)] = 566729,
  [SMALL_STATE(12445)] = 566769,
  [SMALL_STATE(12446)] = 566809,
  [SMALL_STATE(12447)] = 566835,
  [SMALL_STATE(12448)] = 566863,
  [SMALL_STATE(12449)] = 566889,
  [SMALL_STATE(12450)] = 566929,
  [SMALL_STATE(12451)] = 566969,
  [SMALL_STATE(12452)] = 567009,
  [SMALL_STATE(12453)] = 567035,
  [SMALL_STATE(12454)] = 567061,
  [SMALL_STATE(12455)] = 567101,
  [SMALL_STATE(12456)] = 567127,
  [SMALL_STATE(12457)] = 567167,
  [SMALL_STATE(12458)] = 567207,
  [SMALL_STATE(12459)] = 567233,
  [SMALL_STATE(12460)] = 567259,
  [SMALL_STATE(12461)] = 567285,
  [SMALL_STATE(12462)] = 567325,
  [SMALL_STATE(12463)] = 567367,
  [SMALL_STATE(12464)] = 567393,
  [SMALL_STATE(12465)] = 567419,
  [SMALL_STATE(12466)] = 567445,
  [SMALL_STATE(12467)] = 567485,
  [SMALL_STATE(12468)] = 567511,
  [SMALL_STATE(12469)] = 567551,
  [SMALL_STATE(12470)] = 567591,
  [SMALL_STATE(12471)] = 567633,
  [SMALL_STATE(12472)] = 567659,
  [SMALL_STATE(12473)] = 567687,
  [SMALL_STATE(12474)] = 567727,
  [SMALL_STATE(12475)] = 567753,
  [SMALL_STATE(12476)] = 567793,
  [SMALL_STATE(12477)] = 567833,
  [SMALL_STATE(12478)] = 567861,
  [SMALL_STATE(12479)] = 567889,
  [SMALL_STATE(12480)] = 567929,
  [SMALL_STATE(12481)] = 567955,
  [SMALL_STATE(12482)] = 567993,
  [SMALL_STATE(12483)] = 568033,
  [SMALL_STATE(12484)] = 568061,
  [SMALL_STATE(12485)] = 568101,
  [SMALL_STATE(12486)] = 568129,
  [SMALL_STATE(12487)] = 568157,
  [SMALL_STATE(12488)] = 568183,
  [SMALL_STATE(12489)] = 568211,
  [SMALL_STATE(12490)] = 568237,
  [SMALL_STATE(12491)] = 568265,
  [SMALL_STATE(12492)] = 568305,
  [SMALL_STATE(12493)] = 568335,
  [SMALL_STATE(12494)] = 568375,
  [SMALL_STATE(12495)] = 568415,
  [SMALL_STATE(12496)] = 568445,
  [SMALL_STATE(12497)] = 568485,
  [SMALL_STATE(12498)] = 568525,
  [SMALL_STATE(12499)] = 568557,
  [SMALL_STATE(12500)] = 568585,
  [SMALL_STATE(12501)] = 568619,
  [SMALL_STATE(12502)] = 568645,
  [SMALL_STATE(12503)] = 568673,
  [SMALL_STATE(12504)] = 568701,
  [SMALL_STATE(12505)] = 568743,
  [SMALL_STATE(12506)] = 568771,
  [SMALL_STATE(12507)] = 568811,
  [SMALL_STATE(12508)] = 568839,
  [SMALL_STATE(12509)] = 568879,
  [SMALL_STATE(12510)] = 568907,
  [SMALL_STATE(12511)] = 568933,
  [SMALL_STATE(12512)] = 568965,
  [SMALL_STATE(12513)] = 568991,
  [SMALL_STATE(12514)] = 569019,
  [SMALL_STATE(12515)] = 569047,
  [SMALL_STATE(12516)] = 569075,
  [SMALL_STATE(12517)] = 569115,
  [SMALL_STATE(12518)] = 569141,
  [SMALL_STATE(12519)] = 569167,
  [SMALL_STATE(12520)] = 569207,
  [SMALL_STATE(12521)] = 569235,
  [SMALL_STATE(12522)] = 569275,
  [SMALL_STATE(12523)] = 569315,
  [SMALL_STATE(12524)] = 569355,
  [SMALL_STATE(12525)] = 569381,
  [SMALL_STATE(12526)] = 569421,
  [SMALL_STATE(12527)] = 569458,
  [SMALL_STATE(12528)] = 569495,
  [SMALL_STATE(12529)] = 569524,
  [SMALL_STATE(12530)] = 569561,
  [SMALL_STATE(12531)] = 569598,
  [SMALL_STATE(12532)] = 569635,
  [SMALL_STATE(12533)] = 569660,
  [SMALL_STATE(12534)] = 569689,
  [SMALL_STATE(12535)] = 569720,
  [SMALL_STATE(12536)] = 569757,
  [SMALL_STATE(12537)] = 569794,
  [SMALL_STATE(12538)] = 569831,
  [SMALL_STATE(12539)] = 569856,
  [SMALL_STATE(12540)] = 569883,
  [SMALL_STATE(12541)] = 569920,
  [SMALL_STATE(12542)] = 569957,
  [SMALL_STATE(12543)] = 569994,
  [SMALL_STATE(12544)] = 570031,
  [SMALL_STATE(12545)] = 570068,
  [SMALL_STATE(12546)] = 570105,
  [SMALL_STATE(12547)] = 570138,
  [SMALL_STATE(12548)] = 570171,
  [SMALL_STATE(12549)] = 570204,
  [SMALL_STATE(12550)] = 570241,
  [SMALL_STATE(12551)] = 570274,
  [SMALL_STATE(12552)] = 570305,
  [SMALL_STATE(12553)] = 570342,
  [SMALL_STATE(12554)] = 570379,
  [SMALL_STATE(12555)] = 570416,
  [SMALL_STATE(12556)] = 570453,
  [SMALL_STATE(12557)] = 570490,
  [SMALL_STATE(12558)] = 570515,
  [SMALL_STATE(12559)] = 570540,
  [SMALL_STATE(12560)] = 570577,
  [SMALL_STATE(12561)] = 570614,
  [SMALL_STATE(12562)] = 570651,
  [SMALL_STATE(12563)] = 570676,
  [SMALL_STATE(12564)] = 570713,
  [SMALL_STATE(12565)] = 570750,
  [SMALL_STATE(12566)] = 570775,
  [SMALL_STATE(12567)] = 570812,
  [SMALL_STATE(12568)] = 570849,
  [SMALL_STATE(12569)] = 570886,
  [SMALL_STATE(12570)] = 570923,
  [SMALL_STATE(12571)] = 570948,
  [SMALL_STATE(12572)] = 570973,
  [SMALL_STATE(12573)] = 570998,
  [SMALL_STATE(12574)] = 571035,
  [SMALL_STATE(12575)] = 571060,
  [SMALL_STATE(12576)] = 571085,
  [SMALL_STATE(12577)] = 571110,
  [SMALL_STATE(12578)] = 571135,
  [SMALL_STATE(12579)] = 571172,
  [SMALL_STATE(12580)] = 571197,
  [SMALL_STATE(12581)] = 571222,
  [SMALL_STATE(12582)] = 571247,
  [SMALL_STATE(12583)] = 571272,
  [SMALL_STATE(12584)] = 571309,
  [SMALL_STATE(12585)] = 571346,
  [SMALL_STATE(12586)] = 571371,
  [SMALL_STATE(12587)] = 571408,
  [SMALL_STATE(12588)] = 571445,
  [SMALL_STATE(12589)] = 571470,
  [SMALL_STATE(12590)] = 571507,
  [SMALL_STATE(12591)] = 571532,
  [SMALL_STATE(12592)] = 571557,
  [SMALL_STATE(12593)] = 571582,
  [SMALL_STATE(12594)] = 571607,
  [SMALL_STATE(12595)] = 571632,
  [SMALL_STATE(12596)] = 571657,
  [SMALL_STATE(12597)] = 571682,
  [SMALL_STATE(12598)] = 571707,
  [SMALL_STATE(12599)] = 571738,
  [SMALL_STATE(12600)] = 571775,
  [SMALL_STATE(12601)] = 571800,
  [SMALL_STATE(12602)] = 571827,
  [SMALL_STATE(12603)] = 571852,
  [SMALL_STATE(12604)] = 571881,
  [SMALL_STATE(12605)] = 571906,
  [SMALL_STATE(12606)] = 571943,
  [SMALL_STATE(12607)] = 571984,
  [SMALL_STATE(12608)] = 572009,
  [SMALL_STATE(12609)] = 572046,
  [SMALL_STATE(12610)] = 572083,
  [SMALL_STATE(12611)] = 572120,
  [SMALL_STATE(12612)] = 572157,
  [SMALL_STATE(12613)] = 572194,
  [SMALL_STATE(12614)] = 572231,
  [SMALL_STATE(12615)] = 572260,
  [SMALL_STATE(12616)] = 572297,
  [SMALL_STATE(12617)] = 572334,
  [SMALL_STATE(12618)] = 572373,
  [SMALL_STATE(12619)] = 572410,
  [SMALL_STATE(12620)] = 572447,
  [SMALL_STATE(12621)] = 572484,
  [SMALL_STATE(12622)] = 572515,
  [SMALL_STATE(12623)] = 572552,
  [SMALL_STATE(12624)] = 572585,
  [SMALL_STATE(12625)] = 572622,
  [SMALL_STATE(12626)] = 572659,
  [SMALL_STATE(12627)] = 572696,
  [SMALL_STATE(12628)] = 572733,
  [SMALL_STATE(12629)] = 572770,
  [SMALL_STATE(12630)] = 572807,
  [SMALL_STATE(12631)] = 572832,
  [SMALL_STATE(12632)] = 572869,
  [SMALL_STATE(12633)] = 572896,
  [SMALL_STATE(12634)] = 572933,
  [SMALL_STATE(12635)] = 572966,
  [SMALL_STATE(12636)] = 573003,
  [SMALL_STATE(12637)] = 573040,
  [SMALL_STATE(12638)] = 573077,
  [SMALL_STATE(12639)] = 573114,
  [SMALL_STATE(12640)] = 573151,
  [SMALL_STATE(12641)] = 573188,
  [SMALL_STATE(12642)] = 573225,
  [SMALL_STATE(12643)] = 573250,
  [SMALL_STATE(12644)] = 573287,
  [SMALL_STATE(12645)] = 573324,
  [SMALL_STATE(12646)] = 573361,
  [SMALL_STATE(12647)] = 573388,
  [SMALL_STATE(12648)] = 573425,
  [SMALL_STATE(12649)] = 573462,
  [SMALL_STATE(12650)] = 573493,
  [SMALL_STATE(12651)] = 573530,
  [SMALL_STATE(12652)] = 573567,
  [SMALL_STATE(12653)] = 573604,
  [SMALL_STATE(12654)] = 573641,
  [SMALL_STATE(12655)] = 573666,
  [SMALL_STATE(12656)] = 573691,
  [SMALL_STATE(12657)] = 573728,
  [SMALL_STATE(12658)] = 573765,
  [SMALL_STATE(12659)] = 573802,
  [SMALL_STATE(12660)] = 573839,
  [SMALL_STATE(12661)] = 573876,
  [SMALL_STATE(12662)] = 573901,
  [SMALL_STATE(12663)] = 573934,
  [SMALL_STATE(12664)] = 573967,
  [SMALL_STATE(12665)] = 574004,
  [SMALL_STATE(12666)] = 574037,
  [SMALL_STATE(12667)] = 574074,
  [SMALL_STATE(12668)] = 574115,
  [SMALL_STATE(12669)] = 574152,
  [SMALL_STATE(12670)] = 574177,
  [SMALL_STATE(12671)] = 574202,
  [SMALL_STATE(12672)] = 574227,
  [SMALL_STATE(12673)] = 574252,
  [SMALL_STATE(12674)] = 574289,
  [SMALL_STATE(12675)] = 574326,
  [SMALL_STATE(12676)] = 574363,
  [SMALL_STATE(12677)] = 574400,
  [SMALL_STATE(12678)] = 574437,
  [SMALL_STATE(12679)] = 574466,
  [SMALL_STATE(12680)] = 574503,
  [SMALL_STATE(12681)] = 574540,
  [SMALL_STATE(12682)] = 574577,
  [SMALL_STATE(12683)] = 574612,
  [SMALL_STATE(12684)] = 574637,
  [SMALL_STATE(12685)] = 574662,
  [SMALL_STATE(12686)] = 574687,
  [SMALL_STATE(12687)] = 574712,
  [SMALL_STATE(12688)] = 574749,
  [SMALL_STATE(12689)] = 574786,
  [SMALL_STATE(12690)] = 574811,
  [SMALL_STATE(12691)] = 574848,
  [SMALL_STATE(12692)] = 574873,
  [SMALL_STATE(12693)] = 574910,
  [SMALL_STATE(12694)] = 574947,
  [SMALL_STATE(12695)] = 574984,
  [SMALL_STATE(12696)] = 575021,
  [SMALL_STATE(12697)] = 575046,
  [SMALL_STATE(12698)] = 575083,
  [SMALL_STATE(12699)] = 575120,
  [SMALL_STATE(12700)] = 575157,
  [SMALL_STATE(12701)] = 575194,
  [SMALL_STATE(12702)] = 575231,
  [SMALL_STATE(12703)] = 575268,
  [SMALL_STATE(12704)] = 575293,
  [SMALL_STATE(12705)] = 575318,
  [SMALL_STATE(12706)] = 575355,
  [SMALL_STATE(12707)] = 575380,
  [SMALL_STATE(12708)] = 575405,
  [SMALL_STATE(12709)] = 575430,
  [SMALL_STATE(12710)] = 575467,
  [SMALL_STATE(12711)] = 575504,
  [SMALL_STATE(12712)] = 575529,
  [SMALL_STATE(12713)] = 575554,
  [SMALL_STATE(12714)] = 575591,
  [SMALL_STATE(12715)] = 575616,
  [SMALL_STATE(12716)] = 575653,
  [SMALL_STATE(12717)] = 575678,
  [SMALL_STATE(12718)] = 575715,
  [SMALL_STATE(12719)] = 575748,
  [SMALL_STATE(12720)] = 575773,
  [SMALL_STATE(12721)] = 575810,
  [SMALL_STATE(12722)] = 575837,
  [SMALL_STATE(12723)] = 575862,
  [SMALL_STATE(12724)] = 575887,
  [SMALL_STATE(12725)] = 575924,
  [SMALL_STATE(12726)] = 575949,
  [SMALL_STATE(12727)] = 575986,
  [SMALL_STATE(12728)] = 576023,
  [SMALL_STATE(12729)] = 576048,
  [SMALL_STATE(12730)] = 576081,
  [SMALL_STATE(12731)] = 576118,
  [SMALL_STATE(12732)] = 576155,
  [SMALL_STATE(12733)] = 576192,
  [SMALL_STATE(12734)] = 576217,
  [SMALL_STATE(12735)] = 576246,
  [SMALL_STATE(12736)] = 576271,
  [SMALL_STATE(12737)] = 576308,
  [SMALL_STATE(12738)] = 576333,
  [SMALL_STATE(12739)] = 576370,
  [SMALL_STATE(12740)] = 576397,
  [SMALL_STATE(12741)] = 576422,
  [SMALL_STATE(12742)] = 576459,
  [SMALL_STATE(12743)] = 576496,
  [SMALL_STATE(12744)] = 576521,
  [SMALL_STATE(12745)] = 576546,
  [SMALL_STATE(12746)] = 576571,
  [SMALL_STATE(12747)] = 576596,
  [SMALL_STATE(12748)] = 576625,
  [SMALL_STATE(12749)] = 576662,
  [SMALL_STATE(12750)] = 576687,
  [SMALL_STATE(12751)] = 576718,
  [SMALL_STATE(12752)] = 576755,
  [SMALL_STATE(12753)] = 576792,
  [SMALL_STATE(12754)] = 576817,
  [SMALL_STATE(12755)] = 576846,
  [SMALL_STATE(12756)] = 576875,
  [SMALL_STATE(12757)] = 576912,
  [SMALL_STATE(12758)] = 576941,
  [SMALL_STATE(12759)] = 576966,
  [SMALL_STATE(12760)] = 576991,
  [SMALL_STATE(12761)] = 577028,
  [SMALL_STATE(12762)] = 577053,
  [SMALL_STATE(12763)] = 577078,
  [SMALL_STATE(12764)] = 577103,
  [SMALL_STATE(12765)] = 577140,
  [SMALL_STATE(12766)] = 577177,
  [SMALL_STATE(12767)] = 577204,
  [SMALL_STATE(12768)] = 577241,
  [SMALL_STATE(12769)] = 577278,
  [SMALL_STATE(12770)] = 577315,
  [SMALL_STATE(12771)] = 577340,
  [SMALL_STATE(12772)] = 577377,
  [SMALL_STATE(12773)] = 577404,
  [SMALL_STATE(12774)] = 577429,
  [SMALL_STATE(12775)] = 577454,
  [SMALL_STATE(12776)] = 577479,
  [SMALL_STATE(12777)] = 577516,
  [SMALL_STATE(12778)] = 577541,
  [SMALL_STATE(12779)] = 577578,
  [SMALL_STATE(12780)] = 577615,
  [SMALL_STATE(12781)] = 577640,
  [SMALL_STATE(12782)] = 577665,
  [SMALL_STATE(12783)] = 577702,
  [SMALL_STATE(12784)] = 577739,
  [SMALL_STATE(12785)] = 577764,
  [SMALL_STATE(12786)] = 577801,
  [SMALL_STATE(12787)] = 577830,
  [SMALL_STATE(12788)] = 577855,
  [SMALL_STATE(12789)] = 577880,
  [SMALL_STATE(12790)] = 577917,
  [SMALL_STATE(12791)] = 577954,
  [SMALL_STATE(12792)] = 577979,
  [SMALL_STATE(12793)] = 578004,
  [SMALL_STATE(12794)] = 578035,
  [SMALL_STATE(12795)] = 578072,
  [SMALL_STATE(12796)] = 578109,
  [SMALL_STATE(12797)] = 578146,
  [SMALL_STATE(12798)] = 578171,
  [SMALL_STATE(12799)] = 578200,
  [SMALL_STATE(12800)] = 578229,
  [SMALL_STATE(12801)] = 578256,
  [SMALL_STATE(12802)] = 578293,
  [SMALL_STATE(12803)] = 578330,
  [SMALL_STATE(12804)] = 578367,
  [SMALL_STATE(12805)] = 578398,
  [SMALL_STATE(12806)] = 578435,
  [SMALL_STATE(12807)] = 578464,
  [SMALL_STATE(12808)] = 578493,
  [SMALL_STATE(12809)] = 578520,
  [SMALL_STATE(12810)] = 578545,
  [SMALL_STATE(12811)] = 578582,
  [SMALL_STATE(12812)] = 578619,
  [SMALL_STATE(12813)] = 578644,
  [SMALL_STATE(12814)] = 578669,
  [SMALL_STATE(12815)] = 578706,
  [SMALL_STATE(12816)] = 578737,
  [SMALL_STATE(12817)] = 578774,
  [SMALL_STATE(12818)] = 578801,
  [SMALL_STATE(12819)] = 578826,
  [SMALL_STATE(12820)] = 578863,
  [SMALL_STATE(12821)] = 578888,
  [SMALL_STATE(12822)] = 578925,
  [SMALL_STATE(12823)] = 578962,
  [SMALL_STATE(12824)] = 578999,
  [SMALL_STATE(12825)] = 579036,
  [SMALL_STATE(12826)] = 579073,
  [SMALL_STATE(12827)] = 579100,
  [SMALL_STATE(12828)] = 579127,
  [SMALL_STATE(12829)] = 579154,
  [SMALL_STATE(12830)] = 579191,
  [SMALL_STATE(12831)] = 579216,
  [SMALL_STATE(12832)] = 579253,
  [SMALL_STATE(12833)] = 579290,
  [SMALL_STATE(12834)] = 579327,
  [SMALL_STATE(12835)] = 579364,
  [SMALL_STATE(12836)] = 579389,
  [SMALL_STATE(12837)] = 579426,
  [SMALL_STATE(12838)] = 579463,
  [SMALL_STATE(12839)] = 579500,
  [SMALL_STATE(12840)] = 579537,
  [SMALL_STATE(12841)] = 579574,
  [SMALL_STATE(12842)] = 579603,
  [SMALL_STATE(12843)] = 579628,
  [SMALL_STATE(12844)] = 579665,
  [SMALL_STATE(12845)] = 579702,
  [SMALL_STATE(12846)] = 579739,
  [SMALL_STATE(12847)] = 579764,
  [SMALL_STATE(12848)] = 579801,
  [SMALL_STATE(12849)] = 579838,
  [SMALL_STATE(12850)] = 579875,
  [SMALL_STATE(12851)] = 579912,
  [SMALL_STATE(12852)] = 579941,
  [SMALL_STATE(12853)] = 579978,
  [SMALL_STATE(12854)] = 580015,
  [SMALL_STATE(12855)] = 580052,
  [SMALL_STATE(12856)] = 580089,
  [SMALL_STATE(12857)] = 580126,
  [SMALL_STATE(12858)] = 580155,
  [SMALL_STATE(12859)] = 580192,
  [SMALL_STATE(12860)] = 580229,
  [SMALL_STATE(12861)] = 580266,
  [SMALL_STATE(12862)] = 580303,
  [SMALL_STATE(12863)] = 580328,
  [SMALL_STATE(12864)] = 580359,
  [SMALL_STATE(12865)] = 580388,
  [SMALL_STATE(12866)] = 580421,
  [SMALL_STATE(12867)] = 580448,
  [SMALL_STATE(12868)] = 580485,
  [SMALL_STATE(12869)] = 580522,
  [SMALL_STATE(12870)] = 580559,
  [SMALL_STATE(12871)] = 580584,
  [SMALL_STATE(12872)] = 580621,
  [SMALL_STATE(12873)] = 580658,
  [SMALL_STATE(12874)] = 580695,
  [SMALL_STATE(12875)] = 580732,
  [SMALL_STATE(12876)] = 580769,
  [SMALL_STATE(12877)] = 580806,
  [SMALL_STATE(12878)] = 580843,
  [SMALL_STATE(12879)] = 580880,
  [SMALL_STATE(12880)] = 580917,
  [SMALL_STATE(12881)] = 580954,
  [SMALL_STATE(12882)] = 580983,
  [SMALL_STATE(12883)] = 581008,
  [SMALL_STATE(12884)] = 581045,
  [SMALL_STATE(12885)] = 581082,
  [SMALL_STATE(12886)] = 581119,
  [SMALL_STATE(12887)] = 581156,
  [SMALL_STATE(12888)] = 581193,
  [SMALL_STATE(12889)] = 581226,
  [SMALL_STATE(12890)] = 581263,
  [SMALL_STATE(12891)] = 581300,
  [SMALL_STATE(12892)] = 581337,
  [SMALL_STATE(12893)] = 581374,
  [SMALL_STATE(12894)] = 581411,
  [SMALL_STATE(12895)] = 581438,
  [SMALL_STATE(12896)] = 581475,
  [SMALL_STATE(12897)] = 581512,
  [SMALL_STATE(12898)] = 581547,
  [SMALL_STATE(12899)] = 581584,
  [SMALL_STATE(12900)] = 581619,
  [SMALL_STATE(12901)] = 581652,
  [SMALL_STATE(12902)] = 581689,
  [SMALL_STATE(12903)] = 581726,
  [SMALL_STATE(12904)] = 581753,
  [SMALL_STATE(12905)] = 581790,
  [SMALL_STATE(12906)] = 581823,
  [SMALL_STATE(12907)] = 581860,
  [SMALL_STATE(12908)] = 581897,
  [SMALL_STATE(12909)] = 581934,
  [SMALL_STATE(12910)] = 581959,
  [SMALL_STATE(12911)] = 581996,
  [SMALL_STATE(12912)] = 582033,
  [SMALL_STATE(12913)] = 582070,
  [SMALL_STATE(12914)] = 582107,
  [SMALL_STATE(12915)] = 582134,
  [SMALL_STATE(12916)] = 582171,
  [SMALL_STATE(12917)] = 582208,
  [SMALL_STATE(12918)] = 582245,
  [SMALL_STATE(12919)] = 582270,
  [SMALL_STATE(12920)] = 582301,
  [SMALL_STATE(12921)] = 582338,
  [SMALL_STATE(12922)] = 582375,
  [SMALL_STATE(12923)] = 582412,
  [SMALL_STATE(12924)] = 582449,
  [SMALL_STATE(12925)] = 582476,
  [SMALL_STATE(12926)] = 582513,
  [SMALL_STATE(12927)] = 582550,
  [SMALL_STATE(12928)] = 582587,
  [SMALL_STATE(12929)] = 582624,
  [SMALL_STATE(12930)] = 582661,
  [SMALL_STATE(12931)] = 582694,
  [SMALL_STATE(12932)] = 582731,
  [SMALL_STATE(12933)] = 582776,
  [SMALL_STATE(12934)] = 582813,
  [SMALL_STATE(12935)] = 582838,
  [SMALL_STATE(12936)] = 582875,
  [SMALL_STATE(12937)] = 582912,
  [SMALL_STATE(12938)] = 582949,
  [SMALL_STATE(12939)] = 582986,
  [SMALL_STATE(12940)] = 583019,
  [SMALL_STATE(12941)] = 583056,
  [SMALL_STATE(12942)] = 583093,
  [SMALL_STATE(12943)] = 583118,
  [SMALL_STATE(12944)] = 583155,
  [SMALL_STATE(12945)] = 583192,
  [SMALL_STATE(12946)] = 583229,
  [SMALL_STATE(12947)] = 583266,
  [SMALL_STATE(12948)] = 583297,
  [SMALL_STATE(12949)] = 583334,
  [SMALL_STATE(12950)] = 583371,
  [SMALL_STATE(12951)] = 583408,
  [SMALL_STATE(12952)] = 583445,
  [SMALL_STATE(12953)] = 583470,
  [SMALL_STATE(12954)] = 583495,
  [SMALL_STATE(12955)] = 583532,
  [SMALL_STATE(12956)] = 583569,
  [SMALL_STATE(12957)] = 583594,
  [SMALL_STATE(12958)] = 583631,
  [SMALL_STATE(12959)] = 583668,
  [SMALL_STATE(12960)] = 583705,
  [SMALL_STATE(12961)] = 583730,
  [SMALL_STATE(12962)] = 583757,
  [SMALL_STATE(12963)] = 583794,
  [SMALL_STATE(12964)] = 583819,
  [SMALL_STATE(12965)] = 583856,
  [SMALL_STATE(12966)] = 583893,
  [SMALL_STATE(12967)] = 583934,
  [SMALL_STATE(12968)] = 583971,
  [SMALL_STATE(12969)] = 583996,
  [SMALL_STATE(12970)] = 584033,
  [SMALL_STATE(12971)] = 584062,
  [SMALL_STATE(12972)] = 584099,
  [SMALL_STATE(12973)] = 584136,
  [SMALL_STATE(12974)] = 584173,
  [SMALL_STATE(12975)] = 584210,
  [SMALL_STATE(12976)] = 584245,
  [SMALL_STATE(12977)] = 584282,
  [SMALL_STATE(12978)] = 584319,
  [SMALL_STATE(12979)] = 584356,
  [SMALL_STATE(12980)] = 584393,
  [SMALL_STATE(12981)] = 584418,
  [SMALL_STATE(12982)] = 584455,
  [SMALL_STATE(12983)] = 584492,
  [SMALL_STATE(12984)] = 584529,
  [SMALL_STATE(12985)] = 584566,
  [SMALL_STATE(12986)] = 584603,
  [SMALL_STATE(12987)] = 584640,
  [SMALL_STATE(12988)] = 584677,
  [SMALL_STATE(12989)] = 584714,
  [SMALL_STATE(12990)] = 584751,
  [SMALL_STATE(12991)] = 584788,
  [SMALL_STATE(12992)] = 584825,
  [SMALL_STATE(12993)] = 584862,
  [SMALL_STATE(12994)] = 584899,
  [SMALL_STATE(12995)] = 584924,
  [SMALL_STATE(12996)] = 584961,
  [SMALL_STATE(12997)] = 584998,
  [SMALL_STATE(12998)] = 585035,
  [SMALL_STATE(12999)] = 585072,
  [SMALL_STATE(13000)] = 585109,
  [SMALL_STATE(13001)] = 585146,
  [SMALL_STATE(13002)] = 585183,
  [SMALL_STATE(13003)] = 585220,
  [SMALL_STATE(13004)] = 585253,
  [SMALL_STATE(13005)] = 585277,
  [SMALL_STATE(13006)] = 585301,
  [SMALL_STATE(13007)] = 585325,
  [SMALL_STATE(13008)] = 585349,
  [SMALL_STATE(13009)] = 585379,
  [SMALL_STATE(13010)] = 585403,
  [SMALL_STATE(13011)] = 585427,
  [SMALL_STATE(13012)] = 585463,
  [SMALL_STATE(13013)] = 585487,
  [SMALL_STATE(13014)] = 585511,
  [SMALL_STATE(13015)] = 585545,
  [SMALL_STATE(13016)] = 585569,
  [SMALL_STATE(13017)] = 585593,
  [SMALL_STATE(13018)] = 585625,
  [SMALL_STATE(13019)] = 585651,
  [SMALL_STATE(13020)] = 585675,
  [SMALL_STATE(13021)] = 585699,
  [SMALL_STATE(13022)] = 585731,
  [SMALL_STATE(13023)] = 585755,
  [SMALL_STATE(13024)] = 585789,
  [SMALL_STATE(13025)] = 585823,
  [SMALL_STATE(13026)] = 585857,
  [SMALL_STATE(13027)] = 585881,
  [SMALL_STATE(13028)] = 585915,
  [SMALL_STATE(13029)] = 585939,
  [SMALL_STATE(13030)] = 585965,
  [SMALL_STATE(13031)] = 585997,
  [SMALL_STATE(13032)] = 586031,
  [SMALL_STATE(13033)] = 586061,
  [SMALL_STATE(13034)] = 586085,
  [SMALL_STATE(13035)] = 586117,
  [SMALL_STATE(13036)] = 586147,
  [SMALL_STATE(13037)] = 586179,
  [SMALL_STATE(13038)] = 586203,
  [SMALL_STATE(13039)] = 586237,
  [SMALL_STATE(13040)] = 586261,
  [SMALL_STATE(13041)] = 586285,
  [SMALL_STATE(13042)] = 586319,
  [SMALL_STATE(13043)] = 586343,
  [SMALL_STATE(13044)] = 586367,
  [SMALL_STATE(13045)] = 586393,
  [SMALL_STATE(13046)] = 586417,
  [SMALL_STATE(13047)] = 586441,
  [SMALL_STATE(13048)] = 586465,
  [SMALL_STATE(13049)] = 586509,
  [SMALL_STATE(13050)] = 586543,
  [SMALL_STATE(13051)] = 586577,
  [SMALL_STATE(13052)] = 586605,
  [SMALL_STATE(13053)] = 586639,
  [SMALL_STATE(13054)] = 586663,
  [SMALL_STATE(13055)] = 586687,
  [SMALL_STATE(13056)] = 586717,
  [SMALL_STATE(13057)] = 586749,
  [SMALL_STATE(13058)] = 586783,
  [SMALL_STATE(13059)] = 586807,
  [SMALL_STATE(13060)] = 586831,
  [SMALL_STATE(13061)] = 586865,
  [SMALL_STATE(13062)] = 586899,
  [SMALL_STATE(13063)] = 586935,
  [SMALL_STATE(13064)] = 586969,
  [SMALL_STATE(13065)] = 586995,
  [SMALL_STATE(13066)] = 587023,
  [SMALL_STATE(13067)] = 587047,
  [SMALL_STATE(13068)] = 587071,
  [SMALL_STATE(13069)] = 587105,
  [SMALL_STATE(13070)] = 587139,
  [SMALL_STATE(13071)] = 587163,
  [SMALL_STATE(13072)] = 587187,
  [SMALL_STATE(13073)] = 587211,
  [SMALL_STATE(13074)] = 587235,
  [SMALL_STATE(13075)] = 587259,
  [SMALL_STATE(13076)] = 587283,
  [SMALL_STATE(13077)] = 587311,
  [SMALL_STATE(13078)] = 587339,
  [SMALL_STATE(13079)] = 587373,
  [SMALL_STATE(13080)] = 587407,
  [SMALL_STATE(13081)] = 587431,
  [SMALL_STATE(13082)] = 587455,
  [SMALL_STATE(13083)] = 587479,
  [SMALL_STATE(13084)] = 587503,
  [SMALL_STATE(13085)] = 587527,
  [SMALL_STATE(13086)] = 587551,
  [SMALL_STATE(13087)] = 587575,
  [SMALL_STATE(13088)] = 587599,
  [SMALL_STATE(13089)] = 587623,
  [SMALL_STATE(13090)] = 587647,
  [SMALL_STATE(13091)] = 587671,
  [SMALL_STATE(13092)] = 587695,
  [SMALL_STATE(13093)] = 587729,
  [SMALL_STATE(13094)] = 587765,
  [SMALL_STATE(13095)] = 587789,
  [SMALL_STATE(13096)] = 587823,
  [SMALL_STATE(13097)] = 587847,
  [SMALL_STATE(13098)] = 587871,
  [SMALL_STATE(13099)] = 587905,
  [SMALL_STATE(13100)] = 587939,
  [SMALL_STATE(13101)] = 587967,
  [SMALL_STATE(13102)] = 587991,
  [SMALL_STATE(13103)] = 588023,
  [SMALL_STATE(13104)] = 588057,
  [SMALL_STATE(13105)] = 588085,
  [SMALL_STATE(13106)] = 588109,
  [SMALL_STATE(13107)] = 588137,
  [SMALL_STATE(13108)] = 588169,
  [SMALL_STATE(13109)] = 588193,
  [SMALL_STATE(13110)] = 588227,
  [SMALL_STATE(13111)] = 588261,
  [SMALL_STATE(13112)] = 588285,
  [SMALL_STATE(13113)] = 588319,
  [SMALL_STATE(13114)] = 588343,
  [SMALL_STATE(13115)] = 588367,
  [SMALL_STATE(13116)] = 588395,
  [SMALL_STATE(13117)] = 588425,
  [SMALL_STATE(13118)] = 588449,
  [SMALL_STATE(13119)] = 588483,
  [SMALL_STATE(13120)] = 588517,
  [SMALL_STATE(13121)] = 588541,
  [SMALL_STATE(13122)] = 588565,
  [SMALL_STATE(13123)] = 588589,
  [SMALL_STATE(13124)] = 588621,
  [SMALL_STATE(13125)] = 588653,
  [SMALL_STATE(13126)] = 588683,
  [SMALL_STATE(13127)] = 588717,
  [SMALL_STATE(13128)] = 588749,
  [SMALL_STATE(13129)] = 588781,
  [SMALL_STATE(13130)] = 588809,
  [SMALL_STATE(13131)] = 588833,
  [SMALL_STATE(13132)] = 588857,
  [SMALL_STATE(13133)] = 588887,
  [SMALL_STATE(13134)] = 588911,
  [SMALL_STATE(13135)] = 588937,
  [SMALL_STATE(13136)] = 588973,
  [SMALL_STATE(13137)] = 589007,
  [SMALL_STATE(13138)] = 589033,
  [SMALL_STATE(13139)] = 589061,
  [SMALL_STATE(13140)] = 589085,
  [SMALL_STATE(13141)] = 589113,
  [SMALL_STATE(13142)] = 589143,
  [SMALL_STATE(13143)] = 589171,
  [SMALL_STATE(13144)] = 589195,
  [SMALL_STATE(13145)] = 589229,
  [SMALL_STATE(13146)] = 589263,
  [SMALL_STATE(13147)] = 589297,
  [SMALL_STATE(13148)] = 589321,
  [SMALL_STATE(13149)] = 589353,
  [SMALL_STATE(13150)] = 589387,
  [SMALL_STATE(13151)] = 589411,
  [SMALL_STATE(13152)] = 589445,
  [SMALL_STATE(13153)] = 589469,
  [SMALL_STATE(13154)] = 589493,
  [SMALL_STATE(13155)] = 589517,
  [SMALL_STATE(13156)] = 589541,
  [SMALL_STATE(13157)] = 589565,
  [SMALL_STATE(13158)] = 589589,
  [SMALL_STATE(13159)] = 589613,
  [SMALL_STATE(13160)] = 589637,
  [SMALL_STATE(13161)] = 589671,
  [SMALL_STATE(13162)] = 589695,
  [SMALL_STATE(13163)] = 589719,
  [SMALL_STATE(13164)] = 589747,
  [SMALL_STATE(13165)] = 589771,
  [SMALL_STATE(13166)] = 589801,
  [SMALL_STATE(13167)] = 589845,
  [SMALL_STATE(13168)] = 589879,
  [SMALL_STATE(13169)] = 589913,
  [SMALL_STATE(13170)] = 589949,
  [SMALL_STATE(13171)] = 589973,
  [SMALL_STATE(13172)] = 590017,
  [SMALL_STATE(13173)] = 590041,
  [SMALL_STATE(13174)] = 590065,
  [SMALL_STATE(13175)] = 590099,
  [SMALL_STATE(13176)] = 590133,
  [SMALL_STATE(13177)] = 590157,
  [SMALL_STATE(13178)] = 590181,
  [SMALL_STATE(13179)] = 590205,
  [SMALL_STATE(13180)] = 590239,
  [SMALL_STATE(13181)] = 590273,
  [SMALL_STATE(13182)] = 590297,
  [SMALL_STATE(13183)] = 590341,
  [SMALL_STATE(13184)] = 590373,
  [SMALL_STATE(13185)] = 590405,
  [SMALL_STATE(13186)] = 590439,
  [SMALL_STATE(13187)] = 590483,
  [SMALL_STATE(13188)] = 590517,
  [SMALL_STATE(13189)] = 590541,
  [SMALL_STATE(13190)] = 590565,
  [SMALL_STATE(13191)] = 590589,
  [SMALL_STATE(13192)] = 590613,
  [SMALL_STATE(13193)] = 590647,
  [SMALL_STATE(13194)] = 590671,
  [SMALL_STATE(13195)] = 590705,
  [SMALL_STATE(13196)] = 590749,
  [SMALL_STATE(13197)] = 590773,
  [SMALL_STATE(13198)] = 590797,
  [SMALL_STATE(13199)] = 590821,
  [SMALL_STATE(13200)] = 590845,
  [SMALL_STATE(13201)] = 590869,
  [SMALL_STATE(13202)] = 590893,
  [SMALL_STATE(13203)] = 590921,
  [SMALL_STATE(13204)] = 590955,
  [SMALL_STATE(13205)] = 590979,
  [SMALL_STATE(13206)] = 591013,
  [SMALL_STATE(13207)] = 591047,
  [SMALL_STATE(13208)] = 591079,
  [SMALL_STATE(13209)] = 591109,
  [SMALL_STATE(13210)] = 591135,
  [SMALL_STATE(13211)] = 591167,
  [SMALL_STATE(13212)] = 591199,
  [SMALL_STATE(13213)] = 591243,
  [SMALL_STATE(13214)] = 591275,
  [SMALL_STATE(13215)] = 591299,
  [SMALL_STATE(13216)] = 591333,
  [SMALL_STATE(13217)] = 591357,
  [SMALL_STATE(13218)] = 591401,
  [SMALL_STATE(13219)] = 591425,
  [SMALL_STATE(13220)] = 591449,
  [SMALL_STATE(13221)] = 591473,
  [SMALL_STATE(13222)] = 591497,
  [SMALL_STATE(13223)] = 591531,
  [SMALL_STATE(13224)] = 591555,
  [SMALL_STATE(13225)] = 591579,
  [SMALL_STATE(13226)] = 591603,
  [SMALL_STATE(13227)] = 591627,
  [SMALL_STATE(13228)] = 591651,
  [SMALL_STATE(13229)] = 591695,
  [SMALL_STATE(13230)] = 591719,
  [SMALL_STATE(13231)] = 591743,
  [SMALL_STATE(13232)] = 591767,
  [SMALL_STATE(13233)] = 591791,
  [SMALL_STATE(13234)] = 591815,
  [SMALL_STATE(13235)] = 591849,
  [SMALL_STATE(13236)] = 591873,
  [SMALL_STATE(13237)] = 591907,
  [SMALL_STATE(13238)] = 591931,
  [SMALL_STATE(13239)] = 591955,
  [SMALL_STATE(13240)] = 591979,
  [SMALL_STATE(13241)] = 592003,
  [SMALL_STATE(13242)] = 592027,
  [SMALL_STATE(13243)] = 592051,
  [SMALL_STATE(13244)] = 592081,
  [SMALL_STATE(13245)] = 592107,
  [SMALL_STATE(13246)] = 592141,
  [SMALL_STATE(13247)] = 592165,
  [SMALL_STATE(13248)] = 592199,
  [SMALL_STATE(13249)] = 592225,
  [SMALL_STATE(13250)] = 592249,
  [SMALL_STATE(13251)] = 592273,
  [SMALL_STATE(13252)] = 592307,
  [SMALL_STATE(13253)] = 592331,
  [SMALL_STATE(13254)] = 592359,
  [SMALL_STATE(13255)] = 592385,
  [SMALL_STATE(13256)] = 592409,
  [SMALL_STATE(13257)] = 592443,
  [SMALL_STATE(13258)] = 592477,
  [SMALL_STATE(13259)] = 592511,
  [SMALL_STATE(13260)] = 592535,
  [SMALL_STATE(13261)] = 592561,
  [SMALL_STATE(13262)] = 592585,
  [SMALL_STATE(13263)] = 592611,
  [SMALL_STATE(13264)] = 592635,
  [SMALL_STATE(13265)] = 592659,
  [SMALL_STATE(13266)] = 592683,
  [SMALL_STATE(13267)] = 592717,
  [SMALL_STATE(13268)] = 592741,
  [SMALL_STATE(13269)] = 592773,
  [SMALL_STATE(13270)] = 592797,
  [SMALL_STATE(13271)] = 592831,
  [SMALL_STATE(13272)] = 592855,
  [SMALL_STATE(13273)] = 592879,
  [SMALL_STATE(13274)] = 592903,
  [SMALL_STATE(13275)] = 592937,
  [SMALL_STATE(13276)] = 592965,
  [SMALL_STATE(13277)] = 592991,
  [SMALL_STATE(13278)] = 593015,
  [SMALL_STATE(13279)] = 593039,
  [SMALL_STATE(13280)] = 593063,
  [SMALL_STATE(13281)] = 593091,
  [SMALL_STATE(13282)] = 593125,
  [SMALL_STATE(13283)] = 593159,
  [SMALL_STATE(13284)] = 593185,
  [SMALL_STATE(13285)] = 593209,
  [SMALL_STATE(13286)] = 593243,
  [SMALL_STATE(13287)] = 593277,
  [SMALL_STATE(13288)] = 593301,
  [SMALL_STATE(13289)] = 593325,
  [SMALL_STATE(13290)] = 593349,
  [SMALL_STATE(13291)] = 593383,
  [SMALL_STATE(13292)] = 593407,
  [SMALL_STATE(13293)] = 593431,
  [SMALL_STATE(13294)] = 593455,
  [SMALL_STATE(13295)] = 593487,
  [SMALL_STATE(13296)] = 593521,
  [SMALL_STATE(13297)] = 593545,
  [SMALL_STATE(13298)] = 593579,
  [SMALL_STATE(13299)] = 593603,
  [SMALL_STATE(13300)] = 593627,
  [SMALL_STATE(13301)] = 593661,
  [SMALL_STATE(13302)] = 593693,
  [SMALL_STATE(13303)] = 593727,
  [SMALL_STATE(13304)] = 593751,
  [SMALL_STATE(13305)] = 593779,
  [SMALL_STATE(13306)] = 593811,
  [SMALL_STATE(13307)] = 593845,
  [SMALL_STATE(13308)] = 593873,
  [SMALL_STATE(13309)] = 593907,
  [SMALL_STATE(13310)] = 593941,
  [SMALL_STATE(13311)] = 593975,
  [SMALL_STATE(13312)] = 593999,
  [SMALL_STATE(13313)] = 594023,
  [SMALL_STATE(13314)] = 594067,
  [SMALL_STATE(13315)] = 594101,
  [SMALL_STATE(13316)] = 594125,
  [SMALL_STATE(13317)] = 594149,
  [SMALL_STATE(13318)] = 594179,
  [SMALL_STATE(13319)] = 594211,
  [SMALL_STATE(13320)] = 594245,
  [SMALL_STATE(13321)] = 594269,
  [SMALL_STATE(13322)] = 594293,
  [SMALL_STATE(13323)] = 594317,
  [SMALL_STATE(13324)] = 594353,
  [SMALL_STATE(13325)] = 594377,
  [SMALL_STATE(13326)] = 594405,
  [SMALL_STATE(13327)] = 594439,
  [SMALL_STATE(13328)] = 594463,
  [SMALL_STATE(13329)] = 594487,
  [SMALL_STATE(13330)] = 594511,
  [SMALL_STATE(13331)] = 594537,
  [SMALL_STATE(13332)] = 594561,
  [SMALL_STATE(13333)] = 594585,
  [SMALL_STATE(13334)] = 594609,
  [SMALL_STATE(13335)] = 594637,
  [SMALL_STATE(13336)] = 594665,
  [SMALL_STATE(13337)] = 594689,
  [SMALL_STATE(13338)] = 594713,
  [SMALL_STATE(13339)] = 594747,
  [SMALL_STATE(13340)] = 594781,
  [SMALL_STATE(13341)] = 594815,
  [SMALL_STATE(13342)] = 594839,
  [SMALL_STATE(13343)] = 594865,
  [SMALL_STATE(13344)] = 594889,
  [SMALL_STATE(13345)] = 594923,
  [SMALL_STATE(13346)] = 594951,
  [SMALL_STATE(13347)] = 594977,
  [SMALL_STATE(13348)] = 595011,
  [SMALL_STATE(13349)] = 595035,
  [SMALL_STATE(13350)] = 595059,
  [SMALL_STATE(13351)] = 595091,
  [SMALL_STATE(13352)] = 595125,
  [SMALL_STATE(13353)] = 595151,
  [SMALL_STATE(13354)] = 595183,
  [SMALL_STATE(13355)] = 595211,
  [SMALL_STATE(13356)] = 595237,
  [SMALL_STATE(13357)] = 595269,
  [SMALL_STATE(13358)] = 595301,
  [SMALL_STATE(13359)] = 595335,
  [SMALL_STATE(13360)] = 595367,
  [SMALL_STATE(13361)] = 595393,
  [SMALL_STATE(13362)] = 595427,
  [SMALL_STATE(13363)] = 595461,
  [SMALL_STATE(13364)] = 595495,
  [SMALL_STATE(13365)] = 595519,
  [SMALL_STATE(13366)] = 595545,
  [SMALL_STATE(13367)] = 595571,
  [SMALL_STATE(13368)] = 595595,
  [SMALL_STATE(13369)] = 595619,
  [SMALL_STATE(13370)] = 595643,
  [SMALL_STATE(13371)] = 595667,
  [SMALL_STATE(13372)] = 595691,
  [SMALL_STATE(13373)] = 595715,
  [SMALL_STATE(13374)] = 595743,
  [SMALL_STATE(13375)] = 595777,
  [SMALL_STATE(13376)] = 595801,
  [SMALL_STATE(13377)] = 595825,
  [SMALL_STATE(13378)] = 595859,
  [SMALL_STATE(13379)] = 595893,
  [SMALL_STATE(13380)] = 595927,
  [SMALL_STATE(13381)] = 595959,
  [SMALL_STATE(13382)] = 595983,
  [SMALL_STATE(13383)] = 596007,
  [SMALL_STATE(13384)] = 596041,
  [SMALL_STATE(13385)] = 596075,
  [SMALL_STATE(13386)] = 596109,
  [SMALL_STATE(13387)] = 596133,
  [SMALL_STATE(13388)] = 596167,
  [SMALL_STATE(13389)] = 596197,
  [SMALL_STATE(13390)] = 596231,
  [SMALL_STATE(13391)] = 596255,
  [SMALL_STATE(13392)] = 596279,
  [SMALL_STATE(13393)] = 596303,
  [SMALL_STATE(13394)] = 596337,
  [SMALL_STATE(13395)] = 596363,
  [SMALL_STATE(13396)] = 596397,
  [SMALL_STATE(13397)] = 596425,
  [SMALL_STATE(13398)] = 596455,
  [SMALL_STATE(13399)] = 596489,
  [SMALL_STATE(13400)] = 596513,
  [SMALL_STATE(13401)] = 596547,
  [SMALL_STATE(13402)] = 596570,
  [SMALL_STATE(13403)] = 596593,
  [SMALL_STATE(13404)] = 596616,
  [SMALL_STATE(13405)] = 596639,
  [SMALL_STATE(13406)] = 596662,
  [SMALL_STATE(13407)] = 596693,
  [SMALL_STATE(13408)] = 596716,
  [SMALL_STATE(13409)] = 596745,
  [SMALL_STATE(13410)] = 596772,
  [SMALL_STATE(13411)] = 596795,
  [SMALL_STATE(13412)] = 596818,
  [SMALL_STATE(13413)] = 596841,
  [SMALL_STATE(13414)] = 596864,
  [SMALL_STATE(13415)] = 596887,
  [SMALL_STATE(13416)] = 596910,
  [SMALL_STATE(13417)] = 596933,
  [SMALL_STATE(13418)] = 596956,
  [SMALL_STATE(13419)] = 596979,
  [SMALL_STATE(13420)] = 597004,
  [SMALL_STATE(13421)] = 597027,
  [SMALL_STATE(13422)] = 597050,
  [SMALL_STATE(13423)] = 597073,
  [SMALL_STATE(13424)] = 597096,
  [SMALL_STATE(13425)] = 597127,
  [SMALL_STATE(13426)] = 597156,
  [SMALL_STATE(13427)] = 597179,
  [SMALL_STATE(13428)] = 597202,
  [SMALL_STATE(13429)] = 597227,
  [SMALL_STATE(13430)] = 597254,
  [SMALL_STATE(13431)] = 597281,
  [SMALL_STATE(13432)] = 597312,
  [SMALL_STATE(13433)] = 597335,
  [SMALL_STATE(13434)] = 597360,
  [SMALL_STATE(13435)] = 597391,
  [SMALL_STATE(13436)] = 597418,
  [SMALL_STATE(13437)] = 597441,
  [SMALL_STATE(13438)] = 597464,
  [SMALL_STATE(13439)] = 597493,
  [SMALL_STATE(13440)] = 597522,
  [SMALL_STATE(13441)] = 597545,
  [SMALL_STATE(13442)] = 597572,
  [SMALL_STATE(13443)] = 597595,
  [SMALL_STATE(13444)] = 597624,
  [SMALL_STATE(13445)] = 597655,
  [SMALL_STATE(13446)] = 597678,
  [SMALL_STATE(13447)] = 597701,
  [SMALL_STATE(13448)] = 597724,
  [SMALL_STATE(13449)] = 597755,
  [SMALL_STATE(13450)] = 597778,
  [SMALL_STATE(13451)] = 597801,
  [SMALL_STATE(13452)] = 597832,
  [SMALL_STATE(13453)] = 597855,
  [SMALL_STATE(13454)] = 597878,
  [SMALL_STATE(13455)] = 597901,
  [SMALL_STATE(13456)] = 597924,
  [SMALL_STATE(13457)] = 597947,
  [SMALL_STATE(13458)] = 597970,
  [SMALL_STATE(13459)] = 597993,
  [SMALL_STATE(13460)] = 598016,
  [SMALL_STATE(13461)] = 598047,
  [SMALL_STATE(13462)] = 598070,
  [SMALL_STATE(13463)] = 598093,
  [SMALL_STATE(13464)] = 598118,
  [SMALL_STATE(13465)] = 598149,
  [SMALL_STATE(13466)] = 598172,
  [SMALL_STATE(13467)] = 598203,
  [SMALL_STATE(13468)] = 598238,
  [SMALL_STATE(13469)] = 598269,
  [SMALL_STATE(13470)] = 598292,
  [SMALL_STATE(13471)] = 598315,
  [SMALL_STATE(13472)] = 598338,
  [SMALL_STATE(13473)] = 598361,
  [SMALL_STATE(13474)] = 598384,
  [SMALL_STATE(13475)] = 598407,
  [SMALL_STATE(13476)] = 598430,
  [SMALL_STATE(13477)] = 598453,
  [SMALL_STATE(13478)] = 598476,
  [SMALL_STATE(13479)] = 598499,
  [SMALL_STATE(13480)] = 598526,
  [SMALL_STATE(13481)] = 598549,
  [SMALL_STATE(13482)] = 598572,
  [SMALL_STATE(13483)] = 598595,
  [SMALL_STATE(13484)] = 598618,
  [SMALL_STATE(13485)] = 598641,
  [SMALL_STATE(13486)] = 598666,
  [SMALL_STATE(13487)] = 598689,
  [SMALL_STATE(13488)] = 598712,
  [SMALL_STATE(13489)] = 598735,
  [SMALL_STATE(13490)] = 598758,
  [SMALL_STATE(13491)] = 598781,
  [SMALL_STATE(13492)] = 598804,
  [SMALL_STATE(13493)] = 598827,
  [SMALL_STATE(13494)] = 598850,
  [SMALL_STATE(13495)] = 598873,
  [SMALL_STATE(13496)] = 598896,
  [SMALL_STATE(13497)] = 598919,
  [SMALL_STATE(13498)] = 598942,
  [SMALL_STATE(13499)] = 598967,
  [SMALL_STATE(13500)] = 598990,
  [SMALL_STATE(13501)] = 599013,
  [SMALL_STATE(13502)] = 599038,
  [SMALL_STATE(13503)] = 599061,
  [SMALL_STATE(13504)] = 599084,
  [SMALL_STATE(13505)] = 599107,
  [SMALL_STATE(13506)] = 599136,
  [SMALL_STATE(13507)] = 599163,
  [SMALL_STATE(13508)] = 599186,
  [SMALL_STATE(13509)] = 599213,
  [SMALL_STATE(13510)] = 599236,
  [SMALL_STATE(13511)] = 599263,
  [SMALL_STATE(13512)] = 599292,
  [SMALL_STATE(13513)] = 599315,
  [SMALL_STATE(13514)] = 599338,
  [SMALL_STATE(13515)] = 599365,
  [SMALL_STATE(13516)] = 599390,
  [SMALL_STATE(13517)] = 599417,
  [SMALL_STATE(13518)] = 599456,
  [SMALL_STATE(13519)] = 599483,
  [SMALL_STATE(13520)] = 599510,
  [SMALL_STATE(13521)] = 599537,
  [SMALL_STATE(13522)] = 599560,
  [SMALL_STATE(13523)] = 599585,
  [SMALL_STATE(13524)] = 599608,
  [SMALL_STATE(13525)] = 599631,
  [SMALL_STATE(13526)] = 599654,
  [SMALL_STATE(13527)] = 599677,
  [SMALL_STATE(13528)] = 599716,
  [SMALL_STATE(13529)] = 599739,
  [SMALL_STATE(13530)] = 599770,
  [SMALL_STATE(13531)] = 599793,
  [SMALL_STATE(13532)] = 599816,
  [SMALL_STATE(13533)] = 599839,
  [SMALL_STATE(13534)] = 599866,
  [SMALL_STATE(13535)] = 599889,
  [SMALL_STATE(13536)] = 599914,
  [SMALL_STATE(13537)] = 599937,
  [SMALL_STATE(13538)] = 599960,
  [SMALL_STATE(13539)] = 599983,
  [SMALL_STATE(13540)] = 600006,
  [SMALL_STATE(13541)] = 600029,
  [SMALL_STATE(13542)] = 600052,
  [SMALL_STATE(13543)] = 600075,
  [SMALL_STATE(13544)] = 600098,
  [SMALL_STATE(13545)] = 600121,
  [SMALL_STATE(13546)] = 600148,
  [SMALL_STATE(13547)] = 600171,
  [SMALL_STATE(13548)] = 600194,
  [SMALL_STATE(13549)] = 600221,
  [SMALL_STATE(13550)] = 600244,
  [SMALL_STATE(13551)] = 600267,
  [SMALL_STATE(13552)] = 600294,
  [SMALL_STATE(13553)] = 600317,
  [SMALL_STATE(13554)] = 600340,
  [SMALL_STATE(13555)] = 600363,
  [SMALL_STATE(13556)] = 600386,
  [SMALL_STATE(13557)] = 600409,
  [SMALL_STATE(13558)] = 600432,
  [SMALL_STATE(13559)] = 600455,
  [SMALL_STATE(13560)] = 600478,
  [SMALL_STATE(13561)] = 600513,
  [SMALL_STATE(13562)] = 600536,
  [SMALL_STATE(13563)] = 600559,
  [SMALL_STATE(13564)] = 600582,
  [SMALL_STATE(13565)] = 600605,
  [SMALL_STATE(13566)] = 600628,
  [SMALL_STATE(13567)] = 600655,
  [SMALL_STATE(13568)] = 600678,
  [SMALL_STATE(13569)] = 600701,
  [SMALL_STATE(13570)] = 600728,
  [SMALL_STATE(13571)] = 600751,
  [SMALL_STATE(13572)] = 600774,
  [SMALL_STATE(13573)] = 600797,
  [SMALL_STATE(13574)] = 600820,
  [SMALL_STATE(13575)] = 600843,
  [SMALL_STATE(13576)] = 600866,
  [SMALL_STATE(13577)] = 600889,
  [SMALL_STATE(13578)] = 600912,
  [SMALL_STATE(13579)] = 600935,
  [SMALL_STATE(13580)] = 600958,
  [SMALL_STATE(13581)] = 600983,
  [SMALL_STATE(13582)] = 601006,
  [SMALL_STATE(13583)] = 601029,
  [SMALL_STATE(13584)] = 601056,
  [SMALL_STATE(13585)] = 601079,
  [SMALL_STATE(13586)] = 601102,
  [SMALL_STATE(13587)] = 601125,
  [SMALL_STATE(13588)] = 601148,
  [SMALL_STATE(13589)] = 601171,
  [SMALL_STATE(13590)] = 601194,
  [SMALL_STATE(13591)] = 601217,
  [SMALL_STATE(13592)] = 601240,
  [SMALL_STATE(13593)] = 601263,
  [SMALL_STATE(13594)] = 601286,
  [SMALL_STATE(13595)] = 601309,
  [SMALL_STATE(13596)] = 601332,
  [SMALL_STATE(13597)] = 601355,
  [SMALL_STATE(13598)] = 601378,
  [SMALL_STATE(13599)] = 601401,
  [SMALL_STATE(13600)] = 601424,
  [SMALL_STATE(13601)] = 601447,
  [SMALL_STATE(13602)] = 601470,
  [SMALL_STATE(13603)] = 601493,
  [SMALL_STATE(13604)] = 601526,
  [SMALL_STATE(13605)] = 601561,
  [SMALL_STATE(13606)] = 601584,
  [SMALL_STATE(13607)] = 601611,
  [SMALL_STATE(13608)] = 601634,
  [SMALL_STATE(13609)] = 601657,
  [SMALL_STATE(13610)] = 601680,
  [SMALL_STATE(13611)] = 601709,
  [SMALL_STATE(13612)] = 601732,
  [SMALL_STATE(13613)] = 601757,
  [SMALL_STATE(13614)] = 601780,
  [SMALL_STATE(13615)] = 601803,
  [SMALL_STATE(13616)] = 601830,
  [SMALL_STATE(13617)] = 601857,
  [SMALL_STATE(13618)] = 601884,
  [SMALL_STATE(13619)] = 601907,
  [SMALL_STATE(13620)] = 601930,
  [SMALL_STATE(13621)] = 601957,
  [SMALL_STATE(13622)] = 601980,
  [SMALL_STATE(13623)] = 602013,
  [SMALL_STATE(13624)] = 602036,
  [SMALL_STATE(13625)] = 602071,
  [SMALL_STATE(13626)] = 602094,
  [SMALL_STATE(13627)] = 602123,
  [SMALL_STATE(13628)] = 602146,
  [SMALL_STATE(13629)] = 602169,
  [SMALL_STATE(13630)] = 602192,
  [SMALL_STATE(13631)] = 602215,
  [SMALL_STATE(13632)] = 602238,
  [SMALL_STATE(13633)] = 602261,
  [SMALL_STATE(13634)] = 602286,
  [SMALL_STATE(13635)] = 602309,
  [SMALL_STATE(13636)] = 602332,
  [SMALL_STATE(13637)] = 602361,
  [SMALL_STATE(13638)] = 602388,
  [SMALL_STATE(13639)] = 602417,
  [SMALL_STATE(13640)] = 602440,
  [SMALL_STATE(13641)] = 602463,
  [SMALL_STATE(13642)] = 602486,
  [SMALL_STATE(13643)] = 602509,
  [SMALL_STATE(13644)] = 602538,
  [SMALL_STATE(13645)] = 602569,
  [SMALL_STATE(13646)] = 602592,
  [SMALL_STATE(13647)] = 602615,
  [SMALL_STATE(13648)] = 602638,
  [SMALL_STATE(13649)] = 602665,
  [SMALL_STATE(13650)] = 602688,
  [SMALL_STATE(13651)] = 602715,
  [SMALL_STATE(13652)] = 602738,
  [SMALL_STATE(13653)] = 602761,
  [SMALL_STATE(13654)] = 602784,
  [SMALL_STATE(13655)] = 602807,
  [SMALL_STATE(13656)] = 602834,
  [SMALL_STATE(13657)] = 602857,
  [SMALL_STATE(13658)] = 602880,
  [SMALL_STATE(13659)] = 602905,
  [SMALL_STATE(13660)] = 602934,
  [SMALL_STATE(13661)] = 602957,
  [SMALL_STATE(13662)] = 602980,
  [SMALL_STATE(13663)] = 603003,
  [SMALL_STATE(13664)] = 603026,
  [SMALL_STATE(13665)] = 603049,
  [SMALL_STATE(13666)] = 603072,
  [SMALL_STATE(13667)] = 603095,
  [SMALL_STATE(13668)] = 603118,
  [SMALL_STATE(13669)] = 603141,
  [SMALL_STATE(13670)] = 603164,
  [SMALL_STATE(13671)] = 603187,
  [SMALL_STATE(13672)] = 603210,
  [SMALL_STATE(13673)] = 603233,
  [SMALL_STATE(13674)] = 603262,
  [SMALL_STATE(13675)] = 603285,
  [SMALL_STATE(13676)] = 603314,
  [SMALL_STATE(13677)] = 603343,
  [SMALL_STATE(13678)] = 603366,
  [SMALL_STATE(13679)] = 603393,
  [SMALL_STATE(13680)] = 603418,
  [SMALL_STATE(13681)] = 603441,
  [SMALL_STATE(13682)] = 603464,
  [SMALL_STATE(13683)] = 603487,
  [SMALL_STATE(13684)] = 603510,
  [SMALL_STATE(13685)] = 603533,
  [SMALL_STATE(13686)] = 603560,
  [SMALL_STATE(13687)] = 603587,
  [SMALL_STATE(13688)] = 603612,
  [SMALL_STATE(13689)] = 603635,
  [SMALL_STATE(13690)] = 603658,
  [SMALL_STATE(13691)] = 603681,
  [SMALL_STATE(13692)] = 603708,
  [SMALL_STATE(13693)] = 603737,
  [SMALL_STATE(13694)] = 603762,
  [SMALL_STATE(13695)] = 603789,
  [SMALL_STATE(13696)] = 603814,
  [SMALL_STATE(13697)] = 603839,
  [SMALL_STATE(13698)] = 603866,
  [SMALL_STATE(13699)] = 603901,
  [SMALL_STATE(13700)] = 603928,
  [SMALL_STATE(13701)] = 603955,
  [SMALL_STATE(13702)] = 603984,
  [SMALL_STATE(13703)] = 604009,
  [SMALL_STATE(13704)] = 604032,
  [SMALL_STATE(13705)] = 604055,
  [SMALL_STATE(13706)] = 604078,
  [SMALL_STATE(13707)] = 604105,
  [SMALL_STATE(13708)] = 604130,
  [SMALL_STATE(13709)] = 604157,
  [SMALL_STATE(13710)] = 604184,
  [SMALL_STATE(13711)] = 604207,
  [SMALL_STATE(13712)] = 604230,
  [SMALL_STATE(13713)] = 604257,
  [SMALL_STATE(13714)] = 604280,
  [SMALL_STATE(13715)] = 604302,
  [SMALL_STATE(13716)] = 604324,
  [SMALL_STATE(13717)] = 604350,
  [SMALL_STATE(13718)] = 604376,
  [SMALL_STATE(13719)] = 604398,
  [SMALL_STATE(13720)] = 604426,
  [SMALL_STATE(13721)] = 604452,
  [SMALL_STATE(13722)] = 604478,
  [SMALL_STATE(13723)] = 604504,
  [SMALL_STATE(13724)] = 604526,
  [SMALL_STATE(13725)] = 604554,
  [SMALL_STATE(13726)] = 604578,
  [SMALL_STATE(13727)] = 604604,
  [SMALL_STATE(13728)] = 604634,
  [SMALL_STATE(13729)] = 604664,
  [SMALL_STATE(13730)] = 604686,
  [SMALL_STATE(13731)] = 604712,
  [SMALL_STATE(13732)] = 604740,
  [SMALL_STATE(13733)] = 604766,
  [SMALL_STATE(13734)] = 604794,
  [SMALL_STATE(13735)] = 604816,
  [SMALL_STATE(13736)] = 604838,
  [SMALL_STATE(13737)] = 604862,
  [SMALL_STATE(13738)] = 604888,
  [SMALL_STATE(13739)] = 604910,
  [SMALL_STATE(13740)] = 604938,
  [SMALL_STATE(13741)] = 604964,
  [SMALL_STATE(13742)] = 604986,
  [SMALL_STATE(13743)] = 605012,
  [SMALL_STATE(13744)] = 605034,
  [SMALL_STATE(13745)] = 605056,
  [SMALL_STATE(13746)] = 605078,
  [SMALL_STATE(13747)] = 605100,
  [SMALL_STATE(13748)] = 605122,
  [SMALL_STATE(13749)] = 605144,
  [SMALL_STATE(13750)] = 605168,
  [SMALL_STATE(13751)] = 605192,
  [SMALL_STATE(13752)] = 605214,
  [SMALL_STATE(13753)] = 605236,
  [SMALL_STATE(13754)] = 605258,
  [SMALL_STATE(13755)] = 605280,
  [SMALL_STATE(13756)] = 605302,
  [SMALL_STATE(13757)] = 605324,
  [SMALL_STATE(13758)] = 605346,
  [SMALL_STATE(13759)] = 605368,
  [SMALL_STATE(13760)] = 605398,
  [SMALL_STATE(13761)] = 605424,
  [SMALL_STATE(13762)] = 605454,
  [SMALL_STATE(13763)] = 605476,
  [SMALL_STATE(13764)] = 605498,
  [SMALL_STATE(13765)] = 605526,
  [SMALL_STATE(13766)] = 605552,
  [SMALL_STATE(13767)] = 605578,
  [SMALL_STATE(13768)] = 605602,
  [SMALL_STATE(13769)] = 605628,
  [SMALL_STATE(13770)] = 605650,
  [SMALL_STATE(13771)] = 605676,
  [SMALL_STATE(13772)] = 605704,
  [SMALL_STATE(13773)] = 605726,
  [SMALL_STATE(13774)] = 605748,
  [SMALL_STATE(13775)] = 605774,
  [SMALL_STATE(13776)] = 605796,
  [SMALL_STATE(13777)] = 605818,
  [SMALL_STATE(13778)] = 605840,
  [SMALL_STATE(13779)] = 605862,
  [SMALL_STATE(13780)] = 605884,
  [SMALL_STATE(13781)] = 605906,
  [SMALL_STATE(13782)] = 605932,
  [SMALL_STATE(13783)] = 605954,
  [SMALL_STATE(13784)] = 605976,
  [SMALL_STATE(13785)] = 606000,
  [SMALL_STATE(13786)] = 606030,
  [SMALL_STATE(13787)] = 606052,
  [SMALL_STATE(13788)] = 606074,
  [SMALL_STATE(13789)] = 606096,
  [SMALL_STATE(13790)] = 606120,
  [SMALL_STATE(13791)] = 606142,
  [SMALL_STATE(13792)] = 606164,
  [SMALL_STATE(13793)] = 606186,
  [SMALL_STATE(13794)] = 606208,
  [SMALL_STATE(13795)] = 606230,
  [SMALL_STATE(13796)] = 606252,
  [SMALL_STATE(13797)] = 606282,
  [SMALL_STATE(13798)] = 606304,
  [SMALL_STATE(13799)] = 606332,
  [SMALL_STATE(13800)] = 606358,
  [SMALL_STATE(13801)] = 606384,
  [SMALL_STATE(13802)] = 606412,
  [SMALL_STATE(13803)] = 606436,
  [SMALL_STATE(13804)] = 606458,
  [SMALL_STATE(13805)] = 606486,
  [SMALL_STATE(13806)] = 606508,
  [SMALL_STATE(13807)] = 606534,
  [SMALL_STATE(13808)] = 606564,
  [SMALL_STATE(13809)] = 606590,
  [SMALL_STATE(13810)] = 606612,
  [SMALL_STATE(13811)] = 606642,
  [SMALL_STATE(13812)] = 606672,
  [SMALL_STATE(13813)] = 606700,
  [SMALL_STATE(13814)] = 606726,
  [SMALL_STATE(13815)] = 606748,
  [SMALL_STATE(13816)] = 606776,
  [SMALL_STATE(13817)] = 606804,
  [SMALL_STATE(13818)] = 606826,
  [SMALL_STATE(13819)] = 606848,
  [SMALL_STATE(13820)] = 606870,
  [SMALL_STATE(13821)] = 606900,
  [SMALL_STATE(13822)] = 606922,
  [SMALL_STATE(13823)] = 606944,
  [SMALL_STATE(13824)] = 606966,
  [SMALL_STATE(13825)] = 606994,
  [SMALL_STATE(13826)] = 607020,
  [SMALL_STATE(13827)] = 607042,
  [SMALL_STATE(13828)] = 607064,
  [SMALL_STATE(13829)] = 607086,
  [SMALL_STATE(13830)] = 607112,
  [SMALL_STATE(13831)] = 607134,
  [SMALL_STATE(13832)] = 607156,
  [SMALL_STATE(13833)] = 607178,
  [SMALL_STATE(13834)] = 607200,
  [SMALL_STATE(13835)] = 607222,
  [SMALL_STATE(13836)] = 607244,
  [SMALL_STATE(13837)] = 607266,
  [SMALL_STATE(13838)] = 607292,
  [SMALL_STATE(13839)] = 607314,
  [SMALL_STATE(13840)] = 607340,
  [SMALL_STATE(13841)] = 607366,
  [SMALL_STATE(13842)] = 607388,
  [SMALL_STATE(13843)] = 607410,
  [SMALL_STATE(13844)] = 607432,
  [SMALL_STATE(13845)] = 607454,
  [SMALL_STATE(13846)] = 607476,
  [SMALL_STATE(13847)] = 607498,
  [SMALL_STATE(13848)] = 607520,
  [SMALL_STATE(13849)] = 607542,
  [SMALL_STATE(13850)] = 607564,
  [SMALL_STATE(13851)] = 607588,
  [SMALL_STATE(13852)] = 607618,
  [SMALL_STATE(13853)] = 607640,
  [SMALL_STATE(13854)] = 607662,
  [SMALL_STATE(13855)] = 607684,
  [SMALL_STATE(13856)] = 607706,
  [SMALL_STATE(13857)] = 607728,
  [SMALL_STATE(13858)] = 607750,
  [SMALL_STATE(13859)] = 607784,
  [SMALL_STATE(13860)] = 607806,
  [SMALL_STATE(13861)] = 607828,
  [SMALL_STATE(13862)] = 607850,
  [SMALL_STATE(13863)] = 607872,
  [SMALL_STATE(13864)] = 607900,
  [SMALL_STATE(13865)] = 607924,
  [SMALL_STATE(13866)] = 607946,
  [SMALL_STATE(13867)] = 607968,
  [SMALL_STATE(13868)] = 607994,
  [SMALL_STATE(13869)] = 608016,
  [SMALL_STATE(13870)] = 608038,
  [SMALL_STATE(13871)] = 608060,
  [SMALL_STATE(13872)] = 608086,
  [SMALL_STATE(13873)] = 608112,
  [SMALL_STATE(13874)] = 608138,
  [SMALL_STATE(13875)] = 608160,
  [SMALL_STATE(13876)] = 608182,
  [SMALL_STATE(13877)] = 608204,
  [SMALL_STATE(13878)] = 608226,
  [SMALL_STATE(13879)] = 608248,
  [SMALL_STATE(13880)] = 608274,
  [SMALL_STATE(13881)] = 608298,
  [SMALL_STATE(13882)] = 608320,
  [SMALL_STATE(13883)] = 608346,
  [SMALL_STATE(13884)] = 608376,
  [SMALL_STATE(13885)] = 608398,
  [SMALL_STATE(13886)] = 608422,
  [SMALL_STATE(13887)] = 608444,
  [SMALL_STATE(13888)] = 608470,
  [SMALL_STATE(13889)] = 608492,
  [SMALL_STATE(13890)] = 608516,
  [SMALL_STATE(13891)] = 608538,
  [SMALL_STATE(13892)] = 608560,
  [SMALL_STATE(13893)] = 608582,
  [SMALL_STATE(13894)] = 608604,
  [SMALL_STATE(13895)] = 608626,
  [SMALL_STATE(13896)] = 608648,
  [SMALL_STATE(13897)] = 608670,
  [SMALL_STATE(13898)] = 608692,
  [SMALL_STATE(13899)] = 608714,
  [SMALL_STATE(13900)] = 608736,
  [SMALL_STATE(13901)] = 608758,
  [SMALL_STATE(13902)] = 608780,
  [SMALL_STATE(13903)] = 608802,
  [SMALL_STATE(13904)] = 608824,
  [SMALL_STATE(13905)] = 608846,
  [SMALL_STATE(13906)] = 608868,
  [SMALL_STATE(13907)] = 608894,
  [SMALL_STATE(13908)] = 608916,
  [SMALL_STATE(13909)] = 608942,
  [SMALL_STATE(13910)] = 608968,
  [SMALL_STATE(13911)] = 608990,
  [SMALL_STATE(13912)] = 609012,
  [SMALL_STATE(13913)] = 609034,
  [SMALL_STATE(13914)] = 609056,
  [SMALL_STATE(13915)] = 609078,
  [SMALL_STATE(13916)] = 609100,
  [SMALL_STATE(13917)] = 609122,
  [SMALL_STATE(13918)] = 609144,
  [SMALL_STATE(13919)] = 609166,
  [SMALL_STATE(13920)] = 609188,
  [SMALL_STATE(13921)] = 609212,
  [SMALL_STATE(13922)] = 609238,
  [SMALL_STATE(13923)] = 609262,
  [SMALL_STATE(13924)] = 609290,
  [SMALL_STATE(13925)] = 609312,
  [SMALL_STATE(13926)] = 609334,
  [SMALL_STATE(13927)] = 609356,
  [SMALL_STATE(13928)] = 609378,
  [SMALL_STATE(13929)] = 609400,
  [SMALL_STATE(13930)] = 609422,
  [SMALL_STATE(13931)] = 609448,
  [SMALL_STATE(13932)] = 609470,
  [SMALL_STATE(13933)] = 609492,
  [SMALL_STATE(13934)] = 609516,
  [SMALL_STATE(13935)] = 609538,
  [SMALL_STATE(13936)] = 609560,
  [SMALL_STATE(13937)] = 609582,
  [SMALL_STATE(13938)] = 609606,
  [SMALL_STATE(13939)] = 609628,
  [SMALL_STATE(13940)] = 609650,
  [SMALL_STATE(13941)] = 609678,
  [SMALL_STATE(13942)] = 609700,
  [SMALL_STATE(13943)] = 609722,
  [SMALL_STATE(13944)] = 609744,
  [SMALL_STATE(13945)] = 609766,
  [SMALL_STATE(13946)] = 609792,
  [SMALL_STATE(13947)] = 609814,
  [SMALL_STATE(13948)] = 609840,
  [SMALL_STATE(13949)] = 609866,
  [SMALL_STATE(13950)] = 609894,
  [SMALL_STATE(13951)] = 609916,
  [SMALL_STATE(13952)] = 609942,
  [SMALL_STATE(13953)] = 609970,
  [SMALL_STATE(13954)] = 609996,
  [SMALL_STATE(13955)] = 610018,
  [SMALL_STATE(13956)] = 610040,
  [SMALL_STATE(13957)] = 610070,
  [SMALL_STATE(13958)] = 610092,
  [SMALL_STATE(13959)] = 610114,
  [SMALL_STATE(13960)] = 610136,
  [SMALL_STATE(13961)] = 610162,
  [SMALL_STATE(13962)] = 610186,
  [SMALL_STATE(13963)] = 610214,
  [SMALL_STATE(13964)] = 610236,
  [SMALL_STATE(13965)] = 610258,
  [SMALL_STATE(13966)] = 610280,
  [SMALL_STATE(13967)] = 610302,
  [SMALL_STATE(13968)] = 610324,
  [SMALL_STATE(13969)] = 610346,
  [SMALL_STATE(13970)] = 610376,
  [SMALL_STATE(13971)] = 610398,
  [SMALL_STATE(13972)] = 610420,
  [SMALL_STATE(13973)] = 610442,
  [SMALL_STATE(13974)] = 610466,
  [SMALL_STATE(13975)] = 610488,
  [SMALL_STATE(13976)] = 610514,
  [SMALL_STATE(13977)] = 610540,
  [SMALL_STATE(13978)] = 610562,
  [SMALL_STATE(13979)] = 610584,
  [SMALL_STATE(13980)] = 610606,
  [SMALL_STATE(13981)] = 610628,
  [SMALL_STATE(13982)] = 610650,
  [SMALL_STATE(13983)] = 610672,
  [SMALL_STATE(13984)] = 610700,
  [SMALL_STATE(13985)] = 610722,
  [SMALL_STATE(13986)] = 610744,
  [SMALL_STATE(13987)] = 610766,
  [SMALL_STATE(13988)] = 610788,
  [SMALL_STATE(13989)] = 610810,
  [SMALL_STATE(13990)] = 610832,
  [SMALL_STATE(13991)] = 610854,
  [SMALL_STATE(13992)] = 610880,
  [SMALL_STATE(13993)] = 610902,
  [SMALL_STATE(13994)] = 610924,
  [SMALL_STATE(13995)] = 610946,
  [SMALL_STATE(13996)] = 610972,
  [SMALL_STATE(13997)] = 610994,
  [SMALL_STATE(13998)] = 611016,
  [SMALL_STATE(13999)] = 611038,
  [SMALL_STATE(14000)] = 611060,
  [SMALL_STATE(14001)] = 611082,
  [SMALL_STATE(14002)] = 611104,
  [SMALL_STATE(14003)] = 611126,
  [SMALL_STATE(14004)] = 611148,
  [SMALL_STATE(14005)] = 611174,
  [SMALL_STATE(14006)] = 611198,
  [SMALL_STATE(14007)] = 611226,
  [SMALL_STATE(14008)] = 611248,
  [SMALL_STATE(14009)] = 611270,
  [SMALL_STATE(14010)] = 611292,
  [SMALL_STATE(14011)] = 611318,
  [SMALL_STATE(14012)] = 611342,
  [SMALL_STATE(14013)] = 611364,
  [SMALL_STATE(14014)] = 611386,
  [SMALL_STATE(14015)] = 611412,
  [SMALL_STATE(14016)] = 611434,
  [SMALL_STATE(14017)] = 611456,
  [SMALL_STATE(14018)] = 611478,
  [SMALL_STATE(14019)] = 611500,
  [SMALL_STATE(14020)] = 611530,
  [SMALL_STATE(14021)] = 611552,
  [SMALL_STATE(14022)] = 611574,
  [SMALL_STATE(14023)] = 611600,
  [SMALL_STATE(14024)] = 611622,
  [SMALL_STATE(14025)] = 611644,
  [SMALL_STATE(14026)] = 611666,
  [SMALL_STATE(14027)] = 611688,
  [SMALL_STATE(14028)] = 611712,
  [SMALL_STATE(14029)] = 611734,
  [SMALL_STATE(14030)] = 611764,
  [SMALL_STATE(14031)] = 611786,
  [SMALL_STATE(14032)] = 611810,
  [SMALL_STATE(14033)] = 611832,
  [SMALL_STATE(14034)] = 611858,
  [SMALL_STATE(14035)] = 611886,
  [SMALL_STATE(14036)] = 611908,
  [SMALL_STATE(14037)] = 611930,
  [SMALL_STATE(14038)] = 611959,
  [SMALL_STATE(14039)] = 611980,
  [SMALL_STATE(14040)] = 612003,
  [SMALL_STATE(14041)] = 612024,
  [SMALL_STATE(14042)] = 612049,
  [SMALL_STATE(14043)] = 612070,
  [SMALL_STATE(14044)] = 612091,
  [SMALL_STATE(14045)] = 612116,
  [SMALL_STATE(14046)] = 612137,
  [SMALL_STATE(14047)] = 612160,
  [SMALL_STATE(14048)] = 612185,
  [SMALL_STATE(14049)] = 612206,
  [SMALL_STATE(14050)] = 612231,
  [SMALL_STATE(14051)] = 612252,
  [SMALL_STATE(14052)] = 612277,
  [SMALL_STATE(14053)] = 612300,
  [SMALL_STATE(14054)] = 612323,
  [SMALL_STATE(14055)] = 612356,
  [SMALL_STATE(14056)] = 612383,
  [SMALL_STATE(14057)] = 612414,
  [SMALL_STATE(14058)] = 612439,
  [SMALL_STATE(14059)] = 612460,
  [SMALL_STATE(14060)] = 612481,
  [SMALL_STATE(14061)] = 612508,
  [SMALL_STATE(14062)] = 612529,
  [SMALL_STATE(14063)] = 612556,
  [SMALL_STATE(14064)] = 612577,
  [SMALL_STATE(14065)] = 612600,
  [SMALL_STATE(14066)] = 612621,
  [SMALL_STATE(14067)] = 612646,
  [SMALL_STATE(14068)] = 612671,
  [SMALL_STATE(14069)] = 612698,
  [SMALL_STATE(14070)] = 612727,
  [SMALL_STATE(14071)] = 612752,
  [SMALL_STATE(14072)] = 612781,
  [SMALL_STATE(14073)] = 612806,
  [SMALL_STATE(14074)] = 612839,
  [SMALL_STATE(14075)] = 612860,
  [SMALL_STATE(14076)] = 612881,
  [SMALL_STATE(14077)] = 612908,
  [SMALL_STATE(14078)] = 612933,
  [SMALL_STATE(14079)] = 612954,
  [SMALL_STATE(14080)] = 612983,
  [SMALL_STATE(14081)] = 613004,
  [SMALL_STATE(14082)] = 613025,
  [SMALL_STATE(14083)] = 613046,
  [SMALL_STATE(14084)] = 613075,
  [SMALL_STATE(14085)] = 613102,
  [SMALL_STATE(14086)] = 613123,
  [SMALL_STATE(14087)] = 613148,
  [SMALL_STATE(14088)] = 613169,
  [SMALL_STATE(14089)] = 613198,
  [SMALL_STATE(14090)] = 613219,
  [SMALL_STATE(14091)] = 613240,
  [SMALL_STATE(14092)] = 613265,
  [SMALL_STATE(14093)] = 613290,
  [SMALL_STATE(14094)] = 613311,
  [SMALL_STATE(14095)] = 613332,
  [SMALL_STATE(14096)] = 613357,
  [SMALL_STATE(14097)] = 613384,
  [SMALL_STATE(14098)] = 613417,
  [SMALL_STATE(14099)] = 613438,
  [SMALL_STATE(14100)] = 613459,
  [SMALL_STATE(14101)] = 613480,
  [SMALL_STATE(14102)] = 613501,
  [SMALL_STATE(14103)] = 613522,
  [SMALL_STATE(14104)] = 613543,
  [SMALL_STATE(14105)] = 613568,
  [SMALL_STATE(14106)] = 613591,
  [SMALL_STATE(14107)] = 613616,
  [SMALL_STATE(14108)] = 613645,
  [SMALL_STATE(14109)] = 613672,
  [SMALL_STATE(14110)] = 613699,
  [SMALL_STATE(14111)] = 613726,
  [SMALL_STATE(14112)] = 613747,
  [SMALL_STATE(14113)] = 613768,
  [SMALL_STATE(14114)] = 613793,
  [SMALL_STATE(14115)] = 613818,
  [SMALL_STATE(14116)] = 613839,
  [SMALL_STATE(14117)] = 613860,
  [SMALL_STATE(14118)] = 613881,
  [SMALL_STATE(14119)] = 613906,
  [SMALL_STATE(14120)] = 613929,
  [SMALL_STATE(14121)] = 613954,
  [SMALL_STATE(14122)] = 613977,
  [SMALL_STATE(14123)] = 613998,
  [SMALL_STATE(14124)] = 614019,
  [SMALL_STATE(14125)] = 614046,
  [SMALL_STATE(14126)] = 614073,
  [SMALL_STATE(14127)] = 614102,
  [SMALL_STATE(14128)] = 614125,
  [SMALL_STATE(14129)] = 614148,
  [SMALL_STATE(14130)] = 614173,
  [SMALL_STATE(14131)] = 614198,
  [SMALL_STATE(14132)] = 614223,
  [SMALL_STATE(14133)] = 614256,
  [SMALL_STATE(14134)] = 614281,
  [SMALL_STATE(14135)] = 614306,
  [SMALL_STATE(14136)] = 614327,
  [SMALL_STATE(14137)] = 614348,
  [SMALL_STATE(14138)] = 614369,
  [SMALL_STATE(14139)] = 614390,
  [SMALL_STATE(14140)] = 614411,
  [SMALL_STATE(14141)] = 614436,
  [SMALL_STATE(14142)] = 614457,
  [SMALL_STATE(14143)] = 614478,
  [SMALL_STATE(14144)] = 614499,
  [SMALL_STATE(14145)] = 614526,
  [SMALL_STATE(14146)] = 614549,
  [SMALL_STATE(14147)] = 614570,
  [SMALL_STATE(14148)] = 614599,
  [SMALL_STATE(14149)] = 614620,
  [SMALL_STATE(14150)] = 614651,
  [SMALL_STATE(14151)] = 614678,
  [SMALL_STATE(14152)] = 614699,
  [SMALL_STATE(14153)] = 614732,
  [SMALL_STATE(14154)] = 614753,
  [SMALL_STATE(14155)] = 614778,
  [SMALL_STATE(14156)] = 614803,
  [SMALL_STATE(14157)] = 614826,
  [SMALL_STATE(14158)] = 614855,
  [SMALL_STATE(14159)] = 614876,
  [SMALL_STATE(14160)] = 614901,
  [SMALL_STATE(14161)] = 614926,
  [SMALL_STATE(14162)] = 614959,
  [SMALL_STATE(14163)] = 614980,
  [SMALL_STATE(14164)] = 615001,
  [SMALL_STATE(14165)] = 615022,
  [SMALL_STATE(14166)] = 615047,
  [SMALL_STATE(14167)] = 615068,
  [SMALL_STATE(14168)] = 615093,
  [SMALL_STATE(14169)] = 615114,
  [SMALL_STATE(14170)] = 615139,
  [SMALL_STATE(14171)] = 615160,
  [SMALL_STATE(14172)] = 615181,
  [SMALL_STATE(14173)] = 615208,
  [SMALL_STATE(14174)] = 615231,
  [SMALL_STATE(14175)] = 615252,
  [SMALL_STATE(14176)] = 615281,
  [SMALL_STATE(14177)] = 615302,
  [SMALL_STATE(14178)] = 615331,
  [SMALL_STATE(14179)] = 615362,
  [SMALL_STATE(14180)] = 615391,
  [SMALL_STATE(14181)] = 615420,
  [SMALL_STATE(14182)] = 615441,
  [SMALL_STATE(14183)] = 615462,
  [SMALL_STATE(14184)] = 615483,
  [SMALL_STATE(14185)] = 615508,
  [SMALL_STATE(14186)] = 615533,
  [SMALL_STATE(14187)] = 615566,
  [SMALL_STATE(14188)] = 615593,
  [SMALL_STATE(14189)] = 615626,
  [SMALL_STATE(14190)] = 615651,
  [SMALL_STATE(14191)] = 615678,
  [SMALL_STATE(14192)] = 615711,
  [SMALL_STATE(14193)] = 615732,
  [SMALL_STATE(14194)] = 615759,
  [SMALL_STATE(14195)] = 615784,
  [SMALL_STATE(14196)] = 615809,
  [SMALL_STATE(14197)] = 615830,
  [SMALL_STATE(14198)] = 615857,
  [SMALL_STATE(14199)] = 615878,
  [SMALL_STATE(14200)] = 615901,
  [SMALL_STATE(14201)] = 615922,
  [SMALL_STATE(14202)] = 615945,
  [SMALL_STATE(14203)] = 615968,
  [SMALL_STATE(14204)] = 615993,
  [SMALL_STATE(14205)] = 616014,
  [SMALL_STATE(14206)] = 616035,
  [SMALL_STATE(14207)] = 616068,
  [SMALL_STATE(14208)] = 616101,
  [SMALL_STATE(14209)] = 616132,
  [SMALL_STATE(14210)] = 616153,
  [SMALL_STATE(14211)] = 616174,
  [SMALL_STATE(14212)] = 616199,
  [SMALL_STATE(14213)] = 616226,
  [SMALL_STATE(14214)] = 616247,
  [SMALL_STATE(14215)] = 616276,
  [SMALL_STATE(14216)] = 616297,
  [SMALL_STATE(14217)] = 616320,
  [SMALL_STATE(14218)] = 616345,
  [SMALL_STATE(14219)] = 616370,
  [SMALL_STATE(14220)] = 616403,
  [SMALL_STATE(14221)] = 616424,
  [SMALL_STATE(14222)] = 616445,
  [SMALL_STATE(14223)] = 616472,
  [SMALL_STATE(14224)] = 616499,
  [SMALL_STATE(14225)] = 616522,
  [SMALL_STATE(14226)] = 616547,
  [SMALL_STATE(14227)] = 616580,
  [SMALL_STATE(14228)] = 616603,
  [SMALL_STATE(14229)] = 616624,
  [SMALL_STATE(14230)] = 616657,
  [SMALL_STATE(14231)] = 616678,
  [SMALL_STATE(14232)] = 616705,
  [SMALL_STATE(14233)] = 616732,
  [SMALL_STATE(14234)] = 616757,
  [SMALL_STATE(14235)] = 616778,
  [SMALL_STATE(14236)] = 616803,
  [SMALL_STATE(14237)] = 616828,
  [SMALL_STATE(14238)] = 616849,
  [SMALL_STATE(14239)] = 616874,
  [SMALL_STATE(14240)] = 616900,
  [SMALL_STATE(14241)] = 616920,
  [SMALL_STATE(14242)] = 616944,
  [SMALL_STATE(14243)] = 616966,
  [SMALL_STATE(14244)] = 616988,
  [SMALL_STATE(14245)] = 617010,
  [SMALL_STATE(14246)] = 617036,
  [SMALL_STATE(14247)] = 617060,
  [SMALL_STATE(14248)] = 617080,
  [SMALL_STATE(14249)] = 617100,
  [SMALL_STATE(14250)] = 617128,
  [SMALL_STATE(14251)] = 617154,
  [SMALL_STATE(14252)] = 617174,
  [SMALL_STATE(14253)] = 617194,
  [SMALL_STATE(14254)] = 617214,
  [SMALL_STATE(14255)] = 617234,
  [SMALL_STATE(14256)] = 617256,
  [SMALL_STATE(14257)] = 617280,
  [SMALL_STATE(14258)] = 617300,
  [SMALL_STATE(14259)] = 617332,
  [SMALL_STATE(14260)] = 617352,
  [SMALL_STATE(14261)] = 617372,
  [SMALL_STATE(14262)] = 617396,
  [SMALL_STATE(14263)] = 617420,
  [SMALL_STATE(14264)] = 617444,
  [SMALL_STATE(14265)] = 617470,
  [SMALL_STATE(14266)] = 617490,
  [SMALL_STATE(14267)] = 617514,
  [SMALL_STATE(14268)] = 617534,
  [SMALL_STATE(14269)] = 617554,
  [SMALL_STATE(14270)] = 617574,
  [SMALL_STATE(14271)] = 617596,
  [SMALL_STATE(14272)] = 617620,
  [SMALL_STATE(14273)] = 617640,
  [SMALL_STATE(14274)] = 617664,
  [SMALL_STATE(14275)] = 617684,
  [SMALL_STATE(14276)] = 617708,
  [SMALL_STATE(14277)] = 617728,
  [SMALL_STATE(14278)] = 617748,
  [SMALL_STATE(14279)] = 617768,
  [SMALL_STATE(14280)] = 617794,
  [SMALL_STATE(14281)] = 617814,
  [SMALL_STATE(14282)] = 617838,
  [SMALL_STATE(14283)] = 617864,
  [SMALL_STATE(14284)] = 617884,
  [SMALL_STATE(14285)] = 617908,
  [SMALL_STATE(14286)] = 617934,
  [SMALL_STATE(14287)] = 617958,
  [SMALL_STATE(14288)] = 617984,
  [SMALL_STATE(14289)] = 618010,
  [SMALL_STATE(14290)] = 618030,
  [SMALL_STATE(14291)] = 618050,
  [SMALL_STATE(14292)] = 618074,
  [SMALL_STATE(14293)] = 618096,
  [SMALL_STATE(14294)] = 618120,
  [SMALL_STATE(14295)] = 618140,
  [SMALL_STATE(14296)] = 618160,
  [SMALL_STATE(14297)] = 618184,
  [SMALL_STATE(14298)] = 618204,
  [SMALL_STATE(14299)] = 618228,
  [SMALL_STATE(14300)] = 618248,
  [SMALL_STATE(14301)] = 618268,
  [SMALL_STATE(14302)] = 618288,
  [SMALL_STATE(14303)] = 618308,
  [SMALL_STATE(14304)] = 618334,
  [SMALL_STATE(14305)] = 618362,
  [SMALL_STATE(14306)] = 618386,
  [SMALL_STATE(14307)] = 618408,
  [SMALL_STATE(14308)] = 618436,
  [SMALL_STATE(14309)] = 618456,
  [SMALL_STATE(14310)] = 618482,
  [SMALL_STATE(14311)] = 618512,
  [SMALL_STATE(14312)] = 618536,
  [SMALL_STATE(14313)] = 618562,
  [SMALL_STATE(14314)] = 618582,
  [SMALL_STATE(14315)] = 618608,
  [SMALL_STATE(14316)] = 618628,
  [SMALL_STATE(14317)] = 618648,
  [SMALL_STATE(14318)] = 618672,
  [SMALL_STATE(14319)] = 618702,
  [SMALL_STATE(14320)] = 618722,
  [SMALL_STATE(14321)] = 618746,
  [SMALL_STATE(14322)] = 618774,
  [SMALL_STATE(14323)] = 618794,
  [SMALL_STATE(14324)] = 618818,
  [SMALL_STATE(14325)] = 618842,
  [SMALL_STATE(14326)] = 618862,
  [SMALL_STATE(14327)] = 618882,
  [SMALL_STATE(14328)] = 618902,
  [SMALL_STATE(14329)] = 618926,
  [SMALL_STATE(14330)] = 618950,
  [SMALL_STATE(14331)] = 618974,
  [SMALL_STATE(14332)] = 619000,
  [SMALL_STATE(14333)] = 619032,
  [SMALL_STATE(14334)] = 619054,
  [SMALL_STATE(14335)] = 619078,
  [SMALL_STATE(14336)] = 619104,
  [SMALL_STATE(14337)] = 619124,
  [SMALL_STATE(14338)] = 619146,
  [SMALL_STATE(14339)] = 619170,
  [SMALL_STATE(14340)] = 619196,
  [SMALL_STATE(14341)] = 619220,
  [SMALL_STATE(14342)] = 619248,
  [SMALL_STATE(14343)] = 619270,
  [SMALL_STATE(14344)] = 619292,
  [SMALL_STATE(14345)] = 619312,
  [SMALL_STATE(14346)] = 619334,
  [SMALL_STATE(14347)] = 619354,
  [SMALL_STATE(14348)] = 619378,
  [SMALL_STATE(14349)] = 619404,
  [SMALL_STATE(14350)] = 619436,
  [SMALL_STATE(14351)] = 619462,
  [SMALL_STATE(14352)] = 619486,
  [SMALL_STATE(14353)] = 619516,
  [SMALL_STATE(14354)] = 619536,
  [SMALL_STATE(14355)] = 619560,
  [SMALL_STATE(14356)] = 619584,
  [SMALL_STATE(14357)] = 619604,
  [SMALL_STATE(14358)] = 619624,
  [SMALL_STATE(14359)] = 619644,
  [SMALL_STATE(14360)] = 619664,
  [SMALL_STATE(14361)] = 619688,
  [SMALL_STATE(14362)] = 619720,
  [SMALL_STATE(14363)] = 619744,
  [SMALL_STATE(14364)] = 619764,
  [SMALL_STATE(14365)] = 619786,
  [SMALL_STATE(14366)] = 619812,
  [SMALL_STATE(14367)] = 619842,
  [SMALL_STATE(14368)] = 619870,
  [SMALL_STATE(14369)] = 619896,
  [SMALL_STATE(14370)] = 619920,
  [SMALL_STATE(14371)] = 619940,
  [SMALL_STATE(14372)] = 619964,
  [SMALL_STATE(14373)] = 619988,
  [SMALL_STATE(14374)] = 620010,
  [SMALL_STATE(14375)] = 620030,
  [SMALL_STATE(14376)] = 620052,
  [SMALL_STATE(14377)] = 620072,
  [SMALL_STATE(14378)] = 620096,
  [SMALL_STATE(14379)] = 620116,
  [SMALL_STATE(14380)] = 620142,
  [SMALL_STATE(14381)] = 620166,
  [SMALL_STATE(14382)] = 620186,
  [SMALL_STATE(14383)] = 620210,
  [SMALL_STATE(14384)] = 620234,
  [SMALL_STATE(14385)] = 620254,
  [SMALL_STATE(14386)] = 620280,
  [SMALL_STATE(14387)] = 620302,
  [SMALL_STATE(14388)] = 620324,
  [SMALL_STATE(14389)] = 620350,
  [SMALL_STATE(14390)] = 620374,
  [SMALL_STATE(14391)] = 620398,
  [SMALL_STATE(14392)] = 620420,
  [SMALL_STATE(14393)] = 620442,
  [SMALL_STATE(14394)] = 620462,
  [SMALL_STATE(14395)] = 620486,
  [SMALL_STATE(14396)] = 620506,
  [SMALL_STATE(14397)] = 620528,
  [SMALL_STATE(14398)] = 620548,
  [SMALL_STATE(14399)] = 620574,
  [SMALL_STATE(14400)] = 620598,
  [SMALL_STATE(14401)] = 620624,
  [SMALL_STATE(14402)] = 620648,
  [SMALL_STATE(14403)] = 620668,
  [SMALL_STATE(14404)] = 620690,
  [SMALL_STATE(14405)] = 620710,
  [SMALL_STATE(14406)] = 620730,
  [SMALL_STATE(14407)] = 620752,
  [SMALL_STATE(14408)] = 620776,
  [SMALL_STATE(14409)] = 620800,
  [SMALL_STATE(14410)] = 620820,
  [SMALL_STATE(14411)] = 620840,
  [SMALL_STATE(14412)] = 620866,
  [SMALL_STATE(14413)] = 620888,
  [SMALL_STATE(14414)] = 620908,
  [SMALL_STATE(14415)] = 620937,
  [SMALL_STATE(14416)] = 620962,
  [SMALL_STATE(14417)] = 620981,
  [SMALL_STATE(14418)] = 621000,
  [SMALL_STATE(14419)] = 621019,
  [SMALL_STATE(14420)] = 621038,
  [SMALL_STATE(14421)] = 621057,
  [SMALL_STATE(14422)] = 621080,
  [SMALL_STATE(14423)] = 621099,
  [SMALL_STATE(14424)] = 621124,
  [SMALL_STATE(14425)] = 621149,
  [SMALL_STATE(14426)] = 621172,
  [SMALL_STATE(14427)] = 621191,
  [SMALL_STATE(14428)] = 621212,
  [SMALL_STATE(14429)] = 621241,
  [SMALL_STATE(14430)] = 621266,
  [SMALL_STATE(14431)] = 621295,
  [SMALL_STATE(14432)] = 621324,
  [SMALL_STATE(14433)] = 621347,
  [SMALL_STATE(14434)] = 621370,
  [SMALL_STATE(14435)] = 621389,
  [SMALL_STATE(14436)] = 621408,
  [SMALL_STATE(14437)] = 621431,
  [SMALL_STATE(14438)] = 621450,
  [SMALL_STATE(14439)] = 621473,
  [SMALL_STATE(14440)] = 621492,
  [SMALL_STATE(14441)] = 621513,
  [SMALL_STATE(14442)] = 621542,
  [SMALL_STATE(14443)] = 621561,
  [SMALL_STATE(14444)] = 621580,
  [SMALL_STATE(14445)] = 621605,
  [SMALL_STATE(14446)] = 621628,
  [SMALL_STATE(14447)] = 621647,
  [SMALL_STATE(14448)] = 621666,
  [SMALL_STATE(14449)] = 621685,
  [SMALL_STATE(14450)] = 621714,
  [SMALL_STATE(14451)] = 621737,
  [SMALL_STATE(14452)] = 621756,
  [SMALL_STATE(14453)] = 621785,
  [SMALL_STATE(14454)] = 621810,
  [SMALL_STATE(14455)] = 621833,
  [SMALL_STATE(14456)] = 621852,
  [SMALL_STATE(14457)] = 621877,
  [SMALL_STATE(14458)] = 621902,
  [SMALL_STATE(14459)] = 621921,
  [SMALL_STATE(14460)] = 621940,
  [SMALL_STATE(14461)] = 621969,
  [SMALL_STATE(14462)] = 621998,
  [SMALL_STATE(14463)] = 622027,
  [SMALL_STATE(14464)] = 622056,
  [SMALL_STATE(14465)] = 622075,
  [SMALL_STATE(14466)] = 622098,
  [SMALL_STATE(14467)] = 622117,
  [SMALL_STATE(14468)] = 622138,
  [SMALL_STATE(14469)] = 622157,
  [SMALL_STATE(14470)] = 622186,
  [SMALL_STATE(14471)] = 622211,
  [SMALL_STATE(14472)] = 622230,
  [SMALL_STATE(14473)] = 622249,
  [SMALL_STATE(14474)] = 622274,
  [SMALL_STATE(14475)] = 622299,
  [SMALL_STATE(14476)] = 622328,
  [SMALL_STATE(14477)] = 622357,
  [SMALL_STATE(14478)] = 622386,
  [SMALL_STATE(14479)] = 622409,
  [SMALL_STATE(14480)] = 622432,
  [SMALL_STATE(14481)] = 622451,
  [SMALL_STATE(14482)] = 622476,
  [SMALL_STATE(14483)] = 622499,
  [SMALL_STATE(14484)] = 622518,
  [SMALL_STATE(14485)] = 622537,
  [SMALL_STATE(14486)] = 622558,
  [SMALL_STATE(14487)] = 622577,
  [SMALL_STATE(14488)] = 622606,
  [SMALL_STATE(14489)] = 622625,
  [SMALL_STATE(14490)] = 622644,
  [SMALL_STATE(14491)] = 622673,
  [SMALL_STATE(14492)] = 622694,
  [SMALL_STATE(14493)] = 622713,
  [SMALL_STATE(14494)] = 622732,
  [SMALL_STATE(14495)] = 622755,
  [SMALL_STATE(14496)] = 622778,
  [SMALL_STATE(14497)] = 622797,
  [SMALL_STATE(14498)] = 622816,
  [SMALL_STATE(14499)] = 622835,
  [SMALL_STATE(14500)] = 622864,
  [SMALL_STATE(14501)] = 622887,
  [SMALL_STATE(14502)] = 622906,
  [SMALL_STATE(14503)] = 622929,
  [SMALL_STATE(14504)] = 622948,
  [SMALL_STATE(14505)] = 622967,
  [SMALL_STATE(14506)] = 622986,
  [SMALL_STATE(14507)] = 623015,
  [SMALL_STATE(14508)] = 623034,
  [SMALL_STATE(14509)] = 623055,
  [SMALL_STATE(14510)] = 623080,
  [SMALL_STATE(14511)] = 623101,
  [SMALL_STATE(14512)] = 623124,
  [SMALL_STATE(14513)] = 623147,
  [SMALL_STATE(14514)] = 623166,
  [SMALL_STATE(14515)] = 623187,
  [SMALL_STATE(14516)] = 623206,
  [SMALL_STATE(14517)] = 623225,
  [SMALL_STATE(14518)] = 623254,
  [SMALL_STATE(14519)] = 623273,
  [SMALL_STATE(14520)] = 623298,
  [SMALL_STATE(14521)] = 623327,
  [SMALL_STATE(14522)] = 623356,
  [SMALL_STATE(14523)] = 623385,
  [SMALL_STATE(14524)] = 623404,
  [SMALL_STATE(14525)] = 623433,
  [SMALL_STATE(14526)] = 623458,
  [SMALL_STATE(14527)] = 623481,
  [SMALL_STATE(14528)] = 623500,
  [SMALL_STATE(14529)] = 623525,
  [SMALL_STATE(14530)] = 623548,
  [SMALL_STATE(14531)] = 623577,
  [SMALL_STATE(14532)] = 623606,
  [SMALL_STATE(14533)] = 623631,
  [SMALL_STATE(14534)] = 623660,
  [SMALL_STATE(14535)] = 623679,
  [SMALL_STATE(14536)] = 623698,
  [SMALL_STATE(14537)] = 623721,
  [SMALL_STATE(14538)] = 623744,
  [SMALL_STATE(14539)] = 623773,
  [SMALL_STATE(14540)] = 623802,
  [SMALL_STATE(14541)] = 623827,
  [SMALL_STATE(14542)] = 623846,
  [SMALL_STATE(14543)] = 623865,
  [SMALL_STATE(14544)] = 623886,
  [SMALL_STATE(14545)] = 623915,
  [SMALL_STATE(14546)] = 623934,
  [SMALL_STATE(14547)] = 623957,
  [SMALL_STATE(14548)] = 623976,
  [SMALL_STATE(14549)] = 623995,
  [SMALL_STATE(14550)] = 624014,
  [SMALL_STATE(14551)] = 624033,
  [SMALL_STATE(14552)] = 624052,
  [SMALL_STATE(14553)] = 624077,
  [SMALL_STATE(14554)] = 624096,
  [SMALL_STATE(14555)] = 624115,
  [SMALL_STATE(14556)] = 624138,
  [SMALL_STATE(14557)] = 624161,
  [SMALL_STATE(14558)] = 624180,
  [SMALL_STATE(14559)] = 624209,
  [SMALL_STATE(14560)] = 624228,
  [SMALL_STATE(14561)] = 624251,
  [SMALL_STATE(14562)] = 624272,
  [SMALL_STATE(14563)] = 624301,
  [SMALL_STATE(14564)] = 624320,
  [SMALL_STATE(14565)] = 624349,
  [SMALL_STATE(14566)] = 624370,
  [SMALL_STATE(14567)] = 624399,
  [SMALL_STATE(14568)] = 624422,
  [SMALL_STATE(14569)] = 624445,
  [SMALL_STATE(14570)] = 624468,
  [SMALL_STATE(14571)] = 624492,
  [SMALL_STATE(14572)] = 624510,
  [SMALL_STATE(14573)] = 624528,
  [SMALL_STATE(14574)] = 624554,
  [SMALL_STATE(14575)] = 624572,
  [SMALL_STATE(14576)] = 624594,
  [SMALL_STATE(14577)] = 624620,
  [SMALL_STATE(14578)] = 624644,
  [SMALL_STATE(14579)] = 624666,
  [SMALL_STATE(14580)] = 624684,
  [SMALL_STATE(14581)] = 624710,
  [SMALL_STATE(14582)] = 624736,
  [SMALL_STATE(14583)] = 624754,
  [SMALL_STATE(14584)] = 624772,
  [SMALL_STATE(14585)] = 624798,
  [SMALL_STATE(14586)] = 624822,
  [SMALL_STATE(14587)] = 624848,
  [SMALL_STATE(14588)] = 624866,
  [SMALL_STATE(14589)] = 624892,
  [SMALL_STATE(14590)] = 624918,
  [SMALL_STATE(14591)] = 624942,
  [SMALL_STATE(14592)] = 624960,
  [SMALL_STATE(14593)] = 624978,
  [SMALL_STATE(14594)] = 624996,
  [SMALL_STATE(14595)] = 625018,
  [SMALL_STATE(14596)] = 625042,
  [SMALL_STATE(14597)] = 625064,
  [SMALL_STATE(14598)] = 625082,
  [SMALL_STATE(14599)] = 625104,
  [SMALL_STATE(14600)] = 625122,
  [SMALL_STATE(14601)] = 625140,
  [SMALL_STATE(14602)] = 625160,
  [SMALL_STATE(14603)] = 625186,
  [SMALL_STATE(14604)] = 625204,
  [SMALL_STATE(14605)] = 625222,
  [SMALL_STATE(14606)] = 625248,
  [SMALL_STATE(14607)] = 625274,
  [SMALL_STATE(14608)] = 625292,
  [SMALL_STATE(14609)] = 625310,
  [SMALL_STATE(14610)] = 625336,
  [SMALL_STATE(14611)] = 625358,
  [SMALL_STATE(14612)] = 625376,
  [SMALL_STATE(14613)] = 625402,
  [SMALL_STATE(14614)] = 625420,
  [SMALL_STATE(14615)] = 625444,
  [SMALL_STATE(14616)] = 625470,
  [SMALL_STATE(14617)] = 625496,
  [SMALL_STATE(14618)] = 625514,
  [SMALL_STATE(14619)] = 625538,
  [SMALL_STATE(14620)] = 625562,
  [SMALL_STATE(14621)] = 625584,
  [SMALL_STATE(14622)] = 625604,
  [SMALL_STATE(14623)] = 625630,
  [SMALL_STATE(14624)] = 625648,
  [SMALL_STATE(14625)] = 625666,
  [SMALL_STATE(14626)] = 625684,
  [SMALL_STATE(14627)] = 625706,
  [SMALL_STATE(14628)] = 625726,
  [SMALL_STATE(14629)] = 625746,
  [SMALL_STATE(14630)] = 625772,
  [SMALL_STATE(14631)] = 625790,
  [SMALL_STATE(14632)] = 625808,
  [SMALL_STATE(14633)] = 625834,
  [SMALL_STATE(14634)] = 625852,
  [SMALL_STATE(14635)] = 625870,
  [SMALL_STATE(14636)] = 625888,
  [SMALL_STATE(14637)] = 625910,
  [SMALL_STATE(14638)] = 625928,
  [SMALL_STATE(14639)] = 625946,
  [SMALL_STATE(14640)] = 625964,
  [SMALL_STATE(14641)] = 625982,
  [SMALL_STATE(14642)] = 626008,
  [SMALL_STATE(14643)] = 626026,
  [SMALL_STATE(14644)] = 626052,
  [SMALL_STATE(14645)] = 626070,
  [SMALL_STATE(14646)] = 626088,
  [SMALL_STATE(14647)] = 626106,
  [SMALL_STATE(14648)] = 626124,
  [SMALL_STATE(14649)] = 626142,
  [SMALL_STATE(14650)] = 626166,
  [SMALL_STATE(14651)] = 626184,
  [SMALL_STATE(14652)] = 626202,
  [SMALL_STATE(14653)] = 626224,
  [SMALL_STATE(14654)] = 626242,
  [SMALL_STATE(14655)] = 626260,
  [SMALL_STATE(14656)] = 626278,
  [SMALL_STATE(14657)] = 626304,
  [SMALL_STATE(14658)] = 626322,
  [SMALL_STATE(14659)] = 626340,
  [SMALL_STATE(14660)] = 626358,
  [SMALL_STATE(14661)] = 626376,
  [SMALL_STATE(14662)] = 626394,
  [SMALL_STATE(14663)] = 626412,
  [SMALL_STATE(14664)] = 626438,
  [SMALL_STATE(14665)] = 626462,
  [SMALL_STATE(14666)] = 626484,
  [SMALL_STATE(14667)] = 626502,
  [SMALL_STATE(14668)] = 626520,
  [SMALL_STATE(14669)] = 626546,
  [SMALL_STATE(14670)] = 626564,
  [SMALL_STATE(14671)] = 626582,
  [SMALL_STATE(14672)] = 626608,
  [SMALL_STATE(14673)] = 626630,
  [SMALL_STATE(14674)] = 626656,
  [SMALL_STATE(14675)] = 626678,
  [SMALL_STATE(14676)] = 626696,
  [SMALL_STATE(14677)] = 626722,
  [SMALL_STATE(14678)] = 626740,
  [SMALL_STATE(14679)] = 626758,
  [SMALL_STATE(14680)] = 626784,
  [SMALL_STATE(14681)] = 626802,
  [SMALL_STATE(14682)] = 626828,
  [SMALL_STATE(14683)] = 626854,
  [SMALL_STATE(14684)] = 626872,
  [SMALL_STATE(14685)] = 626892,
  [SMALL_STATE(14686)] = 626918,
  [SMALL_STATE(14687)] = 626942,
  [SMALL_STATE(14688)] = 626968,
  [SMALL_STATE(14689)] = 626986,
  [SMALL_STATE(14690)] = 627012,
  [SMALL_STATE(14691)] = 627036,
  [SMALL_STATE(14692)] = 627062,
  [SMALL_STATE(14693)] = 627080,
  [SMALL_STATE(14694)] = 627106,
  [SMALL_STATE(14695)] = 627124,
  [SMALL_STATE(14696)] = 627142,
  [SMALL_STATE(14697)] = 627168,
  [SMALL_STATE(14698)] = 627186,
  [SMALL_STATE(14699)] = 627204,
  [SMALL_STATE(14700)] = 627222,
  [SMALL_STATE(14701)] = 627240,
  [SMALL_STATE(14702)] = 627264,
  [SMALL_STATE(14703)] = 627282,
  [SMALL_STATE(14704)] = 627300,
  [SMALL_STATE(14705)] = 627320,
  [SMALL_STATE(14706)] = 627338,
  [SMALL_STATE(14707)] = 627364,
  [SMALL_STATE(14708)] = 627390,
  [SMALL_STATE(14709)] = 627414,
  [SMALL_STATE(14710)] = 627440,
  [SMALL_STATE(14711)] = 627458,
  [SMALL_STATE(14712)] = 627476,
  [SMALL_STATE(14713)] = 627494,
  [SMALL_STATE(14714)] = 627514,
  [SMALL_STATE(14715)] = 627536,
  [SMALL_STATE(14716)] = 627562,
  [SMALL_STATE(14717)] = 627582,
  [SMALL_STATE(14718)] = 627606,
  [SMALL_STATE(14719)] = 627630,
  [SMALL_STATE(14720)] = 627656,
  [SMALL_STATE(14721)] = 627676,
  [SMALL_STATE(14722)] = 627700,
  [SMALL_STATE(14723)] = 627726,
  [SMALL_STATE(14724)] = 627744,
  [SMALL_STATE(14725)] = 627770,
  [SMALL_STATE(14726)] = 627788,
  [SMALL_STATE(14727)] = 627806,
  [SMALL_STATE(14728)] = 627824,
  [SMALL_STATE(14729)] = 627842,
  [SMALL_STATE(14730)] = 627868,
  [SMALL_STATE(14731)] = 627886,
  [SMALL_STATE(14732)] = 627904,
  [SMALL_STATE(14733)] = 627930,
  [SMALL_STATE(14734)] = 627956,
  [SMALL_STATE(14735)] = 627974,
  [SMALL_STATE(14736)] = 628000,
  [SMALL_STATE(14737)] = 628018,
  [SMALL_STATE(14738)] = 628042,
  [SMALL_STATE(14739)] = 628060,
  [SMALL_STATE(14740)] = 628078,
  [SMALL_STATE(14741)] = 628096,
  [SMALL_STATE(14742)] = 628114,
  [SMALL_STATE(14743)] = 628138,
  [SMALL_STATE(14744)] = 628156,
  [SMALL_STATE(14745)] = 628182,
  [SMALL_STATE(14746)] = 628200,
  [SMALL_STATE(14747)] = 628218,
  [SMALL_STATE(14748)] = 628242,
  [SMALL_STATE(14749)] = 628268,
  [SMALL_STATE(14750)] = 628292,
  [SMALL_STATE(14751)] = 628310,
  [SMALL_STATE(14752)] = 628332,
  [SMALL_STATE(14753)] = 628358,
  [SMALL_STATE(14754)] = 628376,
  [SMALL_STATE(14755)] = 628394,
  [SMALL_STATE(14756)] = 628420,
  [SMALL_STATE(14757)] = 628446,
  [SMALL_STATE(14758)] = 628464,
  [SMALL_STATE(14759)] = 628490,
  [SMALL_STATE(14760)] = 628516,
  [SMALL_STATE(14761)] = 628540,
  [SMALL_STATE(14762)] = 628558,
  [SMALL_STATE(14763)] = 628576,
  [SMALL_STATE(14764)] = 628594,
  [SMALL_STATE(14765)] = 628614,
  [SMALL_STATE(14766)] = 628632,
  [SMALL_STATE(14767)] = 628656,
  [SMALL_STATE(14768)] = 628680,
  [SMALL_STATE(14769)] = 628704,
  [SMALL_STATE(14770)] = 628730,
  [SMALL_STATE(14771)] = 628754,
  [SMALL_STATE(14772)] = 628772,
  [SMALL_STATE(14773)] = 628792,
  [SMALL_STATE(14774)] = 628810,
  [SMALL_STATE(14775)] = 628828,
  [SMALL_STATE(14776)] = 628852,
  [SMALL_STATE(14777)] = 628878,
  [SMALL_STATE(14778)] = 628896,
  [SMALL_STATE(14779)] = 628918,
  [SMALL_STATE(14780)] = 628936,
  [SMALL_STATE(14781)] = 628962,
  [SMALL_STATE(14782)] = 628982,
  [SMALL_STATE(14783)] = 629004,
  [SMALL_STATE(14784)] = 629028,
  [SMALL_STATE(14785)] = 629052,
  [SMALL_STATE(14786)] = 629078,
  [SMALL_STATE(14787)] = 629096,
  [SMALL_STATE(14788)] = 629118,
  [SMALL_STATE(14789)] = 629144,
  [SMALL_STATE(14790)] = 629166,
  [SMALL_STATE(14791)] = 629184,
  [SMALL_STATE(14792)] = 629202,
  [SMALL_STATE(14793)] = 629228,
  [SMALL_STATE(14794)] = 629246,
  [SMALL_STATE(14795)] = 629264,
  [SMALL_STATE(14796)] = 629284,
  [SMALL_STATE(14797)] = 629302,
  [SMALL_STATE(14798)] = 629328,
  [SMALL_STATE(14799)] = 629354,
  [SMALL_STATE(14800)] = 629376,
  [SMALL_STATE(14801)] = 629394,
  [SMALL_STATE(14802)] = 629416,
  [SMALL_STATE(14803)] = 629434,
  [SMALL_STATE(14804)] = 629452,
  [SMALL_STATE(14805)] = 629472,
  [SMALL_STATE(14806)] = 629498,
  [SMALL_STATE(14807)] = 629516,
  [SMALL_STATE(14808)] = 629542,
  [SMALL_STATE(14809)] = 629562,
  [SMALL_STATE(14810)] = 629580,
  [SMALL_STATE(14811)] = 629602,
  [SMALL_STATE(14812)] = 629626,
  [SMALL_STATE(14813)] = 629652,
  [SMALL_STATE(14814)] = 629678,
  [SMALL_STATE(14815)] = 629696,
  [SMALL_STATE(14816)] = 629722,
  [SMALL_STATE(14817)] = 629740,
  [SMALL_STATE(14818)] = 629766,
  [SMALL_STATE(14819)] = 629792,
  [SMALL_STATE(14820)] = 629810,
  [SMALL_STATE(14821)] = 629836,
  [SMALL_STATE(14822)] = 629856,
  [SMALL_STATE(14823)] = 629874,
  [SMALL_STATE(14824)] = 629892,
  [SMALL_STATE(14825)] = 629910,
  [SMALL_STATE(14826)] = 629928,
  [SMALL_STATE(14827)] = 629954,
  [SMALL_STATE(14828)] = 629980,
  [SMALL_STATE(14829)] = 629998,
  [SMALL_STATE(14830)] = 630015,
  [SMALL_STATE(14831)] = 630038,
  [SMALL_STATE(14832)] = 630059,
  [SMALL_STATE(14833)] = 630082,
  [SMALL_STATE(14834)] = 630105,
  [SMALL_STATE(14835)] = 630126,
  [SMALL_STATE(14836)] = 630149,
  [SMALL_STATE(14837)] = 630172,
  [SMALL_STATE(14838)] = 630195,
  [SMALL_STATE(14839)] = 630218,
  [SMALL_STATE(14840)] = 630241,
  [SMALL_STATE(14841)] = 630264,
  [SMALL_STATE(14842)] = 630287,
  [SMALL_STATE(14843)] = 630310,
  [SMALL_STATE(14844)] = 630333,
  [SMALL_STATE(14845)] = 630356,
  [SMALL_STATE(14846)] = 630379,
  [SMALL_STATE(14847)] = 630402,
  [SMALL_STATE(14848)] = 630425,
  [SMALL_STATE(14849)] = 630448,
  [SMALL_STATE(14850)] = 630471,
  [SMALL_STATE(14851)] = 630494,
  [SMALL_STATE(14852)] = 630517,
  [SMALL_STATE(14853)] = 630540,
  [SMALL_STATE(14854)] = 630563,
  [SMALL_STATE(14855)] = 630586,
  [SMALL_STATE(14856)] = 630609,
  [SMALL_STATE(14857)] = 630632,
  [SMALL_STATE(14858)] = 630655,
  [SMALL_STATE(14859)] = 630672,
  [SMALL_STATE(14860)] = 630689,
  [SMALL_STATE(14861)] = 630712,
  [SMALL_STATE(14862)] = 630735,
  [SMALL_STATE(14863)] = 630752,
  [SMALL_STATE(14864)] = 630769,
  [SMALL_STATE(14865)] = 630786,
  [SMALL_STATE(14866)] = 630809,
  [SMALL_STATE(14867)] = 630826,
  [SMALL_STATE(14868)] = 630849,
  [SMALL_STATE(14869)] = 630866,
  [SMALL_STATE(14870)] = 630883,
  [SMALL_STATE(14871)] = 630900,
  [SMALL_STATE(14872)] = 630917,
  [SMALL_STATE(14873)] = 630940,
  [SMALL_STATE(14874)] = 630957,
  [SMALL_STATE(14875)] = 630980,
  [SMALL_STATE(14876)] = 630997,
  [SMALL_STATE(14877)] = 631020,
  [SMALL_STATE(14878)] = 631039,
  [SMALL_STATE(14879)] = 631062,
  [SMALL_STATE(14880)] = 631079,
  [SMALL_STATE(14881)] = 631096,
  [SMALL_STATE(14882)] = 631119,
  [SMALL_STATE(14883)] = 631136,
  [SMALL_STATE(14884)] = 631159,
  [SMALL_STATE(14885)] = 631176,
  [SMALL_STATE(14886)] = 631193,
  [SMALL_STATE(14887)] = 631210,
  [SMALL_STATE(14888)] = 631227,
  [SMALL_STATE(14889)] = 631244,
  [SMALL_STATE(14890)] = 631267,
  [SMALL_STATE(14891)] = 631284,
  [SMALL_STATE(14892)] = 631301,
  [SMALL_STATE(14893)] = 631318,
  [SMALL_STATE(14894)] = 631335,
  [SMALL_STATE(14895)] = 631352,
  [SMALL_STATE(14896)] = 631369,
  [SMALL_STATE(14897)] = 631392,
  [SMALL_STATE(14898)] = 631415,
  [SMALL_STATE(14899)] = 631432,
  [SMALL_STATE(14900)] = 631449,
  [SMALL_STATE(14901)] = 631466,
  [SMALL_STATE(14902)] = 631489,
  [SMALL_STATE(14903)] = 631512,
  [SMALL_STATE(14904)] = 631529,
  [SMALL_STATE(14905)] = 631550,
  [SMALL_STATE(14906)] = 631573,
  [SMALL_STATE(14907)] = 631596,
  [SMALL_STATE(14908)] = 631613,
  [SMALL_STATE(14909)] = 631630,
  [SMALL_STATE(14910)] = 631653,
  [SMALL_STATE(14911)] = 631670,
  [SMALL_STATE(14912)] = 631693,
  [SMALL_STATE(14913)] = 631710,
  [SMALL_STATE(14914)] = 631727,
  [SMALL_STATE(14915)] = 631744,
  [SMALL_STATE(14916)] = 631761,
  [SMALL_STATE(14917)] = 631784,
  [SMALL_STATE(14918)] = 631807,
  [SMALL_STATE(14919)] = 631824,
  [SMALL_STATE(14920)] = 631841,
  [SMALL_STATE(14921)] = 631858,
  [SMALL_STATE(14922)] = 631875,
  [SMALL_STATE(14923)] = 631892,
  [SMALL_STATE(14924)] = 631915,
  [SMALL_STATE(14925)] = 631932,
  [SMALL_STATE(14926)] = 631951,
  [SMALL_STATE(14927)] = 631974,
  [SMALL_STATE(14928)] = 631997,
  [SMALL_STATE(14929)] = 632014,
  [SMALL_STATE(14930)] = 632037,
  [SMALL_STATE(14931)] = 632054,
  [SMALL_STATE(14932)] = 632077,
  [SMALL_STATE(14933)] = 632094,
  [SMALL_STATE(14934)] = 632111,
  [SMALL_STATE(14935)] = 632128,
  [SMALL_STATE(14936)] = 632151,
  [SMALL_STATE(14937)] = 632168,
  [SMALL_STATE(14938)] = 632185,
  [SMALL_STATE(14939)] = 632202,
  [SMALL_STATE(14940)] = 632221,
  [SMALL_STATE(14941)] = 632238,
  [SMALL_STATE(14942)] = 632261,
  [SMALL_STATE(14943)] = 632278,
  [SMALL_STATE(14944)] = 632295,
  [SMALL_STATE(14945)] = 632318,
  [SMALL_STATE(14946)] = 632341,
  [SMALL_STATE(14947)] = 632362,
  [SMALL_STATE(14948)] = 632379,
  [SMALL_STATE(14949)] = 632402,
  [SMALL_STATE(14950)] = 632423,
  [SMALL_STATE(14951)] = 632446,
  [SMALL_STATE(14952)] = 632463,
  [SMALL_STATE(14953)] = 632480,
  [SMALL_STATE(14954)] = 632503,
  [SMALL_STATE(14955)] = 632520,
  [SMALL_STATE(14956)] = 632543,
  [SMALL_STATE(14957)] = 632560,
  [SMALL_STATE(14958)] = 632583,
  [SMALL_STATE(14959)] = 632604,
  [SMALL_STATE(14960)] = 632627,
  [SMALL_STATE(14961)] = 632644,
  [SMALL_STATE(14962)] = 632661,
  [SMALL_STATE(14963)] = 632684,
  [SMALL_STATE(14964)] = 632707,
  [SMALL_STATE(14965)] = 632730,
  [SMALL_STATE(14966)] = 632747,
  [SMALL_STATE(14967)] = 632764,
  [SMALL_STATE(14968)] = 632787,
  [SMALL_STATE(14969)] = 632808,
  [SMALL_STATE(14970)] = 632831,
  [SMALL_STATE(14971)] = 632854,
  [SMALL_STATE(14972)] = 632871,
  [SMALL_STATE(14973)] = 632888,
  [SMALL_STATE(14974)] = 632905,
  [SMALL_STATE(14975)] = 632922,
  [SMALL_STATE(14976)] = 632943,
  [SMALL_STATE(14977)] = 632966,
  [SMALL_STATE(14978)] = 632987,
  [SMALL_STATE(14979)] = 633004,
  [SMALL_STATE(14980)] = 633025,
  [SMALL_STATE(14981)] = 633042,
  [SMALL_STATE(14982)] = 633065,
  [SMALL_STATE(14983)] = 633086,
  [SMALL_STATE(14984)] = 633103,
  [SMALL_STATE(14985)] = 633126,
  [SMALL_STATE(14986)] = 633149,
  [SMALL_STATE(14987)] = 633172,
  [SMALL_STATE(14988)] = 633189,
  [SMALL_STATE(14989)] = 633212,
  [SMALL_STATE(14990)] = 633229,
  [SMALL_STATE(14991)] = 633246,
  [SMALL_STATE(14992)] = 633263,
  [SMALL_STATE(14993)] = 633286,
  [SMALL_STATE(14994)] = 633303,
  [SMALL_STATE(14995)] = 633324,
  [SMALL_STATE(14996)] = 633341,
  [SMALL_STATE(14997)] = 633362,
  [SMALL_STATE(14998)] = 633385,
  [SMALL_STATE(14999)] = 633406,
  [SMALL_STATE(15000)] = 633429,
  [SMALL_STATE(15001)] = 633450,
  [SMALL_STATE(15002)] = 633473,
  [SMALL_STATE(15003)] = 633496,
  [SMALL_STATE(15004)] = 633517,
  [SMALL_STATE(15005)] = 633538,
  [SMALL_STATE(15006)] = 633561,
  [SMALL_STATE(15007)] = 633582,
  [SMALL_STATE(15008)] = 633603,
  [SMALL_STATE(15009)] = 633626,
  [SMALL_STATE(15010)] = 633649,
  [SMALL_STATE(15011)] = 633670,
  [SMALL_STATE(15012)] = 633691,
  [SMALL_STATE(15013)] = 633714,
  [SMALL_STATE(15014)] = 633731,
  [SMALL_STATE(15015)] = 633754,
  [SMALL_STATE(15016)] = 633775,
  [SMALL_STATE(15017)] = 633798,
  [SMALL_STATE(15018)] = 633819,
  [SMALL_STATE(15019)] = 633840,
  [SMALL_STATE(15020)] = 633857,
  [SMALL_STATE(15021)] = 633880,
  [SMALL_STATE(15022)] = 633899,
  [SMALL_STATE(15023)] = 633922,
  [SMALL_STATE(15024)] = 633945,
  [SMALL_STATE(15025)] = 633962,
  [SMALL_STATE(15026)] = 633985,
  [SMALL_STATE(15027)] = 634008,
  [SMALL_STATE(15028)] = 634031,
  [SMALL_STATE(15029)] = 634052,
  [SMALL_STATE(15030)] = 634073,
  [SMALL_STATE(15031)] = 634096,
  [SMALL_STATE(15032)] = 634117,
  [SMALL_STATE(15033)] = 634140,
  [SMALL_STATE(15034)] = 634163,
  [SMALL_STATE(15035)] = 634182,
  [SMALL_STATE(15036)] = 634203,
  [SMALL_STATE(15037)] = 634222,
  [SMALL_STATE(15038)] = 634245,
  [SMALL_STATE(15039)] = 634268,
  [SMALL_STATE(15040)] = 634285,
  [SMALL_STATE(15041)] = 634302,
  [SMALL_STATE(15042)] = 634325,
  [SMALL_STATE(15043)] = 634346,
  [SMALL_STATE(15044)] = 634369,
  [SMALL_STATE(15045)] = 634392,
  [SMALL_STATE(15046)] = 634413,
  [SMALL_STATE(15047)] = 634434,
  [SMALL_STATE(15048)] = 634453,
  [SMALL_STATE(15049)] = 634476,
  [SMALL_STATE(15050)] = 634497,
  [SMALL_STATE(15051)] = 634518,
  [SMALL_STATE(15052)] = 634541,
  [SMALL_STATE(15053)] = 634564,
  [SMALL_STATE(15054)] = 634585,
  [SMALL_STATE(15055)] = 634608,
  [SMALL_STATE(15056)] = 634631,
  [SMALL_STATE(15057)] = 634654,
  [SMALL_STATE(15058)] = 634671,
  [SMALL_STATE(15059)] = 634692,
  [SMALL_STATE(15060)] = 634715,
  [SMALL_STATE(15061)] = 634738,
  [SMALL_STATE(15062)] = 634757,
  [SMALL_STATE(15063)] = 634778,
  [SMALL_STATE(15064)] = 634801,
  [SMALL_STATE(15065)] = 634824,
  [SMALL_STATE(15066)] = 634845,
  [SMALL_STATE(15067)] = 634862,
  [SMALL_STATE(15068)] = 634883,
  [SMALL_STATE(15069)] = 634906,
  [SMALL_STATE(15070)] = 634927,
  [SMALL_STATE(15071)] = 634950,
  [SMALL_STATE(15072)] = 634973,
  [SMALL_STATE(15073)] = 634994,
  [SMALL_STATE(15074)] = 635015,
  [SMALL_STATE(15075)] = 635038,
  [SMALL_STATE(15076)] = 635061,
  [SMALL_STATE(15077)] = 635084,
  [SMALL_STATE(15078)] = 635107,
  [SMALL_STATE(15079)] = 635126,
  [SMALL_STATE(15080)] = 635149,
  [SMALL_STATE(15081)] = 635172,
  [SMALL_STATE(15082)] = 635195,
  [SMALL_STATE(15083)] = 635218,
  [SMALL_STATE(15084)] = 635239,
  [SMALL_STATE(15085)] = 635262,
  [SMALL_STATE(15086)] = 635285,
  [SMALL_STATE(15087)] = 635306,
  [SMALL_STATE(15088)] = 635329,
  [SMALL_STATE(15089)] = 635346,
  [SMALL_STATE(15090)] = 635369,
  [SMALL_STATE(15091)] = 635390,
  [SMALL_STATE(15092)] = 635413,
  [SMALL_STATE(15093)] = 635430,
  [SMALL_STATE(15094)] = 635453,
  [SMALL_STATE(15095)] = 635476,
  [SMALL_STATE(15096)] = 635499,
  [SMALL_STATE(15097)] = 635522,
  [SMALL_STATE(15098)] = 635545,
  [SMALL_STATE(15099)] = 635568,
  [SMALL_STATE(15100)] = 635591,
  [SMALL_STATE(15101)] = 635608,
  [SMALL_STATE(15102)] = 635631,
  [SMALL_STATE(15103)] = 635654,
  [SMALL_STATE(15104)] = 635673,
  [SMALL_STATE(15105)] = 635694,
  [SMALL_STATE(15106)] = 635711,
  [SMALL_STATE(15107)] = 635734,
  [SMALL_STATE(15108)] = 635755,
  [SMALL_STATE(15109)] = 635774,
  [SMALL_STATE(15110)] = 635795,
  [SMALL_STATE(15111)] = 635816,
  [SMALL_STATE(15112)] = 635839,
  [SMALL_STATE(15113)] = 635860,
  [SMALL_STATE(15114)] = 635881,
  [SMALL_STATE(15115)] = 635902,
  [SMALL_STATE(15116)] = 635925,
  [SMALL_STATE(15117)] = 635946,
  [SMALL_STATE(15118)] = 635969,
  [SMALL_STATE(15119)] = 635992,
  [SMALL_STATE(15120)] = 636015,
  [SMALL_STATE(15121)] = 636034,
  [SMALL_STATE(15122)] = 636057,
  [SMALL_STATE(15123)] = 636080,
  [SMALL_STATE(15124)] = 636099,
  [SMALL_STATE(15125)] = 636122,
  [SMALL_STATE(15126)] = 636145,
  [SMALL_STATE(15127)] = 636168,
  [SMALL_STATE(15128)] = 636191,
  [SMALL_STATE(15129)] = 636212,
  [SMALL_STATE(15130)] = 636235,
  [SMALL_STATE(15131)] = 636258,
  [SMALL_STATE(15132)] = 636281,
  [SMALL_STATE(15133)] = 636304,
  [SMALL_STATE(15134)] = 636325,
  [SMALL_STATE(15135)] = 636348,
  [SMALL_STATE(15136)] = 636371,
  [SMALL_STATE(15137)] = 636394,
  [SMALL_STATE(15138)] = 636415,
  [SMALL_STATE(15139)] = 636436,
  [SMALL_STATE(15140)] = 636459,
  [SMALL_STATE(15141)] = 636482,
  [SMALL_STATE(15142)] = 636505,
  [SMALL_STATE(15143)] = 636528,
  [SMALL_STATE(15144)] = 636549,
  [SMALL_STATE(15145)] = 636570,
  [SMALL_STATE(15146)] = 636593,
  [SMALL_STATE(15147)] = 636616,
  [SMALL_STATE(15148)] = 636637,
  [SMALL_STATE(15149)] = 636660,
  [SMALL_STATE(15150)] = 636681,
  [SMALL_STATE(15151)] = 636700,
  [SMALL_STATE(15152)] = 636723,
  [SMALL_STATE(15153)] = 636744,
  [SMALL_STATE(15154)] = 636765,
  [SMALL_STATE(15155)] = 636788,
  [SMALL_STATE(15156)] = 636811,
  [SMALL_STATE(15157)] = 636834,
  [SMALL_STATE(15158)] = 636857,
  [SMALL_STATE(15159)] = 636878,
  [SMALL_STATE(15160)] = 636901,
  [SMALL_STATE(15161)] = 636922,
  [SMALL_STATE(15162)] = 636943,
  [SMALL_STATE(15163)] = 636966,
  [SMALL_STATE(15164)] = 636989,
  [SMALL_STATE(15165)] = 637012,
  [SMALL_STATE(15166)] = 637033,
  [SMALL_STATE(15167)] = 637056,
  [SMALL_STATE(15168)] = 637079,
  [SMALL_STATE(15169)] = 637102,
  [SMALL_STATE(15170)] = 637122,
  [SMALL_STATE(15171)] = 637142,
  [SMALL_STATE(15172)] = 637162,
  [SMALL_STATE(15173)] = 637182,
  [SMALL_STATE(15174)] = 637202,
  [SMALL_STATE(15175)] = 637222,
  [SMALL_STATE(15176)] = 637242,
  [SMALL_STATE(15177)] = 637260,
  [SMALL_STATE(15178)] = 637280,
  [SMALL_STATE(15179)] = 637300,
  [SMALL_STATE(15180)] = 637320,
  [SMALL_STATE(15181)] = 637340,
  [SMALL_STATE(15182)] = 637360,
  [SMALL_STATE(15183)] = 637380,
  [SMALL_STATE(15184)] = 637400,
  [SMALL_STATE(15185)] = 637420,
  [SMALL_STATE(15186)] = 637440,
  [SMALL_STATE(15187)] = 637460,
  [SMALL_STATE(15188)] = 637480,
  [SMALL_STATE(15189)] = 637500,
  [SMALL_STATE(15190)] = 637520,
  [SMALL_STATE(15191)] = 637540,
  [SMALL_STATE(15192)] = 637560,
  [SMALL_STATE(15193)] = 637580,
  [SMALL_STATE(15194)] = 637600,
  [SMALL_STATE(15195)] = 637620,
  [SMALL_STATE(15196)] = 637640,
  [SMALL_STATE(15197)] = 637660,
  [SMALL_STATE(15198)] = 637680,
  [SMALL_STATE(15199)] = 637700,
  [SMALL_STATE(15200)] = 637720,
  [SMALL_STATE(15201)] = 637740,
  [SMALL_STATE(15202)] = 637760,
  [SMALL_STATE(15203)] = 637780,
  [SMALL_STATE(15204)] = 637800,
  [SMALL_STATE(15205)] = 637820,
  [SMALL_STATE(15206)] = 637840,
  [SMALL_STATE(15207)] = 637860,
  [SMALL_STATE(15208)] = 637880,
  [SMALL_STATE(15209)] = 637900,
  [SMALL_STATE(15210)] = 637920,
  [SMALL_STATE(15211)] = 637940,
  [SMALL_STATE(15212)] = 637960,
  [SMALL_STATE(15213)] = 637980,
  [SMALL_STATE(15214)] = 637998,
  [SMALL_STATE(15215)] = 638018,
  [SMALL_STATE(15216)] = 638038,
  [SMALL_STATE(15217)] = 638058,
  [SMALL_STATE(15218)] = 638078,
  [SMALL_STATE(15219)] = 638098,
  [SMALL_STATE(15220)] = 638118,
  [SMALL_STATE(15221)] = 638138,
  [SMALL_STATE(15222)] = 638158,
  [SMALL_STATE(15223)] = 638178,
  [SMALL_STATE(15224)] = 638198,
  [SMALL_STATE(15225)] = 638218,
  [SMALL_STATE(15226)] = 638238,
  [SMALL_STATE(15227)] = 638258,
  [SMALL_STATE(15228)] = 638278,
  [SMALL_STATE(15229)] = 638298,
  [SMALL_STATE(15230)] = 638318,
  [SMALL_STATE(15231)] = 638338,
  [SMALL_STATE(15232)] = 638358,
  [SMALL_STATE(15233)] = 638378,
  [SMALL_STATE(15234)] = 638398,
  [SMALL_STATE(15235)] = 638418,
  [SMALL_STATE(15236)] = 638438,
  [SMALL_STATE(15237)] = 638458,
  [SMALL_STATE(15238)] = 638478,
  [SMALL_STATE(15239)] = 638498,
  [SMALL_STATE(15240)] = 638518,
  [SMALL_STATE(15241)] = 638538,
  [SMALL_STATE(15242)] = 638556,
  [SMALL_STATE(15243)] = 638576,
  [SMALL_STATE(15244)] = 638596,
  [SMALL_STATE(15245)] = 638616,
  [SMALL_STATE(15246)] = 638636,
  [SMALL_STATE(15247)] = 638656,
  [SMALL_STATE(15248)] = 638676,
  [SMALL_STATE(15249)] = 638696,
  [SMALL_STATE(15250)] = 638716,
  [SMALL_STATE(15251)] = 638736,
  [SMALL_STATE(15252)] = 638756,
  [SMALL_STATE(15253)] = 638776,
  [SMALL_STATE(15254)] = 638796,
  [SMALL_STATE(15255)] = 638816,
  [SMALL_STATE(15256)] = 638836,
  [SMALL_STATE(15257)] = 638856,
  [SMALL_STATE(15258)] = 638876,
  [SMALL_STATE(15259)] = 638896,
  [SMALL_STATE(15260)] = 638916,
  [SMALL_STATE(15261)] = 638936,
  [SMALL_STATE(15262)] = 638956,
  [SMALL_STATE(15263)] = 638976,
  [SMALL_STATE(15264)] = 638996,
  [SMALL_STATE(15265)] = 639016,
  [SMALL_STATE(15266)] = 639036,
  [SMALL_STATE(15267)] = 639056,
  [SMALL_STATE(15268)] = 639076,
  [SMALL_STATE(15269)] = 639096,
  [SMALL_STATE(15270)] = 639116,
  [SMALL_STATE(15271)] = 639136,
  [SMALL_STATE(15272)] = 639156,
  [SMALL_STATE(15273)] = 639176,
  [SMALL_STATE(15274)] = 639196,
  [SMALL_STATE(15275)] = 639216,
  [SMALL_STATE(15276)] = 639236,
  [SMALL_STATE(15277)] = 639256,
  [SMALL_STATE(15278)] = 639276,
  [SMALL_STATE(15279)] = 639296,
  [SMALL_STATE(15280)] = 639314,
  [SMALL_STATE(15281)] = 639334,
  [SMALL_STATE(15282)] = 639354,
  [SMALL_STATE(15283)] = 639374,
  [SMALL_STATE(15284)] = 639394,
  [SMALL_STATE(15285)] = 639414,
  [SMALL_STATE(15286)] = 639434,
  [SMALL_STATE(15287)] = 639454,
  [SMALL_STATE(15288)] = 639474,
  [SMALL_STATE(15289)] = 639494,
  [SMALL_STATE(15290)] = 639514,
  [SMALL_STATE(15291)] = 639534,
  [SMALL_STATE(15292)] = 639554,
  [SMALL_STATE(15293)] = 639574,
  [SMALL_STATE(15294)] = 639594,
  [SMALL_STATE(15295)] = 639614,
  [SMALL_STATE(15296)] = 639634,
  [SMALL_STATE(15297)] = 639652,
  [SMALL_STATE(15298)] = 639672,
  [SMALL_STATE(15299)] = 639692,
  [SMALL_STATE(15300)] = 639712,
  [SMALL_STATE(15301)] = 639732,
  [SMALL_STATE(15302)] = 639752,
  [SMALL_STATE(15303)] = 639772,
  [SMALL_STATE(15304)] = 639792,
  [SMALL_STATE(15305)] = 639812,
  [SMALL_STATE(15306)] = 639832,
  [SMALL_STATE(15307)] = 639852,
  [SMALL_STATE(15308)] = 639872,
  [SMALL_STATE(15309)] = 639892,
  [SMALL_STATE(15310)] = 639912,
  [SMALL_STATE(15311)] = 639932,
  [SMALL_STATE(15312)] = 639952,
  [SMALL_STATE(15313)] = 639972,
  [SMALL_STATE(15314)] = 639992,
  [SMALL_STATE(15315)] = 640012,
  [SMALL_STATE(15316)] = 640032,
  [SMALL_STATE(15317)] = 640052,
  [SMALL_STATE(15318)] = 640072,
  [SMALL_STATE(15319)] = 640092,
  [SMALL_STATE(15320)] = 640112,
  [SMALL_STATE(15321)] = 640132,
  [SMALL_STATE(15322)] = 640152,
  [SMALL_STATE(15323)] = 640172,
  [SMALL_STATE(15324)] = 640192,
  [SMALL_STATE(15325)] = 640212,
  [SMALL_STATE(15326)] = 640232,
  [SMALL_STATE(15327)] = 640252,
  [SMALL_STATE(15328)] = 640270,
  [SMALL_STATE(15329)] = 640290,
  [SMALL_STATE(15330)] = 640306,
  [SMALL_STATE(15331)] = 640326,
  [SMALL_STATE(15332)] = 640346,
  [SMALL_STATE(15333)] = 640366,
  [SMALL_STATE(15334)] = 640386,
  [SMALL_STATE(15335)] = 640406,
  [SMALL_STATE(15336)] = 640426,
  [SMALL_STATE(15337)] = 640446,
  [SMALL_STATE(15338)] = 640466,
  [SMALL_STATE(15339)] = 640486,
  [SMALL_STATE(15340)] = 640506,
  [SMALL_STATE(15341)] = 640526,
  [SMALL_STATE(15342)] = 640546,
  [SMALL_STATE(15343)] = 640566,
  [SMALL_STATE(15344)] = 640586,
  [SMALL_STATE(15345)] = 640606,
  [SMALL_STATE(15346)] = 640626,
  [SMALL_STATE(15347)] = 640646,
  [SMALL_STATE(15348)] = 640662,
  [SMALL_STATE(15349)] = 640678,
  [SMALL_STATE(15350)] = 640698,
  [SMALL_STATE(15351)] = 640718,
  [SMALL_STATE(15352)] = 640738,
  [SMALL_STATE(15353)] = 640758,
  [SMALL_STATE(15354)] = 640778,
  [SMALL_STATE(15355)] = 640798,
  [SMALL_STATE(15356)] = 640818,
  [SMALL_STATE(15357)] = 640838,
  [SMALL_STATE(15358)] = 640858,
  [SMALL_STATE(15359)] = 640878,
  [SMALL_STATE(15360)] = 640898,
  [SMALL_STATE(15361)] = 640918,
  [SMALL_STATE(15362)] = 640938,
  [SMALL_STATE(15363)] = 640958,
  [SMALL_STATE(15364)] = 640978,
  [SMALL_STATE(15365)] = 640998,
  [SMALL_STATE(15366)] = 641018,
  [SMALL_STATE(15367)] = 641038,
  [SMALL_STATE(15368)] = 641058,
  [SMALL_STATE(15369)] = 641078,
  [SMALL_STATE(15370)] = 641096,
  [SMALL_STATE(15371)] = 641114,
  [SMALL_STATE(15372)] = 641134,
  [SMALL_STATE(15373)] = 641154,
  [SMALL_STATE(15374)] = 641174,
  [SMALL_STATE(15375)] = 641194,
  [SMALL_STATE(15376)] = 641212,
  [SMALL_STATE(15377)] = 641232,
  [SMALL_STATE(15378)] = 641252,
  [SMALL_STATE(15379)] = 641272,
  [SMALL_STATE(15380)] = 641292,
  [SMALL_STATE(15381)] = 641312,
  [SMALL_STATE(15382)] = 641332,
  [SMALL_STATE(15383)] = 641352,
  [SMALL_STATE(15384)] = 641372,
  [SMALL_STATE(15385)] = 641392,
  [SMALL_STATE(15386)] = 641412,
  [SMALL_STATE(15387)] = 641432,
  [SMALL_STATE(15388)] = 641452,
  [SMALL_STATE(15389)] = 641472,
  [SMALL_STATE(15390)] = 641492,
  [SMALL_STATE(15391)] = 641512,
  [SMALL_STATE(15392)] = 641532,
  [SMALL_STATE(15393)] = 641552,
  [SMALL_STATE(15394)] = 641572,
  [SMALL_STATE(15395)] = 641592,
  [SMALL_STATE(15396)] = 641612,
  [SMALL_STATE(15397)] = 641632,
  [SMALL_STATE(15398)] = 641652,
  [SMALL_STATE(15399)] = 641672,
  [SMALL_STATE(15400)] = 641692,
  [SMALL_STATE(15401)] = 641712,
  [SMALL_STATE(15402)] = 641732,
  [SMALL_STATE(15403)] = 641750,
  [SMALL_STATE(15404)] = 641770,
  [SMALL_STATE(15405)] = 641790,
  [SMALL_STATE(15406)] = 641810,
  [SMALL_STATE(15407)] = 641830,
  [SMALL_STATE(15408)] = 641848,
  [SMALL_STATE(15409)] = 641868,
  [SMALL_STATE(15410)] = 641888,
  [SMALL_STATE(15411)] = 641908,
  [SMALL_STATE(15412)] = 641928,
  [SMALL_STATE(15413)] = 641948,
  [SMALL_STATE(15414)] = 641968,
  [SMALL_STATE(15415)] = 641984,
  [SMALL_STATE(15416)] = 642004,
  [SMALL_STATE(15417)] = 642024,
  [SMALL_STATE(15418)] = 642044,
  [SMALL_STATE(15419)] = 642064,
  [SMALL_STATE(15420)] = 642084,
  [SMALL_STATE(15421)] = 642104,
  [SMALL_STATE(15422)] = 642124,
  [SMALL_STATE(15423)] = 642144,
  [SMALL_STATE(15424)] = 642164,
  [SMALL_STATE(15425)] = 642184,
  [SMALL_STATE(15426)] = 642202,
  [SMALL_STATE(15427)] = 642222,
  [SMALL_STATE(15428)] = 642242,
  [SMALL_STATE(15429)] = 642262,
  [SMALL_STATE(15430)] = 642282,
  [SMALL_STATE(15431)] = 642302,
  [SMALL_STATE(15432)] = 642322,
  [SMALL_STATE(15433)] = 642342,
  [SMALL_STATE(15434)] = 642362,
  [SMALL_STATE(15435)] = 642382,
  [SMALL_STATE(15436)] = 642402,
  [SMALL_STATE(15437)] = 642422,
  [SMALL_STATE(15438)] = 642442,
  [SMALL_STATE(15439)] = 642462,
  [SMALL_STATE(15440)] = 642482,
  [SMALL_STATE(15441)] = 642502,
  [SMALL_STATE(15442)] = 642520,
  [SMALL_STATE(15443)] = 642540,
  [SMALL_STATE(15444)] = 642558,
  [SMALL_STATE(15445)] = 642578,
  [SMALL_STATE(15446)] = 642598,
  [SMALL_STATE(15447)] = 642618,
  [SMALL_STATE(15448)] = 642636,
  [SMALL_STATE(15449)] = 642656,
  [SMALL_STATE(15450)] = 642676,
  [SMALL_STATE(15451)] = 642696,
  [SMALL_STATE(15452)] = 642716,
  [SMALL_STATE(15453)] = 642736,
  [SMALL_STATE(15454)] = 642756,
  [SMALL_STATE(15455)] = 642776,
  [SMALL_STATE(15456)] = 642796,
  [SMALL_STATE(15457)] = 642814,
  [SMALL_STATE(15458)] = 642834,
  [SMALL_STATE(15459)] = 642854,
  [SMALL_STATE(15460)] = 642874,
  [SMALL_STATE(15461)] = 642894,
  [SMALL_STATE(15462)] = 642914,
  [SMALL_STATE(15463)] = 642934,
  [SMALL_STATE(15464)] = 642954,
  [SMALL_STATE(15465)] = 642974,
  [SMALL_STATE(15466)] = 642994,
  [SMALL_STATE(15467)] = 643014,
  [SMALL_STATE(15468)] = 643034,
  [SMALL_STATE(15469)] = 643054,
  [SMALL_STATE(15470)] = 643074,
  [SMALL_STATE(15471)] = 643094,
  [SMALL_STATE(15472)] = 643114,
  [SMALL_STATE(15473)] = 643134,
  [SMALL_STATE(15474)] = 643154,
  [SMALL_STATE(15475)] = 643174,
  [SMALL_STATE(15476)] = 643194,
  [SMALL_STATE(15477)] = 643214,
  [SMALL_STATE(15478)] = 643234,
  [SMALL_STATE(15479)] = 643254,
  [SMALL_STATE(15480)] = 643274,
  [SMALL_STATE(15481)] = 643294,
  [SMALL_STATE(15482)] = 643314,
  [SMALL_STATE(15483)] = 643334,
  [SMALL_STATE(15484)] = 643354,
  [SMALL_STATE(15485)] = 643374,
  [SMALL_STATE(15486)] = 643394,
  [SMALL_STATE(15487)] = 643414,
  [SMALL_STATE(15488)] = 643434,
  [SMALL_STATE(15489)] = 643454,
  [SMALL_STATE(15490)] = 643472,
  [SMALL_STATE(15491)] = 643492,
  [SMALL_STATE(15492)] = 643512,
  [SMALL_STATE(15493)] = 643532,
  [SMALL_STATE(15494)] = 643552,
  [SMALL_STATE(15495)] = 643572,
  [SMALL_STATE(15496)] = 643592,
  [SMALL_STATE(15497)] = 643612,
  [SMALL_STATE(15498)] = 643632,
  [SMALL_STATE(15499)] = 643648,
  [SMALL_STATE(15500)] = 643668,
  [SMALL_STATE(15501)] = 643688,
  [SMALL_STATE(15502)] = 643708,
  [SMALL_STATE(15503)] = 643728,
  [SMALL_STATE(15504)] = 643746,
  [SMALL_STATE(15505)] = 643766,
  [SMALL_STATE(15506)] = 643786,
  [SMALL_STATE(15507)] = 643806,
  [SMALL_STATE(15508)] = 643826,
  [SMALL_STATE(15509)] = 643846,
  [SMALL_STATE(15510)] = 643866,
  [SMALL_STATE(15511)] = 643886,
  [SMALL_STATE(15512)] = 643904,
  [SMALL_STATE(15513)] = 643924,
  [SMALL_STATE(15514)] = 643944,
  [SMALL_STATE(15515)] = 643964,
  [SMALL_STATE(15516)] = 643984,
  [SMALL_STATE(15517)] = 644004,
  [SMALL_STATE(15518)] = 644024,
  [SMALL_STATE(15519)] = 644044,
  [SMALL_STATE(15520)] = 644064,
  [SMALL_STATE(15521)] = 644084,
  [SMALL_STATE(15522)] = 644104,
  [SMALL_STATE(15523)] = 644124,
  [SMALL_STATE(15524)] = 644144,
  [SMALL_STATE(15525)] = 644164,
  [SMALL_STATE(15526)] = 644184,
  [SMALL_STATE(15527)] = 644204,
  [SMALL_STATE(15528)] = 644224,
  [SMALL_STATE(15529)] = 644244,
  [SMALL_STATE(15530)] = 644262,
  [SMALL_STATE(15531)] = 644280,
  [SMALL_STATE(15532)] = 644300,
  [SMALL_STATE(15533)] = 644320,
  [SMALL_STATE(15534)] = 644340,
  [SMALL_STATE(15535)] = 644360,
  [SMALL_STATE(15536)] = 644380,
  [SMALL_STATE(15537)] = 644400,
  [SMALL_STATE(15538)] = 644420,
  [SMALL_STATE(15539)] = 644440,
  [SMALL_STATE(15540)] = 644460,
  [SMALL_STATE(15541)] = 644480,
  [SMALL_STATE(15542)] = 644500,
  [SMALL_STATE(15543)] = 644520,
  [SMALL_STATE(15544)] = 644540,
  [SMALL_STATE(15545)] = 644560,
  [SMALL_STATE(15546)] = 644580,
  [SMALL_STATE(15547)] = 644600,
  [SMALL_STATE(15548)] = 644620,
  [SMALL_STATE(15549)] = 644640,
  [SMALL_STATE(15550)] = 644660,
  [SMALL_STATE(15551)] = 644680,
  [SMALL_STATE(15552)] = 644700,
  [SMALL_STATE(15553)] = 644720,
  [SMALL_STATE(15554)] = 644740,
  [SMALL_STATE(15555)] = 644760,
  [SMALL_STATE(15556)] = 644780,
  [SMALL_STATE(15557)] = 644800,
  [SMALL_STATE(15558)] = 644820,
  [SMALL_STATE(15559)] = 644838,
  [SMALL_STATE(15560)] = 644858,
  [SMALL_STATE(15561)] = 644878,
  [SMALL_STATE(15562)] = 644898,
  [SMALL_STATE(15563)] = 644918,
  [SMALL_STATE(15564)] = 644938,
  [SMALL_STATE(15565)] = 644958,
  [SMALL_STATE(15566)] = 644978,
  [SMALL_STATE(15567)] = 644998,
  [SMALL_STATE(15568)] = 645016,
  [SMALL_STATE(15569)] = 645034,
  [SMALL_STATE(15570)] = 645054,
  [SMALL_STATE(15571)] = 645074,
  [SMALL_STATE(15572)] = 645094,
  [SMALL_STATE(15573)] = 645114,
  [SMALL_STATE(15574)] = 645132,
  [SMALL_STATE(15575)] = 645152,
  [SMALL_STATE(15576)] = 645170,
  [SMALL_STATE(15577)] = 645188,
  [SMALL_STATE(15578)] = 645208,
  [SMALL_STATE(15579)] = 645228,
  [SMALL_STATE(15580)] = 645246,
  [SMALL_STATE(15581)] = 645266,
  [SMALL_STATE(15582)] = 645284,
  [SMALL_STATE(15583)] = 645304,
  [SMALL_STATE(15584)] = 645324,
  [SMALL_STATE(15585)] = 645344,
  [SMALL_STATE(15586)] = 645362,
  [SMALL_STATE(15587)] = 645382,
  [SMALL_STATE(15588)] = 645402,
  [SMALL_STATE(15589)] = 645422,
  [SMALL_STATE(15590)] = 645442,
  [SMALL_STATE(15591)] = 645460,
  [SMALL_STATE(15592)] = 645480,
  [SMALL_STATE(15593)] = 645500,
  [SMALL_STATE(15594)] = 645520,
  [SMALL_STATE(15595)] = 645540,
  [SMALL_STATE(15596)] = 645560,
  [SMALL_STATE(15597)] = 645580,
  [SMALL_STATE(15598)] = 645600,
  [SMALL_STATE(15599)] = 645620,
  [SMALL_STATE(15600)] = 645640,
  [SMALL_STATE(15601)] = 645660,
  [SMALL_STATE(15602)] = 645680,
  [SMALL_STATE(15603)] = 645698,
  [SMALL_STATE(15604)] = 645718,
  [SMALL_STATE(15605)] = 645736,
  [SMALL_STATE(15606)] = 645756,
  [SMALL_STATE(15607)] = 645776,
  [SMALL_STATE(15608)] = 645796,
  [SMALL_STATE(15609)] = 645814,
  [SMALL_STATE(15610)] = 645834,
  [SMALL_STATE(15611)] = 645852,
  [SMALL_STATE(15612)] = 645870,
  [SMALL_STATE(15613)] = 645890,
  [SMALL_STATE(15614)] = 645910,
  [SMALL_STATE(15615)] = 645930,
  [SMALL_STATE(15616)] = 645950,
  [SMALL_STATE(15617)] = 645970,
  [SMALL_STATE(15618)] = 645990,
  [SMALL_STATE(15619)] = 646008,
  [SMALL_STATE(15620)] = 646028,
  [SMALL_STATE(15621)] = 646048,
  [SMALL_STATE(15622)] = 646068,
  [SMALL_STATE(15623)] = 646088,
  [SMALL_STATE(15624)] = 646108,
  [SMALL_STATE(15625)] = 646128,
  [SMALL_STATE(15626)] = 646148,
  [SMALL_STATE(15627)] = 646168,
  [SMALL_STATE(15628)] = 646188,
  [SMALL_STATE(15629)] = 646208,
  [SMALL_STATE(15630)] = 646228,
  [SMALL_STATE(15631)] = 646246,
  [SMALL_STATE(15632)] = 646266,
  [SMALL_STATE(15633)] = 646286,
  [SMALL_STATE(15634)] = 646306,
  [SMALL_STATE(15635)] = 646326,
  [SMALL_STATE(15636)] = 646346,
  [SMALL_STATE(15637)] = 646366,
  [SMALL_STATE(15638)] = 646386,
  [SMALL_STATE(15639)] = 646402,
  [SMALL_STATE(15640)] = 646422,
  [SMALL_STATE(15641)] = 646442,
  [SMALL_STATE(15642)] = 646462,
  [SMALL_STATE(15643)] = 646478,
  [SMALL_STATE(15644)] = 646498,
  [SMALL_STATE(15645)] = 646518,
  [SMALL_STATE(15646)] = 646538,
  [SMALL_STATE(15647)] = 646558,
  [SMALL_STATE(15648)] = 646578,
  [SMALL_STATE(15649)] = 646598,
  [SMALL_STATE(15650)] = 646618,
  [SMALL_STATE(15651)] = 646638,
  [SMALL_STATE(15652)] = 646658,
  [SMALL_STATE(15653)] = 646678,
  [SMALL_STATE(15654)] = 646698,
  [SMALL_STATE(15655)] = 646718,
  [SMALL_STATE(15656)] = 646738,
  [SMALL_STATE(15657)] = 646754,
  [SMALL_STATE(15658)] = 646774,
  [SMALL_STATE(15659)] = 646794,
  [SMALL_STATE(15660)] = 646814,
  [SMALL_STATE(15661)] = 646832,
  [SMALL_STATE(15662)] = 646852,
  [SMALL_STATE(15663)] = 646872,
  [SMALL_STATE(15664)] = 646892,
  [SMALL_STATE(15665)] = 646910,
  [SMALL_STATE(15666)] = 646930,
  [SMALL_STATE(15667)] = 646950,
  [SMALL_STATE(15668)] = 646970,
  [SMALL_STATE(15669)] = 646988,
  [SMALL_STATE(15670)] = 647008,
  [SMALL_STATE(15671)] = 647028,
  [SMALL_STATE(15672)] = 647048,
  [SMALL_STATE(15673)] = 647068,
  [SMALL_STATE(15674)] = 647088,
  [SMALL_STATE(15675)] = 647106,
  [SMALL_STATE(15676)] = 647124,
  [SMALL_STATE(15677)] = 647144,
  [SMALL_STATE(15678)] = 647160,
  [SMALL_STATE(15679)] = 647180,
  [SMALL_STATE(15680)] = 647200,
  [SMALL_STATE(15681)] = 647220,
  [SMALL_STATE(15682)] = 647240,
  [SMALL_STATE(15683)] = 647260,
  [SMALL_STATE(15684)] = 647280,
  [SMALL_STATE(15685)] = 647300,
  [SMALL_STATE(15686)] = 647320,
  [SMALL_STATE(15687)] = 647340,
  [SMALL_STATE(15688)] = 647360,
  [SMALL_STATE(15689)] = 647380,
  [SMALL_STATE(15690)] = 647400,
  [SMALL_STATE(15691)] = 647420,
  [SMALL_STATE(15692)] = 647440,
  [SMALL_STATE(15693)] = 647458,
  [SMALL_STATE(15694)] = 647478,
  [SMALL_STATE(15695)] = 647498,
  [SMALL_STATE(15696)] = 647516,
  [SMALL_STATE(15697)] = 647536,
  [SMALL_STATE(15698)] = 647556,
  [SMALL_STATE(15699)] = 647576,
  [SMALL_STATE(15700)] = 647596,
  [SMALL_STATE(15701)] = 647612,
  [SMALL_STATE(15702)] = 647632,
  [SMALL_STATE(15703)] = 647652,
  [SMALL_STATE(15704)] = 647672,
  [SMALL_STATE(15705)] = 647692,
  [SMALL_STATE(15706)] = 647712,
  [SMALL_STATE(15707)] = 647732,
  [SMALL_STATE(15708)] = 647752,
  [SMALL_STATE(15709)] = 647772,
  [SMALL_STATE(15710)] = 647792,
  [SMALL_STATE(15711)] = 647812,
  [SMALL_STATE(15712)] = 647832,
  [SMALL_STATE(15713)] = 647852,
  [SMALL_STATE(15714)] = 647872,
  [SMALL_STATE(15715)] = 647892,
  [SMALL_STATE(15716)] = 647912,
  [SMALL_STATE(15717)] = 647932,
  [SMALL_STATE(15718)] = 647952,
  [SMALL_STATE(15719)] = 647970,
  [SMALL_STATE(15720)] = 647990,
  [SMALL_STATE(15721)] = 648010,
  [SMALL_STATE(15722)] = 648030,
  [SMALL_STATE(15723)] = 648048,
  [SMALL_STATE(15724)] = 648068,
  [SMALL_STATE(15725)] = 648086,
  [SMALL_STATE(15726)] = 648106,
  [SMALL_STATE(15727)] = 648126,
  [SMALL_STATE(15728)] = 648146,
  [SMALL_STATE(15729)] = 648166,
  [SMALL_STATE(15730)] = 648182,
  [SMALL_STATE(15731)] = 648202,
  [SMALL_STATE(15732)] = 648222,
  [SMALL_STATE(15733)] = 648242,
  [SMALL_STATE(15734)] = 648262,
  [SMALL_STATE(15735)] = 648282,
  [SMALL_STATE(15736)] = 648302,
  [SMALL_STATE(15737)] = 648322,
  [SMALL_STATE(15738)] = 648338,
  [SMALL_STATE(15739)] = 648358,
  [SMALL_STATE(15740)] = 648378,
  [SMALL_STATE(15741)] = 648394,
  [SMALL_STATE(15742)] = 648412,
  [SMALL_STATE(15743)] = 648432,
  [SMALL_STATE(15744)] = 648452,
  [SMALL_STATE(15745)] = 648472,
  [SMALL_STATE(15746)] = 648492,
  [SMALL_STATE(15747)] = 648512,
  [SMALL_STATE(15748)] = 648532,
  [SMALL_STATE(15749)] = 648552,
  [SMALL_STATE(15750)] = 648572,
  [SMALL_STATE(15751)] = 648592,
  [SMALL_STATE(15752)] = 648612,
  [SMALL_STATE(15753)] = 648632,
  [SMALL_STATE(15754)] = 648652,
  [SMALL_STATE(15755)] = 648668,
  [SMALL_STATE(15756)] = 648688,
  [SMALL_STATE(15757)] = 648708,
  [SMALL_STATE(15758)] = 648728,
  [SMALL_STATE(15759)] = 648748,
  [SMALL_STATE(15760)] = 648768,
  [SMALL_STATE(15761)] = 648786,
  [SMALL_STATE(15762)] = 648806,
  [SMALL_STATE(15763)] = 648826,
  [SMALL_STATE(15764)] = 648846,
  [SMALL_STATE(15765)] = 648866,
  [SMALL_STATE(15766)] = 648886,
  [SMALL_STATE(15767)] = 648906,
  [SMALL_STATE(15768)] = 648926,
  [SMALL_STATE(15769)] = 648946,
  [SMALL_STATE(15770)] = 648966,
  [SMALL_STATE(15771)] = 648986,
  [SMALL_STATE(15772)] = 649006,
  [SMALL_STATE(15773)] = 649024,
  [SMALL_STATE(15774)] = 649044,
  [SMALL_STATE(15775)] = 649064,
  [SMALL_STATE(15776)] = 649084,
  [SMALL_STATE(15777)] = 649104,
  [SMALL_STATE(15778)] = 649124,
  [SMALL_STATE(15779)] = 649144,
  [SMALL_STATE(15780)] = 649164,
  [SMALL_STATE(15781)] = 649182,
  [SMALL_STATE(15782)] = 649202,
  [SMALL_STATE(15783)] = 649220,
  [SMALL_STATE(15784)] = 649240,
  [SMALL_STATE(15785)] = 649260,
  [SMALL_STATE(15786)] = 649280,
  [SMALL_STATE(15787)] = 649300,
  [SMALL_STATE(15788)] = 649320,
  [SMALL_STATE(15789)] = 649338,
  [SMALL_STATE(15790)] = 649358,
  [SMALL_STATE(15791)] = 649378,
  [SMALL_STATE(15792)] = 649398,
  [SMALL_STATE(15793)] = 649418,
  [SMALL_STATE(15794)] = 649438,
  [SMALL_STATE(15795)] = 649458,
  [SMALL_STATE(15796)] = 649478,
  [SMALL_STATE(15797)] = 649498,
  [SMALL_STATE(15798)] = 649518,
  [SMALL_STATE(15799)] = 649536,
  [SMALL_STATE(15800)] = 649556,
  [SMALL_STATE(15801)] = 649576,
  [SMALL_STATE(15802)] = 649596,
  [SMALL_STATE(15803)] = 649616,
  [SMALL_STATE(15804)] = 649636,
  [SMALL_STATE(15805)] = 649656,
  [SMALL_STATE(15806)] = 649676,
  [SMALL_STATE(15807)] = 649696,
  [SMALL_STATE(15808)] = 649714,
  [SMALL_STATE(15809)] = 649734,
  [SMALL_STATE(15810)] = 649754,
  [SMALL_STATE(15811)] = 649770,
  [SMALL_STATE(15812)] = 649790,
  [SMALL_STATE(15813)] = 649808,
  [SMALL_STATE(15814)] = 649828,
  [SMALL_STATE(15815)] = 649848,
  [SMALL_STATE(15816)] = 649866,
  [SMALL_STATE(15817)] = 649886,
  [SMALL_STATE(15818)] = 649904,
  [SMALL_STATE(15819)] = 649924,
  [SMALL_STATE(15820)] = 649944,
  [SMALL_STATE(15821)] = 649964,
  [SMALL_STATE(15822)] = 649984,
  [SMALL_STATE(15823)] = 650004,
  [SMALL_STATE(15824)] = 650024,
  [SMALL_STATE(15825)] = 650044,
  [SMALL_STATE(15826)] = 650064,
  [SMALL_STATE(15827)] = 650082,
  [SMALL_STATE(15828)] = 650102,
  [SMALL_STATE(15829)] = 650122,
  [SMALL_STATE(15830)] = 650142,
  [SMALL_STATE(15831)] = 650160,
  [SMALL_STATE(15832)] = 650180,
  [SMALL_STATE(15833)] = 650196,
  [SMALL_STATE(15834)] = 650216,
  [SMALL_STATE(15835)] = 650236,
  [SMALL_STATE(15836)] = 650254,
  [SMALL_STATE(15837)] = 650274,
  [SMALL_STATE(15838)] = 650294,
  [SMALL_STATE(15839)] = 650314,
  [SMALL_STATE(15840)] = 650334,
  [SMALL_STATE(15841)] = 650354,
  [SMALL_STATE(15842)] = 650372,
  [SMALL_STATE(15843)] = 650392,
  [SMALL_STATE(15844)] = 650412,
  [SMALL_STATE(15845)] = 650432,
  [SMALL_STATE(15846)] = 650452,
  [SMALL_STATE(15847)] = 650472,
  [SMALL_STATE(15848)] = 650492,
  [SMALL_STATE(15849)] = 650512,
  [SMALL_STATE(15850)] = 650530,
  [SMALL_STATE(15851)] = 650550,
  [SMALL_STATE(15852)] = 650570,
  [SMALL_STATE(15853)] = 650590,
  [SMALL_STATE(15854)] = 650610,
  [SMALL_STATE(15855)] = 650630,
  [SMALL_STATE(15856)] = 650648,
  [SMALL_STATE(15857)] = 650668,
  [SMALL_STATE(15858)] = 650686,
  [SMALL_STATE(15859)] = 650704,
  [SMALL_STATE(15860)] = 650724,
  [SMALL_STATE(15861)] = 650744,
  [SMALL_STATE(15862)] = 650764,
  [SMALL_STATE(15863)] = 650784,
  [SMALL_STATE(15864)] = 650804,
  [SMALL_STATE(15865)] = 650824,
  [SMALL_STATE(15866)] = 650844,
  [SMALL_STATE(15867)] = 650864,
  [SMALL_STATE(15868)] = 650884,
  [SMALL_STATE(15869)] = 650902,
  [SMALL_STATE(15870)] = 650922,
  [SMALL_STATE(15871)] = 650938,
  [SMALL_STATE(15872)] = 650958,
  [SMALL_STATE(15873)] = 650978,
  [SMALL_STATE(15874)] = 650998,
  [SMALL_STATE(15875)] = 651018,
  [SMALL_STATE(15876)] = 651038,
  [SMALL_STATE(15877)] = 651056,
  [SMALL_STATE(15878)] = 651076,
  [SMALL_STATE(15879)] = 651096,
  [SMALL_STATE(15880)] = 651116,
  [SMALL_STATE(15881)] = 651136,
  [SMALL_STATE(15882)] = 651156,
  [SMALL_STATE(15883)] = 651176,
  [SMALL_STATE(15884)] = 651196,
  [SMALL_STATE(15885)] = 651214,
  [SMALL_STATE(15886)] = 651234,
  [SMALL_STATE(15887)] = 651254,
  [SMALL_STATE(15888)] = 651274,
  [SMALL_STATE(15889)] = 651292,
  [SMALL_STATE(15890)] = 651312,
  [SMALL_STATE(15891)] = 651332,
  [SMALL_STATE(15892)] = 651352,
  [SMALL_STATE(15893)] = 651372,
  [SMALL_STATE(15894)] = 651392,
  [SMALL_STATE(15895)] = 651412,
  [SMALL_STATE(15896)] = 651432,
  [SMALL_STATE(15897)] = 651452,
  [SMALL_STATE(15898)] = 651472,
  [SMALL_STATE(15899)] = 651492,
  [SMALL_STATE(15900)] = 651512,
  [SMALL_STATE(15901)] = 651532,
  [SMALL_STATE(15902)] = 651552,
  [SMALL_STATE(15903)] = 651572,
  [SMALL_STATE(15904)] = 651592,
  [SMALL_STATE(15905)] = 651612,
  [SMALL_STATE(15906)] = 651632,
  [SMALL_STATE(15907)] = 651652,
  [SMALL_STATE(15908)] = 651672,
  [SMALL_STATE(15909)] = 651690,
  [SMALL_STATE(15910)] = 651710,
  [SMALL_STATE(15911)] = 651730,
  [SMALL_STATE(15912)] = 651750,
  [SMALL_STATE(15913)] = 651770,
  [SMALL_STATE(15914)] = 651790,
  [SMALL_STATE(15915)] = 651808,
  [SMALL_STATE(15916)] = 651828,
  [SMALL_STATE(15917)] = 651848,
  [SMALL_STATE(15918)] = 651868,
  [SMALL_STATE(15919)] = 651888,
  [SMALL_STATE(15920)] = 651908,
  [SMALL_STATE(15921)] = 651928,
  [SMALL_STATE(15922)] = 651948,
  [SMALL_STATE(15923)] = 651968,
  [SMALL_STATE(15924)] = 651988,
  [SMALL_STATE(15925)] = 652008,
  [SMALL_STATE(15926)] = 652028,
  [SMALL_STATE(15927)] = 652048,
  [SMALL_STATE(15928)] = 652068,
  [SMALL_STATE(15929)] = 652086,
  [SMALL_STATE(15930)] = 652104,
  [SMALL_STATE(15931)] = 652124,
  [SMALL_STATE(15932)] = 652144,
  [SMALL_STATE(15933)] = 652162,
  [SMALL_STATE(15934)] = 652180,
  [SMALL_STATE(15935)] = 652198,
  [SMALL_STATE(15936)] = 652216,
  [SMALL_STATE(15937)] = 652234,
  [SMALL_STATE(15938)] = 652252,
  [SMALL_STATE(15939)] = 652270,
  [SMALL_STATE(15940)] = 652288,
  [SMALL_STATE(15941)] = 652306,
  [SMALL_STATE(15942)] = 652324,
  [SMALL_STATE(15943)] = 652342,
  [SMALL_STATE(15944)] = 652360,
  [SMALL_STATE(15945)] = 652378,
  [SMALL_STATE(15946)] = 652396,
  [SMALL_STATE(15947)] = 652414,
  [SMALL_STATE(15948)] = 652432,
  [SMALL_STATE(15949)] = 652450,
  [SMALL_STATE(15950)] = 652468,
  [SMALL_STATE(15951)] = 652488,
  [SMALL_STATE(15952)] = 652508,
  [SMALL_STATE(15953)] = 652526,
  [SMALL_STATE(15954)] = 652546,
  [SMALL_STATE(15955)] = 652566,
  [SMALL_STATE(15956)] = 652586,
  [SMALL_STATE(15957)] = 652606,
  [SMALL_STATE(15958)] = 652626,
  [SMALL_STATE(15959)] = 652646,
  [SMALL_STATE(15960)] = 652666,
  [SMALL_STATE(15961)] = 652686,
  [SMALL_STATE(15962)] = 652706,
  [SMALL_STATE(15963)] = 652726,
  [SMALL_STATE(15964)] = 652746,
  [SMALL_STATE(15965)] = 652766,
  [SMALL_STATE(15966)] = 652786,
  [SMALL_STATE(15967)] = 652806,
  [SMALL_STATE(15968)] = 652826,
  [SMALL_STATE(15969)] = 652844,
  [SMALL_STATE(15970)] = 652864,
  [SMALL_STATE(15971)] = 652884,
  [SMALL_STATE(15972)] = 652904,
  [SMALL_STATE(15973)] = 652924,
  [SMALL_STATE(15974)] = 652944,
  [SMALL_STATE(15975)] = 652964,
  [SMALL_STATE(15976)] = 652984,
  [SMALL_STATE(15977)] = 653004,
  [SMALL_STATE(15978)] = 653024,
  [SMALL_STATE(15979)] = 653044,
  [SMALL_STATE(15980)] = 653064,
  [SMALL_STATE(15981)] = 653084,
  [SMALL_STATE(15982)] = 653104,
  [SMALL_STATE(15983)] = 653124,
  [SMALL_STATE(15984)] = 653142,
  [SMALL_STATE(15985)] = 653162,
  [SMALL_STATE(15986)] = 653182,
  [SMALL_STATE(15987)] = 653202,
  [SMALL_STATE(15988)] = 653222,
  [SMALL_STATE(15989)] = 653242,
  [SMALL_STATE(15990)] = 653262,
  [SMALL_STATE(15991)] = 653282,
  [SMALL_STATE(15992)] = 653302,
  [SMALL_STATE(15993)] = 653322,
  [SMALL_STATE(15994)] = 653342,
  [SMALL_STATE(15995)] = 653362,
  [SMALL_STATE(15996)] = 653382,
  [SMALL_STATE(15997)] = 653402,
  [SMALL_STATE(15998)] = 653422,
  [SMALL_STATE(15999)] = 653440,
  [SMALL_STATE(16000)] = 653460,
  [SMALL_STATE(16001)] = 653480,
  [SMALL_STATE(16002)] = 653500,
  [SMALL_STATE(16003)] = 653520,
  [SMALL_STATE(16004)] = 653540,
  [SMALL_STATE(16005)] = 653558,
  [SMALL_STATE(16006)] = 653578,
  [SMALL_STATE(16007)] = 653598,
  [SMALL_STATE(16008)] = 653618,
  [SMALL_STATE(16009)] = 653638,
  [SMALL_STATE(16010)] = 653658,
  [SMALL_STATE(16011)] = 653678,
  [SMALL_STATE(16012)] = 653698,
  [SMALL_STATE(16013)] = 653718,
  [SMALL_STATE(16014)] = 653738,
  [SMALL_STATE(16015)] = 653758,
  [SMALL_STATE(16016)] = 653778,
  [SMALL_STATE(16017)] = 653798,
  [SMALL_STATE(16018)] = 653818,
  [SMALL_STATE(16019)] = 653838,
  [SMALL_STATE(16020)] = 653858,
  [SMALL_STATE(16021)] = 653876,
  [SMALL_STATE(16022)] = 653894,
  [SMALL_STATE(16023)] = 653912,
  [SMALL_STATE(16024)] = 653930,
  [SMALL_STATE(16025)] = 653948,
  [SMALL_STATE(16026)] = 653966,
  [SMALL_STATE(16027)] = 653984,
  [SMALL_STATE(16028)] = 654002,
  [SMALL_STATE(16029)] = 654022,
  [SMALL_STATE(16030)] = 654042,
  [SMALL_STATE(16031)] = 654062,
  [SMALL_STATE(16032)] = 654082,
  [SMALL_STATE(16033)] = 654102,
  [SMALL_STATE(16034)] = 654122,
  [SMALL_STATE(16035)] = 654142,
  [SMALL_STATE(16036)] = 654162,
  [SMALL_STATE(16037)] = 654182,
  [SMALL_STATE(16038)] = 654200,
  [SMALL_STATE(16039)] = 654220,
  [SMALL_STATE(16040)] = 654240,
  [SMALL_STATE(16041)] = 654260,
  [SMALL_STATE(16042)] = 654280,
  [SMALL_STATE(16043)] = 654298,
  [SMALL_STATE(16044)] = 654318,
  [SMALL_STATE(16045)] = 654338,
  [SMALL_STATE(16046)] = 654358,
  [SMALL_STATE(16047)] = 654378,
  [SMALL_STATE(16048)] = 654398,
  [SMALL_STATE(16049)] = 654418,
  [SMALL_STATE(16050)] = 654438,
  [SMALL_STATE(16051)] = 654458,
  [SMALL_STATE(16052)] = 654478,
  [SMALL_STATE(16053)] = 654498,
  [SMALL_STATE(16054)] = 654518,
  [SMALL_STATE(16055)] = 654538,
  [SMALL_STATE(16056)] = 654558,
  [SMALL_STATE(16057)] = 654578,
  [SMALL_STATE(16058)] = 654598,
  [SMALL_STATE(16059)] = 654618,
  [SMALL_STATE(16060)] = 654638,
  [SMALL_STATE(16061)] = 654656,
  [SMALL_STATE(16062)] = 654676,
  [SMALL_STATE(16063)] = 654692,
  [SMALL_STATE(16064)] = 654712,
  [SMALL_STATE(16065)] = 654732,
  [SMALL_STATE(16066)] = 654752,
  [SMALL_STATE(16067)] = 654772,
  [SMALL_STATE(16068)] = 654792,
  [SMALL_STATE(16069)] = 654812,
  [SMALL_STATE(16070)] = 654832,
  [SMALL_STATE(16071)] = 654852,
  [SMALL_STATE(16072)] = 654872,
  [SMALL_STATE(16073)] = 654892,
  [SMALL_STATE(16074)] = 654910,
  [SMALL_STATE(16075)] = 654928,
  [SMALL_STATE(16076)] = 654946,
  [SMALL_STATE(16077)] = 654964,
  [SMALL_STATE(16078)] = 654982,
  [SMALL_STATE(16079)] = 655000,
  [SMALL_STATE(16080)] = 655018,
  [SMALL_STATE(16081)] = 655036,
  [SMALL_STATE(16082)] = 655054,
  [SMALL_STATE(16083)] = 655074,
  [SMALL_STATE(16084)] = 655094,
  [SMALL_STATE(16085)] = 655114,
  [SMALL_STATE(16086)] = 655134,
  [SMALL_STATE(16087)] = 655154,
  [SMALL_STATE(16088)] = 655174,
  [SMALL_STATE(16089)] = 655194,
  [SMALL_STATE(16090)] = 655214,
  [SMALL_STATE(16091)] = 655234,
  [SMALL_STATE(16092)] = 655254,
  [SMALL_STATE(16093)] = 655274,
  [SMALL_STATE(16094)] = 655294,
  [SMALL_STATE(16095)] = 655314,
  [SMALL_STATE(16096)] = 655334,
  [SMALL_STATE(16097)] = 655354,
  [SMALL_STATE(16098)] = 655374,
  [SMALL_STATE(16099)] = 655394,
  [SMALL_STATE(16100)] = 655414,
  [SMALL_STATE(16101)] = 655434,
  [SMALL_STATE(16102)] = 655454,
  [SMALL_STATE(16103)] = 655474,
  [SMALL_STATE(16104)] = 655494,
  [SMALL_STATE(16105)] = 655514,
  [SMALL_STATE(16106)] = 655534,
  [SMALL_STATE(16107)] = 655554,
  [SMALL_STATE(16108)] = 655574,
  [SMALL_STATE(16109)] = 655592,
  [SMALL_STATE(16110)] = 655612,
  [SMALL_STATE(16111)] = 655632,
  [SMALL_STATE(16112)] = 655652,
  [SMALL_STATE(16113)] = 655670,
  [SMALL_STATE(16114)] = 655690,
  [SMALL_STATE(16115)] = 655710,
  [SMALL_STATE(16116)] = 655730,
  [SMALL_STATE(16117)] = 655750,
  [SMALL_STATE(16118)] = 655770,
  [SMALL_STATE(16119)] = 655790,
  [SMALL_STATE(16120)] = 655806,
  [SMALL_STATE(16121)] = 655826,
  [SMALL_STATE(16122)] = 655846,
  [SMALL_STATE(16123)] = 655864,
  [SMALL_STATE(16124)] = 655882,
  [SMALL_STATE(16125)] = 655900,
  [SMALL_STATE(16126)] = 655920,
  [SMALL_STATE(16127)] = 655940,
  [SMALL_STATE(16128)] = 655960,
  [SMALL_STATE(16129)] = 655980,
  [SMALL_STATE(16130)] = 655998,
  [SMALL_STATE(16131)] = 656018,
  [SMALL_STATE(16132)] = 656038,
  [SMALL_STATE(16133)] = 656058,
  [SMALL_STATE(16134)] = 656078,
  [SMALL_STATE(16135)] = 656098,
  [SMALL_STATE(16136)] = 656118,
  [SMALL_STATE(16137)] = 656138,
  [SMALL_STATE(16138)] = 656158,
  [SMALL_STATE(16139)] = 656178,
  [SMALL_STATE(16140)] = 656198,
  [SMALL_STATE(16141)] = 656218,
  [SMALL_STATE(16142)] = 656238,
  [SMALL_STATE(16143)] = 656256,
  [SMALL_STATE(16144)] = 656272,
  [SMALL_STATE(16145)] = 656292,
  [SMALL_STATE(16146)] = 656312,
  [SMALL_STATE(16147)] = 656332,
  [SMALL_STATE(16148)] = 656352,
  [SMALL_STATE(16149)] = 656372,
  [SMALL_STATE(16150)] = 656392,
  [SMALL_STATE(16151)] = 656412,
  [SMALL_STATE(16152)] = 656432,
  [SMALL_STATE(16153)] = 656452,
  [SMALL_STATE(16154)] = 656472,
  [SMALL_STATE(16155)] = 656492,
  [SMALL_STATE(16156)] = 656512,
  [SMALL_STATE(16157)] = 656530,
  [SMALL_STATE(16158)] = 656550,
  [SMALL_STATE(16159)] = 656570,
  [SMALL_STATE(16160)] = 656588,
  [SMALL_STATE(16161)] = 656606,
  [SMALL_STATE(16162)] = 656626,
  [SMALL_STATE(16163)] = 656646,
  [SMALL_STATE(16164)] = 656666,
  [SMALL_STATE(16165)] = 656686,
  [SMALL_STATE(16166)] = 656706,
  [SMALL_STATE(16167)] = 656726,
  [SMALL_STATE(16168)] = 656746,
  [SMALL_STATE(16169)] = 656766,
  [SMALL_STATE(16170)] = 656784,
  [SMALL_STATE(16171)] = 656802,
  [SMALL_STATE(16172)] = 656822,
  [SMALL_STATE(16173)] = 656842,
  [SMALL_STATE(16174)] = 656860,
  [SMALL_STATE(16175)] = 656878,
  [SMALL_STATE(16176)] = 656894,
  [SMALL_STATE(16177)] = 656914,
  [SMALL_STATE(16178)] = 656934,
  [SMALL_STATE(16179)] = 656954,
  [SMALL_STATE(16180)] = 656974,
  [SMALL_STATE(16181)] = 656994,
  [SMALL_STATE(16182)] = 657014,
  [SMALL_STATE(16183)] = 657034,
  [SMALL_STATE(16184)] = 657054,
  [SMALL_STATE(16185)] = 657074,
  [SMALL_STATE(16186)] = 657094,
  [SMALL_STATE(16187)] = 657114,
  [SMALL_STATE(16188)] = 657130,
  [SMALL_STATE(16189)] = 657150,
  [SMALL_STATE(16190)] = 657170,
  [SMALL_STATE(16191)] = 657186,
  [SMALL_STATE(16192)] = 657206,
  [SMALL_STATE(16193)] = 657226,
  [SMALL_STATE(16194)] = 657246,
  [SMALL_STATE(16195)] = 657264,
  [SMALL_STATE(16196)] = 657284,
  [SMALL_STATE(16197)] = 657302,
  [SMALL_STATE(16198)] = 657322,
  [SMALL_STATE(16199)] = 657342,
  [SMALL_STATE(16200)] = 657362,
  [SMALL_STATE(16201)] = 657382,
  [SMALL_STATE(16202)] = 657398,
  [SMALL_STATE(16203)] = 657416,
  [SMALL_STATE(16204)] = 657436,
  [SMALL_STATE(16205)] = 657456,
  [SMALL_STATE(16206)] = 657476,
  [SMALL_STATE(16207)] = 657496,
  [SMALL_STATE(16208)] = 657516,
  [SMALL_STATE(16209)] = 657536,
  [SMALL_STATE(16210)] = 657556,
  [SMALL_STATE(16211)] = 657576,
  [SMALL_STATE(16212)] = 657596,
  [SMALL_STATE(16213)] = 657616,
  [SMALL_STATE(16214)] = 657636,
  [SMALL_STATE(16215)] = 657656,
  [SMALL_STATE(16216)] = 657676,
  [SMALL_STATE(16217)] = 657694,
  [SMALL_STATE(16218)] = 657714,
  [SMALL_STATE(16219)] = 657734,
  [SMALL_STATE(16220)] = 657754,
  [SMALL_STATE(16221)] = 657774,
  [SMALL_STATE(16222)] = 657794,
  [SMALL_STATE(16223)] = 657814,
  [SMALL_STATE(16224)] = 657834,
  [SMALL_STATE(16225)] = 657850,
  [SMALL_STATE(16226)] = 657870,
  [SMALL_STATE(16227)] = 657890,
  [SMALL_STATE(16228)] = 657910,
  [SMALL_STATE(16229)] = 657928,
  [SMALL_STATE(16230)] = 657948,
  [SMALL_STATE(16231)] = 657968,
  [SMALL_STATE(16232)] = 657988,
  [SMALL_STATE(16233)] = 658008,
  [SMALL_STATE(16234)] = 658026,
  [SMALL_STATE(16235)] = 658046,
  [SMALL_STATE(16236)] = 658066,
  [SMALL_STATE(16237)] = 658086,
  [SMALL_STATE(16238)] = 658106,
  [SMALL_STATE(16239)] = 658126,
  [SMALL_STATE(16240)] = 658146,
  [SMALL_STATE(16241)] = 658166,
  [SMALL_STATE(16242)] = 658186,
  [SMALL_STATE(16243)] = 658206,
  [SMALL_STATE(16244)] = 658224,
  [SMALL_STATE(16245)] = 658244,
  [SMALL_STATE(16246)] = 658264,
  [SMALL_STATE(16247)] = 658284,
  [SMALL_STATE(16248)] = 658304,
  [SMALL_STATE(16249)] = 658324,
  [SMALL_STATE(16250)] = 658344,
  [SMALL_STATE(16251)] = 658364,
  [SMALL_STATE(16252)] = 658380,
  [SMALL_STATE(16253)] = 658400,
  [SMALL_STATE(16254)] = 658420,
  [SMALL_STATE(16255)] = 658440,
  [SMALL_STATE(16256)] = 658460,
  [SMALL_STATE(16257)] = 658480,
  [SMALL_STATE(16258)] = 658500,
  [SMALL_STATE(16259)] = 658518,
  [SMALL_STATE(16260)] = 658538,
  [SMALL_STATE(16261)] = 658558,
  [SMALL_STATE(16262)] = 658578,
  [SMALL_STATE(16263)] = 658598,
  [SMALL_STATE(16264)] = 658616,
  [SMALL_STATE(16265)] = 658636,
  [SMALL_STATE(16266)] = 658656,
  [SMALL_STATE(16267)] = 658676,
  [SMALL_STATE(16268)] = 658696,
  [SMALL_STATE(16269)] = 658716,
  [SMALL_STATE(16270)] = 658736,
  [SMALL_STATE(16271)] = 658756,
  [SMALL_STATE(16272)] = 658776,
  [SMALL_STATE(16273)] = 658796,
  [SMALL_STATE(16274)] = 658816,
  [SMALL_STATE(16275)] = 658836,
  [SMALL_STATE(16276)] = 658856,
  [SMALL_STATE(16277)] = 658876,
  [SMALL_STATE(16278)] = 658896,
  [SMALL_STATE(16279)] = 658916,
  [SMALL_STATE(16280)] = 658934,
  [SMALL_STATE(16281)] = 658954,
  [SMALL_STATE(16282)] = 658974,
  [SMALL_STATE(16283)] = 658994,
  [SMALL_STATE(16284)] = 659012,
  [SMALL_STATE(16285)] = 659032,
  [SMALL_STATE(16286)] = 659052,
  [SMALL_STATE(16287)] = 659070,
  [SMALL_STATE(16288)] = 659090,
  [SMALL_STATE(16289)] = 659110,
  [SMALL_STATE(16290)] = 659130,
  [SMALL_STATE(16291)] = 659150,
  [SMALL_STATE(16292)] = 659170,
  [SMALL_STATE(16293)] = 659190,
  [SMALL_STATE(16294)] = 659210,
  [SMALL_STATE(16295)] = 659230,
  [SMALL_STATE(16296)] = 659250,
  [SMALL_STATE(16297)] = 659268,
  [SMALL_STATE(16298)] = 659288,
  [SMALL_STATE(16299)] = 659308,
  [SMALL_STATE(16300)] = 659328,
  [SMALL_STATE(16301)] = 659348,
  [SMALL_STATE(16302)] = 659368,
  [SMALL_STATE(16303)] = 659388,
  [SMALL_STATE(16304)] = 659408,
  [SMALL_STATE(16305)] = 659428,
  [SMALL_STATE(16306)] = 659448,
  [SMALL_STATE(16307)] = 659466,
  [SMALL_STATE(16308)] = 659486,
  [SMALL_STATE(16309)] = 659506,
  [SMALL_STATE(16310)] = 659526,
  [SMALL_STATE(16311)] = 659546,
  [SMALL_STATE(16312)] = 659566,
  [SMALL_STATE(16313)] = 659586,
  [SMALL_STATE(16314)] = 659606,
  [SMALL_STATE(16315)] = 659624,
  [SMALL_STATE(16316)] = 659644,
  [SMALL_STATE(16317)] = 659664,
  [SMALL_STATE(16318)] = 659684,
  [SMALL_STATE(16319)] = 659704,
  [SMALL_STATE(16320)] = 659724,
  [SMALL_STATE(16321)] = 659744,
  [SMALL_STATE(16322)] = 659764,
  [SMALL_STATE(16323)] = 659784,
  [SMALL_STATE(16324)] = 659804,
  [SMALL_STATE(16325)] = 659824,
  [SMALL_STATE(16326)] = 659844,
  [SMALL_STATE(16327)] = 659864,
  [SMALL_STATE(16328)] = 659884,
  [SMALL_STATE(16329)] = 659904,
  [SMALL_STATE(16330)] = 659922,
  [SMALL_STATE(16331)] = 659942,
  [SMALL_STATE(16332)] = 659962,
  [SMALL_STATE(16333)] = 659982,
  [SMALL_STATE(16334)] = 660002,
  [SMALL_STATE(16335)] = 660020,
  [SMALL_STATE(16336)] = 660040,
  [SMALL_STATE(16337)] = 660060,
  [SMALL_STATE(16338)] = 660080,
  [SMALL_STATE(16339)] = 660100,
  [SMALL_STATE(16340)] = 660120,
  [SMALL_STATE(16341)] = 660138,
  [SMALL_STATE(16342)] = 660158,
  [SMALL_STATE(16343)] = 660178,
  [SMALL_STATE(16344)] = 660198,
  [SMALL_STATE(16345)] = 660218,
  [SMALL_STATE(16346)] = 660238,
  [SMALL_STATE(16347)] = 660258,
  [SMALL_STATE(16348)] = 660278,
  [SMALL_STATE(16349)] = 660298,
  [SMALL_STATE(16350)] = 660313,
  [SMALL_STATE(16351)] = 660328,
  [SMALL_STATE(16352)] = 660343,
  [SMALL_STATE(16353)] = 660358,
  [SMALL_STATE(16354)] = 660373,
  [SMALL_STATE(16355)] = 660390,
  [SMALL_STATE(16356)] = 660407,
  [SMALL_STATE(16357)] = 660424,
  [SMALL_STATE(16358)] = 660439,
  [SMALL_STATE(16359)] = 660456,
  [SMALL_STATE(16360)] = 660471,
  [SMALL_STATE(16361)] = 660486,
  [SMALL_STATE(16362)] = 660503,
  [SMALL_STATE(16363)] = 660520,
  [SMALL_STATE(16364)] = 660537,
  [SMALL_STATE(16365)] = 660552,
  [SMALL_STATE(16366)] = 660567,
  [SMALL_STATE(16367)] = 660584,
  [SMALL_STATE(16368)] = 660601,
  [SMALL_STATE(16369)] = 660618,
  [SMALL_STATE(16370)] = 660635,
  [SMALL_STATE(16371)] = 660652,
  [SMALL_STATE(16372)] = 660667,
  [SMALL_STATE(16373)] = 660684,
  [SMALL_STATE(16374)] = 660699,
  [SMALL_STATE(16375)] = 660712,
  [SMALL_STATE(16376)] = 660727,
  [SMALL_STATE(16377)] = 660742,
  [SMALL_STATE(16378)] = 660757,
  [SMALL_STATE(16379)] = 660772,
  [SMALL_STATE(16380)] = 660787,
  [SMALL_STATE(16381)] = 660804,
  [SMALL_STATE(16382)] = 660819,
  [SMALL_STATE(16383)] = 660834,
  [SMALL_STATE(16384)] = 660849,
  [SMALL_STATE(16385)] = 660866,
  [SMALL_STATE(16386)] = 660881,
  [SMALL_STATE(16387)] = 660896,
  [SMALL_STATE(16388)] = 660911,
  [SMALL_STATE(16389)] = 660928,
  [SMALL_STATE(16390)] = 660943,
  [SMALL_STATE(16391)] = 660958,
  [SMALL_STATE(16392)] = 660973,
  [SMALL_STATE(16393)] = 660988,
  [SMALL_STATE(16394)] = 661003,
  [SMALL_STATE(16395)] = 661018,
  [SMALL_STATE(16396)] = 661033,
  [SMALL_STATE(16397)] = 661048,
  [SMALL_STATE(16398)] = 661063,
  [SMALL_STATE(16399)] = 661078,
  [SMALL_STATE(16400)] = 661095,
  [SMALL_STATE(16401)] = 661110,
  [SMALL_STATE(16402)] = 661125,
  [SMALL_STATE(16403)] = 661140,
  [SMALL_STATE(16404)] = 661157,
  [SMALL_STATE(16405)] = 661172,
  [SMALL_STATE(16406)] = 661187,
  [SMALL_STATE(16407)] = 661202,
  [SMALL_STATE(16408)] = 661219,
  [SMALL_STATE(16409)] = 661234,
  [SMALL_STATE(16410)] = 661249,
  [SMALL_STATE(16411)] = 661266,
  [SMALL_STATE(16412)] = 661281,
  [SMALL_STATE(16413)] = 661296,
  [SMALL_STATE(16414)] = 661311,
  [SMALL_STATE(16415)] = 661328,
  [SMALL_STATE(16416)] = 661343,
  [SMALL_STATE(16417)] = 661358,
  [SMALL_STATE(16418)] = 661375,
  [SMALL_STATE(16419)] = 661390,
  [SMALL_STATE(16420)] = 661407,
  [SMALL_STATE(16421)] = 661422,
  [SMALL_STATE(16422)] = 661439,
  [SMALL_STATE(16423)] = 661456,
  [SMALL_STATE(16424)] = 661471,
  [SMALL_STATE(16425)] = 661486,
  [SMALL_STATE(16426)] = 661501,
  [SMALL_STATE(16427)] = 661516,
  [SMALL_STATE(16428)] = 661531,
  [SMALL_STATE(16429)] = 661546,
  [SMALL_STATE(16430)] = 661561,
  [SMALL_STATE(16431)] = 661576,
  [SMALL_STATE(16432)] = 661591,
  [SMALL_STATE(16433)] = 661606,
  [SMALL_STATE(16434)] = 661621,
  [SMALL_STATE(16435)] = 661636,
  [SMALL_STATE(16436)] = 661651,
  [SMALL_STATE(16437)] = 661666,
  [SMALL_STATE(16438)] = 661681,
  [SMALL_STATE(16439)] = 661696,
  [SMALL_STATE(16440)] = 661711,
  [SMALL_STATE(16441)] = 661726,
  [SMALL_STATE(16442)] = 661741,
  [SMALL_STATE(16443)] = 661758,
  [SMALL_STATE(16444)] = 661773,
  [SMALL_STATE(16445)] = 661788,
  [SMALL_STATE(16446)] = 661803,
  [SMALL_STATE(16447)] = 661818,
  [SMALL_STATE(16448)] = 661835,
  [SMALL_STATE(16449)] = 661852,
  [SMALL_STATE(16450)] = 661867,
  [SMALL_STATE(16451)] = 661882,
  [SMALL_STATE(16452)] = 661899,
  [SMALL_STATE(16453)] = 661914,
  [SMALL_STATE(16454)] = 661929,
  [SMALL_STATE(16455)] = 661944,
  [SMALL_STATE(16456)] = 661959,
  [SMALL_STATE(16457)] = 661976,
  [SMALL_STATE(16458)] = 661993,
  [SMALL_STATE(16459)] = 662008,
  [SMALL_STATE(16460)] = 662023,
  [SMALL_STATE(16461)] = 662038,
  [SMALL_STATE(16462)] = 662053,
  [SMALL_STATE(16463)] = 662068,
  [SMALL_STATE(16464)] = 662083,
  [SMALL_STATE(16465)] = 662098,
  [SMALL_STATE(16466)] = 662115,
  [SMALL_STATE(16467)] = 662130,
  [SMALL_STATE(16468)] = 662147,
  [SMALL_STATE(16469)] = 662164,
  [SMALL_STATE(16470)] = 662181,
  [SMALL_STATE(16471)] = 662196,
  [SMALL_STATE(16472)] = 662211,
  [SMALL_STATE(16473)] = 662226,
  [SMALL_STATE(16474)] = 662243,
  [SMALL_STATE(16475)] = 662258,
  [SMALL_STATE(16476)] = 662275,
  [SMALL_STATE(16477)] = 662290,
  [SMALL_STATE(16478)] = 662305,
  [SMALL_STATE(16479)] = 662320,
  [SMALL_STATE(16480)] = 662335,
  [SMALL_STATE(16481)] = 662350,
  [SMALL_STATE(16482)] = 662365,
  [SMALL_STATE(16483)] = 662380,
  [SMALL_STATE(16484)] = 662397,
  [SMALL_STATE(16485)] = 662412,
  [SMALL_STATE(16486)] = 662427,
  [SMALL_STATE(16487)] = 662444,
  [SMALL_STATE(16488)] = 662459,
  [SMALL_STATE(16489)] = 662474,
  [SMALL_STATE(16490)] = 662489,
  [SMALL_STATE(16491)] = 662504,
  [SMALL_STATE(16492)] = 662519,
  [SMALL_STATE(16493)] = 662534,
  [SMALL_STATE(16494)] = 662551,
  [SMALL_STATE(16495)] = 662566,
  [SMALL_STATE(16496)] = 662581,
  [SMALL_STATE(16497)] = 662596,
  [SMALL_STATE(16498)] = 662611,
  [SMALL_STATE(16499)] = 662628,
  [SMALL_STATE(16500)] = 662643,
  [SMALL_STATE(16501)] = 662658,
  [SMALL_STATE(16502)] = 662673,
  [SMALL_STATE(16503)] = 662688,
  [SMALL_STATE(16504)] = 662703,
  [SMALL_STATE(16505)] = 662720,
  [SMALL_STATE(16506)] = 662735,
  [SMALL_STATE(16507)] = 662750,
  [SMALL_STATE(16508)] = 662765,
  [SMALL_STATE(16509)] = 662780,
  [SMALL_STATE(16510)] = 662797,
  [SMALL_STATE(16511)] = 662812,
  [SMALL_STATE(16512)] = 662827,
  [SMALL_STATE(16513)] = 662842,
  [SMALL_STATE(16514)] = 662857,
  [SMALL_STATE(16515)] = 662872,
  [SMALL_STATE(16516)] = 662887,
  [SMALL_STATE(16517)] = 662902,
  [SMALL_STATE(16518)] = 662919,
  [SMALL_STATE(16519)] = 662934,
  [SMALL_STATE(16520)] = 662949,
  [SMALL_STATE(16521)] = 662964,
  [SMALL_STATE(16522)] = 662981,
  [SMALL_STATE(16523)] = 662996,
  [SMALL_STATE(16524)] = 663013,
  [SMALL_STATE(16525)] = 663030,
  [SMALL_STATE(16526)] = 663047,
  [SMALL_STATE(16527)] = 663062,
  [SMALL_STATE(16528)] = 663077,
  [SMALL_STATE(16529)] = 663092,
  [SMALL_STATE(16530)] = 663107,
  [SMALL_STATE(16531)] = 663124,
  [SMALL_STATE(16532)] = 663139,
  [SMALL_STATE(16533)] = 663154,
  [SMALL_STATE(16534)] = 663169,
  [SMALL_STATE(16535)] = 663184,
  [SMALL_STATE(16536)] = 663199,
  [SMALL_STATE(16537)] = 663214,
  [SMALL_STATE(16538)] = 663231,
  [SMALL_STATE(16539)] = 663246,
  [SMALL_STATE(16540)] = 663261,
  [SMALL_STATE(16541)] = 663276,
  [SMALL_STATE(16542)] = 663293,
  [SMALL_STATE(16543)] = 663308,
  [SMALL_STATE(16544)] = 663323,
  [SMALL_STATE(16545)] = 663338,
  [SMALL_STATE(16546)] = 663353,
  [SMALL_STATE(16547)] = 663368,
  [SMALL_STATE(16548)] = 663383,
  [SMALL_STATE(16549)] = 663400,
  [SMALL_STATE(16550)] = 663415,
  [SMALL_STATE(16551)] = 663430,
  [SMALL_STATE(16552)] = 663445,
  [SMALL_STATE(16553)] = 663460,
  [SMALL_STATE(16554)] = 663475,
  [SMALL_STATE(16555)] = 663490,
  [SMALL_STATE(16556)] = 663505,
  [SMALL_STATE(16557)] = 663520,
  [SMALL_STATE(16558)] = 663535,
  [SMALL_STATE(16559)] = 663550,
  [SMALL_STATE(16560)] = 663567,
  [SMALL_STATE(16561)] = 663582,
  [SMALL_STATE(16562)] = 663597,
  [SMALL_STATE(16563)] = 663612,
  [SMALL_STATE(16564)] = 663627,
  [SMALL_STATE(16565)] = 663642,
  [SMALL_STATE(16566)] = 663657,
  [SMALL_STATE(16567)] = 663674,
  [SMALL_STATE(16568)] = 663689,
  [SMALL_STATE(16569)] = 663704,
  [SMALL_STATE(16570)] = 663719,
  [SMALL_STATE(16571)] = 663734,
  [SMALL_STATE(16572)] = 663749,
  [SMALL_STATE(16573)] = 663764,
  [SMALL_STATE(16574)] = 663779,
  [SMALL_STATE(16575)] = 663794,
  [SMALL_STATE(16576)] = 663809,
  [SMALL_STATE(16577)] = 663824,
  [SMALL_STATE(16578)] = 663839,
  [SMALL_STATE(16579)] = 663854,
  [SMALL_STATE(16580)] = 663871,
  [SMALL_STATE(16581)] = 663886,
  [SMALL_STATE(16582)] = 663901,
  [SMALL_STATE(16583)] = 663916,
  [SMALL_STATE(16584)] = 663931,
  [SMALL_STATE(16585)] = 663948,
  [SMALL_STATE(16586)] = 663963,
  [SMALL_STATE(16587)] = 663978,
  [SMALL_STATE(16588)] = 663993,
  [SMALL_STATE(16589)] = 664008,
  [SMALL_STATE(16590)] = 664023,
  [SMALL_STATE(16591)] = 664038,
  [SMALL_STATE(16592)] = 664053,
  [SMALL_STATE(16593)] = 664068,
  [SMALL_STATE(16594)] = 664083,
  [SMALL_STATE(16595)] = 664100,
  [SMALL_STATE(16596)] = 664115,
  [SMALL_STATE(16597)] = 664130,
  [SMALL_STATE(16598)] = 664147,
  [SMALL_STATE(16599)] = 664162,
  [SMALL_STATE(16600)] = 664177,
  [SMALL_STATE(16601)] = 664192,
  [SMALL_STATE(16602)] = 664207,
  [SMALL_STATE(16603)] = 664222,
  [SMALL_STATE(16604)] = 664237,
  [SMALL_STATE(16605)] = 664252,
  [SMALL_STATE(16606)] = 664267,
  [SMALL_STATE(16607)] = 664282,
  [SMALL_STATE(16608)] = 664297,
  [SMALL_STATE(16609)] = 664312,
  [SMALL_STATE(16610)] = 664327,
  [SMALL_STATE(16611)] = 664342,
  [SMALL_STATE(16612)] = 664359,
  [SMALL_STATE(16613)] = 664376,
  [SMALL_STATE(16614)] = 664391,
  [SMALL_STATE(16615)] = 664406,
  [SMALL_STATE(16616)] = 664421,
  [SMALL_STATE(16617)] = 664436,
  [SMALL_STATE(16618)] = 664451,
  [SMALL_STATE(16619)] = 664466,
  [SMALL_STATE(16620)] = 664481,
  [SMALL_STATE(16621)] = 664496,
  [SMALL_STATE(16622)] = 664511,
  [SMALL_STATE(16623)] = 664528,
  [SMALL_STATE(16624)] = 664545,
  [SMALL_STATE(16625)] = 664562,
  [SMALL_STATE(16626)] = 664577,
  [SMALL_STATE(16627)] = 664592,
  [SMALL_STATE(16628)] = 664607,
  [SMALL_STATE(16629)] = 664622,
  [SMALL_STATE(16630)] = 664637,
  [SMALL_STATE(16631)] = 664652,
  [SMALL_STATE(16632)] = 664667,
  [SMALL_STATE(16633)] = 664682,
  [SMALL_STATE(16634)] = 664697,
  [SMALL_STATE(16635)] = 664712,
  [SMALL_STATE(16636)] = 664727,
  [SMALL_STATE(16637)] = 664742,
  [SMALL_STATE(16638)] = 664759,
  [SMALL_STATE(16639)] = 664774,
  [SMALL_STATE(16640)] = 664789,
  [SMALL_STATE(16641)] = 664804,
  [SMALL_STATE(16642)] = 664819,
  [SMALL_STATE(16643)] = 664834,
  [SMALL_STATE(16644)] = 664849,
  [SMALL_STATE(16645)] = 664864,
  [SMALL_STATE(16646)] = 664879,
  [SMALL_STATE(16647)] = 664896,
  [SMALL_STATE(16648)] = 664911,
  [SMALL_STATE(16649)] = 664926,
  [SMALL_STATE(16650)] = 664941,
  [SMALL_STATE(16651)] = 664956,
  [SMALL_STATE(16652)] = 664970,
  [SMALL_STATE(16653)] = 664984,
  [SMALL_STATE(16654)] = 664998,
  [SMALL_STATE(16655)] = 665012,
  [SMALL_STATE(16656)] = 665026,
  [SMALL_STATE(16657)] = 665040,
  [SMALL_STATE(16658)] = 665054,
  [SMALL_STATE(16659)] = 665068,
  [SMALL_STATE(16660)] = 665082,
  [SMALL_STATE(16661)] = 665096,
  [SMALL_STATE(16662)] = 665110,
  [SMALL_STATE(16663)] = 665124,
  [SMALL_STATE(16664)] = 665138,
  [SMALL_STATE(16665)] = 665152,
  [SMALL_STATE(16666)] = 665166,
  [SMALL_STATE(16667)] = 665180,
  [SMALL_STATE(16668)] = 665194,
  [SMALL_STATE(16669)] = 665208,
  [SMALL_STATE(16670)] = 665222,
  [SMALL_STATE(16671)] = 665236,
  [SMALL_STATE(16672)] = 665250,
  [SMALL_STATE(16673)] = 665264,
  [SMALL_STATE(16674)] = 665278,
  [SMALL_STATE(16675)] = 665292,
  [SMALL_STATE(16676)] = 665306,
  [SMALL_STATE(16677)] = 665320,
  [SMALL_STATE(16678)] = 665334,
  [SMALL_STATE(16679)] = 665348,
  [SMALL_STATE(16680)] = 665362,
  [SMALL_STATE(16681)] = 665376,
  [SMALL_STATE(16682)] = 665390,
  [SMALL_STATE(16683)] = 665404,
  [SMALL_STATE(16684)] = 665418,
  [SMALL_STATE(16685)] = 665432,
  [SMALL_STATE(16686)] = 665446,
  [SMALL_STATE(16687)] = 665460,
  [SMALL_STATE(16688)] = 665474,
  [SMALL_STATE(16689)] = 665488,
  [SMALL_STATE(16690)] = 665502,
  [SMALL_STATE(16691)] = 665516,
  [SMALL_STATE(16692)] = 665530,
  [SMALL_STATE(16693)] = 665544,
  [SMALL_STATE(16694)] = 665558,
  [SMALL_STATE(16695)] = 665572,
  [SMALL_STATE(16696)] = 665586,
  [SMALL_STATE(16697)] = 665600,
  [SMALL_STATE(16698)] = 665614,
  [SMALL_STATE(16699)] = 665628,
  [SMALL_STATE(16700)] = 665642,
  [SMALL_STATE(16701)] = 665656,
  [SMALL_STATE(16702)] = 665670,
  [SMALL_STATE(16703)] = 665684,
  [SMALL_STATE(16704)] = 665698,
  [SMALL_STATE(16705)] = 665712,
  [SMALL_STATE(16706)] = 665726,
  [SMALL_STATE(16707)] = 665740,
  [SMALL_STATE(16708)] = 665754,
  [SMALL_STATE(16709)] = 665768,
  [SMALL_STATE(16710)] = 665782,
  [SMALL_STATE(16711)] = 665796,
  [SMALL_STATE(16712)] = 665810,
  [SMALL_STATE(16713)] = 665824,
  [SMALL_STATE(16714)] = 665838,
  [SMALL_STATE(16715)] = 665852,
  [SMALL_STATE(16716)] = 665866,
  [SMALL_STATE(16717)] = 665880,
  [SMALL_STATE(16718)] = 665894,
  [SMALL_STATE(16719)] = 665908,
  [SMALL_STATE(16720)] = 665922,
  [SMALL_STATE(16721)] = 665936,
  [SMALL_STATE(16722)] = 665950,
  [SMALL_STATE(16723)] = 665964,
  [SMALL_STATE(16724)] = 665978,
  [SMALL_STATE(16725)] = 665992,
  [SMALL_STATE(16726)] = 666006,
  [SMALL_STATE(16727)] = 666020,
  [SMALL_STATE(16728)] = 666034,
  [SMALL_STATE(16729)] = 666048,
  [SMALL_STATE(16730)] = 666062,
  [SMALL_STATE(16731)] = 666076,
  [SMALL_STATE(16732)] = 666090,
  [SMALL_STATE(16733)] = 666104,
  [SMALL_STATE(16734)] = 666118,
  [SMALL_STATE(16735)] = 666132,
  [SMALL_STATE(16736)] = 666146,
  [SMALL_STATE(16737)] = 666160,
  [SMALL_STATE(16738)] = 666174,
  [SMALL_STATE(16739)] = 666188,
  [SMALL_STATE(16740)] = 666202,
  [SMALL_STATE(16741)] = 666216,
  [SMALL_STATE(16742)] = 666230,
  [SMALL_STATE(16743)] = 666244,
  [SMALL_STATE(16744)] = 666258,
  [SMALL_STATE(16745)] = 666272,
  [SMALL_STATE(16746)] = 666286,
  [SMALL_STATE(16747)] = 666300,
  [SMALL_STATE(16748)] = 666314,
  [SMALL_STATE(16749)] = 666328,
  [SMALL_STATE(16750)] = 666342,
  [SMALL_STATE(16751)] = 666356,
  [SMALL_STATE(16752)] = 666370,
  [SMALL_STATE(16753)] = 666384,
  [SMALL_STATE(16754)] = 666398,
  [SMALL_STATE(16755)] = 666412,
  [SMALL_STATE(16756)] = 666426,
  [SMALL_STATE(16757)] = 666440,
  [SMALL_STATE(16758)] = 666454,
  [SMALL_STATE(16759)] = 666468,
  [SMALL_STATE(16760)] = 666482,
  [SMALL_STATE(16761)] = 666496,
  [SMALL_STATE(16762)] = 666510,
  [SMALL_STATE(16763)] = 666524,
  [SMALL_STATE(16764)] = 666538,
  [SMALL_STATE(16765)] = 666552,
  [SMALL_STATE(16766)] = 666566,
  [SMALL_STATE(16767)] = 666580,
  [SMALL_STATE(16768)] = 666594,
  [SMALL_STATE(16769)] = 666608,
  [SMALL_STATE(16770)] = 666622,
  [SMALL_STATE(16771)] = 666636,
  [SMALL_STATE(16772)] = 666650,
  [SMALL_STATE(16773)] = 666664,
  [SMALL_STATE(16774)] = 666678,
  [SMALL_STATE(16775)] = 666692,
  [SMALL_STATE(16776)] = 666706,
  [SMALL_STATE(16777)] = 666720,
  [SMALL_STATE(16778)] = 666734,
  [SMALL_STATE(16779)] = 666748,
  [SMALL_STATE(16780)] = 666762,
  [SMALL_STATE(16781)] = 666776,
  [SMALL_STATE(16782)] = 666790,
  [SMALL_STATE(16783)] = 666804,
  [SMALL_STATE(16784)] = 666818,
  [SMALL_STATE(16785)] = 666832,
  [SMALL_STATE(16786)] = 666846,
  [SMALL_STATE(16787)] = 666860,
  [SMALL_STATE(16788)] = 666874,
  [SMALL_STATE(16789)] = 666888,
  [SMALL_STATE(16790)] = 666902,
  [SMALL_STATE(16791)] = 666916,
  [SMALL_STATE(16792)] = 666930,
  [SMALL_STATE(16793)] = 666944,
  [SMALL_STATE(16794)] = 666958,
  [SMALL_STATE(16795)] = 666972,
  [SMALL_STATE(16796)] = 666986,
  [SMALL_STATE(16797)] = 667000,
  [SMALL_STATE(16798)] = 667014,
  [SMALL_STATE(16799)] = 667028,
  [SMALL_STATE(16800)] = 667042,
  [SMALL_STATE(16801)] = 667056,
  [SMALL_STATE(16802)] = 667070,
  [SMALL_STATE(16803)] = 667084,
  [SMALL_STATE(16804)] = 667098,
  [SMALL_STATE(16805)] = 667112,
  [SMALL_STATE(16806)] = 667126,
  [SMALL_STATE(16807)] = 667140,
  [SMALL_STATE(16808)] = 667154,
  [SMALL_STATE(16809)] = 667168,
  [SMALL_STATE(16810)] = 667182,
  [SMALL_STATE(16811)] = 667196,
  [SMALL_STATE(16812)] = 667210,
  [SMALL_STATE(16813)] = 667224,
  [SMALL_STATE(16814)] = 667238,
  [SMALL_STATE(16815)] = 667252,
  [SMALL_STATE(16816)] = 667266,
  [SMALL_STATE(16817)] = 667280,
  [SMALL_STATE(16818)] = 667294,
  [SMALL_STATE(16819)] = 667308,
  [SMALL_STATE(16820)] = 667322,
  [SMALL_STATE(16821)] = 667336,
  [SMALL_STATE(16822)] = 667350,
  [SMALL_STATE(16823)] = 667364,
  [SMALL_STATE(16824)] = 667378,
  [SMALL_STATE(16825)] = 667392,
  [SMALL_STATE(16826)] = 667406,
  [SMALL_STATE(16827)] = 667420,
  [SMALL_STATE(16828)] = 667434,
  [SMALL_STATE(16829)] = 667448,
  [SMALL_STATE(16830)] = 667462,
  [SMALL_STATE(16831)] = 667476,
  [SMALL_STATE(16832)] = 667490,
  [SMALL_STATE(16833)] = 667504,
  [SMALL_STATE(16834)] = 667518,
  [SMALL_STATE(16835)] = 667532,
  [SMALL_STATE(16836)] = 667546,
  [SMALL_STATE(16837)] = 667560,
  [SMALL_STATE(16838)] = 667574,
  [SMALL_STATE(16839)] = 667588,
  [SMALL_STATE(16840)] = 667602,
  [SMALL_STATE(16841)] = 667616,
  [SMALL_STATE(16842)] = 667630,
  [SMALL_STATE(16843)] = 667644,
  [SMALL_STATE(16844)] = 667658,
  [SMALL_STATE(16845)] = 667672,
  [SMALL_STATE(16846)] = 667686,
  [SMALL_STATE(16847)] = 667700,
  [SMALL_STATE(16848)] = 667714,
  [SMALL_STATE(16849)] = 667728,
  [SMALL_STATE(16850)] = 667742,
  [SMALL_STATE(16851)] = 667756,
  [SMALL_STATE(16852)] = 667770,
  [SMALL_STATE(16853)] = 667784,
  [SMALL_STATE(16854)] = 667798,
  [SMALL_STATE(16855)] = 667812,
  [SMALL_STATE(16856)] = 667826,
  [SMALL_STATE(16857)] = 667840,
  [SMALL_STATE(16858)] = 667854,
  [SMALL_STATE(16859)] = 667868,
  [SMALL_STATE(16860)] = 667882,
  [SMALL_STATE(16861)] = 667896,
  [SMALL_STATE(16862)] = 667910,
  [SMALL_STATE(16863)] = 667924,
  [SMALL_STATE(16864)] = 667938,
  [SMALL_STATE(16865)] = 667952,
  [SMALL_STATE(16866)] = 667966,
  [SMALL_STATE(16867)] = 667980,
  [SMALL_STATE(16868)] = 667994,
  [SMALL_STATE(16869)] = 668008,
  [SMALL_STATE(16870)] = 668022,
  [SMALL_STATE(16871)] = 668036,
  [SMALL_STATE(16872)] = 668050,
  [SMALL_STATE(16873)] = 668064,
  [SMALL_STATE(16874)] = 668078,
  [SMALL_STATE(16875)] = 668092,
  [SMALL_STATE(16876)] = 668106,
  [SMALL_STATE(16877)] = 668120,
  [SMALL_STATE(16878)] = 668134,
  [SMALL_STATE(16879)] = 668148,
  [SMALL_STATE(16880)] = 668162,
  [SMALL_STATE(16881)] = 668176,
  [SMALL_STATE(16882)] = 668190,
  [SMALL_STATE(16883)] = 668204,
  [SMALL_STATE(16884)] = 668218,
  [SMALL_STATE(16885)] = 668232,
  [SMALL_STATE(16886)] = 668246,
  [SMALL_STATE(16887)] = 668260,
  [SMALL_STATE(16888)] = 668274,
  [SMALL_STATE(16889)] = 668288,
  [SMALL_STATE(16890)] = 668302,
  [SMALL_STATE(16891)] = 668316,
  [SMALL_STATE(16892)] = 668330,
  [SMALL_STATE(16893)] = 668344,
  [SMALL_STATE(16894)] = 668358,
  [SMALL_STATE(16895)] = 668372,
  [SMALL_STATE(16896)] = 668386,
  [SMALL_STATE(16897)] = 668400,
  [SMALL_STATE(16898)] = 668414,
  [SMALL_STATE(16899)] = 668428,
  [SMALL_STATE(16900)] = 668442,
  [SMALL_STATE(16901)] = 668456,
  [SMALL_STATE(16902)] = 668470,
  [SMALL_STATE(16903)] = 668484,
  [SMALL_STATE(16904)] = 668498,
  [SMALL_STATE(16905)] = 668512,
  [SMALL_STATE(16906)] = 668526,
  [SMALL_STATE(16907)] = 668540,
  [SMALL_STATE(16908)] = 668554,
  [SMALL_STATE(16909)] = 668568,
  [SMALL_STATE(16910)] = 668582,
  [SMALL_STATE(16911)] = 668596,
  [SMALL_STATE(16912)] = 668610,
  [SMALL_STATE(16913)] = 668624,
  [SMALL_STATE(16914)] = 668638,
  [SMALL_STATE(16915)] = 668652,
  [SMALL_STATE(16916)] = 668666,
  [SMALL_STATE(16917)] = 668680,
  [SMALL_STATE(16918)] = 668694,
  [SMALL_STATE(16919)] = 668708,
  [SMALL_STATE(16920)] = 668722,
  [SMALL_STATE(16921)] = 668736,
  [SMALL_STATE(16922)] = 668750,
  [SMALL_STATE(16923)] = 668764,
  [SMALL_STATE(16924)] = 668778,
  [SMALL_STATE(16925)] = 668792,
  [SMALL_STATE(16926)] = 668806,
  [SMALL_STATE(16927)] = 668820,
  [SMALL_STATE(16928)] = 668834,
  [SMALL_STATE(16929)] = 668848,
  [SMALL_STATE(16930)] = 668862,
  [SMALL_STATE(16931)] = 668876,
  [SMALL_STATE(16932)] = 668890,
  [SMALL_STATE(16933)] = 668904,
  [SMALL_STATE(16934)] = 668918,
  [SMALL_STATE(16935)] = 668932,
  [SMALL_STATE(16936)] = 668946,
  [SMALL_STATE(16937)] = 668960,
  [SMALL_STATE(16938)] = 668974,
  [SMALL_STATE(16939)] = 668988,
  [SMALL_STATE(16940)] = 669002,
  [SMALL_STATE(16941)] = 669016,
  [SMALL_STATE(16942)] = 669030,
  [SMALL_STATE(16943)] = 669044,
  [SMALL_STATE(16944)] = 669058,
  [SMALL_STATE(16945)] = 669072,
  [SMALL_STATE(16946)] = 669086,
  [SMALL_STATE(16947)] = 669100,
  [SMALL_STATE(16948)] = 669114,
  [SMALL_STATE(16949)] = 669128,
  [SMALL_STATE(16950)] = 669142,
  [SMALL_STATE(16951)] = 669156,
  [SMALL_STATE(16952)] = 669170,
  [SMALL_STATE(16953)] = 669184,
  [SMALL_STATE(16954)] = 669198,
  [SMALL_STATE(16955)] = 669212,
  [SMALL_STATE(16956)] = 669226,
  [SMALL_STATE(16957)] = 669240,
  [SMALL_STATE(16958)] = 669254,
  [SMALL_STATE(16959)] = 669268,
  [SMALL_STATE(16960)] = 669282,
  [SMALL_STATE(16961)] = 669296,
  [SMALL_STATE(16962)] = 669310,
  [SMALL_STATE(16963)] = 669324,
  [SMALL_STATE(16964)] = 669338,
  [SMALL_STATE(16965)] = 669352,
  [SMALL_STATE(16966)] = 669366,
  [SMALL_STATE(16967)] = 669380,
  [SMALL_STATE(16968)] = 669394,
  [SMALL_STATE(16969)] = 669408,
  [SMALL_STATE(16970)] = 669422,
  [SMALL_STATE(16971)] = 669436,
  [SMALL_STATE(16972)] = 669450,
  [SMALL_STATE(16973)] = 669464,
  [SMALL_STATE(16974)] = 669478,
  [SMALL_STATE(16975)] = 669492,
  [SMALL_STATE(16976)] = 669506,
  [SMALL_STATE(16977)] = 669520,
  [SMALL_STATE(16978)] = 669534,
  [SMALL_STATE(16979)] = 669548,
  [SMALL_STATE(16980)] = 669562,
  [SMALL_STATE(16981)] = 669576,
  [SMALL_STATE(16982)] = 669590,
  [SMALL_STATE(16983)] = 669604,
  [SMALL_STATE(16984)] = 669618,
  [SMALL_STATE(16985)] = 669632,
  [SMALL_STATE(16986)] = 669646,
  [SMALL_STATE(16987)] = 669660,
  [SMALL_STATE(16988)] = 669674,
  [SMALL_STATE(16989)] = 669688,
  [SMALL_STATE(16990)] = 669702,
  [SMALL_STATE(16991)] = 669716,
  [SMALL_STATE(16992)] = 669730,
  [SMALL_STATE(16993)] = 669744,
  [SMALL_STATE(16994)] = 669758,
  [SMALL_STATE(16995)] = 669772,
  [SMALL_STATE(16996)] = 669786,
  [SMALL_STATE(16997)] = 669800,
  [SMALL_STATE(16998)] = 669814,
  [SMALL_STATE(16999)] = 669828,
  [SMALL_STATE(17000)] = 669842,
  [SMALL_STATE(17001)] = 669856,
  [SMALL_STATE(17002)] = 669870,
  [SMALL_STATE(17003)] = 669884,
  [SMALL_STATE(17004)] = 669898,
  [SMALL_STATE(17005)] = 669912,
  [SMALL_STATE(17006)] = 669926,
  [SMALL_STATE(17007)] = 669940,
  [SMALL_STATE(17008)] = 669954,
  [SMALL_STATE(17009)] = 669968,
  [SMALL_STATE(17010)] = 669982,
  [SMALL_STATE(17011)] = 669996,
  [SMALL_STATE(17012)] = 670010,
  [SMALL_STATE(17013)] = 670024,
  [SMALL_STATE(17014)] = 670038,
  [SMALL_STATE(17015)] = 670052,
  [SMALL_STATE(17016)] = 670066,
  [SMALL_STATE(17017)] = 670080,
  [SMALL_STATE(17018)] = 670094,
  [SMALL_STATE(17019)] = 670108,
  [SMALL_STATE(17020)] = 670122,
  [SMALL_STATE(17021)] = 670136,
  [SMALL_STATE(17022)] = 670150,
  [SMALL_STATE(17023)] = 670164,
  [SMALL_STATE(17024)] = 670178,
  [SMALL_STATE(17025)] = 670192,
  [SMALL_STATE(17026)] = 670206,
  [SMALL_STATE(17027)] = 670220,
  [SMALL_STATE(17028)] = 670234,
  [SMALL_STATE(17029)] = 670248,
  [SMALL_STATE(17030)] = 670262,
  [SMALL_STATE(17031)] = 670276,
  [SMALL_STATE(17032)] = 670290,
  [SMALL_STATE(17033)] = 670304,
  [SMALL_STATE(17034)] = 670318,
  [SMALL_STATE(17035)] = 670332,
  [SMALL_STATE(17036)] = 670346,
  [SMALL_STATE(17037)] = 670360,
  [SMALL_STATE(17038)] = 670374,
  [SMALL_STATE(17039)] = 670388,
  [SMALL_STATE(17040)] = 670402,
  [SMALL_STATE(17041)] = 670416,
  [SMALL_STATE(17042)] = 670430,
  [SMALL_STATE(17043)] = 670444,
  [SMALL_STATE(17044)] = 670458,
  [SMALL_STATE(17045)] = 670472,
  [SMALL_STATE(17046)] = 670486,
  [SMALL_STATE(17047)] = 670500,
  [SMALL_STATE(17048)] = 670514,
  [SMALL_STATE(17049)] = 670528,
  [SMALL_STATE(17050)] = 670542,
  [SMALL_STATE(17051)] = 670556,
  [SMALL_STATE(17052)] = 670570,
  [SMALL_STATE(17053)] = 670584,
  [SMALL_STATE(17054)] = 670598,
  [SMALL_STATE(17055)] = 670612,
  [SMALL_STATE(17056)] = 670626,
  [SMALL_STATE(17057)] = 670640,
  [SMALL_STATE(17058)] = 670654,
  [SMALL_STATE(17059)] = 670668,
  [SMALL_STATE(17060)] = 670682,
  [SMALL_STATE(17061)] = 670696,
  [SMALL_STATE(17062)] = 670710,
  [SMALL_STATE(17063)] = 670724,
  [SMALL_STATE(17064)] = 670738,
  [SMALL_STATE(17065)] = 670752,
  [SMALL_STATE(17066)] = 670766,
  [SMALL_STATE(17067)] = 670780,
  [SMALL_STATE(17068)] = 670794,
  [SMALL_STATE(17069)] = 670808,
  [SMALL_STATE(17070)] = 670822,
  [SMALL_STATE(17071)] = 670836,
  [SMALL_STATE(17072)] = 670850,
  [SMALL_STATE(17073)] = 670864,
  [SMALL_STATE(17074)] = 670878,
  [SMALL_STATE(17075)] = 670892,
  [SMALL_STATE(17076)] = 670906,
  [SMALL_STATE(17077)] = 670920,
  [SMALL_STATE(17078)] = 670934,
  [SMALL_STATE(17079)] = 670948,
  [SMALL_STATE(17080)] = 670962,
  [SMALL_STATE(17081)] = 670976,
  [SMALL_STATE(17082)] = 670990,
  [SMALL_STATE(17083)] = 671004,
  [SMALL_STATE(17084)] = 671018,
  [SMALL_STATE(17085)] = 671032,
  [SMALL_STATE(17086)] = 671046,
  [SMALL_STATE(17087)] = 671060,
  [SMALL_STATE(17088)] = 671074,
  [SMALL_STATE(17089)] = 671088,
  [SMALL_STATE(17090)] = 671102,
  [SMALL_STATE(17091)] = 671116,
  [SMALL_STATE(17092)] = 671130,
  [SMALL_STATE(17093)] = 671144,
  [SMALL_STATE(17094)] = 671158,
  [SMALL_STATE(17095)] = 671172,
  [SMALL_STATE(17096)] = 671186,
  [SMALL_STATE(17097)] = 671200,
  [SMALL_STATE(17098)] = 671214,
  [SMALL_STATE(17099)] = 671228,
  [SMALL_STATE(17100)] = 671242,
  [SMALL_STATE(17101)] = 671256,
  [SMALL_STATE(17102)] = 671270,
  [SMALL_STATE(17103)] = 671284,
  [SMALL_STATE(17104)] = 671298,
  [SMALL_STATE(17105)] = 671312,
  [SMALL_STATE(17106)] = 671326,
  [SMALL_STATE(17107)] = 671340,
  [SMALL_STATE(17108)] = 671354,
  [SMALL_STATE(17109)] = 671368,
  [SMALL_STATE(17110)] = 671382,
  [SMALL_STATE(17111)] = 671396,
  [SMALL_STATE(17112)] = 671410,
  [SMALL_STATE(17113)] = 671424,
  [SMALL_STATE(17114)] = 671438,
  [SMALL_STATE(17115)] = 671452,
  [SMALL_STATE(17116)] = 671466,
  [SMALL_STATE(17117)] = 671480,
  [SMALL_STATE(17118)] = 671494,
  [SMALL_STATE(17119)] = 671508,
  [SMALL_STATE(17120)] = 671522,
  [SMALL_STATE(17121)] = 671536,
  [SMALL_STATE(17122)] = 671550,
  [SMALL_STATE(17123)] = 671564,
  [SMALL_STATE(17124)] = 671578,
  [SMALL_STATE(17125)] = 671592,
  [SMALL_STATE(17126)] = 671606,
  [SMALL_STATE(17127)] = 671620,
  [SMALL_STATE(17128)] = 671634,
  [SMALL_STATE(17129)] = 671648,
  [SMALL_STATE(17130)] = 671662,
  [SMALL_STATE(17131)] = 671676,
  [SMALL_STATE(17132)] = 671690,
  [SMALL_STATE(17133)] = 671704,
  [SMALL_STATE(17134)] = 671718,
  [SMALL_STATE(17135)] = 671732,
  [SMALL_STATE(17136)] = 671746,
  [SMALL_STATE(17137)] = 671760,
  [SMALL_STATE(17138)] = 671774,
  [SMALL_STATE(17139)] = 671788,
  [SMALL_STATE(17140)] = 671802,
  [SMALL_STATE(17141)] = 671816,
  [SMALL_STATE(17142)] = 671830,
  [SMALL_STATE(17143)] = 671844,
  [SMALL_STATE(17144)] = 671858,
  [SMALL_STATE(17145)] = 671872,
  [SMALL_STATE(17146)] = 671886,
  [SMALL_STATE(17147)] = 671900,
  [SMALL_STATE(17148)] = 671914,
  [SMALL_STATE(17149)] = 671928,
  [SMALL_STATE(17150)] = 671942,
  [SMALL_STATE(17151)] = 671956,
  [SMALL_STATE(17152)] = 671970,
  [SMALL_STATE(17153)] = 671984,
  [SMALL_STATE(17154)] = 671998,
  [SMALL_STATE(17155)] = 672012,
  [SMALL_STATE(17156)] = 672026,
  [SMALL_STATE(17157)] = 672040,
  [SMALL_STATE(17158)] = 672054,
  [SMALL_STATE(17159)] = 672068,
  [SMALL_STATE(17160)] = 672082,
  [SMALL_STATE(17161)] = 672096,
  [SMALL_STATE(17162)] = 672110,
  [SMALL_STATE(17163)] = 672124,
  [SMALL_STATE(17164)] = 672138,
  [SMALL_STATE(17165)] = 672152,
  [SMALL_STATE(17166)] = 672166,
  [SMALL_STATE(17167)] = 672180,
  [SMALL_STATE(17168)] = 672194,
  [SMALL_STATE(17169)] = 672208,
  [SMALL_STATE(17170)] = 672222,
  [SMALL_STATE(17171)] = 672236,
  [SMALL_STATE(17172)] = 672250,
  [SMALL_STATE(17173)] = 672264,
  [SMALL_STATE(17174)] = 672278,
  [SMALL_STATE(17175)] = 672292,
  [SMALL_STATE(17176)] = 672306,
  [SMALL_STATE(17177)] = 672320,
  [SMALL_STATE(17178)] = 672334,
  [SMALL_STATE(17179)] = 672348,
  [SMALL_STATE(17180)] = 672362,
  [SMALL_STATE(17181)] = 672376,
  [SMALL_STATE(17182)] = 672390,
  [SMALL_STATE(17183)] = 672404,
  [SMALL_STATE(17184)] = 672418,
  [SMALL_STATE(17185)] = 672432,
  [SMALL_STATE(17186)] = 672446,
  [SMALL_STATE(17187)] = 672460,
  [SMALL_STATE(17188)] = 672474,
  [SMALL_STATE(17189)] = 672488,
  [SMALL_STATE(17190)] = 672502,
  [SMALL_STATE(17191)] = 672516,
  [SMALL_STATE(17192)] = 672530,
  [SMALL_STATE(17193)] = 672544,
  [SMALL_STATE(17194)] = 672558,
  [SMALL_STATE(17195)] = 672572,
  [SMALL_STATE(17196)] = 672586,
  [SMALL_STATE(17197)] = 672600,
  [SMALL_STATE(17198)] = 672614,
  [SMALL_STATE(17199)] = 672628,
  [SMALL_STATE(17200)] = 672642,
  [SMALL_STATE(17201)] = 672656,
  [SMALL_STATE(17202)] = 672670,
  [SMALL_STATE(17203)] = 672684,
  [SMALL_STATE(17204)] = 672698,
  [SMALL_STATE(17205)] = 672712,
  [SMALL_STATE(17206)] = 672726,
  [SMALL_STATE(17207)] = 672740,
  [SMALL_STATE(17208)] = 672754,
  [SMALL_STATE(17209)] = 672768,
  [SMALL_STATE(17210)] = 672782,
  [SMALL_STATE(17211)] = 672796,
  [SMALL_STATE(17212)] = 672810,
  [SMALL_STATE(17213)] = 672824,
  [SMALL_STATE(17214)] = 672838,
  [SMALL_STATE(17215)] = 672852,
  [SMALL_STATE(17216)] = 672866,
  [SMALL_STATE(17217)] = 672880,
  [SMALL_STATE(17218)] = 672894,
  [SMALL_STATE(17219)] = 672908,
  [SMALL_STATE(17220)] = 672922,
  [SMALL_STATE(17221)] = 672936,
  [SMALL_STATE(17222)] = 672950,
  [SMALL_STATE(17223)] = 672964,
  [SMALL_STATE(17224)] = 672978,
  [SMALL_STATE(17225)] = 672992,
  [SMALL_STATE(17226)] = 673006,
  [SMALL_STATE(17227)] = 673020,
  [SMALL_STATE(17228)] = 673034,
  [SMALL_STATE(17229)] = 673048,
  [SMALL_STATE(17230)] = 673062,
  [SMALL_STATE(17231)] = 673076,
  [SMALL_STATE(17232)] = 673090,
  [SMALL_STATE(17233)] = 673104,
  [SMALL_STATE(17234)] = 673118,
  [SMALL_STATE(17235)] = 673132,
  [SMALL_STATE(17236)] = 673146,
  [SMALL_STATE(17237)] = 673160,
  [SMALL_STATE(17238)] = 673174,
  [SMALL_STATE(17239)] = 673188,
  [SMALL_STATE(17240)] = 673202,
  [SMALL_STATE(17241)] = 673216,
  [SMALL_STATE(17242)] = 673230,
  [SMALL_STATE(17243)] = 673244,
  [SMALL_STATE(17244)] = 673258,
  [SMALL_STATE(17245)] = 673272,
  [SMALL_STATE(17246)] = 673286,
  [SMALL_STATE(17247)] = 673300,
  [SMALL_STATE(17248)] = 673314,
  [SMALL_STATE(17249)] = 673328,
  [SMALL_STATE(17250)] = 673342,
  [SMALL_STATE(17251)] = 673356,
  [SMALL_STATE(17252)] = 673370,
  [SMALL_STATE(17253)] = 673384,
  [SMALL_STATE(17254)] = 673398,
  [SMALL_STATE(17255)] = 673412,
  [SMALL_STATE(17256)] = 673426,
  [SMALL_STATE(17257)] = 673440,
  [SMALL_STATE(17258)] = 673454,
  [SMALL_STATE(17259)] = 673468,
  [SMALL_STATE(17260)] = 673482,
  [SMALL_STATE(17261)] = 673496,
  [SMALL_STATE(17262)] = 673510,
  [SMALL_STATE(17263)] = 673524,
  [SMALL_STATE(17264)] = 673538,
  [SMALL_STATE(17265)] = 673552,
  [SMALL_STATE(17266)] = 673566,
  [SMALL_STATE(17267)] = 673580,
  [SMALL_STATE(17268)] = 673594,
  [SMALL_STATE(17269)] = 673608,
  [SMALL_STATE(17270)] = 673622,
  [SMALL_STATE(17271)] = 673636,
  [SMALL_STATE(17272)] = 673650,
  [SMALL_STATE(17273)] = 673664,
  [SMALL_STATE(17274)] = 673678,
  [SMALL_STATE(17275)] = 673692,
  [SMALL_STATE(17276)] = 673706,
  [SMALL_STATE(17277)] = 673720,
  [SMALL_STATE(17278)] = 673734,
  [SMALL_STATE(17279)] = 673748,
  [SMALL_STATE(17280)] = 673762,
  [SMALL_STATE(17281)] = 673776,
  [SMALL_STATE(17282)] = 673790,
  [SMALL_STATE(17283)] = 673804,
  [SMALL_STATE(17284)] = 673818,
  [SMALL_STATE(17285)] = 673832,
  [SMALL_STATE(17286)] = 673846,
  [SMALL_STATE(17287)] = 673860,
  [SMALL_STATE(17288)] = 673874,
  [SMALL_STATE(17289)] = 673888,
  [SMALL_STATE(17290)] = 673902,
  [SMALL_STATE(17291)] = 673916,
  [SMALL_STATE(17292)] = 673930,
  [SMALL_STATE(17293)] = 673944,
  [SMALL_STATE(17294)] = 673958,
  [SMALL_STATE(17295)] = 673972,
  [SMALL_STATE(17296)] = 673986,
  [SMALL_STATE(17297)] = 674000,
  [SMALL_STATE(17298)] = 674014,
  [SMALL_STATE(17299)] = 674028,
  [SMALL_STATE(17300)] = 674042,
  [SMALL_STATE(17301)] = 674056,
  [SMALL_STATE(17302)] = 674070,
  [SMALL_STATE(17303)] = 674084,
  [SMALL_STATE(17304)] = 674098,
  [SMALL_STATE(17305)] = 674112,
  [SMALL_STATE(17306)] = 674126,
  [SMALL_STATE(17307)] = 674140,
  [SMALL_STATE(17308)] = 674154,
  [SMALL_STATE(17309)] = 674168,
  [SMALL_STATE(17310)] = 674182,
  [SMALL_STATE(17311)] = 674196,
  [SMALL_STATE(17312)] = 674210,
  [SMALL_STATE(17313)] = 674224,
  [SMALL_STATE(17314)] = 674238,
  [SMALL_STATE(17315)] = 674252,
  [SMALL_STATE(17316)] = 674266,
  [SMALL_STATE(17317)] = 674280,
  [SMALL_STATE(17318)] = 674294,
  [SMALL_STATE(17319)] = 674308,
  [SMALL_STATE(17320)] = 674322,
  [SMALL_STATE(17321)] = 674336,
  [SMALL_STATE(17322)] = 674350,
  [SMALL_STATE(17323)] = 674364,
  [SMALL_STATE(17324)] = 674378,
  [SMALL_STATE(17325)] = 674392,
  [SMALL_STATE(17326)] = 674406,
  [SMALL_STATE(17327)] = 674420,
  [SMALL_STATE(17328)] = 674434,
  [SMALL_STATE(17329)] = 674448,
  [SMALL_STATE(17330)] = 674462,
  [SMALL_STATE(17331)] = 674476,
  [SMALL_STATE(17332)] = 674490,
  [SMALL_STATE(17333)] = 674504,
  [SMALL_STATE(17334)] = 674518,
  [SMALL_STATE(17335)] = 674532,
  [SMALL_STATE(17336)] = 674546,
  [SMALL_STATE(17337)] = 674560,
  [SMALL_STATE(17338)] = 674574,
  [SMALL_STATE(17339)] = 674588,
  [SMALL_STATE(17340)] = 674602,
  [SMALL_STATE(17341)] = 674616,
  [SMALL_STATE(17342)] = 674630,
  [SMALL_STATE(17343)] = 674644,
  [SMALL_STATE(17344)] = 674658,
  [SMALL_STATE(17345)] = 674672,
  [SMALL_STATE(17346)] = 674686,
  [SMALL_STATE(17347)] = 674700,
  [SMALL_STATE(17348)] = 674714,
  [SMALL_STATE(17349)] = 674728,
  [SMALL_STATE(17350)] = 674742,
  [SMALL_STATE(17351)] = 674756,
  [SMALL_STATE(17352)] = 674770,
  [SMALL_STATE(17353)] = 674784,
  [SMALL_STATE(17354)] = 674798,
  [SMALL_STATE(17355)] = 674812,
  [SMALL_STATE(17356)] = 674826,
  [SMALL_STATE(17357)] = 674840,
  [SMALL_STATE(17358)] = 674854,
  [SMALL_STATE(17359)] = 674868,
  [SMALL_STATE(17360)] = 674882,
  [SMALL_STATE(17361)] = 674896,
  [SMALL_STATE(17362)] = 674910,
  [SMALL_STATE(17363)] = 674924,
  [SMALL_STATE(17364)] = 674938,
  [SMALL_STATE(17365)] = 674952,
  [SMALL_STATE(17366)] = 674966,
  [SMALL_STATE(17367)] = 674980,
  [SMALL_STATE(17368)] = 674994,
  [SMALL_STATE(17369)] = 675008,
  [SMALL_STATE(17370)] = 675022,
  [SMALL_STATE(17371)] = 675036,
  [SMALL_STATE(17372)] = 675050,
  [SMALL_STATE(17373)] = 675064,
  [SMALL_STATE(17374)] = 675078,
  [SMALL_STATE(17375)] = 675092,
  [SMALL_STATE(17376)] = 675106,
  [SMALL_STATE(17377)] = 675120,
  [SMALL_STATE(17378)] = 675134,
  [SMALL_STATE(17379)] = 675148,
  [SMALL_STATE(17380)] = 675162,
  [SMALL_STATE(17381)] = 675176,
  [SMALL_STATE(17382)] = 675190,
  [SMALL_STATE(17383)] = 675204,
  [SMALL_STATE(17384)] = 675218,
  [SMALL_STATE(17385)] = 675232,
  [SMALL_STATE(17386)] = 675246,
  [SMALL_STATE(17387)] = 675260,
  [SMALL_STATE(17388)] = 675274,
  [SMALL_STATE(17389)] = 675288,
  [SMALL_STATE(17390)] = 675302,
  [SMALL_STATE(17391)] = 675316,
  [SMALL_STATE(17392)] = 675330,
  [SMALL_STATE(17393)] = 675344,
  [SMALL_STATE(17394)] = 675358,
  [SMALL_STATE(17395)] = 675372,
  [SMALL_STATE(17396)] = 675386,
  [SMALL_STATE(17397)] = 675400,
  [SMALL_STATE(17398)] = 675414,
  [SMALL_STATE(17399)] = 675428,
  [SMALL_STATE(17400)] = 675442,
  [SMALL_STATE(17401)] = 675456,
  [SMALL_STATE(17402)] = 675470,
  [SMALL_STATE(17403)] = 675484,
  [SMALL_STATE(17404)] = 675498,
  [SMALL_STATE(17405)] = 675512,
  [SMALL_STATE(17406)] = 675526,
  [SMALL_STATE(17407)] = 675540,
  [SMALL_STATE(17408)] = 675554,
  [SMALL_STATE(17409)] = 675568,
  [SMALL_STATE(17410)] = 675582,
  [SMALL_STATE(17411)] = 675596,
  [SMALL_STATE(17412)] = 675610,
  [SMALL_STATE(17413)] = 675624,
  [SMALL_STATE(17414)] = 675638,
  [SMALL_STATE(17415)] = 675652,
  [SMALL_STATE(17416)] = 675666,
  [SMALL_STATE(17417)] = 675680,
  [SMALL_STATE(17418)] = 675694,
  [SMALL_STATE(17419)] = 675708,
  [SMALL_STATE(17420)] = 675722,
  [SMALL_STATE(17421)] = 675736,
  [SMALL_STATE(17422)] = 675750,
  [SMALL_STATE(17423)] = 675764,
  [SMALL_STATE(17424)] = 675778,
  [SMALL_STATE(17425)] = 675792,
  [SMALL_STATE(17426)] = 675806,
  [SMALL_STATE(17427)] = 675820,
  [SMALL_STATE(17428)] = 675834,
  [SMALL_STATE(17429)] = 675848,
  [SMALL_STATE(17430)] = 675862,
  [SMALL_STATE(17431)] = 675876,
  [SMALL_STATE(17432)] = 675890,
  [SMALL_STATE(17433)] = 675904,
  [SMALL_STATE(17434)] = 675918,
  [SMALL_STATE(17435)] = 675932,
  [SMALL_STATE(17436)] = 675946,
  [SMALL_STATE(17437)] = 675960,
  [SMALL_STATE(17438)] = 675974,
  [SMALL_STATE(17439)] = 675988,
  [SMALL_STATE(17440)] = 676002,
  [SMALL_STATE(17441)] = 676016,
  [SMALL_STATE(17442)] = 676030,
  [SMALL_STATE(17443)] = 676044,
  [SMALL_STATE(17444)] = 676058,
  [SMALL_STATE(17445)] = 676072,
  [SMALL_STATE(17446)] = 676086,
  [SMALL_STATE(17447)] = 676100,
  [SMALL_STATE(17448)] = 676114,
  [SMALL_STATE(17449)] = 676128,
  [SMALL_STATE(17450)] = 676142,
  [SMALL_STATE(17451)] = 676156,
  [SMALL_STATE(17452)] = 676170,
  [SMALL_STATE(17453)] = 676184,
  [SMALL_STATE(17454)] = 676198,
  [SMALL_STATE(17455)] = 676212,
  [SMALL_STATE(17456)] = 676226,
  [SMALL_STATE(17457)] = 676240,
  [SMALL_STATE(17458)] = 676254,
  [SMALL_STATE(17459)] = 676268,
  [SMALL_STATE(17460)] = 676282,
  [SMALL_STATE(17461)] = 676296,
  [SMALL_STATE(17462)] = 676310,
  [SMALL_STATE(17463)] = 676324,
  [SMALL_STATE(17464)] = 676338,
  [SMALL_STATE(17465)] = 676352,
  [SMALL_STATE(17466)] = 676366,
  [SMALL_STATE(17467)] = 676380,
  [SMALL_STATE(17468)] = 676394,
  [SMALL_STATE(17469)] = 676408,
  [SMALL_STATE(17470)] = 676422,
  [SMALL_STATE(17471)] = 676436,
  [SMALL_STATE(17472)] = 676450,
  [SMALL_STATE(17473)] = 676464,
  [SMALL_STATE(17474)] = 676478,
  [SMALL_STATE(17475)] = 676492,
  [SMALL_STATE(17476)] = 676506,
  [SMALL_STATE(17477)] = 676520,
  [SMALL_STATE(17478)] = 676534,
  [SMALL_STATE(17479)] = 676548,
  [SMALL_STATE(17480)] = 676562,
  [SMALL_STATE(17481)] = 676576,
  [SMALL_STATE(17482)] = 676590,
  [SMALL_STATE(17483)] = 676604,
  [SMALL_STATE(17484)] = 676618,
  [SMALL_STATE(17485)] = 676632,
  [SMALL_STATE(17486)] = 676646,
  [SMALL_STATE(17487)] = 676660,
  [SMALL_STATE(17488)] = 676674,
  [SMALL_STATE(17489)] = 676688,
  [SMALL_STATE(17490)] = 676702,
  [SMALL_STATE(17491)] = 676716,
  [SMALL_STATE(17492)] = 676730,
  [SMALL_STATE(17493)] = 676744,
  [SMALL_STATE(17494)] = 676758,
  [SMALL_STATE(17495)] = 676772,
  [SMALL_STATE(17496)] = 676786,
  [SMALL_STATE(17497)] = 676800,
  [SMALL_STATE(17498)] = 676814,
  [SMALL_STATE(17499)] = 676828,
  [SMALL_STATE(17500)] = 676842,
  [SMALL_STATE(17501)] = 676856,
  [SMALL_STATE(17502)] = 676870,
  [SMALL_STATE(17503)] = 676884,
  [SMALL_STATE(17504)] = 676898,
  [SMALL_STATE(17505)] = 676912,
  [SMALL_STATE(17506)] = 676926,
  [SMALL_STATE(17507)] = 676940,
  [SMALL_STATE(17508)] = 676954,
  [SMALL_STATE(17509)] = 676968,
  [SMALL_STATE(17510)] = 676982,
  [SMALL_STATE(17511)] = 676996,
  [SMALL_STATE(17512)] = 677010,
  [SMALL_STATE(17513)] = 677024,
  [SMALL_STATE(17514)] = 677038,
  [SMALL_STATE(17515)] = 677052,
  [SMALL_STATE(17516)] = 677066,
  [SMALL_STATE(17517)] = 677080,
  [SMALL_STATE(17518)] = 677094,
  [SMALL_STATE(17519)] = 677108,
  [SMALL_STATE(17520)] = 677122,
  [SMALL_STATE(17521)] = 677136,
  [SMALL_STATE(17522)] = 677150,
  [SMALL_STATE(17523)] = 677164,
  [SMALL_STATE(17524)] = 677178,
  [SMALL_STATE(17525)] = 677192,
  [SMALL_STATE(17526)] = 677206,
  [SMALL_STATE(17527)] = 677220,
  [SMALL_STATE(17528)] = 677234,
  [SMALL_STATE(17529)] = 677248,
  [SMALL_STATE(17530)] = 677262,
  [SMALL_STATE(17531)] = 677276,
  [SMALL_STATE(17532)] = 677290,
  [SMALL_STATE(17533)] = 677304,
  [SMALL_STATE(17534)] = 677318,
  [SMALL_STATE(17535)] = 677332,
  [SMALL_STATE(17536)] = 677346,
  [SMALL_STATE(17537)] = 677360,
  [SMALL_STATE(17538)] = 677374,
  [SMALL_STATE(17539)] = 677388,
  [SMALL_STATE(17540)] = 677402,
  [SMALL_STATE(17541)] = 677416,
  [SMALL_STATE(17542)] = 677430,
  [SMALL_STATE(17543)] = 677444,
  [SMALL_STATE(17544)] = 677458,
  [SMALL_STATE(17545)] = 677472,
  [SMALL_STATE(17546)] = 677486,
  [SMALL_STATE(17547)] = 677500,
  [SMALL_STATE(17548)] = 677514,
  [SMALL_STATE(17549)] = 677528,
  [SMALL_STATE(17550)] = 677542,
  [SMALL_STATE(17551)] = 677556,
  [SMALL_STATE(17552)] = 677570,
  [SMALL_STATE(17553)] = 677584,
  [SMALL_STATE(17554)] = 677598,
  [SMALL_STATE(17555)] = 677612,
  [SMALL_STATE(17556)] = 677626,
  [SMALL_STATE(17557)] = 677640,
  [SMALL_STATE(17558)] = 677654,
  [SMALL_STATE(17559)] = 677668,
  [SMALL_STATE(17560)] = 677682,
  [SMALL_STATE(17561)] = 677696,
  [SMALL_STATE(17562)] = 677710,
  [SMALL_STATE(17563)] = 677724,
  [SMALL_STATE(17564)] = 677738,
  [SMALL_STATE(17565)] = 677752,
  [SMALL_STATE(17566)] = 677766,
  [SMALL_STATE(17567)] = 677780,
  [SMALL_STATE(17568)] = 677794,
  [SMALL_STATE(17569)] = 677808,
  [SMALL_STATE(17570)] = 677822,
  [SMALL_STATE(17571)] = 677836,
  [SMALL_STATE(17572)] = 677850,
  [SMALL_STATE(17573)] = 677864,
  [SMALL_STATE(17574)] = 677878,
  [SMALL_STATE(17575)] = 677892,
  [SMALL_STATE(17576)] = 677906,
  [SMALL_STATE(17577)] = 677920,
  [SMALL_STATE(17578)] = 677934,
  [SMALL_STATE(17579)] = 677948,
  [SMALL_STATE(17580)] = 677962,
  [SMALL_STATE(17581)] = 677976,
  [SMALL_STATE(17582)] = 677990,
  [SMALL_STATE(17583)] = 678004,
  [SMALL_STATE(17584)] = 678018,
  [SMALL_STATE(17585)] = 678032,
  [SMALL_STATE(17586)] = 678046,
  [SMALL_STATE(17587)] = 678060,
  [SMALL_STATE(17588)] = 678074,
  [SMALL_STATE(17589)] = 678088,
  [SMALL_STATE(17590)] = 678102,
  [SMALL_STATE(17591)] = 678116,
  [SMALL_STATE(17592)] = 678130,
  [SMALL_STATE(17593)] = 678144,
  [SMALL_STATE(17594)] = 678158,
  [SMALL_STATE(17595)] = 678172,
  [SMALL_STATE(17596)] = 678186,
  [SMALL_STATE(17597)] = 678200,
  [SMALL_STATE(17598)] = 678214,
  [SMALL_STATE(17599)] = 678228,
  [SMALL_STATE(17600)] = 678242,
  [SMALL_STATE(17601)] = 678256,
  [SMALL_STATE(17602)] = 678270,
  [SMALL_STATE(17603)] = 678284,
  [SMALL_STATE(17604)] = 678298,
  [SMALL_STATE(17605)] = 678312,
  [SMALL_STATE(17606)] = 678326,
  [SMALL_STATE(17607)] = 678340,
  [SMALL_STATE(17608)] = 678354,
  [SMALL_STATE(17609)] = 678368,
  [SMALL_STATE(17610)] = 678382,
  [SMALL_STATE(17611)] = 678396,
  [SMALL_STATE(17612)] = 678410,
  [SMALL_STATE(17613)] = 678424,
  [SMALL_STATE(17614)] = 678438,
  [SMALL_STATE(17615)] = 678452,
  [SMALL_STATE(17616)] = 678466,
  [SMALL_STATE(17617)] = 678480,
  [SMALL_STATE(17618)] = 678494,
  [SMALL_STATE(17619)] = 678508,
  [SMALL_STATE(17620)] = 678522,
  [SMALL_STATE(17621)] = 678536,
  [SMALL_STATE(17622)] = 678550,
  [SMALL_STATE(17623)] = 678564,
  [SMALL_STATE(17624)] = 678578,
  [SMALL_STATE(17625)] = 678592,
  [SMALL_STATE(17626)] = 678606,
  [SMALL_STATE(17627)] = 678620,
  [SMALL_STATE(17628)] = 678634,
  [SMALL_STATE(17629)] = 678648,
  [SMALL_STATE(17630)] = 678662,
  [SMALL_STATE(17631)] = 678676,
  [SMALL_STATE(17632)] = 678690,
  [SMALL_STATE(17633)] = 678704,
  [SMALL_STATE(17634)] = 678718,
  [SMALL_STATE(17635)] = 678732,
  [SMALL_STATE(17636)] = 678746,
  [SMALL_STATE(17637)] = 678760,
  [SMALL_STATE(17638)] = 678774,
  [SMALL_STATE(17639)] = 678788,
  [SMALL_STATE(17640)] = 678802,
  [SMALL_STATE(17641)] = 678816,
  [SMALL_STATE(17642)] = 678830,
  [SMALL_STATE(17643)] = 678844,
  [SMALL_STATE(17644)] = 678858,
  [SMALL_STATE(17645)] = 678872,
  [SMALL_STATE(17646)] = 678886,
  [SMALL_STATE(17647)] = 678900,
  [SMALL_STATE(17648)] = 678914,
  [SMALL_STATE(17649)] = 678928,
  [SMALL_STATE(17650)] = 678942,
  [SMALL_STATE(17651)] = 678956,
  [SMALL_STATE(17652)] = 678970,
  [SMALL_STATE(17653)] = 678984,
  [SMALL_STATE(17654)] = 678998,
  [SMALL_STATE(17655)] = 679012,
  [SMALL_STATE(17656)] = 679026,
  [SMALL_STATE(17657)] = 679040,
  [SMALL_STATE(17658)] = 679054,
  [SMALL_STATE(17659)] = 679068,
  [SMALL_STATE(17660)] = 679082,
  [SMALL_STATE(17661)] = 679096,
  [SMALL_STATE(17662)] = 679110,
  [SMALL_STATE(17663)] = 679124,
  [SMALL_STATE(17664)] = 679138,
  [SMALL_STATE(17665)] = 679152,
  [SMALL_STATE(17666)] = 679166,
  [SMALL_STATE(17667)] = 679180,
  [SMALL_STATE(17668)] = 679194,
  [SMALL_STATE(17669)] = 679208,
  [SMALL_STATE(17670)] = 679222,
  [SMALL_STATE(17671)] = 679236,
  [SMALL_STATE(17672)] = 679250,
  [SMALL_STATE(17673)] = 679264,
  [SMALL_STATE(17674)] = 679278,
  [SMALL_STATE(17675)] = 679292,
  [SMALL_STATE(17676)] = 679306,
  [SMALL_STATE(17677)] = 679320,
  [SMALL_STATE(17678)] = 679334,
  [SMALL_STATE(17679)] = 679348,
  [SMALL_STATE(17680)] = 679362,
  [SMALL_STATE(17681)] = 679376,
  [SMALL_STATE(17682)] = 679390,
  [SMALL_STATE(17683)] = 679404,
  [SMALL_STATE(17684)] = 679418,
  [SMALL_STATE(17685)] = 679432,
  [SMALL_STATE(17686)] = 679446,
  [SMALL_STATE(17687)] = 679460,
  [SMALL_STATE(17688)] = 679474,
  [SMALL_STATE(17689)] = 679488,
  [SMALL_STATE(17690)] = 679502,
  [SMALL_STATE(17691)] = 679516,
  [SMALL_STATE(17692)] = 679530,
  [SMALL_STATE(17693)] = 679544,
  [SMALL_STATE(17694)] = 679558,
  [SMALL_STATE(17695)] = 679572,
  [SMALL_STATE(17696)] = 679586,
  [SMALL_STATE(17697)] = 679600,
  [SMALL_STATE(17698)] = 679614,
  [SMALL_STATE(17699)] = 679628,
  [SMALL_STATE(17700)] = 679642,
  [SMALL_STATE(17701)] = 679656,
  [SMALL_STATE(17702)] = 679670,
  [SMALL_STATE(17703)] = 679684,
  [SMALL_STATE(17704)] = 679698,
  [SMALL_STATE(17705)] = 679712,
  [SMALL_STATE(17706)] = 679726,
  [SMALL_STATE(17707)] = 679740,
  [SMALL_STATE(17708)] = 679754,
  [SMALL_STATE(17709)] = 679768,
  [SMALL_STATE(17710)] = 679782,
  [SMALL_STATE(17711)] = 679796,
  [SMALL_STATE(17712)] = 679810,
  [SMALL_STATE(17713)] = 679824,
  [SMALL_STATE(17714)] = 679838,
  [SMALL_STATE(17715)] = 679852,
  [SMALL_STATE(17716)] = 679866,
  [SMALL_STATE(17717)] = 679880,
  [SMALL_STATE(17718)] = 679894,
  [SMALL_STATE(17719)] = 679908,
  [SMALL_STATE(17720)] = 679922,
  [SMALL_STATE(17721)] = 679936,
  [SMALL_STATE(17722)] = 679950,
  [SMALL_STATE(17723)] = 679964,
  [SMALL_STATE(17724)] = 679978,
  [SMALL_STATE(17725)] = 679992,
  [SMALL_STATE(17726)] = 680006,
  [SMALL_STATE(17727)] = 680020,
  [SMALL_STATE(17728)] = 680034,
  [SMALL_STATE(17729)] = 680048,
  [SMALL_STATE(17730)] = 680062,
  [SMALL_STATE(17731)] = 680076,
  [SMALL_STATE(17732)] = 680090,
  [SMALL_STATE(17733)] = 680104,
  [SMALL_STATE(17734)] = 680118,
  [SMALL_STATE(17735)] = 680132,
  [SMALL_STATE(17736)] = 680146,
  [SMALL_STATE(17737)] = 680160,
  [SMALL_STATE(17738)] = 680174,
  [SMALL_STATE(17739)] = 680188,
  [SMALL_STATE(17740)] = 680202,
  [SMALL_STATE(17741)] = 680216,
  [SMALL_STATE(17742)] = 680230,
  [SMALL_STATE(17743)] = 680244,
  [SMALL_STATE(17744)] = 680258,
  [SMALL_STATE(17745)] = 680272,
  [SMALL_STATE(17746)] = 680286,
  [SMALL_STATE(17747)] = 680300,
  [SMALL_STATE(17748)] = 680314,
  [SMALL_STATE(17749)] = 680328,
  [SMALL_STATE(17750)] = 680342,
  [SMALL_STATE(17751)] = 680356,
  [SMALL_STATE(17752)] = 680370,
  [SMALL_STATE(17753)] = 680384,
  [SMALL_STATE(17754)] = 680398,
  [SMALL_STATE(17755)] = 680412,
  [SMALL_STATE(17756)] = 680426,
  [SMALL_STATE(17757)] = 680440,
  [SMALL_STATE(17758)] = 680454,
  [SMALL_STATE(17759)] = 680468,
  [SMALL_STATE(17760)] = 680482,
  [SMALL_STATE(17761)] = 680496,
  [SMALL_STATE(17762)] = 680510,
  [SMALL_STATE(17763)] = 680524,
  [SMALL_STATE(17764)] = 680538,
  [SMALL_STATE(17765)] = 680552,
  [SMALL_STATE(17766)] = 680566,
  [SMALL_STATE(17767)] = 680580,
  [SMALL_STATE(17768)] = 680594,
  [SMALL_STATE(17769)] = 680608,
  [SMALL_STATE(17770)] = 680622,
  [SMALL_STATE(17771)] = 680636,
  [SMALL_STATE(17772)] = 680650,
  [SMALL_STATE(17773)] = 680664,
  [SMALL_STATE(17774)] = 680678,
  [SMALL_STATE(17775)] = 680692,
  [SMALL_STATE(17776)] = 680706,
  [SMALL_STATE(17777)] = 680720,
  [SMALL_STATE(17778)] = 680734,
  [SMALL_STATE(17779)] = 680748,
  [SMALL_STATE(17780)] = 680762,
  [SMALL_STATE(17781)] = 680776,
  [SMALL_STATE(17782)] = 680790,
  [SMALL_STATE(17783)] = 680804,
  [SMALL_STATE(17784)] = 680818,
  [SMALL_STATE(17785)] = 680832,
  [SMALL_STATE(17786)] = 680846,
  [SMALL_STATE(17787)] = 680860,
  [SMALL_STATE(17788)] = 680874,
  [SMALL_STATE(17789)] = 680888,
  [SMALL_STATE(17790)] = 680902,
  [SMALL_STATE(17791)] = 680916,
  [SMALL_STATE(17792)] = 680930,
  [SMALL_STATE(17793)] = 680944,
  [SMALL_STATE(17794)] = 680958,
  [SMALL_STATE(17795)] = 680972,
  [SMALL_STATE(17796)] = 680986,
  [SMALL_STATE(17797)] = 681000,
  [SMALL_STATE(17798)] = 681014,
  [SMALL_STATE(17799)] = 681028,
  [SMALL_STATE(17800)] = 681042,
  [SMALL_STATE(17801)] = 681056,
  [SMALL_STATE(17802)] = 681070,
  [SMALL_STATE(17803)] = 681084,
  [SMALL_STATE(17804)] = 681098,
  [SMALL_STATE(17805)] = 681112,
  [SMALL_STATE(17806)] = 681126,
  [SMALL_STATE(17807)] = 681140,
  [SMALL_STATE(17808)] = 681154,
  [SMALL_STATE(17809)] = 681168,
  [SMALL_STATE(17810)] = 681182,
  [SMALL_STATE(17811)] = 681196,
  [SMALL_STATE(17812)] = 681210,
  [SMALL_STATE(17813)] = 681224,
  [SMALL_STATE(17814)] = 681238,
  [SMALL_STATE(17815)] = 681252,
  [SMALL_STATE(17816)] = 681266,
  [SMALL_STATE(17817)] = 681280,
  [SMALL_STATE(17818)] = 681294,
  [SMALL_STATE(17819)] = 681308,
  [SMALL_STATE(17820)] = 681322,
  [SMALL_STATE(17821)] = 681336,
  [SMALL_STATE(17822)] = 681350,
  [SMALL_STATE(17823)] = 681364,
  [SMALL_STATE(17824)] = 681378,
  [SMALL_STATE(17825)] = 681392,
  [SMALL_STATE(17826)] = 681406,
  [SMALL_STATE(17827)] = 681420,
  [SMALL_STATE(17828)] = 681434,
  [SMALL_STATE(17829)] = 681448,
  [SMALL_STATE(17830)] = 681462,
  [SMALL_STATE(17831)] = 681476,
  [SMALL_STATE(17832)] = 681490,
  [SMALL_STATE(17833)] = 681504,
  [SMALL_STATE(17834)] = 681518,
  [SMALL_STATE(17835)] = 681532,
  [SMALL_STATE(17836)] = 681546,
  [SMALL_STATE(17837)] = 681560,
  [SMALL_STATE(17838)] = 681574,
  [SMALL_STATE(17839)] = 681588,
  [SMALL_STATE(17840)] = 681602,
  [SMALL_STATE(17841)] = 681616,
  [SMALL_STATE(17842)] = 681630,
  [SMALL_STATE(17843)] = 681644,
  [SMALL_STATE(17844)] = 681658,
  [SMALL_STATE(17845)] = 681672,
  [SMALL_STATE(17846)] = 681686,
  [SMALL_STATE(17847)] = 681700,
  [SMALL_STATE(17848)] = 681714,
  [SMALL_STATE(17849)] = 681728,
  [SMALL_STATE(17850)] = 681742,
  [SMALL_STATE(17851)] = 681756,
  [SMALL_STATE(17852)] = 681770,
  [SMALL_STATE(17853)] = 681784,
  [SMALL_STATE(17854)] = 681798,
  [SMALL_STATE(17855)] = 681812,
  [SMALL_STATE(17856)] = 681826,
  [SMALL_STATE(17857)] = 681840,
  [SMALL_STATE(17858)] = 681854,
  [SMALL_STATE(17859)] = 681868,
  [SMALL_STATE(17860)] = 681882,
  [SMALL_STATE(17861)] = 681896,
  [SMALL_STATE(17862)] = 681910,
  [SMALL_STATE(17863)] = 681924,
  [SMALL_STATE(17864)] = 681938,
  [SMALL_STATE(17865)] = 681952,
  [SMALL_STATE(17866)] = 681966,
  [SMALL_STATE(17867)] = 681980,
  [SMALL_STATE(17868)] = 681994,
  [SMALL_STATE(17869)] = 682008,
  [SMALL_STATE(17870)] = 682022,
  [SMALL_STATE(17871)] = 682036,
  [SMALL_STATE(17872)] = 682050,
  [SMALL_STATE(17873)] = 682064,
  [SMALL_STATE(17874)] = 682078,
  [SMALL_STATE(17875)] = 682092,
  [SMALL_STATE(17876)] = 682106,
  [SMALL_STATE(17877)] = 682120,
  [SMALL_STATE(17878)] = 682134,
  [SMALL_STATE(17879)] = 682148,
  [SMALL_STATE(17880)] = 682162,
  [SMALL_STATE(17881)] = 682176,
  [SMALL_STATE(17882)] = 682190,
  [SMALL_STATE(17883)] = 682204,
  [SMALL_STATE(17884)] = 682218,
  [SMALL_STATE(17885)] = 682232,
  [SMALL_STATE(17886)] = 682246,
  [SMALL_STATE(17887)] = 682260,
  [SMALL_STATE(17888)] = 682274,
  [SMALL_STATE(17889)] = 682288,
  [SMALL_STATE(17890)] = 682302,
  [SMALL_STATE(17891)] = 682316,
  [SMALL_STATE(17892)] = 682330,
  [SMALL_STATE(17893)] = 682344,
  [SMALL_STATE(17894)] = 682358,
  [SMALL_STATE(17895)] = 682372,
  [SMALL_STATE(17896)] = 682386,
  [SMALL_STATE(17897)] = 682400,
  [SMALL_STATE(17898)] = 682414,
  [SMALL_STATE(17899)] = 682428,
  [SMALL_STATE(17900)] = 682442,
  [SMALL_STATE(17901)] = 682456,
  [SMALL_STATE(17902)] = 682470,
  [SMALL_STATE(17903)] = 682484,
  [SMALL_STATE(17904)] = 682498,
  [SMALL_STATE(17905)] = 682512,
  [SMALL_STATE(17906)] = 682526,
  [SMALL_STATE(17907)] = 682540,
  [SMALL_STATE(17908)] = 682554,
  [SMALL_STATE(17909)] = 682568,
  [SMALL_STATE(17910)] = 682582,
  [SMALL_STATE(17911)] = 682596,
  [SMALL_STATE(17912)] = 682610,
  [SMALL_STATE(17913)] = 682624,
  [SMALL_STATE(17914)] = 682638,
  [SMALL_STATE(17915)] = 682652,
  [SMALL_STATE(17916)] = 682666,
  [SMALL_STATE(17917)] = 682680,
  [SMALL_STATE(17918)] = 682694,
  [SMALL_STATE(17919)] = 682708,
  [SMALL_STATE(17920)] = 682722,
  [SMALL_STATE(17921)] = 682736,
  [SMALL_STATE(17922)] = 682750,
  [SMALL_STATE(17923)] = 682764,
  [SMALL_STATE(17924)] = 682778,
  [SMALL_STATE(17925)] = 682792,
  [SMALL_STATE(17926)] = 682806,
  [SMALL_STATE(17927)] = 682820,
  [SMALL_STATE(17928)] = 682834,
  [SMALL_STATE(17929)] = 682848,
  [SMALL_STATE(17930)] = 682862,
  [SMALL_STATE(17931)] = 682876,
  [SMALL_STATE(17932)] = 682890,
  [SMALL_STATE(17933)] = 682904,
  [SMALL_STATE(17934)] = 682918,
  [SMALL_STATE(17935)] = 682932,
  [SMALL_STATE(17936)] = 682946,
  [SMALL_STATE(17937)] = 682960,
  [SMALL_STATE(17938)] = 682974,
  [SMALL_STATE(17939)] = 682988,
  [SMALL_STATE(17940)] = 683002,
  [SMALL_STATE(17941)] = 683016,
  [SMALL_STATE(17942)] = 683030,
  [SMALL_STATE(17943)] = 683044,
  [SMALL_STATE(17944)] = 683058,
  [SMALL_STATE(17945)] = 683072,
  [SMALL_STATE(17946)] = 683086,
  [SMALL_STATE(17947)] = 683100,
  [SMALL_STATE(17948)] = 683114,
  [SMALL_STATE(17949)] = 683128,
  [SMALL_STATE(17950)] = 683142,
  [SMALL_STATE(17951)] = 683156,
  [SMALL_STATE(17952)] = 683170,
  [SMALL_STATE(17953)] = 683184,
  [SMALL_STATE(17954)] = 683198,
  [SMALL_STATE(17955)] = 683212,
  [SMALL_STATE(17956)] = 683226,
  [SMALL_STATE(17957)] = 683240,
  [SMALL_STATE(17958)] = 683254,
  [SMALL_STATE(17959)] = 683268,
  [SMALL_STATE(17960)] = 683282,
  [SMALL_STATE(17961)] = 683296,
  [SMALL_STATE(17962)] = 683310,
  [SMALL_STATE(17963)] = 683324,
  [SMALL_STATE(17964)] = 683338,
  [SMALL_STATE(17965)] = 683352,
  [SMALL_STATE(17966)] = 683366,
  [SMALL_STATE(17967)] = 683380,
  [SMALL_STATE(17968)] = 683394,
  [SMALL_STATE(17969)] = 683408,
  [SMALL_STATE(17970)] = 683422,
  [SMALL_STATE(17971)] = 683436,
  [SMALL_STATE(17972)] = 683450,
  [SMALL_STATE(17973)] = 683464,
  [SMALL_STATE(17974)] = 683478,
  [SMALL_STATE(17975)] = 683492,
  [SMALL_STATE(17976)] = 683506,
  [SMALL_STATE(17977)] = 683520,
  [SMALL_STATE(17978)] = 683534,
  [SMALL_STATE(17979)] = 683548,
  [SMALL_STATE(17980)] = 683562,
  [SMALL_STATE(17981)] = 683576,
  [SMALL_STATE(17982)] = 683590,
  [SMALL_STATE(17983)] = 683604,
  [SMALL_STATE(17984)] = 683618,
  [SMALL_STATE(17985)] = 683632,
  [SMALL_STATE(17986)] = 683646,
  [SMALL_STATE(17987)] = 683660,
  [SMALL_STATE(17988)] = 683674,
  [SMALL_STATE(17989)] = 683688,
  [SMALL_STATE(17990)] = 683702,
  [SMALL_STATE(17991)] = 683716,
  [SMALL_STATE(17992)] = 683730,
  [SMALL_STATE(17993)] = 683744,
  [SMALL_STATE(17994)] = 683758,
  [SMALL_STATE(17995)] = 683772,
  [SMALL_STATE(17996)] = 683786,
  [SMALL_STATE(17997)] = 683800,
  [SMALL_STATE(17998)] = 683814,
  [SMALL_STATE(17999)] = 683828,
  [SMALL_STATE(18000)] = 683842,
  [SMALL_STATE(18001)] = 683856,
  [SMALL_STATE(18002)] = 683870,
  [SMALL_STATE(18003)] = 683884,
  [SMALL_STATE(18004)] = 683898,
  [SMALL_STATE(18005)] = 683912,
  [SMALL_STATE(18006)] = 683926,
  [SMALL_STATE(18007)] = 683940,
  [SMALL_STATE(18008)] = 683954,
  [SMALL_STATE(18009)] = 683968,
  [SMALL_STATE(18010)] = 683982,
  [SMALL_STATE(18011)] = 683996,
  [SMALL_STATE(18012)] = 684010,
  [SMALL_STATE(18013)] = 684024,
  [SMALL_STATE(18014)] = 684038,
  [SMALL_STATE(18015)] = 684052,
  [SMALL_STATE(18016)] = 684066,
  [SMALL_STATE(18017)] = 684080,
  [SMALL_STATE(18018)] = 684094,
  [SMALL_STATE(18019)] = 684108,
  [SMALL_STATE(18020)] = 684122,
  [SMALL_STATE(18021)] = 684136,
  [SMALL_STATE(18022)] = 684150,
  [SMALL_STATE(18023)] = 684164,
  [SMALL_STATE(18024)] = 684178,
  [SMALL_STATE(18025)] = 684192,
  [SMALL_STATE(18026)] = 684206,
  [SMALL_STATE(18027)] = 684220,
  [SMALL_STATE(18028)] = 684234,
  [SMALL_STATE(18029)] = 684248,
  [SMALL_STATE(18030)] = 684262,
  [SMALL_STATE(18031)] = 684276,
  [SMALL_STATE(18032)] = 684290,
  [SMALL_STATE(18033)] = 684304,
  [SMALL_STATE(18034)] = 684318,
  [SMALL_STATE(18035)] = 684332,
  [SMALL_STATE(18036)] = 684346,
  [SMALL_STATE(18037)] = 684360,
  [SMALL_STATE(18038)] = 684374,
  [SMALL_STATE(18039)] = 684388,
  [SMALL_STATE(18040)] = 684402,
  [SMALL_STATE(18041)] = 684416,
  [SMALL_STATE(18042)] = 684430,
  [SMALL_STATE(18043)] = 684444,
  [SMALL_STATE(18044)] = 684458,
  [SMALL_STATE(18045)] = 684472,
  [SMALL_STATE(18046)] = 684486,
  [SMALL_STATE(18047)] = 684500,
  [SMALL_STATE(18048)] = 684514,
  [SMALL_STATE(18049)] = 684528,
  [SMALL_STATE(18050)] = 684542,
  [SMALL_STATE(18051)] = 684556,
  [SMALL_STATE(18052)] = 684570,
  [SMALL_STATE(18053)] = 684584,
  [SMALL_STATE(18054)] = 684598,
  [SMALL_STATE(18055)] = 684612,
  [SMALL_STATE(18056)] = 684626,
  [SMALL_STATE(18057)] = 684640,
  [SMALL_STATE(18058)] = 684654,
  [SMALL_STATE(18059)] = 684668,
  [SMALL_STATE(18060)] = 684682,
  [SMALL_STATE(18061)] = 684696,
  [SMALL_STATE(18062)] = 684710,
  [SMALL_STATE(18063)] = 684724,
  [SMALL_STATE(18064)] = 684738,
  [SMALL_STATE(18065)] = 684752,
  [SMALL_STATE(18066)] = 684766,
  [SMALL_STATE(18067)] = 684780,
  [SMALL_STATE(18068)] = 684794,
  [SMALL_STATE(18069)] = 684808,
  [SMALL_STATE(18070)] = 684822,
  [SMALL_STATE(18071)] = 684836,
  [SMALL_STATE(18072)] = 684850,
  [SMALL_STATE(18073)] = 684864,
  [SMALL_STATE(18074)] = 684878,
  [SMALL_STATE(18075)] = 684892,
  [SMALL_STATE(18076)] = 684906,
  [SMALL_STATE(18077)] = 684920,
  [SMALL_STATE(18078)] = 684934,
  [SMALL_STATE(18079)] = 684948,
  [SMALL_STATE(18080)] = 684962,
  [SMALL_STATE(18081)] = 684976,
  [SMALL_STATE(18082)] = 684990,
  [SMALL_STATE(18083)] = 685004,
  [SMALL_STATE(18084)] = 685018,
  [SMALL_STATE(18085)] = 685032,
  [SMALL_STATE(18086)] = 685046,
  [SMALL_STATE(18087)] = 685060,
  [SMALL_STATE(18088)] = 685074,
  [SMALL_STATE(18089)] = 685088,
  [SMALL_STATE(18090)] = 685102,
  [SMALL_STATE(18091)] = 685116,
  [SMALL_STATE(18092)] = 685130,
  [SMALL_STATE(18093)] = 685144,
  [SMALL_STATE(18094)] = 685158,
  [SMALL_STATE(18095)] = 685172,
  [SMALL_STATE(18096)] = 685186,
  [SMALL_STATE(18097)] = 685200,
  [SMALL_STATE(18098)] = 685214,
  [SMALL_STATE(18099)] = 685228,
  [SMALL_STATE(18100)] = 685242,
  [SMALL_STATE(18101)] = 685256,
  [SMALL_STATE(18102)] = 685270,
  [SMALL_STATE(18103)] = 685284,
  [SMALL_STATE(18104)] = 685298,
  [SMALL_STATE(18105)] = 685312,
  [SMALL_STATE(18106)] = 685326,
  [SMALL_STATE(18107)] = 685340,
  [SMALL_STATE(18108)] = 685354,
  [SMALL_STATE(18109)] = 685368,
  [SMALL_STATE(18110)] = 685382,
  [SMALL_STATE(18111)] = 685396,
  [SMALL_STATE(18112)] = 685410,
  [SMALL_STATE(18113)] = 685424,
  [SMALL_STATE(18114)] = 685438,
  [SMALL_STATE(18115)] = 685452,
  [SMALL_STATE(18116)] = 685466,
  [SMALL_STATE(18117)] = 685480,
  [SMALL_STATE(18118)] = 685494,
  [SMALL_STATE(18119)] = 685508,
  [SMALL_STATE(18120)] = 685522,
  [SMALL_STATE(18121)] = 685536,
  [SMALL_STATE(18122)] = 685550,
  [SMALL_STATE(18123)] = 685564,
  [SMALL_STATE(18124)] = 685578,
  [SMALL_STATE(18125)] = 685592,
  [SMALL_STATE(18126)] = 685606,
  [SMALL_STATE(18127)] = 685620,
  [SMALL_STATE(18128)] = 685634,
  [SMALL_STATE(18129)] = 685648,
  [SMALL_STATE(18130)] = 685662,
  [SMALL_STATE(18131)] = 685676,
  [SMALL_STATE(18132)] = 685690,
  [SMALL_STATE(18133)] = 685704,
  [SMALL_STATE(18134)] = 685718,
  [SMALL_STATE(18135)] = 685732,
  [SMALL_STATE(18136)] = 685746,
  [SMALL_STATE(18137)] = 685760,
  [SMALL_STATE(18138)] = 685774,
  [SMALL_STATE(18139)] = 685788,
  [SMALL_STATE(18140)] = 685802,
  [SMALL_STATE(18141)] = 685816,
  [SMALL_STATE(18142)] = 685830,
  [SMALL_STATE(18143)] = 685844,
  [SMALL_STATE(18144)] = 685858,
  [SMALL_STATE(18145)] = 685872,
  [SMALL_STATE(18146)] = 685886,
  [SMALL_STATE(18147)] = 685900,
  [SMALL_STATE(18148)] = 685914,
  [SMALL_STATE(18149)] = 685928,
  [SMALL_STATE(18150)] = 685942,
  [SMALL_STATE(18151)] = 685956,
  [SMALL_STATE(18152)] = 685970,
  [SMALL_STATE(18153)] = 685984,
  [SMALL_STATE(18154)] = 685998,
  [SMALL_STATE(18155)] = 686012,
  [SMALL_STATE(18156)] = 686026,
  [SMALL_STATE(18157)] = 686040,
  [SMALL_STATE(18158)] = 686054,
  [SMALL_STATE(18159)] = 686068,
  [SMALL_STATE(18160)] = 686082,
  [SMALL_STATE(18161)] = 686096,
  [SMALL_STATE(18162)] = 686110,
  [SMALL_STATE(18163)] = 686124,
  [SMALL_STATE(18164)] = 686138,
  [SMALL_STATE(18165)] = 686152,
  [SMALL_STATE(18166)] = 686166,
  [SMALL_STATE(18167)] = 686180,
  [SMALL_STATE(18168)] = 686194,
  [SMALL_STATE(18169)] = 686208,
  [SMALL_STATE(18170)] = 686222,
  [SMALL_STATE(18171)] = 686236,
  [SMALL_STATE(18172)] = 686250,
  [SMALL_STATE(18173)] = 686264,
  [SMALL_STATE(18174)] = 686278,
  [SMALL_STATE(18175)] = 686292,
  [SMALL_STATE(18176)] = 686306,
  [SMALL_STATE(18177)] = 686320,
  [SMALL_STATE(18178)] = 686334,
  [SMALL_STATE(18179)] = 686348,
  [SMALL_STATE(18180)] = 686362,
  [SMALL_STATE(18181)] = 686376,
  [SMALL_STATE(18182)] = 686390,
  [SMALL_STATE(18183)] = 686404,
  [SMALL_STATE(18184)] = 686418,
  [SMALL_STATE(18185)] = 686432,
  [SMALL_STATE(18186)] = 686446,
  [SMALL_STATE(18187)] = 686460,
  [SMALL_STATE(18188)] = 686474,
  [SMALL_STATE(18189)] = 686488,
  [SMALL_STATE(18190)] = 686502,
  [SMALL_STATE(18191)] = 686516,
  [SMALL_STATE(18192)] = 686530,
  [SMALL_STATE(18193)] = 686544,
  [SMALL_STATE(18194)] = 686558,
  [SMALL_STATE(18195)] = 686572,
  [SMALL_STATE(18196)] = 686586,
  [SMALL_STATE(18197)] = 686600,
  [SMALL_STATE(18198)] = 686614,
  [SMALL_STATE(18199)] = 686628,
  [SMALL_STATE(18200)] = 686642,
  [SMALL_STATE(18201)] = 686656,
  [SMALL_STATE(18202)] = 686670,
  [SMALL_STATE(18203)] = 686684,
  [SMALL_STATE(18204)] = 686698,
  [SMALL_STATE(18205)] = 686712,
  [SMALL_STATE(18206)] = 686726,
  [SMALL_STATE(18207)] = 686740,
  [SMALL_STATE(18208)] = 686754,
  [SMALL_STATE(18209)] = 686768,
  [SMALL_STATE(18210)] = 686782,
  [SMALL_STATE(18211)] = 686796,
  [SMALL_STATE(18212)] = 686810,
  [SMALL_STATE(18213)] = 686824,
  [SMALL_STATE(18214)] = 686838,
  [SMALL_STATE(18215)] = 686852,
  [SMALL_STATE(18216)] = 686866,
  [SMALL_STATE(18217)] = 686880,
  [SMALL_STATE(18218)] = 686894,
  [SMALL_STATE(18219)] = 686908,
  [SMALL_STATE(18220)] = 686922,
  [SMALL_STATE(18221)] = 686936,
  [SMALL_STATE(18222)] = 686950,
  [SMALL_STATE(18223)] = 686964,
  [SMALL_STATE(18224)] = 686978,
  [SMALL_STATE(18225)] = 686992,
  [SMALL_STATE(18226)] = 687006,
  [SMALL_STATE(18227)] = 687020,
  [SMALL_STATE(18228)] = 687034,
  [SMALL_STATE(18229)] = 687048,
  [SMALL_STATE(18230)] = 687062,
  [SMALL_STATE(18231)] = 687076,
  [SMALL_STATE(18232)] = 687090,
  [SMALL_STATE(18233)] = 687104,
  [SMALL_STATE(18234)] = 687118,
  [SMALL_STATE(18235)] = 687132,
  [SMALL_STATE(18236)] = 687146,
  [SMALL_STATE(18237)] = 687160,
  [SMALL_STATE(18238)] = 687174,
  [SMALL_STATE(18239)] = 687188,
  [SMALL_STATE(18240)] = 687202,
  [SMALL_STATE(18241)] = 687216,
  [SMALL_STATE(18242)] = 687230,
  [SMALL_STATE(18243)] = 687244,
  [SMALL_STATE(18244)] = 687258,
  [SMALL_STATE(18245)] = 687272,
  [SMALL_STATE(18246)] = 687286,
  [SMALL_STATE(18247)] = 687300,
  [SMALL_STATE(18248)] = 687314,
  [SMALL_STATE(18249)] = 687328,
  [SMALL_STATE(18250)] = 687342,
  [SMALL_STATE(18251)] = 687356,
  [SMALL_STATE(18252)] = 687370,
  [SMALL_STATE(18253)] = 687384,
  [SMALL_STATE(18254)] = 687398,
  [SMALL_STATE(18255)] = 687412,
  [SMALL_STATE(18256)] = 687426,
  [SMALL_STATE(18257)] = 687440,
  [SMALL_STATE(18258)] = 687454,
  [SMALL_STATE(18259)] = 687468,
  [SMALL_STATE(18260)] = 687482,
  [SMALL_STATE(18261)] = 687496,
  [SMALL_STATE(18262)] = 687510,
  [SMALL_STATE(18263)] = 687524,
  [SMALL_STATE(18264)] = 687538,
  [SMALL_STATE(18265)] = 687552,
  [SMALL_STATE(18266)] = 687566,
  [SMALL_STATE(18267)] = 687580,
  [SMALL_STATE(18268)] = 687594,
  [SMALL_STATE(18269)] = 687608,
  [SMALL_STATE(18270)] = 687622,
  [SMALL_STATE(18271)] = 687636,
  [SMALL_STATE(18272)] = 687650,
  [SMALL_STATE(18273)] = 687664,
  [SMALL_STATE(18274)] = 687678,
  [SMALL_STATE(18275)] = 687692,
  [SMALL_STATE(18276)] = 687706,
  [SMALL_STATE(18277)] = 687720,
  [SMALL_STATE(18278)] = 687734,
  [SMALL_STATE(18279)] = 687748,
  [SMALL_STATE(18280)] = 687762,
  [SMALL_STATE(18281)] = 687776,
  [SMALL_STATE(18282)] = 687790,
  [SMALL_STATE(18283)] = 687804,
  [SMALL_STATE(18284)] = 687818,
  [SMALL_STATE(18285)] = 687832,
  [SMALL_STATE(18286)] = 687846,
  [SMALL_STATE(18287)] = 687860,
  [SMALL_STATE(18288)] = 687874,
  [SMALL_STATE(18289)] = 687888,
  [SMALL_STATE(18290)] = 687902,
  [SMALL_STATE(18291)] = 687916,
  [SMALL_STATE(18292)] = 687930,
  [SMALL_STATE(18293)] = 687944,
  [SMALL_STATE(18294)] = 687958,
  [SMALL_STATE(18295)] = 687972,
  [SMALL_STATE(18296)] = 687986,
  [SMALL_STATE(18297)] = 688000,
  [SMALL_STATE(18298)] = 688014,
  [SMALL_STATE(18299)] = 688028,
  [SMALL_STATE(18300)] = 688042,
  [SMALL_STATE(18301)] = 688056,
  [SMALL_STATE(18302)] = 688070,
  [SMALL_STATE(18303)] = 688084,
  [SMALL_STATE(18304)] = 688098,
  [SMALL_STATE(18305)] = 688112,
  [SMALL_STATE(18306)] = 688126,
  [SMALL_STATE(18307)] = 688140,
  [SMALL_STATE(18308)] = 688154,
  [SMALL_STATE(18309)] = 688168,
  [SMALL_STATE(18310)] = 688182,
  [SMALL_STATE(18311)] = 688196,
  [SMALL_STATE(18312)] = 688210,
  [SMALL_STATE(18313)] = 688224,
  [SMALL_STATE(18314)] = 688238,
  [SMALL_STATE(18315)] = 688252,
  [SMALL_STATE(18316)] = 688266,
  [SMALL_STATE(18317)] = 688280,
  [SMALL_STATE(18318)] = 688294,
  [SMALL_STATE(18319)] = 688308,
  [SMALL_STATE(18320)] = 688322,
  [SMALL_STATE(18321)] = 688336,
  [SMALL_STATE(18322)] = 688350,
  [SMALL_STATE(18323)] = 688364,
  [SMALL_STATE(18324)] = 688378,
  [SMALL_STATE(18325)] = 688392,
  [SMALL_STATE(18326)] = 688406,
  [SMALL_STATE(18327)] = 688420,
  [SMALL_STATE(18328)] = 688434,
  [SMALL_STATE(18329)] = 688448,
  [SMALL_STATE(18330)] = 688462,
  [SMALL_STATE(18331)] = 688476,
  [SMALL_STATE(18332)] = 688490,
  [SMALL_STATE(18333)] = 688504,
  [SMALL_STATE(18334)] = 688518,
  [SMALL_STATE(18335)] = 688532,
  [SMALL_STATE(18336)] = 688546,
  [SMALL_STATE(18337)] = 688560,
  [SMALL_STATE(18338)] = 688574,
  [SMALL_STATE(18339)] = 688588,
  [SMALL_STATE(18340)] = 688602,
  [SMALL_STATE(18341)] = 688616,
  [SMALL_STATE(18342)] = 688630,
  [SMALL_STATE(18343)] = 688644,
  [SMALL_STATE(18344)] = 688658,
  [SMALL_STATE(18345)] = 688672,
  [SMALL_STATE(18346)] = 688686,
  [SMALL_STATE(18347)] = 688700,
  [SMALL_STATE(18348)] = 688714,
  [SMALL_STATE(18349)] = 688728,
  [SMALL_STATE(18350)] = 688742,
  [SMALL_STATE(18351)] = 688756,
  [SMALL_STATE(18352)] = 688770,
  [SMALL_STATE(18353)] = 688784,
  [SMALL_STATE(18354)] = 688798,
  [SMALL_STATE(18355)] = 688812,
  [SMALL_STATE(18356)] = 688826,
  [SMALL_STATE(18357)] = 688840,
  [SMALL_STATE(18358)] = 688854,
  [SMALL_STATE(18359)] = 688868,
  [SMALL_STATE(18360)] = 688882,
  [SMALL_STATE(18361)] = 688896,
  [SMALL_STATE(18362)] = 688910,
  [SMALL_STATE(18363)] = 688924,
  [SMALL_STATE(18364)] = 688938,
  [SMALL_STATE(18365)] = 688952,
  [SMALL_STATE(18366)] = 688966,
  [SMALL_STATE(18367)] = 688980,
  [SMALL_STATE(18368)] = 688994,
  [SMALL_STATE(18369)] = 689008,
  [SMALL_STATE(18370)] = 689022,
  [SMALL_STATE(18371)] = 689036,
  [SMALL_STATE(18372)] = 689050,
  [SMALL_STATE(18373)] = 689064,
  [SMALL_STATE(18374)] = 689078,
  [SMALL_STATE(18375)] = 689092,
  [SMALL_STATE(18376)] = 689106,
  [SMALL_STATE(18377)] = 689120,
  [SMALL_STATE(18378)] = 689134,
  [SMALL_STATE(18379)] = 689148,
  [SMALL_STATE(18380)] = 689162,
  [SMALL_STATE(18381)] = 689176,
  [SMALL_STATE(18382)] = 689190,
  [SMALL_STATE(18383)] = 689204,
  [SMALL_STATE(18384)] = 689218,
  [SMALL_STATE(18385)] = 689232,
  [SMALL_STATE(18386)] = 689246,
  [SMALL_STATE(18387)] = 689260,
  [SMALL_STATE(18388)] = 689274,
  [SMALL_STATE(18389)] = 689288,
  [SMALL_STATE(18390)] = 689302,
  [SMALL_STATE(18391)] = 689316,
  [SMALL_STATE(18392)] = 689330,
  [SMALL_STATE(18393)] = 689344,
  [SMALL_STATE(18394)] = 689358,
  [SMALL_STATE(18395)] = 689372,
  [SMALL_STATE(18396)] = 689386,
  [SMALL_STATE(18397)] = 689400,
  [SMALL_STATE(18398)] = 689414,
  [SMALL_STATE(18399)] = 689428,
  [SMALL_STATE(18400)] = 689442,
  [SMALL_STATE(18401)] = 689456,
  [SMALL_STATE(18402)] = 689470,
  [SMALL_STATE(18403)] = 689484,
  [SMALL_STATE(18404)] = 689498,
  [SMALL_STATE(18405)] = 689512,
  [SMALL_STATE(18406)] = 689526,
  [SMALL_STATE(18407)] = 689540,
  [SMALL_STATE(18408)] = 689554,
  [SMALL_STATE(18409)] = 689568,
  [SMALL_STATE(18410)] = 689582,
  [SMALL_STATE(18411)] = 689596,
  [SMALL_STATE(18412)] = 689610,
  [SMALL_STATE(18413)] = 689624,
  [SMALL_STATE(18414)] = 689638,
  [SMALL_STATE(18415)] = 689652,
  [SMALL_STATE(18416)] = 689666,
  [SMALL_STATE(18417)] = 689680,
  [SMALL_STATE(18418)] = 689694,
  [SMALL_STATE(18419)] = 689708,
  [SMALL_STATE(18420)] = 689722,
  [SMALL_STATE(18421)] = 689736,
  [SMALL_STATE(18422)] = 689750,
  [SMALL_STATE(18423)] = 689764,
  [SMALL_STATE(18424)] = 689778,
  [SMALL_STATE(18425)] = 689792,
  [SMALL_STATE(18426)] = 689806,
  [SMALL_STATE(18427)] = 689820,
  [SMALL_STATE(18428)] = 689834,
  [SMALL_STATE(18429)] = 689848,
  [SMALL_STATE(18430)] = 689862,
  [SMALL_STATE(18431)] = 689876,
  [SMALL_STATE(18432)] = 689890,
  [SMALL_STATE(18433)] = 689904,
  [SMALL_STATE(18434)] = 689918,
  [SMALL_STATE(18435)] = 689932,
  [SMALL_STATE(18436)] = 689946,
  [SMALL_STATE(18437)] = 689960,
  [SMALL_STATE(18438)] = 689974,
  [SMALL_STATE(18439)] = 689988,
  [SMALL_STATE(18440)] = 690002,
  [SMALL_STATE(18441)] = 690016,
  [SMALL_STATE(18442)] = 690030,
  [SMALL_STATE(18443)] = 690044,
  [SMALL_STATE(18444)] = 690058,
  [SMALL_STATE(18445)] = 690072,
  [SMALL_STATE(18446)] = 690086,
  [SMALL_STATE(18447)] = 690100,
  [SMALL_STATE(18448)] = 690114,
  [SMALL_STATE(18449)] = 690128,
  [SMALL_STATE(18450)] = 690142,
  [SMALL_STATE(18451)] = 690156,
  [SMALL_STATE(18452)] = 690170,
  [SMALL_STATE(18453)] = 690184,
  [SMALL_STATE(18454)] = 690198,
  [SMALL_STATE(18455)] = 690212,
  [SMALL_STATE(18456)] = 690226,
  [SMALL_STATE(18457)] = 690240,
  [SMALL_STATE(18458)] = 690254,
  [SMALL_STATE(18459)] = 690268,
  [SMALL_STATE(18460)] = 690282,
  [SMALL_STATE(18461)] = 690296,
  [SMALL_STATE(18462)] = 690310,
  [SMALL_STATE(18463)] = 690324,
  [SMALL_STATE(18464)] = 690338,
  [SMALL_STATE(18465)] = 690352,
  [SMALL_STATE(18466)] = 690366,
  [SMALL_STATE(18467)] = 690380,
  [SMALL_STATE(18468)] = 690394,
  [SMALL_STATE(18469)] = 690408,
  [SMALL_STATE(18470)] = 690422,
  [SMALL_STATE(18471)] = 690436,
  [SMALL_STATE(18472)] = 690450,
  [SMALL_STATE(18473)] = 690464,
  [SMALL_STATE(18474)] = 690478,
  [SMALL_STATE(18475)] = 690492,
  [SMALL_STATE(18476)] = 690506,
  [SMALL_STATE(18477)] = 690520,
  [SMALL_STATE(18478)] = 690534,
  [SMALL_STATE(18479)] = 690548,
  [SMALL_STATE(18480)] = 690562,
  [SMALL_STATE(18481)] = 690576,
  [SMALL_STATE(18482)] = 690590,
  [SMALL_STATE(18483)] = 690604,
  [SMALL_STATE(18484)] = 690618,
  [SMALL_STATE(18485)] = 690632,
  [SMALL_STATE(18486)] = 690646,
  [SMALL_STATE(18487)] = 690660,
  [SMALL_STATE(18488)] = 690674,
  [SMALL_STATE(18489)] = 690688,
  [SMALL_STATE(18490)] = 690702,
  [SMALL_STATE(18491)] = 690716,
  [SMALL_STATE(18492)] = 690730,
  [SMALL_STATE(18493)] = 690744,
  [SMALL_STATE(18494)] = 690758,
  [SMALL_STATE(18495)] = 690772,
  [SMALL_STATE(18496)] = 690786,
  [SMALL_STATE(18497)] = 690800,
  [SMALL_STATE(18498)] = 690804,
  [SMALL_STATE(18499)] = 690808,
  [SMALL_STATE(18500)] = 690812,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16139),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15511),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12620),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16362),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12454),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12624),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12626),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12627),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7496),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12222),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12283),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4481),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9929),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8933),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10001),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12339),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12633),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4310),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4303),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12647),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12652),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10000),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7491),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7487),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10650),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5349),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10765),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6162),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4020),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4525),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12406),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12527),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7412),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5232),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15152),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12856),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12861),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9027),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7628),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7634),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13775),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11190),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14697),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10792),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13081),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10282),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12061),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10622),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10225),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11090),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13376),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11804),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11244),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11952),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13265),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9521),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11552),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13526),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14426),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11742),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13584),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10634),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11519),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11783),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12464),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10982),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10643),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10193),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11510),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10589),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11099),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12422),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10688),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17024),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10724),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10176),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13524),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13646),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10439),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13494),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10841),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13442),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16433),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14483),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13715),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11137),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11474),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13756),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13284),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13970),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10828),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14513),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9844),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9856),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 4),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 2),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9968),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10337),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 3),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11157),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5822),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12889),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12845),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12847),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12849),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7689),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12107),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12106),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4316),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4323),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12104),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12855),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4285),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14996),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12768),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12912),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9886),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9760),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9760),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9759),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9887),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9643),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16548),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9309),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17666),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9221),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14754),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17383),
  [585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 2, .production_id = 25),
  [587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 2, .production_id = 25),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5205),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9003),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14620),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9258),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14956),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14571),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16441),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14961),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16454),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 2),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 2),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15105),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 3),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 3),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14940),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14947),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11649),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14793),
  [673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 3),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11423),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 2),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(5822),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1),
  [686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(156),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(7689),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(2304),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(5793),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(820),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(1643),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(3980),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(1243),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(4501),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(13126),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(2413),
  [719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(1865),
  [722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(2241),
  [727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(12768),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(12912),
  [733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(5822),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(9886),
  [739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(9760),
  [742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(9760),
  [745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(9759),
  [748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(9887),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(694),
  [754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(2249),
  [757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(2204),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(9643),
  [765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(5349),
  [768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(155),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(6162),
  [774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(2403),
  [777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(5340),
  [780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(686),
  [783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(1546),
  [786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(4020),
  [789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(1545),
  [792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(4525),
  [795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(13236),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(2412),
  [801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(1877),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(2368),
  [807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(12856),
  [810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(12861),
  [813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(5349),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(9856),
  [819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(7626),
  [822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(7626),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(7628),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(7634),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(767),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(2343),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(2288),
  [840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(166),
  [843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, .dynamic_precedence = 1), SHIFT(7625),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5575),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7783),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5651),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12638),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12679),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8779),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8776),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8772),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9776),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4609),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10476),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13234),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12769),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12531),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5777),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5694),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10408),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5374),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4630),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12613),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12825),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6405),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6410),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6246),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4703),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10602),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5195),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4642),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12801),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12943),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6443),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6144),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10570),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5687),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4477),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12694),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12587),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5735),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7325),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7321),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7033),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4994),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10657),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5590),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5019),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12873),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12920),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5960),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6890),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6893),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10480),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6637),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5408),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4478),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12586),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12872),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6442),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8019),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8018),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7881),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10598),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12644),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12660),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7068),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7066),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7102),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13319),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7418),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4025),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13306),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7406),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13361),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7326),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5136),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10491),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6648),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12871),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12904),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6746),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8155),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8227),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10547),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7357),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12945),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12767),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8470),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8469),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8464),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5538),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10558),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7212),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5561),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12940),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12850),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6898),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8771),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8773),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8286),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10492),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8051),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4471),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12991),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12693),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7652),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5329),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9364),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13092),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6106),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13247),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8056),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13136),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7408),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10572),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10533),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8635),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4549),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12583),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12619),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8323),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5683),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5680),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9683),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10594),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5612),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4512),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12910),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12837),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8637),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8319),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4531),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10358),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8715),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4497),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12730),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12999),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8437),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6023),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9962),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3992),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13258),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7903),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13041),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13185),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6742),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10413),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7995),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6721),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12530),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12802),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7877),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9318),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9417),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9048),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13274),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7469),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10590),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6346),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12659),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12941),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8237),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9555),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9557),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9323),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4016),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13149),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7754),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5961),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10405),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6889),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12676),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12876),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6804),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8312),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8633),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13174),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8108),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13063),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7707),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13286),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7852),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13295),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8783),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13192),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8634),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13393),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8552),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10443),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9362),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4518),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12921),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12640),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9371),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10316),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6715),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10454),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7899),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6695),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12578),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12731),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8032),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9137),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9134),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9377),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13362),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13308),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8866),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13205),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7521),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13061),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7411),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13050),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7631),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13281),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8741),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13339),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8890),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10549),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9526),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4646),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4469),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12824),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12946),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9294),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6624),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6626),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10004),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10465),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8893),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13031),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8574),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13079),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7510),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3979),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13025),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8316),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13285),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7664),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13400),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8810),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13215),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8812),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13103),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9810),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13344),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10026),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13326),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10441),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13109),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8819),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4248),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13377),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9198),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13290),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13351),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8924),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13167),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8945),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10471),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8740),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9592),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4255),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4246),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13068),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9971),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [2386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13180),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7649),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4234),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13257),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9154),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13222),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9140),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4244),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13145),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8934),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13374),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8837),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13270),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7682),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3988),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13387),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10325),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4686),
  [2531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(138),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1),
  [2538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4630),
  [2541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2640),
  [2544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1876),
  [2547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4686),
  [2550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7469),
  [2553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2155),
  [2556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4537),
  [2559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(130),
  [2562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8740),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13398),
  [2567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2414),
  [2570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1866),
  [2573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4537),
  [2576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(10000),
  [2579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2288),
  [2582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5961),
  [2585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(128),
  [2588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5958),
  [2591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3855),
  [2594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1861),
  [2597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(5961),
  [2600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8634),
  [2603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2170),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7372),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13126),
  [2611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5822),
  [2614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(156),
  [2617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5793),
  [2620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2413),
  [2623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1865),
  [2626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(5822),
  [2629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9886),
  [2632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2204),
  [2635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5349),
  [2638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(155),
  [2641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5340),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [2646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2412),
  [2649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1877),
  [2652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(5349),
  [2655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8837),
  [2658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5538),
  [2661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(133),
  [2664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5561),
  [2667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3057),
  [2670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1858),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(5538),
  [2676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7754),
  [2679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2341),
  [2682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4764),
  [2685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(135),
  [2688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4646),
  [2691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3970),
  [2694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1859),
  [2697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4764),
  [2700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8934),
  [2703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2216),
  [2706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4985),
  [2709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(141),
  [2712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5058),
  [2715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2652),
  [2718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1879),
  [2721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4985),
  [2724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7510),
  [2727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2259),
  [2730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4703),
  [2733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(154),
  [2736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4642),
  [2739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2645),
  [2742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1864),
  [2745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4703),
  [2748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7903),
  [2751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2326),
  [2754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4994),
  [2757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(146),
  [2760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5019),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [2765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2651),
  [2768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1883),
  [2771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4994),
  [2774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7682),
  [2777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8890),
  [2780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9810),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13385),
  [2793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8975),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [2800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7852),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8975),
  [2805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5136),
  [2808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(140),
  [2811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5128),
  [2814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3020),
  [2817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1857),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(5136),
  [2823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8056),
  [2826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2330),
  [2829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9971),
  [2832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4900),
  [2835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(132),
  [2838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4999),
  [2841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2654),
  [2844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1878),
  [2847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4900),
  [2850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8924),
  [2853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2266),
  [2856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5575),
  [2859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(129),
  [2862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5651),
  [2865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4019),
  [2868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1885),
  [2871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(5575),
  [2874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8779),
  [2877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2112),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13338),
  [2890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(10550),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [2897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9140),
  [2900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7411),
  [2903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3966),
  [2906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9003),
  [2909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(6715),
  [2912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(151),
  [2915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(6695),
  [2918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3969),
  [2921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1875),
  [2924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(6715),
  [2927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(10325),
  [2930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2278),
  [2933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7326),
  [2936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5834),
  [2939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(131),
  [2942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5836),
  [2945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2883),
  [2948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1862),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(5834),
  [2954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7664),
  [2957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2231),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13236),
  [2962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9856),
  [2965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8316),
  [2968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(6742),
  [2971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(150),
  [2974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(6721),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [2979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3827),
  [2982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1874),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(6742),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8812),
  [2991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2296),
  [2994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9198),
  [2997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4609),
  [3000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(148),
  [3003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4568),
  [3006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2633),
  [3009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1882),
  [3012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4609),
  [3015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(6106),
  [3018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2246),
  [3021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5654),
  [3024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(134),
  [3027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5612),
  [3030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3593),
  [3033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1872),
  [3036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(5654),
  [3039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8574),
  [3042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2226),
  [3045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4594),
  [3048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(145),
  [3051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4549),
  [3054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3202),
  [3057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1871),
  [3060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4594),
  [3063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8741),
  [3066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7406),
  [3069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(6341),
  [3072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(137),
  [3075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(6346),
  [3078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3640),
  [3081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1868),
  [3084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(6341),
  [3087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8819),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2319),
  [3093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8945),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7631),
  [3099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8810),
  [3102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(10026),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [3107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7521),
  [3110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3968),
  [3113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9258),
  [3116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4531),
  [3119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(144),
  [3122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4566),
  [3125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3585),
  [3128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1867),
  [3131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4531),
  [3134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8783),
  [3137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7707),
  [3140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4517),
  [3143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(136),
  [3146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4471),
  [3149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2816),
  [3152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1863),
  [3155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4517),
  [3158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8108),
  [3161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5476),
  [3164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(143),
  [3167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(5408),
  [3170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2653),
  [3173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1860),
  [3176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(5476),
  [3179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7408),
  [3182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2315),
  [3185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(6174),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [3192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13203),
  [3198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9840),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [3205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7483),
  [3208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8552),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13251),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8863),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [3227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8863),
  [3230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(8866),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13057),
  [3243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(10556),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [3250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4713),
  [3253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(147),
  [3256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(4632),
  [3259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3967),
  [3262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(1873),
  [3265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), SHIFT(4713),
  [3268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9154),
  [3271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7418),
  [3274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(7649),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13282),
  [3287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(9984),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9984),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10556),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9840),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10361),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12838),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12573),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10714),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11070),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11070),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11079),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11135),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11054),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10550),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13452),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12792),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14779),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14277),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10510),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9883),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12882),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14791),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13214),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10515),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9949),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [3822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [3826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13147),
  [3834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10118),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 3),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10162),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 2),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9998),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [4102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [4130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [4132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [4148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [4174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_modifier, 1),
  [4176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_identifier, 1),
  [4178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_modifier, 1),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_identifier, 1),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6592),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18040),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12024),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6663),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8997),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10112),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12448),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12448),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12459),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12446),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10156),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10347),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6328),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18081),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6973),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12026),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9563),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7312),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11976),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11976),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11979),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11974),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10052),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7266),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18363),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7965),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11939),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7263),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8965),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7658),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12385),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12385),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12380),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12403),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18338),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9123),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13668),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13668),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13667),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13669),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5625),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18381),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11872),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5629),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9129),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6367),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13890),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13890),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13888),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13891),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10021),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12063),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4882),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18402),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5326),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11827),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9159),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5305),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13320),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13320),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13321),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13315),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10295),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18153),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11995),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9015),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5705),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13689),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13689),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13690),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13688),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18005),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8889),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7862),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9227),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8860),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11702),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11702),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11707),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11699),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10058),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10143),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4748),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18376),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4818),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11901),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9483),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5055),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12788),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12788),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12787),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5393),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18422),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5696),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11738),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5443),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9375),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5679),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13436),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13436),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13437),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13421),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10064),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18412),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11782),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9458),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13381),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13381),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13375),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13382),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10205),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6881),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18177),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6849),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9415),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8173),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12088),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12088),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12085),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12100),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10080),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10047),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10216),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10074),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10076),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11904),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18313),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12021),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9515),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5532),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13703),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13703),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13713),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13705),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12012),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5646),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18378),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6581),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5655),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9316),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6412),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13958),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13907),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13881),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10122),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5528),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18404),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11815),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5534),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9208),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6200),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13752),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13746),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13755),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18353),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4563),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4466),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9384),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [4778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4534),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11681),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11685),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11675),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10024),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10037),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10069),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10247),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6719),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18165),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7259),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12016),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8972),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7196),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13198),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13198),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13191),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13218),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4562),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18406),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11794),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9253),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11812),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12013),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11769),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10030),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12023),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10086),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6763),
  [4884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5762),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6767),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10120),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6283),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7231),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11795),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6286),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10201),
  [4916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 2, .production_id = 52),
  [4918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 2, .production_id = 52),
  [4920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__shebang, 1),
  [4922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__shebang, 1),
  [4924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_type, 3, .dynamic_precedence = 1),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_type, 3, .dynamic_precedence = 1),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 3, .production_id = 52),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 3, .production_id = 52),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6010),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17966),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6738),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11729),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6008),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8935),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11041),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9737),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13856),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9943),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9165),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9229),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16509),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9088),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16481),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16562),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13985),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16580),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14040),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9970),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11138),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13996),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7527),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12018),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [5136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_wildcard, 1),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6041),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13559),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13558),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13022),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11542),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11548),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12655),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12763),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11233),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11491),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12512),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13576),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13250),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13582),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9422),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13249),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14301),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14294),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13599),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13600),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11262),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11766),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12352),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12353),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11968),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11823),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13328),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11824),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10079),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11660),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13954),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11655),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10150),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13886),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12118),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12116),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10240),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10373),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11539),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12311),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12185),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12215),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11903),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12261),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13663),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11780),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11773),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13653),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11134),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10265),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11182),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13329),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13026),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11109),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13037),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13621),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12489),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12463),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11950),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12121),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9601),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11930),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13371),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12572),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13370),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13156),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9602),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12275),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11898),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13822),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13826),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13224),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11897),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9897),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12575),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13959),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13349),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13341),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11909),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11906),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13878),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11803),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13625),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12262),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13977),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12211),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11437),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14252),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13682),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13979),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11975),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13651),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11329),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7253),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18061),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [6190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7568),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7238),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [6200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [6202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17941),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [6208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5760),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12027),
  [6212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5288),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18135),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12044),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16703),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16703),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16700),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16717),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6424),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7355),
  [6240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18093),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [6244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8228),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12037),
  [6248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7439),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [6254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6810),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11916),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11916),
  [6260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11915),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11917),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [6266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5682),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [6270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18388),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7989),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11755),
  [6278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7292),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6979),
  [6286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5690),
  [6288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18123),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [6292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6119),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12048),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5774),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11010),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11010),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11008),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6488),
  [6316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6992),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7032),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6977),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6589),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7480),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12075),
  [6336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6540),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [6346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5745),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8615),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12032),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8094),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [6360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7714),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12069),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7207),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7755),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12031),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7237),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7299),
  [6378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5770),
  [6380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18343),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [6384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6714),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11962),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [6394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11004),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11004),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11003),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11017),
  [6404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [6406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18159),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [6410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [6414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [6424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6298),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18171),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [6432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7063),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [6436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6299),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [6442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7972),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18068),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [6450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8656),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11946),
  [6454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7985),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7858),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18019),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11713),
  [6468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11756),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11756),
  [6472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11761),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11730),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6287),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18333),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7222),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11817),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6290),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [6492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6706),
  [6494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7922),
  [6496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18183),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8363),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7927),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [6510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7957),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6486),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17984),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11978),
  [6522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6383),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [6530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11316),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11317),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11315),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [6540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7070),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7593),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11963),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7243),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [6554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7444),
  [6556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8445),
  [6558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17998),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [6562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9481),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11981),
  [6566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8327),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [6572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8304),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12411),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12411),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12502),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12324),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9432),
  [6584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18411),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9891),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11785),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9429),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [6598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9355),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16633),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16633),
  [6604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16635),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16627),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12035),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [6612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6779),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [6616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9500),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11830),
  [6620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8537),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [6626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8905),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11991),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [6632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6842),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [6636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6332),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [6644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17991),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [6650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12010),
  [6654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [6660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [6664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [6668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [6670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [6672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [6676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [6684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5490),
  [6686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18147),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6608),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11883),
  [6694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5660),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [6700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [6704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [6708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8057),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [6712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18318),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11832),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6294),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6673),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12029),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6390),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18099),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [6736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6896),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12038),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6369),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [6746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6394),
  [6748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11265),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11263),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [6756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8350),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9138),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [6762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [6768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8587),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5438),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11913),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [6784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4768),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8830),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9178),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [6804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8752),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8583),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6968),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8267),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12014),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6941),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7010),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [6828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6241),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [6832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18308),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [6836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11833),
  [6840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [6848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18397),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [6854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5669),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11739),
  [6858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5485),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [6864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5359),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6274),
  [6876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18382),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7257),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11764),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6277),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6604),
  [6892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7574),
  [6894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8790),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12020),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7697),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [6904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7817),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [6908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [6912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11836),
  [6916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [6922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5075),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18380),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [6930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11768),
  [6934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5455),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5562),
  [6944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18415),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [6948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11719),
  [6952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [6958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [6962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [6966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4675),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [6970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5835),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18054),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6535),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [6982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5939),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [6988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5805),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5350),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4583),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [7008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5439),
  [7010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9882),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10974),
  [7018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9743),
  [7022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12536),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10503),
  [7032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11364),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [7220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1),
  [7222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [7262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerators, 2),
  [7264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4309),
  [7266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9038),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10488),
  [7270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 3),
  [7272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10450),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11384),
  [7276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerators, 3),
  [7278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 2),
  [7280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4297),
  [7282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10630),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11295),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15057),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15024),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10609),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12692),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11490),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12410),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10384),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12778),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10160),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11058),
  [7314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), REDUCE(sym__if_condition, 1, .dynamic_precedence = 4),
  [7317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), REDUCE(sym__if_condition, 1, .dynamic_precedence = 4),
  [7320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition, 1, .dynamic_precedence = 4),
  [7322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition, 1, .dynamic_precedence = 4),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12612),
  [7326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12309),
  [7328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10166),
  [7330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10885),
  [7332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [7334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10521),
  [7338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11585),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10660),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11912),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12990),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10521),
  [7352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10388),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11281),
  [7356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10301),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10944),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10654),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11894),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10479),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12677),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [7374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10259),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11593),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11932),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10255),
  [7382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11621),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10130),
  [7386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11674),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12447),
  [7390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10055),
  [7392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11117),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11309),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10279),
  [7398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10961),
  [7400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10134),
  [7402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11677),
  [7404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10210),
  [7406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11612),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10194),
  [7410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11609),
  [7412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10048),
  [7414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11486),
  [7416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10005),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11480),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11254),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12208),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11902),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11792),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10149),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11059),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12132),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10320),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11446),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [7440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10315),
  [7442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11441),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11859),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12034),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10196),
  [7450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11022),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11787),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11841),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12371),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11791),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11787),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11005),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15164),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10495),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11347),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10203),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11015),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10760),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11472),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10498),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11340),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10604),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11284),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10613),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11283),
  [7496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_modifier, 1),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10618),
  [7500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11282),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9917),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10819),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9920),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10815),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10766),
  [7512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11445),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9925),
  [7516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10808),
  [7518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transparent_modifier, 1),
  [7520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11508),
  [7522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12007),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11580),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11508),
  [7530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10694),
  [7532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_modifier, 1),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10245),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10983),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10091),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11098),
  [7542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10486),
  [7544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11352),
  [7546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10565),
  [7548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11307),
  [7550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10087),
  [7552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11074),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10490),
  [7556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11350),
  [7558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10763),
  [7560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11451),
  [7562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10426),
  [7564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11389),
  [7566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1),
  [7568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition, 2, .dynamic_precedence = 4),
  [7570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition, 2, .dynamic_precedence = 4),
  [7572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_identifier, 1, .production_id = 7),
  [7574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_identifier, 3),
  [7576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9787),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9855),
  [7580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_type_identifier, 3),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [7606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7476),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9865),
  [7610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7474),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12633),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12855),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [7620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15019),
  [7622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15039),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13095),
  [7626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [7628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8463),
  [7630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8747),
  [7632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8745),
  [7634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8744),
  [7636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13521),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15019),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15112),
  [7644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4441),
  [7646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4450),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13944),
  [7650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [7652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14736),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11611),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12692),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12410),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12479),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9961),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12218),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12834),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17908),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [7680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13936),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12977),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16523),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12612),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12309),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12364),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12362),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12635),
  [7700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__annotated_type, 1),
  [7702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__annotated_type, 1),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [7706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9314),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [7710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12656),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16422),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [7716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13500),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13525),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4422),
  [7730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14750),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [7736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 2, .production_id = 3),
  [7738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 2, .production_id = 3),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [7744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12636),
  [7746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_application, 1),
  [7748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_application, 1),
  [7750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [7756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4434),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14825),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12475),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [7766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14675),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13897),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13531),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17976),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [7788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11793),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [7792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9383),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12892),
  [7798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_projected_type, 3, .production_id = 85),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [7802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11657),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13588),
  [7806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9009),
  [7808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__infix_type_choice, 1),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18394),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [7814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_type_choice, 1),
  [7816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8198),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13534),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14773),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13568),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13565),
  [7826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [7828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18392),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [7836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12710),
  [7838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [7840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11889),
  [7842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18328),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [7846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12111),
  [7848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11879),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11889),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11741),
  [7856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [7858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16426),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16030),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14725),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [7866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9151),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [7870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12901),
  [7872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18373),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13547),
  [7880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [7882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14613),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [7890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12859),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14599),
  [7894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_singleton_type, 3),
  [7896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13652),
  [7898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18012),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [7902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14023),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13666),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [7908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13652),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13535),
  [7912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [7914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [7916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [7918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_types, 1),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7792),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14600),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13574),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13550),
  [7932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 43),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14794),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14765),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13830),
  [7940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [7942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, .production_id = 42),
  [7944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, .production_id = 42),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13814),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14809),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12906),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13868),
  [7958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11461),
  [7960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18033),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11953),
  [7966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11535),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [7972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11512),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13898),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13819),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [7980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [7982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10344),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18231),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10332),
  [7990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10314),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10344),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10157),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6313),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6157),
  [8002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6373),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [8010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9028),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18249),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18117),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5155),
  [8026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5168),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [8034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2),
  [8036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13256),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12567),
  [8046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_identifier, 1, .production_id = 7),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9540),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12880),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4751),
  [8058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18237),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4709),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4679),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [8072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8030),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [8076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression_choice, 1),
  [8078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_body, 2),
  [8080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_body, 2),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12568),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8650),
  [8100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8409),
  [8102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8726),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [8108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8791),
  [8110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7200),
  [8112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7034),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7191),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [8120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7208),
  [8122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [8126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6736),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7642),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5272),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5137),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [8146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [8148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18420),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18409),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [8158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7565),
  [8160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5212),
  [8162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18243),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [8166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [8168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5463),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5633),
  [8178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5536),
  [8180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5648),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [8186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6064),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15291),
  [8190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7274),
  [8192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [8194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7269),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7190),
  [8202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9125),
  [8204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9127),
  [8206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8961),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [8212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8981),
  [8214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7669),
  [8216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7907),
  [8218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7548),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [8224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7866),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16295),
  [8228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 1),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [8234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12822),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12545),
  [8242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, .production_id = 66),
  [8244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, .production_id = 66),
  [8246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [8248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [8250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6281),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [8256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6681),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [8260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18401),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8266),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7933),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8136),
  [8276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18393),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [8284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [8294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9487),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [8298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12789),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7660),
  [8302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7902),
  [8304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7662),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7857),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [8316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12695),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9401),
  [8320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18225),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [8324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6835),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7240),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6792),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [8334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12365),
  [8338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7232),
  [8340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [8342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7230),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [8348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7475),
  [8350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7600),
  [8352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6672),
  [8354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6212),
  [8356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6650),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6152),
  [8364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 2),
  [8366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2),
  [8368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1790),
  [8371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2),
  [8373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(6099),
  [8376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(5097),
  [8379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(6118),
  [8382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(6121),
  [8385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(6122),
  [8388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(6123),
  [8391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2),
  [8393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8480),
  [8395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8315),
  [8397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [8403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8381),
  [8405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7986),
  [8407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8093),
  [8409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7678),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [8415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8047),
  [8417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9529),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [8421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18026),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [8425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [8427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [8433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [8435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18279),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [8439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5839),
  [8441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17943),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [8445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [8447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [8453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5521),
  [8455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5570),
  [8457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5953),
  [8459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5574),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [8465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5662),
  [8467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, .production_id = 55),
  [8469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, .production_id = 55),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [8473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9378),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [8477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12738),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13340),
  [8481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [8483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16279),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15688),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [8489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [8493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_type_identifier, 3),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [8499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12987),
  [8501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_type, 2),
  [8503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_type, 2),
  [8505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18374),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [8509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [8511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18396),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [8515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8104),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12358),
  [8519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 43),
  [8521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1744),
  [8524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18398),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [8528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [8532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9120),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [8536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12609),
  [8538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_singleton_type, 3),
  [8540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18426),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [8544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7875),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16126),
  [8548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_projected_type, 3, .production_id = 85),
  [8550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2),
  [8552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2),
  [8554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9009),
  [8557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wildcard, 1),
  [8559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [8563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13038),
  [8565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15072),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [8571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12674),
  [8573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [8575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [8581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12923),
  [8583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18375),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [8587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7843),
  [8589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1),
  [8591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9392),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [8597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12931),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12525),
  [8601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1826),
  [8604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1765),
  [8607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9488),
  [8609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [8611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9314),
  [8614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7805),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16084),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12819),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9021),
  [8626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9039),
  [8628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [8630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [8632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [8634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9293),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [8640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9281),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [8644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12549),
  [8646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7935),
  [8648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1828),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [8655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9418),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [8659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12928),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [8665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12811),
  [8667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8974),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13297),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13384),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [8675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9444),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [8679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12979),
  [8681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9559),
  [8683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18416),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [8687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7579),
  [8689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7511),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [8693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9360),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [8697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12916),
  [8699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18395),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [8703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8159),
  [8705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9446),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13146),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12084),
  [8711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15),
  [8713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18237),
  [8716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(61),
  [8719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15),
  [8721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1820),
  [8724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16248),
  [8728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [8730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18421),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [8734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7797),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12230),
  [8738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9411),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12382),
  [8742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18413),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [8746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7543),
  [8748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7806),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [8754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12976),
  [8756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1766),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [8761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9036),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [8765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12608),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [8771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12895),
  [8773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1709),
  [8776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [8786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12552),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12726),
  [8794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9151),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [8801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12641),
  [8803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1786),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15653),
  [8808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9028),
  [8811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7993),
  [8813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [8815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [8821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12955),
  [8823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [8825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [8827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15213),
  [8829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8260),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [8833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9407),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [8837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12756),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12653),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [8847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9383),
  [8850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18129),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [8854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7823),
  [8856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1785),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16291),
  [8861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9304),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [8867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12584),
  [8869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18410),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [8873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7549),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12469),
  [8877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [8879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12303),
  [8883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9529),
  [8886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1731),
  [8889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9469),
  [8891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15782),
  [8893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [8895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1825),
  [8898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9401),
  [8901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 1),
  [8903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12282),
  [8907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18377),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [8911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8223),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [8915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9403),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [8919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12981),
  [8921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18427),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [8925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7901),
  [8927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8042),
  [8929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18255),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [8933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8190),
  [8935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18428),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [8939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7940),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16206),
  [8943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9083),
  [8945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 1),
  [8947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 1),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [8955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12625),
  [8957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12421),
  [8961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18323),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [8965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7978),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [8971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12727),
  [8973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7849),
  [8975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18423),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [8979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7820),
  [8981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1763),
  [8984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16340),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15820),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [8992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12631),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [8998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12715),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13363),
  [9002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12278),
  [9006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4018),
  [9008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [9010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [9012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [9014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [9018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [9020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9453),
  [9022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1819),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [9027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1789),
  [9030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84),
  [9032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84),
  [9034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8209),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12210),
  [9039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18383),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [9043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7731),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [9047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18393),
  [9050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(40),
  [9053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1740),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [9058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [9060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8262),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [9066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1824),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [9071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9289),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [9075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12803),
  [9077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1807),
  [9080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9412),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [9084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9187),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [9088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12709),
  [9090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9039),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12143),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13060),
  [9097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1822),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9243),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15361),
  [9104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9540),
  [9107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8198),
  [9110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [9112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [9114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [9118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9392),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [9125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12569),
  [9127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2),
  [9129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2),
  [9131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bindings, 2),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12307),
  [9135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1761),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [9142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12937),
  [9144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1753),
  [9147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18026),
  [9150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(3),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9062),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [9159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12648),
  [9161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12157),
  [9165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [9167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9372),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [9171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9188),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [9175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12913),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [9181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12911),
  [9183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9293),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7566),
  [9190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9021),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [9197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12783),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [9203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12543),
  [9205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16306),
  [9207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9378),
  [9210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9488),
  [9213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15718),
  [9215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [9221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12795),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12319),
  [9225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9487),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9260),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [9234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18308),
  [9237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(80),
  [9240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7583),
  [9243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9120),
  [9246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13052),
  [9250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 1),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [9254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 1),
  [9256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [9258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15425),
  [9260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9469),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [9267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12877),
  [9269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_cases, 3),
  [9271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_cases, 3),
  [9273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18389),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [9277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8187),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13300),
  [9281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9273),
  [9283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12898),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12563),
  [9297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18403),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7876),
  [9303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18418),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7624),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18429),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7983),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12938),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18405),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7801),
  [9327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [9329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [9331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [9335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13049),
  [9339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16191),
  [9343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9281),
  [9346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9547),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [9356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12964),
  [9358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [9360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression_choice, 1),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [9366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [9372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12785),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9523),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [9380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12840),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [9386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [9388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [9396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9345),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12752),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [9404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [9406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [9410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [9412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [9414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [9416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [9418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1730),
  [9421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18047),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [9425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7603),
  [9427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7565),
  [9430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_template_body, 5),
  [9432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_template_body, 5),
  [9434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9304),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12541),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [9445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16534),
  [9451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9171),
  [9453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9418),
  [9456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18379),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [9460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [9462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18400),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [9466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8007),
  [9468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9559),
  [9471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12145),
  [9475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_template_body, 4),
  [9477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_template_body, 4),
  [9479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_block, 4),
  [9481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_block, 4),
  [9483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1762),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [9494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12844),
  [9496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7792),
  [9499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16536),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [9503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9081),
  [9505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9220),
  [9507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1840),
  [9510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [9516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12794),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [9524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12890),
  [9526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15880),
  [9530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body, 3),
  [9532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__braced_template_body, 3),
  [9534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18399),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8050),
  [9540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15741),
  [9542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18243),
  [9545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(35),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16434),
  [9550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 83),
  [9552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 83),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12280),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12893),
  [9562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body, 2),
  [9564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__braced_template_body, 2),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15888),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9087),
  [9570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7715),
  [9573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1779),
  [9576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9411),
  [9579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [9581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1),
  [9583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1),
  [9585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_null_literal, 1),
  [9587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__non_null_literal, 1),
  [9589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1),
  [9591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7494),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16254),
  [9596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9369),
  [9598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_body, 1),
  [9600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_body, 1),
  [9602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9361),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12205),
  [9606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9446),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12189),
  [9611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_block, 3),
  [9613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_block, 3),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12169),
  [9617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18117),
  [9620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(118),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [9625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_marker, 2),
  [9627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_marker, 2),
  [9629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16413),
  [9631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_marker, 2, .production_id = 13),
  [9633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_marker, 2, .production_id = 13),
  [9635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8070),
  [9637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [9639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [9641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8956),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [9645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9228),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [9649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12779),
  [9651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1737),
  [9654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [9656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1),
  [9658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1),
  [9660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [9662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [9664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [9668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [9674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12690),
  [9676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [9678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [9680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9070),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12141),
  [9686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 3),
  [9688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_block, 3),
  [9690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1817),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [9699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9413),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [9703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12680),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12376),
  [9707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7655),
  [9709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(8974),
  [9712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16373),
  [9714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8978),
  [9716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1802),
  [9719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1841),
  [9722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1745),
  [9725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [9727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1729),
  [9730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7717),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [9738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, .production_id = 40),
  [9740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, .production_id = 40),
  [9742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__refinement, 1, .production_id = 39),
  [9744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__refinement, 1, .production_id = 39),
  [9746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18417),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [9750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7594),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [9756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 3, .production_id = 42),
  [9758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 3, .production_id = 42),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [9762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18348),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [9766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8084),
  [9768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7642),
  [9771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1777),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12327),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [9782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8138),
  [9785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7843),
  [9788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1843),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15857),
  [9793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8134),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [9797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [9805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(17943),
  [9808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(92),
  [9811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9358),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [9815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18414),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [9819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7559),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15449),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [9829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8030),
  [9832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8984),
  [9834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9017),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [9838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1774),
  [9841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9407),
  [9844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [9846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [9848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [9850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [9852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [9856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [9858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [9860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1749),
  [9863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1781),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [9868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9091),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [9876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7600),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [9883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13023),
  [9887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [9889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [9893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [9895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1738),
  [9898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [9900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [9902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [9906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [9908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [9910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [9912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [9916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [9918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9448),
  [9920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1783),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16338),
  [9925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1839),
  [9928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18419),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [9932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7680),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [9936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [9940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [9942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1769),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12316),
  [9949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [9951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [9955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [9957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18407),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [9961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7679),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [9965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [9967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [9969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [9971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [9975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [9977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15447),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12337),
  [9981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9372),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [9986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9444),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12308),
  [9993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [9995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [9997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15327),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [10001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18397),
  [10004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(24),
  [10007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7875),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15469),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [10014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2),
  [10016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2),
  [10018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_argument, 3, .production_id = 138),
  [10020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_colon_argument, 3, .production_id = 138),
  [10022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7597),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [10026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splice_expression, 2),
  [10028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splice_expression, 2),
  [10030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1751),
  [10033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1845),
  [10036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_function, 2, .production_id = 19),
  [10038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_function, 2, .production_id = 19),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [10042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_argument, 1),
  [10044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_colon_argument, 1),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [10048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 20),
  [10050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 20),
  [10052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [10054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [10056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1), SHIFT(18387),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [10061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8101),
  [10063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9062),
  [10066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18141),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [10070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7885),
  [10072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9453),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [10079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12566),
  [10081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 3, .production_id = 15),
  [10083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 3, .production_id = 15),
  [10085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9103),
  [10087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 64),
  [10089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 64),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [10097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 67),
  [10099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 67),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [10107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12675),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12765),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [10117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_type, 3, .production_id = 66),
  [10119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_type, 3, .production_id = 66),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [10125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4),
  [10127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [10133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [10137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [10139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5),
  [10141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12428),
  [10147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9412),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [10154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9360),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [10159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7860),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13314),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15854),
  [10167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9406),
  [10169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9543),
  [10171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1), SHIFT(18273),
  [10174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splice_expression, 4),
  [10176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splice_expression, 4),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [10180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9528),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [10184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12823),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [10188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1750),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [10195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12645),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [10201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9260),
  [10204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [10210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9083),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [10223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12657),
  [10225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [10227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12174),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [10235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9571),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [10241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8986),
  [10243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9036),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [10250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [10252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18380),
  [10255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(112),
  [10258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9286),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [10266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9426),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [10270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12699),
  [10272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 3),
  [10274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 3),
  [10276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9243),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [10281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 4),
  [10283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 4),
  [10285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 2),
  [10287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 2),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13395),
  [10291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18189),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [10295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [10297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_application, 2, .production_id = 41),
  [10299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_application, 2, .production_id = 41),
  [10301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [10303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_expression, 2, .production_id = 21),
  [10305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_expression, 2, .production_id = 21),
  [10307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 2),
  [10309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 2),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [10315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12926),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12969),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13378),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [10329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8104),
  [10332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18424),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [10336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [10338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8080),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12451),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [10345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [10347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [10353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1728),
  [10356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [10358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [10360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12526),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12484),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [10366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1813),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [10373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12860),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [10379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12449),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12482),
  [10387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9531),
  [10389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12286),
  [10395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [10399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15968),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12335),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [10407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9171),
  [10410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13266),
  [10414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [10416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9403),
  [10419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [10423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9273),
  [10426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [10428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [10430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_modifier, 1),
  [10432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_modifier, 1),
  [10434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transparent_modifier, 1),
  [10436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1733),
  [10439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 2),
  [10441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 2),
  [10443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [10445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [10447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(8933),
  [10450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(3709),
  [10453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [10455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [10457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9926),
  [10459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12891),
  [10465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11336),
  [10467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9892),
  [10469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [10471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11311),
  [10475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [10479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4275),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16311),
  [10483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [10485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9188),
  [10488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [10490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [10492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [10500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_qualifier, 3),
  [10502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_qualifier, 3),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18384),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7763),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12236),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12177),
  [10514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [10516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [10518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [10522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [10526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [10528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [10530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [10534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9121),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [10538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13001),
  [10540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [10542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [10544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1), SHIFT(18075),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [10549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [10551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1837),
  [10554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [10556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18386),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [10560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7919),
  [10562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15835),
  [10564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13309),
  [10568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [10570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7805),
  [10573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13389),
  [10577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [10579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [10583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [10589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12618),
  [10591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [10593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1838),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [10604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [10608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(8978),
  [10611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8159),
  [10614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8938),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9437),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18267),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [10622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8024),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12399),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [10628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [10630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [10634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12093),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12155),
  [10640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18054),
  [10643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(104),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7780),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12982),
  [10656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18425),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [10660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7851),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18391),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [10666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8225),
  [10668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1815),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13245),
  [10673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9361),
  [10676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7935),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16173),
  [10681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [10683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9070),
  [10686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1804),
  [10689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15917),
  [10693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [10695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9087),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12468),
  [10700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18415),
  [10703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(43),
  [10706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16216),
  [10708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15554),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [10714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1708),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12457),
  [10719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9187),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18368),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7891),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12181),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12345),
  [10732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9220),
  [10735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1736),
  [10738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1796),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12096),
  [10743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8949),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [10749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12717),
  [10751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7549),
  [10754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [10756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7525),
  [10759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18147),
  [10762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(54),
  [10765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9072),
  [10767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7543),
  [10770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1746),
  [10773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9067),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [10779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12917),
  [10781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1795),
  [10784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7579),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12305),
  [10789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9030),
  [10791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18358),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [10795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7991),
  [10797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [10799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [10801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [10805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [10807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1758),
  [10810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18159),
  [10813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(17),
  [10816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1), SHIFT(18213),
  [10819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1853),
  [10822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9547),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [10827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9319),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12119),
  [10831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7797),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [10836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9289),
  [10839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9527),
  [10841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9369),
  [10844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7823),
  [10847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1776),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [10856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12868),
  [10858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9544),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [10864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12854),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [10870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12810),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16060),
  [10874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1771),
  [10877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7901),
  [10880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9358),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [10885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1778),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9037),
  [10890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7940),
  [10893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1773),
  [10896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18171),
  [10899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12163),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [10906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [10908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7820),
  [10911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18207),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [10915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7975),
  [10917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1811),
  [10920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7806),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [10927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12697),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [10931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7776),
  [10933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9543),
  [10936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1755),
  [10939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18261),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [10943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8244),
  [10945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [10947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [10951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [10953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8190),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [10960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12885),
  [10962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9571),
  [10965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9531),
  [10968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18390),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [10972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8221),
  [10974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(8984),
  [10977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [10979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [10985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [10987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1732),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12284),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [10994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1856),
  [10997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8959),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18408),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [11003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7613),
  [11005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9523),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12439),
  [11010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1701),
  [11013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18105),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [11017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7713),
  [11019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9286),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12258),
  [11024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7993),
  [11027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9228),
  [11030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8223),
  [11033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1797),
  [11036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1734),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [11041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1799),
  [11044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9413),
  [11047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [11049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [11051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [11053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [11057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [11063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12962),
  [11065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18385),
  [11067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1), SHIFT(79),
  [11070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7829),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12351),
  [11074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18318),
  [11077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(87),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12200),
  [11082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15503),
  [11084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9406),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12287),
  [11089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [11093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9147),
  [11095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9103),
  [11098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18333),
  [11101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(95),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12329),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15321),
  [11108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9354),
  [11110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16174),
  [11112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9233),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [11120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11731),
  [11122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11733),
  [11124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9124),
  [11126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11736),
  [11128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(8956),
  [11131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11113),
  [11133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [11135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [11137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [11141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [11143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_opaque_modifier, 1),
  [11145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [11147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [11149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [11151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1), SHIFT(9),
  [11154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8260),
  [11157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16156),
  [11159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [11161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [11163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [11165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [11167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [11169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7511),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13562),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13549),
  [11176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9059),
  [11178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13216),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [11190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12831),
  [11192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1831),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [11197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18382),
  [11200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(105),
  [11203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_pattern, 3, .production_id = 66),
  [11205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_pattern, 3, .production_id = 66),
  [11207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alternative_pattern, 3),
  [11209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alternative_pattern, 3),
  [11211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_capture_pattern, 3, .production_id = 91),
  [11213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_pattern, 3, .production_id = 91),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13074),
  [11217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7731),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12413),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12178),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14523),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15812),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12234),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14493),
  [11232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1754),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [11237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7978),
  [11240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [11246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [11248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [11250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [11252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9081),
  [11255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1836),
  [11258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9345),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12393),
  [11263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9538),
  [11265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [11267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [11271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [11273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [11277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [11281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7536),
  [11283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [11285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12996),
  [11291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12414),
  [11293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [11295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [11297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [11299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4269),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15262),
  [11303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9067),
  [11306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18388),
  [11309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(68),
  [11312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [11314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [11318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11772),
  [11320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11715),
  [11324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [11326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15620),
  [11330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2648),
  [11333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), REDUCE(sym_binding, 1, .dynamic_precedence = 10, .production_id = 2),
  [11336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [11338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [11340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [11342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [11344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [11346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12628),
  [11350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12076),
  [11352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [11354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [11356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [11358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [11360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4271),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15261),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12039),
  [11368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14063),
  [11370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14405),
  [11372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14087),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [11378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14053),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [11384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1833),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12490),
  [11389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7624),
  [11392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [11394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [11396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [11398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11279),
  [11404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [11406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [11408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [11410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [11412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [11414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18303),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [11418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7911),
  [11420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [11422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18201),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [11426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8126),
  [11428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [11430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9426),
  [11433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16169),
  [11435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [11437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1739),
  [11440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12213),
  [11444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8187),
  [11447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9528),
  [11450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1), SHIFT(18111),
  [11453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(17966),
  [11456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(25),
  [11459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9504),
  [11461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9072),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12267),
  [11468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9091),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [11473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9312),
  [11475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(17991),
  [11478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(103),
  [11481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7566),
  [11484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(8986),
  [11487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18195),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [11491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12519),
  [11495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [11497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7603),
  [11500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [11502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [11504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [11506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12216),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12368),
  [11512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9017),
  [11515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1812),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [11520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9527),
  [11523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9319),
  [11526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1), SHIFT(55),
  [11529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1767),
  [11532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1844),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12379),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12523),
  [11539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7983),
  [11542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8262),
  [11545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12390),
  [11549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18061),
  [11552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(114),
  [11555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(8949),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12372),
  [11560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9333),
  [11562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1798),
  [11565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8050),
  [11568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1848),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [11573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8127),
  [11575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7753),
  [11578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8007),
  [11581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15590),
  [11583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1), SHIFT(18297),
  [11586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [11588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [11590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1770),
  [11593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [11597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12833),
  [11599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7801),
  [11602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8042),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [11607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9118),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [11611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12564),
  [11613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7849),
  [11616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1854),
  [11619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7876),
  [11622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9448),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [11627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7860),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [11632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7684),
  [11634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8070),
  [11637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7717),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12342),
  [11642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18219),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [11646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [11648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7679),
  [11651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18068),
  [11654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(120),
  [11657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [11659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7655),
  [11662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [11664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1713),
  [11667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1), SHIFT(18291),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [11672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7743),
  [11674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(8959),
  [11677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1835),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12193),
  [11682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9437),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [11687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [11689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9354),
  [11692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8243),
  [11695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9233),
  [11698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1716),
  [11701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7531),
  [11704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8084),
  [11707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 4, .production_id = 115),
  [11709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 4, .production_id = 115),
  [11711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9121),
  [11714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7885),
  [11717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1748),
  [11720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9030),
  [11723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9456),
  [11725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1850),
  [11728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7559),
  [11731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7842),
  [11734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18183),
  [11737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(75),
  [11740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1), SHIFT(18087),
  [11743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12138),
  [11749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8101),
  [11752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structural_type, 1, .production_id = 8),
  [11754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_type, 1, .production_id = 8),
  [11756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [11758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7594),
  [11761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 7, .production_id = 186),
  [11763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 7, .production_id = 186),
  [11765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 6, .production_id = 180),
  [11767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 6, .production_id = 180),
  [11769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 6, .production_id = 179),
  [11771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 6, .production_id = 179),
  [11773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_type_cases, 3),
  [11775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_type_cases, 3),
  [11777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 5, .production_id = 168),
  [11779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 5, .production_id = 168),
  [11781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2),
  [11783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arrow_then_type, 2, .production_id = 10),
  [11785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_then_type, 2, .production_id = 10),
  [11787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_type, 3),
  [11789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_type, 3),
  [11791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9544),
  [11794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 79),
  [11796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, .production_id = 79),
  [11798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15604),
  [11800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1847),
  [11803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [11805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [11807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [11809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [11811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7680),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12153),
  [11816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [11818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(8938),
  [11821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [11825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [11827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7546),
  [11829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8310),
  [11831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7735),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [11837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7952),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [11841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7763),
  [11844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7991),
  [11847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11565),
  [11849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11790),
  [11851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11561),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [11855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [11857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11614),
  [11859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11376),
  [11861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13884),
  [11863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11271),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11376),
  [11869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13580),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12183),
  [11873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(17941),
  [11876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(70),
  [11879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [11881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12703),
  [11883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13070),
  [11885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12689),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [11891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12646),
  [11893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1703),
  [11896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(1679),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15976),
  [11901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_identifier, 1, .production_id = 7), SHIFT(2648),
  [11904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, .production_id = 7), REDUCE(sym_binding, 1, .dynamic_precedence = 10, .production_id = 2),
  [11907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8134),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [11912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12781),
  [11914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13390),
  [11916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12780),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [11922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12961),
  [11924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10906),
  [11926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11260),
  [11928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11061),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10906),
  [11934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10904),
  [11936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13232),
  [11938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13567),
  [11940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13238),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [11946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13248),
  [11948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7919),
  [11951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12170),
  [11953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12716),
  [11955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12171),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [11961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12359),
  [11963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7851),
  [11966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7597),
  [11969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13200),
  [11971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13557),
  [11973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13226),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13200),
  [11979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13365),
  [11981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1772),
  [11984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10081),
  [11986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12417),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [11992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11922),
  [11994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [11996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7599),
  [11999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11259),
  [12001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11549),
  [12003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11258),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11259),
  [12009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11198),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [12013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7777),
  [12015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [12017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [12019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [12023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [12025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13241),
  [12027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13595),
  [12029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13242),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [12035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13244),
  [12037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9037),
  [12040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1852),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12152),
  [12045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1), SHIFT(18285),
  [12048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9147),
  [12051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12842),
  [12053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13219),
  [12055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12835),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12842),
  [12061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12601),
  [12063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10956),
  [12065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11196),
  [12067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10958),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10956),
  [12073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11064),
  [12075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(8935),
  [12078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11558),
  [12080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11885),
  [12082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11550),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [12088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11701),
  [12090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9333),
  [12093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12137),
  [12095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12770),
  [12097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12144),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12137),
  [12103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12442),
  [12105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9059),
  [12108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11956),
  [12110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12340),
  [12112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11955),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [12118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12067),
  [12120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7891),
  [12123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12777),
  [12125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13372),
  [12127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12775),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [12133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12903),
  [12135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8225),
  [12138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7780),
  [12141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8024),
  [12144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11225),
  [12146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11855),
  [12148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11386),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [12154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11524),
  [12156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11201),
  [12158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11641),
  [12160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11211),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11201),
  [12166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11375),
  [12168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11434),
  [12170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12105),
  [12172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11396),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11434),
  [12178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11752),
  [12180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8423),
  [12182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8420),
  [12184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7613),
  [12187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8221),
  [12190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9577),
  [12192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9575),
  [12194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9504),
  [12197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9312),
  [12200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8777),
  [12202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8775),
  [12204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6636),
  [12206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6640),
  [12208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1743),
  [12211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7776),
  [12214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8028),
  [12216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [12218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9327),
  [12220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9329),
  [12222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [12224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [12226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1830),
  [12229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5369),
  [12231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5372),
  [12233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7713),
  [12236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7683),
  [12239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8307),
  [12241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8305),
  [12243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8244),
  [12246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [12248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [12250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9118),
  [12253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8233),
  [12255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8219),
  [12257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9770),
  [12259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9768),
  [12261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9538),
  [12264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1), SHIFT(2649),
  [12267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1), REDUCE(sym_binding, 1, .dynamic_precedence = 10),
  [12270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6900),
  [12272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6902),
  [12274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7975),
  [12277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 1),
  [12279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 1),
  [12281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 3),
  [12283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 3),
  [12285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 3),
  [12287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 3),
  [12289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6301),
  [12291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6302),
  [12293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7829),
  [12296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8690),
  [12298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8688),
  [12300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 2),
  [12302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 2),
  [12304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 2),
  [12306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 2),
  [12308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9112),
  [12310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9128),
  [12312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 1),
  [12314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 1),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13119),
  [12318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(18231),
  [12321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, .production_id = 15), SHIFT(110),
  [12324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8238),
  [12327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7536),
  [12330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1), SHIFT(2649),
  [12333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1), REDUCE(sym_binding, 1, .dynamic_precedence = 10),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12326),
  [12338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 2),
  [12340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 2), SHIFT_REPEAT(10555),
  [12343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16233),
  [12345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9456),
  [12348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7911),
  [12351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8126),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [12356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17219),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [12360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16942),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14455),
  [12366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16634),
  [12368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [12370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15011),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14492),
  [12374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10950),
  [12376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13606),
  [12378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [12382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17790),
  [12384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 1, .production_id = 2),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12678),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [12394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 1, .production_id = 2), SHIFT(15330),
  [12397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17632),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [12401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17920),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [12405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17072),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [12409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17480),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [12413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16920),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [12417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17030),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [12421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17233),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [12425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17057),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [12429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16964),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [12433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17177),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [12437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17261),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [12441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16898),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [12445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8127),
  [12448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7684),
  [12451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18492),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [12455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7743),
  [12458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16876),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [12462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16936),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [12466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11043),
  [12468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [12472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17301),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [12476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16986),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [12480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17462),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [12484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17198),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [12488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16805),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12839),
  [12496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17008),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [12500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17240),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14597),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14593),
  [12508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7558),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [12515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12673),
  [12517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16729),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [12529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 1, .production_id = 2), SHIFT(15646),
  [12532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, .production_id = 7), SHIFT(12499),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [12537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, .production_id = 7), SHIFT(7520),
  [12540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, .production_id = 7), SHIFT(10462),
  [12543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, .production_id = 7), SHIFT(15132),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [12554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7777),
  [12557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14586),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10814),
  [12561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14419),
  [12563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14046),
  [12565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_identifier, 3),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [12569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14695),
  [12571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14333),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [12575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14609),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12605),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12560),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12929),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12713),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12450),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13984),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12610),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12879),
  [12613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1808),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14136),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12886),
  [12624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, .production_id = 22),
  [12626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, .production_id = 22), SHIFT(15330),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [12631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13966),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12293),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14112),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [12641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, .production_id = 16),
  [12643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3),
  [12645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 1),
  [12647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 3, .production_id = 90),
  [12649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4, .production_id = 105),
  [12651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [12653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4, .production_id = 105),
  [12655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 3, .production_id = 90),
  [12657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_val_declaration, 4, .production_id = 105),
  [12659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [12661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 4, .production_id = 105),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11027),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [12671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, .production_id = 16),
  [12673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, .production_id = 126),
  [12675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14074),
  [12679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 4),
  [12681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [12683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11069),
  [12687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 1),
  [12689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1724),
  [12692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, .production_id = 126),
  [12694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5),
  [12696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 5),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [12700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 6),
  [12702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 6),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11133),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11121),
  [12708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12444),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12681),
  [12718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [12720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [12722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [12724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9124),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12927),
  [12735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1809),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [12740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 6, .production_id = 173),
  [12742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 6, .production_id = 173),
  [12744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 5, .production_id = 156),
  [12746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 5, .production_id = 156),
  [12748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, .production_id = 22), SHIFT(15646),
  [12751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 4, .production_id = 132),
  [12753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 4, .production_id = 132),
  [12755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 4),
  [12757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4),
  [12759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [12761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [12763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [12765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [12769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [12771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [12773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 3, .production_id = 92),
  [12775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 3, .production_id = 92),
  [12777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3),
  [12779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [12785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_pattern, 2, .production_id = 52),
  [12787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_pattern, 2, .production_id = 52),
  [12789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_given_pattern, 2, .production_id = 50),
  [12791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_pattern, 2, .production_id = 50),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12936),
  [12797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [12799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [12801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [12803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [12805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1712),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12456),
  [12810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [12812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17584),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17203),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17201),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17182),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17180),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17161),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17159),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17140),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17138),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17119),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17117),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17098),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17096),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17077),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17976),
  [12844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, .production_id = 38),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17075),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9764),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17056),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17054),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17035),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17033),
  [12860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14251),
  [12862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14248),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14251),
  [12866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12667),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17014),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17012),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16992),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16990),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16970),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16968),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16948),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16946),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16926),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16924),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16904),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16902),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17222),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17224),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16882),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16880),
  [12900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 22),
  [12902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 22), SHIFT(15330),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16860),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16858),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16836),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16834),
  [12913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 2, .production_id = 10),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17243),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16812),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16810),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15330),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16787),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16785),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16762),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16760),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16735),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16709),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16707),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17245),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16683),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16681),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16655),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16653),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16873),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16887),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17046),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17050),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17192),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17209),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17384),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17392),
  [12967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, .production_id = 2),
  [12969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, .production_id = 2), SHIFT(15330),
  [12972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ascription_expression, 3, .dynamic_precedence = 4),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11758),
  [12976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 1, .production_id = 2),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17941),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11999),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17474),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17608),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12221),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17766),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17784),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17264),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17910),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17912),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12395),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17266),
  [13008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12556),
  [13010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12461),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18034),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18059),
  [13016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1821),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17284),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17286),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17304),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18305),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18458),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18466),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18073),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18030),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17306),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17852),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17838),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17586),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17528),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17068),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17332),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17313),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17323),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17109),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17092),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16899),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [13061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, .production_id = 144),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [13065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1788),
  [13068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 1, .production_id = 12),
  [13070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 1, .production_id = 12), SHIFT(14649),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16669),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16672),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17325),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16725),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16728),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16800),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18457),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16806),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17178),
  [13095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14409),
  [13097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12907),
  [13099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12416),
  [13101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14393),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14409),
  [13105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12966),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12441),
  [13109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, .production_id = 111),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17582),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17342),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17271),
  [13119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15575),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17344),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17573),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17571),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17561),
  [13129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, .production_id = 118),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16535),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17549),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17547),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17537),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17535),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17524),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17522),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17559),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17511),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16975),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17509),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17498),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17496),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17485),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17483),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17472),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17470),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17459),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17457),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16495),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17446),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17361),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17363),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17380),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17382),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17444),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17433),
  [13197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17633),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17431),
  [13201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, .production_id = 61),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17877),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17420),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12476),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17889),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17399),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17401),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17418),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [13225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, .production_id = 63),
  [13227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9493),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [13232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, .production_id = 130),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12537),
  [13238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, .production_id = 154),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [13244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 6, .production_id = 155),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [13250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 1, .production_id = 2),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12328),
  [13262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14201),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [13268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1735),
  [13271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeated_parameter_type, 2, .production_id = 92),
  [13273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_parameter_type, 2, .production_id = 50),
  [13275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, .production_id = 160),
  [13277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 5, .production_id = 130), REDUCE(sym_if_expression, 6, .production_id = 160),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [13282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 2),
  [13284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15108),
  [13286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1759),
  [13289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, .production_id = 114),
  [13291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_match_expression, 3, .production_id = 63), REDUCE(sym_match_expression, 4, .production_id = 114),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18373),
  [13296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_expression, 4, .production_id = 104),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [13300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1760),
  [13303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, .production_id = 101),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12933),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [13311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 1, .production_id = 2),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [13319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 7, .production_id = 174),
  [13321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 6, .production_id = 154), REDUCE(sym_if_expression, 7, .production_id = 174),
  [13324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, .production_id = 14),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [13328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2),
  [13330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 94),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [13334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2),
  [13336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 4, .production_id = 93),
  [13338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, .production_id = 89),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18061),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [13346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 1),
  [13348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 1),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11746),
  [13356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 1, .production_id = 12), SHIFT(14590),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9709),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [13363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 44),
  [13365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 3, .production_id = 14),
  [13367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14011),
  [13369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9056),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [13376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13360),
  [13378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [13380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13342),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13360),
  [13384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12147),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [13394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr_case_clause, 3, .production_id = 74),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [13400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, .production_id = 131),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18392),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [13408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 65),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [13412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, .production_id = 49),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15133),
  [13416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indentable_expression, 1),
  [13418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1784),
  [13421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, .production_id = 2), SHIFT(15646),
  [13424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2),
  [13426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12367),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [13436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 22), SHIFT(15646),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12166),
  [13441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1719),
  [13444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, .production_id = 99),
  [13446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, .production_id = 99),
  [13448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6665),
  [13450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5621),
  [13452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [13454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [13456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7133),
  [13458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6537),
  [13460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [13462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [13464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6711),
  [13466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6530),
  [13468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7551),
  [13470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7638),
  [13472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [13474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [13476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13656),
  [13478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13355),
  [13480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, .production_id = 80),
  [13482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, .production_id = 80),
  [13484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, .production_id = 57),
  [13486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, .production_id = 57),
  [13488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, .production_id = 22),
  [13490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, .production_id = 22),
  [13492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12942),
  [13494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10678),
  [13496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6568),
  [13498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [13500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6859),
  [13502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6618),
  [13504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [13506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [13508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1714),
  [13511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8498),
  [13513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8467),
  [13515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5352),
  [13517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [13519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16578),
  [13521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [13523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [13525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [13527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5101),
  [13529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14504),
  [13531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12112),
  [13533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10911),
  [13535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9593),
  [13537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9427),
  [13539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9247),
  [13541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8408),
  [13543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6787),
  [13545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6477),
  [13547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7179),
  [13549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6585),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [13553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [13555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5014),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [13559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9209),
  [13562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7651),
  [13564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [13566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13168),
  [13568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15045),
  [13570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11357),
  [13572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 5, .production_id = 99),
  [13574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 5, .production_id = 99),
  [13576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5615),
  [13578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5398),
  [13580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6352),
  [13582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [13584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10390),
  [13586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7247),
  [13588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6398),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12668),
  [13594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [13596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6484),
  [13598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9268),
  [13600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9408),
  [13602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5929),
  [13604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5353),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12957),
  [13614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9156),
  [13616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8473),
  [13618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13665),
  [13620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13330),
  [13622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6863),
  [13624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7162),
  [13626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13143),
  [13628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12808),
  [13630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5856),
  [13632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [13634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [13636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [13638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8917),
  [13640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [13642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7824),
  [13644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7868),
  [13646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13013),
  [13648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12924),
  [13650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12058),
  [13652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11601),
  [13654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [13656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4706),
  [13658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6559),
  [13660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [13662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6809),
  [13664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6675),
  [13666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13914),
  [13668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13463),
  [13670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [13672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7236),
  [13674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [13676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5095),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12944),
  [13682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13986),
  [13684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12420),
  [13686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, .production_id = 44),
  [13688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, .production_id = 44),
  [13690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12251),
  [13692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11840),
  [13694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12579),
  [13696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12488),
  [13698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, .production_id = 36),
  [13700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, .production_id = 36),
  [13702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5269),
  [13704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [13706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [13708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5143),
  [13710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, .production_id = 57),
  [13712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, .production_id = 57),
  [13714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4645),
  [13716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [13718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7530),
  [13720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7156),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [13724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6620),
  [13726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [13728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7433),
  [13730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7348),
  [13732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16563),
  [13734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, .production_id = 22),
  [13736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, .production_id = 22),
  [13738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13332),
  [13740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12632),
  [13742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1823),
  [13745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12270),
  [13747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11927),
  [13749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, .production_id = 2),
  [13751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, .production_id = 2),
  [13753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9430),
  [13755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8904),
  [13757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9225),
  [13760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [13762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [13766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7016),
  [13768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [13770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1851),
  [13773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [13775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [13777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6168),
  [13779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5966),
  [13781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13629),
  [13783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13366),
  [13785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [13787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5921),
  [13789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13227),
  [13791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12894),
  [13793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [13795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [13797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10061),
  [13799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10013),
  [13801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [13803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5846),
  [13805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12190),
  [13807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11734),
  [13809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7845),
  [13811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7278),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14998),
  [13815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6423),
  [13817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10383),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13610),
  [13825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6376),
  [13827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6018),
  [13829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1702),
  [13832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8660),
  [13834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8581),
  [13836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [13838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6710),
  [13840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6963),
  [13842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6904),
  [13844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [13846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12273),
  [13850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4556),
  [13852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [13854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8291),
  [13856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8124),
  [13858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8424),
  [13860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7581),
  [13862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6082),
  [13864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [13866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8355),
  [13868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [13870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5081),
  [13872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [13874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8253),
  [13876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7125),
  [13878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8183),
  [13880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8043),
  [13882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [13884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15109),
  [13888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8311),
  [13890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7836),
  [13892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12072),
  [13894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11476),
  [13896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12437),
  [13898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11781),
  [13900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [13902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6536),
  [13904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1723),
  [13907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, .production_id = 80),
  [13909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, .production_id = 80),
  [13911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8068),
  [13913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7185),
  [13915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [13917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [13919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [13921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7228),
  [13923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [13925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5681),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [13931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12592),
  [13933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12355),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [13937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7970),
  [13939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [13941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8059),
  [13943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [13945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11980),
  [13947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11545),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [13951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11424),
  [13953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11207),
  [13955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [13957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5600),
  [13959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6523),
  [13961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [13963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11335),
  [13965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11118),
  [13967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6496),
  [13969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5761),
  [13971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12701),
  [13973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14305),
  [13975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11499),
  [13977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11392),
  [13979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7313),
  [13981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6329),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [13985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6933),
  [13987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [13989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [13991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [13993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, .production_id = 46),
  [13995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, .production_id = 46), SHIFT(14649),
  [13998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11893),
  [14000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11623),
  [14002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, .production_id = 44),
  [14004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, .production_id = 44),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12784),
  [14008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14771),
  [14010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [14012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [14014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6267),
  [14016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6074),
  [14018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, .production_id = 36),
  [14020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, .production_id = 36),
  [14022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [14024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [14026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11864),
  [14028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11642),
  [14030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9270),
  [14032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8678),
  [14034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [14036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [14038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, .production_id = 2),
  [14040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, .production_id = 2),
  [14042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_applications, 1, .production_id = 70),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [14048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11272),
  [14050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10903),
  [14052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8189),
  [14054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7084),
  [14056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2),
  [14058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2),
  [14060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8020),
  [14062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7197),
  [14064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8449),
  [14066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8005),
  [14068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, .production_id = 31),
  [14070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14267),
  [14072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14224),
  [14074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8864),
  [14076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [14078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [14080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4622),
  [14082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [14084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11799),
  [14086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1810),
  [14089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16370),
  [14091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [14093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9104),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [14099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9095),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [14103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [14109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5569),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [14113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1757),
  [14116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14327),
  [14118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10869),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [14124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10676),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10869),
  [14128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13009),
  [14130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7854),
  [14133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12590),
  [14135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [14137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16498),
  [14139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [14141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6490),
  [14143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5546),
  [14145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5068),
  [14147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 69),
  [14149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 69), SHIFT(15330),
  [14152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 2),
  [14154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 2), SHIFT(15330),
  [14157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 68),
  [14159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 68), SHIFT(15330),
  [14162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [14164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [14166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12336),
  [14168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16521),
  [14170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [14172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11314),
  [14174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11330),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11314),
  [14178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11373),
  [14180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11852),
  [14182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16541),
  [14184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [14186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11551),
  [14188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16368),
  [14190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5689),
  [14192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7320),
  [14194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10023),
  [14196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7606),
  [14198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [14200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [14202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6514),
  [14204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10920),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [14210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10899),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10920),
  [14214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9023),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [14220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8976),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [14224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9617),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [14230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9713),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [14234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [14236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7941),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [14242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7950),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [14246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [14252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7096),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [14256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5552),
  [14258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16388),
  [14260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5999),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12291),
  [14264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1792),
  [14267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11416),
  [14269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, .production_id = 46), SHIFT(14590),
  [14272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [14274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [14276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11737),
  [14278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5947),
  [14280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6517),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [14286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6449),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [14290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1775),
  [14293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [14295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14372),
  [14297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8765),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [14303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11465),
  [14305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [14307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, .production_id = 23),
  [14309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, .production_id = 23), SHIFT(15330),
  [14312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11505),
  [14314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6429),
  [14316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14185),
  [14318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11338),
  [14320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11327),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [14324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11385),
  [14326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [14328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [14330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9761),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [14336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9765),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9761),
  [14340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16566),
  [14342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5798),
  [14344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10202),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [14350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10137),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [14354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [14356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16475),
  [14358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [14364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [14368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8151),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12318),
  [14372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10464),
  [14374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [14378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10397),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
  [14382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6306),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15086),
  [14388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13343),
  [14390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16468),
  [14392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [14398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [14400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4678),
  [14402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8251),
  [14404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5718),
  [14406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9368),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [14410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [14412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9353),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [14420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, .production_id = 22),
  [14422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, .production_id = 22), SHIFT(15330),
  [14425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, .production_id = 120),
  [14427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, .production_id = 120), SHIFT(15330),
  [14430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16358),
  [14432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5725),
  [14434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, .production_id = 121),
  [14436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, .production_id = 121), SHIFT(15330),
  [14439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16584),
  [14441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5643),
  [14443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_enum_case, 1, .production_id = 2),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [14449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13631),
  [14451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11313),
  [14453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [14455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [14457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8632),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [14463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8529),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [14467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11631),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [14473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11625),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11631),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13014),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [14483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8154),
  [14485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12419),
  [14487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16448),
  [14489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5880),
  [14491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [14493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7014),
  [14495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9420),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [14501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9352),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [14509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [14511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8973),
  [14513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [14515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12581),
  [14517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5499),
  [14519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5598),
  [14521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6969),
  [14523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [14525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11884),
  [14527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6614),
  [14529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8276),
  [14531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 5, .production_id = 148),
  [14533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 5, .production_id = 148), SHIFT(15330),
  [14536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5613),
  [14538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13120),
  [14540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [14542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6556),
  [14544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, .production_id = 14),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [14550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9751),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [14556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9755),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [14564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5733),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [14568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5783),
  [14570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [14572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11839),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [14576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16597),
  [14578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15114),
  [14582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8212),
  [14584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [14588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6044),
  [14590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16612),
  [14592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6094),
  [14594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13040),
  [14598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8655),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [14604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8713),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [14608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9744),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [14612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [14614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9618),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [14620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [14622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5603),
  [14624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12853),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [14632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7570),
  [14634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5899),
  [14636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6372),
  [14638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7071),
  [14640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5091),
  [14642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [14644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6362),
  [14646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [14650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6296),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [14656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6297),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [14664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6914),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15160),
  [14668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16624),
  [14670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5813),
  [14672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8371),
  [14674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [14676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5743),
  [14678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [14680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5373),
  [14682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5606),
  [14684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [14686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8588),
  [14688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10263),
  [14690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [14694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10227),
  [14696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10263),
  [14698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [14700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [14702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [14704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9092),
  [14706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9584),
  [14708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14494),
  [14710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8843),
  [14712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [14714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [14716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [14718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [14720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [14722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [14724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11274),
  [14726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8205),
  [14728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [14730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [14732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7234),
  [14734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8661),
  [14736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [14738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [14740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8658),
  [14742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [14744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8877),
  [14746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8106),
  [14748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [14750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [14752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8116),
  [14754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [14756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16637),
  [14758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5551),
  [14760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [14762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8100),
  [14764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [14766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [14768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [14772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [14774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8345),
  [14776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14537),
  [14778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7910),
  [14780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [14784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7913),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [14792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7091),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [14798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7123),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [14802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5594),
  [14804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5492),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [14808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [14810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6928),
  [14812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11989),
  [14814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5317),
  [14816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16483),
  [14818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9522),
  [14820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11834),
  [14822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16646),
  [14824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5661),
  [14826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2),
  [14828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2), SHIFT_REPEAT(10462),
  [14831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2), SHIFT_REPEAT(15534),
  [14834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7110),
  [14836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10772),
  [14838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [14840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6944),
  [14842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [14844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [14846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, .production_id = 22),
  [14848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13035),
  [14850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6838),
  [14852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, .production_id = 57),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13032),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [14860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [14862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16622),
  [14864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12220),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [14876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4734),
  [14878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16421),
  [14880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [14884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [14886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6669),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [14892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [14894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13006),
  [14896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5779),
  [14898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6610),
  [14900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8605),
  [14902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2),
  [14904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2), SHIFT_REPEAT(4332),
  [14907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2), SHIFT_REPEAT(15330),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [14916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [14918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [14920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [14922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5892),
  [14924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8158),
  [14926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12517),
  [14928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5684),
  [14930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12263),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [14934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5264),
  [14936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, .production_id = 22),
  [14938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13220),
  [14940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5832),
  [14942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12248),
  [14944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6182),
  [14946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6800),
  [14948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [14950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [14952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [14954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [14956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [14958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [14960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [14962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [14964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13660),
  [14966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [14968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [14970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [14972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [14974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16473),
  [14976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [14978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [14980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [14982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16407),
  [14984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5842),
  [14986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16410),
  [14988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [14990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [14992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13734),
  [14994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16403),
  [14996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5924),
  [14998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12203),
  [15000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9144),
  [15002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6854),
  [15004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13674),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [15008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [15010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5956),
  [15012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7772),
  [15014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [15016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [15018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [15020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [15022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, .production_id = 99),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13132),
  [15026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5581),
  [15028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16467),
  [15030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [15032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6762),
  [15034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [15036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8524),
  [15038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16530),
  [15040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5957),
  [15042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6021),
  [15044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16363),
  [15046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6055),
  [15048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5279),
  [15050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6013),
  [15052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [15054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [15056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [15060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [15062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [15064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11562),
  [15066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6033),
  [15068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6089),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [15074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6058),
  [15076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9475),
  [15078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15144),
  [15084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 1, .production_id = 2),
  [15086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [15090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17513),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [15096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 5, .production_id = 148), SHIFT(15646),
  [15099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9252),
  [15101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14468),
  [15103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16553),
  [15105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3),
  [15107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [15109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, .production_id = 121), SHIFT(15646),
  [15112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16571),
  [15114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, .production_id = 57),
  [15116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, .production_id = 120), SHIFT(15646),
  [15119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, .production_id = 22),
  [15121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, .production_id = 22), SHIFT(15646),
  [15124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16385),
  [15126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16486),
  [15128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12556),
  [15130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12473),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9934),
  [15138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9930),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12466),
  [15142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12553),
  [15144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8406),
  [15146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16390),
  [15148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1855),
  [15151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8517),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [15157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16352),
  [15159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7687),
  [15161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16401),
  [15163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, .production_id = 87),
  [15165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 3, .production_id = 87), SHIFT(14649),
  [15168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16588),
  [15170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16514),
  [15172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17326),
  [15174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, .production_id = 76),
  [15176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16416),
  [15178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16431),
  [15180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8385),
  [15182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [15184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [15188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16491),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [15194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [15196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16449),
  [15198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10283),
  [15200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 4),
  [15202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1707),
  [15205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16501),
  [15207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 69), SHIFT(15646),
  [15210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 2), SHIFT(15646),
  [15213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, .production_id = 2),
  [15215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, .production_id = 68), SHIFT(15646),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [15220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 4, .production_id = 99),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13490),
  [15224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, .production_id = 47),
  [15226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, .production_id = 47), SHIFT(14649),
  [15229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16459),
  [15231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14982),
  [15233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8069),
  [15235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16462),
  [15237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7049),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [15241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16471),
  [15243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, .production_id = 32),
  [15245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13893),
  [15247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16482),
  [15249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15015),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16465),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12907),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12416),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12402),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12986),
  [15265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16608),
  [15267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10475),
  [15269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17778),
  [15271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16492),
  [15273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, .production_id = 23), SHIFT(15646),
  [15276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16503),
  [15278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [15280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12377),
  [15282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [15284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10109),
  [15286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16412),
  [15288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11106),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13302),
  [15292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16619),
  [15294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16518),
  [15296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [15298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [15300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [15302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [15310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [15312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [15314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16543),
  [15316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16555),
  [15318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [15320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16375),
  [15322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12199),
  [15324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9955),
  [15326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16565),
  [15328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [15330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16629),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [15334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [15336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16645),
  [15338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16573),
  [15340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, .production_id = 122),
  [15342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, .production_id = 122), SHIFT_REPEAT(4522),
  [15345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, .production_id = 122),
  [15347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, .production_id = 122), SHIFT_REPEAT(4523),
  [15350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9990),
  [15352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [15356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16581),
  [15358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16589),
  [15360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1747),
  [15363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [15365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16365),
  [15367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16648),
  [15369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16600),
  [15371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16396),
  [15373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [15375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16609),
  [15377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7072),
  [15379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8591),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [15383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18271),
  [15385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_applications, 2, .production_id = 122),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [15389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [15391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16572),
  [15393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16613),
  [15395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9731),
  [15397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9133),
  [15399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15035),
  [15401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16620),
  [15403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [15405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [15407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9814),
  [15409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16379),
  [15411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16499),
  [15413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6263),
  [15415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16630),
  [15417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7539),
  [15420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [15422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [15424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16638),
  [15426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2), SHIFT_REPEAT(10383),
  [15429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2), SHIFT_REPEAT(15459),
  [15432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [15434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [15436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [15438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13675),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [15444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16443),
  [15446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16644),
  [15448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7810),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12315),
  [15452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16642),
  [15454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16392),
  [15456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9113),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13636),
  [15460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [15462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13638),
  [15464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7149),
  [15466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16599),
  [15468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16552),
  [15470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2), SHIFT_REPEAT(4345),
  [15473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2), SHIFT_REPEAT(15646),
  [15476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9650),
  [15478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16436),
  [15480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13422),
  [15482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9235),
  [15484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16508),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [15488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [15490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), REDUCE(sym_if_expression, 4, .production_id = 113),
  [15493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113),
  [15495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17544),
  [15498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(928),
  [15501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48),
  [15503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17533),
  [15506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(952),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [15511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [15513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16723),
  [15516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [15518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16719),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [15525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [15527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [15529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [15531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17041),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [15536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17047),
  [15539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [15541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [15543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15161),
  [15545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17887),
  [15548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1510),
  [15551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17900),
  [15554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1467),
  [15557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [15559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [15561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [15567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [15569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [15571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [15575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [15577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [15579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [15581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [15583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 1),
  [15585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 2),
  [15587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [15589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14958),
  [15591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13926),
  [15593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9972),
  [15595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, .production_id = 56),
  [15597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 2), REDUCE(sym_class_parameters, 3),
  [15600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 3),
  [15602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, .production_id = 97),
  [15604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 3), REDUCE(sym_class_parameters, 4),
  [15607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [15609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 4),
  [15611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12244),
  [15613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9756),
  [15615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 4), REDUCE(sym_class_parameters, 5),
  [15618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 5),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12535),
  [15626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 5), REDUCE(sym_class_parameters, 6),
  [15629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 6),
  [15631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 6), REDUCE(sym_class_parameters, 7),
  [15634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12269),
  [15636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 7),
  [15638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, .production_id = 47), SHIFT(14590),
  [15641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14000),
  [15643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1715),
  [15646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 71),
  [15648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 3, .production_id = 87), SHIFT(14590),
  [15651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14831),
  [15653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [15655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15153),
  [15657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [15659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, .production_id = 15),
  [15661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, .production_id = 15),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [15665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [15667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1706),
  [15670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, .production_id = 122), SHIFT_REPEAT(4515),
  [15673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, .production_id = 122), SHIFT_REPEAT(4496),
  [15676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [15680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(18013),
  [15683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1161),
  [15686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17615),
  [15689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [15691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17607),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [15698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16868),
  [15701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1003),
  [15704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7588),
  [15707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16855),
  [15710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1456),
  [15713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [15715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [15717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [15719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [15721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17949),
  [15724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [15726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17968),
  [15729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [15731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(18096),
  [15734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(948),
  [15737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(18103),
  [15740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(907),
  [15743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [15745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [15747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [15749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [15751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [15753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [15755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [15757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17782),
  [15760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1240),
  [15763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17765),
  [15766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1184),
  [15769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [15771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [15773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [15777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 1),
  [15779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17455),
  [15782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1332),
  [15785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17354),
  [15788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1246),
  [15791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14204),
  [15793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16997),
  [15796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [15798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17111),
  [15801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [15803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [15805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [15807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [15811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [15815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1742),
  [15818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1),
  [15820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17964),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [15825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [15827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15058),
  [15829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17973),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [15834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16958),
  [15837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [15839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9033),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [15844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16950),
  [15847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [15849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2),
  [15851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2), SHIFT_REPEAT(2165),
  [15854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [15856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [15858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, .production_id = 151),
  [15860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, .production_id = 151), SHIFT_REPEAT(11865),
  [15863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14090),
  [15867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derives_clause, 3, .production_id = 123),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11865),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15073),
  [15873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(18017),
  [15876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1126),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [15881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 2, .production_id = 22),
  [15883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17859),
  [15886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1017),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [15891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17969),
  [15894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1134),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17909),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [15901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17892),
  [15903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [15905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derives_clause, 2, .production_id = 50),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [15909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [15911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(8207),
  [15914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [15916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14221),
  [15918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12146),
  [15922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12522),
  [15928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [15930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 1, .production_id = 150),
  [15932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 1, .production_id = 150), SHIFT(16737),
  [15935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [15937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15004),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15065),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18495),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [15947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16745),
  [15950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [15952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16884),
  [15955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1019),
  [15958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17088),
  [15961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1420),
  [15964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [15966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [15968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17083),
  [15971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1441),
  [15974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17729),
  [15977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1519),
  [15980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 71),
  [15982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16740),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [15987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, .production_id = 50),
  [15989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18299),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [15993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, .production_id = 151), SHIFT_REPEAT(11972),
  [15996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17448),
  [15999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1042),
  [16002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [16004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17466),
  [16007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1026),
  [16010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17163),
  [16013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1263),
  [16016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11972),
  [16018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16677),
  [16021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [16023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2), SHIFT_REPEAT(13347),
  [16026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(18199),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [16031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(18163),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [16036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16687),
  [16039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [16041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [16043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, .production_id = 51),
  [16045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16910),
  [16048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [16050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17152),
  [16053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1283),
  [16056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 2, .production_id = 166),
  [16058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 2, .production_id = 166), SHIFT(16737),
  [16061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [16063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 2, .production_id = 33),
  [16065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [16067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 1),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [16071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(18062),
  [16074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1013),
  [16077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, .production_id = 169),
  [16079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(18055),
  [16082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1050),
  [16085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, .production_id = 3),
  [16087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [16089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 2, .production_id = 166), SHIFT(17015),
  [16092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16915),
  [16095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [16097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [16099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [16101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 1, .production_id = 5),
  [16103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10755),
  [16105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, .production_id = 153),
  [16107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17126),
  [16110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1342),
  [16113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, .production_id = 133),
  [16115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17120),
  [16118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1366),
  [16121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17847),
  [16124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [16126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17842),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12790),
  [16133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, .production_id = 98),
  [16135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 1, .production_id = 150), SHIFT(17015),
  [16138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [16140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16874),
  [16143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1011),
  [16146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17714),
  [16149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1685),
  [16152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14384),
  [16154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17748),
  [16157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [16159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17752),
  [16162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [16164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17616),
  [16167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1058),
  [16170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, .production_id = 6),
  [16172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12878),
  [16174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2), SHIFT_REPEAT(13024),
  [16177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, .production_id = 122), SHIFT_REPEAT(4461),
  [16180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17371),
  [16183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1119),
  [16186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17335),
  [16189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1150),
  [16192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [16194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [16196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17255),
  [16199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1192),
  [16202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [16204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 3, .production_id = 62),
  [16206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17278),
  [16209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1164),
  [16212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17947),
  [16214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [16216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [16218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [16220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 5, .production_id = 137),
  [16222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 3, .production_id = 97),
  [16224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16934),
  [16227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1547),
  [16230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_declaration, 2, .production_id = 6),
  [16232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17045),
  [16235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1108),
  [16238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17127),
  [16241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1136),
  [16244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 1),
  [16246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17133),
  [16249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1153),
  [16252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17929),
  [16255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [16257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17960),
  [16260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [16262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17490),
  [16264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [16266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17506),
  [16268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [16270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16940),
  [16273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1660),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18453),
  [16278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [16280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 6, .production_id = 163),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [16284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17174),
  [16287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1029),
  [16290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2),
  [16292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2), SHIFT_REPEAT(4342),
  [16295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2), SHIFT_REPEAT(17015),
  [16298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [16300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [16302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 1),
  [16304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13160),
  [16306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [16308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [16310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16674),
  [16313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [16315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [16317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 2, .production_id = 56),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [16321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 1, .production_id = 1),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [16325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [16327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 4, .production_id = 100),
  [16329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2), SHIFT_REPEAT(9182),
  [16332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 1),
  [16334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [16338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lower_bound, 2, .production_id = 50),
  [16340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 2),
  [16342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, .production_id = 34),
  [16344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_declaration, 3, .production_id = 34),
  [16346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2), SHIFT_REPEAT(4340),
  [16349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2), SHIFT_REPEAT(16737),
  [16352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17888),
  [16354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [16356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12481),
  [16358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17037),
  [16361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1101),
  [16364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17254),
  [16367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [16369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [16371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [16373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [16375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7749),
  [16378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [16380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 4, .production_id = 119),
  [16382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2),
  [16384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [16386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2), SHIFT_REPEAT(1726),
  [16389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16764),
  [16392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1699),
  [16395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17235),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [16400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [16404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16686),
  [16407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [16409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10820),
  [16411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17370),
  [16413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [16415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17356),
  [16417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [16419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16802),
  [16422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [16426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [16428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [16430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 2, .production_id = 17),
  [16432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 78),
  [16434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 78), SHIFT_REPEAT(12878),
  [16437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16788),
  [16440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [16444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [16446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18362),
  [16448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [16450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2), SHIFT_REPEAT(13160),
  [16453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, .production_id = 122), SHIFT_REPEAT(4513),
  [16456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16772),
  [16459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1584),
  [16462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [16464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12477),
  [16466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15129),
  [16468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17272),
  [16471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [16473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17655),
  [16476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1414),
  [16479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [16481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17675),
  [16484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1355),
  [16487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16818),
  [16489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [16491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, .production_id = 122), SHIFT_REPEAT(4493),
  [16494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [16498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16828),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [16506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2), SHIFT_REPEAT(2107),
  [16509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 3, .production_id = 5),
  [16511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [16513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [16515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 6),
  [16517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17724),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [16524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [16526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17781),
  [16529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [16531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 5),
  [16533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2),
  [16535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [16537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11125),
  [16539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [16541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [16545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 1),
  [16547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [16549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [16551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17841),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [16558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 1),
  [16560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [16562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [16564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [16566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [16568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16604),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16603),
  [16572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17798),
  [16575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [16577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [16579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15059),
  [16581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [16583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, .production_id = 78), SHIFT_REPEAT(12616),
  [16586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 4),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [16590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 5),
  [16592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17199),
  [16595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1207),
  [16598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_renamed_identifier, 3, .production_id = 152),
  [16600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 3),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [16604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2),
  [16606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, .production_id = 122), SHIFT_REPEAT(4499),
  [16609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, .production_id = 122), SHIFT_REPEAT(4460),
  [16612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17597),
  [16615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [16617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, .production_id = 122), SHIFT_REPEAT(4504),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12407),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15094),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12281),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15095),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12290),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15097),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16999),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17020),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [16644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12486),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15130),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16538),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16539),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [16660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 4, .production_id = 133),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [16666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17217),
  [16669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1196),
  [16672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_upper_bound, 2, .production_id = 50),
  [16674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [16676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2),
  [16678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2), SHIFT_REPEAT(3714),
  [16681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 3, .production_id = 98),
  [16683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(17625),
  [16686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1369),
  [16689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 4, .production_id = 33),
  [16691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [16693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [16695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [16697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [16699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [16701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [16703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(17656),
  [16706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(1387),
  [16709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_template_body, 2),
  [16711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, .production_id = 110),
  [16713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [16715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [16717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 6, .production_id = 157),
  [16719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [16721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [16723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18370),
  [16725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [16727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18455),
  [16729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [16731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, .production_id = 116),
  [16733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [16735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [16737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 2, .production_id = 14),
  [16739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, .production_id = 117),
  [16741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [16743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [16745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 1),
  [16747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [16749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [16751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14753),
  [16753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [16755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12142),
  [16757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12289),
  [16759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 109),
  [16761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [16763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [16765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [16767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [16769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, .production_id = 109),
  [16771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 4, .production_id = 108),
  [16773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [16775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [16777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [16779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 2),
  [16781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [16783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12869),
  [16785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 4),
  [16787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 112),
  [16789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [16791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [16793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [16795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 4, .production_id = 106),
  [16797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [16799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [16801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [16805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [16807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, .production_id = 124),
  [16809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 4, .production_id = 125),
  [16811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14505),
  [16813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [16815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16819),
  [16818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(977),
  [16821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 4, .production_id = 106),
  [16823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [16825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [16827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16804),
  [16830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(966),
  [16833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [16835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [16837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [16839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [16841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 1),
  [16843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2),
  [16845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2), SHIFT_REPEAT(12869),
  [16848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2),
  [16850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [16854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 3, .production_id = 24),
  [16856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 2, .production_id = 11),
  [16858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, .production_id = 11),
  [16860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 2), SHIFT_REPEAT(3713),
  [16863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 2),
  [16865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(560),
  [16868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [16870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 3, .production_id = 53),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [16874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [16876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, .production_id = 128),
  [16878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 4, .production_id = 129),
  [16880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 3, .production_id = 26),
  [16882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, .production_id = 27),
  [16884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 96),
  [16886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 4, .production_id = 95),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [16890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [16892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 5, .production_id = 134),
  [16894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [16896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [16898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_template_body, 3),
  [16900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 5, .production_id = 134),
  [16902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 2, .production_id = 9),
  [16904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, .production_id = 29),
  [16906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, .production_id = 136),
  [16908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, .production_id = 139),
  [16910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_body, 1, .production_id = 30),
  [16912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, .production_id = 140),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9959),
  [16918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 5, .production_id = 141),
  [16920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 142),
  [16922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, .production_id = 143),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [16928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, .production_id = 146),
  [16930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 3),
  [16932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [16938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [16942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [16944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [16950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, .production_id = 37),
  [16952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [16954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [16958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [16960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, .production_id = 45),
  [16962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2), SHIFT_REPEAT(4172),
  [16965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [16967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [16969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [16971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [16973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [16975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 135),
  [16977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [16979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [16983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [16985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [16987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [16989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 2, .production_id = 4),
  [16991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [16993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [16995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_template_body, 3),
  [16997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, .production_id = 18),
  [16999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, .production_id = 88),
  [17001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 6, .production_id = 157),
  [17003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, .production_id = 158),
  [17005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, .production_id = 59),
  [17007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [17009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, .production_id = 162),
  [17011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [17013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [17015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [17017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [17019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, .production_id = 164),
  [17021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [17023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [17025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 3, .production_id = 54),
  [17027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, .production_id = 86),
  [17029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2), SHIFT_REPEAT(12836),
  [17032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [17034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, .production_id = 170),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [17040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, .production_id = 84), SHIFT_REPEAT(7572),
  [17043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, .production_id = 171),
  [17045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [17047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [17049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [17051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [17053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_template_body, 4),
  [17055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, .production_id = 82),
  [17057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [17059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [17061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 7, .production_id = 175),
  [17063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_instance, 3, .production_id = 81),
  [17065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [17067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [17069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [17071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [17073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7, .production_id = 176),
  [17075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [17079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, .production_id = 171),
  [17081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, .production_id = 177),
  [17083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [17085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [17087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 159),
  [17089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 6, .production_id = 181),
  [17091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [17093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [17095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, .production_id = 182),
  [17097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [17099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [17101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [17103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [17105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [17107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [17109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 58),
  [17111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [17113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [17115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [17117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [17119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, .production_id = 60),
  [17121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 3, .production_id = 27),
  [17123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2), SHIFT_REPEAT(4162),
  [17126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, .production_id = 182),
  [17128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, .production_id = 185),
  [17130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, .production_id = 187),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [17136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 7, .production_id = 187),
  [17138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, .production_id = 16),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [17142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 8, .production_id = 188),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [17152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(566),
  [17155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18058),
  [17157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [17159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18049),
  [17161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [17163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [17165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [17167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [17169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [17171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [17173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [17175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [17177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [17179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [17181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [17183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 6, .production_id = 161),
  [17185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [17187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [17189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [17191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10183),
  [17193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, .production_id = 72),
  [17195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, .production_id = 73),
  [17197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 145),
  [17199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [17201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [17203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [17205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [17207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [17209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [17211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(16944),
  [17214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, .production_id = 48), SHIFT(993),
  [17217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(16987),
  [17220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, .production_id = 113), SHIFT(1047),
  [17223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [17225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [17227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [17229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [17231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [17233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [17235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [17237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [17239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [17241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [17243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [17245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [17247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [17249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_body, 2, .production_id = 14),
  [17251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, .production_id = 75),
  [17253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [17255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [17257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [17259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [17261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, .production_id = 77),
  [17263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [17265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [17267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14856),
  [17269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15997),
  [17271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [17273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [17275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16425),
  [17277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16517),
  [17279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13935),
  [17281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16537),
  [17283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [17285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [17287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [17289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [17291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11965),
  [17293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16559),
  [17295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16493),
  [17297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13263),
  [17299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [17301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16579),
  [17303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11323),
  [17305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [17307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16469),
  [17309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16594),
  [17311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [17313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13592),
  [17315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [17317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16611),
  [17319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [17321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16447),
  [17323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11094),
  [17325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13094),
  [17327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11566),
  [17329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16623),
  [17331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16414),
  [17333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [17335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [17337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2), SHIFT_REPEAT(570),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [17342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_enum_case, 2, .production_id = 31),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16399),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13842),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16384),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13773),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16369),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [17366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [17368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11721),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [17372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2), SHIFT_REPEAT(4166),
  [17375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12574),
  [17377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10493),
  [17379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [17381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [17383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [17385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11042),
  [17387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(564),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10621),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12453),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13924),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14948),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16237),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9684),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16361),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13486),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14967),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16264),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12162),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [17424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2), SHIFT_REPEAT(4233),
  [17427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2),
  [17429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12219),
  [17431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14969),
  [17433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15871),
  [17435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [17437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [17439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [17441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11173),
  [17443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [17445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12294),
  [17447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14992),
  [17449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16284),
  [17451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11105),
  [17453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [17455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, .production_id = 184),
  [17457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [17459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [17461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, .production_id = 172),
  [17463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [17465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15051),
  [17467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16058),
  [17469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13541),
  [17471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, .production_id = 172),
  [17473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [17475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 2), SHIFT_REPEAT(6078),
  [17478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 2),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15009),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16302),
  [17488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_selectors_repeat1, 2),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16457),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [17496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, .production_id = 165),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [17502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, .production_id = 105),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [17506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [17508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_identifiers_repeat1, 2),
  [17510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifiers_repeat1, 2), SHIFT_REPEAT(13529),
  [17513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [17515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 5),
  [17517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [17519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [17521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [17523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, .production_id = 105),
  [17525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [17527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifiers, 4),
  [17529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13529),
  [17531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13420),
  [17533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15030),
  [17535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16328),
  [17537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [17539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [17541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, .production_id = 151), SHIFT_REPEAT(12001),
  [17544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2), SHIFT_REPEAT(569),
  [17547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [17549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11168),
  [17551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17015),
  [17553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12217),
  [17555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [17557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, .production_id = 147),
  [17559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [17561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, .production_id = 102),
  [17563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [17565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [17567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [17569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15048),
  [17571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16348),
  [17573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [17575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14376),
  [17577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [17579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [17581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10233),
  [17583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [17585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 4),
  [17587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12168),
  [17589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [17591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(3238),
  [17594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [17596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, .production_id = 102),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13155),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15091),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15597),
  [17606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_view_bound, 2, .production_id = 50),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15068),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16315),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10243),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [17622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 2, .production_id = 3),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13573),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10770),
  [17638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, .production_id = 3), REDUCE(sym_identifiers, 3),
  [17641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, .production_id = 3), SHIFT(13529),
  [17644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifiers, 3),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13043),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15082),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16282),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11673),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11060),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14308),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12101),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17270),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12103),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [17674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13968),
  [17678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 1),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12740),
  [17686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2), SHIFT_REPEAT(567),
  [17689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15102),
  [17691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16249),
  [17693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [17695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12637),
  [17697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [17699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [17701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 1, .production_id = 2),
  [17703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [17705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [17707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13007),
  [17709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15115),
  [17711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15438),
  [17713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [17715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12223),
  [17717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [17719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [17721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2),
  [17723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2), SHIFT_REPEAT(216),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10932),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15088),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11767),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15127),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16215),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12271),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12277),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12295),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16737),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12369),
  [17754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2), SHIFT_REPEAT(4239),
  [17757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [17759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [17761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [17763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [17767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16456),
  [17771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15146),
  [17773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16181),
  [17775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [17777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [17779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [17781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [17783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13751),
  [17785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15157),
  [17787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16146),
  [17789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [17791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15167),
  [17793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16109),
  [17795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [17797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12515),
  [17799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [17801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [17803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [17805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [17807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11398),
  [17809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17200),
  [17811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11478),
  [17813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16705),
  [17815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [17817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13502),
  [17819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [17821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13221),
  [17823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [17825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [17827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11481),
  [17829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16682),
  [17831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [17833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11482),
  [17835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16679),
  [17837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [17839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [17841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11483),
  [17843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16654),
  [17845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [17847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [17849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11911),
  [17851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11487),
  [17853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17576),
  [17855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [17857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [17859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11488),
  [17861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16877),
  [17863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [17865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11489),
  [17867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16918),
  [17869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [17871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [17873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11493),
  [17875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17048),
  [17877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [17879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11494),
  [17883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17062),
  [17885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [17887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17208),
  [17889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11497),
  [17891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17213),
  [17893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [17895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13681),
  [17897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [17901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [17905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [17911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17386),
  [17913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17402),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15441),
  [17919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12086),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [17923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15443),
  [17925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11506),
  [17929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17603),
  [17931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13552),
  [17935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17618),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [17941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11513),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17775),
  [17945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [17947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [17949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17799),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [17955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [17957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [17959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11522),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17911),
  [17963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [17965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [17967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11523),
  [17969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17915),
  [17971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [17973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [17975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [17977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [17979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [17981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18042),
  [17985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11538),
  [17987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18069),
  [17989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [17991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11554),
  [17993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18245),
  [17995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [17997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [17999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11555),
  [18001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18464),
  [18003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [18005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11540),
  [18007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11559),
  [18009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18063),
  [18011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11560),
  [18013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18022),
  [18015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [18017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [18019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [18021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [18023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [18025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11564),
  [18027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17848),
  [18029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [18031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11925),
  [18033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [18035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11568),
  [18037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17829),
  [18039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [18041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [18043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [18045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11572),
  [18047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17577),
  [18049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [18051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17517),
  [18053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [18055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12472),
  [18057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [18059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [18061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [18063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11578),
  [18065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17315),
  [18067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [18069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [18071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [18073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17279),
  [18075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [18077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [18079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11583),
  [18081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17108),
  [18083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [18085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [18087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [18089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [18091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11584),
  [18093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16965),
  [18095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11586),
  [18097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16871),
  [18099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11587),
  [18101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16866),
  [18103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [18105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16731),
  [18107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [18109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [18111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [18113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16670),
  [18115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [18117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [18119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [18121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16673),
  [18123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12057),
  [18125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [18127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [18129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11596),
  [18131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16726),
  [18133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [18135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [18137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [18139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11597),
  [18141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16730),
  [18143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [18145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11604),
  [18147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16803),
  [18149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11608),
  [18151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16809),
  [18153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [18155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [18157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [18159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16734),
  [18161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [18163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [18165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [18167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [18169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16971),
  [18171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [18173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [18175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11646),
  [18177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16978),
  [18179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [18181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [18183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [18185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [18187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [18191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13849),
  [18193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [18195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [18197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [18201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [18203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [18205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11471),
  [18207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16758),
  [18209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [18211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [18215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11671),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16455),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [18225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [18227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11469),
  [18229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16761),
  [18231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11467),
  [18233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16783),
  [18235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [18237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [18239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [18243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [18249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16786),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [18257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15116),
  [18261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [18263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16808),
  [18265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [18267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12642),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [18271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [18273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [18275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [18277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [18279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [18281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [18283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [18285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [18287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [18289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2), SHIFT_REPEAT(16374),
  [18292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15511),
  [18294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17717),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13336),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16811),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16833),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [18344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_object, 3, .production_id = 26),
  [18346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 3, .production_id = 28),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [18360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [18362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [18364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [18368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [18382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13072),
  [18384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10990),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [18390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [18396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16835),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [18410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16374),
  [18412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18499),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [18416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [18418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [18422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [18424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [18428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [18430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16857),
  [18432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [18436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [18438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [18440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [18442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16859),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11447),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16879),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [18456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16881),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [18462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [18476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11144),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11146),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10404),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [18496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [18500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11630),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [18504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [18532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16901),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11438),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16903),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14532),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10394),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14481),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [18584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11436),
  [18586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16923),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13367),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9638),
  [18594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12274),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11873),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13177),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11435),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16925),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [18628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11433),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16945),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [18638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11432),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16947),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9726),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [18658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [18666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [18668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [18670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [18672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11431),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16967),
  [18676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11159),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [18696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11610),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17374),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [18702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11067),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11429),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16969),
  [18712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 1),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13181),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10936),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16528),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13821),
  [18748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18498),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16989),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16991),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17011),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11011),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17013),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11796),
  [18812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [18826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [18828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [18834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [18838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [18840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [18844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [18846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [18854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [18858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11303),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [18862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [18868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [18870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [18872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11422),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17032),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17034),
  [18886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, .dynamic_precedence = 10, .production_id = 102),
  [18888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [18890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [18892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [18894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [18896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2), SHIFT_REPEAT(2257),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [18905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, .dynamic_precedence = 10, .production_id = 2),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [18909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, .dynamic_precedence = 10),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [18915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2), SHIFT_REPEAT(12071),
  [18918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [18922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, .dynamic_precedence = 10, .production_id = 103),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [18932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [18934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, .production_id = 107),
  [18936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, .production_id = 107), SHIFT_REPEAT(13119),
  [18939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [18943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [18945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [18947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [18949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17053),
  [18951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [18953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [18955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [18957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [18959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [18961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [18963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [18965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [18967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [18969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [18971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [18973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [18975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [18977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [18979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [18981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [18983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [18985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [18987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9263),
  [18989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11096),
  [18991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [18993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [18995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [18997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [18999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [19001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [19003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2), SHIFT_REPEAT(15441),
  [19006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2),
  [19008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2), SHIFT_REPEAT(15443),
  [19011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2),
  [19013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [19015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17055),
  [19017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [19019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [19021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [19023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [19025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [19027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11851),
  [19029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [19031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [19033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [19035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [19037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [19039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [19041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [19043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [19045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17074),
  [19047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [19049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [19051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [19053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [19055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [19057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [19059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [19061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [19063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [19065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17076),
  [19067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [19069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [19071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [19073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [19075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [19077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12354),
  [19079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [19083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [19085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [19087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [19089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17095),
  [19091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [19093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16823),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [19099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [19101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [19103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [19105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [19107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [19109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11576),
  [19111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17173),
  [19113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_context_bound, 2, .production_id = 50),
  [19115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [19117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [19119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [19121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [19123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [19125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13602),
  [19127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [19129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12557),
  [19131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [19133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17097),
  [19135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, .production_id = 127), SHIFT_REPEAT(7615),
  [19138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, .production_id = 127),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10914),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10913),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [19150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [19158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2), SHIFT_REPEAT(11256),
  [19161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2),
  [19163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [19165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [19167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [19169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [19171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17116),
  [19173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [19175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [19177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [19179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [19181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [19183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [19185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [19187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [19189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14268),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [19195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12300),
  [19197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [19199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [19201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [19203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2), SHIFT_REPEAT(4267),
  [19206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17118),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [19214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [19216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10177),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17137),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17139),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13586),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [19246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11547),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17285),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [19262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [19266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11403),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17158),
  [19272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2), SHIFT_REPEAT(4506),
  [19275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2),
  [19277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [19281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [19283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [19285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17160),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [19291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_full_enum_case, 2, .production_id = 149),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [19295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [19297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [19299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [19301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [19303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [19305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [19307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [19309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [19311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [19313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17179),
  [19315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [19317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [19319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [19321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [19323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17181),
  [19325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [19327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [19329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [19331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [19333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [19335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [19337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [19339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [19341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [19343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [19345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [19347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [19355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [19357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [19359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [19361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [19363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16708),
  [19365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [19367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13561),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17202),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [19397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [19399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [19401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [19403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [19405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, .production_id = 127), SHIFT_REPEAT(11918),
  [19408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, .production_id = 127),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17221),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17223),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [19434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2), REDUCE(aux_sym_tuple_type_repeat1, 2),
  [19437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [19439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [19441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [19443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [19445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [19447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12753),
  [19449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [19451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [19453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2),
  [19455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [19457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [19459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [19461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [19463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [19465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [19467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [19469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [19471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [19473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [19475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [19477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [19479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [19481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13252),
  [19483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [19485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [19487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [19489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [19491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [19493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [19495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17242),
  [19497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [19499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11479),
  [19501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17244),
  [19503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [19505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [19507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [19509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17263),
  [19511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [19513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [19515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [19517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [19519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2), SHIFT_REPEAT(2646),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17265),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13990),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12452),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12630),
  [19558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 2, .production_id = 167),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17283),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11672),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17445),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [19582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_selectors_repeat1, 2), SHIFT_REPEAT(10874),
  [19585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15090),
  [19587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [19589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [19591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [19593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [19595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [19597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [19599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [19601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [19603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [19605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [19607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [19609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [19611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11553),
  [19613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17303),
  [19615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [19617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [19619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [19621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [19623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [19625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [19627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [19629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11563),
  [19631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17305),
  [19633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [19635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [19637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [19639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [19641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [19643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [19645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 3, .production_id = 178),
  [19647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [19649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [19651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [19653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [19655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [19657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17322),
  [19659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11595),
  [19661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17324),
  [19663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [19665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12363),
  [19667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [19669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [19671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17796),
  [19673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [19675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [19677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [19679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [19681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9722),
  [19683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11618),
  [19685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17341),
  [19687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [19689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [19691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [19693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11777),
  [19695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [19697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [19699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17343),
  [19701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [19703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11676),
  [19705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17360),
  [19707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11703),
  [19709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17878),
  [19711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [19713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [19715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [19717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17362),
  [19719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [19721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [19723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [19725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [19727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17379),
  [19729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [19731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [19733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [19735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11687),
  [19737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17381),
  [19739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [19741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [19743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11704),
  [19745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17398),
  [19747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [19749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [19751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11705),
  [19753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17400),
  [19755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [19757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [19759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [19761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10345),
  [19763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [19765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [19767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [19769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [19771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10340),
  [19773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [19775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [19777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11706),
  [19779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17417),
  [19781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11697),
  [19783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17419),
  [19785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [19787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [19789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [19791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13117),
  [19793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [19795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17430),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11987),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [19809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [19811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [19813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11690),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17432),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [19853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [19859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [19861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [19863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11689),
  [19865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17443),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [19873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [19875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [19877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [19879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [19881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [19883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [19885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [19887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [19889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [19891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [19893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [19895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11669),
  [19897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17456),
  [19899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [19901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11662),
  [19903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17458),
  [19905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [19907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [19909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [19911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [19913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14977),
  [19915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [19917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12317),
  [19919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [19921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [19923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [19925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [19927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [19929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11661),
  [19931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17469),
  [19933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [19935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [19937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [19939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [19941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [19943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17471),
  [19945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [19947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [19949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [19951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [19953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [19955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11656),
  [19957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17482),
  [19959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [19961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [19963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11653),
  [19965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17484),
  [19967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [19969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [19971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [19973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [19975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11606),
  [19977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18448),
  [19979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [19981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [19983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [19985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11652),
  [19987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17495),
  [19989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11557),
  [19991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18493),
  [19993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [19995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12179),
  [19997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [19999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [20001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [20003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [20005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [20007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11651),
  [20009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17497),
  [20011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [20013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [20015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [20017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [20019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [20021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [20023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [20025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [20027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [20029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [20031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [20033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [20035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11650),
  [20037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17508),
  [20039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [20041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11052),
  [20043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [20045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [20047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11643),
  [20049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17510),
  [20051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [20053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [20055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [20057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [20067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [20071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [20073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11638),
  [20075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17521),
  [20077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11637),
  [20079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17523),
  [20081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [20083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14834),
  [20085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [20087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11910),
  [20089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [20091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [20093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [20095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [20097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [20099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [20101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [20103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [20105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [20107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [20109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [20111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [20113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [20115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11636),
  [20117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17534),
  [20119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [20121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11634),
  [20123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17536),
  [20125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [20127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [20129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [20131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [20133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [20135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [20137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [20139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [20141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [20143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [20145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [20147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [20149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [20151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [20153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [20155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [20157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [20159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [20161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11633),
  [20163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17546),
  [20165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [20167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [20169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [20171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12184),
  [20173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [20175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14498),
  [20177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11632),
  [20179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17548),
  [20181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [20183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [20185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17558),
  [20187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11627),
  [20189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17560),
  [20191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [20193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12148),
  [20195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [20197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [20199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15042),
  [20201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [20203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13974),
  [20205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [20207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [20209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [20213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [20215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [20217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [20219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17570),
  [20221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [20223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [20225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [20227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [20229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [20231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11935),
  [20233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11624),
  [20235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17572),
  [20237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [20239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [20241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [20243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [20245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [20247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [20249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [20251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [20253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [20255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11617),
  [20257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17581),
  [20259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [20261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [20263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [20265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [20267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [20269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [20271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [20273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [20275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11394),
  [20277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17583),
  [20279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [20281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [20283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [20285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16139),
  [20287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18497),
  [20289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18158),
  [20291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [20293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15165),
  [20295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [20297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [20299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [20301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [20303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [20305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [20307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [20309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [20311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [20313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [20315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [20317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13019),
  [20319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [20321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [20323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [20325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [20327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [20329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [20331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [20333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [20335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [20337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [20339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [20341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [20343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [20345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12225),
  [20347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [20349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [20351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15158),
  [20353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [20355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [20357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11072),
  [20359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [20361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [20363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11073),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14299),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [20383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [20385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [20387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9922),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [20395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [20403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [20405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15149),
  [20409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12028),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14949),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [20415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [20419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [20435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [20437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [20443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [20445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [20447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [20449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [20451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [20455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15128),
  [20457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [20459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [20461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14968),
  [20463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [20465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [20467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [20469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [20471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [20473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [20475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [20477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [20479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [20481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [20483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [20485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [20487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [20489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14994),
  [20491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [20493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [20495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [20497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [20499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [20501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [20503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [20505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [20507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [20509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [20511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13401),
  [20513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [20515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [20517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15104),
  [20519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [20521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [20523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [20525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [20527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [20529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [20531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15010),
  [20533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [20535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [20537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [20539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [20541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [20543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [20545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [20547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [20549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14439),
  [20551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [20553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [20555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [20557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [20559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [20561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [20563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [20565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [20567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15031),
  [20569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [20571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [20573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15083),
  [20575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [20577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [20579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [20581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [20583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [20585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [20587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [20589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [20591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [20593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11807),
  [20595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [20597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [20599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [20601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [20603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15049),
  [20605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [20611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [20613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [20615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [20619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9808),
  [20621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [20625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [20627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [20629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15069),
  [20631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [20633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [20635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13704),
  [20637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [20639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [20641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [20643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [20645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [20647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [20649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [20651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [20653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [20655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [20657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [20659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16066),
  [20661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [20663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [20665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [20667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16048),
  [20669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [20671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [20673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [20675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [20677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [20679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [20681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16011),
  [20683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [20685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16116),
  [20687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [20689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [20691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [20693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [20695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 1),
  [20697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [20699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [20701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [20703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [20707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [20709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [20711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [20713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 1),
  [20715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [20717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [20719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [20721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [20723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16153),
  [20725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [20729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [20733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [20735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [20737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [20739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [20743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [20745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [20749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16188),
  [20751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [20753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16031),
  [20755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [20757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [20759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16063),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [20769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [20775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [20779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [20781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [20783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16222),
  [20785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [20787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolated_string_start, 1),
  [20789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [20791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [20793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [20795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [20797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [20799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [20801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [20803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1),
  [20805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, .production_id = 35),
  [20807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [20809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [20811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [20813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [20815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16256),
  [20817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [20819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [20821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [20823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [20825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [20827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 3),
  [20829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [20831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [20833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [20835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [20837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [20839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [20841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [20843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [20845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [20847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12989),
  [20849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12175),
  [20851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [20853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16089),
  [20855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15895),
  [20857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [20859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 3, .production_id = 74),
  [20861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [20863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [20865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16008),
  [20867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [20869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16289),
  [20871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_covariant_type_parameter, 2, .production_id = 16),
  [20873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contravariant_type_parameter, 2, .production_id = 16),
  [20875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2),
  [20877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2, .production_id = 16),
  [20879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 2, .dynamic_precedence = 1),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15679),
  [20885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [20887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12629),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12370),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [20899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [20907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 4),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16322),
  [20911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [20915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, .production_id = 3),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [20919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [20925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [20927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [20929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [20931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 2),
  [20933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [20935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [20937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [20939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [20941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [20943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [20945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [20947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [20949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16227),
  [20951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [20953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [20955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [20957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [20959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, .production_id = 16),
  [20961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [20963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 3, .dynamic_precedence = 1),
  [20965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [20967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16110),
  [20969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [20971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [20973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [20975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 5),
  [20977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [20979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [20981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dollar_escape, 2),
  [20983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aliased_interpolation_identifier, 1),
  [20985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 2),
  [20987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16323),
  [20989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [20991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [20993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [20995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [20997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [20999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [21001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [21003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [21005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [21007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_given_by_type, 2),
  [21009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [21011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, .production_id = 16),
  [21013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [21015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [21017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [21019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 4, .dynamic_precedence = 1),
  [21021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 1),
  [21023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [21025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16299),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [21039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [21043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [21047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_renamed_identifier, 3, .production_id = 152),
  [21049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [21051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 5, .dynamic_precedence = 1),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [21055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16280),
  [21061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case_clause, 3, .production_id = 183),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [21067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [21071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [21077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [21079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [21083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16259),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [21095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16232),
  [21109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16133),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16204),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16182),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16155),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13528),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13545),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13712),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11805),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13536),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16439),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13532),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16279),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [21269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16398),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [21285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [21291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [21297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [21299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [21301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [21303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16314),
  [21305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [21307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [21309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [21313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [21315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [21317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15213),
  [21319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [21321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [21323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11829),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16174),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16169),
  [21337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13293),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11838),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [21345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16340),
  [21351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [21361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13296),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13303),
  [21375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [21379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12064),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16306),
  [21389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [21393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [21395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [21397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [21399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [21401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [21403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [21409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [21417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [21421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16263),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10526),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [21459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [21463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16156),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [21471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11811),
  [21477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16216),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11051),
  [21481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [21483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [21487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [21489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12841),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12480),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13516),
  [21503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [21505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [21507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [21509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10518),
  [21511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12510),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16173),
  [21515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [21517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [21519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [21521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [21523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [21531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [21533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [21535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [21537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12518),
  [21539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [21541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [21543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [21545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [21547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [21549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [21551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [21553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [21555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16142),
  [21557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [21559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11659),
  [21561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [21563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [21565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [21567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [21569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [21571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [21573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [21575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [21577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [21579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10945),
  [21581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [21583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11670),
  [21585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [21587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [21589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [21591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16108),
  [21593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [21595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10336),
  [21597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [21599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [21601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [21603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [21605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [21607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [21609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [21611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [21613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [21615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [21627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16081),
  [21629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10497),
  [21631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [21633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [21635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [21637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [21639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [21641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [21643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [21645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [21647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [21649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10573),
  [21651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [21653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16112),
  [21655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [21657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [21659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [21661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [21663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [21665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16042),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [21671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [21673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [21675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [21677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [21683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [21687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [21689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [21691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [21693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [21695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [21697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [21699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [21701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [21703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15998),
  [21705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [21707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [21709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [21711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [21713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [21715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [21717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [21719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12830),
  [21721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [21723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [21725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [21727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [21729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [21731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [21733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [21735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11816),
  [21737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [21739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [21741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15949),
  [21743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [21745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [21747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [21749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [21751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [21753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [21755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [21757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [21759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [21761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [21763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [21765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [21767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [21769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [21771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [21773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10636),
  [21775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [21777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [21779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15952),
  [21781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [21783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [21785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [21787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [21789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [21791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [21793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15425),
  [21795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [21797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [21799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [21801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10638),
  [21803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [21805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15914),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [21817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [21827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [21829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13458),
  [21831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11124),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [21837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [21839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [21841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [21845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15888),
  [21847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [21849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [21857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15529),
  [21859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [21861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13457),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [21871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [21877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [21879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [21881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15858),
  [21883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16060),
  [21885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [21887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [21889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [21891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [21893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10967),
  [21895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [21897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [21899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [21901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [21903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [21905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10952),
  [21907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [21909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [21911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [21913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [21915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [21917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15835),
  [21919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [21921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [21923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [21925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [21927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [21929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [21931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [21933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [21935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [21937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [21939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14777),
  [21941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10410),
  [21943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [21945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [21947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [21949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [21951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16504),
  [21953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15812),
  [21955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [21957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [21959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [21961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [21963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [21965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [21967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [21969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [21971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [21973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [21975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [21977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [21979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [21981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [21983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [21985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11194),
  [21987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [21989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14726),
  [21991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15782),
  [21993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [21995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [21997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [21999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [22001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [22003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [22005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [22007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [22009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10170),
  [22011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12757),
  [22013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [22015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [22017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11515),
  [22019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [22021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [22023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [22025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15741),
  [22027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [22029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [22031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [22033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [22035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [22037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [22039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [22041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [22043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [22045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [22047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11057),
  [22049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [22051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [22053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [22055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [22057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15668),
  [22059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [22061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [22063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [22065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [22067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [22069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 4),
  [22071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10214),
  [22073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [22075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [22077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14738),
  [22079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11214),
  [22081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [22083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [22085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [22087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13997),
  [22089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10173),
  [22091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14739),
  [22093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15608),
  [22095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [22097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [22099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [22101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [22103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [22105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14003),
  [22107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [22109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [22111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [22113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [22115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [22117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [22119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14740),
  [22121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [22123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [22125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11046),
  [22127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [22129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [22131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15568),
  [22133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [22135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [22137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [22139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [22141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [22143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [22145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [22147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [22149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [22151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [22153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16004),
  [22155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [22157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [22159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [22161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [22163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12435),
  [22165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [22167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15530),
  [22169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [22171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [22173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [22175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [22177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10290),
  [22179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [22181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [22183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14290),
  [22185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10304),
  [22187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [22189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [22191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11136),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [22195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [22197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [22199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15489),
  [22201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17036),
  [22203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [22205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [22207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [22209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [22211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [22213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15327),
  [22215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [22217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14247),
  [22219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [22221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [22223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [22225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [22227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [22229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [22231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [22233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15447),
  [22235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [22237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [22239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [22241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [22243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10171),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [22247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9692),
  [22249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [22251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [22253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [22255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [22257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [22259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [22261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9679),
  [22263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15407),
  [22265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [22267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [22269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [22271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [22273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [22277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [22279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [22281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14762),
  [22283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [22285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14698),
  [22287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [22289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [22291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [22293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [22295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [22297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [22299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [22307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [22309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [22311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10793),
  [22313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [22317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10868),
  [22323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [22327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10845),
  [22329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17028),
  [22331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [22335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [22337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [22339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [22341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [22343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [22345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [22347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [22349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11127),
  [22351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [22353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [22355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [22357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [22359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [22361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13399),
  [22363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [22365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [22367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [22369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [22371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [22373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14741),
  [22375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [22377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [22379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [22381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [22383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [22385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [22387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__self_type_ascription, 2),
  [22389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17183),
  [22391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [22393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [22395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [22397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [22399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 3),
  [22401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [22403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [22405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16556),
  [22407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [22409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13386),
  [22411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10400),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [22415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [22417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13640),
  [22425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [22427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [22431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [22435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [22437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13641),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11837),
  [22443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [22449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14667),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11846),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [22463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [22465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [22467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [22469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11237),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15968),
  [22475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [22477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [22479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [22481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [22483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [22485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13333),
  [22489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [22491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [22493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [22497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [22503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [22505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [22509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [22511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [22515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [22517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13193),
  [22521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [22523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [22529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [22531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [22533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15279),
  [22535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [22537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [22539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [22541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [22543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [22545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17026),
  [22547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [22549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [22551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [22553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [22555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [22557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [22559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [22561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [22563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [22565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [22567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15402),
  [22569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [22571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [22573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [22575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [22577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [22579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [22583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [22585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14922),
  [22587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14921),
  [22589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [22591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [22593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [22595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [22597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [22599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [22601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [22603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12980),
  [22605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [22607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [22609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [22611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [22613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [22615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [22619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [22621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [22623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13639),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [22627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [22629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [22631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13199),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [22635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [22639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [22643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [22645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [22647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [22649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [22651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [22653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [22655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [22657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [22659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [22661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [22663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [22665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [22667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [22669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13204),
  [22671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [22673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [22675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [22677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [22679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [22681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [22683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [22685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [22687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [22689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11081),
  [22691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [22693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [22695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10653),
  [22697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [22699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [22701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [22703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [22705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [22707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [22709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [22711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [22713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [22715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [22717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [22719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [22721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [22723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [22725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [22727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [22729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [22731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10647),
  [22733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10174),
  [22735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [22737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [22739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [22741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [22743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [22745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [22747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [22749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [22751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [22753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [22755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [22757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [22759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [22761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [22763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [22765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [22767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [22769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [22771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [22773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11743),
  [22775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [22777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [22779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [22781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [22783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [22785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [22791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12361),
  [22797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [22799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [22801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [22803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14903),
  [22805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [22807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [22809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [22811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [22813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [22815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [22817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15908),
  [22819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [22821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9975),
  [22823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10546),
  [22825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10496),
  [22827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [22829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [22831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [22833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [22835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [22837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [22839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [22841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [22843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [22845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [22847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9967),
  [22849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [22851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [22853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [22855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [22857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body1, 2),
  [22859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [22861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [22863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9226),
  [22865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 2),
  [22867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16522),
  [22869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [22871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [22873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [22875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [22877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [22879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [22881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [22883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [22885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [22887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [22889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [22891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [22893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10857),
  [22895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [22897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [22899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13272),
  [22901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [22903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [22905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [22907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13271),
  [22909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [22911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [22913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14604),
  [22915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [22917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [22919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10975),
  [22921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [22923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [22925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [22927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13267),
  [22929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [22931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [22933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [22935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11931),
  [22937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [22939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [22941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18500),
  [22943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12167),
  [22945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [22947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [22949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [22951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [22953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10731),
  [22955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [22957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [22959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [22961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15604),
  [22963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [22971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11023),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [22977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [22979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [22981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [22983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [22985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10871),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11802),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10399),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [23021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [23023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [23025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [23031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10865),
  [23033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [23035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [23037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14882),
  [23039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [23041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14518),
  [23043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [23045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [23047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [23049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11047),
  [23051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [23053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14666),
  [23055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [23057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [23059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [23061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [23063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [23065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [23067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [23069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11053),
  [23071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [23073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14489),
  [23075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [23077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [23079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [23081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13951),
  [23085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14875),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [23091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10563),
  [23093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [23097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [23099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [23101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15503),
  [23103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [23105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [23107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [23109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10357),
  [23111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [23113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [23115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [23117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13334),
  [23119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [23121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [23123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [23125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [23127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10132),
  [23129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [23131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [23133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14553),
  [23135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [23137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [23139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [23141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [23143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10664),
  [23145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [23147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12050),
  [23149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [23151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body1, 1),
  [23153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16476),
  [23155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [23157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [23159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [23161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [23163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [23165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12052),
  [23167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [23169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13581),
  [23171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [23173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [23175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [23177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [23179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10008),
  [23181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [23183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14863),
  [23185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13757),
  [23187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [23189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [23191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13577),
  [23193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [23195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [23197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [23199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [23201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [23203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13571),
  [23205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [23207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [23209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [23211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [23213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17718),
  [23215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [23217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [23219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [23221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13787),
  [23223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [23225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [23227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [23229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13783),
  [23231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opaque_modifier, 1),
  [23233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [23235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [23237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [23239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [23241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [23243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11613),
  [23245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [23247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [23249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [23251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [23253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15807),
  [23255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10209),
  [23257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [23259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [23261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [23263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [23265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [23267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [23269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [23271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10144),
  [23273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [23275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [23277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [23279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [23281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [23283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [23285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [23287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [23289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [23291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11470),
  [23293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [23295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [23297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [23299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [23301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [23303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [23305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10962),
  [23307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [23309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [23311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [23313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [23315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [23317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10101),
  [23319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [23321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [23323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13083),
  [23325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [23327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [23329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [23331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [23333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12503),
  [23335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [23337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [23339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [23341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [23343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [23345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [23347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15590),
  [23349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [23351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [23353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [23355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [23357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12505),
  [23359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [23361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13758),
  [23363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [23365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [23367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [23369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [23371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11220),
  [23373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [23375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [23377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [23379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [23381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [23383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [23385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12009),
  [23387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [23389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10258),
  [23391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [23393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [23395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [23397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [23399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [23401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [23403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [23405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11221),
  [23407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [23409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [23411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [23413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [23415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [23417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [23419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [23421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12507),
  [23423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [23425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [23427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [23429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [23431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [23433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10178),
  [23435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16442),
  [23437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [23439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [23441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [23443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [23445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [23447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [23449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [23451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [23453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [23455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11095),
  [23457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13280),
  [23459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9938),
  [23461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [23463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [23465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [23467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [23469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [23473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [23475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11093),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [23491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [23493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [23495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [23497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [23499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11089),
  [23501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [23503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [23505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [23507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [23509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [23511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [23513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [23515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [23517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [23519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [23521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [23523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [23525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [23527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11235),
  [23529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [23531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [23533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [23535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12235),
  [23537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [23539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [23541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [23543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [23545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [23547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [23549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [23551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [23553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [23555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [23557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [23559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [23561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [23563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [23565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15718),
  [23567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [23569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [23571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [23573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11252),
  [23575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [23577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [23579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [23581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [23583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [23585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [23587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [23591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10110),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10856),
  [23613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [23619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13546),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9748),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [23627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [23631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [23633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [23641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13542),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13540),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [23653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [23655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [23657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13980),
  [23659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [23661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [23663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [23665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [23667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [23669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [23671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [23673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [23675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [23677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9267),
  [23679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17897),
  [23681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [23683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [23685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [23687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [23689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [23691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [23693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [23695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [23697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [23699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [23701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14420),
  [23703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [23705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [23707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [23709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [23711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [23719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14557),
  [23725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13492),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10878),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10850),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [23755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13489),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [23761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13487),
  [23769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10485),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9752),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [23775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10970),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [23785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [23793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13100),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [23799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [23803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13456),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10276),
  [23809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [23815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10229),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [23819] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13455),
  [23825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [23827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [23829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9696),
  [23831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [23833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13453),
  [23835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11028),
  [23837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [23839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [23841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [23843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [23845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [23847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [23849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [23851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [23853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [23855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [23857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12156),
  [23859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [23861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [23863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [23865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11055),
  [23867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [23869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [23871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11092),
  [23873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [23875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [23877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [23879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [23881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [23883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [23885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [23887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [23889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [23891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [23893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [23895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [23897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [23899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10102),
  [23901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [23903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [23905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [23907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10440),
  [23909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10960),
  [23911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11698),
  [23913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [23915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [23917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [23919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10686),
  [23921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [23923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [23925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [23927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [23929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [23931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9919),
  [23933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [23935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [23937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10666),
  [23939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [23941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [23943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [23945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [23947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [23949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [23951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [23953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [23955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11492),
  [23957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [23959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10709),
  [23961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10707),
  [23963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [23965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [23967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [23969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [23971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [23973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [23975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [23977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [23979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10673),
  [23981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [23983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [23985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [23987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [23989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12257),
  [23991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [23993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [23995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [23997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [23999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [24001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [24003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [24005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [24007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [24009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [24011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [24013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12387),
  [24015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [24017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [24019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [24021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12323),
  [24023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10768),
  [24025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [24027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [24029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [24031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [24033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [24035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [24037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [24039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [24041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [24043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [24045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10681),
  [24047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [24049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14550),
  [24051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [24053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [24055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [24057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [24059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [24061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14488),
  [24063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [24065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [24067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [24069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [24071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [24073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [24075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [24077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [24079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14486),
  [24081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [24083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [24085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [24087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [24089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [24091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [24093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [24095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [24097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [24099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [24101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [24103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [24105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [24107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [24109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [24111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [24113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [24115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [24117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [24119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [24121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [24123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [24125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [24127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [24129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [24131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [24133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [24135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [24137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [24139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [24141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [24143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [24145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [24147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [24149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [24151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [24153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [24155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [24157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [24159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [24161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [24163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [24165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [24167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [24169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [24171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [24173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [24175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [24177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [24179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [24181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [24183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [24185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [24187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [24189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [24191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [24193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [24195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [24197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [24199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [24201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14025),
  [24203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [24205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [24207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [24209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [24211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [24213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14030),
  [24215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [24217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [24219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [24221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [24223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9600),
  [24225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [24227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [24229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [24231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [24233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [24235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [24237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [24239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [24241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [24243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [24245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10514),
  [24247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [24249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [24251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [24253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [24255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [24257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [24259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [24261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13972),
  [24263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [24265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [24267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [24269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [24271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [24273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10277),
  [24275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [24277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [24279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [24281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9811),
  [24283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [24285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [24287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11056),
  [24289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [24291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [24293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [24295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [24297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12745),
  [24299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11720),
  [24301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10065),
  [24303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [24305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9812),
  [24307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [24309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [24311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14032),
  [24313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [24315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15660),
  [24317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [24319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [24321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [24323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [24325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2),
  [24327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 2),
  [24329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 3),
  [24331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 4),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_scala_external_scanner_create(void);
void tree_sitter_scala_external_scanner_destroy(void *);
bool tree_sitter_scala_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_scala_external_scanner_serialize(void *, char *);
void tree_sitter_scala_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_scala(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__alpha_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_scala_external_scanner_create,
      tree_sitter_scala_external_scanner_destroy,
      tree_sitter_scala_external_scanner_scan,
      tree_sitter_scala_external_scanner_serialize,
      tree_sitter_scala_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
